/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2024-05-27 10:18:31 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_sa_actionscheduler_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) NOT NULL,
  `status` varchar(20) NOT NULL,
  `scheduled_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) DEFAULT NULL,
  `schedule` longtext DEFAULT NULL,
  `group_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `attempts` int(11) NOT NULL DEFAULT 0,
  `last_attempt_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `extended_args` varchar(8000) DEFAULT NULL,
  `priority` tinyint(3) unsigned NOT NULL DEFAULT 10,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id_status_scheduled_date_gmt` (`claim_id`,`status`,`scheduled_date_gmt`)
) ENGINE=InnoDB AUTO_INCREMENT=896 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_actionscheduler_claims` (
  `claim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=InnoDB AUTO_INCREMENT=19423 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_actionscheduler_groups` (
  `group_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_actionscheduler_logs` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint(20) unsigned NOT NULL,
  `message` text NOT NULL,
  `log_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=InnoDB AUTO_INCREMENT=2660 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT 0,
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT 0,
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10)),
  KEY `woo_idx_comment_type` (`comment_type`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_dokan_announcement` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL,
  `post_id` bigint(11) NOT NULL,
  `status` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_dokan_orders` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint(20) DEFAULT NULL,
  `seller_id` bigint(20) DEFAULT NULL,
  `order_total` decimal(19,4) DEFAULT NULL,
  `net_amount` decimal(19,4) DEFAULT NULL,
  `order_status` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `seller_id` (`seller_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_dokan_refund` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint(20) unsigned NOT NULL,
  `seller_id` bigint(20) NOT NULL,
  `refund_amount` decimal(19,4) NOT NULL,
  `refund_reason` text DEFAULT NULL,
  `item_qtys` varchar(200) DEFAULT NULL,
  `item_totals` text DEFAULT NULL,
  `item_tax_totals` text DEFAULT NULL,
  `restock_items` varchar(10) DEFAULT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `status` int(1) NOT NULL,
  `method` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_dokan_reverse_withdrawal` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `trn_id` bigint(20) unsigned NOT NULL,
  `trn_type` varchar(200) NOT NULL DEFAULT 'order_commission',
  `vendor_id` bigint(20) unsigned NOT NULL,
  `note` mediumtext DEFAULT NULL,
  `debit` decimal(19,4) NOT NULL DEFAULT 0.0000,
  `credit` decimal(19,4) NOT NULL DEFAULT 0.0000,
  `trn_date` int(11) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `trn_date` (`trn_date`),
  KEY `vendor_id_trn_date` (`vendor_id`,`trn_date`),
  KEY `vendor_id` (`vendor_id`),
  KEY `trn_id_type` (`trn_id`,`trn_type`(191)),
  KEY `vendor_id_trn_date_type` (`vendor_id`,`trn_date`,`trn_type`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_dokan_shipping_tracking` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint(20) unsigned NOT NULL,
  `seller_id` bigint(20) NOT NULL,
  `provider` text DEFAULT NULL,
  `provider_label` text DEFAULT NULL,
  `provider_url` text DEFAULT NULL,
  `number` text DEFAULT NULL,
  `date` varchar(200) DEFAULT NULL,
  `shipping_status` varchar(200) DEFAULT NULL,
  `status_label` varchar(200) DEFAULT NULL,
  `is_notify` varchar(20) DEFAULT NULL,
  `item_id` text DEFAULT NULL,
  `item_qty` text DEFAULT NULL,
  `last_update` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `status` int(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `order_shipping_status` (`order_id`,`shipping_status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;

CREATE TABLE `wp_sa_dokan_shipping_zone_locations` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `seller_id` int(11) DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `location_code` varchar(255) DEFAULT NULL,
  `location_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;

CREATE TABLE `wp_sa_dokan_shipping_zone_methods` (
  `instance_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `method_id` varchar(255) NOT NULL DEFAULT '',
  `zone_id` int(11) unsigned NOT NULL,
  `seller_id` int(11) NOT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT 1,
  `settings` longtext DEFAULT NULL,
  PRIMARY KEY (`instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;

CREATE TABLE `wp_sa_dokan_vendor_balance` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `vendor_id` bigint(20) unsigned NOT NULL,
  `trn_id` bigint(20) unsigned NOT NULL,
  `trn_type` varchar(30) NOT NULL,
  `perticulars` text NOT NULL,
  `debit` decimal(19,4) NOT NULL,
  `credit` decimal(19,4) NOT NULL,
  `status` varchar(30) DEFAULT NULL,
  `trn_date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `balance_date` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_dokan_withdraw` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL,
  `amount` decimal(19,4) NOT NULL,
  `date` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `status` int(1) NOT NULL,
  `method` varchar(30) NOT NULL,
  `note` text NOT NULL,
  `details` longtext DEFAULT NULL,
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE `wp_sa_e_events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_data` text DEFAULT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_e_notes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `route_url` text DEFAULT NULL COMMENT 'Clean url where the note was created.',
  `route_title` varchar(255) DEFAULT NULL,
  `route_post_id` bigint(20) unsigned DEFAULT NULL COMMENT 'The post id of the route that the note was created on.',
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `element_id` varchar(60) DEFAULT NULL COMMENT 'The Elementor element ID the note is attached to.',
  `parent_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `author_id` bigint(20) unsigned DEFAULT NULL,
  `author_display_name` varchar(250) DEFAULT NULL COMMENT 'Save the author name when the author was deleted.',
  `status` varchar(20) NOT NULL DEFAULT 'publish',
  `position` text DEFAULT NULL COMMENT 'A JSON string that represents the position of the note inside the element in percentages. e.g. {x:10, y:15}',
  `content` longtext DEFAULT NULL,
  `is_resolved` tinyint(1) NOT NULL DEFAULT 0,
  `is_public` tinyint(1) NOT NULL DEFAULT 1,
  `last_activity_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `route_url_index` (`route_url`(191)),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `parent_id_index` (`parent_id`),
  KEY `author_id_index` (`author_id`),
  KEY `status_index` (`status`),
  KEY `is_resolved_index` (`is_resolved`),
  KEY `is_public_index` (`is_public`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `last_activity_at_index` (`last_activity_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_e_notes_users_relations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) NOT NULL COMMENT 'The relation type between user and note (e.g mention, watch, read).',
  `note_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type_index` (`type`),
  KEY `note_id_index` (`note_id`),
  KEY `user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_e_submissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) DEFAULT NULL,
  `hash_id` varchar(60) NOT NULL,
  `main_meta_id` bigint(20) unsigned NOT NULL COMMENT 'Id of main field. to represent the main meta field',
  `post_id` bigint(20) unsigned NOT NULL,
  `referer` varchar(500) NOT NULL,
  `referer_title` varchar(300) DEFAULT NULL,
  `element_id` varchar(20) NOT NULL,
  `form_name` varchar(60) NOT NULL,
  `campaign_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `user_ip` varchar(46) NOT NULL,
  `user_agent` text NOT NULL,
  `actions_count` int(11) DEFAULT 0,
  `actions_succeeded_count` int(11) DEFAULT 0,
  `status` varchar(20) NOT NULL,
  `is_read` tinyint(1) NOT NULL DEFAULT 0,
  `meta` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash_id_unique_index` (`hash_id`),
  KEY `main_meta_id_index` (`main_meta_id`),
  KEY `hash_id_index` (`hash_id`),
  KEY `type_index` (`type`),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `campaign_id_index` (`campaign_id`),
  KEY `user_id_index` (`user_id`),
  KEY `user_ip_index` (`user_ip`),
  KEY `status_index` (`status`),
  KEY `is_read_index` (`is_read`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `referer_index` (`referer`(191)),
  KEY `referer_title_index` (`referer_title`(191))
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_e_submissions_actions_log` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL,
  `action_name` varchar(60) NOT NULL,
  `action_label` varchar(60) DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  `log` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `action_name_index` (`action_name`),
  KEY `status_index` (`status`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_e_submissions_values` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `key` varchar(60) DEFAULT NULL,
  `value` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `key_index` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=75 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_gla_attribute_mapping_rules` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `attribute` varchar(255) NOT NULL,
  `source` varchar(100) NOT NULL,
  `category_condition_type` varchar(10) NOT NULL,
  `categories` text DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_gla_budget_recommendations` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `currency` varchar(3) NOT NULL,
  `country` varchar(2) NOT NULL,
  `daily_budget_low` int(11) NOT NULL,
  `daily_budget_high` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `country_currency` (`country`,`currency`)
) ENGINE=InnoDB AUTO_INCREMENT=4231 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_gla_merchant_issues` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `product_id` bigint(20) NOT NULL,
  `issue` varchar(200) NOT NULL,
  `code` varchar(100) NOT NULL,
  `severity` varchar(20) NOT NULL DEFAULT 'warning',
  `product` varchar(100) NOT NULL,
  `action` text NOT NULL,
  `action_url` varchar(1024) NOT NULL,
  `applicable_countries` text NOT NULL,
  `source` varchar(10) NOT NULL DEFAULT 'mc',
  `type` varchar(10) NOT NULL DEFAULT 'product',
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_gla_shipping_rates` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `country` varchar(2) NOT NULL,
  `currency` varchar(3) NOT NULL,
  `rate` double NOT NULL DEFAULT 0,
  `options` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `country` (`country`),
  KEY `currency` (`currency`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_gla_shipping_times` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `country` varchar(2) NOT NULL,
  `time` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `country` (`country`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_jet_cct_testimonial` (
  `_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `cct_status` text DEFAULT NULL,
  `name_testimonial` text DEFAULT NULL,
  `content_testimonial` text DEFAULT NULL,
  `img_testimonial` text DEFAULT NULL,
  `stars_testimonial` bigint(20) DEFAULT NULL,
  `cct_author_id` bigint(20) DEFAULT NULL,
  `cct_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `cct_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `actor_testimonial` text DEFAULT NULL,
  PRIMARY KEY (`_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_jet_post_types` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `slug` text DEFAULT NULL,
  `status` text DEFAULT NULL,
  `labels` longtext DEFAULT NULL,
  `args` longtext DEFAULT NULL,
  `meta_fields` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_jet_smart_filters_indexer` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(50) DEFAULT NULL,
  `item_id` int(10) unsigned DEFAULT NULL,
  `item_query` varchar(50) DEFAULT NULL,
  `item_key` varchar(50) DEFAULT NULL,
  `item_value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_jet_taxonomies` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `slug` text DEFAULT NULL,
  `object_type` text DEFAULT NULL,
  `status` text DEFAULT NULL,
  `labels` longtext DEFAULT NULL,
  `args` longtext DEFAULT NULL,
  `meta_fields` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT 1,
  `link_rating` int(11) NOT NULL DEFAULT 0,
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_automation_run_logs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `automation_run_id` int(11) unsigned NOT NULL,
  `step_id` varchar(191) NOT NULL,
  `status` varchar(191) NOT NULL,
  `started_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `completed_at` timestamp NULL DEFAULT NULL,
  `error` longtext DEFAULT NULL,
  `data` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `automation_run_id` (`automation_run_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_automation_run_subjects` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `automation_run_id` int(11) unsigned NOT NULL,
  `key` varchar(191) DEFAULT NULL,
  `args` longtext DEFAULT NULL,
  `hash` varchar(191) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `automation_run_id` (`automation_run_id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_automation_runs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `automation_id` int(11) unsigned NOT NULL,
  `version_id` int(11) unsigned NOT NULL,
  `trigger_key` varchar(191) NOT NULL,
  `status` varchar(191) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `next_step_id` varchar(191) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `automation_id` (`automation_id`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_automation_triggers` (
  `automation_id` int(11) unsigned NOT NULL,
  `trigger_key` varchar(191) NOT NULL,
  PRIMARY KEY (`automation_id`,`trigger_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_automation_versions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `automation_id` int(11) unsigned NOT NULL,
  `steps` longtext DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `automation_id` (`automation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_automations` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) NOT NULL,
  `author` bigint(20) NOT NULL,
  `status` varchar(191) NOT NULL,
  `meta` longtext DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `activated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_custom_fields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `type` varchar(90) NOT NULL,
  `params` longtext NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_dynamic_segment_filters` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `segment_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `filter_data` longblob DEFAULT NULL,
  `filter_type` varchar(255) DEFAULT NULL,
  `action` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `segment_id` (`segment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_feature_flags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `value` tinyint(1) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_forms` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `status` varchar(20) NOT NULL DEFAULT 'enabled',
  `body` longtext DEFAULT NULL,
  `settings` longtext DEFAULT NULL,
  `styles` longtext DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_log` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `message` longtext DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `raw_message` longtext DEFAULT NULL,
  `context` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_migrations` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) NOT NULL,
  `started_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `completed_at` timestamp NULL DEFAULT NULL,
  `retries` int(11) unsigned NOT NULL DEFAULT 0,
  `error` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletter_links` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned NOT NULL,
  `url` varchar(2083) NOT NULL,
  `hash` varchar(20) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `newsletter_id` (`newsletter_id`),
  KEY `queue_id` (`queue_id`),
  KEY `url` (`url`(100))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletter_option` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `option_field_id` int(11) unsigned NOT NULL,
  `value` longtext DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `newsletter_id_option_field_id` (`newsletter_id`,`option_field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletter_option_fields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `newsletter_type` varchar(90) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_newsletter_type` (`newsletter_type`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletter_posts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `post_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `newsletter_id` (`newsletter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletter_segment` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `segment_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `newsletter_segment` (`newsletter_id`,`segment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletter_templates` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) DEFAULT 0,
  `name` varchar(250) NOT NULL,
  `categories` varchar(250) NOT NULL DEFAULT '[]',
  `description` varchar(255) NOT NULL DEFAULT '',
  `body` longtext DEFAULT NULL,
  `thumbnail` longtext DEFAULT NULL,
  `thumbnail_data` longtext DEFAULT NULL,
  `readonly` tinyint(1) DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_newsletters` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `hash` varchar(150) DEFAULT NULL,
  `parent_id` int(11) unsigned DEFAULT NULL,
  `subject` varchar(250) NOT NULL DEFAULT '',
  `type` varchar(150) NOT NULL DEFAULT 'standard',
  `sender_address` varchar(150) NOT NULL DEFAULT '',
  `sender_name` varchar(150) NOT NULL DEFAULT '',
  `status` varchar(20) NOT NULL DEFAULT 'draft',
  `reply_to_address` varchar(150) NOT NULL DEFAULT '',
  `reply_to_name` varchar(150) NOT NULL DEFAULT '',
  `preheader` varchar(250) NOT NULL DEFAULT '',
  `body` longtext DEFAULT NULL,
  `sent_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `deleted_at` timestamp NULL DEFAULT NULL,
  `unsubscribe_token` char(15) DEFAULT NULL,
  `ga_campaign` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `unsubscribe_token` (`unsubscribe_token`),
  KEY `type_status` (`type`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_scheduled_task_subscribers` (
  `task_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `processed` int(1) NOT NULL,
  `failed` smallint(1) NOT NULL DEFAULT 0,
  `error` text DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`task_id`,`subscriber_id`),
  KEY `subscriber_id` (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_scheduled_tasks` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(90) DEFAULT NULL,
  `status` varchar(12) DEFAULT NULL,
  `priority` mediumint(9) NOT NULL DEFAULT 0,
  `scheduled_at` timestamp NULL DEFAULT NULL,
  `processed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `deleted_at` timestamp NULL DEFAULT NULL,
  `in_progress` int(1) DEFAULT NULL,
  `reschedule_count` int(11) NOT NULL DEFAULT 0,
  `meta` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `status` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_segments` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `type` varchar(90) NOT NULL DEFAULT 'default',
  `description` varchar(250) NOT NULL DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `deleted_at` timestamp NULL DEFAULT NULL,
  `average_engagement_score` float unsigned DEFAULT NULL,
  `average_engagement_score_updated_at` timestamp NULL DEFAULT NULL,
  `display_in_manage_subscription_page` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `average_engagement_score_updated_at` (`average_engagement_score_updated_at`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_sending_queues` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `task_id` int(11) unsigned NOT NULL,
  `newsletter_id` int(11) unsigned DEFAULT NULL,
  `newsletter_rendered_body` longtext DEFAULT NULL,
  `newsletter_rendered_subject` varchar(250) DEFAULT NULL,
  `subscribers` longtext DEFAULT NULL,
  `count_total` int(11) unsigned NOT NULL DEFAULT 0,
  `count_processed` int(11) unsigned NOT NULL DEFAULT 0,
  `count_to_process` int(11) unsigned NOT NULL DEFAULT 0,
  `meta` longtext DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_id` (`task_id`),
  KEY `newsletter_id` (`newsletter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_settings` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `value` longtext DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_bounces` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_clicks` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned NOT NULL,
  `link_id` int(11) unsigned NOT NULL,
  `user_agent_id` int(11) unsigned DEFAULT NULL,
  `user_agent_type` tinyint(1) NOT NULL DEFAULT 0,
  `count` int(11) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `newsletter_id_subscriber_id_user_agent_type` (`newsletter_id`,`subscriber_id`,`user_agent_type`),
  KEY `queue_id` (`queue_id`),
  KEY `subscriber_id` (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_forms` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `form_subscriber` (`form_id`,`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_newsletters` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned NOT NULL,
  `sent_at` timestamp NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `newsletter_id` (`newsletter_id`),
  KEY `subscriber_id` (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_opens` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned NOT NULL,
  `user_agent_id` int(11) unsigned DEFAULT NULL,
  `user_agent_type` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `newsletter_id_subscriber_id_user_agent_type` (`newsletter_id`,`subscriber_id`,`user_agent_type`),
  KEY `queue_id` (`queue_id`),
  KEY `subscriber_id` (`subscriber_id`),
  KEY `created_at` (`created_at`),
  KEY `subscriber_id_created_at` (`subscriber_id`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_unsubscribes` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned DEFAULT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `source` varchar(255) DEFAULT 'unknown',
  `meta` varchar(255) DEFAULT NULL,
  `method` varchar(40) NOT NULL DEFAULT 'unknown',
  PRIMARY KEY (`id`),
  KEY `newsletter_id_subscriber_id` (`newsletter_id`,`subscriber_id`),
  KEY `queue_id` (`queue_id`),
  KEY `subscriber_id` (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_statistics_woocommerce_purchases` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `subscriber_id` int(11) unsigned NOT NULL,
  `queue_id` int(11) unsigned NOT NULL,
  `click_id` int(11) unsigned NOT NULL,
  `order_id` bigint(20) unsigned NOT NULL,
  `order_currency` char(3) NOT NULL,
  `order_price_total` float NOT NULL COMMENT 'With shipping and taxes in order_currency',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `click_id_order_id` (`click_id`,`order_id`),
  KEY `newsletter_id` (`newsletter_id`),
  KEY `queue_id` (`queue_id`),
  KEY `subscriber_id` (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_stats_notifications` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `newsletter_id` int(11) unsigned NOT NULL,
  `task_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `newsletter_id_task_id` (`newsletter_id`,`task_id`),
  KEY `task_id` (`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_subscriber_custom_field` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` int(11) unsigned NOT NULL,
  `custom_field_id` int(11) unsigned NOT NULL,
  `value` text NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `subscriber_id_custom_field_id` (`subscriber_id`,`custom_field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_subscriber_ips` (
  `ip` varchar(45) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`created_at`,`ip`),
  KEY `ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_subscriber_segment` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` int(11) unsigned NOT NULL,
  `segment_id` int(11) unsigned NOT NULL,
  `status` varchar(12) NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `subscriber_segment` (`subscriber_id`,`segment_id`),
  KEY `segment_id` (`segment_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_subscriber_tag` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `subscriber_id` int(11) unsigned NOT NULL,
  `tag_id` int(11) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `subscriber_tag` (`subscriber_id`,`tag_id`),
  KEY `tag_id` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_subscribers` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `wp_user_id` bigint(20) DEFAULT NULL,
  `is_woocommerce_user` int(1) NOT NULL DEFAULT 0,
  `first_name` varchar(255) NOT NULL DEFAULT '',
  `last_name` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(150) NOT NULL,
  `status` varchar(12) NOT NULL DEFAULT 'unconfirmed',
  `subscribed_ip` varchar(45) DEFAULT NULL,
  `confirmed_ip` varchar(45) DEFAULT NULL,
  `confirmed_at` timestamp NULL DEFAULT NULL,
  `last_subscribed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `deleted_at` timestamp NULL DEFAULT NULL,
  `unconfirmed_data` longtext DEFAULT NULL,
  `source` enum('form','imported','administrator','api','wordpress_user','woocommerce_user','woocommerce_checkout','unknown') DEFAULT 'unknown',
  `count_confirmations` int(11) unsigned NOT NULL DEFAULT 0,
  `unsubscribe_token` char(15) DEFAULT NULL,
  `link_token` char(32) DEFAULT NULL,
  `engagement_score` float unsigned DEFAULT NULL,
  `engagement_score_updated_at` timestamp NULL DEFAULT NULL,
  `last_engagement_at` timestamp NULL DEFAULT NULL,
  `woocommerce_synced_at` timestamp NULL DEFAULT NULL,
  `email_count` int(11) unsigned NOT NULL DEFAULT 0,
  `last_sending_at` timestamp NULL DEFAULT NULL,
  `last_open_at` timestamp NULL DEFAULT NULL,
  `last_click_at` timestamp NULL DEFAULT NULL,
  `last_purchase_at` timestamp NULL DEFAULT NULL,
  `last_page_view_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `unsubscribe_token` (`unsubscribe_token`),
  KEY `wp_user_id` (`wp_user_id`),
  KEY `updated_at` (`updated_at`),
  KEY `status_deleted_at` (`status`,`deleted_at`),
  KEY `last_subscribed_at` (`last_subscribed_at`),
  KEY `engagement_score_updated_at` (`engagement_score_updated_at`),
  KEY `link_token` (`link_token`),
  KEY `first_name` (`first_name`(10)),
  KEY `last_name` (`last_name`(10)),
  KEY `last_sending_at` (`last_sending_at`),
  KEY `last_open_at` (`last_open_at`),
  KEY `last_click_at` (`last_click_at`),
  KEY `last_purchase_at` (`last_purchase_at`),
  KEY `last_page_view_at` (`last_page_view_at`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_tags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) NOT NULL,
  `description` text NOT NULL DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_user_agents` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `hash` varchar(32) NOT NULL,
  `user_agent` text NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash` (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_mailpoet_user_flags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `name` varchar(50) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id_name` (`user_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=34488 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=18530 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT 0,
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(255) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT 0,
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=1930 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_snippets` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` tinytext NOT NULL,
  `description` text NOT NULL,
  `code` longtext NOT NULL,
  `tags` longtext NOT NULL,
  `scope` varchar(15) NOT NULL DEFAULT 'global',
  `priority` smallint(6) NOT NULL DEFAULT 10,
  `active` tinyint(1) NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL DEFAULT current_timestamp(),
  `revision` bigint(20) NOT NULL DEFAULT 1,
  `cloud_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `scope` (`scope`),
  KEY `active` (`active`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3820 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(255) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT 0,
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=167 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_admin_note_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `note_id` bigint(20) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `label` varchar(255) NOT NULL,
  `query` longtext NOT NULL,
  `status` varchar(255) NOT NULL,
  `actioned_text` varchar(255) NOT NULL,
  `nonce_action` varchar(255) DEFAULT NULL,
  `nonce_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `note_id` (`note_id`)
) ENGINE=InnoDB AUTO_INCREMENT=34941 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_admin_notes` (
  `note_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `type` varchar(20) NOT NULL,
  `locale` varchar(20) NOT NULL,
  `title` longtext NOT NULL,
  `content` longtext NOT NULL,
  `content_data` longtext DEFAULT NULL,
  `status` varchar(200) NOT NULL,
  `source` varchar(200) NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_reminder` datetime DEFAULT NULL,
  `is_snoozable` tinyint(1) NOT NULL DEFAULT 0,
  `layout` varchar(20) NOT NULL DEFAULT '',
  `image` varchar(200) DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT 0,
  `is_read` tinyint(1) NOT NULL DEFAULT 0,
  `icon` varchar(200) NOT NULL DEFAULT 'info',
  PRIMARY KEY (`note_id`)
) ENGINE=InnoDB AUTO_INCREMENT=114 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_category_lookup` (
  `category_tree_id` bigint(20) unsigned NOT NULL,
  `category_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`category_tree_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_customer_lookup` (
  `customer_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `username` varchar(60) NOT NULL DEFAULT '',
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `email` varchar(100) DEFAULT NULL,
  `date_last_active` timestamp NULL DEFAULT NULL,
  `date_registered` timestamp NULL DEFAULT NULL,
  `country` char(2) NOT NULL DEFAULT '',
  `postcode` varchar(20) NOT NULL DEFAULT '',
  `city` varchar(100) NOT NULL DEFAULT '',
  `state` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`customer_id`),
  UNIQUE KEY `user_id` (`user_id`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_download_log` (
  `download_log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` datetime NOT NULL,
  `permission_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `user_ip_address` varchar(100) DEFAULT '',
  PRIMARY KEY (`download_log_id`),
  KEY `permission_id` (`permission_id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_order_addresses` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint(20) unsigned NOT NULL,
  `address_type` varchar(20) DEFAULT NULL,
  `first_name` text DEFAULT NULL,
  `last_name` text DEFAULT NULL,
  `company` text DEFAULT NULL,
  `address_1` text DEFAULT NULL,
  `address_2` text DEFAULT NULL,
  `city` text DEFAULT NULL,
  `state` text DEFAULT NULL,
  `postcode` text DEFAULT NULL,
  `country` text DEFAULT NULL,
  `email` varchar(320) DEFAULT NULL,
  `phone` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `address_type_order_id` (`address_type`,`order_id`),
  KEY `order_id` (`order_id`),
  KEY `email` (`email`(191)),
  KEY `phone` (`phone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_order_coupon_lookup` (
  `order_id` bigint(20) unsigned NOT NULL,
  `coupon_id` bigint(20) NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `discount_amount` double NOT NULL DEFAULT 0,
  PRIMARY KEY (`order_id`,`coupon_id`),
  KEY `coupon_id` (`coupon_id`),
  KEY `date_created` (`date_created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_order_operational_data` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint(20) unsigned DEFAULT NULL,
  `created_via` varchar(100) DEFAULT NULL,
  `woocommerce_version` varchar(20) DEFAULT NULL,
  `prices_include_tax` tinyint(1) DEFAULT NULL,
  `coupon_usages_are_counted` tinyint(1) DEFAULT NULL,
  `download_permission_granted` tinyint(1) DEFAULT NULL,
  `cart_hash` varchar(100) DEFAULT NULL,
  `new_order_email_sent` tinyint(1) DEFAULT NULL,
  `order_key` varchar(100) DEFAULT NULL,
  `order_stock_reduced` tinyint(1) DEFAULT NULL,
  `date_paid_gmt` datetime DEFAULT NULL,
  `date_completed_gmt` datetime DEFAULT NULL,
  `shipping_tax_amount` decimal(26,8) DEFAULT NULL,
  `shipping_total_amount` decimal(26,8) DEFAULT NULL,
  `discount_tax_amount` decimal(26,8) DEFAULT NULL,
  `discount_total_amount` decimal(26,8) DEFAULT NULL,
  `recorded_sales` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `order_id` (`order_id`),
  KEY `order_key` (`order_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_order_product_lookup` (
  `order_item_id` bigint(20) unsigned NOT NULL,
  `order_id` bigint(20) unsigned NOT NULL,
  `product_id` bigint(20) unsigned NOT NULL,
  `variation_id` bigint(20) unsigned NOT NULL,
  `customer_id` bigint(20) unsigned DEFAULT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `product_qty` int(11) NOT NULL,
  `product_net_revenue` double NOT NULL DEFAULT 0,
  `product_gross_revenue` double NOT NULL DEFAULT 0,
  `coupon_amount` double NOT NULL DEFAULT 0,
  `tax_amount` double NOT NULL DEFAULT 0,
  `shipping_amount` double NOT NULL DEFAULT 0,
  `shipping_tax_amount` double NOT NULL DEFAULT 0,
  PRIMARY KEY (`order_item_id`),
  KEY `order_id` (`order_id`),
  KEY `product_id` (`product_id`),
  KEY `customer_id` (`customer_id`),
  KEY `date_created` (`date_created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_order_stats` (
  `order_id` bigint(20) unsigned NOT NULL,
  `parent_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_paid` datetime DEFAULT '0000-00-00 00:00:00',
  `date_completed` datetime DEFAULT '0000-00-00 00:00:00',
  `num_items_sold` int(11) NOT NULL DEFAULT 0,
  `total_sales` double NOT NULL DEFAULT 0,
  `tax_total` double NOT NULL DEFAULT 0,
  `shipping_total` double NOT NULL DEFAULT 0,
  `net_total` double NOT NULL DEFAULT 0,
  `returning_customer` tinyint(1) DEFAULT NULL,
  `status` varchar(200) NOT NULL,
  `customer_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`order_id`),
  KEY `date_created` (`date_created`),
  KEY `customer_id` (`customer_id`),
  KEY `status` (`status`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_order_tax_lookup` (
  `order_id` bigint(20) unsigned NOT NULL,
  `tax_rate_id` bigint(20) unsigned NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `shipping_tax` double NOT NULL DEFAULT 0,
  `order_tax` double NOT NULL DEFAULT 0,
  `total_tax` double NOT NULL DEFAULT 0,
  PRIMARY KEY (`order_id`,`tax_rate_id`),
  KEY `tax_rate_id` (`tax_rate_id`),
  KEY `date_created` (`date_created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_orders` (
  `id` bigint(20) unsigned NOT NULL,
  `status` varchar(20) DEFAULT NULL,
  `currency` varchar(10) DEFAULT NULL,
  `type` varchar(20) DEFAULT NULL,
  `tax_amount` decimal(26,8) DEFAULT NULL,
  `total_amount` decimal(26,8) DEFAULT NULL,
  `customer_id` bigint(20) unsigned DEFAULT NULL,
  `billing_email` varchar(320) DEFAULT NULL,
  `date_created_gmt` datetime DEFAULT NULL,
  `date_updated_gmt` datetime DEFAULT NULL,
  `parent_order_id` bigint(20) unsigned DEFAULT NULL,
  `payment_method` varchar(100) DEFAULT NULL,
  `payment_method_title` text DEFAULT NULL,
  `transaction_id` varchar(100) DEFAULT NULL,
  `ip_address` varchar(100) DEFAULT NULL,
  `user_agent` text DEFAULT NULL,
  `customer_note` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `status` (`status`),
  KEY `date_created` (`date_created_gmt`),
  KEY `customer_id_billing_email` (`customer_id`,`billing_email`(171)),
  KEY `billing_email` (`billing_email`(191)),
  KEY `type_status_date` (`type`,`status`,`date_created_gmt`),
  KEY `parent_order_id` (`parent_order_id`),
  KEY `date_updated` (`date_updated_gmt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_orders_meta` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint(20) unsigned DEFAULT NULL,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_key_value` (`meta_key`(100),`meta_value`(82)),
  KEY `order_id_meta_key_meta_value` (`order_id`,`meta_key`(100),`meta_value`(82))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_product_attributes_lookup` (
  `product_id` bigint(20) NOT NULL,
  `product_or_parent_id` bigint(20) NOT NULL,
  `taxonomy` varchar(32) NOT NULL,
  `term_id` bigint(20) NOT NULL,
  `is_variation_attribute` tinyint(1) NOT NULL,
  `in_stock` tinyint(1) NOT NULL,
  PRIMARY KEY (`product_or_parent_id`,`term_id`,`product_id`,`taxonomy`),
  KEY `is_variation_attribute_term_id` (`is_variation_attribute`,`term_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_product_download_directories` (
  `url_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(256) NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`url_id`),
  KEY `url` (`url`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_product_meta_lookup` (
  `product_id` bigint(20) NOT NULL,
  `sku` varchar(100) DEFAULT '',
  `virtual` tinyint(1) DEFAULT 0,
  `downloadable` tinyint(1) DEFAULT 0,
  `min_price` decimal(19,4) DEFAULT NULL,
  `max_price` decimal(19,4) DEFAULT NULL,
  `onsale` tinyint(1) DEFAULT 0,
  `stock_quantity` double DEFAULT NULL,
  `stock_status` varchar(100) DEFAULT 'instock',
  `rating_count` bigint(20) DEFAULT 0,
  `average_rating` decimal(3,2) DEFAULT 0.00,
  `total_sales` bigint(20) DEFAULT 0,
  `tax_status` varchar(100) DEFAULT 'taxable',
  `tax_class` varchar(100) DEFAULT '',
  PRIMARY KEY (`product_id`),
  KEY `virtual` (`virtual`),
  KEY `downloadable` (`downloadable`),
  KEY `stock_status` (`stock_status`),
  KEY `stock_quantity` (`stock_quantity`),
  KEY `onsale` (`onsale`),
  KEY `min_max_price` (`min_price`,`max_price`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_rate_limits` (
  `rate_limit_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `rate_limit_key` varchar(200) NOT NULL,
  `rate_limit_expiry` bigint(20) unsigned NOT NULL,
  `rate_limit_remaining` smallint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`rate_limit_id`),
  UNIQUE KEY `rate_limit_key` (`rate_limit_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_reserved_stock` (
  `order_id` bigint(20) NOT NULL,
  `product_id` bigint(20) NOT NULL,
  `stock_quantity` double NOT NULL DEFAULT 0,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `expires` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`order_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_tax_rate_classes` (
  `tax_rate_class_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`tax_rate_class_id`),
  UNIQUE KEY `slug` (`slug`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_wc_webhooks` (
  `webhook_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `status` varchar(200) NOT NULL,
  `name` text NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `delivery_url` text NOT NULL,
  `secret` text NOT NULL,
  `topic` varchar(200) NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `api_version` smallint(4) NOT NULL,
  `failure_count` smallint(10) NOT NULL DEFAULT 0,
  `pending_delivery` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`webhook_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_api_keys` (
  `key_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL,
  `description` varchar(200) DEFAULT NULL,
  `permissions` varchar(10) NOT NULL,
  `consumer_key` char(64) NOT NULL,
  `consumer_secret` char(43) NOT NULL,
  `nonces` longtext DEFAULT NULL,
  `truncated_key` char(7) NOT NULL,
  `last_access` datetime DEFAULT NULL,
  PRIMARY KEY (`key_id`),
  KEY `consumer_key` (`consumer_key`),
  KEY `consumer_secret` (`consumer_secret`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_attribute_taxonomies` (
  `attribute_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `attribute_name` varchar(200) NOT NULL,
  `attribute_label` varchar(200) DEFAULT NULL,
  `attribute_type` varchar(20) NOT NULL,
  `attribute_orderby` varchar(20) NOT NULL,
  `attribute_public` int(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`attribute_id`),
  KEY `attribute_name` (`attribute_name`(20))
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_downloadable_product_permissions` (
  `permission_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `download_id` varchar(36) NOT NULL,
  `product_id` bigint(20) unsigned NOT NULL,
  `order_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `order_key` varchar(200) NOT NULL,
  `user_email` varchar(200) NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `downloads_remaining` varchar(9) DEFAULT NULL,
  `access_granted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access_expires` datetime DEFAULT NULL,
  `download_count` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`permission_id`),
  KEY `download_order_key_product` (`product_id`,`order_id`,`order_key`(16),`download_id`),
  KEY `download_order_product` (`download_id`,`order_id`,`product_id`),
  KEY `order_id` (`order_id`),
  KEY `user_order_remaining_expires` (`user_id`,`order_id`,`downloads_remaining`,`access_expires`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_log` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` datetime NOT NULL,
  `level` smallint(4) NOT NULL,
  `source` varchar(200) NOT NULL,
  `message` longtext NOT NULL,
  `context` longtext DEFAULT NULL,
  PRIMARY KEY (`log_id`),
  KEY `level` (`level`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_order_itemmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_item_id` bigint(20) unsigned NOT NULL,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `order_item_id` (`order_item_id`),
  KEY `meta_key` (`meta_key`(32))
) ENGINE=InnoDB AUTO_INCREMENT=528 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_order_items` (
  `order_item_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_item_name` text NOT NULL,
  `order_item_type` varchar(200) NOT NULL DEFAULT '',
  `order_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`order_item_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB AUTO_INCREMENT=65 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_payment_tokenmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `payment_token_id` bigint(20) unsigned NOT NULL,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `payment_token_id` (`payment_token_id`),
  KEY `meta_key` (`meta_key`(32))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_payment_tokens` (
  `token_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `gateway_id` varchar(200) NOT NULL,
  `token` text NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `type` varchar(200) NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`token_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_sessions` (
  `session_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `session_key` char(32) NOT NULL,
  `session_value` longtext NOT NULL,
  `session_expiry` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`session_id`),
  UNIQUE KEY `session_key` (`session_key`)
) ENGINE=InnoDB AUTO_INCREMENT=3176 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_shipping_zone_locations` (
  `location_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `zone_id` bigint(20) unsigned NOT NULL,
  `location_code` varchar(200) NOT NULL,
  `location_type` varchar(40) NOT NULL,
  PRIMARY KEY (`location_id`),
  KEY `location_id` (`location_id`),
  KEY `location_type_code` (`location_type`(10),`location_code`(20)),
  KEY `zone_id` (`zone_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_shipping_zone_methods` (
  `zone_id` bigint(20) unsigned NOT NULL,
  `instance_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `method_id` varchar(200) NOT NULL,
  `method_order` bigint(20) unsigned NOT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`instance_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_shipping_zones` (
  `zone_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `zone_name` varchar(200) NOT NULL,
  `zone_order` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`zone_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_tax_rate_locations` (
  `location_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `location_code` varchar(200) NOT NULL,
  `tax_rate_id` bigint(20) unsigned NOT NULL,
  `location_type` varchar(40) NOT NULL,
  PRIMARY KEY (`location_id`),
  KEY `tax_rate_id` (`tax_rate_id`),
  KEY `location_type_code` (`location_type`(10),`location_code`(20))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_sa_woocommerce_tax_rates` (
  `tax_rate_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `tax_rate_country` varchar(2) NOT NULL DEFAULT '',
  `tax_rate_state` varchar(200) NOT NULL DEFAULT '',
  `tax_rate` varchar(8) NOT NULL DEFAULT '',
  `tax_rate_name` varchar(200) NOT NULL DEFAULT '',
  `tax_rate_priority` bigint(20) unsigned NOT NULL,
  `tax_rate_compound` int(1) NOT NULL DEFAULT 0,
  `tax_rate_shipping` int(1) NOT NULL DEFAULT 1,
  `tax_rate_order` bigint(20) unsigned NOT NULL,
  `tax_rate_class` varchar(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`tax_rate_id`),
  KEY `tax_rate_country` (`tax_rate_country`),
  KEY `tax_rate_state` (`tax_rate_state`(2)),
  KEY `tax_rate_class` (`tax_rate_class`(10)),
  KEY `tax_rate_priority` (`tax_rate_priority`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_sa_actionscheduler_actions */
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("11", "wc_gla_cron_daily_notes", "failed", "2023-07-02 10:29:48", "2023-07-02 10:29:48", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688293788;s:18:\"\0*\0first_timestamp\";i:1688293788;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688293788;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "2", "1", "2023-07-02 10:29:49", "2023-07-02 13:59:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("17", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-03 10:29:51", "2023-07-03 10:29:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688380191;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688380191;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-03 10:29:55", "2023-07-03 13:59:55", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("18", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-02 11:29:51", "2023-07-02 11:29:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688297391;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688297391;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 04:56:48", "2023-07-03 08:26:48", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("21", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 05:56:48", "2023-07-03 05:56:48", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688363808;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688363808;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 05:58:06", "2023-07-03 09:28:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("22", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 06:58:06", "2023-07-03 06:58:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688367486;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688367486;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 06:58:15", "2023-07-03 10:28:15", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("23", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 07:58:15", "2023-07-03 07:58:15", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688371095;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688371095;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 07:58:56", "2023-07-03 11:28:56", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("24", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 08:58:56", "2023-07-03 08:58:56", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688374736;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688374736;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 08:58:56", "2023-07-03 12:28:56", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("25", "woocommerce_admin/stored_state_setup_for_products/async/run_remote_notifications", "failed", "2023-07-03 08:14:14", "2023-07-03 08:14:14", "[]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "0", "1", "2023-07-03 08:14:48", "2023-07-03 11:44:48", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("36", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 09:58:56", "2023-07-03 09:58:56", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688378336;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688378336;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 09:59:33", "2023-07-03 13:29:33", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("48", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 10:59:33", "2023-07-03 10:59:33", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688381973;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688381973;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-03 10:59:52", "2023-07-03 14:29:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("50", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-04 10:29:55", "2023-07-04 10:29:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688466595;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688466595;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-04 10:29:57", "2023-07-04 13:59:57", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("51", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-03 11:59:52", "2023-07-03 11:59:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688385592;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688385592;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 04:53:22", "2023-07-04 08:23:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("52", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 05:53:22", "2023-07-04 05:53:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688450002;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688450002;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 05:53:56", "2023-07-04 09:23:56", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("53", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 06:53:56", "2023-07-04 06:53:56", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688453636;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688453636;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 06:54:58", "2023-07-04 10:24:58", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("54", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 07:54:58", "2023-07-04 07:54:58", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688457298;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688457298;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 07:56:42", "2023-07-04 11:26:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("60", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 08:56:42", "2023-07-04 08:56:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688461002;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688461002;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 08:58:08", "2023-07-04 12:28:08", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("61", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 09:58:08", "2023-07-04 09:58:08", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688464688;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688464688;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 09:58:38", "2023-07-04 13:28:38", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("62", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 10:58:38", "2023-07-04 10:58:38", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688468318;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688468318;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-04 10:58:47", "2023-07-04 14:28:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("64", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-05 10:29:57", "2023-07-05 10:29:57", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688552997;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688552997;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-05 10:30:10", "2023-07-05 14:00:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("65", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-04 11:58:47", "2023-07-04 11:58:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688471927;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688471927;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 04:56:33", "2023-07-05 08:26:33", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("66", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 05:56:33", "2023-07-05 05:56:33", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688536593;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688536593;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 05:57:08", "2023-07-05 09:27:08", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("69", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 06:57:08", "2023-07-05 06:57:08", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688540228;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688540228;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 06:57:50", "2023-07-05 10:27:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("70", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 07:57:50", "2023-07-05 07:57:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688543870;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688543870;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 07:57:54", "2023-07-05 11:27:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("73", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 08:57:54", "2023-07-05 08:57:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688547474;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688547474;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 08:58:17", "2023-07-05 12:28:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("74", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 09:58:17", "2023-07-05 09:58:17", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688551097;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688551097;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 09:58:50", "2023-07-05 13:28:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("75", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 10:58:50", "2023-07-05 10:58:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688554730;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688554730;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 10:59:27", "2023-07-05 14:29:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("78", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-06 10:30:11", "2023-07-06 10:30:11", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688639411;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688639411;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-06 10:30:45", "2023-07-06 14:00:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("79", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 11:59:27", "2023-07-05 11:59:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688558367;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688558367;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 11:59:41", "2023-07-05 15:29:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("80", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 12:59:41", "2023-07-05 12:59:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688561981;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688561981;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 12:59:50", "2023-07-05 16:29:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("81", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 13:59:50", "2023-07-05 13:59:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688565590;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688565590;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-05 14:52:04", "2023-07-05 18:22:04", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("82", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-05 15:52:04", "2023-07-05 15:52:04", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688572324;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688572324;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 04:54:18", "2023-07-06 08:24:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("83", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 05:54:18", "2023-07-06 05:54:18", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688622858;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688622858;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 05:54:45", "2023-07-06 09:24:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("86", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 06:54:45", "2023-07-06 06:54:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688626485;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688626485;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 06:54:48", "2023-07-06 10:24:48", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("91", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 07:54:48", "2023-07-06 07:54:48", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688630088;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688630088;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 07:54:49", "2023-07-06 11:24:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("101", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 08:54:49", "2023-07-06 08:54:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688633689;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688633689;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 08:54:52", "2023-07-06 12:24:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("102", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 09:54:52", "2023-07-06 09:54:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688637292;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688637292;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 09:55:45", "2023-07-06 13:25:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("103", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 10:55:45", "2023-07-06 10:55:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688640945;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688640945;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 10:55:50", "2023-07-06 14:25:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("105", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-07 10:30:45", "2023-07-07 10:30:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688725845;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688725845;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-07 16:48:22", "2023-07-07 20:18:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("106", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 11:55:50", "2023-07-06 11:55:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688644550;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688644550;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 11:56:16", "2023-07-06 15:26:16", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("110", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 12:56:16", "2023-07-06 12:56:16", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688648176;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688648176;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-06 12:56:49", "2023-07-06 16:26:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("150", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-06 13:56:49", "2023-07-06 13:56:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688651809;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688651809;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-07 16:48:22", "2023-07-07 20:18:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("152", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-07 17:48:22", "2023-07-07 17:48:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688752102;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688752102;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 04:42:41", "2023-07-08 08:12:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("154", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-08 16:48:22", "2023-07-08 16:48:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688834902;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688834902;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-09 05:33:39", "2023-07-09 09:03:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("155", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 05:42:41", "2023-07-08 05:42:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688794961;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688794961;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 05:43:02", "2023-07-08 09:13:02", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("156", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 06:43:02", "2023-07-08 06:43:02", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688798582;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688798582;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 06:43:47", "2023-07-08 10:13:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("157", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 07:43:47", "2023-07-08 07:43:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688802227;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688802227;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 07:43:48", "2023-07-08 11:13:48", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("158", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 08:43:49", "2023-07-08 08:43:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688805829;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688805829;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 08:43:51", "2023-07-08 12:13:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("159", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 09:43:51", "2023-07-08 09:43:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688809431;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688809431;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 09:44:12", "2023-07-08 13:14:12", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("160", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 10:44:12", "2023-07-08 10:44:12", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688813052;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688813052;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 10:44:56", "2023-07-08 14:14:56", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("162", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 11:44:57", "2023-07-08 11:44:57", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688816697;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688816697;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-08 11:45:07", "2023-07-08 15:15:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("164", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-08 12:45:07", "2023-07-08 12:45:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688820307;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688820307;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 05:33:39", "2023-07-09 09:03:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("166", "rocket_preload_job_check_finished", "failed", "2023-07-08 12:05:12", "2023-07-08 12:05:12", "[1688817852]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1688817912;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1688817912;}", "8", "1", "2023-07-08 12:05:18", "2023-07-08 15:35:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("178", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 06:33:39", "2023-07-09 06:33:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688884419;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688884419;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 06:33:51", "2023-07-09 06:33:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("180", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-10 05:33:39", "2023-07-10 05:33:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688967219;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688967219;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-10 08:14:04", "2023-07-10 08:14:04", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("181", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 07:33:51", "2023-07-09 07:33:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688888031;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688888031;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 07:34:47", "2023-07-09 07:34:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("182", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 08:34:47", "2023-07-09 08:34:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688891687;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688891687;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 08:36:04", "2023-07-09 08:36:04", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("183", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 09:36:04", "2023-07-09 09:36:04", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688895364;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688895364;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 09:37:12", "2023-07-09 09:37:12", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("184", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 10:37:12", "2023-07-09 10:37:12", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688899032;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688899032;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 10:37:44", "2023-07-09 10:37:44", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("185", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 11:37:44", "2023-07-09 11:37:44", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688902664;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688902664;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 11:37:53", "2023-07-09 11:37:53", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("186", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 12:37:53", "2023-07-09 12:37:53", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688906273;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688906273;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 12:37:57", "2023-07-09 12:37:57", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("199", "rocket_preload_job_check_finished", "failed", "2023-07-09 12:30:20", "2023-07-09 12:30:20", "[1688905760]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1688905820;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1688905820;}", "8", "1", "2023-07-09 12:30:50", "2023-07-09 12:30:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("201", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 13:37:57", "2023-07-09 13:37:57", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688909877;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688909877;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-09 16:00:27", "2023-07-09 16:00:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("215", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-09 17:00:27", "2023-07-09 17:00:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688922027;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688922027;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-10 08:14:04", "2023-07-10 08:14:04", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("216", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-10 09:14:04", "2023-07-10 09:14:04", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688980444;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688980444;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-10 09:14:17", "2023-07-10 09:14:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("218", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-11 08:14:04", "2023-07-11 08:14:04", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689063244;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689063244;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-11 08:40:20", "2023-07-11 08:40:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("230", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-10 10:14:17", "2023-07-10 10:14:17", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688984057;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688984057;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-10 10:15:07", "2023-07-10 10:15:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("234", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-10 11:15:07", "2023-07-10 11:15:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688987707;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688987707;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-10 12:07:32", "2023-07-10 12:07:32", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("235", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-10 13:07:32", "2023-07-10 13:07:32", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1688994452;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1688994452;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-10 14:09:58", "2023-07-10 14:09:58", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("236", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-10 15:09:58", "2023-07-10 15:09:58", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689001798;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689001798;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 05:16:49", "2023-07-11 05:16:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("237", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 06:16:49", "2023-07-11 06:16:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689056209;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689056209;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 06:16:54", "2023-07-11 06:16:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("240", "rocket_preload_job_check_finished", "failed", "2023-07-11 05:45:39", "2023-07-11 05:45:39", "[1689054279]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1689054339;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1689054339;}", "8", "1", "2023-07-11 05:46:17", "2023-07-11 05:46:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("242", "action_scheduler/migration_hook", "failed", "2023-07-11 05:47:17", "2023-07-11 05:47:17", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1689054437;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1689054437;}", "1", "1", "2023-07-11 05:47:47", "2023-07-11 05:47:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("255", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 07:16:54", "2023-07-11 07:16:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689059814;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689059814;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 08:40:20", "2023-07-11 08:40:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("256", "rocket_preload_job_check_finished", "failed", "2023-07-11 06:44:02", "2023-07-11 06:44:02", "[1689057782]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1689057842;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1689057842;}", "8", "1", "2023-07-11 06:44:31", "2023-07-11 06:44:31", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("258", "action_scheduler/migration_hook", "failed", "2023-07-11 06:45:31", "2023-07-11 06:45:31", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1689057931;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1689057931;}", "1", "1", "2023-07-11 06:45:37", "2023-07-11 06:45:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("272", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 09:40:20", "2023-07-11 09:40:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689068420;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689068420;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 12:55:41", "2023-07-11 12:55:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("274", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-12 08:40:20", "2023-07-12 08:40:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689151220;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689151220;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-12 11:09:06", "2023-07-12 11:09:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("275", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 13:55:41", "2023-07-11 13:55:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689083741;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689083741;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 14:16:17", "2023-07-11 14:16:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("276", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 15:16:17", "2023-07-11 15:16:17", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689088577;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689088577;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 15:58:53", "2023-07-11 15:58:53", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("277", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 16:58:53", "2023-07-11 16:58:53", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689094733;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689094733;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 17:20:22", "2023-07-11 17:20:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("278", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 18:20:22", "2023-07-11 18:20:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689099622;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689099622;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-11 20:24:51", "2023-07-11 20:24:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("279", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-11 21:24:51", "2023-07-11 21:24:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689110691;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689110691;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-12 05:08:41", "2023-07-12 05:08:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("280", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-12 06:08:41", "2023-07-12 06:08:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689142121;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689142121;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-12 06:26:17", "2023-07-12 06:26:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("281", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-12 07:26:17", "2023-07-12 07:26:17", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689146777;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689146777;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-12 07:51:00", "2023-07-12 07:51:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("282", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-12 08:51:00", "2023-07-12 08:51:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689151860;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689151860;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-12 11:09:06", "2023-07-12 11:09:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("284", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-13 11:09:06", "2023-07-13 11:09:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689246546;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689246546;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-13 14:19:52", "2023-07-13 14:19:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("285", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-12 12:09:06", "2023-07-12 12:09:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689163746;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689163746;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-12 19:45:09", "2023-07-12 19:45:09", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("286", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-12 20:45:10", "2023-07-12 20:45:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689194710;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689194710;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-13 09:28:01", "2023-07-13 09:28:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("287", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-13 10:28:01", "2023-07-13 10:28:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689244081;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689244081;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-13 10:37:26", "2023-07-13 10:37:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("288", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-13 11:37:26", "2023-07-13 11:37:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689248246;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689248246;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-13 14:19:52", "2023-07-13 14:19:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("290", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-14 14:19:52", "2023-07-14 14:19:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689344392;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689344392;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-14 18:57:39", "2023-07-14 18:57:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("291", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-13 15:19:52", "2023-07-13 15:19:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689261592;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689261592;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-13 17:40:33", "2023-07-13 17:40:33", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("292", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-13 18:40:33", "2023-07-13 18:40:33", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689273633;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689273633;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-14 06:11:42", "2023-07-14 06:11:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("293", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-14 07:11:42", "2023-07-14 07:11:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689318702;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689318702;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-14 10:53:45", "2023-07-14 10:53:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("294", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-14 11:53:45", "2023-07-14 11:53:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689335625;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689335625;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-14 18:57:39", "2023-07-14 18:57:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("295", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-14 19:57:39", "2023-07-14 19:57:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689364659;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689364659;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 05:57:10", "2023-07-15 05:57:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("297", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-15 18:57:39", "2023-07-15 18:57:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689447459;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689447459;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-15 22:44:03", "2023-07-15 22:44:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("298", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 06:57:10", "2023-07-15 06:57:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689404230;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689404230;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 07:40:58", "2023-07-15 07:40:58", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("299", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 08:40:58", "2023-07-15 08:40:58", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689410458;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689410458;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 08:42:40", "2023-07-15 08:42:40", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("300", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 09:42:40", "2023-07-15 09:42:40", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689414160;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689414160;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 09:56:38", "2023-07-15 09:56:38", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("301", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 10:56:38", "2023-07-15 10:56:38", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689418598;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689418598;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 14:45:28", "2023-07-15 14:45:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("302", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 15:45:28", "2023-07-15 15:45:28", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689435928;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689435928;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 18:50:39", "2023-07-15 18:50:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("303", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 19:50:39", "2023-07-15 19:50:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689450639;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689450639;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 22:44:03", "2023-07-15 22:44:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("305", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-16 22:44:03", "2023-07-16 22:44:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689547443;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689547443;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-17 00:05:00", "2023-07-17 00:05:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("306", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-15 23:44:03", "2023-07-15 23:44:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689464643;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689464643;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-15 23:55:43", "2023-07-15 23:55:43", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("307", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-16 00:55:43", "2023-07-16 00:55:43", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689468943;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689468943;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-16 12:11:37", "2023-07-16 12:11:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("308", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-16 13:11:37", "2023-07-16 13:11:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689513097;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689513097;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-16 20:27:10", "2023-07-16 20:27:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("309", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-16 21:27:10", "2023-07-16 21:27:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689542830;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689542830;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-17 00:04:57", "2023-07-17 00:04:57", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("310", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-17 01:04:58", "2023-07-17 01:04:58", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689555898;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689555898;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-17 08:46:20", "2023-07-17 08:46:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("312", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-18 00:05:00", "2023-07-18 00:05:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689638700;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689638700;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-18 06:01:27", "2023-07-18 06:01:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("313", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-17 09:46:20", "2023-07-17 09:46:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689587180;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689587180;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-17 13:43:55", "2023-07-17 13:43:55", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("314", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-17 14:43:55", "2023-07-17 14:43:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689605035;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689605035;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 06:01:27", "2023-07-18 06:01:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("315", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 07:01:27", "2023-07-18 07:01:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689663687;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689663687;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 07:39:42", "2023-07-18 07:39:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("317", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-19 06:01:27", "2023-07-19 06:01:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689746487;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689746487;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-19 07:33:21", "2023-07-19 07:33:21", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("331", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 08:39:42", "2023-07-18 08:39:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689669582;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689669582;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 09:13:42", "2023-07-18 09:13:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("332", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 10:13:42", "2023-07-18 10:13:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689675222;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689675222;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 13:51:03", "2023-07-18 13:51:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("333", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 14:51:03", "2023-07-18 14:51:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689691863;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689691863;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 16:30:26", "2023-07-18 16:30:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("334", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 17:30:26", "2023-07-18 17:30:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689701426;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689701426;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 18:26:58", "2023-07-18 18:26:58", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("335", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 19:26:58", "2023-07-18 19:26:58", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689708418;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689708418;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-18 21:39:01", "2023-07-18 21:39:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("336", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-18 22:39:01", "2023-07-18 22:39:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689719941;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689719941;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-19 07:33:21", "2023-07-19 07:33:21", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("337", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-19 08:33:21", "2023-07-19 08:33:21", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689755601;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689755601;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-19 08:48:45", "2023-07-19 08:48:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("339", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-20 07:33:21", "2023-07-20 07:33:21", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689838401;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689838401;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-20 15:51:21", "2023-07-20 15:51:21", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("340", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-19 09:48:45", "2023-07-19 09:48:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689760125;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689760125;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-19 10:09:11", "2023-07-19 10:09:11", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("341", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-19 11:09:11", "2023-07-19 11:09:11", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689764951;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689764951;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-19 11:34:58", "2023-07-19 11:34:58", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("342", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-19 12:34:58", "2023-07-19 12:34:58", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689770098;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689770098;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-20 04:39:26", "2023-07-20 04:39:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("343", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-20 05:39:26", "2023-07-20 05:39:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689831566;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689831566;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-20 06:44:41", "2023-07-20 06:44:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("344", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-20 07:44:41", "2023-07-20 07:44:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689839081;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689839081;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-20 15:51:21", "2023-07-20 15:51:21", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("346", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-21 15:51:21", "2023-07-21 15:51:21", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689954681;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689954681;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-21 18:21:46", "2023-07-21 18:21:46", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("347", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-20 16:51:21", "2023-07-20 16:51:21", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689871881;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689871881;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-21 12:05:06", "2023-07-21 12:05:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("348", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-21 13:05:06", "2023-07-21 13:05:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689944706;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689944706;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-21 14:53:39", "2023-07-21 14:53:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("349", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-21 15:53:39", "2023-07-21 15:53:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689954819;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689954819;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-21 18:21:46", "2023-07-21 18:21:46", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("351", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-22 18:21:46", "2023-07-22 18:21:46", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690050106;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690050106;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-23 09:29:10", "2023-07-23 09:29:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("352", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-21 19:21:46", "2023-07-21 19:21:46", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689967306;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689967306;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-21 21:45:01", "2023-07-21 21:45:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("353", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-21 22:45:01", "2023-07-21 22:45:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689979501;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689979501;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-22 00:16:51", "2023-07-22 00:16:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("354", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-22 01:16:51", "2023-07-22 01:16:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1689988611;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1689988611;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-22 07:43:30", "2023-07-22 07:43:30", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("355", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-22 08:43:30", "2023-07-22 08:43:30", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690015410;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690015410;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-22 09:26:28", "2023-07-22 09:26:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("356", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-22 10:26:28", "2023-07-22 10:26:28", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690021588;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690021588;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-22 15:17:12", "2023-07-22 15:17:12", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("357", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-22 16:17:12", "2023-07-22 16:17:12", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690042632;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690042632;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-23 09:29:10", "2023-07-23 09:29:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("358", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-23 10:29:10", "2023-07-23 10:29:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690108150;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690108150;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-23 13:17:52", "2023-07-23 13:17:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("360", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-24 09:29:10", "2023-07-24 09:29:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690190950;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690190950;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-24 10:14:24", "2023-07-24 10:14:24", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("361", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-23 14:17:52", "2023-07-23 14:17:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690121872;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690121872;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-23 14:31:49", "2023-07-23 14:31:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("362", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-23 15:31:49", "2023-07-23 15:31:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690126309;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690126309;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-23 15:54:06", "2023-07-23 15:54:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("363", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-23 16:54:06", "2023-07-23 16:54:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690131246;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690131246;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-24 06:35:53", "2023-07-24 06:35:53", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("364", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-24 07:35:53", "2023-07-24 07:35:53", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690184153;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690184153;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-24 10:14:24", "2023-07-24 10:14:24", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("365", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-24 11:14:24", "2023-07-24 11:14:24", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690197264;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690197264;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 06:06:35", "2023-07-25 06:06:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("367", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-25 10:14:24", "2023-07-25 10:14:24", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690280064;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690280064;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-25 12:00:45", "2023-07-25 12:00:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("368", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 07:06:35", "2023-07-25 07:06:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690268795;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690268795;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 09:50:12", "2023-07-25 09:50:12", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("369", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 10:50:12", "2023-07-25 10:50:12", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690282212;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690282212;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 12:00:45", "2023-07-25 12:00:45", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("372", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-26 12:00:45", "2023-07-26 12:00:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690372845;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690372845;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-26 15:09:26", "2023-07-26 15:09:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("373", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 13:00:45", "2023-07-25 13:00:45", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690290045;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690290045;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 13:22:13", "2023-07-25 13:22:13", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("374", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 14:22:13", "2023-07-25 14:22:13", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690294933;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690294933;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 14:39:50", "2023-07-25 14:39:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("375", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 15:39:50", "2023-07-25 15:39:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690299590;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690299590;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 15:47:51", "2023-07-25 15:47:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("376", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 16:47:51", "2023-07-25 16:47:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690303671;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690303671;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 17:05:50", "2023-07-25 17:05:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("377", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 18:05:50", "2023-07-25 18:05:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690308350;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690308350;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 20:10:10", "2023-07-25 20:10:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("378", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 21:10:10", "2023-07-25 21:10:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690319410;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690319410;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 21:40:34", "2023-07-25 21:40:34", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("379", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 22:40:34", "2023-07-25 22:40:34", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690324834;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690324834;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-25 22:51:49", "2023-07-25 22:51:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("380", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-25 23:51:49", "2023-07-25 23:51:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690329109;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690329109;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-26 15:09:26", "2023-07-26 15:09:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("381", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-26 16:09:26", "2023-07-26 16:09:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690387766;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690387766;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-26 16:10:55", "2023-07-26 16:10:55", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("383", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-27 15:09:26", "2023-07-27 15:09:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690470566;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690470566;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-27 21:30:37", "2023-07-27 21:30:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("384", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-26 17:10:55", "2023-07-26 17:10:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690391455;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690391455;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-26 17:15:17", "2023-07-26 17:15:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("385", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-26 18:15:17", "2023-07-26 18:15:17", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690395317;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690395317;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-26 18:31:54", "2023-07-26 18:31:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("386", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-26 19:31:54", "2023-07-26 19:31:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690399914;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690399914;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-27 06:01:39", "2023-07-27 06:01:39", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("387", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-27 07:01:39", "2023-07-27 07:01:39", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690441299;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690441299;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-27 21:30:37", "2023-07-27 21:30:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("388", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-27 22:30:37", "2023-07-27 22:30:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690497037;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690497037;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-28 00:12:00", "2023-07-28 00:12:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("390", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-28 21:30:37", "2023-07-28 21:30:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690579837;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690579837;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-28 21:34:00", "2023-07-28 21:34:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("391", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-28 01:12:00", "2023-07-28 01:12:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690506720;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690506720;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-28 05:40:15", "2023-07-28 05:40:15", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("392", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-28 06:40:15", "2023-07-28 06:40:15", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690526415;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690526415;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-28 21:34:00", "2023-07-28 21:34:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("393", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-28 22:34:00", "2023-07-28 22:34:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690583640;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690583640;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-28 22:35:43", "2023-07-28 22:35:43", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("395", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-29 21:34:00", "2023-07-29 21:34:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690666440;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690666440;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-29 21:53:41", "2023-07-29 21:53:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("396", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-28 23:35:43", "2023-07-28 23:35:43", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690587343;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690587343;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 00:21:37", "2023-07-29 00:21:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("397", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 01:21:37", "2023-07-29 01:21:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690593697;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690593697;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 03:44:16", "2023-07-29 03:44:16", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("398", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 04:44:16", "2023-07-29 04:44:16", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690605856;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690605856;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 05:25:14", "2023-07-29 05:25:14", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("399", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 06:25:14", "2023-07-29 06:25:14", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690611914;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690611914;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 06:35:18", "2023-07-29 06:35:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("400", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 07:35:18", "2023-07-29 07:35:18", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690616118;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690616118;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 07:37:00", "2023-07-29 07:37:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("401", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 08:37:00", "2023-07-29 08:37:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690619820;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690619820;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 08:39:43", "2023-07-29 08:39:43", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("402", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 09:39:43", "2023-07-29 09:39:43", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690623583;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690623583;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 09:43:38", "2023-07-29 09:43:38", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("403", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 10:43:38", "2023-07-29 10:43:38", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690627418;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690627418;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 10:44:35", "2023-07-29 10:44:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("404", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 11:44:35", "2023-07-29 11:44:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690631075;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690631075;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 12:13:54", "2023-07-29 12:13:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("405", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 13:13:54", "2023-07-29 13:13:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690636434;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690636434;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 13:40:23", "2023-07-29 13:40:23", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("406", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 14:40:23", "2023-07-29 14:40:23", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690641623;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690641623;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 14:49:53", "2023-07-29 14:49:53", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("407", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 15:49:53", "2023-07-29 15:49:53", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690645793;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690645793;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 16:09:13", "2023-07-29 16:09:13", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("408", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 17:09:13", "2023-07-29 17:09:13", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690650553;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690650553;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 17:12:30", "2023-07-29 17:12:30", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("409", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 18:12:30", "2023-07-29 18:12:30", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690654350;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690654350;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 18:29:18", "2023-07-29 18:29:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("410", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 19:29:18", "2023-07-29 19:29:18", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690658958;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690658958;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 19:30:08", "2023-07-29 19:30:08", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("411", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 20:30:08", "2023-07-29 20:30:08", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690662608;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690662608;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 20:30:47", "2023-07-29 20:30:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("412", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 21:30:47", "2023-07-29 21:30:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690666247;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690666247;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-29 21:53:41", "2023-07-29 21:53:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("413", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-29 22:53:41", "2023-07-29 22:53:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690671221;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690671221;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 00:41:46", "2023-07-30 00:41:46", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("415", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-30 21:53:41", "2023-07-30 21:53:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690754021;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690754021;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-30 22:15:52", "2023-07-30 22:15:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("416", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 01:41:46", "2023-07-30 01:41:46", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690681306;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690681306;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 02:55:24", "2023-07-30 02:55:24", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("417", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 03:55:24", "2023-07-30 03:55:24", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690689324;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690689324;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 04:42:47", "2023-07-30 04:42:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("418", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 05:42:47", "2023-07-30 05:42:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690695767;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690695767;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 05:43:22", "2023-07-30 05:43:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("422", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 06:43:22", "2023-07-30 06:43:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690699402;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690699402;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 06:45:26", "2023-07-30 06:45:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("436", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 07:45:26", "2023-07-30 07:45:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690703126;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690703126;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 07:53:06", "2023-07-30 07:53:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("437", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 08:53:06", "2023-07-30 08:53:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690707186;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690707186;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 08:55:10", "2023-07-30 08:55:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("438", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 09:55:10", "2023-07-30 09:55:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690710910;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690710910;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 09:55:18", "2023-07-30 09:55:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("439", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 10:55:18", "2023-07-30 10:55:18", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690714518;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690714518;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 11:09:46", "2023-07-30 11:09:46", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("440", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 12:09:46", "2023-07-30 12:09:46", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690718986;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690718986;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 12:15:07", "2023-07-30 12:15:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("441", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 13:15:07", "2023-07-30 13:15:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690722907;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690722907;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 13:15:12", "2023-07-30 13:15:12", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("442", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 14:15:12", "2023-07-30 14:15:12", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690726512;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690726512;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 14:48:30", "2023-07-30 14:48:30", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("443", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 15:48:30", "2023-07-30 15:48:30", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690732110;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690732110;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 15:55:18", "2023-07-30 15:55:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("444", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 16:55:18", "2023-07-30 16:55:18", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690736118;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690736118;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 17:39:05", "2023-07-30 17:39:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("445", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 18:39:05", "2023-07-30 18:39:05", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690742345;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690742345;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 18:45:27", "2023-07-30 18:45:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("446", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 19:45:27", "2023-07-30 19:45:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690746327;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690746327;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 20:14:53", "2023-07-30 20:14:53", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("447", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 21:14:53", "2023-07-30 21:14:53", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690751693;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690751693;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 22:15:52", "2023-07-30 22:15:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("448", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-30 23:15:52", "2023-07-30 23:15:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690758952;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690758952;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-30 23:29:03", "2023-07-30 23:29:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("450", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-07-31 22:15:52", "2023-07-31 22:15:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690841752;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690841752;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-07-31 22:20:03", "2023-07-31 22:20:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("451", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 00:29:03", "2023-07-31 00:29:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690763343;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690763343;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 00:30:06", "2023-07-31 00:30:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("452", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 01:30:06", "2023-07-31 01:30:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690767006;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690767006;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 01:51:57", "2023-07-31 01:51:57", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("453", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 02:51:57", "2023-07-31 02:51:57", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690771917;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690771917;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 04:27:17", "2023-07-31 04:27:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("454", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 05:27:17", "2023-07-31 05:27:17", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690781237;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690781237;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 05:33:29", "2023-07-31 05:33:29", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("455", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 06:33:29", "2023-07-31 06:33:29", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690785209;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690785209;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 07:18:20", "2023-07-31 07:18:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("456", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 08:18:20", "2023-07-31 08:18:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690791500;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690791500;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 08:24:09", "2023-07-31 08:24:09", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("457", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 09:24:09", "2023-07-31 09:24:09", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690795449;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690795449;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 09:42:20", "2023-07-31 09:42:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("458", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 10:42:20", "2023-07-31 10:42:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690800140;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690800140;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 10:46:06", "2023-07-31 10:46:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("460", "action_scheduler/migration_hook", "failed", "2023-07-31 10:06:52", "2023-07-31 10:06:52", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1690798012;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1690798012;}", "1", "1", "2023-07-31 10:06:57", "2023-07-31 10:06:57", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("463", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 11:46:06", "2023-07-31 11:46:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690803966;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690803966;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 12:04:35", "2023-07-31 12:04:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("464", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 13:04:35", "2023-07-31 13:04:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690808675;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690808675;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 13:15:07", "2023-07-31 13:15:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("465", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 14:15:07", "2023-07-31 14:15:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690812907;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690812907;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 14:15:41", "2023-07-31 14:15:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("466", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 15:15:41", "2023-07-31 15:15:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690816541;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690816541;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 15:19:03", "2023-07-31 15:19:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("467", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 16:19:03", "2023-07-31 16:19:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690820343;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690820343;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 16:19:55", "2023-07-31 16:19:55", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("468", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 17:19:55", "2023-07-31 17:19:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690823995;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690823995;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 17:20:13", "2023-07-31 17:20:13", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("469", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 18:20:13", "2023-07-31 18:20:13", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690827613;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690827613;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 18:21:50", "2023-07-31 18:21:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("470", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 19:21:50", "2023-07-31 19:21:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690831310;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690831310;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 19:22:01", "2023-07-31 19:22:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("471", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 20:22:01", "2023-07-31 20:22:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690834921;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690834921;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 20:22:49", "2023-07-31 20:22:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("472", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 21:22:49", "2023-07-31 21:22:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690838569;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690838569;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 21:29:16", "2023-07-31 21:29:16", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("473", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 22:29:16", "2023-07-31 22:29:16", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690842556;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690842556;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 22:30:19", "2023-07-31 22:30:19", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("475", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-08-01 22:20:03", "2023-08-01 22:20:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690928403;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690928403;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-08-01 22:21:54", "2023-08-01 22:21:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("476", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-07-31 23:30:19", "2023-07-31 23:30:19", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690846219;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690846219;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-07-31 23:49:49", "2023-07-31 23:49:49", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("477", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 00:49:49", "2023-08-01 00:49:49", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690850989;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690850989;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 00:52:15", "2023-08-01 00:52:15", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("478", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 01:52:15", "2023-08-01 01:52:15", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690854735;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690854735;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 02:06:50", "2023-08-01 02:06:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("479", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 03:06:50", "2023-08-01 03:06:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690859210;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690859210;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 03:52:43", "2023-08-01 03:52:43", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("480", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 04:52:43", "2023-08-01 04:52:43", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690865563;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690865563;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 05:21:52", "2023-08-01 05:21:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("481", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 06:21:52", "2023-08-01 06:21:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690870912;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690870912;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 06:26:26", "2023-08-01 06:26:26", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("482", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 07:26:26", "2023-08-01 07:26:26", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690874786;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690874786;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 07:35:50", "2023-08-01 07:35:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("483", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 08:35:50", "2023-08-01 08:35:50", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690878950;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690878950;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 08:37:03", "2023-08-01 08:37:03", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("484", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 09:37:03", "2023-08-01 09:37:03", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690882623;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690882623;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 09:38:07", "2023-08-01 09:38:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("485", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 10:38:07", "2023-08-01 10:38:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690886287;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690886287;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 10:39:37", "2023-08-01 10:39:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("486", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 11:39:37", "2023-08-01 11:39:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690889977;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690889977;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 11:41:22", "2023-08-01 11:41:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("487", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 12:41:22", "2023-08-01 12:41:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690893682;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690893682;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 12:42:00", "2023-08-01 12:42:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("488", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 13:42:00", "2023-08-01 13:42:00", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690897320;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690897320;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 13:42:06", "2023-08-01 13:42:06", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("489", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 14:42:06", "2023-08-01 14:42:06", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690900926;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690900926;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 14:57:04", "2023-08-01 14:57:04", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("490", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 15:57:04", "2023-08-01 15:57:04", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690905424;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690905424;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 16:03:43", "2023-08-01 16:03:43", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("491", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 17:03:43", "2023-08-01 17:03:43", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690909423;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690909423;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 17:11:31", "2023-08-01 17:11:31", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("492", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 18:11:31", "2023-08-01 18:11:31", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690913491;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690913491;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 18:12:20", "2023-08-01 18:12:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("493", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 19:12:20", "2023-08-01 19:12:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690917140;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690917140;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 19:12:55", "2023-08-01 19:12:55", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("494", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 20:12:55", "2023-08-01 20:12:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690920775;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690920775;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 20:15:23", "2023-08-01 20:15:23", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("495", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 21:15:23", "2023-08-01 21:15:23", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690924523;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690924523;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 21:17:41", "2023-08-01 21:17:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("496", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 22:17:41", "2023-08-01 22:17:41", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690928261;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690928261;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-01 22:21:54", "2023-08-01 22:21:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("497", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-01 23:21:54", "2023-08-01 23:21:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690932114;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690932114;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 00:02:16", "2023-08-02 00:02:16", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("499", "pinterest_for_woocommerce_daily_heartbeat", "failed", "2023-08-02 22:21:54", "2023-08-02 22:21:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1691014914;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1691014914;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "4", "1", "2023-08-02 22:44:18", "2023-08-02 22:44:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("500", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 01:02:16", "2023-08-02 01:02:16", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690938136;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690938136;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 01:34:33", "2023-08-02 01:34:33", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("501", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 02:34:33", "2023-08-02 02:34:33", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690943673;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690943673;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 03:16:36", "2023-08-02 03:16:36", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("502", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 04:16:36", "2023-08-02 04:16:36", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690949796;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690949796;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 04:16:52", "2023-08-02 04:16:52", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("503", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 05:16:52", "2023-08-02 05:16:52", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690953412;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690953412;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 05:26:01", "2023-08-02 05:26:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("504", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 06:26:01", "2023-08-02 06:26:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690957561;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690957561;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 06:27:07", "2023-08-02 06:27:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("505", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 07:27:07", "2023-08-02 07:27:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690961227;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690961227;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 07:27:23", "2023-08-02 07:27:23", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("506", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 08:27:23", "2023-08-02 08:27:23", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690964843;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690964843;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 08:34:16", "2023-08-02 08:34:16", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("507", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 09:34:16", "2023-08-02 09:34:16", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690968856;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690968856;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 09:39:24", "2023-08-02 09:39:24", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("508", "pinterest_for_woocommerce_hourly_heartbeat", "failed", "2023-08-02 10:39:24", "2023-08-02 10:39:24", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1690972764;s:18:\"\0*\0first_timestamp\";i:1688293790;s:13:\"\0*\0recurrence\";i:3600;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1690972764;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:3600;}", "4", "1", "2023-08-02 10:40:11", "2023-08-02 10:40:11", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("815", "woocommerce_cleanup_draft_orders", "complete", "2024-04-27 02:09:55", "2024-04-27 05:39:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714183795;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714183795;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-27 02:43:35", "2024-04-27 06:13:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("816", "woocommerce_cleanup_draft_orders", "complete", "2024-04-27 02:09:55", "2024-04-27 05:39:55", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714183795;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714183795;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-27 02:43:35", "2024-04-27 06:13:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("817", "woocommerce_cleanup_draft_orders", "complete", "2024-04-28 02:43:35", "2024-04-28 06:13:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714272215;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714272215;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-28 03:29:35", "2024-04-28 06:59:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("818", "woocommerce_cleanup_draft_orders", "complete", "2024-04-28 02:43:35", "2024-04-28 06:13:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714272215;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714272215;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-28 03:29:35", "2024-04-28 06:59:35", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("819", "woocommerce_cleanup_draft_orders", "complete", "2024-04-29 03:29:35", "2024-04-29 06:59:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714361375;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714361375;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-29 03:30:25", "2024-04-29 07:00:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("820", "woocommerce_cleanup_draft_orders", "complete", "2024-04-29 03:29:35", "2024-04-29 06:59:35", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714361375;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714361375;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-29 03:30:25", "2024-04-29 07:00:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("821", "woocommerce_cleanup_draft_orders", "complete", "2024-04-30 03:30:25", "2024-04-30 07:00:25", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714447825;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714447825;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-30 04:10:11", "2024-04-30 07:40:11", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("822", "woocommerce_cleanup_draft_orders", "complete", "2024-04-30 03:30:25", "2024-04-30 07:00:25", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714447825;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714447825;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-04-30 04:10:11", "2024-04-30 07:40:11", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("823", "rocket_preload_job_check_finished", "complete", "2024-04-29 10:18:47", "2024-04-29 13:48:47", "[1714385867]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1714385927;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1714385927;}", "8", "1", "2024-04-29 10:45:25", "2024-04-29 14:15:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("824", "woocommerce_cleanup_draft_orders", "complete", "2024-05-01 04:10:11", "2024-05-01 07:40:11", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714536611;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714536611;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-01 04:11:28", "2024-05-01 07:41:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("825", "woocommerce_cleanup_draft_orders", "complete", "2024-05-01 04:10:11", "2024-05-01 07:40:11", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714536611;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714536611;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-01 04:11:28", "2024-05-01 07:41:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("826", "woocommerce_cleanup_draft_orders", "complete", "2024-05-02 04:11:28", "2024-05-02 07:41:28", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714623088;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714623088;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-02 05:36:42", "2024-05-02 09:06:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("827", "woocommerce_cleanup_draft_orders", "complete", "2024-05-02 04:11:28", "2024-05-02 07:41:28", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714623088;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714623088;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-02 05:36:42", "2024-05-02 09:06:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("828", "rocket_preload_job_check_finished", "complete", "2024-05-01 07:26:08", "2024-05-01 10:56:08", "[1714548308]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1714548368;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1714548368;}", "8", "1", "2024-05-01 07:26:11", "2024-05-01 10:56:11", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("829", "rocket_preload_job_check_finished", "complete", "2024-05-01 14:13:13", "2024-05-01 17:43:13", "[1714572733]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1714572793;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1714572793;}", "8", "1", "2024-05-01 14:13:17", "2024-05-01 17:43:17", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("830", "woocommerce_cleanup_draft_orders", "complete", "2024-05-03 05:36:42", "2024-05-03 09:06:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714714602;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714714602;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-03 06:49:07", "2024-05-03 10:19:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("831", "woocommerce_cleanup_draft_orders", "complete", "2024-05-03 05:36:42", "2024-05-03 09:06:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714714602;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714714602;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-03 06:49:07", "2024-05-03 10:19:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("832", "woocommerce_cleanup_draft_orders", "complete", "2024-05-04 06:49:07", "2024-05-04 10:19:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714805347;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714805347;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-04 06:51:51", "2024-05-04 10:21:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("833", "woocommerce_cleanup_draft_orders", "complete", "2024-05-04 06:49:07", "2024-05-04 10:19:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714805347;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714805347;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-04 06:51:51", "2024-05-04 10:21:51", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("834", "woocommerce_cleanup_draft_orders", "complete", "2024-05-05 06:51:51", "2024-05-05 10:21:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714891911;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714891911;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-05 07:25:30", "2024-05-05 10:55:30", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("835", "woocommerce_cleanup_draft_orders", "complete", "2024-05-05 06:51:51", "2024-05-05 10:21:51", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714891911;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714891911;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-05 07:25:30", "2024-05-05 10:55:30", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("836", "woocommerce_cleanup_draft_orders", "complete", "2024-05-06 07:25:30", "2024-05-06 10:55:30", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714980330;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714980330;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-06 07:31:27", "2024-05-06 11:01:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("837", "woocommerce_cleanup_draft_orders", "complete", "2024-05-06 07:25:30", "2024-05-06 10:55:30", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1714980330;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1714980330;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-06 07:31:27", "2024-05-06 11:01:27", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("838", "woocommerce_cleanup_draft_orders", "complete", "2024-05-07 07:31:27", "2024-05-07 11:01:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715067087;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715067087;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-07 08:08:31", "2024-05-07 11:38:31", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("839", "woocommerce_cleanup_draft_orders", "complete", "2024-05-07 07:31:27", "2024-05-07 11:01:27", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715067087;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715067087;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-07 08:08:31", "2024-05-07 11:38:31", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("840", "rocket_preload_job_check_finished", "complete", "2024-05-06 10:13:20", "2024-05-06 13:43:20", "[1714990340]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1714990400;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1714990400;}", "8", "1", "2024-05-06 10:14:19", "2024-05-06 13:44:19", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("841", "woocommerce_cleanup_draft_orders", "complete", "2024-05-08 08:08:31", "2024-05-08 11:38:31", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715155711;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715155711;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-08 08:16:24", "2024-05-08 11:46:24", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("842", "woocommerce_cleanup_draft_orders", "complete", "2024-05-08 08:08:31", "2024-05-08 11:38:31", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715155711;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715155711;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-08 08:16:24", "2024-05-08 11:46:24", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("843", "woocommerce_cleanup_draft_orders", "complete", "2024-05-09 08:16:24", "2024-05-09 11:46:24", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715242584;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715242584;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-09 08:26:22", "2024-05-09 11:56:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("844", "woocommerce_cleanup_draft_orders", "complete", "2024-05-09 08:16:24", "2024-05-09 11:46:24", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715242584;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715242584;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-09 08:26:22", "2024-05-09 11:56:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("845", "woocommerce_cleanup_draft_orders", "complete", "2024-05-10 08:26:22", "2024-05-10 11:56:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715329582;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715329582;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-10 08:34:10", "2024-05-10 12:04:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("846", "woocommerce_cleanup_draft_orders", "complete", "2024-05-10 08:26:22", "2024-05-10 11:56:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715329582;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715329582;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-10 08:34:10", "2024-05-10 12:04:10", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("847", "woocommerce_cleanup_draft_orders", "complete", "2024-05-11 08:34:10", "2024-05-11 12:04:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715416450;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715416450;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-11 10:55:22", "2024-05-11 14:25:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("848", "woocommerce_cleanup_draft_orders", "complete", "2024-05-11 08:34:10", "2024-05-11 12:04:10", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715416450;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715416450;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-11 10:55:22", "2024-05-11 14:25:22", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("849", "woocommerce_cleanup_draft_orders", "complete", "2024-05-12 10:55:22", "2024-05-12 14:25:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715511322;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715511322;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-12 14:06:25", "2024-05-12 17:36:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("850", "woocommerce_cleanup_draft_orders", "complete", "2024-05-12 10:55:22", "2024-05-12 14:25:22", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715511322;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715511322;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-12 14:06:25", "2024-05-12 17:36:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("851", "woocommerce_cleanup_draft_orders", "complete", "2024-05-13 14:06:25", "2024-05-13 17:36:25", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715609185;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715609185;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-13 14:31:13", "2024-05-13 18:01:13", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("852", "woocommerce_cleanup_draft_orders", "complete", "2024-05-13 14:06:25", "2024-05-13 17:36:25", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715609185;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715609185;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-13 14:31:13", "2024-05-13 18:01:13", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("853", "rocket_preload_job_check_finished", "complete", "2024-05-13 10:57:27", "2024-05-13 14:27:27", "[1715597787]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1715597847;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1715597847;}", "8", "1", "2024-05-13 11:08:05", "2024-05-13 14:38:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("854", "woocommerce_cleanup_draft_orders", "complete", "2024-05-14 14:31:13", "2024-05-14 18:01:13", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715697073;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715697073;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-14 14:52:25", "2024-05-14 18:22:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("855", "woocommerce_cleanup_draft_orders", "complete", "2024-05-14 14:31:13", "2024-05-14 18:01:13", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715697073;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715697073;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-14 14:52:25", "2024-05-14 18:22:25", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("856", "woocommerce_cleanup_draft_orders", "complete", "2024-05-15 14:52:25", "2024-05-15 18:22:25", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715784745;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715784745;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-15 16:38:08", "2024-05-15 20:08:08", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("857", "woocommerce_cleanup_draft_orders", "complete", "2024-05-15 14:52:25", "2024-05-15 18:22:25", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715784745;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715784745;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-15 16:38:08", "2024-05-15 20:08:08", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("858", "woocommerce_cleanup_draft_orders", "complete", "2024-05-16 16:38:08", "2024-05-16 20:08:08", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715877488;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715877488;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-16 17:30:47", "2024-05-16 21:00:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("859", "woocommerce_cleanup_draft_orders", "complete", "2024-05-16 16:38:08", "2024-05-16 20:08:08", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715877488;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715877488;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-16 17:30:47", "2024-05-16 21:00:47", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("860", "woocommerce_cleanup_draft_orders", "complete", "2024-05-17 17:30:47", "2024-05-17 21:00:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715967047;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715967047;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-17 17:31:42", "2024-05-17 21:01:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("861", "woocommerce_cleanup_draft_orders", "complete", "2024-05-17 17:30:47", "2024-05-17 21:00:47", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1715967047;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1715967047;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-17 17:31:42", "2024-05-17 21:01:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("862", "woocommerce_cleanup_draft_orders", "complete", "2024-05-18 17:31:42", "2024-05-18 21:01:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716053502;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716053502;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-18 18:03:37", "2024-05-18 21:33:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("863", "woocommerce_cleanup_draft_orders", "complete", "2024-05-18 17:31:42", "2024-05-18 21:01:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716053502;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716053502;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-18 18:03:37", "2024-05-18 21:33:37", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("864", "woocommerce_cleanup_draft_orders", "complete", "2024-05-19 18:03:37", "2024-05-19 21:33:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716141817;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716141817;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-19 18:34:01", "2024-05-19 22:04:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("865", "woocommerce_cleanup_draft_orders", "complete", "2024-05-19 18:03:37", "2024-05-19 21:33:37", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716141817;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716141817;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-19 18:34:01", "2024-05-19 22:04:01", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("866", "woocommerce_cleanup_draft_orders", "complete", "2024-05-20 18:34:01", "2024-05-20 22:04:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716230041;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716230041;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-20 19:40:54", "2024-05-20 23:10:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("867", "woocommerce_cleanup_draft_orders", "complete", "2024-05-20 18:34:01", "2024-05-20 22:04:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716230041;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716230041;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-20 19:40:54", "2024-05-20 23:10:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("868", "rocket_preload_job_check_finished", "complete", "2024-05-20 10:34:24", "2024-05-20 14:04:24", "[1716201204]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716201264;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716201264;}", "8", "1", "2024-05-20 10:38:00", "2024-05-20 14:08:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("869", "woocommerce_cleanup_draft_orders", "complete", "2024-05-21 19:40:54", "2024-05-21 23:10:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716320454;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716320454;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-21 22:21:07", "2024-05-22 01:51:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("870", "woocommerce_cleanup_draft_orders", "complete", "2024-05-21 19:40:54", "2024-05-21 23:10:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716320454;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716320454;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-21 22:21:07", "2024-05-22 01:51:07", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("871", "woocommerce_cleanup_draft_orders", "complete", "2024-05-22 22:21:07", "2024-05-23 01:51:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716416467;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716416467;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-23 00:27:54", "2024-05-23 03:57:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("872", "woocommerce_cleanup_draft_orders", "complete", "2024-05-22 22:21:07", "2024-05-23 01:51:07", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716416467;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716416467;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-23 00:27:54", "2024-05-23 03:57:54", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("873", "woocommerce_cleanup_draft_orders", "complete", "2024-05-24 00:27:54", "2024-05-24 03:57:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716510474;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716510474;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-24 03:22:18", "2024-05-24 06:52:18", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("874", "woocommerce_cleanup_draft_orders", "complete", "2024-05-24 00:27:54", "2024-05-24 03:57:54", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716510474;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716510474;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-24 03:22:19", "2024-05-24 06:52:19", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("875", "woocommerce_cleanup_draft_orders", "complete", "2024-05-25 03:22:19", "2024-05-25 06:52:19", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716607339;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716607339;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-25 03:46:33", "2024-05-25 07:16:33", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("876", "woocommerce_cleanup_draft_orders", "complete", "2024-05-25 03:22:19", "2024-05-25 06:52:19", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716607339;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716607339;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-25 03:46:33", "2024-05-25 07:16:33", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("877", "woocommerce_cleanup_draft_orders", "complete", "2024-05-26 03:46:33", "2024-05-26 07:16:33", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716695193;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716695193;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-26 04:26:20", "2024-05-26 07:56:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("878", "woocommerce_cleanup_draft_orders", "complete", "2024-05-26 03:46:33", "2024-05-26 07:16:33", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716695193;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716695193;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-26 04:26:20", "2024-05-26 07:56:20", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("879", "woocommerce_cleanup_draft_orders", "complete", "2024-05-27 04:26:20", "2024-05-27 07:56:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716783980;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716783980;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-27 05:13:28", "2024-05-27 08:43:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("880", "woocommerce_cleanup_draft_orders", "complete", "2024-05-27 04:26:20", "2024-05-27 07:56:20", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716783980;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716783980;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "1", "2024-05-27 05:13:28", "2024-05-27 08:43:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("881", "woocommerce_cleanup_draft_orders", "pending", "2024-05-28 05:13:28", "2024-05-28 08:43:28", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716873208;s:18:\"\0*\0first_timestamp\";i:1688293671;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716873208;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("882", "woocommerce_cleanup_draft_orders", "pending", "2024-05-28 05:13:28", "2024-05-28 08:43:28", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716873208;s:18:\"\0*\0first_timestamp\";i:1714097395;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716873208;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "9", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("883", "woocommerce_run_on_woocommerce_admin_updated", "complete", "2024-05-27 07:04:11", "2024-05-27 10:34:11", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716793451;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716793451;}", "7", "1", "2024-05-27 07:04:42", "2024-05-27 10:34:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("884", "woocommerce_marketplace_fetch_promotions", "complete", "2024-05-27 07:04:11", "2024-05-27 10:34:11", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716793451;s:18:\"\0*\0first_timestamp\";i:1716793451;s:13:\"\0*\0recurrence\";i:43200;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716793451;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:43200;}", "9", "1", "2024-05-27 07:04:42", "2024-05-27 10:34:42", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("885", "rocket_preload_job_check_finished", "complete", "2024-05-27 07:05:41", "2024-05-27 10:35:41", "[1716793481]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716793541;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716793541;}", "8", "1", "2024-05-27 07:06:41", "2024-05-27 10:36:41", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("886", "woocommerce_marketplace_fetch_promotions", "pending", "2024-05-27 19:04:42", "2024-05-27 22:34:42", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1716836682;s:18:\"\0*\0first_timestamp\";i:1716793451;s:13:\"\0*\0recurrence\";i:43200;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1716836682;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:43200;}", "9", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("887", "rocket_preload_job_check_finished", "complete", "2024-05-27 09:53:52", "2024-05-27 13:23:52", "[1716803572]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803632;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803632;}", "8", "1", "2024-05-27 09:54:05", "2024-05-27 13:24:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("888", "woocommerce_run_update_callback", "complete", "2024-05-27 09:53:28", "2024-05-27 13:23:28", "{\"update_callback\":\"wc_update_860_remove_recommended_marketing_plugins_transient\"}", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803608;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803608;}", "5", "1", "2024-05-27 09:53:28", "2024-05-27 13:23:28", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("889", "woocommerce_run_update_callback", "complete", "2024-05-27 09:53:29", "2024-05-27 13:23:29", "{\"update_callback\":\"wc_update_870_prevent_listing_of_transient_files_directory\"}", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803609;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803609;}", "5", "1", "2024-05-27 09:54:05", "2024-05-27 13:24:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("890", "woocommerce_run_update_callback", "complete", "2024-05-27 09:53:30", "2024-05-27 13:23:30", "{\"update_callback\":\"wc_update_890_update_connect_to_woocommerce_note\"}", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803610;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803610;}", "5", "1", "2024-05-27 09:54:05", "2024-05-27 13:24:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("891", "woocommerce_run_update_callback", "complete", "2024-05-27 09:53:31", "2024-05-27 13:23:31", "{\"update_callback\":\"wc_update_890_update_paypal_standard_load_eligibility\"}", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803611;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803611;}", "5", "1", "2024-05-27 09:54:05", "2024-05-27 13:24:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("892", "woocommerce_run_update_callback", "complete", "2024-05-27 09:53:32", "2024-05-27 13:23:32", "{\"update_callback\":\"wc_update_891_create_plugin_autoinstall_history_option\"}", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803612;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803612;}", "5", "1", "2024-05-27 09:54:05", "2024-05-27 13:24:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("893", "woocommerce_update_db_to_current_version", "complete", "2024-05-27 09:53:33", "2024-05-27 13:23:33", "{\"version\":\"8.9.1\"}", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716803613;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716803613;}", "5", "1", "2024-05-27 09:54:05", "2024-05-27 13:24:05", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("894", "rocket_preload_job_check_finished", "complete", "2024-05-27 10:12:41", "2024-05-27 13:42:41", "[1716804701]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716804761;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716804761;}", "8", "1", "2024-05-27 10:12:50", "2024-05-27 13:42:50", "0", NULL, "10");
INSERT INTO `wp_sa_actionscheduler_actions` VALUES("895", "action_scheduler/migration_hook", "complete", "2024-05-27 10:14:30", "2024-05-27 13:44:30", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1716804870;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1716804870;}", "1", "1", "2024-05-27 10:14:43", "2024-05-27 13:44:43", "0", NULL, "10");

/* INSERT TABLE DATA: wp_sa_actionscheduler_groups */
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("1", "action-scheduler-migration");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("2", "gla");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("3", "mailpoet-cron");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("4", "pinterest-for-woocommerce");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("5", "woocommerce-db-updates");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("6", "wc-admin-data");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("7", "woocommerce-remote-inbox-engine");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("8", "rocket-preload");
INSERT INTO `wp_sa_actionscheduler_groups` VALUES("9", "");

/* INSERT TABLE DATA: wp_sa_actionscheduler_logs */
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("8", "11", "ایجاد فعالیت", "2023-07-02 10:29:48", "2023-07-02 10:29:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("10", "11", "action started via WP Cron", "2023-07-02 10:29:49", "2023-07-02 10:29:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("11", "11", "action failed via WP Cron: Scheduled action for wc_gla_cron_daily_notes will not be executed as no callbacks are registered.", "2023-07-02 10:29:49", "2023-07-02 10:29:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("21", "17", "action created", "2023-07-02 10:29:51", "2023-07-02 10:29:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("24", "18", "action created", "2023-07-02 10:29:51", "2023-07-02 10:29:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("33", "18", "عملیات توسط WP Cron شروع شد", "2023-07-03 04:56:48", "2023-07-03 04:56:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("34", "18", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 04:56:48", "2023-07-03 04:56:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("35", "21", "ایجاد فعالیت", "2023-07-03 04:56:48", "2023-07-03 04:56:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("36", "21", "عملیات توسط WP Cron شروع شد", "2023-07-03 05:58:06", "2023-07-03 05:58:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("37", "21", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 05:58:06", "2023-07-03 05:58:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("38", "22", "ایجاد فعالیت", "2023-07-03 05:58:06", "2023-07-03 05:58:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("39", "22", "عملیات توسط WP Cron شروع شد", "2023-07-03 06:58:15", "2023-07-03 06:58:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("40", "22", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 06:58:15", "2023-07-03 06:58:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("41", "23", "ایجاد فعالیت", "2023-07-03 06:58:15", "2023-07-03 06:58:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("42", "23", "عملیات توسط WP Cron شروع شد", "2023-07-03 07:58:56", "2023-07-03 07:58:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("43", "23", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 07:58:56", "2023-07-03 07:58:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("44", "24", "ایجاد فعالیت", "2023-07-03 07:58:56", "2023-07-03 07:58:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("45", "25", "ایجاد فعالیت", "2023-07-03 08:14:14", "2023-07-03 08:14:14");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("47", "25", "عملیات توسط WP Cron شروع شد", "2023-07-03 08:14:48", "2023-07-03 08:14:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("48", "25", "اقدام از طریق WP Cron انجام نشد: Scheduled action for woocommerce_admin/stored_state_setup_for_products/async/run_remote_notifications will not be executed as no callbacks are registered.", "2023-07-03 08:14:48", "2023-07-03 08:14:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("78", "24", "عملیات توسط WP Cron شروع شد", "2023-07-03 08:58:56", "2023-07-03 08:58:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("79", "24", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 08:58:56", "2023-07-03 08:58:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("80", "36", "ایجاد فعالیت", "2023-07-03 08:58:56", "2023-07-03 08:58:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("114", "36", "عملیات توسط Async Request شروع شد", "2023-07-03 09:59:33", "2023-07-03 09:59:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("115", "36", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 09:59:33", "2023-07-03 09:59:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("116", "48", "ایجاد فعالیت", "2023-07-03 09:59:33", "2023-07-03 09:59:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("120", "17", "عملیات توسط WP Cron شروع شد", "2023-07-03 10:29:55", "2023-07-03 10:29:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("121", "17", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 10:29:55", "2023-07-03 10:29:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("122", "50", "ایجاد فعالیت", "2023-07-03 10:29:55", "2023-07-03 10:29:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("123", "48", "عملیات توسط WP Cron شروع شد", "2023-07-03 10:59:52", "2023-07-03 10:59:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("124", "48", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-03 10:59:52", "2023-07-03 10:59:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("125", "51", "ایجاد فعالیت", "2023-07-03 10:59:52", "2023-07-03 10:59:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("126", "51", "عملیات توسط WP Cron شروع شد", "2023-07-04 04:53:22", "2023-07-04 04:53:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("127", "51", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 04:53:22", "2023-07-04 04:53:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("128", "52", "ایجاد فعالیت", "2023-07-04 04:53:22", "2023-07-04 04:53:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("129", "52", "عملیات توسط WP Cron شروع شد", "2023-07-04 05:53:56", "2023-07-04 05:53:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("130", "52", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 05:53:56", "2023-07-04 05:53:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("131", "53", "ایجاد فعالیت", "2023-07-04 05:53:56", "2023-07-04 05:53:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("132", "53", "عملیات توسط WP Cron شروع شد", "2023-07-04 06:54:58", "2023-07-04 06:54:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("133", "53", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 06:54:58", "2023-07-04 06:54:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("134", "54", "ایجاد فعالیت", "2023-07-04 06:54:58", "2023-07-04 06:54:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("150", "54", "عملیات توسط WP Cron شروع شد", "2023-07-04 07:56:42", "2023-07-04 07:56:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("151", "54", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 07:56:42", "2023-07-04 07:56:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("152", "60", "ایجاد فعالیت", "2023-07-04 07:56:42", "2023-07-04 07:56:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("153", "60", "عملیات توسط WP Cron شروع شد", "2023-07-04 08:58:08", "2023-07-04 08:58:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("154", "60", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 08:58:08", "2023-07-04 08:58:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("155", "61", "ایجاد فعالیت", "2023-07-04 08:58:08", "2023-07-04 08:58:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("156", "61", "عملیات توسط WP Cron شروع شد", "2023-07-04 09:58:38", "2023-07-04 09:58:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("157", "61", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 09:58:38", "2023-07-04 09:58:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("158", "62", "ایجاد فعالیت", "2023-07-04 09:58:38", "2023-07-04 09:58:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("162", "50", "عملیات توسط Async Request شروع شد", "2023-07-04 10:29:57", "2023-07-04 10:29:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("163", "50", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 10:29:57", "2023-07-04 10:29:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("164", "64", "ایجاد فعالیت", "2023-07-04 10:29:57", "2023-07-04 10:29:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("165", "62", "عملیات توسط Async Request شروع شد", "2023-07-04 10:58:47", "2023-07-04 10:58:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("166", "62", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-04 10:58:47", "2023-07-04 10:58:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("167", "65", "ایجاد فعالیت", "2023-07-04 10:58:47", "2023-07-04 10:58:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("168", "65", "عملیات توسط WP Cron شروع شد", "2023-07-05 04:56:33", "2023-07-05 04:56:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("169", "65", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 04:56:33", "2023-07-05 04:56:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("170", "66", "ایجاد فعالیت", "2023-07-05 04:56:33", "2023-07-05 04:56:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("177", "66", "عملیات توسط WP Cron شروع شد", "2023-07-05 05:57:08", "2023-07-05 05:57:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("178", "66", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 05:57:08", "2023-07-05 05:57:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("179", "69", "ایجاد فعالیت", "2023-07-05 05:57:08", "2023-07-05 05:57:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("180", "69", "عملیات توسط WP Cron شروع شد", "2023-07-05 06:57:50", "2023-07-05 06:57:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("181", "69", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 06:57:50", "2023-07-05 06:57:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("182", "70", "ایجاد فعالیت", "2023-07-05 06:57:50", "2023-07-05 06:57:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("189", "70", "عملیات توسط WP Cron شروع شد", "2023-07-05 07:57:54", "2023-07-05 07:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("190", "70", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 07:57:54", "2023-07-05 07:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("191", "73", "ایجاد فعالیت", "2023-07-05 07:57:54", "2023-07-05 07:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("192", "73", "عملیات توسط Async Request شروع شد", "2023-07-05 08:58:17", "2023-07-05 08:58:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("193", "73", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 08:58:17", "2023-07-05 08:58:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("194", "74", "ایجاد فعالیت", "2023-07-05 08:58:17", "2023-07-05 08:58:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("195", "74", "عملیات توسط WP Cron شروع شد", "2023-07-05 09:58:50", "2023-07-05 09:58:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("196", "74", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 09:58:50", "2023-07-05 09:58:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("197", "75", "ایجاد فعالیت", "2023-07-05 09:58:50", "2023-07-05 09:58:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("204", "64", "عملیات توسط Async Request شروع شد", "2023-07-05 10:30:10", "2023-07-05 10:30:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("205", "64", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 10:30:11", "2023-07-05 10:30:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("206", "78", "ایجاد فعالیت", "2023-07-05 10:30:11", "2023-07-05 10:30:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("207", "75", "عملیات توسط Async Request شروع شد", "2023-07-05 10:59:27", "2023-07-05 10:59:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("208", "75", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 10:59:27", "2023-07-05 10:59:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("209", "79", "ایجاد فعالیت", "2023-07-05 10:59:27", "2023-07-05 10:59:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("210", "79", "عملیات توسط Async Request شروع شد", "2023-07-05 11:59:41", "2023-07-05 11:59:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("211", "79", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 11:59:41", "2023-07-05 11:59:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("212", "80", "ایجاد فعالیت", "2023-07-05 11:59:41", "2023-07-05 11:59:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("213", "80", "عملیات توسط WP Cron شروع شد", "2023-07-05 12:59:50", "2023-07-05 12:59:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("214", "80", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 12:59:50", "2023-07-05 12:59:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("215", "81", "ایجاد فعالیت", "2023-07-05 12:59:50", "2023-07-05 12:59:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("216", "81", "عملیات توسط WP Cron شروع شد", "2023-07-05 14:52:04", "2023-07-05 14:52:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("217", "81", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-05 14:52:04", "2023-07-05 14:52:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("218", "82", "ایجاد فعالیت", "2023-07-05 14:52:04", "2023-07-05 14:52:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("219", "82", "عملیات توسط WP Cron شروع شد", "2023-07-06 04:54:18", "2023-07-06 04:54:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("220", "82", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 04:54:18", "2023-07-06 04:54:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("221", "83", "ایجاد فعالیت", "2023-07-06 04:54:18", "2023-07-06 04:54:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("228", "83", "عملیات توسط WP Cron شروع شد", "2023-07-06 05:54:45", "2023-07-06 05:54:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("229", "83", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 05:54:45", "2023-07-06 05:54:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("230", "86", "ایجاد فعالیت", "2023-07-06 05:54:45", "2023-07-06 05:54:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("243", "86", "عملیات توسط WP Cron شروع شد", "2023-07-06 06:54:48", "2023-07-06 06:54:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("244", "86", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 06:54:48", "2023-07-06 06:54:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("245", "91", "ایجاد فعالیت", "2023-07-06 06:54:48", "2023-07-06 06:54:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("273", "91", "عملیات توسط WP Cron شروع شد", "2023-07-06 07:54:49", "2023-07-06 07:54:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("274", "91", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 07:54:49", "2023-07-06 07:54:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("275", "101", "ایجاد فعالیت", "2023-07-06 07:54:49", "2023-07-06 07:54:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("276", "101", "عملیات توسط WP Cron شروع شد", "2023-07-06 08:54:52", "2023-07-06 08:54:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("277", "101", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 08:54:52", "2023-07-06 08:54:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("278", "102", "ایجاد فعالیت", "2023-07-06 08:54:52", "2023-07-06 08:54:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("279", "102", "عملیات توسط WP Cron شروع شد", "2023-07-06 09:55:45", "2023-07-06 09:55:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("280", "102", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 09:55:45", "2023-07-06 09:55:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("281", "103", "ایجاد فعالیت", "2023-07-06 09:55:45", "2023-07-06 09:55:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("285", "78", "عملیات توسط Async Request شروع شد", "2023-07-06 10:30:45", "2023-07-06 10:30:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("286", "78", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 10:30:45", "2023-07-06 10:30:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("287", "105", "ایجاد فعالیت", "2023-07-06 10:30:45", "2023-07-06 10:30:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("288", "103", "عملیات توسط WP Cron شروع شد", "2023-07-06 10:55:50", "2023-07-06 10:55:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("289", "103", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 10:55:50", "2023-07-06 10:55:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("290", "106", "ایجاد فعالیت", "2023-07-06 10:55:50", "2023-07-06 10:55:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("298", "106", "عملیات توسط Async Request شروع شد", "2023-07-06 11:56:16", "2023-07-06 11:56:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("299", "106", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 11:56:16", "2023-07-06 11:56:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("300", "110", "ایجاد فعالیت", "2023-07-06 11:56:16", "2023-07-06 11:56:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("418", "110", "عملیات توسط WP Cron شروع شد", "2023-07-06 12:56:49", "2023-07-06 12:56:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("419", "110", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-06 12:56:49", "2023-07-06 12:56:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("420", "150", "ایجاد فعالیت", "2023-07-06 12:56:49", "2023-07-06 12:56:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("426", "150", "عملیات توسط WP Cron شروع شد", "2023-07-07 16:48:22", "2023-07-07 16:48:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("427", "150", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-07 16:48:22", "2023-07-07 16:48:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("428", "152", "ایجاد فعالیت", "2023-07-07 16:48:22", "2023-07-07 16:48:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("432", "105", "عملیات توسط WP Cron شروع شد", "2023-07-07 16:48:22", "2023-07-07 16:48:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("433", "105", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-07 16:48:22", "2023-07-07 16:48:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("434", "154", "ایجاد فعالیت", "2023-07-07 16:48:22", "2023-07-07 16:48:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("435", "152", "عملیات توسط WP Cron شروع شد", "2023-07-08 04:42:41", "2023-07-08 04:42:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("436", "152", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 04:42:41", "2023-07-08 04:42:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("437", "155", "ایجاد فعالیت", "2023-07-08 04:42:41", "2023-07-08 04:42:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("438", "155", "عملیات توسط WP Cron شروع شد", "2023-07-08 05:43:02", "2023-07-08 05:43:02");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("439", "155", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 05:43:02", "2023-07-08 05:43:02");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("440", "156", "ایجاد فعالیت", "2023-07-08 05:43:02", "2023-07-08 05:43:02");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("441", "156", "عملیات توسط Async Request شروع شد", "2023-07-08 06:43:47", "2023-07-08 06:43:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("442", "156", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 06:43:47", "2023-07-08 06:43:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("443", "157", "ایجاد فعالیت", "2023-07-08 06:43:47", "2023-07-08 06:43:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("444", "157", "عملیات توسط WP Cron شروع شد", "2023-07-08 07:43:48", "2023-07-08 07:43:48");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("445", "157", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 07:43:49", "2023-07-08 07:43:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("446", "158", "ایجاد فعالیت", "2023-07-08 07:43:49", "2023-07-08 07:43:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("447", "158", "عملیات توسط WP Cron شروع شد", "2023-07-08 08:43:51", "2023-07-08 08:43:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("448", "158", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 08:43:51", "2023-07-08 08:43:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("449", "159", "ایجاد فعالیت", "2023-07-08 08:43:51", "2023-07-08 08:43:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("450", "159", "عملیات توسط Async Request شروع شد", "2023-07-08 09:44:12", "2023-07-08 09:44:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("451", "159", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 09:44:12", "2023-07-08 09:44:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("452", "160", "ایجاد فعالیت", "2023-07-08 09:44:12", "2023-07-08 09:44:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("456", "160", "عملیات توسط Async Request شروع شد", "2023-07-08 10:44:56", "2023-07-08 10:44:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("457", "160", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 10:44:56", "2023-07-08 10:44:56");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("458", "162", "ایجاد فعالیت", "2023-07-08 10:44:57", "2023-07-08 10:44:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("462", "162", "عملیات توسط WP Cron شروع شد", "2023-07-08 11:45:07", "2023-07-08 11:45:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("463", "162", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-08 11:45:07", "2023-07-08 11:45:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("464", "164", "ایجاد فعالیت", "2023-07-08 11:45:07", "2023-07-08 11:45:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("466", "166", "ایجاد فعالیت", "2023-07-08 12:04:12", "2023-07-08 12:04:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("500", "166", "عملیات توسط Async Request شروع شد", "2023-07-08 12:05:18", "2023-07-08 12:05:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("501", "166", "اقدام از طریق Async Request انجام نشد: Scheduled action for rocket_preload_job_check_finished will not be executed as no callbacks are registered.", "2023-07-08 12:05:18", "2023-07-08 12:05:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("504", "164", "عملیات توسط WP Cron شروع شد", "2023-07-09 05:33:39", "2023-07-09 05:33:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("505", "164", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 05:33:39", "2023-07-09 05:33:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("506", "178", "ایجاد فعالیت", "2023-07-09 05:33:39", "2023-07-09 05:33:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("510", "154", "عملیات توسط WP Cron شروع شد", "2023-07-09 05:33:39", "2023-07-09 05:33:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("511", "154", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 05:33:39", "2023-07-09 05:33:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("512", "180", "ایجاد فعالیت", "2023-07-09 05:33:39", "2023-07-09 05:33:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("513", "178", "عملیات توسط WP Cron شروع شد", "2023-07-09 06:33:51", "2023-07-09 06:33:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("514", "178", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 06:33:51", "2023-07-09 06:33:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("515", "181", "ایجاد فعالیت", "2023-07-09 06:33:51", "2023-07-09 06:33:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("516", "181", "عملیات توسط Async Request شروع شد", "2023-07-09 07:34:47", "2023-07-09 07:34:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("517", "181", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 07:34:47", "2023-07-09 07:34:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("518", "182", "ایجاد فعالیت", "2023-07-09 07:34:47", "2023-07-09 07:34:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("519", "182", "عملیات توسط WP Cron شروع شد", "2023-07-09 08:36:04", "2023-07-09 08:36:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("520", "182", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 08:36:04", "2023-07-09 08:36:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("521", "183", "ایجاد فعالیت", "2023-07-09 08:36:04", "2023-07-09 08:36:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("522", "183", "عملیات توسط WP Cron شروع شد", "2023-07-09 09:37:12", "2023-07-09 09:37:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("523", "183", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 09:37:12", "2023-07-09 09:37:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("524", "184", "ایجاد فعالیت", "2023-07-09 09:37:12", "2023-07-09 09:37:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("525", "184", "عملیات توسط Async Request شروع شد", "2023-07-09 10:37:44", "2023-07-09 10:37:44");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("526", "184", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 10:37:44", "2023-07-09 10:37:44");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("527", "185", "ایجاد فعالیت", "2023-07-09 10:37:44", "2023-07-09 10:37:44");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("528", "185", "عملیات توسط WP Cron شروع شد", "2023-07-09 11:37:53", "2023-07-09 11:37:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("529", "185", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 11:37:53", "2023-07-09 11:37:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("530", "186", "ایجاد فعالیت", "2023-07-09 11:37:53", "2023-07-09 11:37:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("567", "199", "ایجاد فعالیت", "2023-07-09 12:29:20", "2023-07-09 12:29:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("569", "199", "عملیات توسط WP Cron شروع شد", "2023-07-09 12:30:50", "2023-07-09 12:30:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("570", "199", "اقدام از طریق WP Cron انجام نشد: Scheduled action for rocket_preload_job_check_finished will not be executed as no callbacks are registered.", "2023-07-09 12:30:50", "2023-07-09 12:30:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("573", "186", "عملیات توسط WP Cron شروع شد", "2023-07-09 12:37:57", "2023-07-09 12:37:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("574", "186", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 12:37:57", "2023-07-09 12:37:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("575", "201", "ایجاد فعالیت", "2023-07-09 12:37:57", "2023-07-09 12:37:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("615", "201", "عملیات توسط WP Cron شروع شد", "2023-07-09 16:00:27", "2023-07-09 16:00:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("616", "201", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-09 16:00:27", "2023-07-09 16:00:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("617", "215", "ایجاد فعالیت", "2023-07-09 16:00:27", "2023-07-09 16:00:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("618", "215", "عملیات توسط WP Cron شروع شد", "2023-07-10 08:14:04", "2023-07-10 08:14:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("619", "215", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-10 08:14:04", "2023-07-10 08:14:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("620", "216", "ایجاد فعالیت", "2023-07-10 08:14:04", "2023-07-10 08:14:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("624", "180", "عملیات توسط WP Cron شروع شد", "2023-07-10 08:14:04", "2023-07-10 08:14:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("625", "180", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-10 08:14:04", "2023-07-10 08:14:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("626", "218", "ایجاد فعالیت", "2023-07-10 08:14:04", "2023-07-10 08:14:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("660", "216", "عملیات توسط Async Request شروع شد", "2023-07-10 09:14:17", "2023-07-10 09:14:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("661", "216", "اقدام از طریق Async Request انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-10 09:14:17", "2023-07-10 09:14:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("662", "230", "ایجاد فعالیت", "2023-07-10 09:14:17", "2023-07-10 09:14:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("672", "230", "عملیات توسط WP Cron شروع شد", "2023-07-10 10:15:07", "2023-07-10 10:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("673", "230", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-10 10:15:07", "2023-07-10 10:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("674", "234", "ایجاد فعالیت", "2023-07-10 10:15:07", "2023-07-10 10:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("675", "234", "عملیات توسط WP Cron شروع شد", "2023-07-10 12:07:32", "2023-07-10 12:07:32");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("676", "234", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-10 12:07:32", "2023-07-10 12:07:32");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("677", "235", "ایجاد فعالیت", "2023-07-10 12:07:32", "2023-07-10 12:07:32");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("678", "235", "عملیات توسط WP Cron شروع شد", "2023-07-10 14:09:58", "2023-07-10 14:09:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("679", "235", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-10 14:09:58", "2023-07-10 14:09:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("680", "236", "ایجاد فعالیت", "2023-07-10 14:09:58", "2023-07-10 14:09:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("681", "236", "عملیات توسط WP Cron شروع شد", "2023-07-11 05:16:49", "2023-07-11 05:16:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("682", "236", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 05:16:49", "2023-07-11 05:16:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("683", "237", "ایجاد فعالیت", "2023-07-11 05:16:49", "2023-07-11 05:16:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("690", "240", "ایجاد فعالیت", "2023-07-11 05:44:39", "2023-07-11 05:44:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("692", "240", "عملیات توسط WP Cron شروع شد", "2023-07-11 05:46:17", "2023-07-11 05:46:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("693", "240", "اقدام از طریق WP Cron انجام نشد: Scheduled action for rocket_preload_job_check_finished will not be executed as no callbacks are registered.", "2023-07-11 05:46:17", "2023-07-11 05:46:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("696", "242", "ایجاد فعالیت", "2023-07-11 05:46:17", "2023-07-11 05:46:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("697", "242", "عملیات توسط Async Request شروع شد", "2023-07-11 05:47:47", "2023-07-11 05:47:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("698", "242", "اقدام از طریق Async Request انجام نشد: Scheduled action for action_scheduler/migration_hook will not be executed as no callbacks are registered.", "2023-07-11 05:47:47", "2023-07-11 05:47:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("735", "237", "عملیات توسط WP Cron شروع شد", "2023-07-11 06:16:54", "2023-07-11 06:16:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("736", "237", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 06:16:54", "2023-07-11 06:16:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("737", "255", "ایجاد فعالیت", "2023-07-11 06:16:54", "2023-07-11 06:16:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("738", "256", "ایجاد فعالیت", "2023-07-11 06:43:02", "2023-07-11 06:43:02");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("740", "256", "عملیات توسط WP Cron شروع شد", "2023-07-11 06:44:31", "2023-07-11 06:44:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("741", "256", "اقدام از طریق WP Cron انجام نشد: Scheduled action for rocket_preload_job_check_finished will not be executed as no callbacks are registered.", "2023-07-11 06:44:31", "2023-07-11 06:44:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("744", "258", "ایجاد فعالیت", "2023-07-11 06:44:31", "2023-07-11 06:44:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("745", "258", "عملیات توسط Async Request شروع شد", "2023-07-11 06:45:37", "2023-07-11 06:45:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("746", "258", "اقدام از طریق Async Request انجام نشد: Scheduled action for action_scheduler/migration_hook will not be executed as no callbacks are registered.", "2023-07-11 06:45:37", "2023-07-11 06:45:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("786", "255", "عملیات توسط WP Cron شروع شد", "2023-07-11 08:40:20", "2023-07-11 08:40:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("787", "255", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 08:40:20", "2023-07-11 08:40:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("788", "272", "ایجاد فعالیت", "2023-07-11 08:40:20", "2023-07-11 08:40:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("792", "218", "عملیات توسط WP Cron شروع شد", "2023-07-11 08:40:20", "2023-07-11 08:40:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("793", "218", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 08:40:20", "2023-07-11 08:40:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("794", "274", "ایجاد فعالیت", "2023-07-11 08:40:20", "2023-07-11 08:40:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("795", "272", "عملیات توسط WP Cron شروع شد", "2023-07-11 12:55:41", "2023-07-11 12:55:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("796", "272", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 12:55:41", "2023-07-11 12:55:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("797", "275", "ایجاد فعالیت", "2023-07-11 12:55:41", "2023-07-11 12:55:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("798", "275", "عملیات توسط WP Cron شروع شد", "2023-07-11 14:16:17", "2023-07-11 14:16:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("799", "275", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 14:16:17", "2023-07-11 14:16:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("800", "276", "ایجاد فعالیت", "2023-07-11 14:16:17", "2023-07-11 14:16:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("801", "276", "عملیات توسط WP Cron شروع شد", "2023-07-11 15:58:53", "2023-07-11 15:58:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("802", "276", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 15:58:53", "2023-07-11 15:58:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("803", "277", "ایجاد فعالیت", "2023-07-11 15:58:53", "2023-07-11 15:58:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("804", "277", "عملیات توسط WP Cron شروع شد", "2023-07-11 17:20:22", "2023-07-11 17:20:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("805", "277", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 17:20:22", "2023-07-11 17:20:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("806", "278", "ایجاد فعالیت", "2023-07-11 17:20:22", "2023-07-11 17:20:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("807", "278", "عملیات توسط WP Cron شروع شد", "2023-07-11 20:24:51", "2023-07-11 20:24:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("808", "278", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-11 20:24:51", "2023-07-11 20:24:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("809", "279", "ایجاد فعالیت", "2023-07-11 20:24:51", "2023-07-11 20:24:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("810", "279", "عملیات توسط WP Cron شروع شد", "2023-07-12 05:08:41", "2023-07-12 05:08:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("811", "279", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-12 05:08:41", "2023-07-12 05:08:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("812", "280", "ایجاد فعالیت", "2023-07-12 05:08:41", "2023-07-12 05:08:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("813", "280", "عملیات توسط WP Cron شروع شد", "2023-07-12 06:26:17", "2023-07-12 06:26:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("814", "280", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-12 06:26:17", "2023-07-12 06:26:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("815", "281", "ایجاد فعالیت", "2023-07-12 06:26:17", "2023-07-12 06:26:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("816", "281", "عملیات توسط WP Cron شروع شد", "2023-07-12 07:51:00", "2023-07-12 07:51:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("817", "281", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-12 07:51:00", "2023-07-12 07:51:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("818", "282", "ایجاد فعالیت", "2023-07-12 07:51:00", "2023-07-12 07:51:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("822", "274", "عملیات توسط WP Cron شروع شد", "2023-07-12 11:09:06", "2023-07-12 11:09:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("823", "274", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-12 11:09:06", "2023-07-12 11:09:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("824", "284", "ایجاد فعالیت", "2023-07-12 11:09:06", "2023-07-12 11:09:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("825", "282", "عملیات توسط WP Cron شروع شد", "2023-07-12 11:09:06", "2023-07-12 11:09:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("826", "282", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-12 11:09:06", "2023-07-12 11:09:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("827", "285", "ایجاد فعالیت", "2023-07-12 11:09:06", "2023-07-12 11:09:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("828", "285", "عملیات توسط WP Cron شروع شد", "2023-07-12 19:45:09", "2023-07-12 19:45:09");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("829", "285", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-12 19:45:09", "2023-07-12 19:45:09");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("830", "286", "ایجاد فعالیت", "2023-07-12 19:45:10", "2023-07-12 19:45:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("831", "286", "عملیات توسط WP Cron شروع شد", "2023-07-13 09:28:01", "2023-07-13 09:28:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("832", "286", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-13 09:28:01", "2023-07-13 09:28:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("833", "287", "ایجاد فعالیت", "2023-07-13 09:28:01", "2023-07-13 09:28:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("834", "287", "عملیات توسط WP Cron شروع شد", "2023-07-13 10:37:26", "2023-07-13 10:37:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("835", "287", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-13 10:37:26", "2023-07-13 10:37:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("836", "288", "ایجاد فعالیت", "2023-07-13 10:37:26", "2023-07-13 10:37:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("840", "284", "عملیات توسط WP Cron شروع شد", "2023-07-13 14:19:52", "2023-07-13 14:19:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("841", "284", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-13 14:19:52", "2023-07-13 14:19:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("842", "290", "ایجاد فعالیت", "2023-07-13 14:19:52", "2023-07-13 14:19:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("843", "288", "عملیات توسط WP Cron شروع شد", "2023-07-13 14:19:52", "2023-07-13 14:19:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("844", "288", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-13 14:19:52", "2023-07-13 14:19:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("845", "291", "ایجاد فعالیت", "2023-07-13 14:19:52", "2023-07-13 14:19:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("846", "291", "عملیات توسط WP Cron شروع شد", "2023-07-13 17:40:33", "2023-07-13 17:40:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("847", "291", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-13 17:40:33", "2023-07-13 17:40:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("848", "292", "ایجاد فعالیت", "2023-07-13 17:40:33", "2023-07-13 17:40:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("849", "292", "عملیات توسط WP Cron شروع شد", "2023-07-14 06:11:42", "2023-07-14 06:11:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("850", "292", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-14 06:11:42", "2023-07-14 06:11:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("851", "293", "ایجاد فعالیت", "2023-07-14 06:11:42", "2023-07-14 06:11:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("852", "293", "عملیات توسط WP Cron شروع شد", "2023-07-14 10:53:45", "2023-07-14 10:53:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("853", "293", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-14 10:53:45", "2023-07-14 10:53:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("854", "294", "ایجاد فعالیت", "2023-07-14 10:53:45", "2023-07-14 10:53:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("855", "294", "عملیات توسط WP Cron شروع شد", "2023-07-14 18:57:39", "2023-07-14 18:57:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("856", "294", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-14 18:57:39", "2023-07-14 18:57:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("857", "295", "ایجاد فعالیت", "2023-07-14 18:57:39", "2023-07-14 18:57:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("861", "290", "عملیات توسط WP Cron شروع شد", "2023-07-14 18:57:39", "2023-07-14 18:57:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("862", "290", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-14 18:57:39", "2023-07-14 18:57:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("863", "297", "ایجاد فعالیت", "2023-07-14 18:57:39", "2023-07-14 18:57:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("864", "295", "عملیات توسط WP Cron شروع شد", "2023-07-15 05:57:10", "2023-07-15 05:57:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("865", "295", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 05:57:10", "2023-07-15 05:57:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("866", "298", "ایجاد فعالیت", "2023-07-15 05:57:10", "2023-07-15 05:57:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("867", "298", "عملیات توسط WP Cron شروع شد", "2023-07-15 07:40:58", "2023-07-15 07:40:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("868", "298", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 07:40:58", "2023-07-15 07:40:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("869", "299", "ایجاد فعالیت", "2023-07-15 07:40:58", "2023-07-15 07:40:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("870", "299", "عملیات توسط WP Cron شروع شد", "2023-07-15 08:42:40", "2023-07-15 08:42:40");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("871", "299", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 08:42:40", "2023-07-15 08:42:40");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("872", "300", "ایجاد فعالیت", "2023-07-15 08:42:40", "2023-07-15 08:42:40");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("873", "300", "عملیات توسط WP Cron شروع شد", "2023-07-15 09:56:38", "2023-07-15 09:56:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("874", "300", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 09:56:38", "2023-07-15 09:56:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("875", "301", "ایجاد فعالیت", "2023-07-15 09:56:38", "2023-07-15 09:56:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("876", "301", "عملیات توسط WP Cron شروع شد", "2023-07-15 14:45:28", "2023-07-15 14:45:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("877", "301", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 14:45:28", "2023-07-15 14:45:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("878", "302", "ایجاد فعالیت", "2023-07-15 14:45:28", "2023-07-15 14:45:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("879", "302", "عملیات توسط WP Cron شروع شد", "2023-07-15 18:50:39", "2023-07-15 18:50:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("880", "302", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 18:50:39", "2023-07-15 18:50:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("881", "303", "ایجاد فعالیت", "2023-07-15 18:50:39", "2023-07-15 18:50:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("885", "297", "عملیات توسط WP Cron شروع شد", "2023-07-15 22:44:03", "2023-07-15 22:44:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("886", "297", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 22:44:03", "2023-07-15 22:44:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("887", "305", "ایجاد فعالیت", "2023-07-15 22:44:03", "2023-07-15 22:44:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("888", "303", "عملیات توسط WP Cron شروع شد", "2023-07-15 22:44:03", "2023-07-15 22:44:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("889", "303", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 22:44:03", "2023-07-15 22:44:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("890", "306", "ایجاد فعالیت", "2023-07-15 22:44:03", "2023-07-15 22:44:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("891", "306", "عملیات توسط WP Cron شروع شد", "2023-07-15 23:55:43", "2023-07-15 23:55:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("892", "306", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-15 23:55:43", "2023-07-15 23:55:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("893", "307", "ایجاد فعالیت", "2023-07-15 23:55:43", "2023-07-15 23:55:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("894", "307", "عملیات توسط WP Cron شروع شد", "2023-07-16 12:11:37", "2023-07-16 12:11:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("895", "307", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-16 12:11:37", "2023-07-16 12:11:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("896", "308", "ایجاد فعالیت", "2023-07-16 12:11:37", "2023-07-16 12:11:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("897", "308", "عملیات توسط WP Cron شروع شد", "2023-07-16 20:27:10", "2023-07-16 20:27:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("898", "308", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-16 20:27:10", "2023-07-16 20:27:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("899", "309", "ایجاد فعالیت", "2023-07-16 20:27:10", "2023-07-16 20:27:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("900", "309", "عملیات توسط WP Cron شروع شد", "2023-07-17 00:04:57", "2023-07-17 00:04:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("901", "309", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-17 00:04:58", "2023-07-17 00:04:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("902", "310", "ایجاد فعالیت", "2023-07-17 00:04:59", "2023-07-17 00:04:59");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("906", "305", "عملیات توسط WP Cron شروع شد", "2023-07-17 00:05:00", "2023-07-17 00:05:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("907", "305", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-17 00:05:00", "2023-07-17 00:05:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("908", "312", "ایجاد فعالیت", "2023-07-17 00:05:00", "2023-07-17 00:05:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("909", "310", "عملیات توسط WP Cron شروع شد", "2023-07-17 08:46:20", "2023-07-17 08:46:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("910", "310", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-17 08:46:20", "2023-07-17 08:46:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("911", "313", "ایجاد فعالیت", "2023-07-17 08:46:20", "2023-07-17 08:46:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("912", "313", "عملیات توسط WP Cron شروع شد", "2023-07-17 13:43:55", "2023-07-17 13:43:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("913", "313", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-17 13:43:55", "2023-07-17 13:43:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("914", "314", "ایجاد فعالیت", "2023-07-17 13:43:55", "2023-07-17 13:43:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("915", "314", "عملیات توسط WP Cron شروع شد", "2023-07-18 06:01:27", "2023-07-18 06:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("916", "314", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 06:01:27", "2023-07-18 06:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("917", "315", "ایجاد فعالیت", "2023-07-18 06:01:27", "2023-07-18 06:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("921", "312", "عملیات توسط WP Cron شروع شد", "2023-07-18 06:01:27", "2023-07-18 06:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("922", "312", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 06:01:27", "2023-07-18 06:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("923", "317", "ایجاد فعالیت", "2023-07-18 06:01:27", "2023-07-18 06:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("963", "315", "عملیات توسط WP Cron شروع شد", "2023-07-18 07:39:42", "2023-07-18 07:39:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("964", "315", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 07:39:42", "2023-07-18 07:39:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("965", "331", "ایجاد فعالیت", "2023-07-18 07:39:42", "2023-07-18 07:39:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("966", "331", "عملیات توسط WP Cron شروع شد", "2023-07-18 09:13:42", "2023-07-18 09:13:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("967", "331", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 09:13:42", "2023-07-18 09:13:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("968", "332", "ایجاد فعالیت", "2023-07-18 09:13:42", "2023-07-18 09:13:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("969", "332", "عملیات توسط WP Cron شروع شد", "2023-07-18 13:51:03", "2023-07-18 13:51:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("970", "332", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 13:51:03", "2023-07-18 13:51:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("971", "333", "ایجاد فعالیت", "2023-07-18 13:51:03", "2023-07-18 13:51:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("972", "333", "عملیات توسط WP Cron شروع شد", "2023-07-18 16:30:26", "2023-07-18 16:30:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("973", "333", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 16:30:26", "2023-07-18 16:30:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("974", "334", "ایجاد فعالیت", "2023-07-18 16:30:26", "2023-07-18 16:30:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("975", "334", "عملیات توسط WP Cron شروع شد", "2023-07-18 18:26:58", "2023-07-18 18:26:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("976", "334", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 18:26:58", "2023-07-18 18:26:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("977", "335", "ایجاد فعالیت", "2023-07-18 18:26:58", "2023-07-18 18:26:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("978", "335", "عملیات توسط WP Cron شروع شد", "2023-07-18 21:39:01", "2023-07-18 21:39:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("979", "335", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-18 21:39:01", "2023-07-18 21:39:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("980", "336", "ایجاد فعالیت", "2023-07-18 21:39:01", "2023-07-18 21:39:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("981", "336", "عملیات توسط WP Cron شروع شد", "2023-07-19 07:33:21", "2023-07-19 07:33:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("982", "336", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-19 07:33:21", "2023-07-19 07:33:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("983", "337", "ایجاد فعالیت", "2023-07-19 07:33:21", "2023-07-19 07:33:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("987", "317", "عملیات توسط WP Cron شروع شد", "2023-07-19 07:33:21", "2023-07-19 07:33:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("988", "317", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-19 07:33:21", "2023-07-19 07:33:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("989", "339", "ایجاد فعالیت", "2023-07-19 07:33:21", "2023-07-19 07:33:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("990", "337", "عملیات توسط WP Cron شروع شد", "2023-07-19 08:48:45", "2023-07-19 08:48:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("991", "337", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-19 08:48:45", "2023-07-19 08:48:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("992", "340", "ایجاد فعالیت", "2023-07-19 08:48:45", "2023-07-19 08:48:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("993", "340", "عملیات توسط WP Cron شروع شد", "2023-07-19 10:09:11", "2023-07-19 10:09:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("994", "340", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-19 10:09:11", "2023-07-19 10:09:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("995", "341", "ایجاد فعالیت", "2023-07-19 10:09:11", "2023-07-19 10:09:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("996", "341", "عملیات توسط WP Cron شروع شد", "2023-07-19 11:34:58", "2023-07-19 11:34:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("997", "341", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-19 11:34:58", "2023-07-19 11:34:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("998", "342", "ایجاد فعالیت", "2023-07-19 11:34:58", "2023-07-19 11:34:58");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("999", "342", "عملیات توسط WP Cron شروع شد", "2023-07-20 04:39:26", "2023-07-20 04:39:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1000", "342", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-20 04:39:26", "2023-07-20 04:39:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1001", "343", "ایجاد فعالیت", "2023-07-20 04:39:26", "2023-07-20 04:39:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1002", "343", "عملیات توسط WP Cron شروع شد", "2023-07-20 06:44:41", "2023-07-20 06:44:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1003", "343", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-20 06:44:41", "2023-07-20 06:44:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1004", "344", "ایجاد فعالیت", "2023-07-20 06:44:41", "2023-07-20 06:44:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1008", "339", "عملیات توسط WP Cron شروع شد", "2023-07-20 15:51:21", "2023-07-20 15:51:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1009", "339", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-20 15:51:21", "2023-07-20 15:51:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1010", "346", "ایجاد فعالیت", "2023-07-20 15:51:21", "2023-07-20 15:51:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1011", "344", "عملیات توسط WP Cron شروع شد", "2023-07-20 15:51:21", "2023-07-20 15:51:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1012", "344", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-20 15:51:21", "2023-07-20 15:51:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1013", "347", "ایجاد فعالیت", "2023-07-20 15:51:21", "2023-07-20 15:51:21");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1014", "347", "عملیات توسط WP Cron شروع شد", "2023-07-21 12:05:06", "2023-07-21 12:05:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1015", "347", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-21 12:05:06", "2023-07-21 12:05:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1016", "348", "ایجاد فعالیت", "2023-07-21 12:05:06", "2023-07-21 12:05:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1017", "348", "عملیات توسط WP Cron شروع شد", "2023-07-21 14:53:39", "2023-07-21 14:53:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1018", "348", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-21 14:53:39", "2023-07-21 14:53:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1019", "349", "ایجاد فعالیت", "2023-07-21 14:53:39", "2023-07-21 14:53:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1023", "346", "عملیات توسط WP Cron شروع شد", "2023-07-21 18:21:46", "2023-07-21 18:21:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1024", "346", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-21 18:21:46", "2023-07-21 18:21:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1025", "351", "ایجاد فعالیت", "2023-07-21 18:21:46", "2023-07-21 18:21:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1026", "349", "عملیات توسط WP Cron شروع شد", "2023-07-21 18:21:46", "2023-07-21 18:21:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1027", "349", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-21 18:21:46", "2023-07-21 18:21:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1028", "352", "ایجاد فعالیت", "2023-07-21 18:21:46", "2023-07-21 18:21:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1029", "352", "عملیات توسط WP Cron شروع شد", "2023-07-21 21:45:01", "2023-07-21 21:45:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1030", "352", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-21 21:45:01", "2023-07-21 21:45:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1031", "353", "ایجاد فعالیت", "2023-07-21 21:45:01", "2023-07-21 21:45:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1032", "353", "عملیات توسط WP Cron شروع شد", "2023-07-22 00:16:51", "2023-07-22 00:16:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1033", "353", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-22 00:16:51", "2023-07-22 00:16:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1034", "354", "ایجاد فعالیت", "2023-07-22 00:16:51", "2023-07-22 00:16:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1035", "354", "عملیات توسط WP Cron شروع شد", "2023-07-22 07:43:30", "2023-07-22 07:43:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1036", "354", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-22 07:43:30", "2023-07-22 07:43:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1037", "355", "ایجاد فعالیت", "2023-07-22 07:43:30", "2023-07-22 07:43:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1038", "355", "عملیات توسط WP Cron شروع شد", "2023-07-22 09:26:28", "2023-07-22 09:26:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1039", "355", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-22 09:26:28", "2023-07-22 09:26:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1040", "356", "ایجاد فعالیت", "2023-07-22 09:26:28", "2023-07-22 09:26:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1041", "356", "عملیات توسط WP Cron شروع شد", "2023-07-22 15:17:12", "2023-07-22 15:17:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1042", "356", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-22 15:17:12", "2023-07-22 15:17:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1043", "357", "ایجاد فعالیت", "2023-07-22 15:17:12", "2023-07-22 15:17:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1044", "357", "عملیات توسط WP Cron شروع شد", "2023-07-23 09:29:10", "2023-07-23 09:29:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1045", "357", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-23 09:29:10", "2023-07-23 09:29:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1046", "358", "ایجاد فعالیت", "2023-07-23 09:29:10", "2023-07-23 09:29:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1050", "351", "عملیات توسط WP Cron شروع شد", "2023-07-23 09:29:10", "2023-07-23 09:29:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1051", "351", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-23 09:29:10", "2023-07-23 09:29:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1052", "360", "ایجاد فعالیت", "2023-07-23 09:29:10", "2023-07-23 09:29:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1053", "358", "عملیات توسط WP Cron شروع شد", "2023-07-23 13:17:52", "2023-07-23 13:17:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1054", "358", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-23 13:17:52", "2023-07-23 13:17:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1055", "361", "ایجاد فعالیت", "2023-07-23 13:17:52", "2023-07-23 13:17:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1056", "361", "عملیات توسط WP Cron شروع شد", "2023-07-23 14:31:49", "2023-07-23 14:31:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1057", "361", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-23 14:31:49", "2023-07-23 14:31:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1058", "362", "ایجاد فعالیت", "2023-07-23 14:31:49", "2023-07-23 14:31:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1059", "362", "عملیات توسط WP Cron شروع شد", "2023-07-23 15:54:06", "2023-07-23 15:54:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1060", "362", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-23 15:54:06", "2023-07-23 15:54:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1061", "363", "ایجاد فعالیت", "2023-07-23 15:54:06", "2023-07-23 15:54:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1062", "363", "عملیات توسط WP Cron شروع شد", "2023-07-24 06:35:53", "2023-07-24 06:35:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1063", "363", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-24 06:35:53", "2023-07-24 06:35:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1064", "364", "ایجاد فعالیت", "2023-07-24 06:35:53", "2023-07-24 06:35:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1065", "364", "عملیات توسط WP Cron شروع شد", "2023-07-24 10:14:24", "2023-07-24 10:14:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1066", "364", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-24 10:14:24", "2023-07-24 10:14:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1067", "365", "ایجاد فعالیت", "2023-07-24 10:14:24", "2023-07-24 10:14:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1071", "360", "عملیات توسط WP Cron شروع شد", "2023-07-24 10:14:24", "2023-07-24 10:14:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1072", "360", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-24 10:14:24", "2023-07-24 10:14:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1073", "367", "ایجاد فعالیت", "2023-07-24 10:14:24", "2023-07-24 10:14:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1074", "365", "عملیات توسط WP Cron شروع شد", "2023-07-25 06:06:35", "2023-07-25 06:06:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1075", "365", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 06:06:35", "2023-07-25 06:06:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1076", "368", "ایجاد فعالیت", "2023-07-25 06:06:35", "2023-07-25 06:06:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1077", "368", "عملیات توسط WP Cron شروع شد", "2023-07-25 09:50:12", "2023-07-25 09:50:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1078", "368", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 09:50:12", "2023-07-25 09:50:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1079", "369", "ایجاد فعالیت", "2023-07-25 09:50:12", "2023-07-25 09:50:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1086", "367", "عملیات توسط WP Cron شروع شد", "2023-07-25 12:00:45", "2023-07-25 12:00:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1087", "367", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 12:00:45", "2023-07-25 12:00:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1088", "372", "ایجاد فعالیت", "2023-07-25 12:00:45", "2023-07-25 12:00:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1089", "369", "عملیات توسط WP Cron شروع شد", "2023-07-25 12:00:45", "2023-07-25 12:00:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1090", "369", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 12:00:45", "2023-07-25 12:00:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1091", "373", "ایجاد فعالیت", "2023-07-25 12:00:45", "2023-07-25 12:00:45");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1092", "373", "عملیات توسط WP Cron شروع شد", "2023-07-25 13:22:13", "2023-07-25 13:22:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1093", "373", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 13:22:13", "2023-07-25 13:22:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1094", "374", "ایجاد فعالیت", "2023-07-25 13:22:13", "2023-07-25 13:22:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1095", "374", "عملیات توسط WP Cron شروع شد", "2023-07-25 14:39:50", "2023-07-25 14:39:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1096", "374", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 14:39:50", "2023-07-25 14:39:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1097", "375", "ایجاد فعالیت", "2023-07-25 14:39:50", "2023-07-25 14:39:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1098", "375", "عملیات توسط WP Cron شروع شد", "2023-07-25 15:47:51", "2023-07-25 15:47:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1099", "375", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 15:47:51", "2023-07-25 15:47:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1100", "376", "ایجاد فعالیت", "2023-07-25 15:47:51", "2023-07-25 15:47:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1101", "376", "عملیات توسط WP Cron شروع شد", "2023-07-25 17:05:50", "2023-07-25 17:05:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1102", "376", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 17:05:50", "2023-07-25 17:05:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1103", "377", "ایجاد فعالیت", "2023-07-25 17:05:50", "2023-07-25 17:05:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1104", "377", "عملیات توسط WP Cron شروع شد", "2023-07-25 20:10:10", "2023-07-25 20:10:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1105", "377", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 20:10:10", "2023-07-25 20:10:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1106", "378", "ایجاد فعالیت", "2023-07-25 20:10:10", "2023-07-25 20:10:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1107", "378", "عملیات توسط WP Cron شروع شد", "2023-07-25 21:40:34", "2023-07-25 21:40:34");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1108", "378", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 21:40:34", "2023-07-25 21:40:34");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1109", "379", "ایجاد فعالیت", "2023-07-25 21:40:34", "2023-07-25 21:40:34");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1110", "379", "عملیات توسط WP Cron شروع شد", "2023-07-25 22:51:49", "2023-07-25 22:51:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1111", "379", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-25 22:51:49", "2023-07-25 22:51:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1112", "380", "ایجاد فعالیت", "2023-07-25 22:51:49", "2023-07-25 22:51:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1113", "380", "عملیات توسط WP Cron شروع شد", "2023-07-26 15:09:26", "2023-07-26 15:09:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1114", "380", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-26 15:09:26", "2023-07-26 15:09:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1115", "381", "ایجاد فعالیت", "2023-07-26 15:09:26", "2023-07-26 15:09:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1119", "372", "عملیات توسط WP Cron شروع شد", "2023-07-26 15:09:26", "2023-07-26 15:09:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1120", "372", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-26 15:09:26", "2023-07-26 15:09:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1121", "383", "ایجاد فعالیت", "2023-07-26 15:09:26", "2023-07-26 15:09:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1122", "381", "عملیات توسط WP Cron شروع شد", "2023-07-26 16:10:55", "2023-07-26 16:10:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1123", "381", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-26 16:10:55", "2023-07-26 16:10:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1124", "384", "ایجاد فعالیت", "2023-07-26 16:10:55", "2023-07-26 16:10:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1125", "384", "عملیات توسط WP Cron شروع شد", "2023-07-26 17:15:17", "2023-07-26 17:15:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1126", "384", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-26 17:15:17", "2023-07-26 17:15:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1127", "385", "ایجاد فعالیت", "2023-07-26 17:15:17", "2023-07-26 17:15:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1128", "385", "عملیات توسط WP Cron شروع شد", "2023-07-26 18:31:54", "2023-07-26 18:31:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1129", "385", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-26 18:31:54", "2023-07-26 18:31:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1130", "386", "ایجاد فعالیت", "2023-07-26 18:31:54", "2023-07-26 18:31:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1131", "386", "عملیات توسط WP Cron شروع شد", "2023-07-27 06:01:39", "2023-07-27 06:01:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1132", "386", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-27 06:01:39", "2023-07-27 06:01:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1133", "387", "ایجاد فعالیت", "2023-07-27 06:01:39", "2023-07-27 06:01:39");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1134", "387", "عملیات توسط WP Cron شروع شد", "2023-07-27 21:30:37", "2023-07-27 21:30:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1135", "387", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-27 21:30:37", "2023-07-27 21:30:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1136", "388", "ایجاد فعالیت", "2023-07-27 21:30:37", "2023-07-27 21:30:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1140", "383", "عملیات توسط WP Cron شروع شد", "2023-07-27 21:30:37", "2023-07-27 21:30:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1141", "383", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-27 21:30:37", "2023-07-27 21:30:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1142", "390", "ایجاد فعالیت", "2023-07-27 21:30:37", "2023-07-27 21:30:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1143", "388", "عملیات توسط WP Cron شروع شد", "2023-07-28 00:12:00", "2023-07-28 00:12:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1144", "388", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-28 00:12:00", "2023-07-28 00:12:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1145", "391", "ایجاد فعالیت", "2023-07-28 00:12:00", "2023-07-28 00:12:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1146", "391", "عملیات توسط WP Cron شروع شد", "2023-07-28 05:40:15", "2023-07-28 05:40:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1147", "391", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-28 05:40:15", "2023-07-28 05:40:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1148", "392", "ایجاد فعالیت", "2023-07-28 05:40:15", "2023-07-28 05:40:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1149", "392", "عملیات توسط WP Cron شروع شد", "2023-07-28 21:34:00", "2023-07-28 21:34:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1150", "392", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-28 21:34:00", "2023-07-28 21:34:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1151", "393", "ایجاد فعالیت", "2023-07-28 21:34:00", "2023-07-28 21:34:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1155", "390", "عملیات توسط WP Cron شروع شد", "2023-07-28 21:34:00", "2023-07-28 21:34:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1156", "390", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-28 21:34:00", "2023-07-28 21:34:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1157", "395", "ایجاد فعالیت", "2023-07-28 21:34:00", "2023-07-28 21:34:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1158", "393", "عملیات توسط WP Cron شروع شد", "2023-07-28 22:35:43", "2023-07-28 22:35:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1159", "393", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-28 22:35:43", "2023-07-28 22:35:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1160", "396", "ایجاد فعالیت", "2023-07-28 22:35:43", "2023-07-28 22:35:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1161", "396", "عملیات توسط WP Cron شروع شد", "2023-07-29 00:21:37", "2023-07-29 00:21:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1162", "396", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 00:21:37", "2023-07-29 00:21:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1163", "397", "ایجاد فعالیت", "2023-07-29 00:21:37", "2023-07-29 00:21:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1164", "397", "عملیات توسط WP Cron شروع شد", "2023-07-29 03:44:16", "2023-07-29 03:44:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1165", "397", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 03:44:16", "2023-07-29 03:44:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1166", "398", "ایجاد فعالیت", "2023-07-29 03:44:16", "2023-07-29 03:44:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1167", "398", "عملیات توسط WP Cron شروع شد", "2023-07-29 05:25:14", "2023-07-29 05:25:14");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1168", "398", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 05:25:14", "2023-07-29 05:25:14");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1169", "399", "ایجاد فعالیت", "2023-07-29 05:25:14", "2023-07-29 05:25:14");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1170", "399", "عملیات توسط WP Cron شروع شد", "2023-07-29 06:35:18", "2023-07-29 06:35:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1171", "399", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 06:35:18", "2023-07-29 06:35:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1172", "400", "ایجاد فعالیت", "2023-07-29 06:35:18", "2023-07-29 06:35:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1173", "400", "عملیات توسط WP Cron شروع شد", "2023-07-29 07:37:00", "2023-07-29 07:37:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1174", "400", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 07:37:00", "2023-07-29 07:37:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1175", "401", "ایجاد فعالیت", "2023-07-29 07:37:00", "2023-07-29 07:37:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1176", "401", "عملیات توسط WP Cron شروع شد", "2023-07-29 08:39:43", "2023-07-29 08:39:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1177", "401", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 08:39:43", "2023-07-29 08:39:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1178", "402", "ایجاد فعالیت", "2023-07-29 08:39:43", "2023-07-29 08:39:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1179", "402", "عملیات توسط WP Cron شروع شد", "2023-07-29 09:43:38", "2023-07-29 09:43:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1180", "402", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 09:43:38", "2023-07-29 09:43:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1181", "403", "ایجاد فعالیت", "2023-07-29 09:43:38", "2023-07-29 09:43:38");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1182", "403", "عملیات توسط WP Cron شروع شد", "2023-07-29 10:44:35", "2023-07-29 10:44:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1183", "403", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 10:44:35", "2023-07-29 10:44:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1184", "404", "ایجاد فعالیت", "2023-07-29 10:44:35", "2023-07-29 10:44:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1185", "404", "عملیات توسط WP Cron شروع شد", "2023-07-29 12:13:54", "2023-07-29 12:13:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1186", "404", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 12:13:54", "2023-07-29 12:13:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1187", "405", "ایجاد فعالیت", "2023-07-29 12:13:54", "2023-07-29 12:13:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1188", "405", "عملیات توسط WP Cron شروع شد", "2023-07-29 13:40:23", "2023-07-29 13:40:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1189", "405", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 13:40:23", "2023-07-29 13:40:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1190", "406", "ایجاد فعالیت", "2023-07-29 13:40:23", "2023-07-29 13:40:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1191", "406", "عملیات توسط WP Cron شروع شد", "2023-07-29 14:49:53", "2023-07-29 14:49:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1192", "406", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 14:49:53", "2023-07-29 14:49:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1193", "407", "ایجاد فعالیت", "2023-07-29 14:49:53", "2023-07-29 14:49:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1194", "407", "عملیات توسط WP Cron شروع شد", "2023-07-29 16:09:13", "2023-07-29 16:09:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1195", "407", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 16:09:13", "2023-07-29 16:09:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1196", "408", "ایجاد فعالیت", "2023-07-29 16:09:13", "2023-07-29 16:09:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1197", "408", "عملیات توسط WP Cron شروع شد", "2023-07-29 17:12:30", "2023-07-29 17:12:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1198", "408", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 17:12:30", "2023-07-29 17:12:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1199", "409", "ایجاد فعالیت", "2023-07-29 17:12:30", "2023-07-29 17:12:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1200", "409", "عملیات توسط WP Cron شروع شد", "2023-07-29 18:29:18", "2023-07-29 18:29:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1201", "409", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 18:29:18", "2023-07-29 18:29:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1202", "410", "ایجاد فعالیت", "2023-07-29 18:29:18", "2023-07-29 18:29:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1203", "410", "عملیات توسط WP Cron شروع شد", "2023-07-29 19:30:08", "2023-07-29 19:30:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1204", "410", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 19:30:08", "2023-07-29 19:30:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1205", "411", "ایجاد فعالیت", "2023-07-29 19:30:08", "2023-07-29 19:30:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1206", "411", "عملیات توسط WP Cron شروع شد", "2023-07-29 20:30:47", "2023-07-29 20:30:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1207", "411", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 20:30:47", "2023-07-29 20:30:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1208", "412", "ایجاد فعالیت", "2023-07-29 20:30:47", "2023-07-29 20:30:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1209", "412", "عملیات توسط WP Cron شروع شد", "2023-07-29 21:53:41", "2023-07-29 21:53:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1210", "412", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 21:53:41", "2023-07-29 21:53:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1211", "413", "ایجاد فعالیت", "2023-07-29 21:53:41", "2023-07-29 21:53:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1215", "395", "عملیات توسط WP Cron شروع شد", "2023-07-29 21:53:41", "2023-07-29 21:53:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1216", "395", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-29 21:53:41", "2023-07-29 21:53:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1217", "415", "ایجاد فعالیت", "2023-07-29 21:53:41", "2023-07-29 21:53:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1218", "413", "عملیات توسط WP Cron شروع شد", "2023-07-30 00:41:46", "2023-07-30 00:41:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1219", "413", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 00:41:46", "2023-07-30 00:41:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1220", "416", "ایجاد فعالیت", "2023-07-30 00:41:46", "2023-07-30 00:41:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1221", "416", "عملیات توسط WP Cron شروع شد", "2023-07-30 02:55:24", "2023-07-30 02:55:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1222", "416", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 02:55:24", "2023-07-30 02:55:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1223", "417", "ایجاد فعالیت", "2023-07-30 02:55:24", "2023-07-30 02:55:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1224", "417", "عملیات توسط WP Cron شروع شد", "2023-07-30 04:42:47", "2023-07-30 04:42:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1225", "417", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 04:42:47", "2023-07-30 04:42:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1226", "418", "ایجاد فعالیت", "2023-07-30 04:42:47", "2023-07-30 04:42:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1236", "418", "عملیات توسط WP Cron شروع شد", "2023-07-30 05:43:22", "2023-07-30 05:43:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1237", "418", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 05:43:22", "2023-07-30 05:43:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1238", "422", "ایجاد فعالیت", "2023-07-30 05:43:22", "2023-07-30 05:43:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1278", "422", "عملیات توسط WP Cron شروع شد", "2023-07-30 06:45:26", "2023-07-30 06:45:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1279", "422", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 06:45:26", "2023-07-30 06:45:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1280", "436", "ایجاد فعالیت", "2023-07-30 06:45:26", "2023-07-30 06:45:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1281", "436", "عملیات توسط WP Cron شروع شد", "2023-07-30 07:53:06", "2023-07-30 07:53:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1282", "436", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 07:53:06", "2023-07-30 07:53:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1283", "437", "ایجاد فعالیت", "2023-07-30 07:53:06", "2023-07-30 07:53:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1284", "437", "عملیات توسط WP Cron شروع شد", "2023-07-30 08:55:10", "2023-07-30 08:55:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1285", "437", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 08:55:10", "2023-07-30 08:55:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1286", "438", "ایجاد فعالیت", "2023-07-30 08:55:10", "2023-07-30 08:55:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1287", "438", "عملیات توسط WP Cron شروع شد", "2023-07-30 09:55:18", "2023-07-30 09:55:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1288", "438", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 09:55:18", "2023-07-30 09:55:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1289", "439", "ایجاد فعالیت", "2023-07-30 09:55:18", "2023-07-30 09:55:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1290", "439", "عملیات توسط WP Cron شروع شد", "2023-07-30 11:09:46", "2023-07-30 11:09:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1291", "439", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 11:09:46", "2023-07-30 11:09:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1292", "440", "ایجاد فعالیت", "2023-07-30 11:09:46", "2023-07-30 11:09:46");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1293", "440", "عملیات توسط WP Cron شروع شد", "2023-07-30 12:15:07", "2023-07-30 12:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1294", "440", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 12:15:07", "2023-07-30 12:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1295", "441", "ایجاد فعالیت", "2023-07-30 12:15:07", "2023-07-30 12:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1296", "441", "عملیات توسط WP Cron شروع شد", "2023-07-30 13:15:12", "2023-07-30 13:15:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1297", "441", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 13:15:12", "2023-07-30 13:15:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1298", "442", "ایجاد فعالیت", "2023-07-30 13:15:12", "2023-07-30 13:15:12");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1299", "442", "عملیات توسط WP Cron شروع شد", "2023-07-30 14:48:30", "2023-07-30 14:48:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1300", "442", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 14:48:30", "2023-07-30 14:48:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1301", "443", "ایجاد فعالیت", "2023-07-30 14:48:30", "2023-07-30 14:48:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1302", "443", "عملیات توسط WP Cron شروع شد", "2023-07-30 15:55:18", "2023-07-30 15:55:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1303", "443", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 15:55:18", "2023-07-30 15:55:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1304", "444", "ایجاد فعالیت", "2023-07-30 15:55:18", "2023-07-30 15:55:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1305", "444", "عملیات توسط WP Cron شروع شد", "2023-07-30 17:39:05", "2023-07-30 17:39:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1306", "444", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 17:39:05", "2023-07-30 17:39:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1307", "445", "ایجاد فعالیت", "2023-07-30 17:39:05", "2023-07-30 17:39:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1308", "445", "عملیات توسط WP Cron شروع شد", "2023-07-30 18:45:27", "2023-07-30 18:45:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1309", "445", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 18:45:27", "2023-07-30 18:45:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1310", "446", "ایجاد فعالیت", "2023-07-30 18:45:27", "2023-07-30 18:45:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1311", "446", "عملیات توسط WP Cron شروع شد", "2023-07-30 20:14:53", "2023-07-30 20:14:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1312", "446", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 20:14:53", "2023-07-30 20:14:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1313", "447", "ایجاد فعالیت", "2023-07-30 20:14:53", "2023-07-30 20:14:53");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1314", "447", "عملیات توسط WP Cron شروع شد", "2023-07-30 22:15:52", "2023-07-30 22:15:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1315", "447", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 22:15:52", "2023-07-30 22:15:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1316", "448", "ایجاد فعالیت", "2023-07-30 22:15:52", "2023-07-30 22:15:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1320", "415", "عملیات توسط WP Cron شروع شد", "2023-07-30 22:15:52", "2023-07-30 22:15:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1321", "415", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 22:15:52", "2023-07-30 22:15:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1322", "450", "ایجاد فعالیت", "2023-07-30 22:15:52", "2023-07-30 22:15:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1323", "448", "عملیات توسط WP Cron شروع شد", "2023-07-30 23:29:03", "2023-07-30 23:29:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1324", "448", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-30 23:29:03", "2023-07-30 23:29:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1325", "451", "ایجاد فعالیت", "2023-07-30 23:29:03", "2023-07-30 23:29:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1326", "451", "عملیات توسط WP Cron شروع شد", "2023-07-31 00:30:06", "2023-07-31 00:30:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1327", "451", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 00:30:06", "2023-07-31 00:30:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1328", "452", "ایجاد فعالیت", "2023-07-31 00:30:06", "2023-07-31 00:30:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1329", "452", "عملیات توسط WP Cron شروع شد", "2023-07-31 01:51:57", "2023-07-31 01:51:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1330", "452", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 01:51:57", "2023-07-31 01:51:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1331", "453", "ایجاد فعالیت", "2023-07-31 01:51:57", "2023-07-31 01:51:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1332", "453", "عملیات توسط WP Cron شروع شد", "2023-07-31 04:27:17", "2023-07-31 04:27:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1333", "453", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 04:27:17", "2023-07-31 04:27:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1334", "454", "ایجاد فعالیت", "2023-07-31 04:27:17", "2023-07-31 04:27:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1335", "454", "عملیات توسط WP Cron شروع شد", "2023-07-31 05:33:29", "2023-07-31 05:33:29");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1336", "454", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 05:33:29", "2023-07-31 05:33:29");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1337", "455", "ایجاد فعالیت", "2023-07-31 05:33:29", "2023-07-31 05:33:29");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1338", "455", "عملیات توسط WP Cron شروع شد", "2023-07-31 07:18:20", "2023-07-31 07:18:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1339", "455", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 07:18:20", "2023-07-31 07:18:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1340", "456", "ایجاد فعالیت", "2023-07-31 07:18:20", "2023-07-31 07:18:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1341", "456", "عملیات توسط WP Cron شروع شد", "2023-07-31 08:24:09", "2023-07-31 08:24:09");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1342", "456", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 08:24:09", "2023-07-31 08:24:09");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1343", "457", "ایجاد فعالیت", "2023-07-31 08:24:09", "2023-07-31 08:24:09");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1344", "457", "عملیات توسط WP Cron شروع شد", "2023-07-31 09:42:20", "2023-07-31 09:42:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1345", "457", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 09:42:20", "2023-07-31 09:42:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1346", "458", "ایجاد فعالیت", "2023-07-31 09:42:20", "2023-07-31 09:42:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1350", "460", "ایجاد فعالیت", "2023-07-31 10:05:52", "2023-07-31 10:05:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1352", "460", "عملیات توسط WP Cron شروع شد", "2023-07-31 10:06:57", "2023-07-31 10:06:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1353", "460", "اقدام از طریق WP Cron انجام نشد: Scheduled action for action_scheduler/migration_hook will not be executed as no callbacks are registered.", "2023-07-31 10:06:57", "2023-07-31 10:06:57");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1359", "458", "عملیات توسط WP Cron شروع شد", "2023-07-31 10:46:06", "2023-07-31 10:46:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1360", "458", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 10:46:06", "2023-07-31 10:46:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1361", "463", "ایجاد فعالیت", "2023-07-31 10:46:06", "2023-07-31 10:46:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1362", "463", "عملیات توسط WP Cron شروع شد", "2023-07-31 12:04:35", "2023-07-31 12:04:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1363", "463", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 12:04:35", "2023-07-31 12:04:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1364", "464", "ایجاد فعالیت", "2023-07-31 12:04:35", "2023-07-31 12:04:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1365", "464", "عملیات توسط WP Cron شروع شد", "2023-07-31 13:15:07", "2023-07-31 13:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1366", "464", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 13:15:07", "2023-07-31 13:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1367", "465", "ایجاد فعالیت", "2023-07-31 13:15:07", "2023-07-31 13:15:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1368", "465", "عملیات توسط WP Cron شروع شد", "2023-07-31 14:15:41", "2023-07-31 14:15:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1369", "465", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 14:15:41", "2023-07-31 14:15:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1370", "466", "ایجاد فعالیت", "2023-07-31 14:15:41", "2023-07-31 14:15:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1371", "466", "عملیات توسط WP Cron شروع شد", "2023-07-31 15:19:03", "2023-07-31 15:19:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1372", "466", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 15:19:03", "2023-07-31 15:19:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1373", "467", "ایجاد فعالیت", "2023-07-31 15:19:03", "2023-07-31 15:19:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1374", "467", "عملیات توسط WP Cron شروع شد", "2023-07-31 16:19:55", "2023-07-31 16:19:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1375", "467", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 16:19:55", "2023-07-31 16:19:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1376", "468", "ایجاد فعالیت", "2023-07-31 16:19:55", "2023-07-31 16:19:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1377", "468", "عملیات توسط WP Cron شروع شد", "2023-07-31 17:20:13", "2023-07-31 17:20:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1378", "468", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 17:20:13", "2023-07-31 17:20:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1379", "469", "ایجاد فعالیت", "2023-07-31 17:20:13", "2023-07-31 17:20:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1380", "469", "عملیات توسط WP Cron شروع شد", "2023-07-31 18:21:50", "2023-07-31 18:21:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1381", "469", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 18:21:50", "2023-07-31 18:21:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1382", "470", "ایجاد فعالیت", "2023-07-31 18:21:50", "2023-07-31 18:21:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1383", "470", "عملیات توسط WP Cron شروع شد", "2023-07-31 19:22:01", "2023-07-31 19:22:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1384", "470", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 19:22:01", "2023-07-31 19:22:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1385", "471", "ایجاد فعالیت", "2023-07-31 19:22:01", "2023-07-31 19:22:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1386", "471", "عملیات توسط WP Cron شروع شد", "2023-07-31 20:22:49", "2023-07-31 20:22:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1387", "471", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 20:22:49", "2023-07-31 20:22:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1388", "472", "ایجاد فعالیت", "2023-07-31 20:22:49", "2023-07-31 20:22:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1389", "472", "عملیات توسط WP Cron شروع شد", "2023-07-31 21:29:16", "2023-07-31 21:29:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1390", "472", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 21:29:16", "2023-07-31 21:29:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1391", "473", "ایجاد فعالیت", "2023-07-31 21:29:16", "2023-07-31 21:29:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1395", "450", "عملیات توسط WP Cron شروع شد", "2023-07-31 22:20:03", "2023-07-31 22:20:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1396", "450", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 22:20:03", "2023-07-31 22:20:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1397", "475", "ایجاد فعالیت", "2023-07-31 22:20:03", "2023-07-31 22:20:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1398", "473", "عملیات توسط WP Cron شروع شد", "2023-07-31 22:30:19", "2023-07-31 22:30:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1399", "473", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 22:30:19", "2023-07-31 22:30:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1400", "476", "ایجاد فعالیت", "2023-07-31 22:30:19", "2023-07-31 22:30:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1401", "476", "عملیات توسط WP Cron شروع شد", "2023-07-31 23:49:49", "2023-07-31 23:49:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1402", "476", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-07-31 23:49:49", "2023-07-31 23:49:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1403", "477", "ایجاد فعالیت", "2023-07-31 23:49:49", "2023-07-31 23:49:49");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1404", "477", "عملیات توسط WP Cron شروع شد", "2023-08-01 00:52:15", "2023-08-01 00:52:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1405", "477", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 00:52:15", "2023-08-01 00:52:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1406", "478", "ایجاد فعالیت", "2023-08-01 00:52:15", "2023-08-01 00:52:15");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1407", "478", "عملیات توسط WP Cron شروع شد", "2023-08-01 02:06:50", "2023-08-01 02:06:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1408", "478", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 02:06:50", "2023-08-01 02:06:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1409", "479", "ایجاد فعالیت", "2023-08-01 02:06:50", "2023-08-01 02:06:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1410", "479", "عملیات توسط WP Cron شروع شد", "2023-08-01 03:52:43", "2023-08-01 03:52:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1411", "479", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 03:52:43", "2023-08-01 03:52:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1412", "480", "ایجاد فعالیت", "2023-08-01 03:52:43", "2023-08-01 03:52:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1413", "480", "عملیات توسط WP Cron شروع شد", "2023-08-01 05:21:52", "2023-08-01 05:21:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1414", "480", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 05:21:52", "2023-08-01 05:21:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1415", "481", "ایجاد فعالیت", "2023-08-01 05:21:52", "2023-08-01 05:21:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1416", "481", "عملیات توسط WP Cron شروع شد", "2023-08-01 06:26:26", "2023-08-01 06:26:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1417", "481", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 06:26:26", "2023-08-01 06:26:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1418", "482", "ایجاد فعالیت", "2023-08-01 06:26:26", "2023-08-01 06:26:26");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1419", "482", "عملیات توسط WP Cron شروع شد", "2023-08-01 07:35:50", "2023-08-01 07:35:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1420", "482", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 07:35:50", "2023-08-01 07:35:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1421", "483", "ایجاد فعالیت", "2023-08-01 07:35:50", "2023-08-01 07:35:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1422", "483", "عملیات توسط WP Cron شروع شد", "2023-08-01 08:37:03", "2023-08-01 08:37:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1423", "483", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 08:37:03", "2023-08-01 08:37:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1424", "484", "ایجاد فعالیت", "2023-08-01 08:37:03", "2023-08-01 08:37:03");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1425", "484", "عملیات توسط WP Cron شروع شد", "2023-08-01 09:38:07", "2023-08-01 09:38:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1426", "484", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 09:38:07", "2023-08-01 09:38:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1427", "485", "ایجاد فعالیت", "2023-08-01 09:38:07", "2023-08-01 09:38:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1428", "485", "عملیات توسط WP Cron شروع شد", "2023-08-01 10:39:37", "2023-08-01 10:39:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1429", "485", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 10:39:37", "2023-08-01 10:39:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1430", "486", "ایجاد فعالیت", "2023-08-01 10:39:37", "2023-08-01 10:39:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1431", "486", "عملیات توسط WP Cron شروع شد", "2023-08-01 11:41:22", "2023-08-01 11:41:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1432", "486", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 11:41:22", "2023-08-01 11:41:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1433", "487", "ایجاد فعالیت", "2023-08-01 11:41:22", "2023-08-01 11:41:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1434", "487", "عملیات توسط WP Cron شروع شد", "2023-08-01 12:42:00", "2023-08-01 12:42:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1435", "487", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 12:42:00", "2023-08-01 12:42:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1436", "488", "ایجاد فعالیت", "2023-08-01 12:42:00", "2023-08-01 12:42:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1437", "488", "عملیات توسط WP Cron شروع شد", "2023-08-01 13:42:06", "2023-08-01 13:42:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1438", "488", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 13:42:06", "2023-08-01 13:42:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1439", "489", "ایجاد فعالیت", "2023-08-01 13:42:06", "2023-08-01 13:42:06");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1440", "489", "عملیات توسط WP Cron شروع شد", "2023-08-01 14:57:04", "2023-08-01 14:57:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1441", "489", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 14:57:04", "2023-08-01 14:57:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1442", "490", "ایجاد فعالیت", "2023-08-01 14:57:04", "2023-08-01 14:57:04");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1443", "490", "عملیات توسط WP Cron شروع شد", "2023-08-01 16:03:43", "2023-08-01 16:03:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1444", "490", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 16:03:43", "2023-08-01 16:03:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1445", "491", "ایجاد فعالیت", "2023-08-01 16:03:43", "2023-08-01 16:03:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1446", "491", "عملیات توسط WP Cron شروع شد", "2023-08-01 17:11:31", "2023-08-01 17:11:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1447", "491", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 17:11:31", "2023-08-01 17:11:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1448", "492", "ایجاد فعالیت", "2023-08-01 17:11:31", "2023-08-01 17:11:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1449", "492", "عملیات توسط WP Cron شروع شد", "2023-08-01 18:12:20", "2023-08-01 18:12:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1450", "492", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 18:12:20", "2023-08-01 18:12:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1451", "493", "ایجاد فعالیت", "2023-08-01 18:12:20", "2023-08-01 18:12:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1452", "493", "عملیات توسط WP Cron شروع شد", "2023-08-01 19:12:55", "2023-08-01 19:12:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1453", "493", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 19:12:55", "2023-08-01 19:12:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1454", "494", "ایجاد فعالیت", "2023-08-01 19:12:55", "2023-08-01 19:12:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1455", "494", "عملیات توسط WP Cron شروع شد", "2023-08-01 20:15:23", "2023-08-01 20:15:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1456", "494", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 20:15:23", "2023-08-01 20:15:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1457", "495", "ایجاد فعالیت", "2023-08-01 20:15:23", "2023-08-01 20:15:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1458", "495", "عملیات توسط WP Cron شروع شد", "2023-08-01 21:17:41", "2023-08-01 21:17:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1459", "495", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 21:17:41", "2023-08-01 21:17:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1460", "496", "ایجاد فعالیت", "2023-08-01 21:17:41", "2023-08-01 21:17:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1461", "496", "عملیات توسط WP Cron شروع شد", "2023-08-01 22:21:54", "2023-08-01 22:21:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1462", "496", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 22:21:54", "2023-08-01 22:21:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1463", "497", "ایجاد فعالیت", "2023-08-01 22:21:54", "2023-08-01 22:21:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1467", "475", "عملیات توسط WP Cron شروع شد", "2023-08-01 22:21:54", "2023-08-01 22:21:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1468", "475", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-08-01 22:21:54", "2023-08-01 22:21:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1469", "499", "ایجاد فعالیت", "2023-08-01 22:21:54", "2023-08-01 22:21:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1470", "497", "عملیات توسط WP Cron شروع شد", "2023-08-02 00:02:16", "2023-08-02 00:02:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1471", "497", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 00:02:16", "2023-08-02 00:02:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1472", "500", "ایجاد فعالیت", "2023-08-02 00:02:16", "2023-08-02 00:02:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1473", "500", "عملیات توسط WP Cron شروع شد", "2023-08-02 01:34:33", "2023-08-02 01:34:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1474", "500", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 01:34:33", "2023-08-02 01:34:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1475", "501", "ایجاد فعالیت", "2023-08-02 01:34:33", "2023-08-02 01:34:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1476", "501", "عملیات توسط WP Cron شروع شد", "2023-08-02 03:16:36", "2023-08-02 03:16:36");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1477", "501", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 03:16:36", "2023-08-02 03:16:36");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1478", "502", "ایجاد فعالیت", "2023-08-02 03:16:36", "2023-08-02 03:16:36");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1479", "502", "عملیات توسط WP Cron شروع شد", "2023-08-02 04:16:52", "2023-08-02 04:16:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1480", "502", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 04:16:52", "2023-08-02 04:16:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1481", "503", "ایجاد فعالیت", "2023-08-02 04:16:52", "2023-08-02 04:16:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1482", "503", "عملیات توسط WP Cron شروع شد", "2023-08-02 05:26:01", "2023-08-02 05:26:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1483", "503", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 05:26:01", "2023-08-02 05:26:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1484", "504", "ایجاد فعالیت", "2023-08-02 05:26:01", "2023-08-02 05:26:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1485", "504", "عملیات توسط WP Cron شروع شد", "2023-08-02 06:27:07", "2023-08-02 06:27:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1486", "504", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 06:27:07", "2023-08-02 06:27:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1487", "505", "ایجاد فعالیت", "2023-08-02 06:27:07", "2023-08-02 06:27:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1488", "505", "عملیات توسط WP Cron شروع شد", "2023-08-02 07:27:23", "2023-08-02 07:27:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1489", "505", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 07:27:23", "2023-08-02 07:27:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1490", "506", "ایجاد فعالیت", "2023-08-02 07:27:23", "2023-08-02 07:27:23");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1491", "506", "عملیات توسط WP Cron شروع شد", "2023-08-02 08:34:16", "2023-08-02 08:34:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1492", "506", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 08:34:16", "2023-08-02 08:34:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1493", "507", "ایجاد فعالیت", "2023-08-02 08:34:16", "2023-08-02 08:34:16");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1494", "507", "عملیات توسط WP Cron شروع شد", "2023-08-02 09:39:24", "2023-08-02 09:39:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1495", "507", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 09:39:24", "2023-08-02 09:39:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1496", "508", "ایجاد فعالیت", "2023-08-02 09:39:24", "2023-08-02 09:39:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1497", "508", "عملیات توسط WP Cron شروع شد", "2023-08-02 10:40:11", "2023-08-02 10:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1498", "508", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_hourly_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 10:40:11", "2023-08-02 10:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1499", "508", "This action appears to be consistently failing. A new instance will not be scheduled.", "2023-08-02 10:40:11", "2023-08-02 10:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1503", "499", "عملیات توسط WP Cron شروع شد", "2023-08-02 22:44:18", "2023-08-02 22:44:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1504", "499", "اقدام از طریق WP Cron انجام نشد: Scheduled action for pinterest_for_woocommerce_daily_heartbeat will not be executed as no callbacks are registered.", "2023-08-02 22:44:18", "2023-08-02 22:44:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("1505", "499", "This action appears to be consistently failing. A new instance will not be scheduled.", "2023-08-02 22:44:18", "2023-08-02 22:44:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2421", "815", "ایجاد فعالیت", "2024-04-26 02:09:55", "2024-04-26 05:39:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2424", "816", "ایجاد فعالیت", "2024-04-26 02:09:55", "2024-04-26 05:39:55");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2425", "815", "عملیات توسط WP Cron شروع شد", "2024-04-27 02:43:35", "2024-04-27 06:13:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2426", "815", "عملیات توسط WP Cron کامل شد", "2024-04-27 02:43:35", "2024-04-27 06:13:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2427", "817", "ایجاد فعالیت", "2024-04-27 02:43:35", "2024-04-27 06:13:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2428", "816", "عملیات توسط WP Cron شروع شد", "2024-04-27 02:43:35", "2024-04-27 06:13:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2429", "816", "عملیات توسط WP Cron کامل شد", "2024-04-27 02:43:35", "2024-04-27 06:13:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2430", "818", "ایجاد فعالیت", "2024-04-27 02:43:35", "2024-04-27 06:13:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2431", "817", "عملیات توسط WP Cron شروع شد", "2024-04-28 03:29:35", "2024-04-28 06:59:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2432", "817", "عملیات توسط WP Cron کامل شد", "2024-04-28 03:29:35", "2024-04-28 06:59:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2433", "819", "ایجاد فعالیت", "2024-04-28 03:29:35", "2024-04-28 06:59:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2434", "818", "عملیات توسط WP Cron شروع شد", "2024-04-28 03:29:35", "2024-04-28 06:59:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2435", "818", "عملیات توسط WP Cron کامل شد", "2024-04-28 03:29:35", "2024-04-28 06:59:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2436", "820", "ایجاد فعالیت", "2024-04-28 03:29:35", "2024-04-28 06:59:35");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2437", "819", "عملیات توسط WP Cron شروع شد", "2024-04-29 03:30:25", "2024-04-29 07:00:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2438", "819", "عملیات توسط WP Cron کامل شد", "2024-04-29 03:30:25", "2024-04-29 07:00:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2439", "821", "ایجاد فعالیت", "2024-04-29 03:30:25", "2024-04-29 07:00:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2440", "820", "عملیات توسط WP Cron شروع شد", "2024-04-29 03:30:25", "2024-04-29 07:00:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2441", "820", "عملیات توسط WP Cron کامل شد", "2024-04-29 03:30:25", "2024-04-29 07:00:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2442", "822", "ایجاد فعالیت", "2024-04-29 03:30:25", "2024-04-29 07:00:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2443", "823", "ایجاد فعالیت", "2024-04-29 10:17:47", "2024-04-29 13:47:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2444", "823", "عملیات توسط WP Cron شروع شد", "2024-04-29 10:45:25", "2024-04-29 14:15:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2445", "823", "عملیات توسط WP Cron کامل شد", "2024-04-29 10:45:25", "2024-04-29 14:15:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2446", "821", "عملیات توسط WP Cron شروع شد", "2024-04-30 04:10:11", "2024-04-30 07:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2447", "821", "عملیات توسط WP Cron کامل شد", "2024-04-30 04:10:11", "2024-04-30 07:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2448", "824", "ایجاد فعالیت", "2024-04-30 04:10:11", "2024-04-30 07:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2449", "822", "عملیات توسط WP Cron شروع شد", "2024-04-30 04:10:11", "2024-04-30 07:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2450", "822", "عملیات توسط WP Cron کامل شد", "2024-04-30 04:10:11", "2024-04-30 07:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2451", "825", "ایجاد فعالیت", "2024-04-30 04:10:11", "2024-04-30 07:40:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2452", "824", "عملیات توسط WP Cron شروع شد", "2024-05-01 04:11:28", "2024-05-01 07:41:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2453", "824", "عملیات توسط WP Cron کامل شد", "2024-05-01 04:11:28", "2024-05-01 07:41:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2454", "826", "ایجاد فعالیت", "2024-05-01 04:11:28", "2024-05-01 07:41:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2455", "825", "عملیات توسط WP Cron شروع شد", "2024-05-01 04:11:28", "2024-05-01 07:41:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2456", "825", "عملیات توسط WP Cron کامل شد", "2024-05-01 04:11:28", "2024-05-01 07:41:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2457", "827", "ایجاد فعالیت", "2024-05-01 04:11:28", "2024-05-01 07:41:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2458", "828", "ایجاد فعالیت", "2024-05-01 07:25:08", "2024-05-01 10:55:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2459", "828", "عملیات توسط WP Cron شروع شد", "2024-05-01 07:26:11", "2024-05-01 10:56:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2460", "828", "عملیات توسط WP Cron کامل شد", "2024-05-01 07:26:11", "2024-05-01 10:56:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2461", "829", "ایجاد فعالیت", "2024-05-01 14:12:13", "2024-05-01 17:42:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2462", "829", "عملیات توسط WP Cron شروع شد", "2024-05-01 14:13:17", "2024-05-01 17:43:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2463", "829", "عملیات توسط WP Cron کامل شد", "2024-05-01 14:13:17", "2024-05-01 17:43:17");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2464", "826", "عملیات توسط WP Cron شروع شد", "2024-05-02 05:36:42", "2024-05-02 09:06:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2465", "826", "عملیات توسط WP Cron کامل شد", "2024-05-02 05:36:42", "2024-05-02 09:06:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2466", "830", "ایجاد فعالیت", "2024-05-02 05:36:42", "2024-05-02 09:06:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2467", "827", "عملیات توسط WP Cron شروع شد", "2024-05-02 05:36:42", "2024-05-02 09:06:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2468", "827", "عملیات توسط WP Cron کامل شد", "2024-05-02 05:36:42", "2024-05-02 09:06:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2469", "831", "ایجاد فعالیت", "2024-05-02 05:36:42", "2024-05-02 09:06:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2470", "830", "عملیات توسط WP Cron شروع شد", "2024-05-03 06:49:07", "2024-05-03 10:19:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2471", "830", "عملیات توسط WP Cron کامل شد", "2024-05-03 06:49:07", "2024-05-03 10:19:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2472", "832", "ایجاد فعالیت", "2024-05-03 06:49:07", "2024-05-03 10:19:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2473", "831", "عملیات توسط WP Cron شروع شد", "2024-05-03 06:49:07", "2024-05-03 10:19:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2474", "831", "عملیات توسط WP Cron کامل شد", "2024-05-03 06:49:07", "2024-05-03 10:19:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2475", "833", "ایجاد فعالیت", "2024-05-03 06:49:07", "2024-05-03 10:19:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2476", "832", "عملیات توسط WP Cron شروع شد", "2024-05-04 06:51:51", "2024-05-04 10:21:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2477", "832", "عملیات توسط WP Cron کامل شد", "2024-05-04 06:51:51", "2024-05-04 10:21:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2478", "834", "ایجاد فعالیت", "2024-05-04 06:51:51", "2024-05-04 10:21:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2479", "833", "عملیات توسط WP Cron شروع شد", "2024-05-04 06:51:51", "2024-05-04 10:21:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2480", "833", "عملیات توسط WP Cron کامل شد", "2024-05-04 06:51:51", "2024-05-04 10:21:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2481", "835", "ایجاد فعالیت", "2024-05-04 06:51:51", "2024-05-04 10:21:51");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2482", "834", "عملیات توسط WP Cron شروع شد", "2024-05-05 07:25:30", "2024-05-05 10:55:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2483", "834", "عملیات توسط WP Cron کامل شد", "2024-05-05 07:25:30", "2024-05-05 10:55:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2484", "836", "ایجاد فعالیت", "2024-05-05 07:25:30", "2024-05-05 10:55:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2485", "835", "عملیات توسط WP Cron شروع شد", "2024-05-05 07:25:30", "2024-05-05 10:55:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2486", "835", "عملیات توسط WP Cron کامل شد", "2024-05-05 07:25:30", "2024-05-05 10:55:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2487", "837", "ایجاد فعالیت", "2024-05-05 07:25:30", "2024-05-05 10:55:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2488", "836", "عملیات توسط WP Cron شروع شد", "2024-05-06 07:31:27", "2024-05-06 11:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2489", "836", "عملیات توسط WP Cron کامل شد", "2024-05-06 07:31:27", "2024-05-06 11:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2490", "838", "ایجاد فعالیت", "2024-05-06 07:31:27", "2024-05-06 11:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2491", "837", "عملیات توسط WP Cron شروع شد", "2024-05-06 07:31:27", "2024-05-06 11:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2492", "837", "عملیات توسط WP Cron کامل شد", "2024-05-06 07:31:27", "2024-05-06 11:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2493", "839", "ایجاد فعالیت", "2024-05-06 07:31:27", "2024-05-06 11:01:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2494", "840", "ایجاد فعالیت", "2024-05-06 10:12:20", "2024-05-06 13:42:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2495", "840", "عملیات توسط WP Cron شروع شد", "2024-05-06 10:14:19", "2024-05-06 13:44:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2496", "840", "عملیات توسط WP Cron کامل شد", "2024-05-06 10:14:19", "2024-05-06 13:44:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2497", "838", "عملیات توسط Async Request شروع شد", "2024-05-07 08:08:31", "2024-05-07 11:38:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2498", "838", "عملیات توسط Async Request کامل شد", "2024-05-07 08:08:31", "2024-05-07 11:38:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2499", "841", "ایجاد فعالیت", "2024-05-07 08:08:31", "2024-05-07 11:38:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2500", "839", "عملیات توسط Async Request شروع شد", "2024-05-07 08:08:31", "2024-05-07 11:38:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2501", "839", "عملیات توسط Async Request کامل شد", "2024-05-07 08:08:31", "2024-05-07 11:38:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2502", "842", "ایجاد فعالیت", "2024-05-07 08:08:31", "2024-05-07 11:38:31");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2503", "841", "عملیات توسط WP Cron شروع شد", "2024-05-08 08:16:24", "2024-05-08 11:46:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2504", "841", "عملیات توسط WP Cron کامل شد", "2024-05-08 08:16:24", "2024-05-08 11:46:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2505", "843", "ایجاد فعالیت", "2024-05-08 08:16:24", "2024-05-08 11:46:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2506", "842", "عملیات توسط WP Cron شروع شد", "2024-05-08 08:16:24", "2024-05-08 11:46:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2507", "842", "عملیات توسط WP Cron کامل شد", "2024-05-08 08:16:24", "2024-05-08 11:46:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2508", "844", "ایجاد فعالیت", "2024-05-08 08:16:24", "2024-05-08 11:46:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2509", "843", "عملیات توسط WP Cron شروع شد", "2024-05-09 08:26:22", "2024-05-09 11:56:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2510", "843", "عملیات توسط WP Cron کامل شد", "2024-05-09 08:26:22", "2024-05-09 11:56:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2511", "845", "ایجاد فعالیت", "2024-05-09 08:26:22", "2024-05-09 11:56:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2512", "844", "عملیات توسط WP Cron شروع شد", "2024-05-09 08:26:22", "2024-05-09 11:56:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2513", "844", "عملیات توسط WP Cron کامل شد", "2024-05-09 08:26:22", "2024-05-09 11:56:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2514", "846", "ایجاد فعالیت", "2024-05-09 08:26:22", "2024-05-09 11:56:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2515", "845", "عملیات توسط WP Cron شروع شد", "2024-05-10 08:34:10", "2024-05-10 12:04:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2516", "845", "عملیات توسط WP Cron کامل شد", "2024-05-10 08:34:10", "2024-05-10 12:04:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2517", "847", "ایجاد فعالیت", "2024-05-10 08:34:10", "2024-05-10 12:04:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2518", "846", "عملیات توسط WP Cron شروع شد", "2024-05-10 08:34:10", "2024-05-10 12:04:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2519", "846", "عملیات توسط WP Cron کامل شد", "2024-05-10 08:34:10", "2024-05-10 12:04:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2520", "848", "ایجاد فعالیت", "2024-05-10 08:34:10", "2024-05-10 12:04:10");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2521", "847", "عملیات توسط WP Cron شروع شد", "2024-05-11 10:55:22", "2024-05-11 14:25:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2522", "847", "عملیات توسط WP Cron کامل شد", "2024-05-11 10:55:22", "2024-05-11 14:25:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2523", "849", "ایجاد فعالیت", "2024-05-11 10:55:22", "2024-05-11 14:25:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2524", "848", "عملیات توسط WP Cron شروع شد", "2024-05-11 10:55:22", "2024-05-11 14:25:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2525", "848", "عملیات توسط WP Cron کامل شد", "2024-05-11 10:55:22", "2024-05-11 14:25:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2526", "850", "ایجاد فعالیت", "2024-05-11 10:55:22", "2024-05-11 14:25:22");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2527", "849", "عملیات توسط WP Cron شروع شد", "2024-05-12 14:06:25", "2024-05-12 17:36:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2528", "849", "عملیات توسط WP Cron کامل شد", "2024-05-12 14:06:25", "2024-05-12 17:36:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2529", "851", "ایجاد فعالیت", "2024-05-12 14:06:25", "2024-05-12 17:36:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2530", "850", "عملیات توسط WP Cron شروع شد", "2024-05-12 14:06:25", "2024-05-12 17:36:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2531", "850", "عملیات توسط WP Cron کامل شد", "2024-05-12 14:06:25", "2024-05-12 17:36:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2532", "852", "ایجاد فعالیت", "2024-05-12 14:06:25", "2024-05-12 17:36:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2533", "853", "ایجاد فعالیت", "2024-05-13 10:56:27", "2024-05-13 14:26:27");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2534", "853", "عملیات توسط WP Cron شروع شد", "2024-05-13 11:08:05", "2024-05-13 14:38:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2535", "853", "عملیات توسط WP Cron کامل شد", "2024-05-13 11:08:05", "2024-05-13 14:38:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2536", "851", "عملیات توسط WP Cron شروع شد", "2024-05-13 14:31:13", "2024-05-13 18:01:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2537", "851", "عملیات توسط WP Cron کامل شد", "2024-05-13 14:31:13", "2024-05-13 18:01:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2538", "854", "ایجاد فعالیت", "2024-05-13 14:31:13", "2024-05-13 18:01:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2539", "852", "عملیات توسط WP Cron شروع شد", "2024-05-13 14:31:13", "2024-05-13 18:01:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2540", "852", "عملیات توسط WP Cron کامل شد", "2024-05-13 14:31:13", "2024-05-13 18:01:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2541", "855", "ایجاد فعالیت", "2024-05-13 14:31:13", "2024-05-13 18:01:13");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2542", "854", "عملیات توسط WP Cron شروع شد", "2024-05-14 14:52:25", "2024-05-14 18:22:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2543", "854", "عملیات توسط WP Cron کامل شد", "2024-05-14 14:52:25", "2024-05-14 18:22:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2544", "856", "ایجاد فعالیت", "2024-05-14 14:52:25", "2024-05-14 18:22:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2545", "855", "عملیات توسط WP Cron شروع شد", "2024-05-14 14:52:25", "2024-05-14 18:22:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2546", "855", "عملیات توسط WP Cron کامل شد", "2024-05-14 14:52:25", "2024-05-14 18:22:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2547", "857", "ایجاد فعالیت", "2024-05-14 14:52:25", "2024-05-14 18:22:25");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2548", "856", "عملیات توسط WP Cron شروع شد", "2024-05-15 16:38:08", "2024-05-15 20:08:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2549", "856", "عملیات توسط WP Cron کامل شد", "2024-05-15 16:38:08", "2024-05-15 20:08:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2550", "858", "ایجاد فعالیت", "2024-05-15 16:38:08", "2024-05-15 20:08:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2551", "857", "عملیات توسط WP Cron شروع شد", "2024-05-15 16:38:08", "2024-05-15 20:08:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2552", "857", "عملیات توسط WP Cron کامل شد", "2024-05-15 16:38:08", "2024-05-15 20:08:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2553", "859", "ایجاد فعالیت", "2024-05-15 16:38:08", "2024-05-15 20:08:08");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2554", "858", "عملیات توسط WP Cron شروع شد", "2024-05-16 17:30:47", "2024-05-16 21:00:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2555", "858", "عملیات توسط WP Cron کامل شد", "2024-05-16 17:30:47", "2024-05-16 21:00:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2556", "860", "ایجاد فعالیت", "2024-05-16 17:30:47", "2024-05-16 21:00:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2557", "859", "عملیات توسط WP Cron شروع شد", "2024-05-16 17:30:47", "2024-05-16 21:00:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2558", "859", "عملیات توسط WP Cron کامل شد", "2024-05-16 17:30:47", "2024-05-16 21:00:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2559", "861", "ایجاد فعالیت", "2024-05-16 17:30:47", "2024-05-16 21:00:47");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2560", "860", "عملیات توسط WP Cron شروع شد", "2024-05-17 17:31:42", "2024-05-17 21:01:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2561", "860", "عملیات توسط WP Cron کامل شد", "2024-05-17 17:31:42", "2024-05-17 21:01:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2562", "862", "ایجاد فعالیت", "2024-05-17 17:31:42", "2024-05-17 21:01:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2563", "861", "عملیات توسط WP Cron شروع شد", "2024-05-17 17:31:42", "2024-05-17 21:01:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2564", "861", "عملیات توسط WP Cron کامل شد", "2024-05-17 17:31:42", "2024-05-17 21:01:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2565", "863", "ایجاد فعالیت", "2024-05-17 17:31:42", "2024-05-17 21:01:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2566", "862", "عملیات توسط WP Cron شروع شد", "2024-05-18 18:03:37", "2024-05-18 21:33:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2567", "862", "عملیات توسط WP Cron کامل شد", "2024-05-18 18:03:37", "2024-05-18 21:33:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2568", "864", "ایجاد فعالیت", "2024-05-18 18:03:37", "2024-05-18 21:33:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2569", "863", "عملیات توسط WP Cron شروع شد", "2024-05-18 18:03:37", "2024-05-18 21:33:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2570", "863", "عملیات توسط WP Cron کامل شد", "2024-05-18 18:03:37", "2024-05-18 21:33:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2571", "865", "ایجاد فعالیت", "2024-05-18 18:03:37", "2024-05-18 21:33:37");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2572", "864", "عملیات توسط WP Cron شروع شد", "2024-05-19 18:34:01", "2024-05-19 22:04:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2573", "864", "عملیات توسط WP Cron کامل شد", "2024-05-19 18:34:01", "2024-05-19 22:04:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2574", "866", "ایجاد فعالیت", "2024-05-19 18:34:01", "2024-05-19 22:04:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2575", "865", "عملیات توسط WP Cron شروع شد", "2024-05-19 18:34:01", "2024-05-19 22:04:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2576", "865", "عملیات توسط WP Cron کامل شد", "2024-05-19 18:34:01", "2024-05-19 22:04:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2577", "867", "ایجاد فعالیت", "2024-05-19 18:34:01", "2024-05-19 22:04:01");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2578", "868", "ایجاد فعالیت", "2024-05-20 10:33:24", "2024-05-20 14:03:24");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2579", "868", "عملیات توسط WP Cron شروع شد", "2024-05-20 10:38:00", "2024-05-20 14:08:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2580", "868", "عملیات توسط WP Cron کامل شد", "2024-05-20 10:38:00", "2024-05-20 14:08:00");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2581", "866", "عملیات توسط WP Cron شروع شد", "2024-05-20 19:40:54", "2024-05-20 23:10:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2582", "866", "عملیات توسط WP Cron کامل شد", "2024-05-20 19:40:54", "2024-05-20 23:10:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2583", "869", "ایجاد فعالیت", "2024-05-20 19:40:54", "2024-05-20 23:10:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2584", "867", "عملیات توسط WP Cron شروع شد", "2024-05-20 19:40:54", "2024-05-20 23:10:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2585", "867", "عملیات توسط WP Cron کامل شد", "2024-05-20 19:40:54", "2024-05-20 23:10:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2586", "870", "ایجاد فعالیت", "2024-05-20 19:40:54", "2024-05-20 23:10:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2587", "869", "عملیات توسط WP Cron شروع شد", "2024-05-21 22:21:07", "2024-05-22 01:51:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2588", "869", "عملیات توسط WP Cron کامل شد", "2024-05-21 22:21:07", "2024-05-22 01:51:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2589", "871", "ایجاد فعالیت", "2024-05-21 22:21:07", "2024-05-22 01:51:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2590", "870", "عملیات توسط WP Cron شروع شد", "2024-05-21 22:21:07", "2024-05-22 01:51:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2591", "870", "عملیات توسط WP Cron کامل شد", "2024-05-21 22:21:07", "2024-05-22 01:51:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2592", "872", "ایجاد فعالیت", "2024-05-21 22:21:07", "2024-05-22 01:51:07");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2593", "871", "عملیات توسط WP Cron شروع شد", "2024-05-23 00:27:54", "2024-05-23 03:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2594", "871", "عملیات توسط WP Cron کامل شد", "2024-05-23 00:27:54", "2024-05-23 03:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2595", "873", "ایجاد فعالیت", "2024-05-23 00:27:54", "2024-05-23 03:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2596", "872", "عملیات توسط WP Cron شروع شد", "2024-05-23 00:27:54", "2024-05-23 03:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2597", "872", "عملیات توسط WP Cron کامل شد", "2024-05-23 00:27:54", "2024-05-23 03:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2598", "874", "ایجاد فعالیت", "2024-05-23 00:27:54", "2024-05-23 03:57:54");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2599", "873", "عملیات توسط WP Cron شروع شد", "2024-05-24 03:22:18", "2024-05-24 06:52:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2600", "873", "عملیات توسط WP Cron کامل شد", "2024-05-24 03:22:18", "2024-05-24 06:52:18");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2601", "875", "ایجاد فعالیت", "2024-05-24 03:22:19", "2024-05-24 06:52:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2602", "874", "عملیات توسط WP Cron شروع شد", "2024-05-24 03:22:19", "2024-05-24 06:52:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2603", "874", "عملیات توسط WP Cron کامل شد", "2024-05-24 03:22:19", "2024-05-24 06:52:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2604", "876", "ایجاد فعالیت", "2024-05-24 03:22:19", "2024-05-24 06:52:19");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2605", "875", "عملیات توسط WP Cron شروع شد", "2024-05-25 03:46:33", "2024-05-25 07:16:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2606", "875", "عملیات توسط WP Cron کامل شد", "2024-05-25 03:46:33", "2024-05-25 07:16:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2607", "877", "ایجاد فعالیت", "2024-05-25 03:46:33", "2024-05-25 07:16:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2608", "876", "عملیات توسط WP Cron شروع شد", "2024-05-25 03:46:33", "2024-05-25 07:16:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2609", "876", "عملیات توسط WP Cron کامل شد", "2024-05-25 03:46:33", "2024-05-25 07:16:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2610", "878", "ایجاد فعالیت", "2024-05-25 03:46:33", "2024-05-25 07:16:33");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2611", "877", "عملیات توسط WP Cron شروع شد", "2024-05-26 04:26:20", "2024-05-26 07:56:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2612", "877", "عملیات توسط WP Cron کامل شد", "2024-05-26 04:26:20", "2024-05-26 07:56:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2613", "879", "ایجاد فعالیت", "2024-05-26 04:26:20", "2024-05-26 07:56:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2614", "878", "عملیات توسط WP Cron شروع شد", "2024-05-26 04:26:20", "2024-05-26 07:56:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2615", "878", "عملیات توسط WP Cron کامل شد", "2024-05-26 04:26:20", "2024-05-26 07:56:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2616", "880", "ایجاد فعالیت", "2024-05-26 04:26:20", "2024-05-26 07:56:20");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2617", "879", "عملیات توسط WP Cron شروع شد", "2024-05-27 05:13:28", "2024-05-27 08:43:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2618", "879", "عملیات توسط WP Cron کامل شد", "2024-05-27 05:13:28", "2024-05-27 08:43:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2619", "881", "ایجاد فعالیت", "2024-05-27 05:13:28", "2024-05-27 08:43:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2620", "880", "عملیات توسط WP Cron شروع شد", "2024-05-27 05:13:28", "2024-05-27 08:43:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2621", "880", "عملیات توسط WP Cron کامل شد", "2024-05-27 05:13:28", "2024-05-27 08:43:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2622", "882", "ایجاد فعالیت", "2024-05-27 05:13:28", "2024-05-27 08:43:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2623", "883", "ایجاد فعالیت", "2024-05-27 07:04:11", "2024-05-27 10:34:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2624", "884", "ایجاد فعالیت", "2024-05-27 07:04:11", "2024-05-27 10:34:11");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2625", "885", "ایجاد فعالیت", "2024-05-27 07:04:41", "2024-05-27 10:34:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2626", "883", "عملیات توسط Async Request شروع شد", "2024-05-27 07:04:42", "2024-05-27 10:34:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2627", "883", "عملیات توسط Async Request کامل شد", "2024-05-27 07:04:42", "2024-05-27 10:34:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2628", "884", "عملیات توسط Async Request شروع شد", "2024-05-27 07:04:42", "2024-05-27 10:34:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2629", "884", "عملیات توسط Async Request کامل شد", "2024-05-27 07:04:42", "2024-05-27 10:34:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2630", "886", "ایجاد فعالیت", "2024-05-27 07:04:42", "2024-05-27 10:34:42");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2631", "885", "عملیات توسط WP Cron شروع شد", "2024-05-27 07:06:41", "2024-05-27 10:36:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2632", "885", "عملیات توسط WP Cron کامل شد", "2024-05-27 07:06:41", "2024-05-27 10:36:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2633", "887", "ایجاد فعالیت", "2024-05-27 09:52:52", "2024-05-27 13:22:52");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2634", "888", "ایجاد فعالیت", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2635", "889", "ایجاد فعالیت", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2636", "890", "ایجاد فعالیت", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2637", "891", "ایجاد فعالیت", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2638", "892", "ایجاد فعالیت", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2639", "893", "ایجاد فعالیت", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2640", "888", "عملیات توسط WP Cron شروع شد", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2641", "888", "عملیات توسط WP Cron کامل شد", "2024-05-27 09:53:28", "2024-05-27 13:23:28");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2642", "889", "عملیات توسط Async Request شروع شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2643", "889", "عملیات توسط Async Request کامل شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2644", "890", "عملیات توسط Async Request شروع شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2645", "890", "عملیات توسط Async Request کامل شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2646", "891", "عملیات توسط Async Request شروع شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2647", "891", "عملیات توسط Async Request کامل شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2648", "892", "عملیات توسط Async Request شروع شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2649", "892", "عملیات توسط Async Request کامل شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2650", "893", "عملیات توسط Async Request شروع شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2651", "893", "عملیات توسط Async Request کامل شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2652", "887", "عملیات توسط Async Request شروع شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2653", "887", "عملیات توسط Async Request کامل شد", "2024-05-27 09:54:05", "2024-05-27 13:24:05");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2654", "894", "ایجاد فعالیت", "2024-05-27 10:11:41", "2024-05-27 13:41:41");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2655", "894", "عملیات توسط Async Request شروع شد", "2024-05-27 10:12:50", "2024-05-27 13:42:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2656", "894", "عملیات توسط Async Request کامل شد", "2024-05-27 10:12:50", "2024-05-27 13:42:50");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2657", "895", "ایجاد فعالیت", "2024-05-27 10:13:30", "2024-05-27 13:43:30");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2658", "895", "عملیات توسط WP Cron شروع شد", "2024-05-27 10:14:43", "2024-05-27 13:44:43");
INSERT INTO `wp_sa_actionscheduler_logs` VALUES("2659", "895", "عملیات توسط WP Cron کامل شد", "2024-05-27 10:14:43", "2024-05-27 13:44:43");

/* INSERT TABLE DATA: wp_sa_commentmeta */
INSERT INTO `wp_sa_commentmeta` VALUES("1", "3", "rating", "3");
INSERT INTO `wp_sa_commentmeta` VALUES("2", "3", "verified", "0");
INSERT INTO `wp_sa_commentmeta` VALUES("3", "4", "rating", "3");
INSERT INTO `wp_sa_commentmeta` VALUES("4", "4", "verified", "0");
INSERT INTO `wp_sa_commentmeta` VALUES("5", "6", "rating", "5");
INSERT INTO `wp_sa_commentmeta` VALUES("6", "6", "verified", "0");

/* INSERT TABLE DATA: wp_sa_comments */
INSERT INTO `wp_sa_comments` VALUES("3", "126", "طراح سایت", "designer3@abzarwp.com", "", "78.39.83.10", "2023-07-05 13:50:38", "2023-07-05 10:20:38", "تست", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36", "review", "0", "3");
INSERT INTO `wp_sa_comments` VALUES("4", "126", "طراح سایت", "designer3@abzarwp.com", "", "78.39.83.10", "2023-07-05 13:52:19", "2023-07-05 10:22:19", "تست 2", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36", "review", "0", "3");
INSERT INTO `wp_sa_comments` VALUES("6", "126", "طراح سایت", "designer3@abzarwp.com", "", "78.39.83.10", "2023-07-05 14:00:42", "2023-07-05 10:30:42", "تست 3", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36", "review", "0", "3");

/* INSERT TABLE DATA: wp_sa_dokan_vendor_balance */
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("1", "2", "552", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-05 08:54:17", "2023-07-05 08:54:17");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("2", "2", "1003", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-05 13:56:31", "2023-07-05 13:56:30");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("3", "4", "1237", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-06 11:07:51", "2023-07-06 11:07:50");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("4", "2", "1238", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-06 11:07:52", "2023-07-06 11:07:51");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("5", "4", "1239", "dokan_orders", "New order", "0.0000", "0.0000", "wc-completed", "2023-07-06 11:10:53", "2023-07-06 11:08:32");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("6", "4", "1240", "dokan_orders", "New order", "0.0000", "0.0000", "wc-completed", "2023-07-06 11:10:46", "2023-07-06 11:08:56");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("7", "4", "1244", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-06 11:11:39", "2023-07-06 11:11:38");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("8", "6", "1364", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-06 15:44:34", "2023-07-06 15:44:33");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("9", "8", "1365", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-06 15:44:34", "2023-07-06 15:44:33");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("10", "4", "1366", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-06 15:44:34", "2023-07-06 15:44:33");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("11", "4", "1819", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-11 09:07:20", "2023-07-11 05:37:19");
INSERT INTO `wp_sa_dokan_vendor_balance` VALUES("12", "4", "1825", "dokan_orders", "New order", "0.0000", "0.0000", "wc-processing", "2023-07-11 09:11:39", "2023-07-11 05:41:39");

/* INSERT TABLE DATA: wp_sa_duplicator_packages */
INSERT INTO `wp_sa_duplicator_packages` VALUES("11", "20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8", "4911608c705fb9447812_20240527101725", "21", "2024-05-27 10:18:31", "designer", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-05-27 10:17:25\";s:7:\"Version\";s:5:\"1.5.9\";s:9:\"VersionWP\";s:5:\"6.5.3\";s:9:\"VersionDB\";s:7:\"10.11.6\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:11;s:4:\"Name\";s:39:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"4911608c705fb9447812_20240527101725\";s:8:\"NameHash\";s:75:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.4\";s:6:\"WPUser\";s:8:\"designer\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:87:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:38:\"/home/halochin/public_html/multivendor\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:4106;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:21774;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-05-27 10:17:25\";s:7:\"Version\";s:5:\"1.5.9\";s:9:\"VersionWP\";s:5:\"6.5.3\";s:9:\"VersionDB\";s:7:\"10.11.6\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"4911608c705fb9447812_20240527101725\";s:8:\"NameHash\";s:75:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:93:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:52:\"/home/halochin/public_html/multivendor/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:88:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:159:\"/home/halochin/public_html/multivendor/wp-content/backups-dup-lite/tmp/20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:47:\"/home/halochin/public_html/multivendor/wp-admin\";i:1;s:50:\"/home/halochin/public_html/multivendor/wp-includes\";i:2;s:59:\"/home/halochin/public_html/multivendor/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:38:\"/home/halochin/public_html/multivendor\";i:1;s:38:\"/home/halochin/public_html/multivendor\";i:2;s:49:\"/home/halochin/public_html/multivendor/wp-content\";i:3;s:57:\"/home/halochin/public_html/multivendor/wp-content/uploads\";i:4;s:57:\"/home/halochin/public_html/multivendor/wp-content/plugins\";i:5;s:60:\"/home/halochin/public_html/multivendor/wp-content/mu-plugins\";i:6;s:56:\"/home/halochin/public_html/multivendor/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:70:\"/home/halochin/public_html/multivendor/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_sa_e_events */
INSERT INTO `wp_sa_e_events` VALUES("1", "{\"event\":\"modal load\",\"version\":\"\",\"details\":\"{\\\"placement\\\":\\\"Onboarding wizard\\\",\\\"step\\\":\\\"account\\\",\\\"user_state\\\":\\\"anon\\\"}\",\"ts\":\"2023-07-02T13:43:10.422-04:30\"}", "2023-07-02 13:43:10");

/* INSERT TABLE DATA: wp_sa_gla_budget_recommendations */
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1", "AED", "US", "80", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2", "AED", "CH", "75", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3", "AED", "AU", "70", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4", "AED", "GB", "60", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("5", "AED", "DE", "60", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("6", "AED", "DK", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("7", "AED", "AT", "40", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("8", "AED", "NO", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("9", "AED", "CA", "50", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("10", "AED", "NL", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("11", "AED", "SE", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("12", "AED", "IE", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("13", "AED", "BE", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("14", "AED", "FI", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("15", "AED", "FR", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("16", "AED", "NZ", "35", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("17", "AED", "HK", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("18", "AED", "CZ", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("19", "AED", "SK", "30", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("20", "AED", "AE", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("21", "AED", "SG", "35", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("22", "AED", "IL", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("23", "AED", "KW", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("24", "AED", "IT", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("25", "AED", "JP", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("26", "AED", "ES", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("27", "AED", "VE", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("28", "AED", "HU", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("29", "AED", "PT", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("30", "AED", "GR", "25", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("31", "AED", "KR", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("32", "AED", "TW", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("33", "AED", "PL", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("34", "AED", "ZM", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("35", "AED", "PR", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("36", "AED", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("37", "AED", "RO", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("38", "AED", "BH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("39", "AED", "PA", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("40", "AED", "GH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("41", "AED", "KH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("42", "AED", "SN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("43", "AED", "SA", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("44", "AED", "RU", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("45", "AED", "UG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("46", "AED", "BR", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("47", "AED", "NI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("48", "AED", "MG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("49", "AED", "DO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("50", "AED", "MX", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("51", "AED", "OM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("52", "AED", "CM", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("53", "AED", "ZA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("54", "AED", "CL", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("55", "AED", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("56", "AED", "NP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("57", "AED", "PE", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("58", "AED", "UA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("59", "AED", "MZ", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("60", "AED", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("61", "AED", "AO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("62", "AED", "JO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("63", "AED", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("64", "AED", "TR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("65", "AED", "MU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("66", "AED", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("67", "AED", "TH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("68", "AED", "CO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("69", "AED", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("70", "AED", "CR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("71", "AED", "AR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("72", "AED", "MA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("73", "AED", "MY", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("74", "AED", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("75", "AED", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("76", "AED", "ID", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("77", "AED", "NG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("78", "AED", "GT", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("79", "AED", "VN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("80", "AED", "BY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("81", "AED", "EG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("82", "AED", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("83", "AED", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("84", "AED", "PK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("85", "AED", "PH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("86", "AED", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("87", "AED", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("88", "AED", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("89", "AED", "IN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("90", "AED", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("91", "AED", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("92", "AED", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("93", "AED", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("94", "AED", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("95", "ARS", "US", "1860", "5245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("96", "ARS", "CH", "1735", "4560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("97", "ARS", "AU", "1575", "4050");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("98", "ARS", "GB", "1375", "3520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("99", "ARS", "DE", "1365", "3490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("100", "ARS", "DK", "1255", "3115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("101", "ARS", "AT", "915", "2845");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("102", "ARS", "NO", "1040", "2900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("103", "ARS", "CA", "1150", "3520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("104", "ARS", "NL", "1230", "3115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("105", "ARS", "SE", "985", "2660");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("106", "ARS", "IE", "975", "2565");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("107", "ARS", "BE", "895", "2620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("108", "ARS", "FI", "670", "2030");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("109", "ARS", "FR", "830", "2215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("110", "ARS", "NZ", "845", "2480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("111", "ARS", "HK", "765", "2165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("112", "ARS", "CZ", "730", "1755");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("113", "ARS", "SK", "690", "1495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("114", "ARS", "AE", "650", "2040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("115", "ARS", "SG", "850", "2510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("116", "ARS", "IL", "740", "1810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("117", "ARS", "KW", "335", "1630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("118", "ARS", "IT", "505", "1330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("119", "ARS", "JP", "630", "1795");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("120", "ARS", "ES", "520", "1370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("121", "ARS", "VE", "70", "1050");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("122", "ARS", "HU", "435", "1015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("123", "ARS", "PT", "435", "1135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("124", "ARS", "GR", "540", "1100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("125", "ARS", "KR", "665", "1755");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("126", "ARS", "TW", "540", "1440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("127", "ARS", "PL", "460", "1140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("128", "ARS", "ZM", "65", "380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("129", "ARS", "PR", "165", "1530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("130", "ARS", "CI", "90", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("131", "ARS", "RO", "425", "1025");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("132", "ARS", "BH", "190", "1065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("133", "ARS", "PA", "130", "1465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("134", "ARS", "GH", "155", "430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("135", "ARS", "KH", "90", "425");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("136", "ARS", "SN", "65", "465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("137", "ARS", "SA", "275", "1060");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("138", "ARS", "RU", "275", "875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("139", "ARS", "UG", "65", "340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("140", "ARS", "BR", "295", "720");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("141", "ARS", "NI", "65", "460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("142", "ARS", "MG", "65", "330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("143", "ARS", "DO", "80", "545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("144", "ARS", "MX", "220", "800");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("145", "ARS", "OM", "140", "800");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("146", "ARS", "CM", "65", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("147", "ARS", "ZA", "265", "845");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("148", "ARS", "CL", "275", "820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("149", "ARS", "KE", "80", "340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("150", "ARS", "NP", "65", "310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("151", "ARS", "PE", "165", "690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("152", "ARS", "UA", "155", "490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("153", "ARS", "MZ", "65", "645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("154", "ARS", "TZ", "10", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("155", "ARS", "AO", "145", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("156", "ARS", "JO", "105", "500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("157", "ARS", "ZW", "65", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("158", "ARS", "TR", "170", "460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("159", "ARS", "MU", "85", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("160", "ARS", "SV", "65", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("161", "ARS", "TH", "250", "790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("162", "ARS", "CO", "125", "495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("163", "ARS", "LK", "60", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("164", "ARS", "CR", "80", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("165", "ARS", "AR", "175", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("166", "ARS", "MA", "80", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("167", "ARS", "MY", "220", "810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("168", "ARS", "KZ", "95", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("169", "ARS", "DZ", "75", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("170", "ARS", "ID", "195", "730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("171", "ARS", "NG", "110", "700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("172", "ARS", "GT", "75", "545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("173", "ARS", "VN", "160", "610");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("174", "ARS", "BY", "75", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("175", "ARS", "EG", "100", "620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("176", "ARS", "UY", "80", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("177", "ARS", "BD", "65", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("178", "ARS", "PK", "70", "415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("179", "ARS", "PH", "125", "460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("180", "ARS", "ET", "20", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("181", "ARS", "TN", "75", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("182", "ARS", "LB", "80", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("183", "ARS", "IN", "70", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("184", "ARS", "PY", "75", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("185", "ARS", "UZ", "75", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("186", "ARS", "EC", "75", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("187", "ARS", "MM", "75", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("188", "ARS", "GE", "80", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("189", "AUD", "US", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("190", "AUD", "CH", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("191", "AUD", "AU", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("192", "AUD", "GB", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("193", "AUD", "DE", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("194", "AUD", "DK", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("195", "AUD", "AT", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("196", "AUD", "NO", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("197", "AUD", "CA", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("198", "AUD", "NL", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("199", "AUD", "SE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("200", "AUD", "IE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("201", "AUD", "BE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("202", "AUD", "FI", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("203", "AUD", "FR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("204", "AUD", "NZ", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("205", "AUD", "HK", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("206", "AUD", "CZ", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("207", "AUD", "SK", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("208", "AUD", "AE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("209", "AUD", "SG", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("210", "AUD", "IL", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("211", "AUD", "KW", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("212", "AUD", "IT", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("213", "AUD", "JP", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("214", "AUD", "ES", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("215", "AUD", "VE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("216", "AUD", "HU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("217", "AUD", "PT", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("218", "AUD", "GR", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("219", "AUD", "KR", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("220", "AUD", "TW", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("221", "AUD", "PL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("222", "AUD", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("223", "AUD", "PR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("224", "AUD", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("225", "AUD", "RO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("226", "AUD", "BH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("227", "AUD", "PA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("228", "AUD", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("229", "AUD", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("230", "AUD", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("231", "AUD", "SA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("232", "AUD", "RU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("233", "AUD", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("234", "AUD", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("235", "AUD", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("236", "AUD", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("237", "AUD", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("238", "AUD", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("239", "AUD", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("240", "AUD", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("241", "AUD", "ZA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("242", "AUD", "CL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("243", "AUD", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("244", "AUD", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("245", "AUD", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("246", "AUD", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("247", "AUD", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("248", "AUD", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("249", "AUD", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("250", "AUD", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("251", "AUD", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("252", "AUD", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("253", "AUD", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("254", "AUD", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("255", "AUD", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("256", "AUD", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("257", "AUD", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("258", "AUD", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("259", "AUD", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("260", "AUD", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("261", "AUD", "MY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("262", "AUD", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("263", "AUD", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("264", "AUD", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("265", "AUD", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("266", "AUD", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("267", "AUD", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("268", "AUD", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("269", "AUD", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("270", "AUD", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("271", "AUD", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("272", "AUD", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("273", "AUD", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("274", "AUD", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("275", "AUD", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("276", "AUD", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("277", "AUD", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("278", "AUD", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("279", "AUD", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("280", "AUD", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("281", "AUD", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("282", "AUD", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("283", "BGN", "US", "35", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("284", "BGN", "CH", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("285", "BGN", "AU", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("286", "BGN", "GB", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("287", "BGN", "DE", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("288", "BGN", "DK", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("289", "BGN", "AT", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("290", "BGN", "NO", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("291", "BGN", "CA", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("292", "BGN", "NL", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("293", "BGN", "SE", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("294", "BGN", "IE", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("295", "BGN", "BE", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("296", "BGN", "FI", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("297", "BGN", "FR", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("298", "BGN", "NZ", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("299", "BGN", "HK", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("300", "BGN", "CZ", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("301", "BGN", "SK", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("302", "BGN", "AE", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("303", "BGN", "SG", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("304", "BGN", "IL", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("305", "BGN", "KW", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("306", "BGN", "IT", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("307", "BGN", "JP", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("308", "BGN", "ES", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("309", "BGN", "VE", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("310", "BGN", "HU", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("311", "BGN", "PT", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("312", "BGN", "GR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("313", "BGN", "KR", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("314", "BGN", "TW", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("315", "BGN", "PL", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("316", "BGN", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("317", "BGN", "PR", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("318", "BGN", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("319", "BGN", "RO", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("320", "BGN", "BH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("321", "BGN", "PA", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("322", "BGN", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("323", "BGN", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("324", "BGN", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("325", "BGN", "SA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("326", "BGN", "RU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("327", "BGN", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("328", "BGN", "BR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("329", "BGN", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("330", "BGN", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("331", "BGN", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("332", "BGN", "MX", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("333", "BGN", "OM", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("334", "BGN", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("335", "BGN", "ZA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("336", "BGN", "CL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("337", "BGN", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("338", "BGN", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("339", "BGN", "PE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("340", "BGN", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("341", "BGN", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("342", "BGN", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("343", "BGN", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("344", "BGN", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("345", "BGN", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("346", "BGN", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("347", "BGN", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("348", "BGN", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("349", "BGN", "TH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("350", "BGN", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("351", "BGN", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("352", "BGN", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("353", "BGN", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("354", "BGN", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("355", "BGN", "MY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("356", "BGN", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("357", "BGN", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("358", "BGN", "ID", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("359", "BGN", "NG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("360", "BGN", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("361", "BGN", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("362", "BGN", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("363", "BGN", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("364", "BGN", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("365", "BGN", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("366", "BGN", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("367", "BGN", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("368", "BGN", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("369", "BGN", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("370", "BGN", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("371", "BGN", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("372", "BGN", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("373", "BGN", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("374", "BGN", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("375", "BGN", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("376", "BGN", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("377", "BOB", "US", "150", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("378", "BOB", "CH", "140", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("379", "BOB", "AU", "125", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("380", "BOB", "GB", "110", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("381", "BOB", "DE", "110", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("382", "BOB", "DK", "100", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("383", "BOB", "AT", "75", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("384", "BOB", "NO", "85", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("385", "BOB", "CA", "90", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("386", "BOB", "NL", "100", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("387", "BOB", "SE", "80", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("388", "BOB", "IE", "80", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("389", "BOB", "BE", "70", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("390", "BOB", "FI", "55", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("391", "BOB", "FR", "65", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("392", "BOB", "NZ", "70", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("393", "BOB", "HK", "60", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("394", "BOB", "CZ", "60", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("395", "BOB", "SK", "55", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("396", "BOB", "AE", "50", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("397", "BOB", "SG", "70", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("398", "BOB", "IL", "60", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("399", "BOB", "KW", "25", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("400", "BOB", "IT", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("401", "BOB", "JP", "50", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("402", "BOB", "ES", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("403", "BOB", "VE", "5", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("404", "BOB", "HU", "35", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("405", "BOB", "PT", "35", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("406", "BOB", "GR", "45", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("407", "BOB", "KR", "55", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("408", "BOB", "TW", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("409", "BOB", "PL", "35", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("410", "BOB", "ZM", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("411", "BOB", "PR", "15", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("412", "BOB", "CI", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("413", "BOB", "RO", "35", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("414", "BOB", "BH", "15", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("415", "BOB", "PA", "10", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("416", "BOB", "GH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("417", "BOB", "KH", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("418", "BOB", "SN", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("419", "BOB", "SA", "20", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("420", "BOB", "RU", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("421", "BOB", "UG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("422", "BOB", "BR", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("423", "BOB", "NI", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("424", "BOB", "MG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("425", "BOB", "DO", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("426", "BOB", "MX", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("427", "BOB", "OM", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("428", "BOB", "CM", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("429", "BOB", "ZA", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("430", "BOB", "CL", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("431", "BOB", "KE", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("432", "BOB", "NP", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("433", "BOB", "PE", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("434", "BOB", "UA", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("435", "BOB", "MZ", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("436", "BOB", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("437", "BOB", "AO", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("438", "BOB", "JO", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("439", "BOB", "ZW", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("440", "BOB", "TR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("441", "BOB", "MU", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("442", "BOB", "SV", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("443", "BOB", "TH", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("444", "BOB", "CO", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("445", "BOB", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("446", "BOB", "CR", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("447", "BOB", "AR", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("448", "BOB", "MA", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("449", "BOB", "MY", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("450", "BOB", "KZ", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("451", "BOB", "DZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("452", "BOB", "ID", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("453", "BOB", "NG", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("454", "BOB", "GT", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("455", "BOB", "VN", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("456", "BOB", "BY", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("457", "BOB", "EG", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("458", "BOB", "UY", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("459", "BOB", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("460", "BOB", "PK", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("461", "BOB", "PH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("462", "BOB", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("463", "BOB", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("464", "BOB", "LB", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("465", "BOB", "IN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("466", "BOB", "PY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("467", "BOB", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("468", "BOB", "EC", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("469", "BOB", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("470", "BOB", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("471", "BRL", "US", "115", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("472", "BRL", "CH", "105", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("473", "BRL", "AU", "100", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("474", "BRL", "GB", "85", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("475", "BRL", "DE", "85", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("476", "BRL", "DK", "80", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("477", "BRL", "AT", "55", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("478", "BRL", "NO", "65", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("479", "BRL", "CA", "70", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("480", "BRL", "NL", "75", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("481", "BRL", "SE", "60", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("482", "BRL", "IE", "60", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("483", "BRL", "BE", "55", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("484", "BRL", "FI", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("485", "BRL", "FR", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("486", "BRL", "NZ", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("487", "BRL", "HK", "45", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("488", "BRL", "CZ", "45", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("489", "BRL", "SK", "45", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("490", "BRL", "AE", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("491", "BRL", "SG", "55", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("492", "BRL", "IL", "45", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("493", "BRL", "KW", "20", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("494", "BRL", "IT", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("495", "BRL", "JP", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("496", "BRL", "ES", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("497", "BRL", "VE", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("498", "BRL", "HU", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("499", "BRL", "PT", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("500", "BRL", "GR", "35", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("501", "BRL", "KR", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("502", "BRL", "TW", "35", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("503", "BRL", "PL", "30", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("504", "BRL", "ZM", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("505", "BRL", "PR", "10", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("506", "BRL", "CI", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("507", "BRL", "RO", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("508", "BRL", "BH", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("509", "BRL", "PA", "10", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("510", "BRL", "GH", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("511", "BRL", "KH", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("512", "BRL", "SN", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("513", "BRL", "SA", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("514", "BRL", "RU", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("515", "BRL", "UG", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("516", "BRL", "BR", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("517", "BRL", "NI", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("518", "BRL", "MG", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("519", "BRL", "DO", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("520", "BRL", "MX", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("521", "BRL", "OM", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("522", "BRL", "CM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("523", "BRL", "ZA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("524", "BRL", "CL", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("525", "BRL", "KE", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("526", "BRL", "NP", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("527", "BRL", "PE", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("528", "BRL", "UA", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("529", "BRL", "MZ", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("530", "BRL", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("531", "BRL", "AO", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("532", "BRL", "JO", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("533", "BRL", "ZW", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("534", "BRL", "TR", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("535", "BRL", "MU", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("536", "BRL", "SV", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("537", "BRL", "TH", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("538", "BRL", "CO", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("539", "BRL", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("540", "BRL", "CR", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("541", "BRL", "AR", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("542", "BRL", "MA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("543", "BRL", "MY", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("544", "BRL", "KZ", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("545", "BRL", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("546", "BRL", "ID", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("547", "BRL", "NG", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("548", "BRL", "GT", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("549", "BRL", "VN", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("550", "BRL", "BY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("551", "BRL", "EG", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("552", "BRL", "UY", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("553", "BRL", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("554", "BRL", "PK", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("555", "BRL", "PH", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("556", "BRL", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("557", "BRL", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("558", "BRL", "LB", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("559", "BRL", "IN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("560", "BRL", "PY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("561", "BRL", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("562", "BRL", "EC", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("563", "BRL", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("564", "BRL", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("565", "CAD", "US", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("566", "CAD", "CH", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("567", "CAD", "AU", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("568", "CAD", "GB", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("569", "CAD", "DE", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("570", "CAD", "DK", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("571", "CAD", "AT", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("572", "CAD", "NO", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("573", "CAD", "CA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("574", "CAD", "NL", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("575", "CAD", "SE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("576", "CAD", "IE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("577", "CAD", "BE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("578", "CAD", "FI", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("579", "CAD", "FR", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("580", "CAD", "NZ", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("581", "CAD", "HK", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("582", "CAD", "CZ", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("583", "CAD", "SK", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("584", "CAD", "AE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("585", "CAD", "SG", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("586", "CAD", "IL", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("587", "CAD", "KW", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("588", "CAD", "IT", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("589", "CAD", "JP", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("590", "CAD", "ES", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("591", "CAD", "VE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("592", "CAD", "HU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("593", "CAD", "PT", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("594", "CAD", "GR", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("595", "CAD", "KR", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("596", "CAD", "TW", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("597", "CAD", "PL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("598", "CAD", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("599", "CAD", "PR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("600", "CAD", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("601", "CAD", "RO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("602", "CAD", "BH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("603", "CAD", "PA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("604", "CAD", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("605", "CAD", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("606", "CAD", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("607", "CAD", "SA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("608", "CAD", "RU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("609", "CAD", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("610", "CAD", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("611", "CAD", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("612", "CAD", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("613", "CAD", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("614", "CAD", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("615", "CAD", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("616", "CAD", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("617", "CAD", "ZA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("618", "CAD", "CL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("619", "CAD", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("620", "CAD", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("621", "CAD", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("622", "CAD", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("623", "CAD", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("624", "CAD", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("625", "CAD", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("626", "CAD", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("627", "CAD", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("628", "CAD", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("629", "CAD", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("630", "CAD", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("631", "CAD", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("632", "CAD", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("633", "CAD", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("634", "CAD", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("635", "CAD", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("636", "CAD", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("637", "CAD", "MY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("638", "CAD", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("639", "CAD", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("640", "CAD", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("641", "CAD", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("642", "CAD", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("643", "CAD", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("644", "CAD", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("645", "CAD", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("646", "CAD", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("647", "CAD", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("648", "CAD", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("649", "CAD", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("650", "CAD", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("651", "CAD", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("652", "CAD", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("653", "CAD", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("654", "CAD", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("655", "CAD", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("656", "CAD", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("657", "CAD", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("658", "CAD", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("659", "CHF", "US", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("660", "CHF", "CH", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("661", "CHF", "AU", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("662", "CHF", "GB", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("663", "CHF", "DE", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("664", "CHF", "DK", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("665", "CHF", "AT", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("666", "CHF", "NO", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("667", "CHF", "CA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("668", "CHF", "NL", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("669", "CHF", "SE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("670", "CHF", "IE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("671", "CHF", "BE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("672", "CHF", "FI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("673", "CHF", "FR", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("674", "CHF", "NZ", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("675", "CHF", "HK", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("676", "CHF", "CZ", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("677", "CHF", "SK", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("678", "CHF", "AE", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("679", "CHF", "SG", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("680", "CHF", "IL", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("681", "CHF", "KW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("682", "CHF", "IT", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("683", "CHF", "JP", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("684", "CHF", "ES", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("685", "CHF", "VE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("686", "CHF", "HU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("687", "CHF", "PT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("688", "CHF", "GR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("689", "CHF", "KR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("690", "CHF", "TW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("691", "CHF", "PL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("692", "CHF", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("693", "CHF", "PR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("694", "CHF", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("695", "CHF", "RO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("696", "CHF", "BH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("697", "CHF", "PA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("698", "CHF", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("699", "CHF", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("700", "CHF", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("701", "CHF", "SA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("702", "CHF", "RU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("703", "CHF", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("704", "CHF", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("705", "CHF", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("706", "CHF", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("707", "CHF", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("708", "CHF", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("709", "CHF", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("710", "CHF", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("711", "CHF", "ZA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("712", "CHF", "CL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("713", "CHF", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("714", "CHF", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("715", "CHF", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("716", "CHF", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("717", "CHF", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("718", "CHF", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("719", "CHF", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("720", "CHF", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("721", "CHF", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("722", "CHF", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("723", "CHF", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("724", "CHF", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("725", "CHF", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("726", "CHF", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("727", "CHF", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("728", "CHF", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("729", "CHF", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("730", "CHF", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("731", "CHF", "MY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("732", "CHF", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("733", "CHF", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("734", "CHF", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("735", "CHF", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("736", "CHF", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("737", "CHF", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("738", "CHF", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("739", "CHF", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("740", "CHF", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("741", "CHF", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("742", "CHF", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("743", "CHF", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("744", "CHF", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("745", "CHF", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("746", "CHF", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("747", "CHF", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("748", "CHF", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("749", "CHF", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("750", "CHF", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("751", "CHF", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("752", "CHF", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("753", "CLP", "US", "16030", "45230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("754", "CLP", "CH", "14950", "39340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("755", "CLP", "AU", "13600", "34925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("756", "CLP", "GB", "11860", "30350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("757", "CLP", "DE", "11770", "30105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("758", "CLP", "DK", "10830", "26875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("759", "CLP", "AT", "7900", "24555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("760", "CLP", "NO", "8955", "25005");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("761", "CLP", "CA", "9900", "30360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("762", "CLP", "NL", "10590", "26885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("763", "CLP", "SE", "8480", "22925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("764", "CLP", "IE", "8390", "22115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("765", "CLP", "BE", "7715", "22610");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("766", "CLP", "FI", "5770", "17515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("767", "CLP", "FR", "7140", "19115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("768", "CLP", "NZ", "7270", "21400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("769", "CLP", "HK", "6610", "18695");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("770", "CLP", "CZ", "6300", "15130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("771", "CLP", "SK", "5945", "12885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("772", "CLP", "AE", "5610", "17610");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("773", "CLP", "SG", "7320", "21635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("774", "CLP", "IL", "6390", "15630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("775", "CLP", "KW", "2880", "14045");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("776", "CLP", "IT", "4350", "11480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("777", "CLP", "JP", "5455", "15495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("778", "CLP", "ES", "4470", "11820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("779", "CLP", "VE", "585", "9055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("780", "CLP", "HU", "3765", "8765");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("781", "CLP", "PT", "3760", "9805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("782", "CLP", "GR", "4635", "9495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("783", "CLP", "KR", "5715", "15140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("784", "CLP", "TW", "4645", "12440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("785", "CLP", "PL", "3975", "9840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("786", "CLP", "ZM", "575", "3275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("787", "CLP", "PR", "1405", "13200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("788", "CLP", "CI", "765", "3165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("789", "CLP", "RO", "3650", "8835");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("790", "CLP", "BH", "1660", "9195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("791", "CLP", "PA", "1110", "12620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("792", "CLP", "GH", "1330", "3715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("793", "CLP", "KH", "770", "3685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("794", "CLP", "SN", "560", "4005");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("795", "CLP", "SA", "2385", "9130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("796", "CLP", "RU", "2370", "7560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("797", "CLP", "UG", "555", "2925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("798", "CLP", "BR", "2525", "6230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("799", "CLP", "NI", "555", "3990");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("800", "CLP", "MG", "560", "2825");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("801", "CLP", "DO", "675", "4685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("802", "CLP", "MX", "1905", "6895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("803", "CLP", "OM", "1195", "6895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("804", "CLP", "CM", "555", "5135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("805", "CLP", "ZA", "2270", "7305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("806", "CLP", "CL", "2365", "7065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("807", "CLP", "KE", "685", "2950");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("808", "CLP", "NP", "555", "2680");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("809", "CLP", "PE", "1410", "5945");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("810", "CLP", "UA", "1345", "4205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("811", "CLP", "MZ", "555", "5580");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("812", "CLP", "TZ", "70", "1280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("813", "CLP", "AO", "1230", "3205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("814", "CLP", "JO", "905", "4310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("815", "CLP", "ZW", "560", "3055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("816", "CLP", "TR", "1445", "3955");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("817", "CLP", "MU", "740", "2530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("818", "CLP", "SV", "555", "3065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("819", "CLP", "TH", "2170", "6820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("820", "CLP", "CO", "1100", "4255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("821", "CLP", "LK", "535", "735");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("822", "CLP", "CR", "670", "4450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("823", "CLP", "AR", "1495", "4055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("824", "CLP", "MA", "670", "2625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("825", "CLP", "MY", "1895", "6975");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("826", "CLP", "KZ", "810", "2970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("827", "CLP", "DZ", "665", "1410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("828", "CLP", "ID", "1695", "6280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("829", "CLP", "NG", "950", "6020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("830", "CLP", "GT", "665", "4715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("831", "CLP", "VN", "1385", "5250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("832", "CLP", "BY", "650", "2530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("833", "CLP", "EG", "875", "5355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("834", "CLP", "UY", "690", "3185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("835", "CLP", "BD", "570", "1260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("836", "CLP", "PK", "625", "3590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("837", "CLP", "PH", "1080", "3990");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("838", "CLP", "ET", "175", "1320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("839", "CLP", "TN", "665", "1205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("840", "CLP", "LB", "670", "2010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("841", "CLP", "IN", "620", "2800");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("842", "CLP", "PY", "665", "2140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("843", "CLP", "UZ", "665", "1300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("844", "CLP", "EC", "650", "2220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("845", "CLP", "MM", "665", "730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("846", "CLP", "GE", "670", "850");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("847", "CNY", "US", "140", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("848", "CNY", "CH", "130", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("849", "CNY", "AU", "120", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("850", "CNY", "GB", "105", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("851", "CNY", "DE", "105", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("852", "CNY", "DK", "95", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("853", "CNY", "AT", "70", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("854", "CNY", "NO", "80", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("855", "CNY", "CA", "85", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("856", "CNY", "NL", "95", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("857", "CNY", "SE", "75", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("858", "CNY", "IE", "75", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("859", "CNY", "BE", "70", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("860", "CNY", "FI", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("861", "CNY", "FR", "65", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("862", "CNY", "NZ", "65", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("863", "CNY", "HK", "60", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("864", "CNY", "CZ", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("865", "CNY", "SK", "50", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("866", "CNY", "AE", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("867", "CNY", "SG", "65", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("868", "CNY", "IL", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("869", "CNY", "KW", "25", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("870", "CNY", "IT", "40", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("871", "CNY", "JP", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("872", "CNY", "ES", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("873", "CNY", "VE", "5", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("874", "CNY", "HU", "35", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("875", "CNY", "PT", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("876", "CNY", "GR", "40", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("877", "CNY", "KR", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("878", "CNY", "TW", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("879", "CNY", "PL", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("880", "CNY", "ZM", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("881", "CNY", "PR", "10", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("882", "CNY", "CI", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("883", "CNY", "RO", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("884", "CNY", "BH", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("885", "CNY", "PA", "10", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("886", "CNY", "GH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("887", "CNY", "KH", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("888", "CNY", "SN", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("889", "CNY", "SA", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("890", "CNY", "RU", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("891", "CNY", "UG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("892", "CNY", "BR", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("893", "CNY", "NI", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("894", "CNY", "MG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("895", "CNY", "DO", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("896", "CNY", "MX", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("897", "CNY", "OM", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("898", "CNY", "CM", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("899", "CNY", "ZA", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("900", "CNY", "CL", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("901", "CNY", "KE", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("902", "CNY", "NP", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("903", "CNY", "PE", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("904", "CNY", "UA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("905", "CNY", "MZ", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("906", "CNY", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("907", "CNY", "AO", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("908", "CNY", "JO", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("909", "CNY", "ZW", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("910", "CNY", "TR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("911", "CNY", "MU", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("912", "CNY", "SV", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("913", "CNY", "TH", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("914", "CNY", "CO", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("915", "CNY", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("916", "CNY", "CR", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("917", "CNY", "AR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("918", "CNY", "MA", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("919", "CNY", "MY", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("920", "CNY", "KZ", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("921", "CNY", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("922", "CNY", "ID", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("923", "CNY", "NG", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("924", "CNY", "GT", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("925", "CNY", "VN", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("926", "CNY", "BY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("927", "CNY", "EG", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("928", "CNY", "UY", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("929", "CNY", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("930", "CNY", "PK", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("931", "CNY", "PH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("932", "CNY", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("933", "CNY", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("934", "CNY", "LB", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("935", "CNY", "IN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("936", "CNY", "PY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("937", "CNY", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("938", "CNY", "EC", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("939", "CNY", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("940", "CNY", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("941", "COP", "US", "75545", "213150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("942", "COP", "CH", "70445", "185375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("943", "COP", "AU", "64100", "164575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("944", "COP", "GB", "55885", "143015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("945", "COP", "DE", "55460", "141860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("946", "COP", "DK", "51030", "126635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("947", "COP", "AT", "37235", "115710");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("948", "COP", "NO", "42205", "117830");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("949", "COP", "CA", "46655", "143060");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("950", "COP", "NL", "49915", "126685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("951", "COP", "SE", "39955", "108040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("952", "COP", "IE", "39535", "104220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("953", "COP", "BE", "36360", "106555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("954", "COP", "FI", "27180", "82545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("955", "COP", "FR", "33655", "90085");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("956", "COP", "NZ", "34255", "100840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("957", "COP", "HK", "31150", "88090");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("958", "COP", "CZ", "29700", "71300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("959", "COP", "SK", "28020", "60720");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("960", "COP", "AE", "26440", "82980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("961", "COP", "SG", "34500", "101960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("962", "COP", "IL", "30105", "73645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("963", "COP", "KW", "13580", "66195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("964", "COP", "IT", "20495", "54100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("965", "COP", "JP", "25695", "73030");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("966", "COP", "ES", "21065", "55710");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("967", "COP", "VE", "2760", "42675");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("968", "COP", "HU", "17750", "41305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("969", "COP", "PT", "17720", "46195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("970", "COP", "GR", "21850", "44750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("971", "COP", "KR", "26940", "71345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("972", "COP", "TW", "21895", "58620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("973", "COP", "PL", "18735", "46380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("974", "COP", "ZM", "2705", "15440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("975", "COP", "PR", "6620", "62215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("976", "COP", "CI", "3610", "14925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("977", "COP", "RO", "17210", "41645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("978", "COP", "BH", "7815", "43325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("979", "COP", "PA", "5235", "59470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("980", "COP", "GH", "6275", "17510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("981", "COP", "KH", "3615", "17370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("982", "COP", "SN", "2635", "18870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("983", "COP", "SA", "11235", "43010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("984", "COP", "RU", "11165", "35625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("985", "COP", "UG", "2625", "13790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("986", "COP", "BR", "11905", "29345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("987", "COP", "NI", "2620", "18790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("988", "COP", "MG", "2650", "13320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("989", "COP", "DO", "3175", "22085");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("990", "COP", "MX", "8975", "32480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("991", "COP", "OM", "5640", "32485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("992", "COP", "CM", "2615", "24205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("993", "COP", "ZA", "10695", "34425");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("994", "COP", "CL", "11145", "33300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("995", "COP", "KE", "3215", "13900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("996", "COP", "NP", "2615", "12625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("997", "COP", "PE", "6655", "28015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("998", "COP", "UA", "6345", "19820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("999", "COP", "MZ", "2615", "26290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1000", "COP", "TZ", "330", "6035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1001", "COP", "AO", "5795", "15115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1002", "COP", "JO", "4275", "20300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1003", "COP", "ZW", "2625", "14405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1004", "COP", "TR", "6810", "18630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1005", "COP", "MU", "3485", "11915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1006", "COP", "SV", "2615", "14435");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1007", "COP", "TH", "10215", "32140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1008", "COP", "CO", "5180", "20050");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1009", "COP", "LK", "2515", "3475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1010", "COP", "CR", "3160", "20980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1011", "COP", "AR", "7055", "19110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1012", "COP", "MA", "3150", "12365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1013", "COP", "MY", "8940", "32875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1014", "COP", "KZ", "3825", "13995");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1015", "COP", "DZ", "3135", "6635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1016", "COP", "ID", "7975", "29590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1017", "COP", "NG", "4485", "28365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1018", "COP", "GT", "3140", "22210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1019", "COP", "VN", "6525", "24735");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1020", "COP", "BY", "3065", "11930");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1021", "COP", "EG", "4135", "25245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1022", "COP", "UY", "3260", "15015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1023", "COP", "BD", "2680", "5940");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1024", "COP", "PK", "2940", "16930");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1025", "COP", "PH", "5095", "18795");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1026", "COP", "ET", "815", "6225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1027", "COP", "TN", "3140", "5685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1028", "COP", "LB", "3170", "9470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1029", "COP", "IN", "2920", "13195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1030", "COP", "PY", "3140", "10095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1031", "COP", "UZ", "3140", "6130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1032", "COP", "EC", "3050", "10470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1033", "COP", "MM", "3140", "3430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1034", "COP", "GE", "3150", "4015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1035", "CZK", "US", "470", "1320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1036", "CZK", "CH", "435", "1145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1037", "CZK", "AU", "395", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1038", "CZK", "GB", "345", "885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1039", "CZK", "DE", "345", "880");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1040", "CZK", "DK", "315", "785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1041", "CZK", "AT", "230", "715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1042", "CZK", "NO", "260", "730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1043", "CZK", "CA", "290", "885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1044", "CZK", "NL", "310", "785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1045", "CZK", "SE", "245", "670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1046", "CZK", "IE", "245", "645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1047", "CZK", "BE", "225", "660");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1048", "CZK", "FI", "170", "510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1049", "CZK", "FR", "210", "560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1050", "CZK", "NZ", "210", "625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1051", "CZK", "HK", "195", "545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1052", "CZK", "CZ", "185", "440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1053", "CZK", "SK", "175", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1054", "CZK", "AE", "165", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1055", "CZK", "SG", "215", "630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1056", "CZK", "IL", "185", "455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1057", "CZK", "KW", "85", "410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1058", "CZK", "IT", "125", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1059", "CZK", "JP", "160", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1060", "CZK", "ES", "130", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1061", "CZK", "VE", "15", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1062", "CZK", "HU", "110", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1063", "CZK", "PT", "110", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1064", "CZK", "GR", "135", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1065", "CZK", "KR", "165", "440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1066", "CZK", "TW", "135", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1067", "CZK", "PL", "115", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1068", "CZK", "ZM", "15", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1069", "CZK", "PR", "40", "385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1070", "CZK", "CI", "20", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1071", "CZK", "RO", "105", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1072", "CZK", "BH", "50", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1073", "CZK", "PA", "30", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1074", "CZK", "GH", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1075", "CZK", "KH", "20", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1076", "CZK", "SN", "15", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1077", "CZK", "SA", "70", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1078", "CZK", "RU", "70", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1079", "CZK", "UG", "15", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1080", "CZK", "BR", "75", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1081", "CZK", "NI", "15", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1082", "CZK", "MG", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1083", "CZK", "DO", "20", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1084", "CZK", "MX", "55", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1085", "CZK", "OM", "35", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1086", "CZK", "CM", "15", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1087", "CZK", "ZA", "65", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1088", "CZK", "CL", "70", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1089", "CZK", "KE", "20", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1090", "CZK", "NP", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1091", "CZK", "PE", "40", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1092", "CZK", "UA", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1093", "CZK", "MZ", "15", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1094", "CZK", "TZ", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1095", "CZK", "AO", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1096", "CZK", "JO", "25", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1097", "CZK", "ZW", "15", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1098", "CZK", "TR", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1099", "CZK", "MU", "20", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1100", "CZK", "SV", "15", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1101", "CZK", "TH", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1102", "CZK", "CO", "30", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1103", "CZK", "LK", "15", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1104", "CZK", "CR", "20", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1105", "CZK", "AR", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1106", "CZK", "MA", "20", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1107", "CZK", "MY", "55", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1108", "CZK", "KZ", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1109", "CZK", "DZ", "20", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1110", "CZK", "ID", "50", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1111", "CZK", "NG", "30", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1112", "CZK", "GT", "20", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1113", "CZK", "VN", "40", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1114", "CZK", "BY", "20", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1115", "CZK", "EG", "25", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1116", "CZK", "UY", "20", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1117", "CZK", "BD", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1118", "CZK", "PK", "20", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1119", "CZK", "PH", "30", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1120", "CZK", "ET", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1121", "CZK", "TN", "20", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1122", "CZK", "LB", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1123", "CZK", "IN", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1124", "CZK", "PY", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1125", "CZK", "UZ", "20", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1126", "CZK", "EC", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1127", "CZK", "MM", "20", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1128", "CZK", "GE", "20", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1129", "DKK", "US", "135", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1130", "DKK", "CH", "125", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1131", "DKK", "AU", "115", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1132", "DKK", "GB", "100", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1133", "DKK", "DE", "100", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1134", "DKK", "DK", "90", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1135", "DKK", "AT", "65", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1136", "DKK", "NO", "75", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1137", "DKK", "CA", "80", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1138", "DKK", "NL", "90", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1139", "DKK", "SE", "70", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1140", "DKK", "IE", "70", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1141", "DKK", "BE", "65", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1142", "DKK", "FI", "50", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1143", "DKK", "FR", "60", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1144", "DKK", "NZ", "60", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1145", "DKK", "HK", "55", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1146", "DKK", "CZ", "50", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1147", "DKK", "SK", "50", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1148", "DKK", "AE", "45", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1149", "DKK", "SG", "60", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1150", "DKK", "IL", "55", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1151", "DKK", "KW", "25", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1152", "DKK", "IT", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1153", "DKK", "JP", "45", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1154", "DKK", "ES", "35", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1155", "DKK", "VE", "5", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1156", "DKK", "HU", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1157", "DKK", "PT", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1158", "DKK", "GR", "40", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1159", "DKK", "KR", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1160", "DKK", "TW", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1161", "DKK", "PL", "35", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1162", "DKK", "ZM", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1163", "DKK", "PR", "10", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1164", "DKK", "CI", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1165", "DKK", "RO", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1166", "DKK", "BH", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1167", "DKK", "PA", "10", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1168", "DKK", "GH", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1169", "DKK", "KH", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1170", "DKK", "SN", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1171", "DKK", "SA", "20", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1172", "DKK", "RU", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1173", "DKK", "UG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1174", "DKK", "BR", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1175", "DKK", "NI", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1176", "DKK", "MG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1177", "DKK", "DO", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1178", "DKK", "MX", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1179", "DKK", "OM", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1180", "DKK", "CM", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1181", "DKK", "ZA", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1182", "DKK", "CL", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1183", "DKK", "KE", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1184", "DKK", "NP", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1185", "DKK", "PE", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1186", "DKK", "UA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1187", "DKK", "MZ", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1188", "DKK", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1189", "DKK", "AO", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1190", "DKK", "JO", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1191", "DKK", "ZW", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1192", "DKK", "TR", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1193", "DKK", "MU", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1194", "DKK", "SV", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1195", "DKK", "TH", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1196", "DKK", "CO", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1197", "DKK", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1198", "DKK", "CR", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1199", "DKK", "AR", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1200", "DKK", "MA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1201", "DKK", "MY", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1202", "DKK", "KZ", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1203", "DKK", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1204", "DKK", "ID", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1205", "DKK", "NG", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1206", "DKK", "GT", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1207", "DKK", "VN", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1208", "DKK", "BY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1209", "DKK", "EG", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1210", "DKK", "UY", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1211", "DKK", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1212", "DKK", "PK", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1213", "DKK", "PH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1214", "DKK", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1215", "DKK", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1216", "DKK", "LB", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1217", "DKK", "IN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1218", "DKK", "PY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1219", "DKK", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1220", "DKK", "EC", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1221", "DKK", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1222", "DKK", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1223", "EGP", "US", "340", "960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1224", "EGP", "CH", "315", "835");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1225", "EGP", "AU", "290", "740");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1226", "EGP", "GB", "250", "645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1227", "EGP", "DE", "250", "640");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1228", "EGP", "DK", "230", "570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1229", "EGP", "AT", "170", "520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1230", "EGP", "NO", "190", "530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1231", "EGP", "CA", "210", "645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1232", "EGP", "NL", "225", "570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1233", "EGP", "SE", "180", "485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1234", "EGP", "IE", "180", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1235", "EGP", "BE", "165", "480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1236", "EGP", "FI", "120", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1237", "EGP", "FR", "150", "405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1238", "EGP", "NZ", "155", "455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1239", "EGP", "HK", "140", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1240", "EGP", "CZ", "135", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1241", "EGP", "SK", "125", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1242", "EGP", "AE", "120", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1243", "EGP", "SG", "155", "460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1244", "EGP", "IL", "135", "330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1245", "EGP", "KW", "60", "300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1246", "EGP", "IT", "90", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1247", "EGP", "JP", "115", "330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1248", "EGP", "ES", "95", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1249", "EGP", "VE", "10", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1250", "EGP", "HU", "80", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1251", "EGP", "PT", "80", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1252", "EGP", "GR", "100", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1253", "EGP", "KR", "120", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1254", "EGP", "TW", "100", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1255", "EGP", "PL", "85", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1256", "EGP", "ZM", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1257", "EGP", "PR", "30", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1258", "EGP", "CI", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1259", "EGP", "RO", "80", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1260", "EGP", "BH", "35", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1261", "EGP", "PA", "25", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1262", "EGP", "GH", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1263", "EGP", "KH", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1264", "EGP", "SN", "10", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1265", "EGP", "SA", "50", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1266", "EGP", "RU", "50", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1267", "EGP", "UG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1268", "EGP", "BR", "55", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1269", "EGP", "NI", "10", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1270", "EGP", "MG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1271", "EGP", "DO", "15", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1272", "EGP", "MX", "40", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1273", "EGP", "OM", "25", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1274", "EGP", "CM", "10", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1275", "EGP", "ZA", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1276", "EGP", "CL", "50", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1277", "EGP", "KE", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1278", "EGP", "NP", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1279", "EGP", "PE", "30", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1280", "EGP", "UA", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1281", "EGP", "MZ", "10", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1282", "EGP", "TZ", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1283", "EGP", "AO", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1284", "EGP", "JO", "20", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1285", "EGP", "ZW", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1286", "EGP", "TR", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1287", "EGP", "MU", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1288", "EGP", "SV", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1289", "EGP", "TH", "45", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1290", "EGP", "CO", "25", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1291", "EGP", "LK", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1292", "EGP", "CR", "15", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1293", "EGP", "AR", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1294", "EGP", "MA", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1295", "EGP", "MY", "40", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1296", "EGP", "KZ", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1297", "EGP", "DZ", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1298", "EGP", "ID", "35", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1299", "EGP", "NG", "20", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1300", "EGP", "GT", "15", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1301", "EGP", "VN", "30", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1302", "EGP", "BY", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1303", "EGP", "EG", "20", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1304", "EGP", "UY", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1305", "EGP", "BD", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1306", "EGP", "PK", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1307", "EGP", "PH", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1308", "EGP", "ET", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1309", "EGP", "TN", "15", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1310", "EGP", "LB", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1311", "EGP", "IN", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1312", "EGP", "PY", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1313", "EGP", "UZ", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1314", "EGP", "EC", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1315", "EGP", "MM", "15", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1316", "EGP", "GE", "15", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1317", "EUR", "US", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1318", "EUR", "CH", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1319", "EUR", "AU", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1320", "EUR", "GB", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1321", "EUR", "DE", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1322", "EUR", "DK", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1323", "EUR", "AT", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1324", "EUR", "NO", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1325", "EUR", "CA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1326", "EUR", "NL", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1327", "EUR", "SE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1328", "EUR", "IE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1329", "EUR", "BE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1330", "EUR", "FI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1331", "EUR", "FR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1332", "EUR", "NZ", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1333", "EUR", "HK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1334", "EUR", "CZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1335", "EUR", "SK", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1336", "EUR", "AE", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1337", "EUR", "SG", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1338", "EUR", "IL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1339", "EUR", "KW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1340", "EUR", "IT", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1341", "EUR", "JP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1342", "EUR", "ES", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1343", "EUR", "VE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1344", "EUR", "HU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1345", "EUR", "PT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1346", "EUR", "GR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1347", "EUR", "KR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1348", "EUR", "TW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1349", "EUR", "PL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1350", "EUR", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1351", "EUR", "PR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1352", "EUR", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1353", "EUR", "RO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1354", "EUR", "BH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1355", "EUR", "PA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1356", "EUR", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1357", "EUR", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1358", "EUR", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1359", "EUR", "SA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1360", "EUR", "RU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1361", "EUR", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1362", "EUR", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1363", "EUR", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1364", "EUR", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1365", "EUR", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1366", "EUR", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1367", "EUR", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1368", "EUR", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1369", "EUR", "ZA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1370", "EUR", "CL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1371", "EUR", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1372", "EUR", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1373", "EUR", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1374", "EUR", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1375", "EUR", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1376", "EUR", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1377", "EUR", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1378", "EUR", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1379", "EUR", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1380", "EUR", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1381", "EUR", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1382", "EUR", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1383", "EUR", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1384", "EUR", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1385", "EUR", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1386", "EUR", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1387", "EUR", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1388", "EUR", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1389", "EUR", "MY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1390", "EUR", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1391", "EUR", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1392", "EUR", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1393", "EUR", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1394", "EUR", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1395", "EUR", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1396", "EUR", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1397", "EUR", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1398", "EUR", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1399", "EUR", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1400", "EUR", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1401", "EUR", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1402", "EUR", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1403", "EUR", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1404", "EUR", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1405", "EUR", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1406", "EUR", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1407", "EUR", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1408", "EUR", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1409", "EUR", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1410", "EUR", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1411", "GBP", "US", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1412", "GBP", "CH", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1413", "GBP", "AU", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1414", "GBP", "GB", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1415", "GBP", "DE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1416", "GBP", "DK", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1417", "GBP", "AT", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1418", "GBP", "NO", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1419", "GBP", "CA", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1420", "GBP", "NL", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1421", "GBP", "SE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1422", "GBP", "IE", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1423", "GBP", "BE", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1424", "GBP", "FI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1425", "GBP", "FR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1426", "GBP", "NZ", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1427", "GBP", "HK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1428", "GBP", "CZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1429", "GBP", "SK", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1430", "GBP", "AE", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1431", "GBP", "SG", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1432", "GBP", "IL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1433", "GBP", "KW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1434", "GBP", "IT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1435", "GBP", "JP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1436", "GBP", "ES", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1437", "GBP", "VE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1438", "GBP", "HU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1439", "GBP", "PT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1440", "GBP", "GR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1441", "GBP", "KR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1442", "GBP", "TW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1443", "GBP", "PL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1444", "GBP", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1445", "GBP", "PR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1446", "GBP", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1447", "GBP", "RO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1448", "GBP", "BH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1449", "GBP", "PA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1450", "GBP", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1451", "GBP", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1452", "GBP", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1453", "GBP", "SA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1454", "GBP", "RU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1455", "GBP", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1456", "GBP", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1457", "GBP", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1458", "GBP", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1459", "GBP", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1460", "GBP", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1461", "GBP", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1462", "GBP", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1463", "GBP", "ZA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1464", "GBP", "CL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1465", "GBP", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1466", "GBP", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1467", "GBP", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1468", "GBP", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1469", "GBP", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1470", "GBP", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1471", "GBP", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1472", "GBP", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1473", "GBP", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1474", "GBP", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1475", "GBP", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1476", "GBP", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1477", "GBP", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1478", "GBP", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1479", "GBP", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1480", "GBP", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1481", "GBP", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1482", "GBP", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1483", "GBP", "MY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1484", "GBP", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1485", "GBP", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1486", "GBP", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1487", "GBP", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1488", "GBP", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1489", "GBP", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1490", "GBP", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1491", "GBP", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1492", "GBP", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1493", "GBP", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1494", "GBP", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1495", "GBP", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1496", "GBP", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1497", "GBP", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1498", "GBP", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1499", "GBP", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1500", "GBP", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1501", "GBP", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1502", "GBP", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1503", "GBP", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1504", "GBP", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1505", "HKD", "US", "170", "475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1506", "HKD", "CH", "155", "415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1507", "HKD", "AU", "145", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1508", "HKD", "GB", "125", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1509", "HKD", "DE", "125", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1510", "HKD", "DK", "115", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1511", "HKD", "AT", "85", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1512", "HKD", "NO", "95", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1513", "HKD", "CA", "105", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1514", "HKD", "NL", "110", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1515", "HKD", "SE", "90", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1516", "HKD", "IE", "90", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1517", "HKD", "BE", "80", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1518", "HKD", "FI", "60", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1519", "HKD", "FR", "75", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1520", "HKD", "NZ", "75", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1521", "HKD", "HK", "70", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1522", "HKD", "CZ", "65", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1523", "HKD", "SK", "60", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1524", "HKD", "AE", "60", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1525", "HKD", "SG", "75", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1526", "HKD", "IL", "65", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1527", "HKD", "KW", "30", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1528", "HKD", "IT", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1529", "HKD", "JP", "55", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1530", "HKD", "ES", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1531", "HKD", "VE", "5", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1532", "HKD", "HU", "40", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1533", "HKD", "PT", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1534", "HKD", "GR", "50", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1535", "HKD", "KR", "60", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1536", "HKD", "TW", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1537", "HKD", "PL", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1538", "HKD", "ZM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1539", "HKD", "PR", "15", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1540", "HKD", "CI", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1541", "HKD", "RO", "40", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1542", "HKD", "BH", "15", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1543", "HKD", "PA", "10", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1544", "HKD", "GH", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1545", "HKD", "KH", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1546", "HKD", "SN", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1547", "HKD", "SA", "25", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1548", "HKD", "RU", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1549", "HKD", "UG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1550", "HKD", "BR", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1551", "HKD", "NI", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1552", "HKD", "MG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1553", "HKD", "DO", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1554", "HKD", "MX", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1555", "HKD", "OM", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1556", "HKD", "CM", "5", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1557", "HKD", "ZA", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1558", "HKD", "CL", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1559", "HKD", "KE", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1560", "HKD", "NP", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1561", "HKD", "PE", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1562", "HKD", "UA", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1563", "HKD", "MZ", "5", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1564", "HKD", "TZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1565", "HKD", "AO", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1566", "HKD", "JO", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1567", "HKD", "ZW", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1568", "HKD", "TR", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1569", "HKD", "MU", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1570", "HKD", "SV", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1571", "HKD", "TH", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1572", "HKD", "CO", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1573", "HKD", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1574", "HKD", "CR", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1575", "HKD", "AR", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1576", "HKD", "MA", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1577", "HKD", "MY", "20", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1578", "HKD", "KZ", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1579", "HKD", "DZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1580", "HKD", "ID", "20", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1581", "HKD", "NG", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1582", "HKD", "GT", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1583", "HKD", "VN", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1584", "HKD", "BY", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1585", "HKD", "EG", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1586", "HKD", "UY", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1587", "HKD", "BD", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1588", "HKD", "PK", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1589", "HKD", "PH", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1590", "HKD", "ET", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1591", "HKD", "TN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1592", "HKD", "LB", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1593", "HKD", "IN", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1594", "HKD", "PY", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1595", "HKD", "UZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1596", "HKD", "EC", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1597", "HKD", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1598", "HKD", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1599", "HUF", "US", "6445", "18185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1600", "HUF", "CH", "6010", "15815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1601", "HUF", "AU", "5470", "14040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1602", "HUF", "GB", "4765", "12200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1603", "HUF", "DE", "4730", "12100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1604", "HUF", "DK", "4355", "10805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1605", "HUF", "AT", "3175", "9870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1606", "HUF", "NO", "3600", "10050");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1607", "HUF", "CA", "3980", "12205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1608", "HUF", "NL", "4260", "10805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1609", "HUF", "SE", "3410", "9215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1610", "HUF", "IE", "3375", "8890");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1611", "HUF", "BE", "3100", "9090");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1612", "HUF", "FI", "2320", "7040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1613", "HUF", "FR", "2870", "7685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1614", "HUF", "NZ", "2920", "8600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1615", "HUF", "HK", "2655", "7515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1616", "HUF", "CZ", "2535", "6080");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1617", "HUF", "SK", "2390", "5180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1618", "HUF", "AE", "2255", "7080");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1619", "HUF", "SG", "2945", "8700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1620", "HUF", "IL", "2570", "6280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1621", "HUF", "KW", "1160", "5645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1622", "HUF", "IT", "1750", "4615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1623", "HUF", "JP", "2190", "6230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1624", "HUF", "ES", "1795", "4755");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1625", "HUF", "VE", "235", "3640");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1626", "HUF", "HU", "1515", "3525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1627", "HUF", "PT", "1510", "3940");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1628", "HUF", "GR", "1865", "3820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1629", "HUF", "KR", "2300", "6085");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1630", "HUF", "TW", "1870", "5000");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1631", "HUF", "PL", "1600", "3955");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1632", "HUF", "ZM", "230", "1315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1633", "HUF", "PR", "565", "5305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1634", "HUF", "CI", "310", "1275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1635", "HUF", "RO", "1470", "3555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1636", "HUF", "BH", "665", "3695");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1637", "HUF", "PA", "445", "5075");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1638", "HUF", "GH", "535", "1495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1639", "HUF", "KH", "310", "1480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1640", "HUF", "SN", "225", "1610");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1641", "HUF", "SA", "960", "3670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1642", "HUF", "RU", "950", "3040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1643", "HUF", "UG", "225", "1175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1644", "HUF", "BR", "1015", "2505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1645", "HUF", "NI", "225", "1605");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1646", "HUF", "MG", "225", "1135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1647", "HUF", "DO", "270", "1885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1648", "HUF", "MX", "765", "2770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1649", "HUF", "OM", "480", "2770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1650", "HUF", "CM", "225", "2065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1651", "HUF", "ZA", "910", "2935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1652", "HUF", "CL", "950", "2840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1653", "HUF", "KE", "275", "1185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1654", "HUF", "NP", "225", "1075");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1655", "HUF", "PE", "570", "2390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1656", "HUF", "UA", "540", "1690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1657", "HUF", "MZ", "225", "2245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1658", "HUF", "TZ", "30", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1659", "HUF", "AO", "495", "1290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1660", "HUF", "JO", "365", "1730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1661", "HUF", "ZW", "225", "1230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1662", "HUF", "TR", "580", "1590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1663", "HUF", "MU", "295", "1015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1664", "HUF", "SV", "225", "1230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1665", "HUF", "TH", "870", "2740");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1666", "HUF", "CO", "440", "1710");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1667", "HUF", "LK", "215", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1668", "HUF", "CR", "270", "1790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1669", "HUF", "AR", "600", "1630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1670", "HUF", "MA", "270", "1055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1671", "HUF", "MY", "765", "2805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1672", "HUF", "KZ", "325", "1195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1673", "HUF", "DZ", "265", "565");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1674", "HUF", "ID", "680", "2525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1675", "HUF", "NG", "385", "2420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1676", "HUF", "GT", "270", "1895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1677", "HUF", "VN", "555", "2110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1678", "HUF", "BY", "260", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1679", "HUF", "EG", "355", "2155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1680", "HUF", "UY", "280", "1280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1681", "HUF", "BD", "230", "505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1682", "HUF", "PK", "250", "1445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1683", "HUF", "PH", "435", "1605");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1684", "HUF", "ET", "70", "530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1685", "HUF", "TN", "270", "485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1686", "HUF", "LB", "270", "810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1687", "HUF", "IN", "250", "1125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1688", "HUF", "PY", "270", "860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1689", "HUF", "UZ", "270", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1690", "HUF", "EC", "260", "895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1691", "HUF", "MM", "270", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1692", "HUF", "GE", "270", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1693", "IDR", "US", "305805", "862850");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1694", "IDR", "CH", "285175", "750420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1695", "IDR", "AU", "259480", "666220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1696", "IDR", "GB", "226230", "578945");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1697", "IDR", "DE", "224510", "574265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1698", "IDR", "DK", "206565", "512635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1699", "IDR", "AT", "150725", "468395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1700", "IDR", "NO", "170840", "476995");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1701", "IDR", "CA", "188855", "579125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1702", "IDR", "NL", "202060", "512840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1703", "IDR", "SE", "161735", "437360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1704", "IDR", "IE", "160045", "421890");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1705", "IDR", "BE", "147180", "431340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1706", "IDR", "FI", "110030", "334155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1707", "IDR", "FR", "136245", "364680");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1708", "IDR", "NZ", "138660", "408205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1709", "IDR", "HK", "126095", "356600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1710", "IDR", "CZ", "120220", "288620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1711", "IDR", "SK", "113420", "245805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1712", "IDR", "AE", "107035", "335905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1713", "IDR", "SG", "139655", "412750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1714", "IDR", "IL", "121875", "298120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1715", "IDR", "KW", "54975", "267955");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1716", "IDR", "IT", "82960", "219010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1717", "IDR", "JP", "104020", "295625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1718", "IDR", "ES", "85280", "225525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1719", "IDR", "VE", "11180", "172745");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1720", "IDR", "HU", "71860", "167205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1721", "IDR", "PT", "71735", "187005");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1722", "IDR", "GR", "88455", "181160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1723", "IDR", "KR", "109060", "288805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1724", "IDR", "TW", "88640", "237295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1725", "IDR", "PL", "75845", "187750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1726", "IDR", "ZM", "10955", "62500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1727", "IDR", "PR", "26790", "251850");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1728", "IDR", "CI", "14620", "60420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1729", "IDR", "RO", "69670", "168580");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1730", "IDR", "BH", "31635", "175390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1731", "IDR", "PA", "21190", "240735");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1732", "IDR", "GH", "25400", "70875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1733", "IDR", "KH", "14640", "70310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1734", "IDR", "SN", "10660", "76395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1735", "IDR", "SA", "45475", "174115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1736", "IDR", "RU", "45190", "144210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1737", "IDR", "UG", "10620", "55825");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1738", "IDR", "BR", "48185", "118800");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1739", "IDR", "NI", "10595", "76070");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1740", "IDR", "MG", "10720", "53925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1741", "IDR", "DO", "12860", "89405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1742", "IDR", "MX", "36335", "131490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1743", "IDR", "OM", "22840", "131495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1744", "IDR", "CM", "10585", "97990");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1745", "IDR", "ZA", "43300", "139355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1746", "IDR", "CL", "45110", "134805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1747", "IDR", "KE", "13020", "56270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1748", "IDR", "NP", "10585", "51110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1749", "IDR", "PE", "26945", "113410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1750", "IDR", "UA", "25685", "80225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1751", "IDR", "MZ", "10585", "106420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1752", "IDR", "TZ", "1335", "24420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1753", "IDR", "AO", "23465", "61185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1754", "IDR", "JO", "17305", "82175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1755", "IDR", "ZW", "10635", "58315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1756", "IDR", "TR", "27565", "75415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1757", "IDR", "MU", "14115", "48240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1758", "IDR", "SV", "10585", "58430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1759", "IDR", "TH", "41350", "130110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1760", "IDR", "CO", "20970", "81160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1761", "IDR", "LK", "10185", "14065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1762", "IDR", "CR", "12785", "84925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1763", "IDR", "AR", "28555", "77350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1764", "IDR", "MA", "12755", "50060");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1765", "IDR", "MY", "36190", "133085");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1766", "IDR", "KZ", "15480", "56655");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1767", "IDR", "DZ", "12690", "26860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1768", "IDR", "ID", "32290", "119790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1769", "IDR", "NG", "18150", "114815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1770", "IDR", "GT", "12715", "89915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1771", "IDR", "VN", "26420", "100125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1772", "IDR", "BY", "12405", "48295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1773", "IDR", "EG", "16730", "102190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1774", "IDR", "UY", "13190", "60785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1775", "IDR", "BD", "10860", "24040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1776", "IDR", "PK", "11905", "68530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1777", "IDR", "PH", "20615", "76080");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1778", "IDR", "ET", "3305", "25200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1779", "IDR", "TN", "12700", "23015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1780", "IDR", "LB", "12825", "38335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1781", "IDR", "IN", "11825", "53405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1782", "IDR", "PY", "12710", "40865");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1783", "IDR", "UZ", "12715", "24810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1784", "IDR", "EC", "12355", "42380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1785", "IDR", "MM", "12720", "13890");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1786", "IDR", "GE", "12760", "16260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1787", "ILS", "US", "70", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1788", "ILS", "CH", "65", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1789", "ILS", "AU", "60", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1790", "ILS", "GB", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1791", "ILS", "DE", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1792", "ILS", "DK", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1793", "ILS", "AT", "35", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1794", "ILS", "NO", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1795", "ILS", "CA", "40", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1796", "ILS", "NL", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1797", "ILS", "SE", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1798", "ILS", "IE", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1799", "ILS", "BE", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1800", "ILS", "FI", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1801", "ILS", "FR", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1802", "ILS", "NZ", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1803", "ILS", "HK", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1804", "ILS", "CZ", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1805", "ILS", "SK", "25", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1806", "ILS", "AE", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1807", "ILS", "SG", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1808", "ILS", "IL", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1809", "ILS", "KW", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1810", "ILS", "IT", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1811", "ILS", "JP", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1812", "ILS", "ES", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1813", "ILS", "VE", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1814", "ILS", "HU", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1815", "ILS", "PT", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1816", "ILS", "GR", "20", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1817", "ILS", "KR", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1818", "ILS", "TW", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1819", "ILS", "PL", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1820", "ILS", "ZM", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1821", "ILS", "PR", "5", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1822", "ILS", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1823", "ILS", "RO", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1824", "ILS", "BH", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1825", "ILS", "PA", "5", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1826", "ILS", "GH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1827", "ILS", "KH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1828", "ILS", "SN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1829", "ILS", "SA", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1830", "ILS", "RU", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1831", "ILS", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1832", "ILS", "BR", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1833", "ILS", "NI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1834", "ILS", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1835", "ILS", "DO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1836", "ILS", "MX", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1837", "ILS", "OM", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1838", "ILS", "CM", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1839", "ILS", "ZA", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1840", "ILS", "CL", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1841", "ILS", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1842", "ILS", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1843", "ILS", "PE", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1844", "ILS", "UA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1845", "ILS", "MZ", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1846", "ILS", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1847", "ILS", "AO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1848", "ILS", "JO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1849", "ILS", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1850", "ILS", "TR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1851", "ILS", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1852", "ILS", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1853", "ILS", "TH", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1854", "ILS", "CO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1855", "ILS", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1856", "ILS", "CR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1857", "ILS", "AR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1858", "ILS", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1859", "ILS", "MY", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1860", "ILS", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1861", "ILS", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1862", "ILS", "ID", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1863", "ILS", "NG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1864", "ILS", "GT", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1865", "ILS", "VN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1866", "ILS", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1867", "ILS", "EG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1868", "ILS", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1869", "ILS", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1870", "ILS", "PK", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1871", "ILS", "PH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1872", "ILS", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1873", "ILS", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1874", "ILS", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1875", "ILS", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1876", "ILS", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1877", "ILS", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1878", "ILS", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1879", "ILS", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1880", "ILS", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1881", "INR", "US", "1590", "4485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1882", "INR", "CH", "1480", "3900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1883", "INR", "AU", "1350", "3460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1884", "INR", "GB", "1175", "3010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1885", "INR", "DE", "1165", "2985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1886", "INR", "DK", "1075", "2665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1887", "INR", "AT", "785", "2435");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1888", "INR", "NO", "890", "2480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1889", "INR", "CA", "980", "3010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1890", "INR", "NL", "1050", "2665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1891", "INR", "SE", "840", "2275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1892", "INR", "IE", "830", "2195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1893", "INR", "BE", "765", "2240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1894", "INR", "FI", "570", "1735");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1895", "INR", "FR", "710", "1895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1896", "INR", "NZ", "720", "2120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1897", "INR", "HK", "655", "1855");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1898", "INR", "CZ", "625", "1500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1899", "INR", "SK", "590", "1280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1900", "INR", "AE", "555", "1745");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1901", "INR", "SG", "725", "2145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1902", "INR", "IL", "635", "1550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1903", "INR", "KW", "285", "1395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1904", "INR", "IT", "430", "1140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1905", "INR", "JP", "540", "1535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1906", "INR", "ES", "445", "1170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1907", "INR", "VE", "60", "900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1908", "INR", "HU", "375", "870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1909", "INR", "PT", "375", "970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1910", "INR", "GR", "460", "940");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1911", "INR", "KR", "565", "1500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1912", "INR", "TW", "460", "1235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1913", "INR", "PL", "395", "975");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1914", "INR", "ZM", "55", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1915", "INR", "PR", "140", "1310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1916", "INR", "CI", "75", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1917", "INR", "RO", "360", "875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1918", "INR", "BH", "165", "910");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1919", "INR", "PA", "110", "1250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1920", "INR", "GH", "130", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1921", "INR", "KH", "75", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1922", "INR", "SN", "55", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1923", "INR", "SA", "235", "905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1924", "INR", "RU", "235", "750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1925", "INR", "UG", "55", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1926", "INR", "BR", "250", "615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1927", "INR", "NI", "55", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1928", "INR", "MG", "55", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1929", "INR", "DO", "65", "465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1930", "INR", "MX", "190", "685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1931", "INR", "OM", "120", "685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1932", "INR", "CM", "55", "510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1933", "INR", "ZA", "225", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1934", "INR", "CL", "235", "700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1935", "INR", "KE", "70", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1936", "INR", "NP", "55", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1937", "INR", "PE", "140", "590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1938", "INR", "UA", "135", "415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1939", "INR", "MZ", "55", "555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1940", "INR", "TZ", "5", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1941", "INR", "AO", "120", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1942", "INR", "JO", "90", "425");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1943", "INR", "ZW", "55", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1944", "INR", "TR", "145", "390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1945", "INR", "MU", "75", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1946", "INR", "SV", "55", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1947", "INR", "TH", "215", "675");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1948", "INR", "CO", "110", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1949", "INR", "LK", "55", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1950", "INR", "CR", "65", "440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1951", "INR", "AR", "150", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1952", "INR", "MA", "65", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1953", "INR", "MY", "190", "690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1954", "INR", "KZ", "80", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1955", "INR", "DZ", "65", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1956", "INR", "ID", "170", "625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1957", "INR", "NG", "95", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1958", "INR", "GT", "65", "465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1959", "INR", "VN", "135", "520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1960", "INR", "BY", "65", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1961", "INR", "EG", "85", "530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1962", "INR", "UY", "70", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1963", "INR", "BD", "55", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1964", "INR", "PK", "60", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1965", "INR", "PH", "105", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1966", "INR", "ET", "15", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1967", "INR", "TN", "65", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1968", "INR", "LB", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1969", "INR", "IN", "60", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1970", "INR", "PY", "65", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1971", "INR", "UZ", "65", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1972", "INR", "EC", "65", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1973", "INR", "MM", "65", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1974", "INR", "GE", "65", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1975", "JPY", "US", "2255", "6370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1976", "JPY", "CH", "2105", "5540");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1977", "JPY", "AU", "1915", "4915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1978", "JPY", "GB", "1670", "4275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1979", "JPY", "DE", "1655", "4240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1980", "JPY", "DK", "1525", "3785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1981", "JPY", "AT", "1110", "3455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1982", "JPY", "NO", "1260", "3520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1983", "JPY", "CA", "1395", "4275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1984", "JPY", "NL", "1490", "3785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1985", "JPY", "SE", "1195", "3230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1986", "JPY", "IE", "1180", "3115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1987", "JPY", "BE", "1085", "3185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1988", "JPY", "FI", "810", "2465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1989", "JPY", "FR", "1005", "2690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1990", "JPY", "NZ", "1025", "3015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1991", "JPY", "HK", "930", "2630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1992", "JPY", "CZ", "885", "2130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1993", "JPY", "SK", "835", "1815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1994", "JPY", "AE", "790", "2480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1995", "JPY", "SG", "1030", "3045");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1996", "JPY", "IL", "900", "2200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1997", "JPY", "KW", "405", "1980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1998", "JPY", "IT", "610", "1615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("1999", "JPY", "JP", "770", "2180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2000", "JPY", "ES", "630", "1665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2001", "JPY", "VE", "85", "1275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2002", "JPY", "HU", "530", "1235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2003", "JPY", "PT", "530", "1380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2004", "JPY", "GR", "655", "1335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2005", "JPY", "KR", "805", "2130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2006", "JPY", "TW", "655", "1750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2007", "JPY", "PL", "560", "1385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2008", "JPY", "ZM", "80", "460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2009", "JPY", "PR", "200", "1860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2010", "JPY", "CI", "110", "445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2011", "JPY", "RO", "515", "1245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2012", "JPY", "BH", "235", "1295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2013", "JPY", "PA", "155", "1775");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2014", "JPY", "GH", "185", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2015", "JPY", "KH", "110", "520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2016", "JPY", "SN", "80", "565");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2017", "JPY", "SA", "335", "1285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2018", "JPY", "RU", "335", "1065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2019", "JPY", "UG", "80", "410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2020", "JPY", "BR", "355", "875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2021", "JPY", "NI", "80", "560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2022", "JPY", "MG", "80", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2023", "JPY", "DO", "95", "660");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2024", "JPY", "MX", "270", "970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2025", "JPY", "OM", "170", "970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2026", "JPY", "CM", "80", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2027", "JPY", "ZA", "320", "1030");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2028", "JPY", "CL", "335", "995");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2029", "JPY", "KE", "95", "415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2030", "JPY", "NP", "80", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2031", "JPY", "PE", "200", "835");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2032", "JPY", "UA", "190", "590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2033", "JPY", "MZ", "80", "785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2034", "JPY", "TZ", "10", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2035", "JPY", "AO", "175", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2036", "JPY", "JO", "130", "605");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2037", "JPY", "ZW", "80", "430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2038", "JPY", "TR", "205", "555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2039", "JPY", "MU", "105", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2040", "JPY", "SV", "80", "430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2041", "JPY", "TH", "305", "960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2042", "JPY", "CO", "155", "600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2043", "JPY", "LK", "75", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2044", "JPY", "CR", "95", "625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2045", "JPY", "AR", "210", "570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2046", "JPY", "MA", "95", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2047", "JPY", "MY", "265", "980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2048", "JPY", "KZ", "115", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2049", "JPY", "DZ", "95", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2050", "JPY", "ID", "240", "885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2051", "JPY", "NG", "135", "845");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2052", "JPY", "GT", "95", "665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2053", "JPY", "VN", "195", "740");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2054", "JPY", "BY", "90", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2055", "JPY", "EG", "125", "755");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2056", "JPY", "UY", "95", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2057", "JPY", "BD", "80", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2058", "JPY", "PK", "90", "505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2059", "JPY", "PH", "150", "560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2060", "JPY", "ET", "25", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2061", "JPY", "TN", "95", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2062", "JPY", "LB", "95", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2063", "JPY", "IN", "85", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2064", "JPY", "PY", "95", "300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2065", "JPY", "UZ", "95", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2066", "JPY", "EC", "90", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2067", "JPY", "MM", "95", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2068", "JPY", "GE", "95", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2069", "KRW", "US", "23860", "67325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2070", "KRW", "CH", "22250", "58550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2071", "KRW", "AU", "20245", "51980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2072", "KRW", "GB", "17650", "45170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2073", "KRW", "DE", "17515", "44805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2074", "KRW", "DK", "16115", "40000");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2075", "KRW", "AT", "11760", "36545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2076", "KRW", "NO", "13330", "37215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2077", "KRW", "CA", "14735", "45185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2078", "KRW", "NL", "15765", "40015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2079", "KRW", "SE", "12620", "34125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2080", "KRW", "IE", "12490", "32920");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2081", "KRW", "BE", "11485", "33655");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2082", "KRW", "FI", "8585", "26070");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2083", "KRW", "FR", "10630", "28455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2084", "KRW", "NZ", "10820", "31850");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2085", "KRW", "HK", "9840", "27825");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2086", "KRW", "CZ", "9380", "22520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2087", "KRW", "SK", "8850", "19180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2088", "KRW", "AE", "8350", "26210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2089", "KRW", "SG", "10895", "32205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2090", "KRW", "IL", "9510", "23260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2091", "KRW", "KW", "4290", "20905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2092", "KRW", "IT", "6475", "17090");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2093", "KRW", "JP", "8115", "23065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2094", "KRW", "ES", "6655", "17595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2095", "KRW", "VE", "870", "13480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2096", "KRW", "HU", "5605", "13045");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2097", "KRW", "PT", "5595", "14590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2098", "KRW", "GR", "6900", "14135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2099", "KRW", "KR", "8510", "22535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2100", "KRW", "TW", "6915", "18515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2101", "KRW", "PL", "5920", "14650");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2102", "KRW", "ZM", "855", "4875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2103", "KRW", "PR", "2090", "19650");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2104", "KRW", "CI", "1140", "4715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2105", "KRW", "RO", "5435", "13155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2106", "KRW", "BH", "2470", "13685");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2107", "KRW", "PA", "1655", "18785");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2108", "KRW", "GH", "1980", "5530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2109", "KRW", "KH", "1140", "5485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2110", "KRW", "SN", "830", "5960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2111", "KRW", "SA", "3550", "13585");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2112", "KRW", "RU", "3525", "11250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2113", "KRW", "UG", "830", "4355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2114", "KRW", "BR", "3760", "9270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2115", "KRW", "NI", "825", "5935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2116", "KRW", "MG", "835", "4205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2117", "KRW", "DO", "1005", "6975");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2118", "KRW", "MX", "2835", "10260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2119", "KRW", "OM", "1780", "10260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2120", "KRW", "CM", "825", "7645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2121", "KRW", "ZA", "3380", "10875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2122", "KRW", "CL", "3520", "10520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2123", "KRW", "KE", "1015", "4390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2124", "KRW", "NP", "825", "3990");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2125", "KRW", "PE", "2100", "8850");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2126", "KRW", "UA", "2005", "6260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2127", "KRW", "MZ", "825", "8305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2128", "KRW", "TZ", "105", "1905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2129", "KRW", "AO", "1830", "4775");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2130", "KRW", "JO", "1350", "6410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2131", "KRW", "ZW", "830", "4550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2132", "KRW", "TR", "2150", "5885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2133", "KRW", "MU", "1100", "3765");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2134", "KRW", "SV", "825", "4560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2135", "KRW", "TH", "3225", "10150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2136", "KRW", "CO", "1635", "6335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2137", "KRW", "LK", "795", "1095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2138", "KRW", "CR", "995", "6625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2139", "KRW", "AR", "2230", "6035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2140", "KRW", "MA", "995", "3905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2141", "KRW", "MY", "2825", "10385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2142", "KRW", "KZ", "1210", "4420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2143", "KRW", "DZ", "990", "2095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2144", "KRW", "ID", "2520", "9345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2145", "KRW", "NG", "1415", "8960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2146", "KRW", "GT", "990", "7015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2147", "KRW", "VN", "2060", "7810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2148", "KRW", "BY", "970", "3770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2149", "KRW", "EG", "1305", "7975");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2150", "KRW", "UY", "1030", "4745");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2151", "KRW", "BD", "845", "1875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2152", "KRW", "PK", "930", "5345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2153", "KRW", "PH", "1610", "5935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2154", "KRW", "ET", "260", "1965");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2155", "KRW", "TN", "990", "1795");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2156", "KRW", "LB", "1000", "2990");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2157", "KRW", "IN", "925", "4165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2158", "KRW", "PY", "990", "3190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2159", "KRW", "UZ", "990", "1935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2160", "KRW", "EC", "965", "3305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2161", "KRW", "MM", "990", "1085");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2162", "KRW", "GE", "995", "1270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2163", "MAD", "US", "195", "545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2164", "MAD", "CH", "180", "475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2165", "MAD", "AU", "165", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2166", "MAD", "GB", "145", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2167", "MAD", "DE", "140", "360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2168", "MAD", "DK", "130", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2169", "MAD", "AT", "95", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2170", "MAD", "NO", "110", "300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2171", "MAD", "CA", "120", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2172", "MAD", "NL", "125", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2173", "MAD", "SE", "100", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2174", "MAD", "IE", "100", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2175", "MAD", "BE", "95", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2176", "MAD", "FI", "70", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2177", "MAD", "FR", "85", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2178", "MAD", "NZ", "85", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2179", "MAD", "HK", "80", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2180", "MAD", "CZ", "75", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2181", "MAD", "SK", "70", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2182", "MAD", "AE", "65", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2183", "MAD", "SG", "90", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2184", "MAD", "IL", "75", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2185", "MAD", "KW", "35", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2186", "MAD", "IT", "50", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2187", "MAD", "JP", "65", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2188", "MAD", "ES", "55", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2189", "MAD", "VE", "5", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2190", "MAD", "HU", "45", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2191", "MAD", "PT", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2192", "MAD", "GR", "55", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2193", "MAD", "KR", "70", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2194", "MAD", "TW", "55", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2195", "MAD", "PL", "50", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2196", "MAD", "ZM", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2197", "MAD", "PR", "15", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2198", "MAD", "CI", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2199", "MAD", "RO", "45", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2200", "MAD", "BH", "20", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2201", "MAD", "PA", "15", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2202", "MAD", "GH", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2203", "MAD", "KH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2204", "MAD", "SN", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2205", "MAD", "SA", "30", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2206", "MAD", "RU", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2207", "MAD", "UG", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2208", "MAD", "BR", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2209", "MAD", "NI", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2210", "MAD", "MG", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2211", "MAD", "DO", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2212", "MAD", "MX", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2213", "MAD", "OM", "15", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2214", "MAD", "CM", "5", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2215", "MAD", "ZA", "25", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2216", "MAD", "CL", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2217", "MAD", "KE", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2218", "MAD", "NP", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2219", "MAD", "PE", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2220", "MAD", "UA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2221", "MAD", "MZ", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2222", "MAD", "TZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2223", "MAD", "AO", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2224", "MAD", "JO", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2225", "MAD", "ZW", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2226", "MAD", "TR", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2227", "MAD", "MU", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2228", "MAD", "SV", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2229", "MAD", "TH", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2230", "MAD", "CO", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2231", "MAD", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2232", "MAD", "CR", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2233", "MAD", "AR", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2234", "MAD", "MA", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2235", "MAD", "MY", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2236", "MAD", "KZ", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2237", "MAD", "DZ", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2238", "MAD", "ID", "20", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2239", "MAD", "NG", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2240", "MAD", "GT", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2241", "MAD", "VN", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2242", "MAD", "BY", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2243", "MAD", "EG", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2244", "MAD", "UY", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2245", "MAD", "BD", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2246", "MAD", "PK", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2247", "MAD", "PH", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2248", "MAD", "ET", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2249", "MAD", "TN", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2250", "MAD", "LB", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2251", "MAD", "IN", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2252", "MAD", "PY", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2253", "MAD", "UZ", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2254", "MAD", "EC", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2255", "MAD", "MM", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2256", "MAD", "GE", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2257", "MXN", "US", "430", "1215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2258", "MXN", "CH", "400", "1060");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2259", "MXN", "AU", "365", "940");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2260", "MXN", "GB", "320", "815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2261", "MXN", "DE", "315", "810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2262", "MXN", "DK", "290", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2263", "MXN", "AT", "215", "660");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2264", "MXN", "NO", "240", "675");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2265", "MXN", "CA", "265", "815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2266", "MXN", "NL", "285", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2267", "MXN", "SE", "230", "615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2268", "MXN", "IE", "225", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2269", "MXN", "BE", "210", "610");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2270", "MXN", "FI", "155", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2271", "MXN", "FR", "190", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2272", "MXN", "NZ", "195", "575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2273", "MXN", "HK", "180", "505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2274", "MXN", "CZ", "170", "405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2275", "MXN", "SK", "160", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2276", "MXN", "AE", "150", "475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2277", "MXN", "SG", "195", "580");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2278", "MXN", "IL", "170", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2279", "MXN", "KW", "80", "380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2280", "MXN", "IT", "115", "310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2281", "MXN", "JP", "145", "415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2282", "MXN", "ES", "120", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2283", "MXN", "VE", "15", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2284", "MXN", "HU", "100", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2285", "MXN", "PT", "100", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2286", "MXN", "GR", "125", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2287", "MXN", "KR", "155", "405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2288", "MXN", "TW", "125", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2289", "MXN", "PL", "105", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2290", "MXN", "ZM", "15", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2291", "MXN", "PR", "40", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2292", "MXN", "CI", "20", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2293", "MXN", "RO", "100", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2294", "MXN", "BH", "45", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2295", "MXN", "PA", "30", "340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2296", "MXN", "GH", "35", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2297", "MXN", "KH", "20", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2298", "MXN", "SN", "15", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2299", "MXN", "SA", "65", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2300", "MXN", "RU", "65", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2301", "MXN", "UG", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2302", "MXN", "BR", "70", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2303", "MXN", "NI", "15", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2304", "MXN", "MG", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2305", "MXN", "DO", "20", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2306", "MXN", "MX", "50", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2307", "MXN", "OM", "30", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2308", "MXN", "CM", "15", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2309", "MXN", "ZA", "60", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2310", "MXN", "CL", "65", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2311", "MXN", "KE", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2312", "MXN", "NP", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2313", "MXN", "PE", "40", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2314", "MXN", "UA", "35", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2315", "MXN", "MZ", "15", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2316", "MXN", "TZ", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2317", "MXN", "AO", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2318", "MXN", "JO", "25", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2319", "MXN", "ZW", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2320", "MXN", "TR", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2321", "MXN", "MU", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2322", "MXN", "SV", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2323", "MXN", "TH", "60", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2324", "MXN", "CO", "30", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2325", "MXN", "LK", "15", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2326", "MXN", "CR", "20", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2327", "MXN", "AR", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2328", "MXN", "MA", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2329", "MXN", "MY", "50", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2330", "MXN", "KZ", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2331", "MXN", "DZ", "20", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2332", "MXN", "ID", "45", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2333", "MXN", "NG", "25", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2334", "MXN", "GT", "20", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2335", "MXN", "VN", "35", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2336", "MXN", "BY", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2337", "MXN", "EG", "25", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2338", "MXN", "UY", "20", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2339", "MXN", "BD", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2340", "MXN", "PK", "15", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2341", "MXN", "PH", "30", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2342", "MXN", "ET", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2343", "MXN", "TN", "20", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2344", "MXN", "LB", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2345", "MXN", "IN", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2346", "MXN", "PY", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2347", "MXN", "UZ", "20", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2348", "MXN", "EC", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2349", "MXN", "MM", "20", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2350", "MXN", "GE", "20", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2351", "MYR", "US", "90", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2352", "MYR", "CH", "80", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2353", "MYR", "AU", "75", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2354", "MYR", "GB", "65", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2355", "MYR", "DE", "65", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2356", "MYR", "DK", "60", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2357", "MYR", "AT", "45", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2358", "MYR", "NO", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2359", "MYR", "CA", "55", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2360", "MYR", "NL", "60", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2361", "MYR", "SE", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2362", "MYR", "IE", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2363", "MYR", "BE", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2364", "MYR", "FI", "30", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2365", "MYR", "FR", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2366", "MYR", "NZ", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2367", "MYR", "HK", "35", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2368", "MYR", "CZ", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2369", "MYR", "SK", "35", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2370", "MYR", "AE", "30", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2371", "MYR", "SG", "40", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2372", "MYR", "IL", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2373", "MYR", "KW", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2374", "MYR", "IT", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2375", "MYR", "JP", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2376", "MYR", "ES", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2377", "MYR", "VE", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2378", "MYR", "HU", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2379", "MYR", "PT", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2380", "MYR", "GR", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2381", "MYR", "KR", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2382", "MYR", "TW", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2383", "MYR", "PL", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2384", "MYR", "ZM", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2385", "MYR", "PR", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2386", "MYR", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2387", "MYR", "RO", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2388", "MYR", "BH", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2389", "MYR", "PA", "5", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2390", "MYR", "GH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2391", "MYR", "KH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2392", "MYR", "SN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2393", "MYR", "SA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2394", "MYR", "RU", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2395", "MYR", "UG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2396", "MYR", "BR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2397", "MYR", "NI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2398", "MYR", "MG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2399", "MYR", "DO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2400", "MYR", "MX", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2401", "MYR", "OM", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2402", "MYR", "CM", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2403", "MYR", "ZA", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2404", "MYR", "CL", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2405", "MYR", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2406", "MYR", "NP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2407", "MYR", "PE", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2408", "MYR", "UA", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2409", "MYR", "MZ", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2410", "MYR", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2411", "MYR", "AO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2412", "MYR", "JO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2413", "MYR", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2414", "MYR", "TR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2415", "MYR", "MU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2416", "MYR", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2417", "MYR", "TH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2418", "MYR", "CO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2419", "MYR", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2420", "MYR", "CR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2421", "MYR", "AR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2422", "MYR", "MA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2423", "MYR", "MY", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2424", "MYR", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2425", "MYR", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2426", "MYR", "ID", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2427", "MYR", "NG", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2428", "MYR", "GT", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2429", "MYR", "VN", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2430", "MYR", "BY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2431", "MYR", "EG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2432", "MYR", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2433", "MYR", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2434", "MYR", "PK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2435", "MYR", "PH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2436", "MYR", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2437", "MYR", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2438", "MYR", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2439", "MYR", "IN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2440", "MYR", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2441", "MYR", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2442", "MYR", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2443", "MYR", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2444", "MYR", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2445", "NGN", "US", "8270", "23330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2446", "NGN", "CH", "7710", "20290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2447", "NGN", "AU", "7015", "18010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2448", "NGN", "GB", "6115", "15650");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2449", "NGN", "DE", "6070", "15525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2450", "NGN", "DK", "5585", "13860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2451", "NGN", "AT", "4075", "12665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2452", "NGN", "NO", "4620", "12895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2453", "NGN", "CA", "5105", "15655");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2454", "NGN", "NL", "5465", "13865");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2455", "NGN", "SE", "4375", "11825");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2456", "NGN", "IE", "4325", "11405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2457", "NGN", "BE", "3980", "11660");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2458", "NGN", "FI", "2975", "9035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2459", "NGN", "FR", "3685", "9860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2460", "NGN", "NZ", "3750", "11035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2461", "NGN", "HK", "3410", "9640");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2462", "NGN", "CZ", "3250", "7805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2463", "NGN", "SK", "3065", "6645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2464", "NGN", "AE", "2895", "9080");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2465", "NGN", "SG", "3775", "11160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2466", "NGN", "IL", "3295", "8060");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2467", "NGN", "KW", "1485", "7245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2468", "NGN", "IT", "2245", "5920");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2469", "NGN", "JP", "2810", "7995");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2470", "NGN", "ES", "2305", "6095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2471", "NGN", "VE", "300", "4670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2472", "NGN", "HU", "1945", "4520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2473", "NGN", "PT", "1940", "5055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2474", "NGN", "GR", "2390", "4900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2475", "NGN", "KR", "2950", "7810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2476", "NGN", "TW", "2395", "6415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2477", "NGN", "PL", "2050", "5075");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2478", "NGN", "ZM", "295", "1690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2479", "NGN", "PR", "725", "6810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2480", "NGN", "CI", "395", "1635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2481", "NGN", "RO", "1885", "4560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2482", "NGN", "BH", "855", "4740");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2483", "NGN", "PA", "575", "6510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2484", "NGN", "GH", "685", "1915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2485", "NGN", "KH", "395", "1900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2486", "NGN", "SN", "290", "2065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2487", "NGN", "SA", "1230", "4705");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2488", "NGN", "RU", "1220", "3900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2489", "NGN", "UG", "285", "1510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2490", "NGN", "BR", "1305", "3210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2491", "NGN", "NI", "285", "2055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2492", "NGN", "MG", "290", "1460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2493", "NGN", "DO", "350", "2415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2494", "NGN", "MX", "980", "3555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2495", "NGN", "OM", "620", "3555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2496", "NGN", "CM", "285", "2650");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2497", "NGN", "ZA", "1170", "3770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2498", "NGN", "CL", "1220", "3645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2499", "NGN", "KE", "350", "1520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2500", "NGN", "NP", "285", "1380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2501", "NGN", "PE", "730", "3065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2502", "NGN", "UA", "695", "2170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2503", "NGN", "MZ", "285", "2875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2504", "NGN", "TZ", "35", "660");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2505", "NGN", "AO", "635", "1655");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2506", "NGN", "JO", "470", "2220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2507", "NGN", "ZW", "290", "1575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2508", "NGN", "TR", "745", "2040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2509", "NGN", "MU", "380", "1305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2510", "NGN", "SV", "285", "1580");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2511", "NGN", "TH", "1120", "3520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2512", "NGN", "CO", "565", "2195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2513", "NGN", "LK", "275", "380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2514", "NGN", "CR", "345", "2295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2515", "NGN", "AR", "770", "2090");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2516", "NGN", "MA", "345", "1355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2517", "NGN", "MY", "980", "3600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2518", "NGN", "KZ", "420", "1530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2519", "NGN", "DZ", "345", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2520", "NGN", "ID", "875", "3240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2521", "NGN", "NG", "490", "3105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2522", "NGN", "GT", "345", "2430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2523", "NGN", "VN", "715", "2705");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2524", "NGN", "BY", "335", "1305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2525", "NGN", "EG", "450", "2765");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2526", "NGN", "UY", "355", "1645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2527", "NGN", "BD", "295", "650");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2528", "NGN", "PK", "320", "1855");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2529", "NGN", "PH", "555", "2055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2530", "NGN", "ET", "90", "680");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2531", "NGN", "TN", "345", "620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2532", "NGN", "LB", "345", "1035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2533", "NGN", "IN", "320", "1445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2534", "NGN", "PY", "345", "1105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2535", "NGN", "UZ", "345", "670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2536", "NGN", "EC", "335", "1145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2537", "NGN", "MM", "345", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2538", "NGN", "GE", "345", "440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2539", "NOK", "US", "185", "520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2540", "NOK", "CH", "170", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2541", "NOK", "AU", "155", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2542", "NOK", "GB", "135", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2543", "NOK", "DE", "135", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2544", "NOK", "DK", "125", "310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2545", "NOK", "AT", "90", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2546", "NOK", "NO", "105", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2547", "NOK", "CA", "115", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2548", "NOK", "NL", "120", "310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2549", "NOK", "SE", "95", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2550", "NOK", "IE", "95", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2551", "NOK", "BE", "90", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2552", "NOK", "FI", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2553", "NOK", "FR", "80", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2554", "NOK", "NZ", "85", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2555", "NOK", "HK", "75", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2556", "NOK", "CZ", "70", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2557", "NOK", "SK", "70", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2558", "NOK", "AE", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2559", "NOK", "SG", "85", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2560", "NOK", "IL", "75", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2561", "NOK", "KW", "35", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2562", "NOK", "IT", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2563", "NOK", "JP", "65", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2564", "NOK", "ES", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2565", "NOK", "VE", "5", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2566", "NOK", "HU", "45", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2567", "NOK", "PT", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2568", "NOK", "GR", "55", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2569", "NOK", "KR", "65", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2570", "NOK", "TW", "55", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2571", "NOK", "PL", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2572", "NOK", "ZM", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2573", "NOK", "PR", "15", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2574", "NOK", "CI", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2575", "NOK", "RO", "40", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2576", "NOK", "BH", "20", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2577", "NOK", "PA", "15", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2578", "NOK", "GH", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2579", "NOK", "KH", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2580", "NOK", "SN", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2581", "NOK", "SA", "25", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2582", "NOK", "RU", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2583", "NOK", "UG", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2584", "NOK", "BR", "30", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2585", "NOK", "NI", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2586", "NOK", "MG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2587", "NOK", "DO", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2588", "NOK", "MX", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2589", "NOK", "OM", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2590", "NOK", "CM", "5", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2591", "NOK", "ZA", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2592", "NOK", "CL", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2593", "NOK", "KE", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2594", "NOK", "NP", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2595", "NOK", "PE", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2596", "NOK", "UA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2597", "NOK", "MZ", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2598", "NOK", "TZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2599", "NOK", "AO", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2600", "NOK", "JO", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2601", "NOK", "ZW", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2602", "NOK", "TR", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2603", "NOK", "MU", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2604", "NOK", "SV", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2605", "NOK", "TH", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2606", "NOK", "CO", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2607", "NOK", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2608", "NOK", "CR", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2609", "NOK", "AR", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2610", "NOK", "MA", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2611", "NOK", "MY", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2612", "NOK", "KZ", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2613", "NOK", "DZ", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2614", "NOK", "ID", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2615", "NOK", "NG", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2616", "NOK", "GT", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2617", "NOK", "VN", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2618", "NOK", "BY", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2619", "NOK", "EG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2620", "NOK", "UY", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2621", "NOK", "BD", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2622", "NOK", "PK", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2623", "NOK", "PH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2624", "NOK", "ET", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2625", "NOK", "TN", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2626", "NOK", "LB", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2627", "NOK", "IN", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2628", "NOK", "PY", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2629", "NOK", "UZ", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2630", "NOK", "EC", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2631", "NOK", "MM", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2632", "NOK", "GE", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2633", "PEN", "US", "80", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2634", "PEN", "CH", "75", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2635", "PEN", "AU", "65", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2636", "PEN", "GB", "60", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2637", "PEN", "DE", "60", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2638", "PEN", "DK", "55", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2639", "PEN", "AT", "40", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2640", "PEN", "NO", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2641", "PEN", "CA", "50", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2642", "PEN", "NL", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2643", "PEN", "SE", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2644", "PEN", "IE", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2645", "PEN", "BE", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2646", "PEN", "FI", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2647", "PEN", "FR", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2648", "PEN", "NZ", "35", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2649", "PEN", "HK", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2650", "PEN", "CZ", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2651", "PEN", "SK", "30", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2652", "PEN", "AE", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2653", "PEN", "SG", "35", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2654", "PEN", "IL", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2655", "PEN", "KW", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2656", "PEN", "IT", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2657", "PEN", "JP", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2658", "PEN", "ES", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2659", "PEN", "VE", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2660", "PEN", "HU", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2661", "PEN", "PT", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2662", "PEN", "GR", "25", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2663", "PEN", "KR", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2664", "PEN", "TW", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2665", "PEN", "PL", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2666", "PEN", "ZM", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2667", "PEN", "PR", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2668", "PEN", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2669", "PEN", "RO", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2670", "PEN", "BH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2671", "PEN", "PA", "5", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2672", "PEN", "GH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2673", "PEN", "KH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2674", "PEN", "SN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2675", "PEN", "SA", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2676", "PEN", "RU", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2677", "PEN", "UG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2678", "PEN", "BR", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2679", "PEN", "NI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2680", "PEN", "MG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2681", "PEN", "DO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2682", "PEN", "MX", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2683", "PEN", "OM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2684", "PEN", "CM", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2685", "PEN", "ZA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2686", "PEN", "CL", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2687", "PEN", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2688", "PEN", "NP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2689", "PEN", "PE", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2690", "PEN", "UA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2691", "PEN", "MZ", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2692", "PEN", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2693", "PEN", "AO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2694", "PEN", "JO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2695", "PEN", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2696", "PEN", "TR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2697", "PEN", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2698", "PEN", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2699", "PEN", "TH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2700", "PEN", "CO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2701", "PEN", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2702", "PEN", "CR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2703", "PEN", "AR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2704", "PEN", "MA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2705", "PEN", "MY", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2706", "PEN", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2707", "PEN", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2708", "PEN", "ID", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2709", "PEN", "NG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2710", "PEN", "GT", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2711", "PEN", "VN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2712", "PEN", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2713", "PEN", "EG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2714", "PEN", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2715", "PEN", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2716", "PEN", "PK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2717", "PEN", "PH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2718", "PEN", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2719", "PEN", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2720", "PEN", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2721", "PEN", "IN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2722", "PEN", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2723", "PEN", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2724", "PEN", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2725", "PEN", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2726", "PEN", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2727", "PHP", "US", "1045", "2945");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2728", "PHP", "CH", "975", "2560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2729", "PHP", "AU", "885", "2270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2730", "PHP", "GB", "770", "1975");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2731", "PHP", "DE", "765", "1960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2732", "PHP", "DK", "705", "1750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2733", "PHP", "AT", "515", "1600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2734", "PHP", "NO", "585", "1625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2735", "PHP", "CA", "645", "1975");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2736", "PHP", "NL", "690", "1750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2737", "PHP", "SE", "550", "1490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2738", "PHP", "IE", "545", "1440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2739", "PHP", "BE", "500", "1470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2740", "PHP", "FI", "375", "1140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2741", "PHP", "FR", "465", "1245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2742", "PHP", "NZ", "475", "1390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2743", "PHP", "HK", "430", "1215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2744", "PHP", "CZ", "410", "985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2745", "PHP", "SK", "385", "840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2746", "PHP", "AE", "365", "1145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2747", "PHP", "SG", "475", "1410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2748", "PHP", "IL", "415", "1015");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2749", "PHP", "KW", "185", "915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2750", "PHP", "IT", "285", "745");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2751", "PHP", "JP", "355", "1010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2752", "PHP", "ES", "290", "770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2753", "PHP", "VE", "40", "590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2754", "PHP", "HU", "245", "570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2755", "PHP", "PT", "245", "640");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2756", "PHP", "GR", "300", "620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2757", "PHP", "KR", "370", "985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2758", "PHP", "TW", "300", "810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2759", "PHP", "PL", "260", "640");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2760", "PHP", "ZM", "35", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2761", "PHP", "PR", "90", "860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2762", "PHP", "CI", "50", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2763", "PHP", "RO", "240", "575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2764", "PHP", "BH", "110", "600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2765", "PHP", "PA", "70", "820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2766", "PHP", "GH", "85", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2767", "PHP", "KH", "50", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2768", "PHP", "SN", "35", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2769", "PHP", "SA", "155", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2770", "PHP", "RU", "155", "490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2771", "PHP", "UG", "35", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2772", "PHP", "BR", "165", "405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2773", "PHP", "NI", "35", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2774", "PHP", "MG", "35", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2775", "PHP", "DO", "45", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2776", "PHP", "MX", "125", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2777", "PHP", "OM", "80", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2778", "PHP", "CM", "35", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2779", "PHP", "ZA", "150", "475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2780", "PHP", "CL", "155", "460");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2781", "PHP", "KE", "45", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2782", "PHP", "NP", "35", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2783", "PHP", "PE", "90", "385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2784", "PHP", "UA", "90", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2785", "PHP", "MZ", "35", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2786", "PHP", "TZ", "5", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2787", "PHP", "AO", "80", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2788", "PHP", "JO", "60", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2789", "PHP", "ZW", "35", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2790", "PHP", "TR", "95", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2791", "PHP", "MU", "50", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2792", "PHP", "SV", "35", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2793", "PHP", "TH", "140", "445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2794", "PHP", "CO", "70", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2795", "PHP", "LK", "35", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2796", "PHP", "CR", "45", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2797", "PHP", "AR", "95", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2798", "PHP", "MA", "45", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2799", "PHP", "MY", "125", "455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2800", "PHP", "KZ", "55", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2801", "PHP", "DZ", "45", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2802", "PHP", "ID", "110", "410");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2803", "PHP", "NG", "60", "390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2804", "PHP", "GT", "45", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2805", "PHP", "VN", "90", "340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2806", "PHP", "BY", "40", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2807", "PHP", "EG", "55", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2808", "PHP", "UY", "45", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2809", "PHP", "BD", "35", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2810", "PHP", "PK", "40", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2811", "PHP", "PH", "70", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2812", "PHP", "ET", "10", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2813", "PHP", "TN", "45", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2814", "PHP", "LB", "45", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2815", "PHP", "IN", "40", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2816", "PHP", "PY", "45", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2817", "PHP", "UZ", "45", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2818", "PHP", "EC", "40", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2819", "PHP", "MM", "45", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2820", "PHP", "GE", "45", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2821", "PKR", "US", "3485", "9840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2822", "PKR", "CH", "3250", "8555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2823", "PKR", "AU", "2960", "7595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2824", "PKR", "GB", "2580", "6600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2825", "PKR", "DE", "2560", "6550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2826", "PKR", "DK", "2355", "5845");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2827", "PKR", "AT", "1720", "5340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2828", "PKR", "NO", "1950", "5440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2829", "PKR", "CA", "2155", "6605");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2830", "PKR", "NL", "2305", "5850");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2831", "PKR", "SE", "1845", "4985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2832", "PKR", "IE", "1825", "4810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2833", "PKR", "BE", "1680", "4920");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2834", "PKR", "FI", "1255", "3810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2835", "PKR", "FR", "1555", "4160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2836", "PKR", "NZ", "1580", "4655");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2837", "PKR", "HK", "1440", "4065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2838", "PKR", "CZ", "1370", "3290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2839", "PKR", "SK", "1295", "2805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2840", "PKR", "AE", "1220", "3830");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2841", "PKR", "SG", "1590", "4705");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2842", "PKR", "IL", "1390", "3400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2843", "PKR", "KW", "625", "3055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2844", "PKR", "IT", "945", "2495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2845", "PKR", "JP", "1185", "3370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2846", "PKR", "ES", "970", "2570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2847", "PKR", "VE", "125", "1970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2848", "PKR", "HU", "820", "1905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2849", "PKR", "PT", "820", "2130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2850", "PKR", "GR", "1010", "2065");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2851", "PKR", "KR", "1245", "3295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2852", "PKR", "TW", "1010", "2705");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2853", "PKR", "PL", "865", "2140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2854", "PKR", "ZM", "125", "715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2855", "PKR", "PR", "305", "2870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2856", "PKR", "CI", "165", "690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2857", "PKR", "RO", "795", "1920");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2858", "PKR", "BH", "360", "2000");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2859", "PKR", "PA", "240", "2745");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2860", "PKR", "GH", "290", "810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2861", "PKR", "KH", "165", "800");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2862", "PKR", "SN", "120", "870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2863", "PKR", "SA", "520", "1985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2864", "PKR", "RU", "515", "1645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2865", "PKR", "UG", "120", "635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2866", "PKR", "BR", "550", "1355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2867", "PKR", "NI", "120", "865");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2868", "PKR", "MG", "120", "615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2869", "PKR", "DO", "145", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2870", "PKR", "MX", "415", "1500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2871", "PKR", "OM", "260", "1500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2872", "PKR", "CM", "120", "1115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2873", "PKR", "ZA", "495", "1590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2874", "PKR", "CL", "515", "1535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2875", "PKR", "KE", "150", "640");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2876", "PKR", "NP", "120", "585");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2877", "PKR", "PE", "305", "1295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2878", "PKR", "UA", "295", "915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2879", "PKR", "MZ", "120", "1215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2880", "PKR", "TZ", "15", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2881", "PKR", "AO", "270", "700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2882", "PKR", "JO", "195", "935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2883", "PKR", "ZW", "120", "665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2884", "PKR", "TR", "315", "860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2885", "PKR", "MU", "160", "550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2886", "PKR", "SV", "120", "665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2887", "PKR", "TH", "470", "1485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2888", "PKR", "CO", "240", "925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2889", "PKR", "LK", "115", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2890", "PKR", "CR", "145", "970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2891", "PKR", "AR", "325", "880");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2892", "PKR", "MA", "145", "570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2893", "PKR", "MY", "415", "1515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2894", "PKR", "KZ", "175", "645");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2895", "PKR", "DZ", "145", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2896", "PKR", "ID", "370", "1365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2897", "PKR", "NG", "205", "1310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2898", "PKR", "GT", "145", "1025");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2899", "PKR", "VN", "300", "1140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2900", "PKR", "BY", "140", "550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2901", "PKR", "EG", "190", "1165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2902", "PKR", "UY", "150", "695");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2903", "PKR", "BD", "125", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2904", "PKR", "PK", "135", "780");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2905", "PKR", "PH", "235", "870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2906", "PKR", "ET", "40", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2907", "PKR", "TN", "145", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2908", "PKR", "LB", "145", "435");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2909", "PKR", "IN", "135", "610");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2910", "PKR", "PY", "145", "465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2911", "PKR", "UZ", "145", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2912", "PKR", "EC", "140", "485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2913", "PKR", "MM", "145", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2914", "PKR", "GE", "145", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2915", "PLN", "US", "80", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2916", "PLN", "CH", "75", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2917", "PLN", "AU", "70", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2918", "PLN", "GB", "60", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2919", "PLN", "DE", "60", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2920", "PLN", "DK", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2921", "PLN", "AT", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2922", "PLN", "NO", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2923", "PLN", "CA", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2924", "PLN", "NL", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2925", "PLN", "SE", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2926", "PLN", "IE", "40", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2927", "PLN", "BE", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2928", "PLN", "FI", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2929", "PLN", "FR", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2930", "PLN", "NZ", "35", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2931", "PLN", "HK", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2932", "PLN", "CZ", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2933", "PLN", "SK", "30", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2934", "PLN", "AE", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2935", "PLN", "SG", "35", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2936", "PLN", "IL", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2937", "PLN", "KW", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2938", "PLN", "IT", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2939", "PLN", "JP", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2940", "PLN", "ES", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2941", "PLN", "VE", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2942", "PLN", "HU", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2943", "PLN", "PT", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2944", "PLN", "GR", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2945", "PLN", "KR", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2946", "PLN", "TW", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2947", "PLN", "PL", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2948", "PLN", "ZM", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2949", "PLN", "PR", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2950", "PLN", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2951", "PLN", "RO", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2952", "PLN", "BH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2953", "PLN", "PA", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2954", "PLN", "GH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2955", "PLN", "KH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2956", "PLN", "SN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2957", "PLN", "SA", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2958", "PLN", "RU", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2959", "PLN", "UG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2960", "PLN", "BR", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2961", "PLN", "NI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2962", "PLN", "MG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2963", "PLN", "DO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2964", "PLN", "MX", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2965", "PLN", "OM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2966", "PLN", "CM", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2967", "PLN", "ZA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2968", "PLN", "CL", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2969", "PLN", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2970", "PLN", "NP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2971", "PLN", "PE", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2972", "PLN", "UA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2973", "PLN", "MZ", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2974", "PLN", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2975", "PLN", "AO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2976", "PLN", "JO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2977", "PLN", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2978", "PLN", "TR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2979", "PLN", "MU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2980", "PLN", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2981", "PLN", "TH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2982", "PLN", "CO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2983", "PLN", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2984", "PLN", "CR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2985", "PLN", "AR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2986", "PLN", "MA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2987", "PLN", "MY", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2988", "PLN", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2989", "PLN", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2990", "PLN", "ID", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2991", "PLN", "NG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2992", "PLN", "GT", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2993", "PLN", "VN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2994", "PLN", "BY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2995", "PLN", "EG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2996", "PLN", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2997", "PLN", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2998", "PLN", "PK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("2999", "PLN", "PH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3000", "PLN", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3001", "PLN", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3002", "PLN", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3003", "PLN", "IN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3004", "PLN", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3005", "PLN", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3006", "PLN", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3007", "PLN", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3008", "PLN", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3009", "RON", "US", "85", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3010", "RON", "CH", "80", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3011", "RON", "AU", "75", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3012", "RON", "GB", "65", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3013", "RON", "DE", "65", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3014", "RON", "DK", "60", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3015", "RON", "AT", "45", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3016", "RON", "NO", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3017", "RON", "CA", "55", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3018", "RON", "NL", "60", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3019", "RON", "SE", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3020", "RON", "IE", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3021", "RON", "BE", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3022", "RON", "FI", "30", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3023", "RON", "FR", "40", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3024", "RON", "NZ", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3025", "RON", "HK", "35", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3026", "RON", "CZ", "35", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3027", "RON", "SK", "30", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3028", "RON", "AE", "30", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3029", "RON", "SG", "40", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3030", "RON", "IL", "35", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3031", "RON", "KW", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3032", "RON", "IT", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3033", "RON", "JP", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3034", "RON", "ES", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3035", "RON", "VE", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3036", "RON", "HU", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3037", "RON", "PT", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3038", "RON", "GR", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3039", "RON", "KR", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3040", "RON", "TW", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3041", "RON", "PL", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3042", "RON", "ZM", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3043", "RON", "PR", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3044", "RON", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3045", "RON", "RO", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3046", "RON", "BH", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3047", "RON", "PA", "5", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3048", "RON", "GH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3049", "RON", "KH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3050", "RON", "SN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3051", "RON", "SA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3052", "RON", "RU", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3053", "RON", "UG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3054", "RON", "BR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3055", "RON", "NI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3056", "RON", "MG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3057", "RON", "DO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3058", "RON", "MX", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3059", "RON", "OM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3060", "RON", "CM", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3061", "RON", "ZA", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3062", "RON", "CL", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3063", "RON", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3064", "RON", "NP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3065", "RON", "PE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3066", "RON", "UA", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3067", "RON", "MZ", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3068", "RON", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3069", "RON", "AO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3070", "RON", "JO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3071", "RON", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3072", "RON", "TR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3073", "RON", "MU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3074", "RON", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3075", "RON", "TH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3076", "RON", "CO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3077", "RON", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3078", "RON", "CR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3079", "RON", "AR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3080", "RON", "MA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3081", "RON", "MY", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3082", "RON", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3083", "RON", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3084", "RON", "ID", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3085", "RON", "NG", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3086", "RON", "GT", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3087", "RON", "VN", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3088", "RON", "BY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3089", "RON", "EG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3090", "RON", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3091", "RON", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3092", "RON", "PK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3093", "RON", "PH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3094", "RON", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3095", "RON", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3096", "RON", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3097", "RON", "IN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3098", "RON", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3099", "RON", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3100", "RON", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3101", "RON", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3102", "RON", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3103", "RSD", "US", "2100", "5930");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3104", "RSD", "CH", "1960", "5155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3105", "RSD", "AU", "1785", "4580");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3106", "RSD", "GB", "1555", "3980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3107", "RSD", "DE", "1545", "3945");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3108", "RSD", "DK", "1420", "3525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3109", "RSD", "AT", "1035", "3220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3110", "RSD", "NO", "1175", "3280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3111", "RSD", "CA", "1300", "3980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3112", "RSD", "NL", "1390", "3525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3113", "RSD", "SE", "1110", "3005");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3114", "RSD", "IE", "1100", "2900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3115", "RSD", "BE", "1010", "2965");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3116", "RSD", "FI", "755", "2295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3117", "RSD", "FR", "935", "2505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3118", "RSD", "NZ", "955", "2805");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3119", "RSD", "HK", "865", "2450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3120", "RSD", "CZ", "825", "1985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3121", "RSD", "SK", "780", "1690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3122", "RSD", "AE", "735", "2310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3123", "RSD", "SG", "960", "2835");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3124", "RSD", "IL", "840", "2050");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3125", "RSD", "KW", "380", "1840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3126", "RSD", "IT", "570", "1505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3127", "RSD", "JP", "715", "2030");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3128", "RSD", "ES", "585", "1550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3129", "RSD", "VE", "75", "1185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3130", "RSD", "HU", "495", "1150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3131", "RSD", "PT", "495", "1285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3132", "RSD", "GR", "610", "1245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3133", "RSD", "KR", "750", "1985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3134", "RSD", "TW", "610", "1630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3135", "RSD", "PL", "520", "1290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3136", "RSD", "ZM", "75", "430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3137", "RSD", "PR", "185", "1730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3138", "RSD", "CI", "100", "415");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3139", "RSD", "RO", "480", "1160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3140", "RSD", "BH", "215", "1205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3141", "RSD", "PA", "145", "1655");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3142", "RSD", "GH", "175", "485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3143", "RSD", "KH", "100", "485");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3144", "RSD", "SN", "75", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3145", "RSD", "SA", "315", "1195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3146", "RSD", "RU", "310", "990");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3147", "RSD", "UG", "75", "385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3148", "RSD", "BR", "330", "815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3149", "RSD", "NI", "75", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3150", "RSD", "MG", "75", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3151", "RSD", "DO", "90", "615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3152", "RSD", "MX", "250", "905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3153", "RSD", "OM", "155", "905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3154", "RSD", "CM", "75", "675");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3155", "RSD", "ZA", "300", "960");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3156", "RSD", "CL", "310", "925");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3157", "RSD", "KE", "90", "385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3158", "RSD", "NP", "75", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3159", "RSD", "PE", "185", "780");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3160", "RSD", "UA", "175", "550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3161", "RSD", "MZ", "75", "730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3162", "RSD", "TZ", "10", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3163", "RSD", "AO", "160", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3164", "RSD", "JO", "120", "565");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3165", "RSD", "ZW", "75", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3166", "RSD", "TR", "190", "520");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3167", "RSD", "MU", "95", "330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3168", "RSD", "SV", "75", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3169", "RSD", "TH", "285", "895");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3170", "RSD", "CO", "145", "560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3171", "RSD", "LK", "70", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3172", "RSD", "CR", "90", "585");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3173", "RSD", "AR", "195", "530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3174", "RSD", "MA", "90", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3175", "RSD", "MY", "250", "915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3176", "RSD", "KZ", "105", "390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3177", "RSD", "DZ", "85", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3178", "RSD", "ID", "220", "825");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3179", "RSD", "NG", "125", "790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3180", "RSD", "GT", "85", "620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3181", "RSD", "VN", "180", "690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3182", "RSD", "BY", "85", "330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3183", "RSD", "EG", "115", "700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3184", "RSD", "UY", "90", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3185", "RSD", "BD", "75", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3186", "RSD", "PK", "80", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3187", "RSD", "PH", "140", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3188", "RSD", "ET", "25", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3189", "RSD", "TN", "85", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3190", "RSD", "LB", "90", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3191", "RSD", "IN", "80", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3192", "RSD", "PY", "85", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3193", "RSD", "UZ", "85", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3194", "RSD", "EC", "85", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3195", "RSD", "MM", "85", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3196", "RSD", "GE", "90", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3197", "RUB", "US", "1605", "4525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3198", "RUB", "CH", "1495", "3935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3199", "RUB", "AU", "1360", "3495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3200", "RUB", "GB", "1185", "3035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3201", "RUB", "DE", "1180", "3010");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3202", "RUB", "DK", "1085", "2690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3203", "RUB", "AT", "790", "2455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3204", "RUB", "NO", "895", "2500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3205", "RUB", "CA", "990", "3040");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3206", "RUB", "NL", "1060", "2690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3207", "RUB", "SE", "850", "2295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3208", "RUB", "IE", "840", "2215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3209", "RUB", "BE", "770", "2260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3210", "RUB", "FI", "575", "1755");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3211", "RUB", "FR", "715", "1915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3212", "RUB", "NZ", "725", "2140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3213", "RUB", "HK", "660", "1870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3214", "RUB", "CZ", "630", "1515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3215", "RUB", "SK", "595", "1290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3216", "RUB", "AE", "560", "1760");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3217", "RUB", "SG", "735", "2165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3218", "RUB", "IL", "640", "1565");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3219", "RUB", "KW", "290", "1405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3220", "RUB", "IT", "435", "1150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3221", "RUB", "JP", "545", "1550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3222", "RUB", "ES", "445", "1185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3223", "RUB", "VE", "60", "905");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3224", "RUB", "HU", "375", "875");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3225", "RUB", "PT", "375", "980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3226", "RUB", "GR", "465", "950");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3227", "RUB", "KR", "570", "1515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3228", "RUB", "TW", "465", "1245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3229", "RUB", "PL", "400", "985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3230", "RUB", "ZM", "55", "330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3231", "RUB", "PR", "140", "1320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3232", "RUB", "CI", "75", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3233", "RUB", "RO", "365", "885");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3234", "RUB", "BH", "165", "920");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3235", "RUB", "PA", "110", "1265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3236", "RUB", "GH", "135", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3237", "RUB", "KH", "75", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3238", "RUB", "SN", "55", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3239", "RUB", "SA", "240", "915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3240", "RUB", "RU", "235", "755");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3241", "RUB", "UG", "55", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3242", "RUB", "BR", "255", "625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3243", "RUB", "NI", "55", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3244", "RUB", "MG", "55", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3245", "RUB", "DO", "65", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3246", "RUB", "MX", "190", "690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3247", "RUB", "OM", "120", "690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3248", "RUB", "CM", "55", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3249", "RUB", "ZA", "225", "730");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3250", "RUB", "CL", "235", "705");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3251", "RUB", "KE", "70", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3252", "RUB", "NP", "55", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3253", "RUB", "PE", "140", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3254", "RUB", "UA", "135", "420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3255", "RUB", "MZ", "55", "560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3256", "RUB", "TZ", "5", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3257", "RUB", "AO", "125", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3258", "RUB", "JO", "90", "430");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3259", "RUB", "ZW", "55", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3260", "RUB", "TR", "145", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3261", "RUB", "MU", "75", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3262", "RUB", "SV", "55", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3263", "RUB", "TH", "215", "680");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3264", "RUB", "CO", "110", "425");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3265", "RUB", "LK", "55", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3266", "RUB", "CR", "65", "445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3267", "RUB", "AR", "150", "405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3268", "RUB", "MA", "65", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3269", "RUB", "MY", "190", "700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3270", "RUB", "KZ", "80", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3271", "RUB", "DZ", "65", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3272", "RUB", "ID", "170", "630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3273", "RUB", "NG", "95", "600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3274", "RUB", "GT", "65", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3275", "RUB", "VN", "140", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3276", "RUB", "BY", "65", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3277", "RUB", "EG", "90", "535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3278", "RUB", "UY", "70", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3279", "RUB", "BD", "55", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3280", "RUB", "PK", "60", "360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3281", "RUB", "PH", "110", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3282", "RUB", "ET", "15", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3283", "RUB", "TN", "65", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3284", "RUB", "LB", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3285", "RUB", "IN", "60", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3286", "RUB", "PY", "65", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3287", "RUB", "UZ", "65", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3288", "RUB", "EC", "65", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3289", "RUB", "MM", "65", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3290", "RUB", "GE", "65", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3291", "SAR", "US", "80", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3292", "SAR", "CH", "75", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3293", "SAR", "AU", "70", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3294", "SAR", "GB", "60", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3295", "SAR", "DE", "60", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3296", "SAR", "DK", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3297", "SAR", "AT", "40", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3298", "SAR", "NO", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3299", "SAR", "CA", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3300", "SAR", "NL", "55", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3301", "SAR", "SE", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3302", "SAR", "IE", "45", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3303", "SAR", "BE", "40", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3304", "SAR", "FI", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3305", "SAR", "FR", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3306", "SAR", "NZ", "35", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3307", "SAR", "HK", "35", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3308", "SAR", "CZ", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3309", "SAR", "SK", "30", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3310", "SAR", "AE", "30", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3311", "SAR", "SG", "35", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3312", "SAR", "IL", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3313", "SAR", "KW", "15", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3314", "SAR", "IT", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3315", "SAR", "JP", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3316", "SAR", "ES", "25", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3317", "SAR", "VE", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3318", "SAR", "HU", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3319", "SAR", "PT", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3320", "SAR", "GR", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3321", "SAR", "KR", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3322", "SAR", "TW", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3323", "SAR", "PL", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3324", "SAR", "ZM", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3325", "SAR", "PR", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3326", "SAR", "CI", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3327", "SAR", "RO", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3328", "SAR", "BH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3329", "SAR", "PA", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3330", "SAR", "GH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3331", "SAR", "KH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3332", "SAR", "SN", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3333", "SAR", "SA", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3334", "SAR", "RU", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3335", "SAR", "UG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3336", "SAR", "BR", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3337", "SAR", "NI", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3338", "SAR", "MG", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3339", "SAR", "DO", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3340", "SAR", "MX", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3341", "SAR", "OM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3342", "SAR", "CM", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3343", "SAR", "ZA", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3344", "SAR", "CL", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3345", "SAR", "KE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3346", "SAR", "NP", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3347", "SAR", "PE", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3348", "SAR", "UA", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3349", "SAR", "MZ", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3350", "SAR", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3351", "SAR", "AO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3352", "SAR", "JO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3353", "SAR", "ZW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3354", "SAR", "TR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3355", "SAR", "MU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3356", "SAR", "SV", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3357", "SAR", "TH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3358", "SAR", "CO", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3359", "SAR", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3360", "SAR", "CR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3361", "SAR", "AR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3362", "SAR", "MA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3363", "SAR", "MY", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3364", "SAR", "KZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3365", "SAR", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3366", "SAR", "ID", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3367", "SAR", "NG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3368", "SAR", "GT", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3369", "SAR", "VN", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3370", "SAR", "BY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3371", "SAR", "EG", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3372", "SAR", "UY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3373", "SAR", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3374", "SAR", "PK", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3375", "SAR", "PH", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3376", "SAR", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3377", "SAR", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3378", "SAR", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3379", "SAR", "IN", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3380", "SAR", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3381", "SAR", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3382", "SAR", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3383", "SAR", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3384", "SAR", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3385", "SEK", "US", "180", "510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3386", "SEK", "CH", "170", "445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3387", "SEK", "AU", "155", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3388", "SEK", "GB", "135", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3389", "SEK", "DE", "135", "340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3390", "SEK", "DK", "125", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3391", "SEK", "AT", "90", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3392", "SEK", "NO", "100", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3393", "SEK", "CA", "110", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3394", "SEK", "NL", "120", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3395", "SEK", "SE", "95", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3396", "SEK", "IE", "95", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3397", "SEK", "BE", "85", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3398", "SEK", "FI", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3399", "SEK", "FR", "80", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3400", "SEK", "NZ", "80", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3401", "SEK", "HK", "75", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3402", "SEK", "CZ", "70", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3403", "SEK", "SK", "65", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3404", "SEK", "AE", "65", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3405", "SEK", "SG", "85", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3406", "SEK", "IL", "70", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3407", "SEK", "KW", "35", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3408", "SEK", "IT", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3409", "SEK", "JP", "60", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3410", "SEK", "ES", "50", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3411", "SEK", "VE", "5", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3412", "SEK", "HU", "45", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3413", "SEK", "PT", "45", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3414", "SEK", "GR", "50", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3415", "SEK", "KR", "65", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3416", "SEK", "TW", "55", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3417", "SEK", "PL", "45", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3418", "SEK", "ZM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3419", "SEK", "PR", "15", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3420", "SEK", "CI", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3421", "SEK", "RO", "40", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3422", "SEK", "BH", "20", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3423", "SEK", "PA", "15", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3424", "SEK", "GH", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3425", "SEK", "KH", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3426", "SEK", "SN", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3427", "SEK", "SA", "25", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3428", "SEK", "RU", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3429", "SEK", "UG", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3430", "SEK", "BR", "30", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3431", "SEK", "NI", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3432", "SEK", "MG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3433", "SEK", "DO", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3434", "SEK", "MX", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3435", "SEK", "OM", "15", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3436", "SEK", "CM", "5", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3437", "SEK", "ZA", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3438", "SEK", "CL", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3439", "SEK", "KE", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3440", "SEK", "NP", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3441", "SEK", "PE", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3442", "SEK", "UA", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3443", "SEK", "MZ", "5", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3444", "SEK", "TZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3445", "SEK", "AO", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3446", "SEK", "JO", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3447", "SEK", "ZW", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3448", "SEK", "TR", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3449", "SEK", "MU", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3450", "SEK", "SV", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3451", "SEK", "TH", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3452", "SEK", "CO", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3453", "SEK", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3454", "SEK", "CR", "10", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3455", "SEK", "AR", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3456", "SEK", "MA", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3457", "SEK", "MY", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3458", "SEK", "KZ", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3459", "SEK", "DZ", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3460", "SEK", "ID", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3461", "SEK", "NG", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3462", "SEK", "GT", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3463", "SEK", "VN", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3464", "SEK", "BY", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3465", "SEK", "EG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3466", "SEK", "UY", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3467", "SEK", "BD", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3468", "SEK", "PK", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3469", "SEK", "PH", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3470", "SEK", "ET", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3471", "SEK", "TN", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3472", "SEK", "LB", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3473", "SEK", "IN", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3474", "SEK", "PY", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3475", "SEK", "UZ", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3476", "SEK", "EC", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3477", "SEK", "MM", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3478", "SEK", "GE", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3479", "SGD", "US", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3480", "SGD", "CH", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3481", "SGD", "AU", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3482", "SGD", "GB", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3483", "SGD", "DE", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3484", "SGD", "DK", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3485", "SGD", "AT", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3486", "SGD", "NO", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3487", "SGD", "CA", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3488", "SGD", "NL", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3489", "SGD", "SE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3490", "SGD", "IE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3491", "SGD", "BE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3492", "SGD", "FI", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3493", "SGD", "FR", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3494", "SGD", "NZ", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3495", "SGD", "HK", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3496", "SGD", "CZ", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3497", "SGD", "SK", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3498", "SGD", "AE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3499", "SGD", "SG", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3500", "SGD", "IL", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3501", "SGD", "KW", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3502", "SGD", "IT", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3503", "SGD", "JP", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3504", "SGD", "ES", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3505", "SGD", "VE", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3506", "SGD", "HU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3507", "SGD", "PT", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3508", "SGD", "GR", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3509", "SGD", "KR", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3510", "SGD", "TW", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3511", "SGD", "PL", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3512", "SGD", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3513", "SGD", "PR", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3514", "SGD", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3515", "SGD", "RO", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3516", "SGD", "BH", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3517", "SGD", "PA", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3518", "SGD", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3519", "SGD", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3520", "SGD", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3521", "SGD", "SA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3522", "SGD", "RU", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3523", "SGD", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3524", "SGD", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3525", "SGD", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3526", "SGD", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3527", "SGD", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3528", "SGD", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3529", "SGD", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3530", "SGD", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3531", "SGD", "ZA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3532", "SGD", "CL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3533", "SGD", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3534", "SGD", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3535", "SGD", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3536", "SGD", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3537", "SGD", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3538", "SGD", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3539", "SGD", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3540", "SGD", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3541", "SGD", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3542", "SGD", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3543", "SGD", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3544", "SGD", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3545", "SGD", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3546", "SGD", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3547", "SGD", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3548", "SGD", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3549", "SGD", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3550", "SGD", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3551", "SGD", "MY", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3552", "SGD", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3553", "SGD", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3554", "SGD", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3555", "SGD", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3556", "SGD", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3557", "SGD", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3558", "SGD", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3559", "SGD", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3560", "SGD", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3561", "SGD", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3562", "SGD", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3563", "SGD", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3564", "SGD", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3565", "SGD", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3566", "SGD", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3567", "SGD", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3568", "SGD", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3569", "SGD", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3570", "SGD", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3571", "SGD", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3572", "SGD", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3573", "THB", "US", "650", "1840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3574", "THB", "CH", "610", "1600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3575", "THB", "AU", "555", "1420");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3576", "THB", "GB", "485", "1235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3577", "THB", "DE", "480", "1225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3578", "THB", "DK", "440", "1095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3579", "THB", "AT", "320", "1000");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3580", "THB", "NO", "365", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3581", "THB", "CA", "405", "1235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3582", "THB", "NL", "430", "1095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3583", "THB", "SE", "345", "935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3584", "THB", "IE", "340", "900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3585", "THB", "BE", "315", "920");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3586", "THB", "FI", "235", "715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3587", "THB", "FR", "290", "780");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3588", "THB", "NZ", "295", "870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3589", "THB", "HK", "270", "760");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3590", "THB", "CZ", "255", "615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3591", "THB", "SK", "240", "525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3592", "THB", "AE", "230", "715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3593", "THB", "SG", "300", "880");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3594", "THB", "IL", "260", "635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3595", "THB", "KW", "115", "570");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3596", "THB", "IT", "175", "465");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3597", "THB", "JP", "220", "630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3598", "THB", "ES", "180", "480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3599", "THB", "VE", "25", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3600", "THB", "HU", "155", "355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3601", "THB", "PT", "155", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3602", "THB", "GR", "190", "385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3603", "THB", "KR", "235", "615");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3604", "THB", "TW", "190", "505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3605", "THB", "PL", "160", "400");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3606", "THB", "ZM", "25", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3607", "THB", "PR", "55", "535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3608", "THB", "CI", "30", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3609", "THB", "RO", "150", "360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3610", "THB", "BH", "70", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3611", "THB", "PA", "45", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3612", "THB", "GH", "55", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3613", "THB", "KH", "30", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3614", "THB", "SN", "25", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3615", "THB", "SA", "95", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3616", "THB", "RU", "95", "310");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3617", "THB", "UG", "25", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3618", "THB", "BR", "105", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3619", "THB", "NI", "25", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3620", "THB", "MG", "25", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3621", "THB", "DO", "25", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3622", "THB", "MX", "80", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3623", "THB", "OM", "50", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3624", "THB", "CM", "25", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3625", "THB", "ZA", "90", "295");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3626", "THB", "CL", "95", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3627", "THB", "KE", "30", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3628", "THB", "NP", "25", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3629", "THB", "PE", "55", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3630", "THB", "UA", "55", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3631", "THB", "MZ", "25", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3632", "THB", "TZ", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3633", "THB", "AO", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3634", "THB", "JO", "35", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3635", "THB", "ZW", "25", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3636", "THB", "TR", "60", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3637", "THB", "MU", "30", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3638", "THB", "SV", "25", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3639", "THB", "TH", "90", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3640", "THB", "CO", "45", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3641", "THB", "LK", "20", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3642", "THB", "CR", "25", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3643", "THB", "AR", "60", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3644", "THB", "MA", "25", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3645", "THB", "MY", "75", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3646", "THB", "KZ", "35", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3647", "THB", "DZ", "25", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3648", "THB", "ID", "70", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3649", "THB", "NG", "40", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3650", "THB", "GT", "25", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3651", "THB", "VN", "55", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3652", "THB", "BY", "25", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3653", "THB", "EG", "35", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3654", "THB", "UY", "30", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3655", "THB", "BD", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3656", "THB", "PK", "25", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3657", "THB", "PH", "45", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3658", "THB", "ET", "5", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3659", "THB", "TN", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3660", "THB", "LB", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3661", "THB", "IN", "25", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3662", "THB", "PY", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3663", "THB", "UZ", "25", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3664", "THB", "EC", "25", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3665", "THB", "MM", "25", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3666", "THB", "GE", "25", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3667", "TRY", "US", "160", "455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3668", "TRY", "CH", "150", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3669", "TRY", "AU", "135", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3670", "TRY", "GB", "120", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3671", "TRY", "DE", "120", "300");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3672", "TRY", "DK", "110", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3673", "TRY", "AT", "80", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3674", "TRY", "NO", "90", "250");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3675", "TRY", "CA", "100", "305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3676", "TRY", "NL", "105", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3677", "TRY", "SE", "85", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3678", "TRY", "IE", "85", "220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3679", "TRY", "BE", "75", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3680", "TRY", "FI", "60", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3681", "TRY", "FR", "70", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3682", "TRY", "NZ", "75", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3683", "TRY", "HK", "65", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3684", "TRY", "CZ", "65", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3685", "TRY", "SK", "60", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3686", "TRY", "AE", "55", "175");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3687", "TRY", "SG", "75", "215");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3688", "TRY", "IL", "65", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3689", "TRY", "KW", "30", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3690", "TRY", "IT", "45", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3691", "TRY", "JP", "55", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3692", "TRY", "ES", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3693", "TRY", "VE", "5", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3694", "TRY", "HU", "40", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3695", "TRY", "PT", "40", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3696", "TRY", "GR", "45", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3697", "TRY", "KR", "55", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3698", "TRY", "TW", "45", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3699", "TRY", "PL", "40", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3700", "TRY", "ZM", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3701", "TRY", "PR", "15", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3702", "TRY", "CI", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3703", "TRY", "RO", "35", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3704", "TRY", "BH", "15", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3705", "TRY", "PA", "10", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3706", "TRY", "GH", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3707", "TRY", "KH", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3708", "TRY", "SN", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3709", "TRY", "SA", "25", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3710", "TRY", "RU", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3711", "TRY", "UG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3712", "TRY", "BR", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3713", "TRY", "NI", "5", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3714", "TRY", "MG", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3715", "TRY", "DO", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3716", "TRY", "MX", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3717", "TRY", "OM", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3718", "TRY", "CM", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3719", "TRY", "ZA", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3720", "TRY", "CL", "25", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3721", "TRY", "KE", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3722", "TRY", "NP", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3723", "TRY", "PE", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3724", "TRY", "UA", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3725", "TRY", "MZ", "5", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3726", "TRY", "TZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3727", "TRY", "AO", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3728", "TRY", "JO", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3729", "TRY", "ZW", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3730", "TRY", "TR", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3731", "TRY", "MU", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3732", "TRY", "SV", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3733", "TRY", "TH", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3734", "TRY", "CO", "10", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3735", "TRY", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3736", "TRY", "CR", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3737", "TRY", "AR", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3738", "TRY", "MA", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3739", "TRY", "MY", "20", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3740", "TRY", "KZ", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3741", "TRY", "DZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3742", "TRY", "ID", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3743", "TRY", "NG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3744", "TRY", "GT", "5", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3745", "TRY", "VN", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3746", "TRY", "BY", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3747", "TRY", "EG", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3748", "TRY", "UY", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3749", "TRY", "BD", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3750", "TRY", "PK", "5", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3751", "TRY", "PH", "10", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3752", "TRY", "ET", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3753", "TRY", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3754", "TRY", "LB", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3755", "TRY", "IN", "5", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3756", "TRY", "PY", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3757", "TRY", "UZ", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3758", "TRY", "EC", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3759", "TRY", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3760", "TRY", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3761", "TWD", "US", "610", "1715");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3762", "TWD", "CH", "570", "1495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3763", "TWD", "AU", "515", "1325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3764", "TWD", "GB", "450", "1150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3765", "TWD", "DE", "445", "1145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3766", "TWD", "DK", "410", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3767", "TWD", "AT", "300", "930");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3768", "TWD", "NO", "340", "950");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3769", "TWD", "CA", "375", "1155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3770", "TWD", "NL", "400", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3771", "TWD", "SE", "320", "870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3772", "TWD", "IE", "320", "840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3773", "TWD", "BE", "295", "860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3774", "TWD", "FI", "220", "665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3775", "TWD", "FR", "270", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3776", "TWD", "NZ", "275", "810");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3777", "TWD", "HK", "250", "710");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3778", "TWD", "CZ", "240", "575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3779", "TWD", "SK", "225", "490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3780", "TWD", "AE", "215", "670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3781", "TWD", "SG", "280", "820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3782", "TWD", "IL", "245", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3783", "TWD", "KW", "110", "535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3784", "TWD", "IT", "165", "435");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3785", "TWD", "JP", "205", "590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3786", "TWD", "ES", "170", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3787", "TWD", "VE", "20", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3788", "TWD", "HU", "145", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3789", "TWD", "PT", "145", "370");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3790", "TWD", "GR", "175", "360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3791", "TWD", "KR", "215", "575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3792", "TWD", "TW", "175", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3793", "TWD", "PL", "150", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3794", "TWD", "ZM", "20", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3795", "TWD", "PR", "55", "500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3796", "TWD", "CI", "30", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3797", "TWD", "RO", "140", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3798", "TWD", "BH", "65", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3799", "TWD", "PA", "40", "480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3800", "TWD", "GH", "50", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3801", "TWD", "KH", "30", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3802", "TWD", "SN", "20", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3803", "TWD", "SA", "90", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3804", "TWD", "RU", "90", "285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3805", "TWD", "UG", "20", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3806", "TWD", "BR", "95", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3807", "TWD", "NI", "20", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3808", "TWD", "MG", "20", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3809", "TWD", "DO", "25", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3810", "TWD", "MX", "70", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3811", "TWD", "OM", "45", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3812", "TWD", "CM", "20", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3813", "TWD", "ZA", "85", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3814", "TWD", "CL", "90", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3815", "TWD", "KE", "25", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3816", "TWD", "NP", "20", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3817", "TWD", "PE", "55", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3818", "TWD", "UA", "50", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3819", "TWD", "MZ", "20", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3820", "TWD", "TZ", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3821", "TWD", "AO", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3822", "TWD", "JO", "35", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3823", "TWD", "ZW", "20", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3824", "TWD", "TR", "55", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3825", "TWD", "MU", "30", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3826", "TWD", "SV", "20", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3827", "TWD", "TH", "80", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3828", "TWD", "CO", "40", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3829", "TWD", "LK", "20", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3830", "TWD", "CR", "25", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3831", "TWD", "AR", "55", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3832", "TWD", "MA", "25", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3833", "TWD", "MY", "70", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3834", "TWD", "KZ", "30", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3835", "TWD", "DZ", "25", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3836", "TWD", "ID", "65", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3837", "TWD", "NG", "35", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3838", "TWD", "GT", "25", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3839", "TWD", "VN", "55", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3840", "TWD", "BY", "25", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3841", "TWD", "EG", "35", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3842", "TWD", "UY", "25", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3843", "TWD", "BD", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3844", "TWD", "PK", "25", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3845", "TWD", "PH", "40", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3846", "TWD", "ET", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3847", "TWD", "TN", "25", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3848", "TWD", "LB", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3849", "TWD", "IN", "25", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3850", "TWD", "PY", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3851", "TWD", "UZ", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3852", "TWD", "EC", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3853", "TWD", "MM", "25", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3854", "TWD", "GE", "25", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3855", "UAH", "US", "610", "1720");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3856", "UAH", "CH", "570", "1495");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3857", "UAH", "AU", "515", "1330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3858", "UAH", "GB", "450", "1155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3859", "UAH", "DE", "450", "1145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3860", "UAH", "DK", "410", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3861", "UAH", "AT", "300", "935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3862", "UAH", "NO", "340", "950");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3863", "UAH", "CA", "375", "1155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3864", "UAH", "NL", "405", "1020");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3865", "UAH", "SE", "320", "870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3866", "UAH", "IE", "320", "840");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3867", "UAH", "BE", "295", "860");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3868", "UAH", "FI", "220", "665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3869", "UAH", "FR", "270", "725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3870", "UAH", "NZ", "275", "815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3871", "UAH", "HK", "250", "710");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3872", "UAH", "CZ", "240", "575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3873", "UAH", "SK", "225", "490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3874", "UAH", "AE", "215", "670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3875", "UAH", "SG", "280", "825");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3876", "UAH", "IL", "245", "595");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3877", "UAH", "KW", "110", "535");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3878", "UAH", "IT", "165", "435");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3879", "UAH", "JP", "205", "590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3880", "UAH", "ES", "170", "450");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3881", "UAH", "VE", "20", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3882", "UAH", "HU", "145", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3883", "UAH", "PT", "145", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3884", "UAH", "GR", "175", "360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3885", "UAH", "KR", "215", "575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3886", "UAH", "TW", "175", "475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3887", "UAH", "PL", "150", "375");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3888", "UAH", "ZM", "20", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3889", "UAH", "PR", "55", "500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3890", "UAH", "CI", "30", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3891", "UAH", "RO", "140", "335");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3892", "UAH", "BH", "65", "350");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3893", "UAH", "PA", "40", "480");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3894", "UAH", "GH", "50", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3895", "UAH", "KH", "30", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3896", "UAH", "SN", "20", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3897", "UAH", "SA", "90", "345");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3898", "UAH", "RU", "90", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3899", "UAH", "UG", "20", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3900", "UAH", "BR", "95", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3901", "UAH", "NI", "20", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3902", "UAH", "MG", "20", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3903", "UAH", "DO", "25", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3904", "UAH", "MX", "70", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3905", "UAH", "OM", "45", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3906", "UAH", "CM", "20", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3907", "UAH", "ZA", "85", "280");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3908", "UAH", "CL", "90", "270");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3909", "UAH", "KE", "25", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3910", "UAH", "NP", "20", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3911", "UAH", "PE", "55", "225");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3912", "UAH", "UA", "50", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3913", "UAH", "MZ", "20", "210");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3914", "UAH", "TZ", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3915", "UAH", "AO", "45", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3916", "UAH", "JO", "35", "165");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3917", "UAH", "ZW", "20", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3918", "UAH", "TR", "55", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3919", "UAH", "MU", "30", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3920", "UAH", "SV", "20", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3921", "UAH", "TH", "80", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3922", "UAH", "CO", "40", "160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3923", "UAH", "LK", "20", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3924", "UAH", "CR", "25", "170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3925", "UAH", "AR", "55", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3926", "UAH", "MA", "25", "100");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3927", "UAH", "MY", "70", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3928", "UAH", "KZ", "30", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3929", "UAH", "DZ", "25", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3930", "UAH", "ID", "65", "240");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3931", "UAH", "NG", "35", "230");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3932", "UAH", "GT", "25", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3933", "UAH", "VN", "55", "200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3934", "UAH", "BY", "25", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3935", "UAH", "EG", "35", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3936", "UAH", "UY", "25", "120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3937", "UAH", "BD", "20", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3938", "UAH", "PK", "25", "135");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3939", "UAH", "PH", "40", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3940", "UAH", "ET", "5", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3941", "UAH", "TN", "25", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3942", "UAH", "LB", "25", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3943", "UAH", "IN", "25", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3944", "UAH", "PY", "25", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3945", "UAH", "UZ", "25", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3946", "UAH", "EC", "25", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3947", "UAH", "MM", "25", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3948", "UAH", "GE", "25", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3949", "USD", "US", "20", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3950", "USD", "CH", "20", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3951", "USD", "AU", "20", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3952", "USD", "GB", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3953", "USD", "DE", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3954", "USD", "DK", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3955", "USD", "AT", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3956", "USD", "NO", "10", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3957", "USD", "CA", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3958", "USD", "NL", "15", "35");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3959", "USD", "SE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3960", "USD", "IE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3961", "USD", "BE", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3962", "USD", "FI", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3963", "USD", "FR", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3964", "USD", "NZ", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3965", "USD", "HK", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3966", "USD", "CZ", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3967", "USD", "SK", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3968", "USD", "AE", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3969", "USD", "SG", "10", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3970", "USD", "IL", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3971", "USD", "KW", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3972", "USD", "IT", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3973", "USD", "JP", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3974", "USD", "ES", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3975", "USD", "VE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3976", "USD", "HU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3977", "USD", "PT", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3978", "USD", "GR", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3979", "USD", "KR", "10", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3980", "USD", "TW", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3981", "USD", "PL", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3982", "USD", "ZM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3983", "USD", "PR", "5", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3984", "USD", "CI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3985", "USD", "RO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3986", "USD", "BH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3987", "USD", "PA", "5", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3988", "USD", "GH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3989", "USD", "KH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3990", "USD", "SN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3991", "USD", "SA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3992", "USD", "RU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3993", "USD", "UG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3994", "USD", "BR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3995", "USD", "NI", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3996", "USD", "MG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3997", "USD", "DO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3998", "USD", "MX", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("3999", "USD", "OM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4000", "USD", "CM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4001", "USD", "ZA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4002", "USD", "CL", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4003", "USD", "KE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4004", "USD", "NP", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4005", "USD", "PE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4006", "USD", "UA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4007", "USD", "MZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4008", "USD", "TZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4009", "USD", "AO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4010", "USD", "JO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4011", "USD", "ZW", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4012", "USD", "TR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4013", "USD", "MU", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4014", "USD", "SV", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4015", "USD", "TH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4016", "USD", "CO", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4017", "USD", "LK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4018", "USD", "CR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4019", "USD", "AR", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4020", "USD", "MA", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4021", "USD", "MY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4022", "USD", "KZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4023", "USD", "DZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4024", "USD", "ID", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4025", "USD", "NG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4026", "USD", "GT", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4027", "USD", "VN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4028", "USD", "BY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4029", "USD", "EG", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4030", "USD", "UY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4031", "USD", "BD", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4032", "USD", "PK", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4033", "USD", "PH", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4034", "USD", "ET", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4035", "USD", "TN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4036", "USD", "LB", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4037", "USD", "IN", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4038", "USD", "PY", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4039", "USD", "UZ", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4040", "USD", "EC", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4041", "USD", "MM", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4042", "USD", "GE", "5", "10");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4043", "VND", "US", "501260", "1414340");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4044", "VND", "CH", "467440", "1230050");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4045", "VND", "AU", "425330", "1092035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4046", "VND", "GB", "370825", "948980");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4047", "VND", "DE", "368005", "941305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4048", "VND", "DK", "338590", "840285");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4049", "VND", "AT", "247060", "767770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4050", "VND", "NO", "280035", "781870");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4051", "VND", "CA", "309560", "949275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4052", "VND", "NL", "331205", "840625");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4053", "VND", "SE", "265110", "716900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4054", "VND", "IE", "262340", "691545");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4055", "VND", "BE", "241250", "707035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4056", "VND", "FI", "180355", "547725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4057", "VND", "FR", "223325", "597765");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4058", "VND", "NZ", "227285", "669110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4059", "VND", "HK", "206690", "584525");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4060", "VND", "CZ", "197060", "473095");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4061", "VND", "SK", "185915", "402915");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4062", "VND", "AE", "175445", "550600");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4063", "VND", "SG", "228920", "676560");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4064", "VND", "IL", "199775", "488665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4065", "VND", "KW", "90110", "439220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4066", "VND", "IT", "135985", "358995");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4067", "VND", "JP", "170500", "484575");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4068", "VND", "ES", "139790", "369670");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4069", "VND", "VE", "18325", "283150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4070", "VND", "HU", "117795", "274075");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4071", "VND", "PT", "117590", "306530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4072", "VND", "GR", "144990", "296945");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4073", "VND", "KR", "178765", "473390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4074", "VND", "TW", "145295", "388965");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4075", "VND", "PL", "124320", "307750");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4076", "VND", "ZM", "17955", "102445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4077", "VND", "PR", "43915", "412820");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4078", "VND", "CI", "23965", "99035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4079", "VND", "RO", "114205", "276330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4080", "VND", "BH", "51860", "287490");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4081", "VND", "PA", "34735", "394605");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4082", "VND", "GH", "41630", "116170");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4083", "VND", "KH", "24000", "115255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4084", "VND", "SN", "17475", "125220");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4085", "VND", "SA", "74540", "285405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4086", "VND", "RU", "74075", "236380");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4087", "VND", "UG", "17405", "91510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4088", "VND", "BR", "78980", "194735");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4089", "VND", "NI", "17370", "124690");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4090", "VND", "MG", "17575", "88390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4091", "VND", "DO", "21075", "146550");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4092", "VND", "MX", "59560", "215530");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4093", "VND", "OM", "37440", "215540");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4094", "VND", "CM", "17345", "160620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4095", "VND", "ZA", "70970", "228425");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4096", "VND", "CL", "73940", "220970");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4097", "VND", "KE", "21345", "92235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4098", "VND", "NP", "17345", "83780");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4099", "VND", "PE", "44165", "185900");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4100", "VND", "UA", "42105", "131500");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4101", "VND", "MZ", "17345", "174435");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4102", "VND", "TZ", "2190", "40030");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4103", "VND", "AO", "38465", "100290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4104", "VND", "JO", "28365", "134700");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4105", "VND", "ZW", "17435", "95590");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4106", "VND", "TR", "45180", "123620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4107", "VND", "MU", "23140", "79070");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4108", "VND", "SV", "17345", "95775");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4109", "VND", "TH", "67775", "213265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4110", "VND", "CO", "34375", "133035");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4111", "VND", "LK", "16690", "23055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4112", "VND", "CR", "20955", "139205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4113", "VND", "AR", "46810", "126790");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4114", "VND", "MA", "20905", "82055");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4115", "VND", "MY", "59320", "218145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4116", "VND", "KZ", "25370", "92865");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4117", "VND", "DZ", "20800", "44030");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4118", "VND", "ID", "52930", "196355");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4119", "VND", "NG", "29750", "188200");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4120", "VND", "GT", "20845", "147390");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4121", "VND", "VN", "43305", "164120");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4122", "VND", "BY", "20335", "79160");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4123", "VND", "EG", "27425", "167505");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4124", "VND", "UY", "21620", "99635");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4125", "VND", "BD", "17800", "39405");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4126", "VND", "PK", "19515", "112330");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4127", "VND", "PH", "33795", "124710");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4128", "VND", "ET", "5420", "41305");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4129", "VND", "TN", "20820", "37725");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4130", "VND", "LB", "21020", "62835");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4131", "VND", "IN", "19380", "87540");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4132", "VND", "PY", "20830", "66985");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4133", "VND", "UZ", "20845", "40665");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4134", "VND", "EC", "20250", "69470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4135", "VND", "MM", "20850", "22770");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4136", "VND", "GE", "20915", "26650");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4137", "ZAR", "US", "330", "935");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4138", "ZAR", "CH", "310", "815");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4139", "ZAR", "AU", "280", "720");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4140", "ZAR", "GB", "245", "630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4141", "ZAR", "DE", "245", "620");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4142", "ZAR", "DK", "225", "555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4143", "ZAR", "AT", "165", "510");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4144", "ZAR", "NO", "185", "515");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4145", "ZAR", "CA", "205", "630");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4146", "ZAR", "NL", "220", "555");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4147", "ZAR", "SE", "175", "475");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4148", "ZAR", "IE", "175", "455");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4149", "ZAR", "BE", "160", "470");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4150", "ZAR", "FI", "120", "360");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4151", "ZAR", "FR", "150", "395");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4152", "ZAR", "NZ", "150", "440");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4153", "ZAR", "HK", "135", "385");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4154", "ZAR", "CZ", "130", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4155", "ZAR", "SK", "125", "265");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4156", "ZAR", "AE", "115", "365");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4157", "ZAR", "SG", "150", "445");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4158", "ZAR", "IL", "130", "325");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4159", "ZAR", "KW", "60", "290");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4160", "ZAR", "IT", "90", "235");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4161", "ZAR", "JP", "115", "320");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4162", "ZAR", "ES", "90", "245");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4163", "ZAR", "VE", "10", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4164", "ZAR", "HU", "80", "180");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4165", "ZAR", "PT", "80", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4166", "ZAR", "GR", "95", "195");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4167", "ZAR", "KR", "120", "315");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4168", "ZAR", "TW", "95", "255");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4169", "ZAR", "PL", "80", "205");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4170", "ZAR", "ZM", "10", "70");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4171", "ZAR", "PR", "30", "275");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4172", "ZAR", "CI", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4173", "ZAR", "RO", "75", "185");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4174", "ZAR", "BH", "35", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4175", "ZAR", "PA", "25", "260");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4176", "ZAR", "GH", "30", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4177", "ZAR", "KH", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4178", "ZAR", "SN", "10", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4179", "ZAR", "SA", "50", "190");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4180", "ZAR", "RU", "50", "155");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4181", "ZAR", "UG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4182", "ZAR", "BR", "50", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4183", "ZAR", "NI", "10", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4184", "ZAR", "MG", "10", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4185", "ZAR", "DO", "15", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4186", "ZAR", "MX", "40", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4187", "ZAR", "OM", "25", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4188", "ZAR", "CM", "10", "105");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4189", "ZAR", "ZA", "45", "150");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4190", "ZAR", "CL", "50", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4191", "ZAR", "KE", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4192", "ZAR", "NP", "10", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4193", "ZAR", "PE", "30", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4194", "ZAR", "UA", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4195", "ZAR", "MZ", "10", "115");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4196", "ZAR", "TZ", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4197", "ZAR", "AO", "25", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4198", "ZAR", "JO", "20", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4199", "ZAR", "ZW", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4200", "ZAR", "TR", "30", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4201", "ZAR", "MU", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4202", "ZAR", "SV", "10", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4203", "ZAR", "TH", "45", "140");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4204", "ZAR", "CO", "25", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4205", "ZAR", "LK", "10", "15");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4206", "ZAR", "CR", "15", "90");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4207", "ZAR", "AR", "30", "85");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4208", "ZAR", "MA", "15", "55");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4209", "ZAR", "MY", "40", "145");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4210", "ZAR", "KZ", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4211", "ZAR", "DZ", "15", "30");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4212", "ZAR", "ID", "35", "130");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4213", "ZAR", "NG", "20", "125");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4214", "ZAR", "GT", "15", "95");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4215", "ZAR", "VN", "30", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4216", "ZAR", "BY", "15", "50");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4217", "ZAR", "EG", "20", "110");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4218", "ZAR", "UY", "15", "65");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4219", "ZAR", "BD", "10", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4220", "ZAR", "PK", "15", "75");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4221", "ZAR", "PH", "20", "80");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4222", "ZAR", "ET", "5", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4223", "ZAR", "TN", "15", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4224", "ZAR", "LB", "15", "40");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4225", "ZAR", "IN", "15", "60");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4226", "ZAR", "PY", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4227", "ZAR", "UZ", "15", "25");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4228", "ZAR", "EC", "15", "45");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4229", "ZAR", "MM", "15", "20");
INSERT INTO `wp_sa_gla_budget_recommendations` VALUES("4230", "ZAR", "GE", "15", "20");

/* INSERT TABLE DATA: wp_sa_jet_cct_testimonial */
INSERT INTO `wp_sa_jet_cct_testimonial` VALUES("1", "publish", "محسن شمس", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است", "a:2:{s:2:\"id\";i:531;s:3:\"url\";s:65:\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/23.png\";}", "4", "1", "2023-07-05 08:45:41", "2023-07-05 08:45:41", "مدیر هولدینگ سین");
INSERT INTO `wp_sa_jet_cct_testimonial` VALUES("2", "publish", "غزاله مرادی", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است", "a:2:{s:2:\"id\";i:532;s:3:\"url\";s:65:\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/22.png\";}", "5", "1", "2023-07-05 08:46:40", "2023-07-05 08:46:40", "مدیر فروش شرکت صاد");
INSERT INTO `wp_sa_jet_cct_testimonial` VALUES("3", "publish", "سینا رحمتی ", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است", "a:2:{s:2:\"id\";i:535;s:3:\"url\";s:65:\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/21.png\";}", "3", "1", "2023-07-05 08:47:51", "2023-07-05 08:47:51", "مدیرعامل شرکت الف");

/* INSERT TABLE DATA: wp_sa_jet_post_types */
INSERT INTO `wp_sa_jet_post_types` VALUES("3", "testimonial", "content-type", NULL, "a:20:{s:10:\"has_single\";b:0;s:12:\"create_index\";b:0;s:16:\"rest_get_enabled\";b:0;s:16:\"rest_put_enabled\";b:0;s:17:\"rest_post_enabled\";b:0;s:19:\"rest_delete_enabled\";b:0;s:16:\"hide_field_names\";b:0;s:4:\"name\";s:26:\"نظرات مشتریان \";s:4:\"slug\";s:11:\"testimonial\";s:8:\"position\";i:59;s:4:\"icon\";s:19:\"dashicons-list-view\";s:10:\"capability\";s:14:\"manage_options\";s:17:\"related_post_type\";s:0:\"\";s:23:\"related_post_type_title\";s:0:\"\";s:25:\"related_post_type_content\";s:0:\"\";s:15:\"rest_get_access\";s:0:\"\";s:15:\"rest_put_access\";s:10:\"edit_posts\";s:16:\"rest_post_access\";s:10:\"edit_posts\";s:18:\"rest_delete_access\";s:10:\"edit_posts\";s:13:\"admin_columns\";a:11:{s:3:\"_ID\";a:4:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:1;s:6:\"is_num\";b:0;s:6:\"prefix\";s:1:\"#\";}s:18:\"cct_single_post_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:13:\"cct_author_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:11:\"cct_created\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:12:\"cct_modified\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:10:\"cct_status\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:16:\"name_testimonial\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:19:\"content_testimonial\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:15:\"img_testimonial\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:17:\"stars_testimonial\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:17:\"actor_testimonial\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}}}", "a:5:{i:0;a:9:{s:5:\"title\";s:28:\"نام نویسنده نظر\";s:4:\"name\";s:16:\"name_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:7089;s:8:\"isNested\";b:0;s:11:\"default_val\";s:15:\"مثلا علی\";}i:1;a:8:{s:5:\"title\";s:13:\"متن نظر\";s:4:\"name\";s:19:\"content_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:6560;s:8:\"isNested\";b:0;}i:2;a:9:{s:5:\"title\";s:17:\"عکس کاربر\";s:4:\"name\";s:15:\"img_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:5:\"media\";s:2:\"id\";i:3386;s:8:\"isNested\";b:0;s:12:\"value_format\";s:4:\"both\";}i:3;a:10:{s:5:\"title\";s:30:\"ستاره امتیاز دهی\";s:4:\"name\";s:17:\"stars_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:1996;s:8:\"isNested\";b:0;s:9:\"min_value\";s:1:\"1\";s:9:\"max_value\";s:1:\"5\";}i:4;a:8:{s:5:\"title\";s:14:\"سمت شخص \";s:4:\"name\";s:17:\"actor_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:8289;s:8:\"isNested\";b:0;}}");
INSERT INTO `wp_sa_jet_post_types` VALUES("4", NULL, "query", "a:1:{s:4:\"name\";s:43:\"کوئری محصولات تخفیف دار\";}", "a:9:{s:10:\"query_type\";s:16:\"wc-product-query\";s:16:\"wc-product-query\";a:5:{s:14:\"specific_query\";a:0:{}s:10:\"date_query\";a:0:{}s:8:\"paginate\";b:1;s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:0:{}}s:26:\"__dynamic_wc-product-query\";a:4:{s:10:\"date_query\";a:0:{}s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:0:{}s:7:\"include\";s:49:\"%wc_products_on_sale%{\"context\":\"default_object\"}\";}s:12:\"show_preview\";b:0;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";N;s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_sa_jet_post_types` VALUES("5", NULL, "query", "a:1:{s:4:\"name\";s:50:\"کوئری دسته های والد محصولات\";}", "a:9:{s:10:\"query_type\";s:5:\"terms\";s:5:\"terms\";a:2:{s:10:\"meta_query\";a:0:{}s:8:\"taxonomy\";a:1:{i:0;s:11:\"product_cat\";}}s:15:\"__dynamic_terms\";a:1:{s:10:\"meta_query\";a:0:{}}s:12:\"show_preview\";b:0;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";N;s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_sa_jet_post_types` VALUES("6", NULL, "query", "a:1:{s:4:\"name\";s:36:\"کوئری محصولات مرتبط\";}", "a:9:{s:10:\"query_type\";s:16:\"wc-product-query\";s:16:\"wc-product-query\";a:7:{s:14:\"specific_query\";a:0:{}s:10:\"date_query\";a:0:{}s:8:\"paginate\";b:1;s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:1:{i:0;a:4:{s:3:\"_id\";i:776295;s:9:\"collapsed\";b:0;s:8:\"taxonomy\";s:11:\"product_cat\";s:5:\"field\";s:7:\"term_id\";}}s:6:\"status\";a:1:{i:0;s:3:\"any\";}s:5:\"limit\";s:1:\"5\";}s:26:\"__dynamic_wc-product-query\";a:4:{s:10:\"date_query\";a:0:{}s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:1:{i:776295;a:1:{s:5:\"terms\";s:55:\"%current_terms|product_cat%{\"context\":\"default_object\"}\";}}s:7:\"exclude\";s:40:\"%current_id%{\"context\":\"default_object\"}\";}s:12:\"show_preview\";b:0;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";N;s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_sa_jet_post_types` VALUES("7", NULL, "query", "a:1:{s:4:\"name\";s:47:\"کوئری محصولات صفحات آرشیو\";}", "a:9:{s:10:\"query_type\";s:16:\"wc-product-query\";s:16:\"wc-product-query\";a:7:{s:14:\"specific_query\";a:0:{}s:10:\"date_query\";a:0:{}s:8:\"paginate\";b:1;s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:1:{i:0;a:4:{s:3:\"_id\";i:479186;s:9:\"collapsed\";b:0;s:8:\"taxonomy\";s:11:\"product_cat\";s:5:\"field\";s:7:\"term_id\";}}s:6:\"status\";a:1:{i:0;s:3:\"any\";}s:5:\"limit\";s:2:\"12\";}s:26:\"__dynamic_wc-product-query\";a:3:{s:10:\"date_query\";a:0:{}s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:1:{i:479186;a:1:{s:5:\"terms\";s:42:\"%queried_term%{\"context\":\"default_object\"}\";}}}s:12:\"show_preview\";b:0;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";N;s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_sa_jet_post_types` VALUES("8", NULL, "query", "a:1:{s:4:\"name\";s:34:\"کوئری فروشنده برتر\";}", "a:9:{s:10:\"query_type\";s:3:\"sql\";s:3:\"sql\";a:7:{s:11:\"join_tables\";a:0:{}s:5:\"where\";a:0:{}s:7:\"orderby\";a:0:{}s:9:\"calc_cols\";a:0:{}s:13:\"advanced_mode\";b:1;s:12:\"manual_query\";s:2087:\"SELECT \n    seller_id,\n    meta_store_name.meta_value AS seller_name,\n    sales_count,\n    meta_profile.meta_value AS profile_image,\n    meta_store.meta_value AS store_link,\n    SUBSTRING_INDEX(meta_desc.meta_value, \' \', 10) AS store_description, -- Limit to 10 words\n    meta_membership.meta_value AS duration_of_membership,\n    meta_privilege.meta_value AS privilege_seller,\n    meta_return_rate.meta_value AS return_rate,\n    meta_successful_submission.meta_value AS successful_submission,\n    meta_cancel_order.meta_value AS cancel_the_order\nFROM (\n    SELECT \n        seller_id,\n        COUNT(order_id) AS sales_count\n    FROM \n        {prefix}dokan_orders AS do\n    GROUP BY \n        seller_id\n    ORDER BY \n        sales_count DESC\n    LIMIT 1\n) AS top_seller\nLEFT JOIN {prefix}usermeta AS meta_store_name ON top_seller.seller_id = meta_store_name.user_id AND meta_store_name.meta_key = \'dokan_store_name\'\nLEFT JOIN {prefix}usermeta AS meta_profile ON top_seller.seller_id = meta_profile.user_id AND meta_profile.meta_key = \'profile_image_meta_key\'\nLEFT JOIN {prefix}usermeta AS meta_store ON top_seller.seller_id = meta_store.user_id AND meta_store.meta_key = \'store_link_meta_key\'\nLEFT JOIN {prefix}usermeta AS meta_desc ON top_seller.seller_id = meta_desc.user_id AND meta_desc.meta_key = \'description\'\nLEFT JOIN {prefix}usermeta AS meta_membership ON top_seller.seller_id = meta_membership.user_id AND meta_membership.meta_key = \'duration-of-membership\'\nLEFT JOIN {prefix}usermeta AS meta_privilege ON top_seller.seller_id = meta_privilege.user_id AND meta_privilege.meta_key = \'privilege-seller\'\nLEFT JOIN {prefix}usermeta AS meta_return_rate ON top_seller.seller_id = meta_return_rate.user_id AND meta_return_rate.meta_key = \'return-rate\'\nLEFT JOIN {prefix}usermeta AS meta_successful_submission ON top_seller.seller_id = meta_successful_submission.user_id AND meta_successful_submission.meta_key = \'successful-submission\'\nLEFT JOIN {prefix}usermeta AS meta_cancel_order ON top_seller.seller_id = meta_cancel_order.user_id AND meta_cancel_order.meta_key = \'cancel-the-order\'\";s:15:\"default_columns\";a:11:{i:0;s:9:\"seller_id\";i:1;s:11:\"seller_name\";i:2;s:11:\"sales_count\";i:3;s:13:\"profile_image\";i:4;s:10:\"store_link\";i:5;s:17:\"store_description\";i:6;s:22:\"duration_of_membership\";i:7;s:16:\"privilege_seller\";i:8;s:11:\"return_rate\";i:9;s:21:\"successful_submission\";i:10;s:16:\"cancel_the_order\";}}s:13:\"__dynamic_sql\";a:2:{s:11:\"join_tables\";a:0:{}s:5:\"where\";a:0:{}}s:12:\"show_preview\";b:0;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";N;s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_sa_jet_post_types` VALUES("15", "compare", "data-store", "a:1:{s:4:\"name\";s:12:\"مقایسه\";}", "a:8:{s:4:\"type\";s:7:\"cookies\";s:4:\"size\";i:9999;s:11:\"count_posts\";b:1;s:7:\"is_user\";b:0;s:13:\"store_on_view\";b:0;s:12:\"on_post_type\";s:0:\"\";s:6:\"is_cct\";b:0;s:11:\"related_cct\";s:0:\"\";}", NULL);
INSERT INTO `wp_sa_jet_post_types` VALUES("16", "favorites", "data-store", "a:1:{s:4:\"name\";s:16:\"علاقمندی\";}", "a:8:{s:4:\"type\";s:7:\"cookies\";s:4:\"size\";i:9999;s:11:\"count_posts\";b:1;s:7:\"is_user\";b:0;s:13:\"store_on_view\";b:0;s:12:\"on_post_type\";s:0:\"\";s:6:\"is_cct\";b:0;s:11:\"related_cct\";s:0:\"\";}", NULL);

/* INSERT TABLE DATA: wp_sa_jet_taxonomies */
INSERT INTO `wp_sa_jet_taxonomies` VALUES("1", "pa_brand", "a:1:{i:0;s:7:\"product\";}", "built-in", "a:0:{}", "a:3:{s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:17:\"show_in_nav_menus\";b:1;}", "a:0:{}");

/* INSERT TABLE DATA: wp_sa_mailpoet_migrations */
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("1", "Migration_20221028_105818", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("2", "Migration_20221110_151621", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("3", "Migration_20230109_144830", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("4", "Migration_20230111_120000", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("5", "Migration_20230111_130000", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("6", "Migration_20230131_121621", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("7", "Migration_20230215_050813", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("8", "Migration_20230221_200520", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("9", "Migration_20230419_080000", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("10", "Migration_20230421_135915", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("11", "Migration_20230425_211517", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("12", "Migration_20230503_210945", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);
INSERT INTO `wp_sa_mailpoet_migrations` VALUES("13", "Migration_20230605_174836", "2023-07-02 13:59:45", "2023-07-02 13:59:45", "0", NULL);

/* INSERT TABLE DATA: wp_sa_mailpoet_newsletter_option_fields */
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("1", "isScheduled", "standard", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("2", "scheduledAt", "standard", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("3", "event", "welcome", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("4", "segment", "welcome", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("5", "role", "welcome", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("6", "afterTimeNumber", "welcome", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("7", "afterTimeType", "welcome", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("8", "intervalType", "notification", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("9", "timeOfDay", "notification", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("10", "weekDay", "notification", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("11", "monthDay", "notification", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("12", "nthWeekDay", "notification", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("13", "schedule", "notification", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("14", "group", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("15", "group", "automation", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("16", "group", "automation_transactional", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("17", "event", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("18", "event", "automation", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("19", "event", "automation_transactional", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("20", "sendTo", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("21", "segment", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("22", "afterTimeNumber", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("23", "afterTimeType", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("24", "meta", "automatic", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("25", "afterTimeNumber", "re_engagement", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("26", "afterTimeType", "re_engagement", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("27", "automationId", "automation", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_option_fields` VALUES("28", "automationStepId", "automation", NULL, "2023-07-02 13:59:45");

/* INSERT TABLE DATA: wp_sa_mailpoet_newsletter_templates */
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("1", "0", "Welcome Email: Blank 1 Column", "[\"welcome\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Hi, new subscriber!<\\/strong><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>[subscriber:firstname | default:Subscriber],<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>You recently joined our list and we\'d like to give you a warm welcome!<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>Want to get to know us better? Check out some of our most popular articles: <\\/p>\\n<ol>\\n<li><a href=\\\"https:\\/\\/www.mailpoet.com\\/blog\\/the-importance-of-focus-when-writing\\/\\\">The Importance of Focus When Writing<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.mailpoet.com\\/blog\\/writing-next-great-email-subject-line\\/\\\">How to Write a Great Subject Line<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.mailpoet.com\\/blog\\/write-advice-motivation\\/\\\">Just Sit Down and Write &ndash; Advice on Motivation from Ernest Hemingway<\\/a><\\/li>\\n<\\/ol>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"https:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"https:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/welcome-email-blank-1-column/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("2", "0", "Welcome Email: Blank 1:2 Column", "[\"welcome\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Hi, new subscriber!<\\/strong><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>[subscriber:firstname | default:Subscriber],<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>You recently joined our list and we\'d like to give you a warm welcome!<\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>Our Most Popular Posts<\\/h3>\"},{\"type\":\"text\",\"text\":\"<ul>\\n<li><a href=\\\"https:\\/\\/www.mailpoet.com\\/blog\\/the-importance-of-focus-when-writing\\/\\\">The Importance of Focus When Writing<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.mailpoet.com\\/blog\\/writing-next-great-email-subject-line\\/\\\">How to Write a Great Subject Line<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.mailpoet.com\\/blog\\/write-advice-motivation\\/\\\">Just Sit Down and Write &ndash; Advice on Motivation from Ernest Hemingway<\\/a><\\/li>\\n<\\/ul>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>What\'s Next?<\\/h3>\"},{\"type\":\"text\",\"text\":\"<p>Add a single button to your newsletter in order to have one clear call-to-action, which will increase your click rates.<\\/p>\"},{\"type\":\"button\",\"text\":\"Read up!\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"https:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"https:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/welcome-email-blank-1-2-column/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("3", "0", "Gift Welcome", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/gift\\/Gift-Header-1.jpg\",\"alt\":\"Gift-Header-1\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"920px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#e7e7e7\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #dd2d2d;\\\">We\'re so happy you\'re onboard!<\\/span><\\/h2>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra. Pellentesque in interdum eros, a venenatis velit. Fusce finibus convallis augue, ut viverra felis placerat in. <\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Curabitur et commodo ipsum. Mauris tellus metus, tristique vel sollicitudin ut, malesuada in augue. Aliquam ultricies purus vel commodo vehicula.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get Started\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#dd2d2d\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/gift\\/Gift-Footer.jpg\",\"alt\":\"Gift-Footer\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"920px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px; text-align: center;\\\"><span style=\\\"color: #808080;\\\"><strong>Address Line 1<\\/strong><\\/span><\\/p>\\n<p style=\\\"font-size: 11px; text-align: center;\\\"><span style=\\\"color: #808080;\\\"><strong>Address Line 2<\\/strong><\\/span><\\/p>\\n<p style=\\\"font-size: 11px; text-align: center;\\\"><span style=\\\"color: #808080;\\\"><strong>City<\\/strong><\\/span><\\/p>\\n<p style=\\\"font-size: 11px; text-align: center;\\\"><span style=\\\"color: #808080;\\\"><strong>Country<\\/strong><\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"5.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 11px;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><span>&nbsp;|&nbsp;<\\/span><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#dd2d2d\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/gift/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("4", "0", "Minimal", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"29px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#303c54\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/minimal\\/Minimal-Logo1.png\",\"alt\":\"Minimal-Logo1\",\"fullWidth\":false,\"width\":\"590px\",\"height\":\"93px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"80px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><span style=\\\"color: #8b9cbc;\\\">EST.2009<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"41px\"}}},{\"type\":\"text\",\"text\":\"<h2>Welcome to Minimal, Kim.<\\/h2>\"},{\"type\":\"text\",\"text\":\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra. Pellentesque in interdum eros, a venenatis velit. Fusce finibus convallis augue, ut viverra felis placerat in. Curabitur et commodo ipsum. Mauris tellus metus, tristique vel sollicitudin ut, malesuada in augue. Aliquam ultricies purus vel commodo vehicula. Cras sollicitudin nunc facilisis neque tristique sagittis.<\\/p>\\n<p><\\/p>\\n<p>Maecenas iaculis, lacus malesuada dictum dapibus, justo justo molestie lorem, ac dapibus magna urna vel arcu. Aliquam erat volutpat. Sed bibendum, ipsum sed ullamcorper blandit, eros odio interdum nibh, non venenatis metus lacus vitae lectus.<\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"30px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"2px\",\"borderColor\":\"#d9d9d9\"}}},{\"type\":\"text\",\"text\":\"<h2>Some of our recent stories<\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/minimal\\/plasma-stingray111-800x533.jpg\",\"alt\":\"plasma-stingray111-800x533\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"533px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>Story Title Goes Here<\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra.<\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><strong><a href=\\\"https:\\/\\/wordpress.org\\/\\\">Read More<\\/a><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/minimal\\/gettyimages-578313682-800x533.jpg\",\"alt\":\"gettyimages-578313682-800x533\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"533px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>Story Title Goes Here<\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra.<\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><strong><a href=\\\"https:\\/\\/wordpress.org\\/\\\">Read More<\\/a><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/minimal\\/5_what_to_do_p352m1141746-800x533.jpg\",\"alt\":\"5_what_to_do_p352m1141746-800x533\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"533px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>Story Title Goes Here<\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra.<\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><strong><a href=\\\"https:\\/\\/wordpress.org\\/\\\">Read More<\\/a><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f3f3f3\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"47px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/minimal\\/Minimal-Logo-Small.png\",\"alt\":\"Minimal-Logo-Small\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"23px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #808080;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #808080;\\\">Unsubscribe<\\/a><\\/span><\\/p>\\n<p><span style=\\\"color: #808080;\\\"><a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #808080;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #999999;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f3f3f3\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Georgia\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Georgia\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Georgia\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Georgia\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#303c54\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"30px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"2px\",\"borderColor\":\"#d9d9d9\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"29px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/minimal/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("5", "0", "New Phone Purchase", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1b1821\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/phone\\/Phone-Logo.png\",\"alt\":\"Phone-Logo\",\"fullWidth\":true,\"width\":\"122px\",\"height\":\"23px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1b1821\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/phone\\/Phone-Title.png\",\"alt\":\"Phone-Title\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"215px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/phone\\/Phone-Header.jpg\",\"alt\":\"Phone-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"920px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Welcome to your brand new Casia 7200.<\\/strong><\\/span><\\/h3>\\n<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #8748d5;\\\">Let\'s get you all set up.<\\/span><\\/strong><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra. Pellentesque in interdum eros, a venenatis velit. Fusce finibus convallis augue, ut viverra felis placerat in.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get Started\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#8748d5\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"159px\",\"lineHeight\":\"45px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#2c2c2c\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px; text-align: left;\\\"><span style=\\\"color: #999999;\\\">Address Line 1<\\/span><\\/p>\\n<p style=\\\"font-size: 11px; text-align: left;\\\"><span style=\\\"color: #999999;\\\">Address Line 2<\\/span><\\/p>\\n<p style=\\\"font-size: 11px; text-align: left;\\\"><span style=\\\"color: #999999;\\\">City<\\/span><\\/p>\\n<p style=\\\"font-size: 11px; text-align: left;\\\"><span style=\\\"color: #999999;\\\">Country<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/phone\\/Phone-Logo.png\",\"alt\":\"Phone-Logo\",\"fullWidth\":false,\"width\":\"122px\",\"height\":\"23px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"pinterest\",\"link\":\"http:\\/\\/www.pinterest.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Pinterest.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Pinterest\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right; font-size: 11px;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><\\/p>\\n<p style=\\\"text-align: right; font-size: 11px;\\\"><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#8748d5\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#1b1821\"},\"body\":{\"backgroundColor\":\"#1b1821\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/phone/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("6", "0", "Sunglasses", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/sunglasses\\/Glasses-Logo.jpg\",\"alt\":\"Glasses-Logo\",\"fullWidth\":false,\"width\":\"250px\",\"height\":\"66px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"padding\":\"17px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#f8b849\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/sunglasses\\/Glasses-Header-2.jpg\",\"alt\":\"Glasses-Header-2\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"116px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>Here\'s what we sent you<\\/strong><\\/span><\\/h3>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/sunglasses\\/Glasses-Images-1.jpg\",\"alt\":\"Glasses-Images-1\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"650px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Choose These Frames\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8b849\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"195px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/sunglasses\\/Glasses-Images-2.jpg\",\"alt\":\"Glasses-Images-2\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"650px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Choose These Frames\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8b849\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"195px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/sunglasses\\/Glasses-Images-3.jpg\",\"alt\":\"Glasses-Images-3\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"650px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Choose These Frames\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8b849\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"195px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"padding\":\"34.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#f8b849\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/sunglasses\\/Glasses-Header.jpg\",\"alt\":\"Glasses-Header\",\"fullWidth\":true,\"width\":\"640px\",\"height\":\"920px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Our Summer Range Is Here<\\/strong><\\/h3>\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex pulvinar molestie. Sed pulvinar placerat justo eu viverra. Pellentesque in interdum eros, a venenatis velit.<\\/p>\\n<p><\\/p>\\n<p>Fusce finibus convallis augue, ut viverra felis placerat in. Curabitur et commodo ipsum. Mauris tellus metus, tristique vel sollicitudin ut, malesuada in augue.&nbsp;<\\/p>\"},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8b849\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"137px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"padding\":\"34.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#f8b849\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>Got any questions or need some help?<\\/strong><\\/span><\\/h2>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">We\'re just a click or a phone call away.<\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><\\/span><\\/p>\\n<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>Call Us:<\\/strong> 08856877854<\\/span><\\/h3>\\n<h3 style=\\\"text-align: center;\\\"><\\/h3>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"padding\":\"23.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#f8b849\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}]},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 11px;\\\"><strong><span style=\\\"color: #808080;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #808080;\\\">Unsubscribe<\\/a>&nbsp;|&nbsp;<a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #808080;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/><span style=\\\"color: #808080;\\\">Add your postal address here!<\\/span><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/sunglasses/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("7", "0", "Real Estate", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#8691be\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/real-estate\\/Property-Logo-1-150x84.jpg\",\"alt\":\"Property-Logo-1\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"84px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#8691be\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">TAKING&nbsp;THE WORRY OUT OF REAL ESTATE<\\/span><\\/strong><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Welcome Home<\\/span><\\/h1>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/real-estate\\/Property-Header.jpg\",\"alt\":\"Property-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"782px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\">We\'re here to help you move<\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/real-estate\\/Property-Icon-1.png\",\"alt\":\"Property-Icon-1\",\"fullWidth\":false,\"width\":\"48px\",\"height\":\"48px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/real-estate\\/Property-Icon-2.png\",\"alt\":\"Property-Icon-2\",\"fullWidth\":false,\"width\":\"48px\",\"height\":\"48px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/real-estate\\/Property-Icon-3.png\",\"alt\":\"Property-Icon-3\",\"fullWidth\":false,\"width\":\"48px\",\"height\":\"48px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur nec nisi quis ex.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"22.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#8691be\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">We\'d love to keep you updated with our latest news. <\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Sign up to our newsletter now and you\'ll never miss a thing.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Sign Up Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#8691be\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"24px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#6a7087\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #ffffff;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #ffffff;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #ffffff;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/><span style=\\\"color: #ffffff;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#6a7087\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/real-estate/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("8", "0", "App Welcome", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#32b6c6\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/app_welcome\\/App-Signup-Logo-1.png\",\"alt\":\"App-Signup-Logo\",\"fullWidth\":false,\"width\":\"80px\",\"height\":\"80px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center; margin: 0;\\\"><strong>Welcome to Appy<\\/strong><\\/h1><p style=\\\"text-align: center; margin: 0;\\\"><span style=\\\"color: #ffffff;\\\">Let\'s get started!<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/app_welcome\\/App-Signup-Header.png\",\"alt\":\"App-Signup-Header\",\"fullWidth\":false,\"width\":\"1280px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Hi [subscriber:firstname | default:subscriber],<\\/p>\\n                                  <p style=\\\"text-align: center;\\\"><\\/p>\\n                                  <p style=\\\"text-align: center;\\\">In MailPoet, you can write emails in plain text, just like in a regular email. This can make your email newsletters more personal and attention-grabbing.<\\/p>\\n                                  <p style=\\\"text-align: center;\\\"><\\/p>\\n                                  <p style=\\\"text-align: center;\\\">Is this too simple? You can still style your text with basic formatting, like <strong>bold<\\/strong> or <em>italics.<\\/em><\\/p>\\n                                  <p style=\\\"text-align: center;\\\"><\\/p>\\n                                  <p style=\\\"text-align: center;\\\">Finally, you can also add a call-to-action button between 2 blocks of text, like this:<\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}},{\"type\":\"button\",\"text\":\"Get Started Here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#32b6c6\",\"borderColor\":\"#32b6c6\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"188px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/app_welcome\\/App-Signup-Team.jpg\",\"alt\":\"App-Signup-Team\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/app_welcome\\/App-Signup-Logo-Footer.png\",\"alt\":\"App-Signup-Logo-Footer\",\"fullWidth\":false,\"width\":\"50px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\"><strong>Appy<\\/strong><\\/p>\\n                                <p style=\\\"text-align: center; font-size: 12px;\\\"><span>Address Line 1<\\/span><\\/p>\\n                                <p style=\\\"text-align: center; font-size: 12px;\\\"><span>Address Line 2<\\/span><\\/p>\\n                                <p style=\\\"text-align: center; font-size: 12px;\\\"><span>City<\\/span><\\/p>\\n                                <p style=\\\"text-align: center; font-size: 12px;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><span> | <\\/span><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#404040\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#404040\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#32b6c6\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#32b6c6\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/app_welcome/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("9", "0", "Welcome to FoodBox", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f4f4f4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/food_box\\/Food-Delivery-Logo.png\",\"alt\":\"Food-Delivery-Logo\",\"fullWidth\":false,\"width\":\"640px\",\"height\":\"180px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/food_box\\/Food-Delivery-App.png\",\"alt\":\"Food-Delivery-App\",\"fullWidth\":false,\"width\":\"640px\",\"height\":\"180px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h1><strong>Welcome to FoodBox<\\/strong><\\/h1>\\n                                  <h2><strong>Lorem ipsum dolor sit amet<\\/strong><\\/h2>\\n                                  <p>Curabitur sollicitudin eros eu cursus sollicitudin. Suspendisse laoreet sollicitudin urna, ut lacinia risus dictum a. Integer a neque eu magna commodo sodales eu eget ante.<\\/p>\"},{\"type\":\"button\",\"text\":\"Get Started\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#7cc119\",\"borderColor\":\"#7cc119\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/food_box\\/Food-Delivery-Focus.jpg\",\"alt\":\"Food-Delivery-Focus\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"31.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#e5e5e5\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\">Get started in 3 simple steps<\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/food_box\\/Food-Delivery-1-1.png\",\"alt\":\"Food-Delivery-1\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"250px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur sollicitudin eros eu cursus sollicitudin.<\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/food_box\\/Food-Delivery-2-1.png\",\"alt\":\"Food-Delivery-2\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"250px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur sollicitudin eros eu cursus sollicitudin.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/food_box\\/Food-Delivery-3-1.png\",\"alt\":\"Food-Delivery-3\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"250px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur sollicitudin eros eu cursus sollicitudin.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"button\",\"text\":\"Get Started\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#7cc119\",\"borderColor\":\"#7cc119\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#4599da\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 14px;\\\"><strong><span style=\\\"color: #ffffff;\\\">Link 1 - Link 2 - Link 3 - Link 4<\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"24px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#4599da\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f4f4f4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\"},\"h1\":{\"fontColor\":\"#4599da\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#878787\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"link\":{\"fontColor\":\"#4599da\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f4f4f4\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/food_box/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("10", "0", "Poet", "[\"welcome\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ebebeb\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ebebeb\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#909090\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"144px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Logo.png\",\"alt\":\"Poet-Logo\",\"fullWidth\":false,\"width\":\"166px\",\"height\":\"144px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1>Thanks for signing up!<\\/h1>\\n    <p><span style=\\\"color: #000000;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"66px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 12px;\\\"><span style=\\\"color: #999999;\\\"><strong>Latest p<\\/strong><\\/span><\\/p>\\n    <h2><strong>The 26th of December<\\/strong><\\/h2>\\n    <h3><span>A Tuesday, day of Tiw,<\\/span><br \\/><span>god of war, dawns in darkness.<\\/span><br \\/><span>The short holiday day of talking by the fire,<\\/span><br \\/><span>floating on snowshoes among<\\/span><br \\/><span>ancient self-pollarded maples,<\\/span><br \\/><span>visiting, being visited, giving<\\/span><br \\/><span>a rain gauge, receiving red socks,<\\/span><br \\/><span>watching snow buntings nearly over<\\/span><br \\/><span>their heads in snow stab at spirtled bits<\\/span><br \\/><span>of sunflower seeds the chickadees<\\/span><br \\/><span>hold with their feet to a bough<\\/span><br \\/><span>and hack apart, scattering debris<\\/span><br \\/><span>like sloppy butchers, is over.<\\/span><br \\/><span>Irregular life begins. Telephone calls,<\\/span><br \\/><span>Google searches, evasive letters,<\\/span><br \\/><span>complicated arrangements, faxes,<\\/span><br \\/><span>second thoughts, consultations,<\\/span><br \\/><span>e-mails, solemnly given kisses.<\\/span><\\/h3>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Images-1.jpg\",\"alt\":\"Poet-Images\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"1200px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#393939\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><span style=\\\"color: #ffffff;\\\">What did you think of this poem? Let me know on one of my social media channels.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"right\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\">Poetry books<\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Books-1.png\",\"alt\":\"Poet-Books-1\",\"fullWidth\":false,\"width\":\"220px\",\"height\":\"646px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Buy online\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#393939\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Books-3.png\",\"alt\":\"Poet-Books-3\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"646px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Buy online\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#393939\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Books-2.png\",\"alt\":\"Poet-Books-2\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"646px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Buy online\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#393939\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/poet\\/Poet-Logo.png\",\"alt\":\"Poet-Logo\",\"fullWidth\":false,\"width\":\"166px\",\"height\":\"144px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#939393\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#333333\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#646464\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#393939\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"24px\"},\"h2\":{\"fontColor\":\"#393939\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"30px\"},\"h3\":{\"fontColor\":\"#646464\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\"},\"link\":{\"fontColor\":\"#393939\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ebebeb\"},\"body\":{\"backgroundColor\":\"#ebebeb\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Buy online\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#393939\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#939393\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#333333\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\",\"styles\":{\"block\":{\"textAlign\":\"right\"}}},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#909090\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/poet/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("11", "0", "Post Notifications: Blank 1 Column", "[\"notification\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"fake-logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Check Out Our New Blog Posts! <\\/strong><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>MailPoet can <span style=\\\"line-height: 1.6em; background-color: inherit;\\\"><em>automatically<\\/em> <\\/span><span style=\\\"line-height: 1.6em; background-color: inherit;\\\">send your new blog posts to your subscribers.<\\/span><\\/p>\\n<p><span style=\\\"line-height: 1.6em; background-color: inherit;\\\"><\\/span><\\/p>\\n<p><span style=\\\"line-height: 1.6em; background-color: inherit;\\\">Below, you\'ll find three recent posts, which are displayed automatically, thanks to the <em>Automatic Latest Content<\\/em> widget, which can be found in the right sidebar, under <em>Content<\\/em>.<\\/span><\\/p>\\n<p><span style=\\\"line-height: 1.6em; background-color: inherit;\\\"><\\/span><\\/p>\\n<p><span style=\\\"line-height: 1.6em; background-color: inherit;\\\">To edit the settings and styles of your post, simply click on a post below.<\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read the post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/post-notifications-blank-1-column/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("12", "0", "Modular Style Stories", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/modular-style-stories\\/Modular-Logo.png\",\"alt\":\"Modular-Logo\",\"fullWidth\":false,\"width\":\"271px\",\"height\":\"37px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"26px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"pinterest\",\"link\":\"http:\\/\\/www.pinterest.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Pinterest.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Pinterest\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\",\"height\":\"40px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"1px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"120px\",\"lineHeight\":\"40px\",\"fontColor\":\"#b956c5\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"3px\",\"borderColor\":\"#efe7f0\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/ladybirds-transparent-shell-reveals-how-it-folds-its-wings\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/modular-style-stories\\/gettyimages-578313682-800x533.jpg\",\"alt\":\"Ladybird\\u2019s transparent shell reveals how it folds its wings\",\"fullWidth\":false,\"width\":660,\"height\":440,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Ladybird&rsquo;s transparent shell reveals how it folds its wings<\\/strong><\\/h3>\\n<p class=\\\"mailpoet_wp_post\\\">They certainly know how to fold. A see-through artificial wing case has been used to watch for the first time as ladybirds put away their wings after flight.<\\/p>\"},{\"type\":\"button\",\"text\":\"Read More\",\"url\":\"http:\\/\\/mailpoet.info\\/ladybirds-transparent-shell-reveals-how-it-folds-its-wings\\/\",\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"103px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/plasma-jet-engines-that-could-take-you-from-the-ground-to-space\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/modular-style-stories\\/plasma-stingray111-800x533.jpg\",\"alt\":\"Plasma jet engines that could take you from the ground to space\",\"fullWidth\":false,\"width\":660,\"height\":440,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Plasma jet engines that could take you from ground to space<\\/strong><\\/h3>\\n<p class=\\\"mailpoet_wp_post\\\">FORGET fuel-powered jet engines. We&rsquo;re on the verge of having aircraft that can fly from the ground up to the edge of space using air and electricity alone.<\\/p>\"},{\"type\":\"button\",\"text\":\"Read More\",\"url\":\"http:\\/\\/mailpoet.info\\/plasma-jet-engines-that-could-take-you-from-the-ground-to-space\\/\",\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"103px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/modular-style-stories\\/5_what_to_do_p352m1141746-800x533.jpg\",\"alt\":\"Cutting through the smog: What to do to fight air pollution\",\"fullWidth\":false,\"width\":660,\"height\":440,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Cutting through the smog: What to do to fight air pollution<\\/strong><\\/span><\\/h3>\"},{\"type\":\"button\",\"text\":\"Read More\",\"url\":\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\",\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"103px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/ladybirds-transparent-shell-reveals-how-it-folds-its-wings\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/modular-style-stories\\/gettyimages-578313682-800x533.jpg\",\"alt\":\"Ladybird\\u2019s transparent shell reveals how it folds its wings\",\"fullWidth\":false,\"width\":660,\"height\":440,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Ladybird&rsquo;s transparent shell reveals how it folds its wings<\\/strong><\\/span><\\/h3>\"},{\"type\":\"button\",\"text\":\"Read More\",\"url\":\"http:\\/\\/mailpoet.info\\/ladybirds-transparent-shell-reveals-how-it-folds-its-wings\\/\",\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"103px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/plasma-jet-engines-that-could-take-you-from-the-ground-to-space\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/modular-style-stories\\/plasma-stingray111-800x533.jpg\",\"alt\":\"Plasma jet engines that could take you from the ground to space\",\"fullWidth\":false,\"width\":660,\"height\":440,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Plasma jet engines that could take you from the ground to space<\\/strong><\\/span><\\/h3>\"},{\"type\":\"button\",\"text\":\"Read More\",\"url\":\"http:\\/\\/mailpoet.info\\/plasma-jet-engines-that-could-take-you-from-the-ground-to-space\\/\",\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"103px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b956c5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"21px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #ffffff;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #ffffff;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #ffffff;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #ffffff;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\"},\"h3\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#b956c5\"},\"body\":{\"backgroundColor\":\"#efe7f0\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"2\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":true,\"featuredImagePosition\":\"aboveTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"116px\",\"lineHeight\":\"40px\",\"fontColor\":\"#b956c5\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"3px\",\"borderColor\":\"#ffffff\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContent\",\"terms\":[],\"withLayout\":false},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"1px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"120px\",\"lineHeight\":\"40px\",\"fontColor\":\"#b956c5\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"3px\",\"borderColor\":\"#efe7f0\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"container\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":true,\"featuredImagePosition\":\"aboveTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"posts\",\"offset\":0,\"terms\":[],\"search\":\"\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"#efe7f0\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/modular-style-stories/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("13", "0", "Stripped RSS Style Layout", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f4f4f4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/rss-simple-news\\/RSS-Logo-2.png\",\"alt\":\"RSS-Logo-2\",\"fullWidth\":true,\"width\":\"210px\",\"height\":\"90px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"24px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong><span style=\\\"color: #333333;\\\">Latest RSS Simple&nbsp;Posts<\\/span><\\/strong><\\/h3>\\n<p><span style=\\\"color: #999999;\\\">Week 23: 23\\/19\\/19<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"5\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more.\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#ececec\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f4f4f4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<p><span style=\\\"color: #808080;\\\"><strong>RSS Simple<\\/strong><\\/span><\\/p>\\n<p><span style=\\\"color: #808080; font-size: 11px;\\\"><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><span>&nbsp;|&nbsp;<\\/span><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/strong><\\/span><\\/p>\\n<p><span style=\\\"color: #808080; font-size: 11px;\\\"><strong><span>Add your postal address here!<\\/span><\\/strong><\\/span><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#3478f5\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#3478f5\",\"textDecoration\":\"none\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f4f4f4\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"3\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#efe7f0\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContent\",\"terms\":[],\"withLayout\":false},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more.\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#ececec\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"container\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/rss-simple-news/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("14", "0", "One Full Post In An Email", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/not-so-medium\\/Not-So-Medium-Logo.png\",\"alt\":\"Not-So-Medium-Logo\",\"fullWidth\":false,\"width\":\"210px\",\"height\":\"90px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ebebeb\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong><em>Welcome to this week\'s post. <\\/em><\\/strong><\\/p>\\n<p><em>Every Friday, we send you the most interesting story&nbsp;of the week in full.<\\/em><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#d6d6d6\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"63px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"1\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"full\",\"titleFormat\":\"h1\",\"titleAlignment\":\"center\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"aboveText\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"aboveText\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"View this post online & share!\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ebebeb\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><em>Share this with your friends<\\/em><\\/strong><\\/p>\\n<p style=\\\"text-align: center;\\\"><em>We promise not to spam anyone, and we only send our great articles to any email addresses in our list. Promise!<\\/em><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"google-plus\",\"link\":\"http:\\/\\/plus.google.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Google-Plus.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Google Plus\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#d6d6d6\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#2c2c2c\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Georgia\",\"fontSize\":\"18px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"1\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"full\",\"titleFormat\":\"h1\",\"titleAlignment\":\"center\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"aboveText\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"aboveText\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"View this post online & share!\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"container\":{\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"63px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/not-so-medium/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("15", "0", "Wide Story Layout", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f0f0f0\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/wide-story-layout\\/Wide-Logo.png\",\"alt\":\"Wide-Logo\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"37px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #808080;\\\">Our Latest Posts<\\/span><\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read The Post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#5ecd39\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Lucida\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#f0f0f0\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"30px\",\"borderColor\":\"#f0f0f0\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/wide-story-layout\\/Wide-Footer.jpg\",\"alt\":\"Wide-Footer\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"721px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#5ecd39\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"21px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #ffffff;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #ffffff;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #ffffff;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #ffffff;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Lucida\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Lucida\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Lucida\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#5ecd39\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f0f0f0\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read The Post\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#5ecd39\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Lucida\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#f0f0f0\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"30px\",\"borderColor\":\"#f0f0f0\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read The Post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#5ecd39\",\"borderColor\":\"#000000\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Lucida\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"container\":{\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/wide-story-layout/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("16", "0", "Industry Conference", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Logo.png\",\"alt\":\"Conf-Logo\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"150px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff; font-size: 11px; text-transform: uppercase; opacity: 0.5; letter-spacing: 3px;\\\">Get ready for the biggest email conference of the year<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Header-2.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"56px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Ticket.png\",\"alt\":\"Conf-Ticket\",\"fullWidth\":false,\"width\":\"339px\",\"height\":\"177px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"font-size: 42px;\\\"><strong><span style=\\\"color: #ffffff; line-height: 1.2; position: relative; top: -5px;\\\">Email Boston 2018<\\/span><\\/strong><\\/span><\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"133px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"right\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read the post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#b8291e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"147px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Georgia\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"oldest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"4px\",\"borderColor\":\"#dddddd\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Bottom-2.png\",\"alt\":\"Conf-Bottom\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"height\":\"34px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Industry-Coupon.png\",\"display\":\"fit\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"75px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">---<\\/span><\\/h3>\\n    <h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Grab 20% off your tickets right now<\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">We\'re offering an exclusive 20% off tickets with this coupon code!<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"CouPon_Code\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#b8291e\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"3px\",\"borderRadius\":\"14px\",\"borderStyle\":\"solid\",\"width\":\"229px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"26px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"33px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"45px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Top.png\",\"alt\":\"Conf-Top\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"12px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"padding\":\"14px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"7px\",\"borderColor\":\"#e1e1e1\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Holding.jpg\",\"alt\":\"Conf-Holding\",\"fullWidth\":false,\"width\":\"1000px\",\"height\":\"667px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"46px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Check out&nbsp;this year\'s event<\\/strong><\\/h3>\\n    <p>We\'ve ramped up everything this year for our conference, including amazing new speakers and guests, and a few surprises for everyone.<\\/p>\"},{\"type\":\"button\",\"text\":\"Buy a ticket here\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#b8291e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"147px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Georgia\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"padding\":\"1.5px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"7px\",\"borderColor\":\"#e1e1e1\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/industry-conference\\/Conf-Bottom-2.png\",\"alt\":\"Conf-Bottom\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"height\":\"30px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"header\",\"text\":\"<p>&nbsp;<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#8d8d8d\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}}},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #b8291e;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #b8291e;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #b8291e;\\\">Manage your subscription<\\/a><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arvo\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arvo\",\"fontSize\":\"26px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arvo\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#b8291e\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#222222\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"right\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#b8291e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"147px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Georgia\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"sortBy\":\"oldest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"4px\",\"borderColor\":\"#dddddd\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#b8291e\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"3px\",\"borderRadius\":\"14px\",\"borderStyle\":\"solid\",\"width\":\"229px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"26px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"padding\":\"1.5px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"7px\",\"borderColor\":\"#515151\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"75px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#8d8d8d\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/industry-conference/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("17", "0", "Science Weekly", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Science-Logo.png\",\"alt\":\"Science-Logo\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"300px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-Title-22.png\",\"alt\":\"Health-Mag-Title-2\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"214px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b1b6d1\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>The latest news from the world of science<\\/strong><\\/span><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"40px\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"2\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"borderColor\":\"#2b2d37\",\"borderWidth\":\"1px\",\"borderRadius\":\"21px\",\"borderStyle\":\"solid\",\"width\":\"114px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#b1b6d1\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-End-1.png\",\"alt\":\"Health-Mag-End\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-Promo-Start.png\",\"alt\":\"Health-Mag-Promo-Start\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"text\",\"text\":\"<h2><strong>Download our app!<\\/strong><\\/h2>\\n                      <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed in odio dui. Duis et dolor nec erat dictum laoreet. Morbi dapibus turpis id eros viverra tempor. <\\/span><\\/p>\\n                      <p><span><\\/span><\\/p>\\n                      <p><span>Fusce et diam ac sapien posuere luctus. Etiam in vehicula metus, ac viverra elit. Duis diam lacus, molestie vel enim non, rutrum placerat massa. Suspendisse a elit tincidunt, egestas lacus at, maximus diam. <\\/span><\\/p>\\n                      <p><span><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Download Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"borderColor\":\"#2b2d37\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"144px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-Phone.png\",\"alt\":\"Health-Mag-Phone\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"573px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-Promo-End.png\",\"alt\":\"Health-Mag-Promo-End\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"height\":\"35px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-Promo-Start.png\",\"alt\":\"Health-Mag-Promo-Start\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\">Keep In Touch With Us<\\/h3>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/science_weekly\\/Health-Mag-Promo-End.png\",\"alt\":\"Health-Mag-Promo-End\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"height\":\"26px\"}}},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #b1b6d1;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #b1b6d1;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #b1b6d1;\\\">Manage your subscription<\\/a><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\"},\"text\":{\"fontColor\":\"#d6d6d6\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#2b2d37\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"2\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2b2d37\",\"borderColor\":\"#2b2d37\",\"borderWidth\":\"1px\",\"borderRadius\":\"21px\",\"borderStyle\":\"solid\",\"width\":\"114px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"container\":{\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/science_weekly/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("18", "0", "Newspaper Traditional", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f2f9f8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"28px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"font-size: 15px;\\\"><em><strong>[date:mtext][date:dordinal],[date:y]<\\/strong><\\/em><\\/h3>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #008080;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #008080;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f2f9f8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/newspaper-traditional\\/News-Logo.png\",\"alt\":\"News-Logo\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"100px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong>Local News<\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>Sports&nbsp;Updates &amp; Scores<\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><strong>Business News<\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><strong>Check Out Our New Blog Posts! <\\/strong><\\/h1>\\n    <p style=\\\"text-align: left;\\\">&nbsp;<\\/p>\\n    <p style=\\\"text-align: left;\\\">MailPoet can <span style=\\\"line-height: 1.6em; background-color: inherit;\\\"><em>automatically<\\/em> <\\/span><span style=\\\"line-height: 1.6em; background-color: inherit;\\\">send your new blog posts to your subscribers.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"line-height: 1.6em; background-color: inherit;\\\"><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"line-height: 1.6em; background-color: inherit;\\\">Below, you\'ll find three recent posts, which are displayed automatically, thanks to the <em>Automatic Latest Content<\\/em> widget, which can be found in the right sidebar, under <em>Content<\\/em>.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"line-height: 1.6em; background-color: inherit;\\\"><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"line-height: 1.6em; background-color: inherit;\\\">To edit the settings and styles of your post, simply click on a post below.<\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"double\",\"borderWidth\":\"7px\",\"borderColor\":\"#c6dbd8\"}}}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"left\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read the post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"double\",\"borderWidth\":\"7px\",\"borderColor\":\"#c6dbd8\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\",\"height\":\"28px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/newspaper-traditional\\/News-Logo.png\",\"alt\":\"News-Logo\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"100px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #458687;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #458687;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #458687;\\\">Manage your subscription<\\/a><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#c6dbd8\",\"height\":\"21px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Playfair Display\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#3d8076\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f2f9f8\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":true,\"imageFullWidth\":false,\"featuredImagePosition\":\"left\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"double\",\"borderWidth\":\"7px\",\"borderColor\":\"#c6dbd8\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"double\",\"borderWidth\":\"7px\",\"borderColor\":\"#c6dbd8\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/newspaper-traditional/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("19", "0", "Clear News", "[\"notification\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"27px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"11px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#e2973f\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/clear-news\\/News-Logo-1.png\",\"alt\":\"News-Logo\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"167px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: right;\\\"><span style=\\\"color: #808080;\\\"><strong>October 2018<\\/strong><\\/span><\\/h3>\"}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left; line-height: 1.3;\\\"><strong>Good Morning!<\\/strong><\\/h1>\\n    <h3>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce egestas nisl vel ante finibus fringilla ullamcorper non lectus. Aenean leo neque, egestas et lacus eu, viverra luctus nisi. Donec dapibus mauris at fringilla consequat. Cras sed porta nunc. Ut tincidunt luctus felis sed suscipit. Sed tristique faucibus fermentum.<\\/h3>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"24px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/clear-news\\/UEl2.gif\",\"alt\":\"UEl2\",\"fullWidth\":false,\"width\":\"360px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#e2973f\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2><strong>Today\'s Top Stories<\\/strong><\\/h2>\"}]}]},{\"type\":\"automatedLatestContentLayout\",\"withLayout\":true,\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":true,\"featuredImagePosition\":\"left\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e2973f\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"110px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"context\":\"automatedLatestContentLayout.readMoreButton\"},\"sortBy\":\"newest\",\"showDivider\":false,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"context\":\"automatedLatestContentLayout.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#e2973f\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2><strong>We cover all types of news<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"World\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e23f3f\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Business\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#50b6ce\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Politics\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#506dce\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Sports\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e1bc2d\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Science\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#a650ce\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Health\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#64b03c\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Family\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#278f6e\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Arts\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#7c5e5e\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Local\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#4d4d4d\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/clear-news\\/News-Crossword.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: right;\\\"><span style=\\\"color: #ffffff;\\\">The Friday Crossword<\\/span><\\/h2>\\n    <p style=\\\"text-align: right;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae ornare elit. Duis laoreet justo sed fringilla maximus. Aenean pharetra nec risus a vestibulum.<\\/span><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get started\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e2973f\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"110px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"right\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"22px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"34.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#e2973f\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/clear-news\\/News-Logo-1.png\",\"alt\":\"News-Logo\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"167px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><\\/strong><\\/p>\\n    <p style=\\\"text-align: center;\\\"><strong><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/strong><\\/p>\"},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Add your postal address!<\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"social\",\"iconSet\":\"default\",\"icons\":[]}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\"},\"link\":{\"fontColor\":\"#e2973f\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":true,\"featuredImagePosition\":\"left\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#e2973f\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"110px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":false,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#4d4d4d\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"34.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#e2973f\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#e2973f\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"titleOnly\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":true,\"featuredImagePosition\":\"centered\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"http:\\/\\/mailpoet.info\\/ladybirds-transparent-shell-reveals-how-it-folds-its-wings\\/\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#e2973f\",\"borderColor\":\"#e2973f\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"110px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":false,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"posts\",\"offset\":0,\"terms\":[],\"search\":\"\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"11px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#e2973f\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/clear-news/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("20", "0", "Dog Food", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/dog-food\\/Dog-Logo.png\",\"alt\":\"Dog-Logo\",\"fullWidth\":false,\"width\":\"42px\",\"height\":\"91px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"31px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"line-height: 1.2em;\\\"><strong>Thanks for buying your dog food from us<\\/strong><\\/h1>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/dog-food\\/Dog-Header-1024x409.jpg\",\"alt\":\"Dog-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"511px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Here\'s some other pawsome things to try...&nbsp;<\\/strong><\\/h2>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/dog-food\\/Dog-Product-1.jpg\",\"alt\":\"Dog-Product-1\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Dog Jumper<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex.<\\/span><\\/p>\\n<p><span><strong><\\/strong><\\/span><\\/p>\\n<p><em><strong>$19.99<\\/strong><\\/em><\\/p>\"},{\"type\":\"button\",\"text\":\"Check it out\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\",\"borderColor\":\"#000000\",\"borderWidth\":\"3px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"113px\",\"lineHeight\":\"28px\",\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/dog-food\\/Dog-Product-2.jpg\",\"alt\":\"Dog-Product-2\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Dog&nbsp;Socks<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex.<\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><span><em><strong>$19.99<\\/strong><\\/em><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Check it out\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\",\"borderColor\":\"#000000\",\"borderWidth\":\"3px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"113px\",\"lineHeight\":\"28px\",\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/dog-food\\/Dog-Product-3.jpg\",\"alt\":\"Dog-Product-3\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Glow Collar<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex.<\\/span><\\/p>\\n<p><em><\\/em><\\/p>\\n<p><em><strong>$19.99<\\/strong><\\/em><\\/p>\"},{\"type\":\"button\",\"text\":\"Check it out\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\",\"borderColor\":\"#000000\",\"borderWidth\":\"3px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"113px\",\"lineHeight\":\"28px\",\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#000000\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"45px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong><\\/strong><span style=\\\"color: #ffffff;\\\">Our Guarantee<\\/span><\\/h3>\\n<p><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex. Aliquam mollis metus ac nisl luctus pulvinar. Donec tincidunt pharetra sem, nec eleifend augue. Morbi id nunc commodo, tempor erat et, pretium neque. Vivamus ante sapien, consequat vitae ante quis, facilisis pellentesque mi. Praesent at scelerisque leo. Donec elementum mi consequat, ultrices lorem nec, vestibulum arcu. Aenean id libero vitae felis consequat maximus<\\/span><\\/p>\\n<p><span style=\\\"color: #ffffff;\\\"><em><\\/em><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#d4d4d4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#d4d4d4\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><strong><em><span style=\\\"color: #000000;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #000000;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #000000;\\\">Manage your subscription<\\/a><\\/span><\\/em><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#d4d4d4\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Check it out\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\",\"borderColor\":\"#000000\",\"borderWidth\":\"3px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"113px\",\"lineHeight\":\"28px\",\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"#d4d4d4\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/dog-food/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("21", "0", "Abandoned Cart – Kids", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#c3e1e8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#c3e1e8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Logo.png\",\"alt\":\"Kids-Clothing-Logo\",\"fullWidth\":true,\"width\":\"250px\",\"height\":\"121px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"google-plus\",\"link\":\"http:\\/\\/plus.google.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Google-Plus.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Google Plus\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #4e4e4e;\\\"><strong>Boys Clothes<\\/strong><\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #4e4e4e;\\\"><strong>Girls Clothes<\\/strong><\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #4e4e4e;\\\"><strong>Toys & Games<\\/strong><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#9cd1e1\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"80px\"}}},{\"type\":\"text\",\"text\":\"<h1><strong>Wait!<\\/strong><\\/h1><h3>You\\u2019ve left something in your cart!<\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #4e4e4e;\\\"><strong>Don\\u2019t worry, we saved it for you\\u2026<\\/strong><\\/span><\\/h2>\"}]}]},{\"type\":\"abandonedCartContent\",\"withLayout\":true,\"amount\":\"2\",\"contentType\":\"product\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"titlePosition\":\"aboveExcerpt\",\"featuredImagePosition\":\"left\",\"pricePosition\":\"below\",\"readMoreType\":\"none\",\"readMoreText\":\"\",\"readMoreButton\":[],\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#aaaaaa\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"padding\":\"13px\"}},\"context\":\"abandonedCartContent.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Go To Cart\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"borderWidth\":\"0px\",\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"lineHeight\":\"40px\",\"textAlign\":\"center\",\"width\":\"154px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#fceba5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>YOU MIGHT ALSO LIKE\\u2026<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Image-3.jpg\",\"alt\":\"Kids-Clothing-Image-3\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><strong>Cherry Dress<\\/strong><\\/p><p><span>$10.99<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"View\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"borderWidth\":\"0px\",\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"lineHeight\":\"40px\",\"textAlign\":\"left\",\"width\":\"90px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Image-2.jpg\",\"alt\":\"Kids-Clothing-Image-2\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><strong>Red T-Shirt<\\/strong><\\/p><p><span>$9.49<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"View\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"borderWidth\":\"0px\",\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"lineHeight\":\"40px\",\"textAlign\":\"left\",\"width\":\"90px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Image-4.jpg\",\"alt\":\"Kids-Clothing-Image-4\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><strong>Pink Dance Dress<\\/strong><\\/p><p><span>$11.99<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"View\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"borderWidth\":\"0px\",\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"lineHeight\":\"40px\",\"textAlign\":\"left\",\"width\":\"90px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Footer.jpg\",\"alt\":\"Kids-Clothing-Footer\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"107px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"#c3e1e8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"display\":\"scale\",\"src\":null},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/kids-clothing\\/Kids-Clothing-Logo-Footer-150x61.png\",\"alt\":\"Kids-Clothing-Logo-Footer\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"61px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #333333;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #333333;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #333333;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"lineHeight\":\"1.6\"},\"h1\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"40px\",\"lineHeight\":\"1.6\"},\"h2\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\",\"lineHeight\":\"1.6\"},\"h3\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\",\"lineHeight\":\"1.6\"},\"link\":{\"fontColor\":\"#9bd2e0\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#c3e1e8\"}},\"blockDefaults\":{\"abandonedCartContent\":{\"amount\":\"2\",\"withLayout\":true,\"contentType\":\"product\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h2\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"left\",\"pricePosition\":\"below\",\"readMoreType\":\"none\",\"readMoreText\":\"\",\"readMoreButton\":[],\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"abandonedCartContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"abandonedCartContent\",\"titlePosition\":\"aboveExcerpt\"},\"automatedLatestContent\":{\"amount\":\"5\",\"authorPrecededBy\":\"Author:\",\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"categoriesPrecededBy\":\"Categories:\",\"contentType\":\"post\",\"displayType\":\"excerpt\",\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#aaaaaa\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"padding\":\"13px\"}}},\"featuredImagePosition\":\"belowTitle\",\"imageFullWidth\":false,\"inclusionType\":\"include\",\"readMoreButton\":{\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"lineHeight\":\"40px\",\"textAlign\":\"center\",\"width\":\"180px\"}},\"text\":\"Read more\",\"url\":\"[postLink]\"},\"readMoreText\":\"Read more\",\"readMoreType\":\"button\",\"showAuthor\":\"no\",\"showCategories\":\"no\",\"showDivider\":true,\"sortBy\":\"newest\",\"titleAlignment\":\"left\",\"titleFormat\":\"h1\",\"titleIsLink\":false},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"authorPrecededBy\":\"Author:\",\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"categoriesPrecededBy\":\"Categories:\",\"contentType\":\"post\",\"displayType\":\"excerpt\",\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#aaaaaa\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"padding\":\"13px\"}}},\"featuredImagePosition\":\"alternate\",\"imageFullWidth\":false,\"inclusionType\":\"include\",\"readMoreButton\":{\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"lineHeight\":\"40px\",\"textAlign\":\"center\",\"width\":\"180px\"}},\"text\":\"Read more\",\"url\":\"[postLink]\"},\"readMoreText\":\"Read more\",\"readMoreType\":\"button\",\"showAuthor\":\"no\",\"showCategories\":\"no\",\"showDivider\":true,\"sortBy\":\"newest\",\"titleAlignment\":\"left\",\"titleFormat\":\"h1\",\"titleIsLink\":false,\"withLayout\":true},\"button\":{\"styles\":{\"block\":{\"backgroundColor\":\"#9bd2e0\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"borderWidth\":\"0px\",\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"lineHeight\":\"40px\",\"textAlign\":\"center\",\"width\":\"154px\"}},\"text\":\"Go To Cart\",\"url\":\"\",\"type\":\"button\"},\"container\":[],\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#aaaaaa\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"padding\":\"13px\"}}},\"footer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"}},\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\"},\"posts\":{\"amount\":\"10\",\"authorPrecededBy\":\"Author:\",\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"categoriesPrecededBy\":\"Categories:\",\"contentType\":\"post\",\"displayType\":\"excerpt\",\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#aaaaaa\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"padding\":\"13px\"}}},\"featuredImagePosition\":\"belowTitle\",\"imageFullWidth\":false,\"inclusionType\":\"include\",\"postStatus\":\"publish\",\"readMoreButton\":{\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"lineHeight\":\"40px\",\"textAlign\":\"center\",\"width\":\"180px\"}},\"text\":\"Read more\",\"url\":\"[postLink]\"},\"readMoreText\":\"Read more\",\"readMoreType\":\"link\",\"showAuthor\":\"no\",\"showCategories\":\"no\",\"showDivider\":true,\"sortBy\":\"newest\",\"titleAlignment\":\"left\",\"titleFormat\":\"h1\",\"titleIsLink\":false},\"products\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"product\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"pricePosition\":\"below\",\"readMoreType\":\"link\",\"readMoreText\":\"Buy now\",\"readMoreButton\":{\"text\":\"Buy now\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"height\":\"32px\",\"iconType\":\"facebook\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"link\":\"http:\\/\\/www.facebook.com\",\"text\":\"Facebook\",\"type\":\"socialIcon\",\"width\":\"32px\"},{\"height\":\"32px\",\"iconType\":\"twitter\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"link\":\"http:\\/\\/www.twitter.com\",\"text\":\"Twitter\",\"type\":\"socialIcon\",\"width\":\"32px\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"80px\"}},\"type\":\"spacer\"},\"header\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"}},\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\"},\"woocommerceHeading\":{\"contents\":{\"new_account\":\"New Order: #0001\",\"processing_order\":\"Thank you for your order\",\"completed_order\":\"Thanks for shopping with us\",\"customer_note\":\"A note has been added to your order\"}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/kids-clothing/thumbnail.20201028.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("22", "0", "Rock Band", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#060d13\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/rock-band\\/RockBand-Header-2.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#060d13\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Courier New\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#7acff0\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"315px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"48px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"29px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #7acff0;\\\">Free track download<\\/span><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #d4d4d4;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Download now for free\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#152533\",\"borderColor\":\"#7acff0\",\"borderWidth\":\"2px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"18.5px\",\"borderStyle\":\"double\",\"borderWidth\":\"7px\",\"borderColor\":\"#1c2f40\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">We\'ve been busy in the studio<\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #d4d4d4;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/rock-band\\/RockBand-Albums-2.jpg\",\"alt\":\"RockBand-Albums-2\",\"fullWidth\":false,\"width\":\"250px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Magnus Opium<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Buy now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#7acff0\",\"borderColor\":\"#7acff0\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"83px\",\"lineHeight\":\"32px\",\"fontColor\":\"#1c2f40\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/rock-band\\/RockBand-Albums-1.jpg\",\"alt\":\"RockBand-Albums-1\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Skeletal Bones<\\/p>\"},{\"type\":\"button\",\"text\":\"Buy now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#7acff0\",\"borderColor\":\"#7acff0\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"83px\",\"lineHeight\":\"32px\",\"fontColor\":\"#1c2f40\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/rock-band\\/RockBand-Albums-3.jpg\",\"alt\":\"RockBand-Albums-3\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Blinded by Vision<\\/p>\"},{\"type\":\"button\",\"text\":\"Buy now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#7acff0\",\"borderColor\":\"#7acff0\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"83px\",\"lineHeight\":\"32px\",\"fontColor\":\"#1c2f40\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/rock-band\\/RockBand-Tours.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1c2f40\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"37px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: right;\\\">New Tour Dates<\\/h1>\\n    <p style=\\\"text-align: right;\\\">14th March - London, UK<\\/p>\\n    <p style=\\\"text-align: right;\\\">15th March - Leeds, UK<\\/p>\\n    <p style=\\\"text-align: right;\\\">16th March - Birmingham, UK<\\/p>\\n    <p style=\\\"text-align: right;\\\">19th March - Manchester, UK<\\/p>\\n    <p style=\\\"text-align: right;\\\">21st March - Glasgow, UK<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"144px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\">Bounce Rate<\\/h3>\"},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#aaaaaa\",\"fontFamily\":\"Courier New\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#7acff0\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#7acff0\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#060d13\"},\"body\":{\"backgroundColor\":\"#060d13\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Buy now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#7acff0\",\"borderColor\":\"#7acff0\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"83px\",\"lineHeight\":\"32px\",\"fontColor\":\"#1c2f40\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"18.5px\",\"borderStyle\":\"double\",\"borderWidth\":\"7px\",\"borderColor\":\"#1c2f40\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#aaaaaa\",\"fontFamily\":\"Courier New\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#7acff0\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Courier New\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#7acff0\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/rock-band/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("23", "0", "Wine City (with coupon)", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"37px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/wine-city\\/Wine-Logo.png\",\"alt\":\"Wine-Logo\",\"fullWidth\":false,\"width\":\"136px\",\"height\":\"67px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"31px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #6d6d6d;\\\"><strong>Red Wine<\\/strong><\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #6d6d6d;\\\"><strong>White&nbsp;Wine<\\/strong><\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #6d6d6d;\\\"><strong>Rose&nbsp;Wine<\\/strong><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/wine-city\\/Wine-Header-1.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Have a drink on us<\\/strong><\\/span><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"231px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"34px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #6d6d6d;\\\"><strong>You\'re our VIP - now it\'s time to celebrate!&nbsp;<\\/strong><\\/span><\\/h2>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #6d6d6d;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex. Aliquam mollis metus ac nisl luctus pulvinar. Donec tincidunt pharetra sem, nec eleifend augue.<\\/span><\\/p>\"},{\"productIds\":[],\"excludedProductIds\":[],\"productCategoryIds\":[],\"excludedProductCategoryIds\":[],\"type\":\"coupon\",\"amount\":10,\"amountMax\":100,\"discountType\":\"percent\",\"expiryDay\":10,\"usageLimit\":\"\",\"usageLimitPerUser\":\"\",\"minimumAmount\":\"\",\"maximumAmount\":\"\",\"emailRestrictions\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#6d6d6d\",\"borderWidth\":\"2px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"219px\",\"lineHeight\":\"50px\",\"fontColor\":\"#6d6d6d\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"source\":\"createNew\",\"code\":\"XXXX-XXXXXXX-XXXX\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"17px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #6d6d6d;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #6d6d6d;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #6d6d6d;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/><span style=\\\"color: #6d6d6d;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"17px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"231px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/wine-city/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("24", "0", "Abandoned Cart – Fitness", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e6e1e5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fitness\\/Fitness-Logo-1.jpg\",\"alt\":\"Fitness-Logo-1\",\"fullWidth\":true,\"width\":\"180px\",\"height\":\"96px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e6e1e5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e6e1e5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Get back in the game<\\/strong><\\/h1>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fitness\\/Fitness-Header.jpg\",\"alt\":\"Fitness-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"696px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>You\'ve left something in your cart...<\\/strong><\\/h3>\"}]}]},{\"type\":\"abandonedCartContent\",\"withLayout\":true,\"amount\":\"2\",\"contentType\":\"product\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"full\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"titlePosition\":\"aboveExcerpt\",\"featuredImagePosition\":\"left\",\"pricePosition\":\"hidden\",\"readMoreType\":\"none\",\"readMoreText\":\"\",\"readMoreButton\":[],\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"context\":\"abandonedCartContent.divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Recover Cart\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#343434\",\"borderWidth\":\"3px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"146px\",\"lineHeight\":\"37px\",\"fontColor\":\"#343434\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#afd147\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>Still interested?<\\/strong><\\/h3>\\n<p style=\\\"text-align: center;\\\"><strong>Here\'s 20% off your order if you complete it right now. We\'re nice like that.<\\/strong><\\/p>\"},{\"productIds\":[],\"excludedProductIds\":[],\"productCategoryIds\":[],\"excludedProductCategoryIds\":[],\"type\":\"coupon\",\"amount\":10,\"amountMax\":100,\"discountType\":\"percent\",\"expiryDay\":10,\"usageLimit\":\"\",\"usageLimitPerUser\":\"\",\"minimumAmount\":\"\",\"maximumAmount\":\"\",\"emailRestrictions\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#afd147\",\"borderColor\":\"#56741d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"219px\",\"lineHeight\":\"50px\",\"fontColor\":\"#56741d\",\"fontFamily\":\"Courier New\",\"fontSize\":\"26px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"source\":\"createNew\",\"code\":\"XXXX-XXXXXXX-XXXX\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fitness\\/Fitness-Logo-Footer-1.png\",\"alt\":\"Fitness-Logo-Footer-1\",\"fullWidth\":false,\"width\":\"180px\",\"height\":\"52px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\">Address Line 1, Address Line 2, City, Country<\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\"><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #999999;\\\">Unsubscribe<\\/a><span>&nbsp;<\\/span>|<span>&nbsp;<\\/span><a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #999999;\\\">Manage your subscription<\\/a><\\/strong><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"lineHeight\":\"1.6\"},\"h1\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"40px\",\"lineHeight\":\"1.6\"},\"h2\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\",\"lineHeight\":\"1.6\"},\"h3\":{\"fontColor\":\"#4e4e4e\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\",\"lineHeight\":\"1.6\"},\"link\":{\"fontColor\":\"#3c3c3c\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#222222\"}},\"blockDefaults\":{\"abandonedCartContent\":{\"amount\":\"2\",\"withLayout\":true,\"contentType\":\"product\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"full\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"left\",\"pricePosition\":\"hidden\",\"readMoreType\":\"none\",\"readMoreText\":\"\",\"readMoreButton\":[],\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"abandonedCartContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"abandonedCartContent\",\"titlePosition\":\"aboveExcerpt\"},\"automatedLatestContent\":{\"amount\":\"5\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Recover Cart\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#343434\",\"borderWidth\":\"3px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"146px\",\"lineHeight\":\"37px\",\"fontColor\":\"#343434\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"container\":[],\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"products\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"product\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"pricePosition\":\"below\",\"readMoreType\":\"link\",\"readMoreText\":\"Buy now\",\"readMoreButton\":{\"text\":\"Buy now\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}},\"woocommerceHeading\":{\"contents\":{\"new_account\":\"New Order: #0001\",\"processing_order\":\"Thank you for your order\",\"completed_order\":\"Thanks for shopping with us\",\"customer_note\":\"A note has been added to your order\"}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/fitness/thumbnail.20201028.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("25", "0", "Motor", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"24px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #d52a2a;\\\"><strong>Welcome to Vector Motors<\\/strong><\\/span><\\/p>\\n    <p style=\\\"text-align: center; font-size: 11px;\\\"><span style=\\\"color: #d52a2a;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"24px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}]}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/motor\\/Car-Header-2.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#d52a2a\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/motor\\/Car-Header-logo-1.png\",\"alt\":\"Car-Header-logo-1\",\"fullWidth\":false,\"width\":\"167.5px\",\"height\":\"349px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"118px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"font-size: 35px; line-height: 40px; text-align: left; border-left: 10px solid #d52a2a; margin-left: 20px; padding-left: 20px;\\\"><strong><span style=\\\"color: #ffffff;\\\">Welcome to the club<\\/span><\\/strong><\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"72px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #d52a2a;\\\">You\'ve bought the car,&nbsp;here\'s&nbsp;what happens next.<\\/span><\\/strong><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex. Aliquam mollis metus ac nisl luctus pulvinar. Donec tincidunt pharetra sem, nec eleifend augue. Morbi id nunc commodo, tempor erat et, pretium neque. <\\/span><\\/p>\\n    <p style=\\\"text-align: center;\\\"><span><\\/span><\\/p>\\n    <p style=\\\"text-align: center;\\\"><span>Vivamus ante sapien, consequat vitae ante quis, facilisis pellentesque mi. Praesent at scelerisque leo. Donec elementum mi consequat, ultrices lorem nec, vestibulum arcu. Aenean id libero vitae felis consequat maximus.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1><strong>We\'re here to help<\\/strong><\\/h1>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex. Aliquam mollis metus ac nisl luctus pulvinar. Donec tincidunt pharetra sem, nec eleifend augue. Morbi id nunc commodo, tempor erat et, pretium neque.<\\/p>\\n    <p><\\/p>\\n    <p><strong><a href=\\\"\\\">Get in touch with us here<\\/a><\\/strong><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\",\"height\":\"113px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"42px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Servicing Plans\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#d52a2a\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"176px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/motor\\/Car-Wheel.jpg\",\"alt\":\"Car-Wheel\",\"fullWidth\":true,\"width\":\"600px\",\"height\":\"560px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>We\'ll be in touch soon with updates<\\/strong><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam a elementum ex. Aliquam mollis metus ac nisl luctus pulvinar. Donec tincidunt pharetra sem, nec eleifend augue. Morbi id nunc commodo, tempor erat et, pretium neque.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #d52a2a;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #d52a2a;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #d52a2a;\\\">Manage your subscription<\\/a><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/motor\\/Car-Footer.jpg\",\"alt\":\"Car-Footer\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"275px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#d52a2a\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#d52a2a\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#e3e3e3\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Servicing Plans\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#d52a2a\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"176px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"18.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"5px\",\"borderColor\":\"#d52a2a\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"118px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#d52a2a\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/motor/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("26", "0", "Avocado", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f3f8f3\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/avocado\\/Avocado-Logo-2.png\",\"alt\":\"Avocado-Logo-2\",\"fullWidth\":false,\"width\":\"212px\",\"height\":\"89px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"33px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><strong>Has to be fresh<\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ddeeba\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"58px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Holy Guacamole!<\\/strong><\\/h1>\\n<h2 style=\\\"text-align: center;\\\">Your monthly avocado<\\/h2>\\n<h2 style=\\\"text-align: center;\\\">delivery starts right now.<\\/h2>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/avocado\\/Avocado-Header-1.jpg\",\"alt\":\"Avocado-Header-1\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"644px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/avocado\\/Avocado-Recipe.jpg\",\"alt\":\"Avocado-Recipe\",\"fullWidth\":true,\"width\":\"600px\",\"height\":\"890px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"135px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>A quick and easy recipe to get you started...<\\/strong><\\/h3>\\n<p style=\\\"text-align: left;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer blandit tortor nec eleifend maximus. Nulla est lectus, tincidunt quis molestie vitae, suscipit non orci.<\\/p>\"},{\"type\":\"button\",\"text\":\"Check it out\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#9ecd2e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"28px\",\"borderStyle\":\"solid\",\"width\":\"111px\",\"lineHeight\":\"36px\",\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#9ecd2e\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #333333;\\\"><\\/span><\\/strong><\\/p>\\n<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #333333;\\\"><\\/span><\\/strong><strong><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/span><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ddeeba\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"58px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Got a friend that hass to have this too ?<\\/strong><\\/h2>\\n<h2 style=\\\"text-align: center;\\\"><\\/h2>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/avocado\\/Avocado-Coupon.jpg\",\"alt\":\"Avocado-Coupon\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"382px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#dbefb4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Send them your exclusive coupon code now and they\'ll receive 50% off their next order, and you\'ll get your next box for free!&nbsp;<\\/p>\"},{\"productIds\":[],\"excludedProductIds\":[],\"productCategoryIds\":[],\"excludedProductCategoryIds\":[],\"type\":\"coupon\",\"amount\":10,\"amountMax\":100,\"discountType\":\"percent\",\"expiryDay\":10,\"usageLimit\":\"\",\"usageLimitPerUser\":\"\",\"minimumAmount\":\"\",\"maximumAmount\":\"\",\"emailRestrictions\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#dbefb4\",\"borderColor\":\"#3d3d3d\",\"borderWidth\":\"3px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"254px\",\"lineHeight\":\"50px\",\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"source\":\"createNew\",\"code\":\"XXXX-XXXXXXX-XXXX\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#dbefb4\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#f3f8f3\",\"height\":\"44px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #9ecd2e;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #9ecd2e;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #9ecd2e;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Arial\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\"},\"h3\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#9ecd2e\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f3f8f3\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"2px\",\"borderColor\":\"#9ecd2e\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"33px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/avocado/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("27", "0", "Book store (with coupon)", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#125674\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Logo.png\",\"alt\":\"Book-Logo\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"48px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#125674\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">Turn more pages this weekend...<\\/span><\\/strong><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Just to say thanks, here\'s a small gift from us to you.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"71px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Body-2.png\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"21px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #5094ad;\\\"><strong>Read more every week<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: center;\\\"><strong>Your free gift!<\\/strong><\\/h2>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Body-2.png\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"2px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#125674\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Body-2.png\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, adipiscing elit. Fusce mollis orci justo,<\\/span><\\/p>\\n    <p style=\\\"text-align: center;\\\"><span>commodo mattis nisi vitae. Sed aliquam, ex ac lacinia tempus,<\\/span><\\/p>\\n    <p style=\\\"text-align: center;\\\"><span>enim urna luctus odio, at leo ante non.<\\/span><\\/p>\"},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>20% off all books<\\/strong><\\/h2>\"},{\"productIds\":[],\"excludedProductIds\":[],\"productCategoryIds\":[],\"excludedProductCategoryIds\":[],\"type\":\"coupon\",\"amount\":10,\"amountMax\":100,\"discountType\":\"percent\",\"expiryDay\":10,\"usageLimit\":\"\",\"usageLimitPerUser\":\"\",\"minimumAmount\":\"\",\"maximumAmount\":\"\",\"emailRestrictions\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#125674\",\"borderWidth\":\"3px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#125674\",\"fontFamily\":\"Courier New\",\"fontSize\":\"26px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"source\":\"createNew\",\"code\":\"XXXX-XXXXXXX-XXXX\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Image-Wide-2.png\",\"alt\":\"Book-Image-Wide\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#cdc391\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#cdc391\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#125674\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"29px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#125674\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/book-store-with-coupon\\/Book-Logo.png\",\"alt\":\"Book-Logo\",\"fullWidth\":false,\"width\":\"96px\",\"height\":\"48px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #cdc391;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #cdc391;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #cdc391;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #ffffff;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #ffffff;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #ffffff;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Noticia Text\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Playfair Display\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Playfair Display\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#125674\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"2px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#125674\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/book-store-with-coupon/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("28", "0", "Flowers (with coupon)", "[\"woocommerce\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eae5e5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #000000;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #000000;\\\">View this email in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/flowers-with-coupon\\/Flowers-Logo.png\",\"alt\":\"Flowers-Logo\",\"fullWidth\":false,\"width\":\"110px\",\"height\":\"180px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"44px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/flowers-with-coupon\\/Flowers-Header.jpg\",\"alt\":\"Flowers-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"850px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Just for you.<\\/strong><\\/h1>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>Welcome to our flower store - as a token of our appreciation for you signing up,<\\/strong><\\/span><\\/p>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>here\'s a little gift from us for your next order.<\\/strong><\\/span><\\/p>\"},{\"productIds\":[],\"excludedProductIds\":[],\"productCategoryIds\":[],\"excludedProductCategoryIds\":[],\"type\":\"coupon\",\"amount\":10,\"amountMax\":100,\"discountType\":\"percent\",\"expiryDay\":10,\"usageLimit\":\"\",\"usageLimitPerUser\":\"\",\"minimumAmount\":\"\",\"maximumAmount\":\"\",\"emailRestrictions\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#292929\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"26px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"source\":\"createNew\",\"code\":\"XXXX-XXXXXXX-XXXX\"},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333; font-size: 11px;\\\"><strong><\\/strong><strong>10% off your next order with us. Terms and Conditions apply.<\\/strong><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"45px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>A little inspiration to get you started...<\\/strong><\\/h2>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong>New flowers delivered<\\/strong><\\/h3>\"},{\"type\":\"text\",\"text\":\"<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut rutrum et lacus a dignissim. Curabitur id nisi malesuada, pharetra massa ut, bibendum lacus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Buy Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"85px\",\"lineHeight\":\"36px\",\"fontColor\":\"#292929\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/flowers-with-coupon\\/Flower-1.jpg\",\"alt\":\"Flower-1\",\"fullWidth\":false,\"width\":\"730px\",\"height\":\"604px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/flowers-with-coupon\\/Flower-2.jpg\",\"alt\":\"Flower-2\",\"fullWidth\":false,\"width\":\"730px\",\"height\":\"604px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong>Save with a subscription<\\/strong><\\/h3>\"},{\"type\":\"text\",\"text\":\"<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut rutrum et lacus a dignissim. Curabitur id nisi malesuada, pharetra massa ut, bibendum lacus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Buy Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"85px\",\"lineHeight\":\"36px\",\"fontColor\":\"#292929\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong>Collect from our store<\\/strong><\\/h3>\"},{\"type\":\"text\",\"text\":\"<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut rutrum et lacus a dignissim. Curabitur id nisi malesuada, pharetra massa ut, bibendum lacus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Buy Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"85px\",\"lineHeight\":\"36px\",\"fontColor\":\"#292929\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/flowers-with-coupon\\/Flower-3.jpg\",\"alt\":\"Flower-3\",\"fullWidth\":false,\"width\":\"730px\",\"height\":\"604px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eae5e5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #b3748a;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #b3748a;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #b3748a;\\\">Manage your subscription<\\/a><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#e0a9bc\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eae5e5\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Buy Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e0a9bc\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"85px\",\"lineHeight\":\"36px\",\"fontColor\":\"#292929\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"392px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/flowers-with-coupon/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("29", "0", "Newsletter: Blank 1 Column", "[\"standard\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Let\'s Get Started! <\\/strong><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>It\'s time to design your newsletter! In the right sidebar, you\'ll find 4 menu items that will help you customize your newsletter:<\\/p>\\n<ol>\\n<li>Content<\\/li>\\n<li>Columns<\\/li>\\n<li>Styles<\\/li>\\n<li>Preview<\\/li>\\n<\\/ol>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/newsletter-blank-1-column/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("30", "0", "Newsletter: Blank 1:2 Column", "[\"standard\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Let\'s Get Started!<\\/strong><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>It\'s time to design your newsletter! In the right sidebar, you\'ll find 4 menu items that will help you customize your newsletter:<\\/p>\\n<ol>\\n<li>Content<\\/li>\\n<li>Columns<\\/li>\\n<li>Styles<\\/li>\\n<li>Preview<\\/li>\\n<\\/ol>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2>This template has...<\\/h2>\"},{\"type\":\"text\",\"text\":\"<p>In the right sidebar, you can add these layout blocks to your email:<\\/p>\\n<ul>\\n<li>1 column<\\/li>\\n<li>2 columns<\\/li>\\n<li>3 columns<\\/li>\\n<\\/ul>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2>... a 2-column layout.<\\/h2>\"},{\"type\":\"text\",\"text\":\"<p><span style=\\\"line-height: 25.6px;\\\">You can change a layout\'s background color by clicking on the settings icon on the right edge of the Designer. Simply hover over this area to see the Settings (gear) icon.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/newsletter-blank-1-2-column/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("31", "0", "Newsletter: Blank 1:2:1 Column", "[\"standard\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Let\'s Get Started!<\\/strong><\\/h1>\\n<p>It\'s time to design your newsletter! In the right sidebar, you\'ll find four menu items that will help you customize your newsletter:<\\/p>\\n<ol>\\n<li>Content<\\/li>\\n<li>Columns<\\/li>\\n<li>Styles<\\/li>\\n<li>Preview<\\/li>\\n<\\/ol>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2>This template has...<\\/h2>\"},{\"type\":\"text\",\"text\":\"<p>In the right sidebar, you can add layout blocks to your email:<\\/p>\\n<ul>\\n<li>1 column<\\/li>\\n<li>2 columns<\\/li>\\n<li>3 columns<\\/li>\\n<\\/ul>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2>... a 2-column layout.<\\/h2>\"},{\"type\":\"text\",\"text\":\"<p>You can change a layout\'s background color by clicking on the settings icon on the right edge of the Designer. Simply hover over this area to see the Settings (gear) icon.<\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"font-weight: 600;\\\">Let\'s end with a single column. <\\/span><\\/h3>\\n<p style=\\\"line-height: 25.6px;\\\">In the right sidebar, you can add these layout blocks to your email:<\\/p>\\n<p style=\\\"line-height: 25.6px;\\\"><\\/p>\\n<ul style=\\\"line-height: 25.6px;\\\">\\n<li>1 column<\\/li>\\n<li>2 columns<\\/li>\\n<li>3 columns<\\/li>\\n<\\/ul>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/newsletter-blank-1-2-1-column/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("32", "0", "Newsletter: Blank 1:3 Column", "[\"standard\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>Let\'s Get Started! <\\/strong><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>It\'s time to design your newsletter! In the right sidebar, you\'ll find four menu items that will help you customize your newsletter:<\\/p>\\n<ol>\\n<li>Content<\\/li>\\n<li>Columns<\\/li>\\n<li>Styles<\\/li>\\n<li>Preview<\\/li>\\n<\\/ol>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>This template...<\\/h3>\"},{\"type\":\"text\",\"text\":\"<p>In the right sidebar, you can add layout blocks to your newsletter.<\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>... has a...<\\/h3>\"},{\"type\":\"text\",\"text\":\"<p>You have the choice of:<\\/p>\\n<ul>\\n<li>1 column<\\/li>\\n<li>2 columns<\\/li>\\n<li>3 columns<\\/li>\\n<\\/ul>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>3-column layout.<\\/h3>\"},{\"type\":\"text\",\"text\":\"<p>You can add as many layout blocks as you want!<\\/p>\"},{\"type\":\"text\",\"text\":\"\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/newsletter-blank-1-3-column/thumbnail.20190930.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("33", "0", "Simple Text", "[\"standard\",\"blank\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\">Hi [subscriber:firstname | default:subscriber],<\\/p>\\n<p style=\\\"text-align: left;\\\"><\\/p>\\n<p style=\\\"text-align: left;\\\">In MailPoet, you can write emails in plain text, just like in a regular email. This can make your email newsletters more personal and attention-grabbing.<\\/p>\\n<p style=\\\"text-align: left;\\\"><\\/p>\\n<p style=\\\"text-align: left;\\\">Is this too simple? You can still style your text with basic formatting, like <strong>bold<\\/strong> or <em>italics.<\\/em><\\/p>\\n<p style=\\\"text-align: left;\\\"><\\/p>\\n<p style=\\\"text-align: left;\\\">Finally, you can also add a call-to-action button between 2 blocks of text, like this:<\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}},{\"type\":\"button\",\"text\":\"It\'s time to take action!\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}},{\"type\":\"text\",\"text\":\"<p>Thanks for reading. See you soon!<\\/p>\\n<p>&nbsp;<\\/p>\\n<p><strong><em>The MailPoet Team<\\/em><\\/strong><\\/p>\"},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/simple-text/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("34", "0", "Take a Hike", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/take_a_hike\\/header.jpg\",\"alt\":\"header\",\"fullWidth\":true,\"width\":\"1320px\",\"height\":\"483px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p>Hi&nbsp;[subscriber:firstname | default:explorer]<\\/p>\\n                      <p><\\/p>\\n                      <p>Aliquam feugiat nisl eget eleifend congue. Nullam neque tellus, elementum vel elit dictum, tempus sagittis nunc. Phasellus quis commodo odio. Vestibulum vitae mi vel quam rhoncus egestas eget vitae eros.&nbsp;<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#843c15\",\"height\":\"40px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1><strong>How to plan your hiking route<\\/strong><\\/h1>\\n                      <p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam dictum urna ac lacus dapibus rhoncus.<\\/p>\"},{\"type\":\"button\",\"text\":\"Read More\",\"url\":\"https:\\/\\/www.google.co.uk\",\"styles\":{\"block\":{\"backgroundColor\":\"#64a1af\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"150px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/take_a_hike\\/map.jpg\",\"alt\":\"map\",\"fullWidth\":false,\"width\":\"330px\",\"height\":\"227px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#843c15\",\"height\":\"40px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/take_a_hike\\/boots.jpg\",\"alt\":\"boots\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2><strong>Tried &amp; tested: Our favourite walking boots<\\/strong><\\/h2>\\n                        <p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.&nbsp;<\\/p>\"},{\"type\":\"button\",\"text\":\"See Reviews\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#64a1af\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"150px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#843c15\",\"height\":\"40px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>Hikers Gallery<\\/strong><\\/h3>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/take_a_hike\\/gallery3.jpg\",\"alt\":\"gallery3\",\"fullWidth\":true,\"width\":\"1000px\",\"height\":\"750px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/take_a_hike\\/gallery1-300x225.jpg\",\"alt\":\"gallery1\",\"fullWidth\":true,\"width\":\"300px\",\"height\":\"225px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/take_a_hike\\/gallery2-1.jpg\",\"alt\":\"gallery2\",\"fullWidth\":true,\"width\":\"1000px\",\"height\":\"750px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Edit this to insert text<\\/p>\"},{\"type\":\"button\",\"text\":\"View More Photos\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#64a1af\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"214px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#843c15\",\"height\":\"40px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>Hiking goes social...<\\/strong><\\/h3>\"},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"google-plus\",\"link\":\"http:\\/\\/plus.google.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Google-Plus.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Google Plus\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#843c15\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#64a1af\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#64a1af\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#64a1af\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#4f230c\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#423c39\",\"fontFamily\":\"Courier New\",\"fontSize\":\"24px\"},\"h2\":{\"fontColor\":\"#265f6d\",\"fontFamily\":\"Courier New\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#423c39\",\"fontFamily\":\"Courier New\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#843c15\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#843c15\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/take_a_hike/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("35", "0", "News Day", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#f2f2f2\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/news_day\\/News-Outlet-Title-2.jpg\",\"alt\":\"News-Outlet-Title-2\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #2ca5d2;\\\"><strong>Top Story<\\/strong><\\/span><\\/h1>\"},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><strong>Plasma jet engines that could take you from the ground to space<\\/strong><\\/h2>\"},{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/plasma-jet-engines-that-could-take-you-from-the-ground-to-space\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/news_day\\/plasma-stingray111-800x533.jpg\",\"alt\":\"Plasma jet engines that could take you from the ground to space\",\"fullWidth\":false,\"width\":\"413.28125px\",\"height\":440,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p class=\\\"mailpoet_wp_post\\\">FORGET fuel-powered jet engines. We\\u2019re on the verge of having aircraft that can fly from the ground up to the edge of space using air and electricity alone. Traditional jet engines create thrust by mixing compressed air with fuel and igniting it. The burning mixture expands rapidly and is blasted out of the back of the engine, pushing it forwards. &hellip;<\\/p><p><a href=\\\"http:\\/\\/mailpoet.info\\/plasma-jet-engines-that-could-take-you-from-the-ground-to-space\\/\\\">Read More<\\/a><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #2ca5d2;\\\"><strong>Popular Posts Today<\\/strong><\\/span><\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left; font-size: 18px; line-height: 1.4;\\\"><strong>Cutting through the smog: What to do to fight air pollution<\\/strong><\\/h3>\\n                      <p class=\\\"mailpoet_wp_post\\\">Tackling our air problems starts with traffic control, but individual action to reduce energy use and intensive farming would also help clean our air.<\\/p>\\n                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\\\">Read More<\\/a><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left; font-size: 18px; line-height: 1.4;\\\"><strong>Ladybird&rsquo;s transparent shell reveals how it&nbsp;moves<\\/strong><\\/h3>\\n                      <p class=\\\"mailpoet_wp_post\\\">They certainly know how to fold. A see-through artificial wing case has been used to watch for the first time as ladybirds put away their wings after flight.<\\/p>\\n                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/ladybirds-transparent-shell-reveals-how-it-folds-its-wings\\/\\\">Read More<\\/a><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left; font-size: 18px; line-height: 1.4;\\\"><strong>Brazil&rsquo;s history-making Hurricane<\\/strong><\\/h3>\\n                      <p class=\\\"mailpoet_wp_post\\\">Jairzinho has just made history. In claiming the fourth goal of an unforgettable 1970 FIFA World Cup Mexico&trade; Final against Italy, he has maintained his record of scoring in every one of Brazil&rsquo;s matches en route to the Trophy.<\\/p>\\n                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/brazils-history-making-hurricane\\/\\\">Read More<\\/a><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left; font-size: 18px; line-height: 1.4;\\\"><strong>Iceland&rsquo;s dentist-coach defying convention and expectations<\\/strong><\\/h3>\\n                      <p class=\\\"mailpoet_wp_post\\\">As Iceland&rsquo;s key matches loom, with kick-off just a couple of hours away, you will find their national coach in the pub. This may seem unusual...<\\/p>\\n                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/icelands-dentist-coach-defying-convention-and-expectations\\/\\\">Read More<\\/a><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left; font-size: 18px; line-height: 1.4;\\\"><strong>Impact and legacy of 2018 FIFA World Cup Russia<\\/strong><\\/h3>\\n                      <p class=\\\"mailpoet_wp_post\\\">Organising a FIFA World Cup&trade; in a sustainable manner is a major challenge. The scale of the event inevitably has an impact on the Host Country.&nbsp;<\\/p>\\n                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/impact-and-legacy-of-2018-fifa-world-cup-russia-facts-and-figures\\/\\\">Read More<\\/a><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left; font-size: 18px; line-height: 1.4;\\\"><strong>Lineker&rsquo;s life-changing treble<\\/strong><\\/h3>\\n                      <p class=\\\"mailpoet_wp_post\\\">Given that he won the Golden Boot in his first and came within a whisker of the Final in his second, one might expect Gary Lineker to have a tough time picking his FIFA World Cup&trade; highlight. Yet the man who scored ten times...<\\/p>\\n                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/linekers-life-changing-treble\\/\\\">Read More<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#f2f2f2\",\"height\":\"40px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><strong>NewsDay<\\/strong><\\/p>\\n                      <p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><br \\/><\\/p>\\n                      <p><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#f2f2f2\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#2ca5d2\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f2f2f2\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/news_day/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("36", "0", "World Cup", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Header.png\",\"alt\":\"Sports-Football-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"220px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Divider-1.png\",\"alt\":\"Sports-Football-Divider-1\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#da6110\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong><span style=\\\"color: #ffffff; font-size: 14px;\\\">Issue #1<\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" target=\\\"_blank\\\" style=\\\"color: #ffffff; font-size: 14px; text-align: center;\\\">View In Browser<\\/a><\\/p>\\n                                        <p style=\\\"text-align: right;\\\"><span style=\\\"color: #ffffff; text-align: start;\\\">Monday 1st January 2017<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#da6110\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Header-1.png\",\"alt\":\"Sports-Football-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"580px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><strong>Welcome Back!<\\/strong><\\/h2>\\n                                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam consequat lorem at est congue, non consequat lacus iaculis. Integer euismod mauris velit, vel ultrices nibh bibendum quis. Donec eget fermentum magna.<\\/p>\\n                                      <p><\\/p>\\n                                      <p>Nullam congue dui lectus, quis pellentesque orci placerat eu. Fusce semper neque a mi aliquet vulputate sed sit amet nisi. Etiam sed nisl nec orci pretium lacinia eget in turpis. Maecenas in posuere justo. Vestibulum et sapien vestibulum, imperdiet neque in, maximus velit.<\\/p>\\n                                      <p><\\/p>\\n                                      <p>Proin dignissim elit magna, viverra scelerisque libero vehicula sed<\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Divider-3.png\",\"alt\":\"Sports-Football-Divider-3\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#efefef\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#efefef\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"padding-bottom: 0;\\\"><span style=\\\"font-weight: 600;\\\">Latest News<\\/span><\\/h2>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"View All News\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#d35400\",\"borderColor\":\"#d35400\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"110px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"right\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#efefef\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#efefef\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/brazils-history-making-hurricane\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/2865897_full-lnd.jpg\",\"alt\":\"Brazil\\u2019s history-making Hurricane\",\"fullWidth\":false,\"width\":652,\"height\":366,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Brazil&rsquo;s history-making Hurricane<\\/strong><\\/h3>\\n                                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam consequat lorem at est congue, non consequat lacus iaculis. Integer euismod mauris velit, vel ultrices nibh bibendum quis. Donec eget fermentum magna. Nullam congue dui lectus, quis pellentesque orci placerat eu. Fusce semper neque a mi aliquet vulputate sed sit amet nisi...<\\/p>\\n                                            <p><a href=\\\"http:\\/\\/mailpoet.info\\/brazils-history-making-hurricane\\/\\\">Read More<\\/a><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#efefef\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/icelands-dentist-coach-defying-convention-and-expectations\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/2866107_full-lnd.jpg\",\"alt\":\"Iceland\\u2019s dentist-coach defying convention and expectations\",\"fullWidth\":false,\"width\":652,\"height\":366,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Iceland&rsquo;s dentist-coach defying convention and expectations<\\/strong><\\/h3>\\n                                          <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam consequat lorem at est congue, non consequat lacus iaculis. Integer euismod mauris velit...<\\/p>\\n                                          <p><a href=\\\"http:\\/\\/mailpoet.info\\/icelands-dentist-coach-defying-convention-and-expectations\\/\\\">Read More<\\/a><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/impact-and-legacy-of-2018-fifa-world-cup-russia-facts-and-figures\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/2709222_full-lnd.jpg\",\"alt\":\"Impact and legacy of 2018 FIFA World Cup Russia: facts and figures\",\"fullWidth\":false,\"width\":652,\"height\":366,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Impact and legacy of 2018 FIFA World Cup Russia: facts and figures<\\/strong><\\/h3>\\n                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam consequat lorem at est congue, non consequat lacus iaculis. Integer euismod...<\\/p>\\n                                        <p><a href=\\\"http:\\/\\/mailpoet.info\\/impact-and-legacy-of-2018-fifa-world-cup-russia-facts-and-figures\\/\\\">Read More<\\/a><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/linekers-life-changing-treble\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/2867790_full-lnd.jpg\",\"alt\":\"Lineker\\u2019s life-changing treble\",\"fullWidth\":false,\"width\":652,\"height\":366,\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Lineker&rsquo;s life-changing treble<\\/strong><\\/h3>\\n                                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam consequat lorem at est congue, non consequat lacus iaculis. Integer euismod mauris velit&nbsp;<span style=\\\"background-color: inherit;\\\">consequat lorem at est congue...<\\/span><\\/p>\\n                                      <p><a href=\\\"http:\\/\\/mailpoet.info\\/linekers-life-changing-treble\\/\\\">Read More<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#efefef\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Divider-2.png\",\"alt\":\"Sports-Football-Divider-2\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Footer-1.png\",\"alt\":\"Sports-Football-Footer\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#da6110\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#da6110\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#b55311\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#da6110\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/world_cup\\/Sports-Football-Logo-Small.png\",\"alt\":\"Sports-Football-Logo-Small\",\"fullWidth\":false,\"width\":\"772px\",\"height\":\"171px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#da6110\",\"height\":\"20px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#da6110\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#da6110\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#222222\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/world_cup/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("37", "0", "Festival Event", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#0a5388\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/festival_event\\/festival-header.jpg\",\"alt\":\"festival-header\",\"fullWidth\":true,\"width\":\"1320px\",\"height\":\"879px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"36px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\">Pack your glowsticks, <br \\/>Boomfest is back!&nbsp;<\\/h1>\\n                        <p><\\/p>\\n                        <p style=\\\"text-align: center;\\\">Duis tempor nisl in risus hendrerit venenatis. <br \\/>Curabitur ornare venenatis nisl non ullamcorper. <\\/p>\"},{\"type\":\"button\",\"text\":\"Duis id tincidunt\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#0a5388\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"260px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Maecenas scelerisque nisi sit amet metus efficitur dapibus!&nbsp;<br \\/>Ut eros risus, facilisis ac aliquet vel, posuere ut urna.<\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"28px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\">Confirmed Lineup<\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><em><span style=\\\"color: #bae2ff;\\\">Main Stage<\\/span><\\/em><\\/h3><p>Quisque libero<br \\/>Nulla convallis<br \\/>Vestibulum Ornare<br \\/>Consectetur Odio<\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><em><span style=\\\"color: #bae2ff;\\\">New Acts Stage<\\/span><\\/em><\\/h3><p>Nulla interdum<br \\/>Massa nec<br \\/>Pharetra<br \\/>Varius<\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><em><span style=\\\"color: #bae2ff;\\\">Comedy Stage<\\/span><\\/em><\\/h3><p>In pulvinar<br \\/>Risus sed<br \\/>Condimentum<br \\/>Feugiat<\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\">New to the festival this year<\\/h2>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"9px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/festival_event\\/street-food.jpg\",\"alt\":\"street food\",\"fullWidth\":true,\"width\":\"499px\",\"height\":\"750px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3>Award-winning Street Food<\\/h3><p>Nullam pharetra lectus id porta pulvinar. Proin ac massa nibh. Nullam ac mi pharetra, lobortis nunc et, placerat leo. Mauris eu feugiat elit. Pellentesque eget turpis eu diam vehicula convallis non <a href=\\\"https:\\/\\/www.mailpoet.com\\\">luctus enim.<\\/a><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/festival_event\\/happy.jpeg\",\"alt\":\"happy\",\"fullWidth\":true,\"width\":\"499px\",\"height\":\"750px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3>Prepare to&nbsp;dazzle with our Glitter Run<\\/h3><p>Donec quis orci at metus finibus tincidunt. Sed vel urna sed urna maximus congue eu et turpis. Nulla tempus hendrerit justo eget molestie. Vivamus quis molestie lacus. Donec commodo odio a nisi feugiat, vitae egestas mi.<\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}}},{\"type\":\"footer\",\"text\":\"<p>Mauris tristique ultricies ullamcorper. <br \\/>Don\'t want to hear from us?&nbsp;<a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><\\/p><p><\\/p><p>Add your postal address here.&nbsp;<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"13px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Georgia\",\"fontSize\":\"36px\"},\"h2\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Georgia\",\"fontSize\":\"26px\"},\"h3\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Georgia\",\"fontSize\":\"24px\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#8d062b\"},\"body\":{\"backgroundColor\":\"#0a5388\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/festival_event/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("38", "0", "Retro Computing Magazine", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#4473a1\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#008282\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro_computing_magazine\\/Windows94-Header.png\",\"alt\":\"Windows94-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"740px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #ffffff;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #ffffff;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"#008282\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Courier New\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><strong>We\'re upgrading!<\\/strong><\\/h1>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit. Nunc ex nibh, porta vulputate pharetra ac, placerat sed orci. Etiam enim enim, aliquet nec ligula in, ultrices iaculis dolor. Suspendisse potenti. Praesent fringilla augue ut lorem mattis, vitae fringilla nunc faucibus. <\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><span>Quisque in leo felis. Etiam at libero et enim tincidunt scelerisque. Ut felis lectus, imperdiet quis justo quis, elementum sagittis tellus. Sed elementum, lacus at iaculis vestibulum, nunc leo gravida nisi, sed dapibus nisi odio ac ex. Aliquam id arcu dictum, cursus quam id, eleifend libero.<\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"ridge\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1><strong>Latest News<\\/strong><\\/h1>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>What is it like to use a Windows 98 PC in 2017?<\\/strong><\\/h3>\"},{\"type\":\"text\",\"text\":\"<p class=\\\"mailpoet_wp_post\\\"><span>Computers are much more advanced than they were even a few years ago, but of course we all like to complain about the dumb things they sometimes do. It&rsquo;s easy to forget how clunky things used to be, though...<\\/span><\\/p>\\n<p><a href=\\\"http:\\/\\/mailpoet.info\\/odds-on-10-science-breakthroughs-you-can-bet-on\\/\\\">Read more<\\/a><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Windows 95 still finds life online<\\/strong><\\/h3>\"},{\"type\":\"text\",\"text\":\"<p class=\\\"mailpoet_wp_post\\\">Microsoft&rsquo;s Windows 95 has reached the ripe old age of 22 this year and to commemorate this milestone, TheNextWeb goes into some details about the operating system that users may have missed over the years...<\\/p>\\n<p><a href=\\\"http:\\/\\/mailpoet.info\\/brazils-history-making-hurricane\\/\\\">Read more<\\/a><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>New Sinclair ZX Spectrum Fully Funded<\\/strong><\\/h3>\"},{\"type\":\"text\",\"text\":\"<p class=\\\"mailpoet_wp_post\\\">The new Sinclair ZX Spectrum Next home computer which was launched on Kickstarter to mark the 35th birthday of the original Spectrum produced by Sinclair Research has been fully funded in less than 48 hours...<\\/p>\\n<p><a href=\\\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\\\">Read more<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#008282\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#008282\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2><strong><span style=\\\"color: #ffffff;\\\">Did you know?<\\/span><\\/strong><\\/h2>\\n<p><span style=\\\"color: #ffffff;\\\">At the time of creation and development, the microcomputers in Japan were not powerful enough to handle the complex tasks related to the design and programming of Space Invaders. Nishikado then designed his own hardware and developmental tools to make the game a reality.<\\/span><\\/p>\\n<p><strong><span style=\\\"color: #ffffff;\\\"><\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro_computing_magazine\\/Windows94-Today.png\",\"alt\":\"Windows94-Today\",\"fullWidth\":false,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#008282\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>Let\'s get social!<\\/strong><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}]},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Courier New\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#008282\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Courier New\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#008282\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#008282\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/retro_computing_magazine/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("39", "0", "Shoes", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/shoes\\/Retail-Shoes-Logo.png\",\"alt\":\"Retail-Shoes-Logo\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"220px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/shoes\\/Retail-Shoes-Header.jpg\",\"alt\":\"Retail-Shoes-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f1b512\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #614a0d;\\\">Our New Range<\\/span><\\/h2>\\n                      <p style=\\\"text-align: center;\\\"><span style=\\\"color: #614a0d;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque cursus aliquam urna, non ultricies diam sagittis sit amet. Etiam tempus a metus sed tincidunt.<\\/span><\\/p>\\n                      <p style=\\\"text-align: center;\\\"><span style=\\\"color: #614a0d;\\\">Curabitur fermentum ligula eget lacus aliquam volutpat. Integer sapien neque, laoreet quis lobortis sed, semper eget magna. Suspendisse potentiu.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#41c7bf\",\"borderColor\":\"#28a9a2\",\"borderWidth\":\"2px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#36b0a9\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"70px\"}}},{\"type\":\"text\",\"text\":\"<h2><span style=\\\"color: #ffffff;\\\">Handcrafted Shoes<\\/span><\\/h2>\\n                       <p style=\\\"font-size: 14px;\\\"><span><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque cursus aliquam urna, non ultricies diam sagittis sit amet. Etiam tempus a metus sed tincidunt. Curabitur fermentum ligula eget lacus aliquam volutpat.<\\/span><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/shoes\\/Retail-Shoes-Boxes-1.jpg\",\"alt\":\"Retail-Shoes-Boxes-1\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#36b0a9\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/shoes\\/Retail-Shoes-Boxes-2.jpg\",\"alt\":\"Retail-Shoes-Boxes-2\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"70px\"}}},{\"type\":\"text\",\"text\":\"<h2><span style=\\\"color: #ffffff;\\\">Perfect For Any Occasion<\\/span><\\/h2>\\n                      <p style=\\\"font-size: 14px;\\\"><span><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque cursus aliquam urna, non ultricies diam sagittis sit amet. Etiam tempus a metus sed tincidunt. Curabitur fermentum ligula eget lacus aliquam volutpat.<\\/span><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>We\'re open every day!<\\/strong><\\/h3>\\n                        <p style=\\\"text-align: center;\\\">Call in any time and we\'ll help you pick the best shoes for any occasion.<\\/p>\\n                        <p style=\\\"text-align: center;\\\">If you\'re not happy, just bring them back to us and we\'ll give you a full refund.<\\/p>\"},{\"type\":\"button\",\"text\":\"Check Out Our Website\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#41c7bf\",\"borderColor\":\"#28a9a2\",\"borderWidth\":\"2px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"220px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#d3d3d3\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/shoes\\/Retail-Shoes-Logo-Footer.png\",\"alt\":\"Retail-Shoes-Logo-Footer\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"60px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\"><span style=\\\"color: #999999;\\\">Address Line 1<\\/span><\\/p>\\n                      <p style=\\\"text-align: center; font-size: 12px;\\\"><span style=\\\"color: #999999;\\\">Address Line 2<\\/span><\\/p>\\n                      <p style=\\\"text-align: center; font-size: 12px;\\\"><span style=\\\"color: #999999;\\\">City<\\/span><\\/p>\\n                      <p style=\\\"text-align: center; font-size: 12px;\\\"><span style=\\\"color: #999999;\\\">Country<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/02-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f6f6f6\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#41c7bf\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f6f6f6\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/shoes/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("40", "0", "Music", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2d2d\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/music\\/Music-Logo.png\",\"alt\":\"Music-Logo\",\"fullWidth\":false,\"width\":\"496px\",\"height\":\"78px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/music\\/music-header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"70px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #393939;\\\"><strong>You Play.<\\/strong><\\/span><\\/h1>\\n<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #393939;\\\"><strong>They Listen.<\\/strong><\\/span><\\/h1>\"},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #878787;\\\">Up to 50% off all of our instruments.<\\/span><\\/h2>\\n<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #878787;\\\">This week only.<\\/span><\\/h2>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"176px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Choose a category and get playing<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Electric Guitars\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Trumpets\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"DJ Equipment\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Amps\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Drums\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Pianos\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Banjos\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Synthesizers\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Guitar Pedals\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Harmonicas\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Flutes\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Headphones\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#2d2d2d\",\"borderWidth\":\"3px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"189px\",\"lineHeight\":\"50px\",\"fontColor\":\"#2d2d2d\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2d2d\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2d2d\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/music\\/Music-Logo.png\",\"alt\":\"Music-Logo\",\"fullWidth\":false,\"width\":\"496px\",\"height\":\"78px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 11px;\\\"><span style=\\\"color: #999999;\\\"><em><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #999999;\\\">Unsubscribe<\\/a><\\/strong><\\/em><\\/span><\\/p>\\n<p style=\\\"text-align: center; font-size: 11px;\\\"><span style=\\\"color: #999999;\\\"><em><strong><a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #999999;\\\">Manage your subscription<\\/a><\\/strong><\\/em><\\/span><br \\/><span style=\\\"color: #999999;\\\">Add your postal address here!<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"36px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#2d2d2d\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#2d2d2d\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"176px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/music/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("41", "0", "Hotels", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2a31\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/hotels\\/Hotel-Logo-1.png\",\"alt\":\"Hotel-Logo\",\"fullWidth\":false,\"width\":\"554px\",\"height\":\"200px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>My Favourites<\\/strong><\\/span><\\/h3>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Recent Bookings<\\/strong><\\/span><\\/h3>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/hotels\\/Hotel-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h1><span style=\\\"color: #ffffff;\\\"><strong>Pets go free<\\/strong><\\/span><\\/h1>\"},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">Stay in any Exquisite hotel this summer and bring your pet for free!<\\/span><\\/h2>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffc600\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"46px\",\"fontColor\":\"#3f3f3f\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><strong>Get ready to travel in Exquiste style...<\\/strong><\\/h2>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit. Nunc ex nibh, porta vulputate pharetra ac, placerat sed orci. Etiam enim enim, aliquet nec ligula in, ultrices iaculis dolor. Suspendisse potenti. Praesent fringilla augue ut lorem mattis, vitae fringilla nunc faucibus.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/hotels\\/dubai-paris.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}}},{\"type\":\"text\",\"text\":\"<h1><span style=\\\"color: #ffffff;\\\"><strong>Dubai<\\/strong><\\/span><\\/h1>\\n<h2><span style=\\\"color: #ffffff;\\\">From $199<strong><br \\/><\\/strong><\\/span><\\/h2>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}}},{\"type\":\"text\",\"text\":\"<h1><strong><span style=\\\"color: #ffffff;\\\">Paris<\\/span><\\/strong><\\/h1>\\n<h2><span style=\\\"color: #ffffff;\\\">From $149<\\/span><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/hotels\\/toronto-delhi.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}}},{\"type\":\"text\",\"text\":\"<h1><span style=\\\"color: #ffffff;\\\"><strong>Toronto<\\/strong><\\/span><\\/h1>\\n<h2><span style=\\\"color: #ffffff;\\\">From $229<\\/span><\\/h2>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}}},{\"type\":\"text\",\"text\":\"<h1><span style=\\\"color: #ffffff;\\\"><strong>New Delhi<\\/strong><\\/span><\\/h1>\\n<h2><span style=\\\"color: #ffffff;\\\">From $149<\\/span><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/hotels\\/rio-london.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}}},{\"type\":\"text\",\"text\":\"<h1><span style=\\\"color: #ffffff;\\\"><strong>Rio de Janeiro<\\/strong><\\/span><\\/h1>\\n<h2><span style=\\\"color: #ffffff;\\\">From $329<\\/span><\\/h2>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}}},{\"type\":\"text\",\"text\":\"<h1><span style=\\\"color: #ffffff;\\\"><strong>London<\\/strong><\\/span><\\/h1>\\n<h2><span style=\\\"color: #ffffff;\\\">From $99<\\/span><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffc600\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Just for you...<\\/strong><\\/h2>\\n<p style=\\\"text-align: center;\\\">Here\'s 10% off your next booking with us.<\\/p>\\n<p style=\\\"text-align: center;\\\">Just grab the code below and paste it when required on the booking form!<\\/p>\"},{\"type\":\"button\",\"text\":\"VALU3DCUST\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffc600\",\"borderColor\":\"#000000\",\"borderWidth\":\"2px\",\"borderRadius\":\"6px\",\"borderStyle\":\"solid\",\"width\":\"219px\",\"lineHeight\":\"40px\",\"fontColor\":\"#000000\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2a31\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2a31\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/hotels\\/Hotel-Logo-Small.png\",\"alt\":\"Hotel-Logo-Small\",\"fullWidth\":true,\"width\":\"554px\",\"height\":\"200px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d2a31\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Address Line 1 <\\/strong><\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Address Line 2 <\\/strong><\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>City <\\/strong><\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Country<\\/strong><\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #ffc600;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #ffc600;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #ffc600;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #ffffff;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\"},\"h3\":{\"fontColor\":\"#2d2a31\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#008282\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#2d2a31\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffc600\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"46px\",\"fontColor\":\"#3f3f3f\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"181px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/hotels/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("42", "0", "Piece of cake", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><strong>Open daily from 9am to 9pm |&nbsp;<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/strong><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"#ececeb\"},\"text\":{\"fontColor\":\"#606060\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#d42b2b\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/piece_of_cake\\/Restaurant-Bakery-Logo-1.png\",\"alt\":\"Restaurant-Bakery-Logo-1\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"180px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/piece_of_cake\\/Restaurant-Bakery-Header.jpg\",\"alt\":\"Restaurant-Bakery-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"1600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>It\'s our Birthday!<\\/strong><\\/h1>\"},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center; line-height: 1.4;\\\">To celebrate, we\'re adding a slice of our Birthday cake to every order. Pop in this weekend to use our special offer code and enjoy!<\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; border: 3px dashed #d42b2b; color: #d42b2b; padding: 10px; font-size: 24px;\\\"><strong>HAPPYBDAY<\\/strong><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ececeb\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ececeb\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"background-color: #ececeb; line-height: 1.3;\\\"><span style=\\\"font-weight: 600;\\\"><span style=\\\"font-size: 12px; text-align: center;\\\">Add your postal address here.<\\/span><\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right; line-height: 1.3;\\\"><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #d42b2b; text-decoration: none; font-size: 12px; text-align: center;\\\">Unsubscribe<\\/a><\\/strong><\\/p>\\n                      <p style=\\\"text-align: right; line-height: 1.3;\\\"><strong><a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #d42b2b; text-decoration: none; font-size: 12px; text-align: center;\\\">Manage&nbsp;Subscription<\\/a><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ececeb\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#606060\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#606060\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#d42b2b\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#606060\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#d42b2b\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ececeb\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/piece_of_cake/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("43", "0", "Buddhist Temple", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#00050b\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"11px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#787878\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"80px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Logo.png\",\"alt\":\"Buddhist-Logo\",\"fullWidth\":false,\"width\":\"170px\",\"height\":\"99px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"text\",\"text\":\"<h1>With our thoughts, we make the <span style=\\\"color: #f37f31;\\\">world<\\/span><\\/h1>\\n    <p><span style=\\\"color: #dedede;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum. Vestibulum finibus sapien in enim ultricies, vel placerat risus lacinia.<\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"24.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#f37f31\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Avatar.jpg\",\"alt\":\"Buddhist-Avatar\",\"fullWidth\":false,\"width\":\"70px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"text\",\"text\":\"<p><span style=\\\"color: #999999;\\\">Special Event<\\/span><\\/p>\\n    <h3>Dalai Lama visit<\\/h3>\\n    <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Book tickets here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f37f31\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"145px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#f37f31\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #f37f31;\\\">New prayer flags<\\/span><\\/h3>\\n    <p><span style=\\\"color: #dedede;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum. Vestibulum finibus sapien in enim ultricies, vel placerat risus lacinia.<\\/span><\\/p>\\n    <p><a href=\\\"http:\\/\\/a9d.fc4.mwp.accessdomain.com\\\">Find out more &gt;<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/5bafccfc554c7f08176ec084.png\",\"alt\":\"5bafccfc554c7f08176ec084\",\"fullWidth\":false,\"width\":\"280px\",\"height\":\"524px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Social.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f37f31\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"45px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"90px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Sharing matters to us<\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum. Vestibulum finibus sapien in enim ultricies, vel placerat risus lacinia.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"45px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Images-1.jpg\",\"alt\":\"Buddhist-Images-1\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #dedede;\\\">Meditation for beginners<\\/span><\\/h3>\\n    <p><span style=\\\"color: #dedede;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum.<\\/span>&nbsp;<\\/span><\\/p>\\n    <p><a href=\\\"http:\\/\\/a9d.fc4.mwp.accessdomain.com\\\">Find out more &gt;<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Images-2.jpg\",\"alt\":\"Buddhist-Images-2\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #dedede;\\\">Planning your trip to a temple<\\/span><\\/h3>\\n    <p><span style=\\\"color: #dedede;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum.<\\/span>&nbsp;<\\/span><\\/p>\\n    <p><a href=\\\"http:\\/\\/a9d.fc4.mwp.accessdomain.com\\\">Find out more &gt;<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Images-3.jpg\",\"alt\":\"Buddhist-Images-3\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #dedede;\\\">Visit the sunken statues<\\/span><\\/h3>\\n    <p><span style=\\\"color: #dedede;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sed semper ipsum.<\\/span>&nbsp;<\\/span><\\/p>\\n    <p><a href=\\\"http:\\/\\/a9d.fc4.mwp.accessdomain.com\\\">Find out more &gt;<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#f37f31\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/buddhist-temple\\/Buddhist-Logo.png\",\"alt\":\"Buddhist-Logo\",\"fullWidth\":false,\"width\":\"170px\",\"height\":\"99px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#f37f31\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#eeeeee\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#eeeeee\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#eeeeee\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#eeeeee\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#f37f31\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#00050b\"},\"body\":{\"backgroundColor\":\"#00050b\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Book tickets here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f37f31\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"145px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#f37f31\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#f37f31\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"11px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#787878\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/buddhist-temple/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("44", "0", "Mosque", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#009146\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"10px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"none\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/Mosque-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#333333\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/Mosque-Logo.png\",\"alt\":\"Mosque-Logo\",\"fullWidth\":false,\"width\":\"182px\",\"height\":\"119px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\"><strong>JANUARY 2019<\\/strong><\\/span><\\/p>\\n    <h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Newsletter<\\/span><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc scelerisque ut purus vel eleifend. Curabitur mollis nisi id mauris efficitur pretium.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"90px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #009146;\\\"><strong>Upcoming Events<\\/strong><\\/span><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/Mosque-Images-1.jpg\",\"alt\":\"Mosque-Images-1\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>14th&nbsp;January 2019<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><span>The Four Imams<\\/span><\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc scelerisque ut purus vel eleifend. Curabitur mollis nisi id mauris.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><strong><a href=\\\"\\\">Find out more &gt;<\\/a><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/Mosque-Images-2.jpg\",\"alt\":\"Mosque-Images-2\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>23rd&nbsp;January 2019<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><span>Prayer Makes Perfect<\\/span><\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc scelerisque ut purus vel eleifend. Curabitur mollis nisi id mauris.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong><a href=\\\"\\\">Find out more &gt;<\\/a><\\/strong><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/Mosque-Images-3.jpg\",\"alt\":\"Mosque-Images-3\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>29th&nbsp;January 2019<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><span>Plaster Carving<\\/span><\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc scelerisque ut purus vel eleifend. Curabitur mollis nisi id mauris.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong><a href=\\\"http:\\/\\/a9d.fc4.mwp.accessdomain.com\\\">Find out more &gt;<\\/a><\\/strong><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#009146\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"5.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#009146\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #009146;\\\"><strong>Prayer Times<\\/strong><\\/span><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong><\\/strong><strong>Fajr<\\/strong><\\/h2>\"},{\"type\":\"button\",\"text\":\"7.04pm\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Sunrise<\\/strong><\\/h2>\"},{\"type\":\"button\",\"text\":\"8.41am\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Dhuhr<\\/strong><\\/h2>\"},{\"type\":\"button\",\"text\":\"12.35pm\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Asr<\\/strong><\\/h2>\"},{\"type\":\"button\",\"text\":\"2.01pm\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Maghrib<\\/strong><\\/h2>\"},{\"type\":\"button\",\"text\":\"4.21pm\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Isha\'a<\\/strong><\\/h2>\"},{\"type\":\"button\",\"text\":\"5.58pm\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/bg-2.jpg\",\"alt\":\"bg-2\",\"fullWidth\":false,\"width\":\"1200px\",\"height\":\"286px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#009146\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"24px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/mosque\\/Mosque-Logo.png\",\"alt\":\"Mosque-Logo\",\"fullWidth\":false,\"width\":\"144px\",\"height\":\"119px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"29px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"11px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#009146\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"13px\"},\"h1\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#009146\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#e3e3e3\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"5.58pm\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#009146\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"5.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#009146\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"11px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#009146\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"29px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"10px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/mosque/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("45", "0", "Synagogue", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2b3d5e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#7386a7\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#384e76\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"padding\":\"7.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#0d7e85\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#384e76\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Logo.png\",\"alt\":\"Synagogue-Logo\",\"fullWidth\":false,\"width\":\"180px\",\"height\":\"208px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"27px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Header-2.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#384e76\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"140px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"44px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">Welcome&nbsp;back<\\/span><\\/h1>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">This month we\'ll be discussing important topics around our faith, and highlighting some events that you may be interested in.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"38px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #04aeb9;\\\"><strong><span>S P E C I A L&nbsp; E V E N T<\\/span><\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">Stories In Song<\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">An afternoon of comedy and music with Daniel Cainer. This multi-award-winning master-songwriter and great musician brings our family trees to life.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Tickets available here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"175px\",\"lineHeight\":\"38px\",\"fontColor\":\"#093c3f\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"43px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Back-1.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/male-18.jpg\",\"alt\":\"male-18\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"360px\",\"styles\":{\"block\":{\"textAlign\":\"right\"}}},{\"type\":\"text\",\"text\":\"<p class=\\\"font_2\\\" style=\\\"text-align: right;\\\"><span style=\\\"color: #384e76;\\\"><strong>Ariel Abel<\\/strong><\\/span><\\/p>\\n    <p class=\\\"font_2\\\" style=\\\"font-size: 11px; text-align: right;\\\"><span style=\\\"color: #384e76;\\\">Princes Road Synagogue&nbsp;<span>Rabbi&nbsp;<\\/span><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get in touch\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"30px\",\"fontColor\":\"#093c3f\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"right\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">Greetings from our Rabbi&nbsp;<\\/span><\\/h2>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed pellentesque magna erat, vitae ultricies eros porttitor eleifend. Fusce luctus accumsan risus, at rhoncus ante vehicula in. Praesent ut ultricies ipsum. Sed lacus dolor, laoreet nec tincidunt ut, commodo nec augue. In dignissim justo eget ante facilisis ornare.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\"><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\"><span>Cras in lacus ac lectus hendrerit porta. Morbi pretium id nisi eget placerat. Integer nec quam nec augue luctus facilisis. Nam sollicitudin velit nec risus mattis, quis porttitor tortor consequat. Vivamus nec justo vel lectus pharetra volutpat.<\\/span><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\"><span><\\/span><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\"><span>Quisque eget vestibulum quam, eu fermentum ipsum.<\\/span><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#384e76\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"padding\":\"6.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#04aeb9\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #384e76;\\\">Latest News<\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #384e76;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed pellentesque magna erat, vitae ultricies eros porttitor eleifend.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Images-1.jpg\",\"alt\":\"Synagogue-Images-1\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">Building work started this week<\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed pellentesque magna erat.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"81px\",\"lineHeight\":\"30px\",\"fontColor\":\"#093c3f\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Images-2.jpg\",\"alt\":\"Synagogue-Images-2\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">What\'s life like as a Jewish teenager?<\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed pellentesque magna erat.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"81px\",\"lineHeight\":\"30px\",\"fontColor\":\"#093c3f\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Images-3.jpg\",\"alt\":\"Synagogue-Images-3\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">The life of paper in a modern world<\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #384e76;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed pellentesque magna erat.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"81px\",\"lineHeight\":\"30px\",\"fontColor\":\"#093c3f\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2b3d5e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Keep in touch with us<\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed pellentesque magna erat, vitae ultricies eros porttitor eleifend.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2b3d5e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2b3d5e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/synagogue\\/Synagogue-Logo.png\",\"alt\":\"Synagogue-Logo\",\"fullWidth\":false,\"width\":\"180px\",\"height\":\"208px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#04aeb9\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2b3d5e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"13px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#2b3d5e\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Get in touch\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"30px\",\"fontColor\":\"#093c3f\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"right\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"#04aeb9\",\"padding\":\"6.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#04aeb9\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#04aeb9\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#7386a7\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/synagogue/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("46", "0", "Faith", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/faith\\/church-header.jpg\",\"alt\":\"church-header\",\"fullWidth\":true,\"width\":\"1036px\",\"height\":\"563px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\">Spreading Love &amp; Hope...<\\/h1><p>Duis id molestie ex. Quisque finibus magna in justo tristique pellentesque. Nulla sed leo facilisis arcu malesuada molestie vel quis dolor. Donec imperdiet condimentum odio ut elementum. Aenean nisl massa, rutrum a ullamcorper eget, molestie non erat.&nbsp;<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f3f4f4\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\">Family Faith Events<\\/h2>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/faith\\/family.jpg\",\"alt\":\"family\",\"fullWidth\":false,\"width\":\"660px\",\"height\":\"880px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p>In maximus tempus pellentesque. Nunc scelerisque ante odio, vel placerat dui fermentum efficitur. Integer vitae ex suscipit, aliquet eros vitae, ornare est. <a href=\\\"http:\\/\\/www.example.com\\\">Aenean vel dapibus nisi<\\/a>.<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2>Thoughts &amp; Prayers<\\/h2>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/faith\\/pray.jpg\",\"alt\":\"pray\",\"fullWidth\":false,\"width\":\"660px\",\"height\":\"880px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p>Donec sed vulputate ipsum. In scelerisque rutrum interdum. Donec imperdiet dignissim erat, in dictum lectus accumsan ut. <a href=\\\"http:\\/\\/www.example.com\\\">Aliquam erat volutpat.<\\/a><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\">Latest News<\\/h1>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"7px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"1px\",\"borderColor\":\"#dcdcdc\"}}},{\"type\":\"automatedLatestContent\",\"amount\":\"3\",\"contentType\":\"post\",\"terms\":[],\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#dfeaf3\",\"borderColor\":\"#00ddff\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"45px\",\"fontColor\":\"#597890\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"2px\",\"borderColor\":\"#dfeaf3\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#e7eff6\",\"padding\":\"13px\",\"borderStyle\":\"ridge\",\"borderWidth\":\"6px\",\"borderColor\":\"#597890\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#e7eff6\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><b>Add your postal address here!<\\/b>\",\"styles\":{\"block\":{\"backgroundColor\":\"#e7eff6\"},\"text\":{\"fontColor\":\"#787878\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"14px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#787878\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Find us socially:<\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#787878\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#597890\",\"fontFamily\":\"Comic Sans MS\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#597890\",\"fontFamily\":\"Comic Sans MS\",\"fontSize\":\"18px\"},\"h3\":{\"fontColor\":\"#787878\",\"fontFamily\":\"Tahoma\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#597890\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#e7eff6\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/faith/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("47", "0", "College", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/college\\/College-Logo.png\",\"alt\":\"College-Logo\",\"fullWidth\":false,\"width\":\"106px\",\"height\":\"652px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"36px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"33px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/college\\/College-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#333333\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #ffcc00;\\\"><strong>S U M M E R&nbsp; &nbsp;E D I T I O N<\\/strong><\\/span><\\/p>\\n    <h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">Graduation Day is Coming<\\/span><\\/h1>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce dapibus iaculis risus ut tincidunt. Integer gravida mauris erat, vehicula blandit velit ultrices ut.&nbsp;<\\/span><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"54px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>H E A D M A S T E R \' S&nbsp; &nbsp;B L O G<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: left;\\\"><strong><span style=\\\"color: #333333;\\\">Your hard work pays off in the future to come<\\/span><\\/strong><\\/h2>\\n    <p><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"18.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffcc00\"}}},{\"type\":\"text\",\"text\":\"<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur purus quam, semper eget nisl at, pretium fermentum ligula. Ut augue elit, congue non nisl eget, venenatis ornare ante. Aliquam erat volutpat. Maecenas facilisis eget risus vel scelerisque.<\\/p>\\n    <p><\\/p>\\n    <p>Etiam eros arcu, vestibulum at iaculis ut, iaculis nec est. Ut ut malesuada purus. Etiam sed accumsan eros, eu aliquam nisl. Nam faucibus sit amet felis at euismod. Sed efficitur varius tincidunt. Curabitur varius, nunc id interdum sodales, felis purus congue nulla, at semper orci est id mauris. Ut euismod vel dui sed mollis. Aliquam vestibulum id leo eu tristique. Etiam sit amet lacus vitae mi dignissim iaculis id ac nulla.<\\/p>\\n    <p><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/college\\/College-Image.jpg\",\"alt\":\"College-Image\",\"fullWidth\":false,\"width\":\"1200px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><\\/p>\\n    <p>Praesent mi lorem, varius sit amet mattis at, sollicitudin ac enim. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam rhoncus tellus eleifend, accumsan magna in, imperdiet mauris. Cras a justo in lectus semper fermentum. Integer porta vel risus a varius. Aliquam nec nulla dui. Nulla congue ornare fringilla.<\\/p>\\n    <p><\\/p>\\n    <p>Nulla gravida interdum velit, nec pretium lacus placerat vel. Curabitur vitae arcu condimentum, iaculis nisl ac, viverra augue.<\\/p>\\n    <p><\\/p>\\n    <p>Etiam tincidunt justo quam, ac suscipit lectus hendrerit ac.<\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/college\\/College-Avatar.jpg\",\"alt\":\"College-Avatar\",\"fullWidth\":true,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><\\/p>\\n    <p><\\/p>\\n    <p><strong>Mr George Chalk<\\/strong><\\/p>\\n    <p>Headmaster &amp; Director<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"44px\"}}},{\"type\":\"text\",\"text\":\"<p><strong>Need some tips and advice?&nbsp;<\\/strong><\\/p>\\n    <p>Here\'s the latest updates from our blog:<\\/p>\\n    <p><\\/p>\\n    <p><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">7 ways to destress before an exam even starts<\\/a><\\/p>\\n    <p><\\/p>\\n    <p><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Focussing on the right content is key to being successful<\\/a><\\/p>\\n    <p><\\/p>\\n    <p><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Getting a degree is only the start of the battle<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffcc00;\\\"><strong><\\/strong><\\/span><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><span>&nbsp;|&nbsp;<\\/span><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><span>Add your postal address here!<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/college\\/College-Logo.png\",\"alt\":\"College-Logo\",\"fullWidth\":false,\"width\":\"106px\",\"height\":\"652px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Playfair Display\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Playfair Display\",\"fontSize\":\"30px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Open Sans\",\"fontSize\":\"24px\"},\"link\":{\"fontColor\":\"#447c9d\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"18.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffcc00\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/college/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("48", "0", "Renewable Energy", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#313f58\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #fdb323;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #fdb323;\\\">View in browser &gt;<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#016fc1\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Logo.png\",\"alt\":\"Energy-Logo\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"145px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"36px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">2018 Energy Report<\\/span><\\/strong><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse maximus purus vel sem rutrum pulvinar. Pellentesque at justo id ipsum porttitor viverra non porta nisl.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read it here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#fdb323\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"135px\",\"lineHeight\":\"44px\",\"fontColor\":\"#2e2e2e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"197px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\"><strong>R E C E N T<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #003366;\\\"><strong>Here\'s what\'s happening this week<\\/strong><\\/span><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Image-1.jpg\",\"alt\":\"Energy-Image-1\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #003366;\\\"><strong>How can electricity be better?<\\/strong><\\/span><\\/h3>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#fdb323\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"30px\",\"fontColor\":\"#2e2e2e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Image-2.jpg\",\"alt\":\"Energy-Image-2\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #003366;\\\"><strong>Nuclear power for newcomers<\\/strong><\\/span><\\/h3>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#fdb323\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"30px\",\"fontColor\":\"#2e2e2e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Image-3.jpg\",\"alt\":\"Energy-Image-3\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #003366;\\\"><strong>Saving the planet, one trip at a time<\\/strong><\\/span><\\/h3>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#fdb323\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"30px\",\"fontColor\":\"#2e2e2e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Image-Tall.jpg\",\"alt\":\"Energy-Image-Tall\",\"fullWidth\":true,\"width\":\"600px\",\"height\":\"900px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>S P O N S O R E D<\\/strong><\\/span><\\/p>\\n    <h2><span style=\\\"color: #003366;\\\"><strong>Control your heating and your spending with our amazing app<\\/strong><\\/span><\\/h2>\\n    <p><span style=\\\"color: #003366;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse maximus purus vel sem rutrum pulvinar.&nbsp;<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/CityNews-GoogleDownload.png\",\"alt\":\"CityNews-GoogleDownload\",\"fullWidth\":false,\"width\":\"130px\",\"height\":\"168px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/CityNews-AppleDownload.png\",\"alt\":\"CityNews-AppleDownload\",\"fullWidth\":false,\"width\":\"130px\",\"height\":\"168px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#313f58\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/renewable-energy\\/Energy-Logo.png\",\"alt\":\"Energy-Logo\",\"fullWidth\":true,\"width\":\"134px\",\"height\":\"145px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}]},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #fdb323;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #fdb323;\\\">Unsubscribe<\\/a>&nbsp;|&nbsp;<a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #fdb323;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #999999;\\\">Add your postal address here!<\\/span><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"36px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#2ea1cd\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#313f58\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#fdb323\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"30px\",\"fontColor\":\"#2e2e2e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/renewable-energy/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("49", "0", "Primary School", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#cae7f2\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><strong><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/strong><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#e63729\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-Logo.png\",\"alt\":\"PrimarySchool-Logo\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"652px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"33px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e63729\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\"><a href=\\\"http:\\/\\/mailpoet-sg.com\\\" style=\\\"color: #ffffff;\\\">News &amp; Events<\\/a><\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\"><a href=\\\"http:\\/\\/mailpoet-sg.com\\\" style=\\\"color: #ffffff;\\\">Parent Information<\\/a><\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\"><a href=\\\"http:\\/\\/mailpoet-sg.com\\\" style=\\\"color: #ffffff;\\\">Scho<\\/a><a href=\\\"http:\\/\\/mailpoet-sg.com\\\" style=\\\"color: #ffffff;\\\">ol Calendar<\\/a><\\/span><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-WideImage-1.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c23a3a\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">Welcome back everyone!<\\/span><\\/strong><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac orci neque. Sed hendrerit condimentum augue, sed porta nulla vulputate rutrum. Donec vel purus urna.<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-Avatar.png\",\"alt\":\"PrimarySchool-Avatar\",\"fullWidth\":false,\"width\":\"80px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><em><span style=\\\"color: #ffffff;\\\">Dr Angela Boyd - Director of Schooling<\\/span><\\/em><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>The new school year is here<\\/strong><\\/span><\\/h1>\\n    <p style=\\\"text-align: left;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac orci neque. Sed hendrerit condimentum augue, sed porta nulla vulputate rutrum. Donec vel purus urna. <\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span>Sed dui sapien, congue non accumsan euismod, ultrices ut dui. Ut sapien arcu, interdum pharetra enim at, porttitor viverra nisi. Suspendisse potenti.&nbsp;<\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"4px\",\"borderColor\":\"#e63729\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-CopyImage.jpg\",\"alt\":\"PrimarySchool-CopyImage\",\"fullWidth\":false,\"width\":\"1000px\",\"height\":\"583px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Essentials for your bag<\\/strong><\\/span><\\/h2>\\n    <p style=\\\"text-align: left;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac orci neque. Sed hendrerit condimentum augue, sed porta nulla vulputate rutrum. Donec vel purus urna. <\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get the kit\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e63729\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-School.png\",\"alt\":\"PrimarySchool-School\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"512px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Class Lists\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e63729\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"38px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Payments\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#43772f\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"38px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Schedule\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#408bb6\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"38px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e63729\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">Everything is social!<\\/span><\\/strong><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac orci neque. Sed hendrerit condimentum augue, sed porta nulla vulputate rutrum. Donec vel purus urna.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#cae7f2\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/primary-school\\/PrimarySchool-Logo.png\",\"alt\":\"PrimarySchool-Logo\",\"fullWidth\":false,\"width\":\"110px\",\"height\":\"652px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#e63729\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#cae7f2\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Get the kit\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#e63729\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"4px\",\"borderColor\":\"#e63729\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#e63729\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#e63729\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/primary-school/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("50", "0", "Computer Repair", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1c00af\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #999999;\\\">View this in your browser.<\\/a><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1c00af\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/computer-repair\\/ComputerRepair-Logo.png\",\"alt\":\"ComputerRepair-Logo\",\"fullWidth\":true,\"width\":\"408px\",\"height\":\"97px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"34px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong>TIRED OF SCREENS&nbsp;LIKE THIS?<\\/strong><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><em>Don\'t panic!&nbsp;We\'re here to help! <\\/em><\\/p>\\n    <p style=\\\"text-align: center;\\\"><\\/p>\\n    <p style=\\\"text-align: center;\\\">Come on down to our nearest store and we\'ll be happy to take a look at your computer and help get you back up and running again in no time.<\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"14px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><a href=\\\"http:\\/\\/mailpoet-sg.com\\/wp-admin\\/http:\\\">Computer Repair<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><a href=\\\"http:\\/\\/mailpoet-sg.com\\/wp-admin\\/http:\\\">Help &amp; Support<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><a href=\\\"http:\\/\\/mailpoet-sg.com\\/wp-admin\\/http:\\\">Call Us Now<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/computer-repair\\/ComputerRepair-Image-2.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1c00af\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"42px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Check out our locations<\\/strong><\\/h2>\\n    <p style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce dapibus iaculis risus ut tincidunt.<\\/p>\"},{\"type\":\"button\",\"text\":\"View locations\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#f8f8f8\",\"borderWidth\":\"3px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/computer-repair\\/ComputerRepair-Logo.png\",\"alt\":\"ComputerRepair-Logo\",\"fullWidth\":true,\"width\":\"254px\",\"height\":\"97px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><span>&nbsp;|&nbsp;<\\/span><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 12px;\\\">Add your address here<\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#1c00af\"},\"body\":{\"backgroundColor\":\"#1c00af\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"View locations\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"borderColor\":\"#f8f8f8\",\"borderWidth\":\"3px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"16.5px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#ffffff\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"linkedin\",\"link\":\"http:\\/\\/www.linkedin.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/LinkedIn.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"LinkedIn\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/computer-repair/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("51", "0", "Yoga Studio", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#1e2937\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/yoga_studio\\/yoga-1.png\",\"alt\":\"yoga-1\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"740px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Here\'s your classes for this week:<\\/strong><\\/h2>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong><span style=\\\"color: #83bd31;\\\"><em>Weekdays<\\/em><\\/span><\\/strong><\\/h3>\\n                      <p><strong>Monday<\\/strong>: 7am, 9am, 11am, 3pm and 5pm.<\\/p>\\n                      <p><strong>Tuesday<\\/strong>: 7am, 9am, 11am, 3pm and 5pm.<\\/p>\\n                      <p><strong>Wednesday<\\/strong>: 7am, 9am, 11am, 3pm and 5pm.<\\/p>\\n                      <p><strong>Thursday<\\/strong>:&nbsp;CLOSED FOR PRIVATE CLASS.<\\/p>\\n                      <p><strong>Friday<\\/strong>: 7am, 9am, 11am,&nbsp;and 3pm.<\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong><span style=\\\"color: #83bd31;\\\"><em>Weekend<\\/em><\\/span><\\/strong><\\/h3>\\n                      <p><strong>Saturday<\\/strong>: 7am, 9am, 11am, 3pm and 5pm.<\\/p>\\n                      <p><strong>Sunday<\\/strong>: 7am, 9am, 11am, 3pm and 5pm.<\\/p>\\n                      <p><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"22px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#d5d5d5\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"font-weight: 600;\\\">Meet the instructors<\\/span><\\/h3>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/yoga_studio\\/yoga-person-1.png\",\"alt\":\"yoga-person-1\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #83bd31;\\\"><span style=\\\"font-weight: 600;\\\">Maria Smith<\\/span><\\/span><\\/h3>\\n                      <p style=\\\"text-align: center;\\\">Nullam hendrerit feugiat feugiat. Praesent mollis ante lacus, quis tempor leo sagittis vel. Donec sagittis eros at felis venenatis ultricies.<\\/p>\"},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#83bd31\",\"borderColor\":\"#83bd31\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/yoga_studio\\/yoga-person-2.png\",\"alt\":\"yoga-person-2\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #83bd31;\\\"><span style=\\\"font-weight: 600;\\\">Fiona&nbsp;Davies<\\/span><\\/span><\\/h3>\\n                      <p style=\\\"text-align: center;\\\">Nullam hendrerit feugiat feugiat. Praesent mollis ante lacus, quis tempor leo sagittis vel. Donec sagittis eros at felis venenatis ultricies.<\\/p>\"},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#83bd31\",\"borderColor\":\"#83bd31\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/yoga_studio\\/yoga-person-3.png\",\"alt\":\"yoga-person-3\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #83bd31;\\\"><span style=\\\"font-weight: 600;\\\">Matthew&nbsp;Johnson<\\/span><\\/span><\\/h3>\\n                       <p style=\\\"text-align: center;\\\">Nullam hendrerit feugiat feugiat. Praesent mollis ante lacus, quis tempor leo sagittis vel. Donec sagittis eros at felis venenatis ultricies.<\\/p>\"},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#83bd31\",\"borderColor\":\"#83bd31\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"31px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#83bd31\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<p><strong>Pose of the week:<\\/strong><\\/p>\\n                      <h2>Virabhadrasana I<\\/h2>\\n                      <p>The myth is that the powerful priest Daksha made a great yagna (ritual sacrifice) but did not invite his youngest daughter Sati and her husband Shiva, the supreme ruler of the universe. Sati found out and decided to go alone to the yagna.<\\/p>\\n                      <p><\\/p>\\n                      <p>When she arrived, Sati entered into an argument with her father. Unable to withstand his insults, she spoke a vow to her father, &ldquo;Since it was you who gave me this body, I no longer wish to be associated with it.&rdquo;<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/yoga_studio\\/yoga-pose.png\",\"alt\":\"yoga-pose\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"font-weight: 600;\\\">Quote of the week<\\/span><\\/h3>\"},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><em>Be a lamp to yourself. Be your own confidence. Hold on to the truth within yourself as to the only truth.<\\/em><\\/h2>\\n                      <p style=\\\"text-align: center;\\\"><span style=\\\"font-family: Arial, sans-serif; font-size: 14px; text-align: center; color: #999999;\\\">Buddha<\\/span><em><\\/em><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#d5d5d5\",\"padding\":\"15px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#b3b3b3\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#d5d5d5\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/yoga_studio\\/yoga-logo-small.png\",\"alt\":\"yoga-logo-small\",\"fullWidth\":false,\"width\":\"50px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 13px; text-align: center;\\\"><strong>Yoga Studio<\\/strong><\\/p>\\n                      <p style=\\\"font-size: 11px; text-align: center;\\\">Address Line 1<\\/p>\\n                      <p style=\\\"font-size: 11px; text-align: center;\\\">Address Line 2<\\/p>\\n                      <p style=\\\"font-size: 11px; text-align: center;\\\">City\\/Town<\\/p>\\n                      <p style=\\\"font-size: 11px; text-align: center;\\\">Country<\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><\\/p><p><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"11px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#000000\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"#d5d5d5\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#1e2937\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\"},\"h1\":{\"fontColor\":\"#1e2937\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#1e2937\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#1e2937\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#83bd31\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#1e2937\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/yoga_studio/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("52", "0", "Retro", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro\\/1980s-Header.jpg\",\"alt\":\"1980s-Header\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"740px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><strong>Welcome back !<\\/strong><\\/h2>\\n<p style=\\\"text-align: left;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#f36543\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro\\/1980s-Download-1.jpg\",\"alt\":\"1980s-Download-1\",\"fullWidth\":false,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong>Free Retro-Futuristic Font<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Download Here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f36543\",\"borderColor\":\"#f36543\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"150px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro\\/1980s-Download-2.jpg\",\"alt\":\"1980s-Download-2\",\"fullWidth\":false,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><span style=\\\"font-weight: 600;\\\">New UI Kit now available<\\/span><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Download Here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f36543\",\"borderColor\":\"#f36543\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"150px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro\\/1980s-Download-3.jpg\",\"alt\":\"1980s-Download-3\",\"fullWidth\":false,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3><strong>Free&nbsp;Retro Patterns<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Download Here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#f36543\",\"borderColor\":\"#f36543\",\"borderWidth\":\"1px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"150px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#12233c\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/retro\\/1980s-Footer.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"140px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Retro Downloads<\\/span><\\/h1>\\n<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">To Your Inbox<\\/span><\\/h1>\\n<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Every Week<\\/span><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"120px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#12233c\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#12223b\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#f36543\",\"textDecoration\":\"underline\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}]}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#12233c\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Verdana\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#008282\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#12233c\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#f36543\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"140px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/retro/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("53", "0", "Charity", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#7bc9ee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/charity\\/header-bg.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/charity\\/charity-logo.png\",\"alt\":\"charity-logo\",\"fullWidth\":false,\"width\":\"240px\",\"height\":\"103px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"43px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><span style=\\\"color: #a6d2d2;\\\">Charity Number: 09238923<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/charity\\/charity-header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"45px\"}}},{\"type\":\"text\",\"text\":\"<h1><strong><span style=\\\"color: #ffffff;\\\">We need your help<\\/span><\\/strong><\\/h1>\"},{\"type\":\"text\",\"text\":\"<h3><span style=\\\"color: #ffffff;\\\">For just $5 a month, you can help people around the world that are in desperate need of fresh, clean water.<\\/span><\\/h3>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"80px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>It only takes 5 minutes to help someone in need<\\/strong><\\/span><\\/h2>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pharetra diam semper, vulputate eros quis, sagittis ipsum. Vivamus ullamcorper sapien at sapien maximus, nec venenatis sapien tincidunt. Duis viverra imperdiet magna, a facilisis diam scelerisque at. Nunc at quam ligula. Nullam ut magna velit.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Start Helping Now\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#05a0e8\",\"borderColor\":\"#05a0e8\",\"borderWidth\":\"1px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"241px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#7bc9ee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Noah\'s Story<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#7bc9ee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/charity\\/Charity-Child.png\",\"alt\":\"Charity-Child\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"200px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pharetra diam semper, vulputate eros quis, sagittis ipsum. Vivamus ullamcorper sapien at sapien maximus, nec venenatis sapien tincidunt. <\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><span>Duis viverra imperdiet magna, a facilisis diam scelerisque at. Nunc at quam ligula. Nullam ut magna velit.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#7bc9ee\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/charity\\/Charity-Video.jpg\",\"alt\":\"Charity-Video\",\"fullWidth\":false,\"width\":\"1280px\",\"height\":\"760px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/charity\\/Charity-Logo-Small.png\",\"alt\":\"Charity-Logo-Small\",\"fullWidth\":false,\"width\":\"407px\",\"height\":\"82px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px;\\\"><span style=\\\"color: #000000;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #000000;\\\">Unsubscribe<\\/a>&nbsp;|&nbsp;<a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #000000;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #000000;\\\">Add your postal address here!<\\/span><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#05a0e8\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#7bc9ee\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"80px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/charity/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("54", "0", "City News", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #999999;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #999999;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#000000\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"70px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-Logo.png\",\"alt\":\"CityNews-Logo\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"178px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>[date:mtext] [date:y]<\\/strong><\\/span><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">N E W S L E T T E R<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"22px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong><span><\\/span><\\/strong><\\/span><span style=\\\"color: #999999;\\\"><strong>TOP STORY<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Park opens to all within the community<\\/strong><\\/span><\\/h2>\\n    <p><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus ac maximus justo. Phasellus ullamcorper, enim at eleifend malesuada, risus purus interdum arcu, sed porttitor erat diam a neque.&nbsp;<\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\"><\\/span><\\/p>\\n    <p><strong><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Read full article &gt;<\\/a><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-Images-1.jpg\",\"alt\":\"CityNews-Images-1\",\"fullWidth\":true,\"width\":\"600px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-ThinImages-1.jpg\",\"alt\":\"CityNews-ThinImages-1\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"300px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>EVENTS<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Christmas Market opening soon<\\/strong><\\/span><\\/h3>\\n    <p><strong><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Read full article &gt;<\\/a><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-ThinImages-2.jpg\",\"alt\":\"CityNews-ThinImages-2\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"300px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>HEALTHCARE<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Hospitals brace for cuts to services<\\/strong><\\/span><\\/h3>\\n    <p><strong><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Read full article &gt;<\\/a><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-ThinImages-3.jpg\",\"alt\":\"CityNews-ThinImages-3\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"300px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>WEATHER<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Dry heat has a high chance to cause fires<\\/strong><\\/span><\\/h3>\\n    <p><strong><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Read full article &gt;<\\/a><\\/strong><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-ThinImages-4.jpg\",\"alt\":\"CityNews-ThinImages-4\",\"fullWidth\":false,\"width\":\"600px\",\"height\":\"300px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #999999;\\\"><strong>ARTS<\\/strong><\\/span><\\/p>\\n    <h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Local theatre to stage dramatic new play<\\/strong><\\/span><\\/h3>\\n    <p><strong><a href=\\\"http:\\/\\/mailpoet-sg.com\\\">Read full article &gt;<\\/a><\\/strong><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-Phone.png\",\"alt\":\"CityNews-Phone\",\"fullWidth\":false,\"width\":\"162px\",\"height\":\"679px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Download the CityNews app<\\/strong><\\/span><\\/h3>\\n    <p><span style=\\\"color: #d1d1d1;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus ac maximus justo. Phasellus ullamcorper, enim at eleifend malesuada, risus purus interdum arcu, sed porttitor erat diam a neque.&nbsp;<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-GoogleDownload.png\",\"alt\":\"CityNews-GoogleDownload\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"168px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-AppleDownload.png\",\"alt\":\"CityNews-AppleDownload\",\"fullWidth\":false,\"width\":\"150px\",\"height\":\"168px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#4b4b4b\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/city-local-news\\/CityNews-Logo.png\",\"alt\":\"CityNews-Logo\",\"fullWidth\":false,\"width\":\"122px\",\"height\":\"178px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #999999;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #999999;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #999999;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #ffffff;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#252525\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#f8f8f8\"},\"body\":{\"backgroundColor\":\"#252525\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#4b4b4b\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"left\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#4b4b4b\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"posts\",\"offset\":0,\"terms\":[],\"search\":\"\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/city-local-news/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("55", "0", "Coffee", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Logo-1.png\",\"alt\":\"Coffee-Logo-1\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #000000;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #000000;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Header.jpg\",\"alt\":\"Coffee-Header\",\"fullWidth\":false,\"width\":\"1280px\",\"height\":\"260px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/coffee.gif\",\"alt\":\"coffee\",\"fullWidth\":true,\"width\":\"660px\",\"height\":\"371px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>We\'ve got some new blends, just for you.<\\/strong><\\/h2>\\n<p style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas. Suspendisse felis felis, tempor id convallis in, tincidunt quis nisi. Morbi dolor elit, maximus et velit quis, fermentum porta lectus. Nulla odio est, tempus vitae nunc sit amet, fermentum tristique lacus. In bibendum fringilla cursus.<\\/p>\"},{\"type\":\"button\",\"text\":\"Check Them Out\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#6fb910\",\"borderColor\":\"#6fb910\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"150px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#d6d6d6\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Mid.jpg\",\"alt\":\"Coffee-Mid\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"411px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#eaeaea\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"#eaeaea\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas. Suspendisse felis felis, tempor id convallis in, tincidunt quis nisi.<\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><span> Morbi dolor elit, maximus et velit quis, fermentum porta lectus. Nulla odio est, tempus vitae nunc sit amet, fermentum tristique lacus. In bibendum fringilla cursus.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas. Suspendisse felis felis, tempor id convallis in, tincidunt quis nisi.<\\/span><\\/p>\\n<p><span><\\/span><\\/p>\\n<p><span>Morbi dolor elit, maximus et velit quis, fermentum porta lectus. Nulla odio est, tempus vitae nunc sit amet, fermentum tristique lacus. In bibendum fringilla cursus.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Interested in upgrading your subscription?<\\/strong><\\/h2>\\n<p style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/p>\\n<p style=\\\"text-align: center;\\\">Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas.<\\/p>\"},{\"type\":\"button\",\"text\":\"Get Started\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#6fb910\",\"borderColor\":\"#6fb910\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"118px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#d6d6d6\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Latest News<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Cup.jpg\",\"alt\":\"Coffee-Cup\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #6fb910;\\\"><strong>Capsule MFG Launches Upgraded Line of Modular Coffee Bars<\\/strong><\\/span><\\/p>\\n<p style=\\\"text-align: left;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/p>\\n<p style=\\\"text-align: left;\\\">Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas.<\\/p>\\n<p style=\\\"text-align: left;\\\"><\\/p>\\n<p><span style=\\\"color: #6fb910;\\\"><strong><a href=\\\"http:\\/\\/mailpoet.info\\/\\\" style=\\\"color: #6fb910;\\\">Read more<\\/a><\\/strong><\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Cup.jpg\",\"alt\":\"Coffee-Cup\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #6fb910;\\\"><strong>British-Designed Niche Zero Aims to Leave No Grind Behind<\\/strong><\\/span><\\/p>\\n<p style=\\\"text-align: left;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/p>\\n<p style=\\\"text-align: left;\\\">Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas.<\\/p>\\n<p style=\\\"text-align: left;\\\"><\\/p>\\n<p><strong><span style=\\\"color: #6fb910;\\\"><a href=\\\"http:\\/\\/mailpoet.info\\/\\\" style=\\\"color: #6fb910;\\\">Read more<\\/a><\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"http:\\/\\/mailpoet.info\\/cutting-through-the-smog-what-to-do-to-fight-air-pollution\\/\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Cup.jpg\",\"alt\":\"Coffee-Cup\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span style=\\\"color: #6fb910;\\\"><strong>Boyd&rsquo;s Being Acquired by Farmer Bros for Approximately $58.6M<\\/strong><\\/span><\\/p>\\n<p style=\\\"text-align: left;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/p>\\n<p style=\\\"text-align: left;\\\">Integer vehicula magna sit amet lorem venenatis, quis condimentum odio egestas.<\\/p>\\n<p style=\\\"text-align: left;\\\"><\\/p>\\n<p><strong><span style=\\\"color: #6fb910;\\\"><a href=\\\"http:\\/\\/mailpoet.info\\/\\\" style=\\\"color: #6fb910;\\\">Read more<\\/a><\\/span><\\/strong><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"22.5px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#d6d6d6\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/coffee\\/Coffee-Logo-1.png\",\"alt\":\"Coffee-Logo-1\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #000000;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #000000;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #000000;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#0f0f0f\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/coffee/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("56", "0", "Vlogger", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#aaaaaa\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f3ba25\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"180px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center; font-size: 80px;\\\"><span style=\\\"color: #ffffff;\\\"><strong>STACEY<\\/strong><\\/span><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"145px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#5527a6\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Vlogging About Beauty, Fashion, Life Hacks &amp; My Life<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-Youtube.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#7b0000\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"63px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 11px;\\\"><span style=\\\"color: #ffffff;\\\">L A T E S T&nbsp; V I D E O<\\/span><\\/p>\\n    <h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Roses are red...<\\/strong><\\/span><\\/h1>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-PlayButton.png\",\"alt\":\"Vlogger-PlayButton\",\"fullWidth\":false,\"width\":\"50px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e9e9e9\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-Images-1.jpg\",\"alt\":\"Vlogger-Images-1\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Mixing it up<\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-Images-2.jpg\",\"alt\":\"Vlogger-Images-2\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Front row seats!<\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-Images-3.jpg\",\"alt\":\"Vlogger-Images-3\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\">Max has a birthday!<\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e9e9e9\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"Check out all my latest videos\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#5527a6\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"225px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/vlogger\\/Vlogger-WhoAmI.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"109px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #5527a6;\\\"><strong>This is my story<\\/strong><\\/span><\\/h1>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><\\/span><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Go to my Youtube Page\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#5527a6\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"183px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"71px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#5527a6\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Never miss a thing<\\/strong><\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#3a147d\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"32px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong><span style=\\\"color: #ffffff;\\\">STACEY<\\/span><\\/strong><\\/h3>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#9d82cd\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#5527a6\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#5527a6\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"225px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#ffffff\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#9d82cd\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"32px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#aaaaaa\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/vlogger/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("57", "0", "Birds", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#26b6cf\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Logo-1.png\",\"alt\":\"Birds-Logo\",\"fullWidth\":false,\"width\":\"178px\",\"height\":\"127px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#12616f\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Header-2.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"112px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\"><strong>New Season<\\/strong><\\/span><\\/h1>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut in mattis neque.&nbsp;<\\/span><span style=\\\"color: #ffffff;\\\">Quisque sed massa eu tellus efficitur dictum at sed augue.&nbsp;<span>Ut in mattis neque.<\\/span><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read the whole story\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#26b6cf\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"159px\",\"lineHeight\":\"37px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"90px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-1.jpg\",\"alt\":\"Birds-Images-1\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"53px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Puffin Sightings<\\/strong><\\/h3>\\n    <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut in mattis neque. Quisque sed massa eu tellus efficitur dictum at sed augue.&nbsp;<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#26b6cf\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"82px\",\"lineHeight\":\"29px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>This month\'s best pictures<\\/strong><\\/h3>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-6.jpg\",\"alt\":\"Birds-Images-6\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-7.jpg\",\"alt\":\"Birds-Images-7\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-5.jpg\",\"alt\":\"Birds-Images-5\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-2.jpg\",\"alt\":\"Birds-Images-2\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-3.jpg\",\"alt\":\"Birds-Images-3\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Images-4.jpg\",\"alt\":\"Birds-Images-4\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/580b57fbd9996e24bc43bb61.png\",\"alt\":\"580b57fbd9996e24bc43bb61\",\"fullWidth\":true,\"width\":\"671px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong><span style=\\\"color: #ffffff;\\\">Tweeting isn\'t just for birds...<\\/span><\\/strong><\\/h3>\\n    <p><span style=\\\"color: #ffffff;\\\">We love to hear your thoughts about this newsletter, as well as being able to share your amazing pictures with us. Use the hashtag <strong>#birdwatch<\\/strong> and we\'ll share the best pictures here each month.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"circles\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#26b6cf\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#26b6cf\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/birds\\/Birds-Logo-1.png\",\"alt\":\"Birds-Logo\",\"fullWidth\":false,\"width\":\"164px\",\"height\":\"127px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#147080\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#12616f\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Roboto\",\"fontSize\":\"36px\"},\"h2\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Roboto\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#3d3d3d\",\"fontFamily\":\"Roboto\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#222222\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#26b6cf\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"82px\",\"lineHeight\":\"29px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"#2d4b50\",\"padding\":\"5.5px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"4px\",\"borderColor\":\"#4a6b70\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#147080\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#12616f\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"112px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#12616f\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/birds/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("58", "0", "Engineering", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#1d1d1d\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/engineering\\/Engineering-Logo.png\",\"alt\":\"Engineering-Logo\",\"fullWidth\":true,\"width\":\"150px\",\"height\":\"506px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #808080;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #808080;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/engineering\\/Engineering-Header-1.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"295px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><em><span style=\\\"color: #ffffff;\\\">Let your dreams take flight...<\\/span><\\/em><\\/strong><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/engineering\\/Engineering-Bearing.png\",\"alt\":\"Engineering-Bearing\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2><strong><span style=\\\"color: #ffffff;\\\">The all-new RoundBros 6206 ball bearing.<\\/span><\\/strong><\\/h2>\\n    <p><span style=\\\"color: #cccccc;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac orci neque. Sed hendrerit condimentum augue, sed porta nulla vulputate rutrum. Donec vel purus urna. Sed dui sapien, congue non accumsan euismod, ultrices ut dui.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#1d1d1d\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"3px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"134px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><em><span style=\\\"color: #ffffff;\\\">...and stay grounded in safety<\\/span><\\/em><\\/strong><\\/h1>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/engineering\\/Engineering-Footer-c.jpg\",\"alt\":\"Engineering-Footer-c\",\"fullWidth\":true,\"width\":\"928px\",\"height\":\"661px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2><strong><span style=\\\"color: #ffffff;\\\">Bearing sets are back in stock for a limited time!<\\/span><\\/strong><\\/h2>\\n    <p><span style=\\\"color: #cccccc;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ac orci neque. Sed hendrerit condimentum augue, sed porta nulla vulputate rutrum.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#1d1d1d\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"3px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"134px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/engineering\\/Engineering-Bearing-2.png\",\"alt\":\"Engineering-Bearing-2\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"574px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"2px\",\"borderColor\":\"#424242\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/engineering\\/Engineering-Logo.png\",\"alt\":\"Engineering-Logo\",\"fullWidth\":true,\"width\":\"100px\",\"height\":\"506px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a><\\/p>\\n    <p><a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><span style=\\\"color: #999999;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#5aa9cc\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Roboto\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Roboto\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#1d1d1d\"},\"body\":{\"backgroundColor\":\"#1d1d1d\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#1d1d1d\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"3px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"134px\",\"lineHeight\":\"33px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"2px\",\"borderColor\":\"#424242\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#5aa9cc\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/engineering/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("59", "0", "Branding Agency News", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #808080;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #808080;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/Branding-Logo.png\",\"alt\":\"Branding-Logo\",\"fullWidth\":false,\"width\":\"122px\",\"height\":\"117px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><span style=\\\"color: #bdbdbd;\\\"><strong>B I G&nbsp; N E W S<\\/strong><\\/span><\\/p>\\n    <h1>Branded is getting a refresh<\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/Branding-Image01.jpg\",\"alt\":\"Branding-Image01\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<p><span style=\\\"color: #999999;\\\"><strong><\\/strong><\\/span><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eu quam risus. Quisque tempor sodales tortor. Cras enim orci, bibendum vitae sollicitudin porttitor, eleifend eu metus. Aliquam a fringilla libero. Vivamus turpis orci, viverra in vehicula vitae, imperdiet et ex. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"> Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"20px\",\"fontColor\":\"#0e0e0e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#dfdfdf\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>Design starts with a pencil and paper<\\/h3>\\n    <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eu quam risus. Quisque tempor sodales tortor.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"> Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"20px\",\"fontColor\":\"#0e0e0e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/Branding-Image02.jpg\",\"alt\":\"Branding-Image02\",\"fullWidth\":false,\"width\":\"540px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3>How television has impacted branding<\\/h3>\\n    <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam eu quam risus. Quisque tempor sodales tortor.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"> Read more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"20px\",\"fontColor\":\"#0e0e0e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/Branding-Image03.jpg\",\"alt\":\"Branding-Image03\",\"fullWidth\":false,\"width\":\"1200px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\">Some of our recent branding<\\/h3>\\n    <p style=\\\"text-align: center;\\\">Looking for some work from us? Get in touch and we\'ll see what we can do.<\\/p>\"},{\"type\":\"button\",\"text\":\"Get in touch here >\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"157px\",\"lineHeight\":\"20px\",\"fontColor\":\"#0e0e0e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/greens-food-suppliers.png\",\"alt\":\"greens-food-suppliers\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"418px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/james-and-sons.png\",\"alt\":\"james-and-sons\",\"fullWidth\":false,\"width\":\"156px\",\"height\":\"692px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/fast-banana.png\",\"alt\":\"fast-banana\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"325px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/space-cube.png\",\"alt\":\"space-cube\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"487px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/the-dance-studio.png\",\"alt\":\"the-dance-studio\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"365px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/yoga-baby.png\",\"alt\":\"yoga-baby\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"248px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/beauty-box.png\",\"alt\":\"beauty-box\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"304px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/cheshire-county-hygiene-services.png\",\"alt\":\"cheshire-county-hygiene-services\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"393px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/crofts-accountants.png\",\"alt\":\"crofts-accountants\",\"fullWidth\":false,\"width\":\"900px\",\"height\":\"229px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#eeeeee\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"44px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/branding-agency-news\\/Branding-Logo.png\",\"alt\":\"Branding-Logo\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"117px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><span style=\\\"color: #808080;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#222222\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"36px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"30px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"24px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#eeeeee\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Get in touch here >\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#ffffff\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"157px\",\"lineHeight\":\"20px\",\"fontColor\":\"#0e0e0e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#dfdfdf\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#222222\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/branding-agency-news/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:46");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("60", "0", "WordPress Theme", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b8dae3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arvo\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#222222\",\"textDecoration\":\"none\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#051137\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#051137\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/word-press-theme\\/Wordpress-Logo.png\",\"alt\":\"Wordpress-Logo\",\"fullWidth\":false,\"width\":\"260px\",\"height\":\"177px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"22px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/word-press-theme\\/Wordpress-Header-b.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#2d557f\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">ThemeZone presents...<\\/span><\\/h3>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/word-press-theme\\/Wordpress-Header-img.png\",\"alt\":\"Wordpress-Header-img\",\"fullWidth\":false,\"width\":\"1134px\",\"height\":\"898px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">The Winter Theme Bundle<\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida.<\\/span><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Take a look\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#1e986a\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"132px\",\"lineHeight\":\"50px\",\"fontColor\":\"#1a4f66\",\"fontFamily\":\"Arvo\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"44px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Fully customisable and ready to use<\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida.<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/word-press-theme\\/Wordpress-Image-1.jpg\",\"alt\":\"Wordpress-Image-1\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"340px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\">Beautiful,&nbsp;simple design<\\/span><\\/h2>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/word-press-theme\\/Wordpress-Image-2.jpg\",\"alt\":\"Wordpress-Image-2\",\"fullWidth\":true,\"width\":\"541px\",\"height\":\"454px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#051137\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Installation is super easy<\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida.<\\/span><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#051137\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #2ecd91;\\\"><strong>1<\\/strong><\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/span><\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #2ecd91;\\\"><strong><span>2<\\/span><\\/strong><\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/span><\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #2ecd91;\\\"><strong><span>3<\\/span><\\/strong><\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<\\/span><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#051137\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b8dae3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b8dae3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/word-press-theme\\/Wordpress-Logo-Footer.png\",\"alt\":\"Wordpress-Logo-Footer\",\"fullWidth\":false,\"width\":\"190px\",\"height\":\"177px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arvo\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#051137\",\"textDecoration\":\"underline\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arvo\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arvo\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arvo\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arvo\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#b8dae3\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Take a look\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#1e986a\",\"borderWidth\":\"0px\",\"borderRadius\":\"40px\",\"borderStyle\":\"solid\",\"width\":\"132px\",\"lineHeight\":\"50px\",\"fontColor\":\"#1a4f66\",\"fontFamily\":\"Arvo\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"dotted\",\"borderWidth\":\"4px\",\"borderColor\":\"#21377e\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arvo\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#051137\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"email\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Email.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Email\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arvo\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#222222\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/word-press-theme/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("61", "0", "Drone", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#242424\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#070707\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/drone\\/Drone-Logo.png\",\"alt\":\"Drone-Logo\",\"fullWidth\":false,\"width\":\"138px\",\"height\":\"228px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">TAKE TO THE SKIES<\\/span><\\/strong><\\/h1>\"},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #f0f0f0;\\\">The Frontier 7S is the world&rsquo;s first<\\/span><\\/h3>\\n<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #f0f0f0;\\\">mind-controlled aerial drone<\\/span><\\/h3>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/drone\\/Drone-Header.jpg\",\"alt\":\"Drone-Header\",\"fullWidth\":false,\"width\":\"470px\",\"height\":\"462px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"39px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Fly with your mind<\\/strong><\\/h2>\\n<p style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pharetra diam semper, vulputate eros quis, sagittis ipsum. Vivamus ullamcorper sapien at sapien maximus, nec venenatis sapien tincidunt. Duis viverra imperdiet magna, a facilisis diam scelerisque at. Nunc at quam ligula. Nullam ut magna velit.<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/drone\\/Drone-Image-1.jpg\",\"alt\":\"Drone-Image-1\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"55px\"}}},{\"type\":\"text\",\"text\":\"<h2><strong>Ready to travel to you<\\/strong><\\/h2>\\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pharetra diam semper, vulputate eros quis, sagittis ipsum. Vivamus ullamcorper sapien at sapien maximus, nec venenatis sapien tincidunt.<\\/p>\"},{\"type\":\"button\",\"text\":\"Find Out More\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#000000\",\"borderColor\":\"#000000\",\"borderWidth\":\"1px\",\"borderRadius\":\"10px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#080808\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #ffffff;\\\">Don\'t just take our word for it...<\\/span><\\/strong><\\/h2>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/drone\\/Drone-Video.jpg\",\"alt\":\"Drone-Video\",\"fullWidth\":true,\"width\":\"1280px\",\"height\":\"760px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Check out our social media platforms and keep up-to-date with the latest news and events happening near you.<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#242424\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#242424\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/drone\\/Drone-Logo-Light-1.png\",\"alt\":\"Drone-Logo-Light\",\"fullWidth\":false,\"width\":\"120px\",\"height\":\"72px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#242424\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #aeaeae;\\\">Address Line 1 <\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #aeaeae;\\\">Address Line 2 <\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #aeaeae;\\\">City <\\/span><\\/p>\\n<p style=\\\"text-align: center;\\\"><span style=\\\"color: #aeaeae;\\\">Country<\\/span><\\/p>\"},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #ffffff;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #ffffff;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #ffffff;\\\">Manage your subscription<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Lucida\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\"},\"link\":{\"fontColor\":\"#070707\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#242424\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"39px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/drone/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("62", "0", "Fashion Blog", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #999999;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #999999;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog\\/Fashion-Logo-1.png\",\"alt\":\"Fashion-Logo-1\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"38px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog\\/Fashion-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#66cbba\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"170px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center; background-color: #ffffff; line-height: 1.2; margin: 0!important; padding: 15px 10px 10px 10px;\\\"><strong>The new season is here<\\/strong><\\/h2>\\n    <p style=\\\"text-align: center; background-color: #ffffff; padding: 10px; margin: 0!important;\\\"><strong><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus et pellentesque<\\/span><\\/strong><\\/p>\\n    <p style=\\\"text-align: center; background-color: #ffffff; padding: 10px 10px 30px 10px; margin: 0!important;\\\"><a href=\\\"http:\\/\\/www.mystore.com\\\" style=\\\"background-color: #222222; color: #ffffff!important; padding: 10px; text-decoration: none!important; font-weight: bold;\\\">Start Shopping<\\/a><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"170px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog\\/Fashion-Gift.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#66cbba\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: right;\\\"><strong>In a hurry?<\\/strong><\\/h3>\\n    <p style=\\\"text-align: right;\\\">Grab a gift card from our online shop.<\\/p>\\n    <p style=\\\"text-align: right;\\\">Treat yourself or that special someone in your life.<\\/p>\"},{\"type\":\"button\",\"text\":\"Buy a gift card\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"114px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"right\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>Keep in touch with us online<\\/strong><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog\\/Fashion-Logo-1.png\",\"alt\":\"Fashion-Logo-1\",\"fullWidth\":true,\"width\":\"142px\",\"height\":\"38px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #000000;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #000000;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #000000;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"13px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Buy a gift card\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#222222\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"114px\",\"lineHeight\":\"34px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"fontWeight\":\"bold\",\"textAlign\":\"right\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"170px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/fashion-blog/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("63", "0", "Fashion Store", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/tulip-2.png\",\"alt\":\"tulip\",\"fullWidth\":false,\"width\":\"26.5px\",\"height\":\"64px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"text\",\"text\":\"<h1><strong>TULIP PARK<\\/strong><\\/h1>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"85px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: right;\\\"><span style=\\\"color: #bcbcbc;\\\">Since 1987<\\/span><\\/h3>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f8f8f8\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"486px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">Autumn\\/Winter<\\/span><\\/h1>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>The Autumn\\/Winter&nbsp;Range at Tulip Park<\\/strong><\\/h2>\\n<p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit. Nunc ex nibh, porta vulputate pharetra ac, placerat sed orci. Etiam enim enim, aliquet nec ligula in, ultrices iaculis dolor. Suspendisse potenti. Praesent fringilla augue ut lorem mattis, vitae fringilla nunc faucibus.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Items-1.jpg\",\"alt\":\"Fashion-Items-1\",\"fullWidth\":true,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"36px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Title Goes Here<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit. Nunc ex nibh, porta vulputate pharetra ac, placerat sed orci.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"36px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Title Goes Here<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit. Nunc ex nibh, porta vulputate pharetra ac, placerat sed orci.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Items-2.jpg\",\"alt\":\"Fashion-Items-2\",\"fullWidth\":true,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Items-3.jpg\",\"alt\":\"Fashion-Items-3\",\"fullWidth\":true,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"36px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Title Goes Here<\\/strong><\\/h3>\\n<p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In elementum nunc vel est congue, a venenatis nunc aliquet. Curabitur luctus, nulla et dignissim elementum, ipsum eros fermentum nulla, non cursus eros mi eu velit. Nunc ex nibh, porta vulputate pharetra ac, placerat sed orci.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"button\",\"text\":\"Check out the full range here\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#cdcdcd\",\"borderColor\":\"#e4e4e4\",\"borderWidth\":\"1px\",\"borderRadius\":\"3px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"1px\",\"borderColor\":\"#aaaaaa\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>New in this week...<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Items-4.jpg\",\"alt\":\"Fashion-Items-4\",\"fullWidth\":true,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Items-5.jpg\",\"alt\":\"Fashion-Items-5\",\"fullWidth\":true,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion\\/Fashion-Items-6.jpg\",\"alt\":\"Fashion-Items-6\",\"fullWidth\":true,\"width\":\"364px\",\"height\":\"291px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#12223b\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#f0f0f0\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f0f0f0\"}},\"blocks\":[{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>TULIP PARK<\\/strong><\\/h2>\"}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px;\\\"><span style=\\\"color: #000000;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #000000;\\\">Unsubscribe<\\/a>&nbsp;|&nbsp;<a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #000000;\\\">Manage your subscription<\\/a><\\/span><br \\/><span style=\\\"color: #000000;\\\">Add your postal address here!<\\/span><\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\"},\"link\":{\"fontColor\":\"#008282\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f0f0f0\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"default\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/01-social\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"}]},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"486px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/fashion/thumbnail.20190411-1500.jpeg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("64", "0", "Women Fashion Store", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f5f5f5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f5f5f5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 12px; text-align: left;\\\">October 2018 Edition<\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #b76e97; font-size: 12px;\\\">View this in your browser.<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f5f5f5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/Fashion-Logo.png\",\"alt\":\"Fashion-Logo\",\"fullWidth\":false,\"width\":\"157px\",\"height\":\"48px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/Fashion-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"90px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>October 2018<\\/strong><\\/span><\\/p>\\n    <h1 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>Autumn&nbsp;Season<\\/strong><\\/span><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce mollis orci justo, commodo mattis nisi ullamcorper vitae. Sed aliquam, ex ac lacinia tempus, enim urna luctus odio, at consequat leo ante non tellus.<\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span><\\/span><\\/p>\\n    <p style=\\\"text-align: left;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce mollis orci justo, commodo mattis nisi ullamcorper vitae.&nbsp;<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f6e4e4\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/Fashion-Image-1.jpg\",\"alt\":\"Fashion-Image-1\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<h2><span style=\\\"color: #b76e97;\\\"><strong>$59<\\/strong><\\/span><\\/h2>\\n    <h3><strong>New Outfit<\\/strong><\\/h3>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce mollis orci justo, commodo mattis nisi ullamcorper vitae.&nbsp;<span>Lorem ipsum dolor sit amet.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#ae6ca1\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ebe8e8\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<h2><span style=\\\"color: #b76e97;\\\"><strong>$159<\\/strong><\\/span><\\/h2>\\n    <h3><strong>New Outfit<\\/strong><\\/h3>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce mollis orci justo, commodo mattis nisi ullamcorper vitae.&nbsp;<span>Lorem ipsum dolor sit amet.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#ae6ca1\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/Fashion-Image-2.jpg\",\"alt\":\"Fashion-Image-2\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f6e4e4\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/Fashion-Image-3.jpg\",\"alt\":\"Fashion-Image-3\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<h2><span style=\\\"color: #b76e97;\\\"><strong>$25<\\/strong><\\/span><\\/h2>\\n    <h3><strong>New Outfit<\\/strong><\\/h3>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce mollis orci justo, commodo mattis nisi ullamcorper vitae.&nbsp;<span>Lorem ipsum dolor sit amet.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#ae6ca1\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/Fashion-Instagram.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-blog-a\\/glyph-logo_May2016.png\",\"alt\":\"glyph-logo_May2016\",\"fullWidth\":false,\"width\":\"52px\",\"height\":\"504px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}},{\"type\":\"text\",\"text\":\"<h2><span style=\\\"color: #000000;\\\"><strong>Our new Instagram Page<\\/strong><\\/span><\\/h2>\\n    <p><span style=\\\"color: #000000;\\\">We have just released our brand new Instagram page.<\\/span><\\/p>\\n    <p><span style=\\\"color: #000000;\\\">We\'ll be keeping everyone up to date with the latest<\\/span><\\/p>\\n    <p><span style=\\\"color: #000000;\\\">fashion and style advice every day.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Check it out\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#151515\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"114px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f5f5f5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#f5f5f5\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ae70ad\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#626262\",\"fontFamily\":\"Noticia Text\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"h3\":{\"fontColor\":\"#505050\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#21759b\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#f5f5f5\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#ae6ca1\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"100px\",\"lineHeight\":\"35px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ae70ad\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":true,\"featuredImagePosition\":\"right\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"posts\",\"offset\":0,\"terms\":[],\"search\":\"\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/fashion-blog-a/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("65", "0", "Photography", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Logo.png\",\"alt\":\"Photography-Logo\",\"fullWidth\":false,\"width\":\"160px\",\"height\":\"141px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"42px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"line-height: 48px;\\\"><strong>The big photos from last week, straight to your inbox.<\\/strong><\\/h1>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Images-1.jpg\",\"alt\":\"Photography-Images-1\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong><span style=\\\"color: #000000;\\\">Canyon<\\/span><\\/strong><\\/p>\\n    <p><span style=\\\"color: #000000;\\\">\\ud83d\\udcf7&nbsp;Brodie Vissers<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"button\",\"text\":\"View all work\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#111111\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"140px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"right\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Images-2.jpg\",\"alt\":\"Photography-Images-2\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong><span style=\\\"color: #000000;\\\">Rooftopper<\\/span><\\/strong><\\/p>\\n    <p><span style=\\\"color: #000000;\\\">\\ud83d\\udcf7 Stan Johnson<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"button\",\"text\":\"View all work\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#111111\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"140px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"right\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Images-3.jpg\",\"alt\":\"Photography-Images-3\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong><span style=\\\"color: #000000;\\\">Gold<\\/span><\\/strong><\\/p>\\n    <p><span style=\\\"color: #000000;\\\">\\ud83d\\udcf7 Nicole De Khors<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"button\",\"text\":\"View all work\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#111111\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"140px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"right\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"line-height: 48px; text-align: center;\\\"><strong>Fresh inspiration<\\/strong><\\/h1>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-1.jpg\",\"alt\":\"Photography-Squares-1\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-2.jpg\",\"alt\":\"Photography-Squares-2\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-3.jpg\",\"alt\":\"Photography-Squares-3\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-4.jpg\",\"alt\":\"Photography-Squares-4\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-5.jpg\",\"alt\":\"Photography-Squares-5\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-6.jpg\",\"alt\":\"Photography-Squares-6\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-7.jpg\",\"alt\":\"Photography-Squares-7\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-8.jpg\",\"alt\":\"Photography-Squares-8\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Squares-9.jpg\",\"alt\":\"Photography-Squares-9\",\"fullWidth\":true,\"width\":\"700px\",\"height\":\"700px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h1 style=\\\"line-height: 48px; text-align: center;\\\"><strong>Stay focused<\\/strong><\\/h1>\\n    <p style=\\\"text-align: center;\\\">We\'re always keeping our social media feeds up to date with the latest images from our photographers. Check them out below.<\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"29px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#2d2d2d\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/photography\\/Photography-Logo.png\",\"alt\":\"Photography-Logo\",\"fullWidth\":false,\"width\":\"108px\",\"height\":\"141px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><span style=\\\"color: #999999;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"13px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"16px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#111111\"},\"body\":{\"backgroundColor\":\"#111111\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"View all work\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#111111\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"140px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"right\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"29px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#2d2d2d\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Courier New\",\"fontSize\":\"13px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#ffffff\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/photography/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("66", "0", "Jazz Club", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#0b0821\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#898989\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-logo.png\",\"alt\":\"Jazz-logo\",\"fullWidth\":false,\"width\":\"324px\",\"height\":\"607px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-Images-1.jpg\",\"alt\":\"Jazz-Images-1\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"875px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2><span>29th March 2019<\\/span><\\/h2>\\n    <h1><span>James Patterson<\\/span><\\/h1>\\n    <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get tickets\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e30095\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: right;\\\"><span>14th April 2019<\\/span><\\/h2>\\n    <h1 style=\\\"text-align: right;\\\"><span>Samantha Morris<\\/span><\\/h1>\\n    <p style=\\\"text-align: right;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get tickets\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e30095\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"right\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-Images-2.jpg\",\"alt\":\"Jazz-Images-2\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"875px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-Images-3.jpg\",\"alt\":\"Jazz-Images-3\",\"fullWidth\":false,\"width\":\"800px\",\"height\":\"875px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h2><span>3rd&nbsp;May 2019<\\/span><\\/h2>\\n    <h1><span>Buster&nbsp;Smith<\\/span><\\/h1>\\n    <p><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Get tickets\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e30095\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ff7b0e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"34px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #a04d08;\\\"><strong>J A Z Z&nbsp; C L U B&nbsp; P R E S E N T S<\\/strong><\\/span><\\/p>\\n    <h1 style=\\\"text-align: center; font-size: 52px;\\\"><span style=\\\"color: #ffffff;\\\">24th Jazz Festival<\\/span><\\/h1>\\n    <h3 style=\\\"text-align: center;\\\"><strong><span style=\\\"color: #a04d08;\\\">5 - 14 August 2018<\\/span><\\/strong><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut fringilla velit, id malesuada nisi. Nam ac rutrum diam. Nunc diam leo, bibendum eget aliquam eget, commodo vitae lectus.<\\/span><\\/span><\\/p>\\n    <p><span style=\\\"color: #ffffff;\\\"><\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-Social.jpg\",\"alt\":\"Jazz-Social\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"193px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"34px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/jazz-club\\/Jazz-logo.png\",\"alt\":\"Jazz-logo\",\"fullWidth\":false,\"width\":\"144px\",\"height\":\"607px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#e30095\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#848486\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arvo\",\"fontSize\":\"26px\"},\"h2\":{\"fontColor\":\"#e30095\",\"fontFamily\":\"Arvo\",\"fontSize\":\"20px\"},\"h3\":{\"fontColor\":\"#e30095\",\"fontFamily\":\"Arvo\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#e30095\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#0b0821\"},\"body\":{\"backgroundColor\":\"#0b0821\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"3\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h3\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read the post\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"160px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"automatedLatestContentLayout\",\"terms\":[]},\"button\":{\"text\":\"Get tickets\",\"url\":\"[postLink]\",\"styles\":{\"block\":{\"backgroundColor\":\"#e30095\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"90px\",\"lineHeight\":\"36px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#e30095\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"left\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}},\"type\":\"divider\"},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\",\"type\":\"posts\",\"offset\":10,\"terms\":[],\"search\":\"\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"34px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#898989\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/jazz-club/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("67", "0", "Guitarist", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/guitarist\\/Guitarist-Logo.png\",\"alt\":\"Guitarist-Logo\",\"fullWidth\":false,\"width\":\"184px\",\"height\":\"179px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"26px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-grey\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"25px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#949494\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/guitarist\\/Guitarist-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"700px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"250px\"}}},{\"type\":\"text\",\"text\":\"<h3><strong>Exit Stage Right<\\/strong><\\/h3>\\n    <p><span style=\\\"color: #999999;\\\">A brand new album releasing this summer on <span style=\\\"color: #ffffff;\\\">iTunes<\\/span> and <span style=\\\"color: #1db954;\\\">Spotify<\\/span><\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"95px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"normal\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"130px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #27282e;\\\"><strong>My recording setup<\\/strong><\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #5a5c66;\\\">A&nbsp;lot of people have been asking how I record my albums, so I thought I would write a quick blog post to explain<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"95px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/guitarist\\/Guitarist-Images-1-1.jpg\",\"alt\":\"Guitarist-Images-1\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"1000px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/guitarist\\/Guitarist-Images-2-1.jpg\",\"alt\":\"Guitarist-Images-2\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"1000px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"130px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #27282e;\\\"><strong>Life on the road<\\/strong><\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #5a5c66;\\\">Not many people know what it\'s like to travel all over the world and perform every night in many different places<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"95px\",\"lineHeight\":\"30px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><strong>New tour dates<\\/strong><\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #999999;\\\">Come see me perform new tracks from the album<\\/span><\\/p>\"},{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"14px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#37383e\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"March 7th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Metro Radio Arena - Newcastle Upon Tyne<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"March 8th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">First Direct Arena<\\/span><\\/p>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">- Leeds<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"March 9th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Liverpool Echo Arena - Liverpool<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"March 11th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">The Brighton Centre - Brighton<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"March 12th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Motorpoint Arena Nottingham - Nottingham<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"button\",\"text\":\"March 13th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Motorpoint Arena Cardiff - Cardiff<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"14px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#37383e\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#27282e\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/guitarist\\/Guitarist-Logo.png\",\"alt\":\"Guitarist-Logo\",\"fullWidth\":true,\"width\":\"176px\",\"height\":\"179px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/><span style=\\\"color: #999999;\\\">Add your postal address here!<\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#4c537e\",\"textDecoration\":\"none\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#27282e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#27282e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#27282e\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#27282e\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"March 13th 2019\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#4c537e\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"14px\",\"borderStyle\":\"dashed\",\"borderWidth\":\"2px\",\"borderColor\":\"#37383e\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#4c537e\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-grey\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/08-full-symbol-grey\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#949494\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/guitarist/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("68", "0", "Healthy Food Blog", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#323232\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#323232\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<p><strong><span style=\\\"color: #ffffff; font-size: 14px;\\\">[date:mtext] [date:y]&nbsp;Edition<\\/span><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#323232\",\"height\":\"22px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: right; font-size: 12px;\\\"><span style=\\\"color: #ed682a;\\\"><strong><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #ed682a;\\\">View this email in your browser &gt;<\\/a><\\/strong><\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-Logo.png\",\"alt\":\"HealthyFood-Logo\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"296px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"25px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"height\":\"121px\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]}]},{\"type\":\"container\",\"columnLayout\":\"2_1\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-Header-1.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><strong><span style=\\\"color: #ffffff;\\\">Welcome back!<\\/span><\\/strong><\\/h1>\\n    <p><span style=\\\"color: #ffffff;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam nisl massa, fringilla id rutrum sed, porttitor in risus. Fusce dui erat, bibendum a accumsan non.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"56px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>It\'s November - time to plant those \\ud83c\\udf36<\\/strong><\\/span><\\/h2>\\n    <p><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam nisl massa, fringilla id rutrum sed, porttitor in risus. Fusce dui erat, bibendum a accumsan non.<\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\"><\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\">Tag your chilli images with #novemberheat for your chance to win a box of spicy treats!<\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\"><\\/span><\\/p>\\n    <h3><span style=\\\"color: #ed682a;\\\"><strong>#novemberheat<\\/strong><\\/span><\\/h3>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-Instagram.jpg\",\"alt\":\"HealthyFood-Instagram\",\"fullWidth\":true,\"width\":\"507px\",\"height\":\"600px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: left;\\\"><strong><span style=\\\"color: #ffffff;\\\">Start eating healthy today<\\/span><\\/strong><\\/h1>\\n    <h3><strong><span style=\\\"color: #ffffff;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam nisl massa, fringilla id rutrum sed, porttitor in risus. Fusce dui erat, bibendum a accumsan non.<\\/span><\\/span><\\/strong><\\/h3>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-CouponImage.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-CouponImage.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/5a5b7bf514d8c4188e0b08fc-1024x766.png\",\"alt\":\"5a5b7bf514d8c4188e0b08fc\",\"fullWidth\":true,\"width\":\"298px\",\"height\":\"524px\",\"styles\":{\"block\":{\"textAlign\":\"right\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><strong>Get 20% off a box<\\/strong><\\/h3>\\n    <p><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam nisl massa, fringilla<\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\">id rutrum sed, porttitor in risus.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"CouPon_Cod3\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\",\"borderColor\":\"#323232\",\"borderWidth\":\"2px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#323232\",\"fontFamily\":\"Courier New\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-CouponImage.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"height\":\"26px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\"><strong>Your weekly recipe list<\\/strong><\\/span><\\/h2>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #333333;\\\">Cook delicious meals right now - here\'s your list for this week.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>MONDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-01-Monday.jpg\",\"alt\":\"HealthyFood-01-Monday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Spicy Prawn Broth\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>TUESDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-02-Tuesday.jpg\",\"alt\":\"HealthyFood-02-Tuesday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Classic Pizza\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>WEDNESDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-03-Wednesday.jpg\",\"alt\":\"HealthyFood-03-Wednesday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Salad Roll\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"9px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#ed682a\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>THURSDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-04-Thursday.jpg\",\"alt\":\"HealthyFood-04-Thursday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Shellfish Pasta\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>FRIDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-05-Friday.jpg\",\"alt\":\"HealthyFood-05-Friday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Thai Green Curry\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>SATURDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-06-Saturday.jpg\",\"alt\":\"HealthyFood-06-Saturday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Stuffed Turkey\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"9px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#ed682a\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>SUNDAY<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-07-Sunday.jpg\",\"alt\":\"HealthyFood-07-Sunday\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"button\",\"text\":\"Lemon Cake\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><span style=\\\"color: #333333;\\\"><strong>Want more recipes?<\\/strong><\\/span><\\/h2>\\n    <p><span style=\\\"color: #333333;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam nisl massa, fringilla id rutrum sed, porttitor in risus. Fusce dui erat, bibendum a accumsan non.<\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\"><\\/span><\\/p>\\n    <p><span style=\\\"color: #333333;\\\">For all of our recipes, check out our website or visit one of our social media platforms below. We\'d love to hear what you think about our choices this week!<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"9px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#ed682a\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#e3e3e3\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/healthy-food-blog\\/HealthyFood-Logo.png\",\"alt\":\"HealthyFood-Logo\",\"fullWidth\":false,\"width\":\"110px\",\"height\":\"296px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #ed682a;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #ed682a;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #ed682a;\\\">Manage your subscription<\\/a><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#ed682a\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#e3e3e3\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Lemon Cake\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#ed682a\",\"borderColor\":\"#323232\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"255px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"9px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#ed682a\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#e39171\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/healthy-food-blog/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("69", "0", "Software", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/software\\/Software-Logo.png\",\"alt\":\"Software-Logo\",\"fullWidth\":false,\"width\":\"140px\",\"height\":\"122px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><strong><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View online<\\/a><\\/strong><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#212327\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center; line-height: 46px;\\\"><span style=\\\"color: #212327;\\\"><strong>Your music.<br \\/>Your way.<\\/strong><\\/span><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/software\\/Software-Header.jpg\",\"alt\":\"Software-Header\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><strong>Find music fast<\\/strong><\\/h2>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida. In eu vestibulum orci, sit amet ultrices mauris.<\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#212327\",\"borderColor\":\"#212327\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"124px\",\"lineHeight\":\"39px\",\"fontColor\":\"#cacaca\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/software\\/Software-Image-1.jpg\",\"alt\":\"Software-Image-1\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/software\\/Software-Image-2.jpg\",\"alt\":\"Software-Image-2\",\"fullWidth\":true,\"width\":\"800px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: left;\\\"><strong>Keep up with the trend<\\/strong><\\/h2>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida. In eu vestibulum orci, sit amet ultrices mauris.<\\/p>\"},{\"type\":\"button\",\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#212327\",\"borderColor\":\"#212327\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"124px\",\"lineHeight\":\"39px\",\"fontColor\":\"#cacaca\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Get the app now for free<\\/strong><\\/h2>\\n    <p style=\\\"text-align: center;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin placerat feugiat est, malesuada varius sem finibus a. Nunc feugiat sollicitudin gravida.<\\/p>\"},{\"type\":\"button\",\"text\":\"Download for free\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#dbbb00\",\"borderColor\":\"#212327\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"199px\",\"lineHeight\":\"50px\",\"fontColor\":\"#212327\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"18px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/software\\/Software-Logo.png\",\"alt\":\"Software-Logo\",\"fullWidth\":false,\"width\":\"140px\",\"height\":\"122px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#212327\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#212327\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#212327\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"40px\"},\"h2\":{\"fontColor\":\"#212327\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"26px\"},\"h3\":{\"fontColor\":\"#212327\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#212327\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#dbbb00\"},\"body\":{\"backgroundColor\":\"#dbbb00\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Find out more\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#212327\",\"borderColor\":\"#212327\",\"borderWidth\":\"0px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"124px\",\"lineHeight\":\"39px\",\"fontColor\":\"#cacaca\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"14px\",\"fontWeight\":\"bold\",\"textAlign\":\"left\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#212327\",\"textDecoration\":\"underline\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather Sans\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#212327\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/software/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("70", "0", "Makeup Blog", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#adadad\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Logo.png\",\"alt\":\"WomensLifestyle-Logo\",\"fullWidth\":false,\"width\":\"130px\",\"height\":\"94px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center;\\\">Fashion Week Special<\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Header-1.jpg\",\"alt\":\"WomensLifestyle-Header-1\",\"fullWidth\":true,\"width\":\"900px\",\"height\":\"426px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet scelerisque odio. Pellentesque nisl massa, ullamcorper eu gravida varius, mollis eu orci.<\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Breaker-1-1.jpg\",\"alt\":\"WomensLifestyle-Breaker-1-1\",\"fullWidth\":true,\"width\":\"900px\",\"height\":\"65px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c83142\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Image-1.png\",\"alt\":\"WomensLifestyle-Image-1\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\">Big announcement from top artists<\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span style=\\\"color: #e0cccc;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet scelerisque odio. Pellentesque nisl massa, ullamcorper eu gravida varius, mollis eu orci.<\\/span><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Breaker-2.jpg\",\"alt\":\"WomensLifestyle-Breaker-2\",\"fullWidth\":true,\"width\":\"900px\",\"height\":\"65px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#6d3aa7\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#6d3aa7\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Image-2.png\",\"alt\":\"WomensLifestyle-Image-2\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"34px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: left;\\\"><span style=\\\"color: #ffffff;\\\">New Workshops to begin<\\/span><\\/h3>\\n    <p style=\\\"text-align: left;\\\"><span style=\\\"color: #f6dff7;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet scelerisque odio. Pellentesque nisl massa, ullamcorper eu gravida varius, mollis eu orci.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Breaker-3.jpg\",\"alt\":\"WomensLifestyle-Breaker-3\",\"fullWidth\":true,\"width\":\"900px\",\"height\":\"65px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#0f2f41\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#0f2f41\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Image-3.png\",\"alt\":\"WomensLifestyle-Image-3\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><\\/span><span style=\\\"color: #becbf7;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet scelerisque.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Image-4.png\",\"alt\":\"WomensLifestyle-Image-4\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><\\/span><span style=\\\"color: #becbf7;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet scelerisque.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Image-5.png\",\"alt\":\"WomensLifestyle-Image-5\",\"fullWidth\":false,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><span style=\\\"color: #ffffff;\\\"><\\/span><span style=\\\"color: #becbf7;\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet scelerisque.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#0f2f41\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Breaker-4.jpg\",\"alt\":\"WomensLifestyle-Breaker-4\",\"fullWidth\":true,\"width\":\"900px\",\"height\":\"65px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-a\\/WomensLifestyle-Logo.png\",\"alt\":\"WomensLifestyle-Logo\",\"fullWidth\":false,\"width\":\"170px\",\"height\":\"40px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><span style=\\\"color: #000000;\\\"><strong><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #000000;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #000000;\\\">Manage your subscription<\\/a><\\/strong><\\/span><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Courier New\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Courier New\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Courier New\",\"fontSize\":\"20px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#adadad\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/lifestyle-blog-a/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("71", "0", "Kids Shop", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-shop\\/FashionKids-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"60px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center; font-size: 11px; letter-spacing: 3px;\\\"><strong>AUTUMN RANGE 2018<\\/strong><\\/p>\"},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-shop\\/FashionKids-Logo.png\",\"alt\":\"FashionKids-Logo\",\"fullWidth\":false,\"width\":\"200px\",\"height\":\"64px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"text-align: center; font-size: 52px; line-height: 1.2;\\\"><strong>IT\'S TIME&nbsp;<\\/strong><strong>TO EXPLORE<\\/strong><\\/h1>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"403px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c6d4dd\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-shop\\/FashionKids-Image-Square.jpg\",\"alt\":\"FashionKids-Image-Square\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\">Keep them warm this autumn with our whole new range just for your little ones<\\/h3>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-shop\\/FashionKids-Image-1-1.jpg\",\"alt\":\"FashionKids-Image-1-1\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#c6d4dd\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-shop\\/FashionKids-Image-Square-2.jpg\",\"alt\":\"FashionKids-Image-Square-2\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"113px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\">All of our clothes are easy to wash and are ready for your little explorers<\\/h3>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/fashion-shop\\/FashionKids-Logo.png\",\"alt\":\"FashionKids-Logo\",\"fullWidth\":false,\"width\":\"187px\",\"height\":\"30px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"social\",\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#21759b\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Georgia\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Georgia\",\"fontSize\":\"26px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Georgia\",\"fontSize\":\"24px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#21759b\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-color\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/06-full-symbol-color\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/fashion-shop/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("72", "0", "Lifestyle Blog", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-Logo-1.png\",\"alt\":\"WomensLifestyle-Logo\",\"fullWidth\":true,\"width\":\"160px\",\"height\":\"57px\",\"styles\":{\"block\":{\"textAlign\":\"left\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #b25088;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #b25088;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#b25187\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"440px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-HeaderDrop.jpg\",\"alt\":\"WomensLifestyle-HeaderDrop\",\"fullWidth\":true,\"width\":\"900px\",\"height\":\"61px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px; letter-spacing: 4px; text-align: center;\\\"><span style=\\\"color: #808080;\\\"><strong>FEATURED ARTICLE THIS MONTH<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: center;\\\"><strong>Business tips&nbsp;from top female executives<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #993366;\\\"><strong>1<\\/strong><\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam non est sed tellus pharetra facilisis quis vel lacus.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #993366;\\\"><strong>2<\\/strong><\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam non est sed tellus pharetra facilisis quis vel lacus.<\\/span><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><span style=\\\"color: #993366;\\\"><strong>3<\\/strong><\\/span><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam non est sed tellus pharetra facilisis quis vel lacus.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"23px\"}}},{\"type\":\"button\",\"text\":\"Read the article\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#b25088\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"21px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-Image-1.jpg\",\"alt\":\"WomensLifestyle-Image-1\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"71px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px; letter-spacing: 4px; text-align: left;\\\"><span style=\\\"color: #808080;\\\"><strong>PODCASTS<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: left;\\\"><strong>Does hard work really pay off?<\\/strong><\\/h2>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam non est sed tellus pharetra facilisis quis vel lacus.<\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"71px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px; letter-spacing: 4px; text-align: left;\\\"><span style=\\\"color: #808080;\\\"><strong>PSYCHOLOGY<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: left;\\\"><strong>Closing deals can be easier than you think<\\/strong><\\/h2>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam non est sed tellus pharetra facilisis quis vel lacus.<\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-Image-2.jpg\",\"alt\":\"WomensLifestyle-Image-2\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-Image-3.jpg\",\"alt\":\"WomensLifestyle-Image-3\",\"fullWidth\":true,\"width\":\"400px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"71px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"font-size: 11px; letter-spacing: 4px; text-align: left;\\\"><span style=\\\"color: #808080;\\\"><strong>TECHNOLOGY<\\/strong><\\/span><\\/p>\\n    <h2 style=\\\"text-align: left;\\\"><strong>What email software is right for you?<\\/strong><\\/h2>\\n    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam non est sed tellus pharetra facilisis quis vel lacus.<\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"50px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/lifestyle-blog-b\\/WomensLifestyle-Logo-1.png\",\"alt\":\"WomensLifestyle-Logo\",\"fullWidth\":false,\"width\":\"112px\",\"height\":\"57px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"social\",\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"pinterest\",\"link\":\"http:\\/\\/www.pinterest.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Pinterest.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Pinterest\"}]},{\"type\":\"footer\",\"text\":\"<p><strong><span style=\\\"color: #b25088;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\" style=\\\"color: #b25088;\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\" style=\\\"color: #b25088;\\\">Manage your subscription<\\/a><\\/span><\\/strong><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Arial\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Arial\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Read the article\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#b25088\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"50px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Arial\",\"fontSize\":\"16px\",\"fontWeight\":\"bold\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"circles\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"website\",\"link\":\"\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Website.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Website\"},{\"type\":\"socialIcon\",\"iconType\":\"pinterest\",\"link\":\"http:\\/\\/www.pinterest.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/03-circles\\/Pinterest.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Pinterest\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"right\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/lifestyle-blog-b/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("73", "0", "Painter", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"header\",\"text\":\"<p><a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"11px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#787878\",\"textDecoration\":\"none\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/Painter-Logo-bg.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#8289ca\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/Painter-Logo.png\",\"alt\":\"Painter-Logo\",\"fullWidth\":false,\"width\":\"305.9375px\",\"height\":\"93px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><a href=\\\"https:\\/\\/www.mailpoet.com\\\">Reviews &amp; Submissions<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><a href=\\\"https:\\/\\/www.mailpoet.com\\\">Essential&nbsp;Gear<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><a href=\\\"https:\\/\\/www.mailpoet.com\\\">Latest Commissions<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/Painter-Header.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}}},{\"type\":\"text\",\"text\":\"<h1><strong>Welcome back<\\/strong><\\/h1>\\n    <p>It\'s been a big month for the studio and we\'d love to show you some of our recent work.<\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"35px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/186018-sktchy-2-nh-gutenCRALTBRBLOG.jpg\",\"alt\":\"186018-sktchy-2-nh-gutenCRALTBRBLOG\",\"fullWidth\":false,\"width\":\"520px\",\"height\":\"830px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"140px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/181215_2-laura-anderson-dog-fab-artistico-cpCRAltBRCRBlog.jpg\",\"alt\":\"181215_2-laura-anderson-dog-fab-artistico-cpCRAltBRCRBlog\",\"fullWidth\":false,\"width\":\"180px\",\"height\":\"1010px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/170204_sktchy_BlackChickenBrushPen2CRBR.jpg\",\"alt\":\"170204_sktchy_BlackChickenBrushPen2CRBR\",\"fullWidth\":false,\"width\":\"328px\",\"height\":\"686px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<h2 style=\\\"text-align: center;\\\"><strong>Latest from the blog<\\/strong><\\/h2>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/1812231-sktchy-1-jon-coxwell-fabriano-cpCRFeat-394x252.jpg\",\"alt\":\"1812231-sktchy-1-jon-coxwell-fabriano-cpCRFeat-394x252\",\"fullWidth\":false,\"width\":\"394px\",\"height\":\"252px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><span>Self-Assessment: 2018&mdash;Filling Journals, Using Up Paint<\\/span><\\/p>\\n    <p><a href=\\\"https:\\/\\/www.mailpoet.com\\\">Read more &gt;<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/180830-2018-fair-32-pigeon-fabri-300-hpCRAltBRFeat-394x252.jpg\",\"alt\":\"180830-2018-fair-32-pigeon-fabri-300-hpCRAltBRFeat-394x252\",\"fullWidth\":false,\"width\":\"394px\",\"height\":\"252px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><span>Happy New Year 2019<\\/span><\\/p>\\n    <p><a href=\\\"https:\\/\\/www.mailpoet.com\\\">Read more &gt;<\\/a><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/180828-sktchy-t-c-c-hahn-expressions-cpCRAltBRCRFeat-394x252.jpg\",\"alt\":\"180828-sktchy-t-c-c-hahn-expressions-cpCRAltBRCRFeat-394x252\",\"fullWidth\":false,\"width\":\"394px\",\"height\":\"252px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><span>Roz&rsquo;s 2018 Minnesota State Fair Journal<\\/span><\\/p>\\n    <p><a href=\\\"https:\\/\\/www.mailpoet.com\\\">Read more &gt;<\\/a><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/painter\\/Painter-SocialBack.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"64px\"}}},{\"type\":\"text\",\"text\":\"<h3 style=\\\"text-align: center;\\\"><strong>Stay in touch<\\/strong><\\/h3>\\n    <p style=\\\"text-align: center;\\\"><span>Keep up-to-date with all of the work from the studio<\\/span><\\/p>\"},{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"styles\":{\"block\":{\"textAlign\":\"center\"}},\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}]},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"40px\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: center;\\\"><strong>Canvas Studio<\\/strong><\\/p>\\n    <p style=\\\"text-align: center; font-size: 11px;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a>&nbsp;|&nbsp;<a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\"}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"36px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#585858\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"Button\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#585858\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"},{\"type\":\"socialIcon\",\"iconType\":\"youtube\",\"link\":\"http:\\/\\/www.youtube.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Youtube.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Youtube\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"100px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Merriweather\",\"fontSize\":\"11px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#787878\",\"textDecoration\":\"none\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/painter/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("74", "0", "Farmers Market", "[\"standard\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"header\",\"text\":\"<p><span style=\\\"color: #689f2c;\\\"><a href=\\\"[link:newsletter_view_in_browser_url]\\\" style=\\\"color: #689f2c;\\\">View this in your browser.<\\/a><\\/span><\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Top-2.jpg\",\"alt\":\"FarmersMarket-Top\",\"fullWidth\":true,\"width\":\"1200px\",\"height\":\"25px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Logo.png\",\"alt\":\"FarmersMarket-Logo\",\"fullWidth\":true,\"width\":\"200px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#252525\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"44px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"line-height: 32px;\\\"><strong><span style=\\\"color: #ffffff;\\\">COME JOIN US THIS WEEKEND<\\/span><\\/strong><\\/h1>\\n    <p><span style=\\\"color: #ffffff;\\\">We\'re having a big bake sale this weekend starting 9am on Saturday morning. Pop down to see us&nbsp;and our merchants.<\\/span><\\/p>\\n    <p><span style=\\\"color: #ffffff;\\\"><\\/span><\\/p>\\n    <p><strong><a href=\\\"http:\\/\\/www.google.com\\\">Add date to my calendar &gt;<\\/a><\\/strong><\\/p>\"}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Header.jpg\",\"alt\":\"FarmersMarket-Header\",\"fullWidth\":false,\"width\":\"1000px\",\"height\":\"800px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Images-1.jpg\",\"alt\":\"FarmersMarket-Images-1\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p>It\'s carrot season, which means it\'s the perfect time to try our carrot recipes!<\\/p>\"},{\"type\":\"button\",\"text\":\"CARROTS EVERYWHERE\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#252525\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Images-2.jpg\",\"alt\":\"FarmersMarket-Images-2\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p>Don\'t throw out those leftover pumpkins - here\'s some tips for you.<\\/p>\"},{\"type\":\"button\",\"text\":\"PUMPED FOR PUMPKINS\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#252525\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Images-3.jpg\",\"alt\":\"FarmersMarket-Images-3\",\"fullWidth\":false,\"width\":\"500px\",\"height\":\"500px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p>Our new bakery has opened and is making some of the best artisanal bread.<\\/p>\"},{\"type\":\"button\",\"text\":\"I KNEAD THIS\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#252525\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Video.jpg\",\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#222222\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"55px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-PlayButton.png\",\"alt\":\"FarmersMarket-PlayButton\",\"fullWidth\":true,\"width\":\"100px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"61px\"}}},{\"type\":\"text\",\"text\":\"<h1 style=\\\"line-height: 32px;\\\"><strong><span style=\\\"color: #ffffff;\\\">A DAY IN THE LIFE<\\/span><\\/strong><\\/h1>\\n    <p><span style=\\\"color: #ffffff;\\\">Check out what it\'s like to be at the market every weekend.<\\/span><\\/p>\\n    <p><span style=\\\"color: #ffffff;\\\"><\\/span><\\/p>\"},{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}}}]}]},{\"type\":\"container\",\"columnLayout\":\"1_2\",\"orientation\":\"horizontal\",\"image\":{\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Middle.jpg\",\"display\":\"tile\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Logo.png\",\"alt\":\"FarmersMarket-Logo\",\"fullWidth\":true,\"width\":\"112px\",\"height\":\"400px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"social\",\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}]},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#689f2c\",\"textDecoration\":\"none\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/ps.w.org\\/mailpoet\\/assets\\/newsletter-templates\\/farmers-market\\/FarmersMarket-Bottom-2.jpg\",\"alt\":\"FarmersMarket-Bottom\",\"fullWidth\":true,\"width\":\"660px\",\"height\":\"50px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Roboto\",\"fontSize\":\"14px\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"30px\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\"},\"link\":{\"fontColor\":\"#689f2c\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}},\"blockDefaults\":{\"automatedLatestContent\":{\"amount\":\"5\",\"withLayout\":false,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"belowTitle\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContent.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContent.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"automatedLatestContentLayout\":{\"amount\":\"5\",\"withLayout\":true,\"contentType\":\"post\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"button\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"automatedLatestContentLayout.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"automatedLatestContentLayout.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"button\":{\"text\":\"CARROTS EVERYWHERE\",\"url\":\"\",\"styles\":{\"block\":{\"backgroundColor\":\"#252525\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"0px\",\"borderRadius\":\"0px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Source Sans Pro\",\"fontSize\":\"14px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}},\"type\":\"button\"},\"divider\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"2px\",\"borderColor\":\"#252525\"}},\"type\":\"divider\"},\"footer\":{\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Roboto\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#689f2c\",\"textDecoration\":\"none\"}},\"type\":\"footer\"},\"posts\":{\"amount\":\"10\",\"withLayout\":true,\"contentType\":\"post\",\"postStatus\":\"publish\",\"inclusionType\":\"include\",\"displayType\":\"excerpt\",\"titleFormat\":\"h1\",\"titleAlignment\":\"left\",\"titleIsLink\":false,\"imageFullWidth\":false,\"featuredImagePosition\":\"alternate\",\"showAuthor\":\"no\",\"authorPrecededBy\":\"Author:\",\"showCategories\":\"no\",\"categoriesPrecededBy\":\"Categories:\",\"readMoreType\":\"link\",\"readMoreText\":\"Read more\",\"readMoreButton\":{\"text\":\"Read more\",\"url\":\"[postLink]\",\"context\":\"posts.readMoreButton\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"180px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"18px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},\"sortBy\":\"newest\",\"showDivider\":true,\"divider\":{\"context\":\"posts.divider\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"padding\":\"13px\",\"borderStyle\":\"solid\",\"borderWidth\":\"3px\",\"borderColor\":\"#aaaaaa\"}}},\"backgroundColor\":\"#ffffff\",\"backgroundColorAlternate\":\"#eeeeee\"},\"social\":{\"iconSet\":\"full-symbol-black\",\"icons\":[{\"type\":\"socialIcon\",\"iconType\":\"facebook\",\"link\":\"http:\\/\\/www.facebook.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Facebook.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Facebook\"},{\"type\":\"socialIcon\",\"iconType\":\"twitter\",\"link\":\"http:\\/\\/www.twitter.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Twitter.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Twitter\"},{\"type\":\"socialIcon\",\"iconType\":\"instagram\",\"link\":\"http:\\/\\/instagram.com\",\"image\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/newsletter_editor\\/social-icons\\/07-full-symbol-black\\/Instagram.png\",\"height\":\"32px\",\"width\":\"32px\",\"text\":\"Instagram\"}],\"type\":\"social\"},\"spacer\":{\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"20px\"}},\"type\":\"spacer\"},\"header\":{\"text\":\"<a href=\\\"[link:newsletter_view_in_browser_url]\\\">View this in your browser.<\\/a>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"center\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"underline\"}},\"type\":\"header\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/farmers-market/thumbnail.20190411-1500.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("75", "0", "Confirm interest before deactivation", "[\"re_engagement\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\">Hi [subscriber:firstname | default:there],<\\/p><p style=\\\"text-align: left;\\\"><\\/p>\\n                                  <p style=\\\"text-align: left;\\\"><span>You have subscribed to receive email updates from us, but as we\'re not sure if you\'re reading our emails, we\'d like to ask - <strong>are you still interested in hearing from us?<\\/strong> If yes, please reconfirm your subscription by clicking the button below:<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Yes, keep me subscribed!\",\"url\":\"[link:subscription_re_engage_url]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p><span class=\\\"prismjs css-1xfvm4v\\\" data-code-lang=\\\"\\\" data-ds--code--code-block=\\\"\\\">If you\'re no longer interested, that\'s completely fine. You don\'t need to take any action. Our system will automatically unsubscribe you soon from all of our future content.<\\/span><\\/p>\"}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p><strong><em><\\/em><\\/strong><\\/p><p><strong><em>The MailPoet Team<\\/em><\\/strong><\\/p>\"},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\",\"lineHeight\":\"1.6\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\",\"lineHeight\":\"1.6\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\",\"lineHeight\":\"1.6\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\",\"lineHeight\":\"1.6\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/confirm-interest-before-deactivation/thumbnail.20211026.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_newsletter_templates` VALUES("76", "0", "Confirm your interest or unsubscribe", "[\"re_engagement\",\"all\"]", "", "{\"content\":{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"spacer\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\",\"height\":\"30px\"}}},{\"type\":\"image\",\"link\":\"\",\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/mailpoet\\/assets\\/img\\/blank_templates\\/fake-logo.png\",\"alt\":\"Fake logo\",\"fullWidth\":false,\"width\":\"598px\",\"height\":\"71px\",\"styles\":{\"block\":{\"textAlign\":\"center\"}}},{\"type\":\"text\",\"text\":\"<p style=\\\"text-align: left;\\\">Hi [subscriber:firstname | default:there],<\\/p><p style=\\\"text-align: left;\\\"><\\/p>\\n                                  <p style=\\\"text-align: left;\\\"><span>It\'s been a while since you opened our emails. If you have changed your mind since you subscribed and are no longer interested, we get it! We won\'t make it hard for you, so feel free to unsubscribe right away.&nbsp;<\\/span><\\/p><p style=\\\"text-align: left;\\\"><\\/p>\\n                                  <p style=\\\"text-align: left;\\\"><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe me!<\\/a><\\/p><p style=\\\"text-align: left;\\\"><\\/p>\\n                                  <p style=\\\"text-align: left;\\\">(When you unsubscribe, you\'ll stop receiving all future emails from us.)<\\/p><p style=\\\"text-align: left;\\\"><\\/p>\\n                                  <p style=\\\"text-align: left;\\\"><span>On the other hand, if you like our emails and want to keep receiving them, please <strong>reconfirm your subscription by clicking the big button below<\\/strong>.<\\/span><\\/p>\"},{\"type\":\"button\",\"text\":\"Yes, keep me subscribed!\",\"url\":\"[link:subscription_re_engage_url]\",\"styles\":{\"block\":{\"backgroundColor\":\"#2ea1cd\",\"borderColor\":\"#0074a2\",\"borderWidth\":\"1px\",\"borderRadius\":\"5px\",\"borderStyle\":\"solid\",\"width\":\"288px\",\"lineHeight\":\"40px\",\"fontColor\":\"#ffffff\",\"fontFamily\":\"Verdana\",\"fontSize\":\"16px\",\"fontWeight\":\"normal\",\"textAlign\":\"center\"}}}]}]},{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"horizontal\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"#ffffff\"}},\"blocks\":[{\"type\":\"container\",\"columnLayout\":false,\"orientation\":\"vertical\",\"image\":{\"src\":null,\"display\":\"scale\"},\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"}},\"blocks\":[{\"type\":\"text\",\"text\":\"<p><strong><em><\\/em><\\/strong><\\/p><p><strong><em>The MailPoet Team<\\/em><\\/strong><\\/p>\"},{\"type\":\"footer\",\"text\":\"<p><a href=\\\"[link:subscription_unsubscribe_url]\\\">Unsubscribe<\\/a> | <a href=\\\"[link:subscription_manage_url]\\\">Manage your subscription<\\/a><br \\/>Add your postal address here!<\\/p>\",\"styles\":{\"block\":{\"backgroundColor\":\"transparent\"},\"text\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Arial\",\"fontSize\":\"12px\",\"textAlign\":\"left\"},\"link\":{\"fontColor\":\"#6cb7d4\",\"textDecoration\":\"none\"}}}]}]}]},\"globalStyles\":{\"text\":{\"fontColor\":\"#000000\",\"fontFamily\":\"Arial\",\"fontSize\":\"15px\",\"lineHeight\":\"1.6\"},\"h1\":{\"fontColor\":\"#111111\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"30px\",\"lineHeight\":\"1.6\"},\"h2\":{\"fontColor\":\"#222222\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"24px\",\"lineHeight\":\"1.6\"},\"h3\":{\"fontColor\":\"#333333\",\"fontFamily\":\"Trebuchet MS\",\"fontSize\":\"22px\",\"lineHeight\":\"1.6\"},\"link\":{\"fontColor\":\"#21759B\",\"textDecoration\":\"underline\"},\"wrapper\":{\"backgroundColor\":\"#ffffff\"},\"body\":{\"backgroundColor\":\"#ffffff\"}}}", "https://ps.w.org/mailpoet/assets/newsletter-templates/confirm-interest-or-unsubscribe/thumbnail.20211026.jpg", NULL, "1", NULL, "2023-07-02 13:59:47");

/* INSERT TABLE DATA: wp_sa_mailpoet_scheduled_tasks */
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("1", "inactive_subscribers", "scheduled", "0", "2023-07-02 14:59:47", NULL, "2023-07-02 13:59:44", "2023-07-02 13:59:44", NULL, NULL, "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("2", "beamer", "completed", "0", "2023-07-02 13:59:47", "2023-07-02 13:59:51", "2023-07-02 13:59:44", "2023-07-02 13:59:49", NULL, "0", "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("3", "unsubscribe_tokens", NULL, "0", "2023-07-02 13:59:47", NULL, "2023-07-02 13:59:44", "2023-07-02 13:59:49", NULL, "0", "0", "{\"last_subscriber_id\":\"2\",\"last_newsletter_id\":null}");
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("4", "subscriber_link_tokens", "completed", "0", "2023-07-02 13:59:47", "2023-07-02 13:59:51", "2023-07-02 13:59:44", "2023-07-02 13:59:49", NULL, "0", "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("5", "subscribers_last_engagement", "completed", "0", "2023-07-02 13:59:47", "2023-07-02 13:59:51", "2023-07-02 13:59:44", "2023-07-02 13:59:49", NULL, "0", "0", "{\"nextId\":2001}");
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("6", "newsletter_templates_thumbnails", "completed", "10", "2023-07-02 13:59:47", "2023-07-02 13:59:51", "2023-07-02 13:59:44", "2023-07-02 13:59:49", NULL, "0", "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("7", "export_files_cleanup", "scheduled", "10", "2023-07-03 00:00:00", NULL, "2023-07-02 13:59:49", "2023-07-02 13:59:49", NULL, NULL, "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("8", "subscribers_email_count", "scheduled", "10", "2023-07-06 00:00:00", NULL, "2023-07-02 13:59:49", "2023-07-02 13:59:49", NULL, NULL, "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("9", "woocommerce_past_orders", "scheduled", "10", "2023-07-02 13:59:51", NULL, "2023-07-02 13:59:49", "2023-07-02 13:59:49", NULL, NULL, "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("10", "subscriber_link_tokens", "scheduled", "10", "2023-07-02 13:59:51", NULL, "2023-07-02 13:59:49", "2023-07-02 13:59:49", NULL, NULL, "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("11", "subscribers_engagement_score", "scheduled", "10", "2023-07-03 02:24:00", NULL, "2023-07-02 13:59:49", "2023-07-02 13:59:49", NULL, NULL, "0", NULL);
INSERT INTO `wp_sa_mailpoet_scheduled_tasks` VALUES("12", "schedule_re_engagement_email", "scheduled", "10", "2023-07-03 13:59:51", NULL, "2023-07-02 13:59:49", "2023-07-02 13:59:49", NULL, NULL, "0", NULL);

/* INSERT TABLE DATA: wp_sa_mailpoet_segments */
INSERT INTO `wp_sa_mailpoet_segments` VALUES("1", "WordPress Users", "wp_users", "This list contains all of your WordPress users.", "2023-07-02 13:59:44", "2023-07-02 13:59:44", NULL, NULL, NULL, "0");
INSERT INTO `wp_sa_mailpoet_segments` VALUES("2", "WooCommerce Customers", "woocommerce_users", "This list contains all of your WooCommerce customers.", "2023-07-02 13:59:44", "2023-07-02 13:59:44", NULL, NULL, NULL, "0");
INSERT INTO `wp_sa_mailpoet_segments` VALUES("3", "Newsletter mailing list", "default", "This list is automatically created when you install MailPoet.", "2023-07-02 13:59:44", "2023-07-02 13:59:44", NULL, NULL, NULL, "0");

/* INSERT TABLE DATA: wp_sa_mailpoet_settings */
INSERT INTO `wp_sa_mailpoet_settings` VALUES("1", "mta_log", "a:8:{s:4:\"sent\";a:0:{}s:7:\"started\";i:1688293787;s:6:\"status\";N;s:13:\"retry_attempt\";N;s:8:\"retry_at\";N;s:5:\"error\";N;s:33:\"transactional_email_last_error_at\";N;s:31:\"transactional_email_error_count\";N;}", "2023-07-02 13:59:45", "2023-07-02 13:59:51");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("2", "homepage", "a:1:{s:27:\"product_discovery_dismissed\";b:0;}", "2023-07-02 13:59:45", "2023-07-02 13:59:45");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("3", "cron_trigger", "a:1:{s:6:\"method\";s:16:\"Action Scheduler\";}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("4", "sender", "a:2:{s:4:\"name\";s:9:\"designer2\";s:7:\"address\";s:21:\"designer2@abzarwp.com\";}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("5", "signup_confirmation", "a:1:{s:7:\"enabled\";b:1;}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("6", "installed_at", "2023-07-02 10:29:47", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("7", "captcha", "a:3:{s:4:\"type\";s:8:\"built-in\";s:20:\"recaptcha_site_token\";s:0:\"\";s:22:\"recaptcha_secret_token\";s:0:\"\";}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("8", "subscriber_email_notification", "a:3:{s:7:\"enabled\";b:1;s:9:\"automated\";b:1;s:7:\"address\";s:21:\"designer2@abzarwp.com\";}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("9", "stats_notifications", "a:2:{s:7:\"enabled\";b:1;s:7:\"address\";s:21:\"designer2@abzarwp.com\";}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("10", "woocommerce", "a:1:{s:17:\"optin_on_checkout\";a:2:{s:7:\"enabled\";b:1;s:7:\"message\";s:79:\"I would like to receive exclusive emails with discounts and product information\";}}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("12", "subscription", "a:1:{s:5:\"pages\";a:5:{s:11:\"unsubscribe\";i:19;s:6:\"manage\";i:19;s:12:\"confirmation\";i:19;s:7:\"captcha\";i:19;s:19:\"confirm_unsubscribe\";i:19;}}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("13", "db_version", "4.20.0", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("14", "updates_log", "a:1:{i:0;a:3:{s:16:\"previous_version\";N;s:11:\"new_version\";s:6:\"4.20.0\";s:4:\"date\";s:19:\"2023-07-02 10:29:47\";}}", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("15", "queue_disabled_mail_function_check", "1", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("16", "cron_daemon", "a:8:{s:5:\"token\";s:5:\"17rdt\";s:6:\"status\";s:6:\"active\";s:15:\"run_accessed_at\";N;s:14:\"run_started_at\";i:1688293791;s:16:\"run_completed_at\";i:1688293791;s:10:\"last_error\";N;s:15:\"last_error_date\";N;s:10:\"updated_at\";i:1688293791;}", "2023-07-02 13:59:51", "2023-07-02 13:59:51");
INSERT INTO `wp_sa_mailpoet_settings` VALUES("19", "last_announcement_date", "1688114377", "2023-07-02 13:59:51", "2023-07-02 13:59:51");

/* INSERT TABLE DATA: wp_sa_mailpoet_subscriber_segment */
INSERT INTO `wp_sa_mailpoet_subscriber_segment` VALUES("1", "1", "1", "subscribed", "2023-07-02 13:59:47", "2023-07-02 13:59:47");
INSERT INTO `wp_sa_mailpoet_subscriber_segment` VALUES("2", "2", "1", "subscribed", "2023-07-02 13:59:47", "2023-07-02 13:59:47");

/* INSERT TABLE DATA: wp_sa_mailpoet_subscribers */
INSERT INTO `wp_sa_mailpoet_subscribers` VALUES("1", "1", "0", "designer", "", "designer@abzarwp.com", "unconfirmed", NULL, NULL, NULL, NULL, "2023-07-02 13:59:47", "2023-07-02 13:59:51", NULL, NULL, "wordpress_user", "0", "5w2oo3tl0zcw0oc", "d20e41", NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_sa_mailpoet_subscribers` VALUES("2", "2", "0", "designer2", "", "designer2@abzarwp.com", "unconfirmed", NULL, NULL, NULL, NULL, "2023-07-02 13:59:47", "2023-07-02 14:00:53", NULL, NULL, "wordpress_user", "0", "21my5wgrron4swc", "3680e2", NULL, NULL, "2023-07-02 14:00:54", NULL, "0", NULL, NULL, NULL, NULL, "2023-07-02 14:00:54");

/* INSERT TABLE DATA: wp_sa_options */
INSERT INTO `wp_sa_options` VALUES("1", "siteurl", "https://halochin.ir/multivendor", "yes");
INSERT INTO `wp_sa_options` VALUES("2", "home", "https://halochin.ir/multivendor", "yes");
INSERT INTO `wp_sa_options` VALUES("3", "blogname", "سایت آماده چندفروشندگی", "yes");
INSERT INTO `wp_sa_options` VALUES("4", "blogdescription", "یک سایت آماده دیگر از ابزار وردپرس", "yes");
INSERT INTO `wp_sa_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("6", "admin_email", "designer@abzarwp.com", "yes");
INSERT INTO `wp_sa_options` VALUES("7", "start_of_week", "6", "yes");
INSERT INTO `wp_sa_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_sa_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_sa_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_sa_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_sa_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_sa_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_sa_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_sa_options` VALUES("21", "default_pingback_flag", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_sa_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_sa_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_sa_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_sa_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("28", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_sa_options` VALUES("29", "rewrite_rules", "a:287:{s:11:\"jsf/(.*)/?$\";s:25:\"index.php?jsf=$matches[1]\";s:16:\"shop/jsf/(.*)/?$\";s:43:\"index.php?post_type=product&jsf=$matches[1]\";s:20:\"([0-9]+)/jsf/(.*)/?$\";s:39:\"index.php?p=$matches[1]&jsf=$matches[2]\";s:19:\"(.?.+?)/jsf/(.*)/?$\";s:46:\"index.php?pagename=$matches[1]&jsf=$matches[2]\";s:19:\"([^/]+)/jsf/(.*)/?$\";s:42:\"index.php?name=$matches[1]&jsf=$matches[2]\";s:24:\"^wc-auth/v([1]{1})/(.*)?\";s:63:\"index.php?wc-auth-version=$matches[1]&wc-auth-route=$matches[2]\";s:22:\"^wc-api/v([1-3]{1})/?$\";s:51:\"index.php?wc-api-version=$matches[1]&wc-api-route=/\";s:24:\"^wc-api/v([1-3]{1})(.*)?\";s:61:\"index.php?wc-api-version=$matches[1]&wc-api-route=$matches[2]\";s:21:\"^wc/file/transient/?$\";s:33:\"index.php?wc-transient-file-name=\";s:24:\"^wc/file/transient/(.+)$\";s:44:\"index.php?wc-transient-file-name=$matches[1]\";s:7:\"shop/?$\";s:27:\"index.php?post_type=product\";s:37:\"shop/feed/(feed|rdf|rss|rss2|atom)/?$\";s:44:\"index.php?post_type=product&feed=$matches[1]\";s:32:\"shop/(feed|rdf|rss|rss2|atom)/?$\";s:44:\"index.php?post_type=product&feed=$matches[1]\";s:24:\"shop/page/([0-9]{1,})/?$\";s:45:\"index.php?post_type=product&paged=$matches[1]\";s:33:\"product/([^/]+)(/[0-9]+)?/edit/?$\";s:56:\"index.php?product=$matches[1]&page=$matches[2]&edit=true\";s:16:\"store/([^/]+)/?$\";s:27:\"index.php?store=$matches[1]\";s:34:\"store/([^/]+)/page/?([0-9]{1,})/?$\";s:45:\"index.php?store=$matches[1]&paged=$matches[2]\";s:37:\"store/([^/]+)/section/?([0-9]{1,})/?$\";s:62:\"index.php?store=$matches[1]&term=$matches[2]&term_section=true\";s:55:\"store/([^/]+)/section/?([0-9]{1,})/page/?([0-9]{1,})/?$\";s:80:\"index.php?store=$matches[1]&term=$matches[2]&paged=$matches[3]&term_section=true\";s:19:\"store/([^/]+)/toc?$\";s:36:\"index.php?store=$matches[1]&toc=true\";s:38:\"store/([^/]+)/toc/page/?([0-9]{1,})/?$\";s:54:\"index.php?store=$matches[1]&paged=$matches[2]&toc=true\";s:23:\"store/([^/]+)/reviews?$\";s:45:\"index.php?store=$matches[1]&store_review=true\";s:42:\"store/([^/]+)/reviews/page/?([0-9]{1,})/?$\";s:63:\"index.php?store=$matches[1]&paged=$matches[2]&store_review=true\";s:25:\"store/([^/]+)/biography?$\";s:42:\"index.php?store=$matches[1]&biography=true\";s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:36:\"jet-menu/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:46:\"jet-menu/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:66:\"jet-menu/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"jet-menu/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"jet-menu/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:42:\"jet-menu/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:25:\"jet-menu/([^/]+)/embed/?$\";s:41:\"index.php?jet-menu=$matches[1]&embed=true\";s:29:\"jet-menu/([^/]+)/trackback/?$\";s:35:\"index.php?jet-menu=$matches[1]&tb=1\";s:37:\"jet-menu/([^/]+)/page/?([0-9]{1,})/?$\";s:48:\"index.php?jet-menu=$matches[1]&paged=$matches[2]\";s:44:\"jet-menu/([^/]+)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?jet-menu=$matches[1]&cpage=$matches[2]\";s:34:\"jet-menu/([^/]+)/wc-api(/(.*))?/?$\";s:49:\"index.php?jet-menu=$matches[1]&wc-api=$matches[3]\";s:45:\"jet-menu/([^/]+)/wc/file/transient(/(.*))?/?$\";s:60:\"index.php?jet-menu=$matches[1]&wc/file/transient=$matches[3]\";s:40:\"jet-menu/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:51:\"jet-menu/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:51:\"jet-menu/[^/]+/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:62:\"jet-menu/[^/]+/attachment/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:33:\"jet-menu/([^/]+)(?:/([0-9]+))?/?$\";s:47:\"index.php?jet-menu=$matches[1]&page=$matches[2]\";s:25:\"jet-menu/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:35:\"jet-menu/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:55:\"jet-menu/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:50:\"jet-menu/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:50:\"jet-menu/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:31:\"jet-menu/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:32:\"category/(.+?)/wc-api(/(.*))?/?$\";s:54:\"index.php?category_name=$matches[1]&wc-api=$matches[3]\";s:43:\"category/(.+?)/wc/file/transient(/(.*))?/?$\";s:65:\"index.php?category_name=$matches[1]&wc/file/transient=$matches[3]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:29:\"tag/([^/]+)/wc-api(/(.*))?/?$\";s:44:\"index.php?tag=$matches[1]&wc-api=$matches[3]\";s:40:\"tag/([^/]+)/wc/file/transient(/(.*))?/?$\";s:55:\"index.php?tag=$matches[1]&wc/file/transient=$matches[3]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:42:\"e-landing-page/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:52:\"e-landing-page/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:72:\"e-landing-page/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:48:\"e-landing-page/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:31:\"e-landing-page/([^/]+)/embed/?$\";s:47:\"index.php?e-landing-page=$matches[1]&embed=true\";s:35:\"e-landing-page/([^/]+)/trackback/?$\";s:41:\"index.php?e-landing-page=$matches[1]&tb=1\";s:43:\"e-landing-page/([^/]+)/page/?([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&paged=$matches[2]\";s:50:\"e-landing-page/([^/]+)/comment-page-([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&cpage=$matches[2]\";s:40:\"e-landing-page/([^/]+)/wc-api(/(.*))?/?$\";s:55:\"index.php?e-landing-page=$matches[1]&wc-api=$matches[3]\";s:51:\"e-landing-page/([^/]+)/wc/file/transient(/(.*))?/?$\";s:66:\"index.php?e-landing-page=$matches[1]&wc/file/transient=$matches[3]\";s:46:\"e-landing-page/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:57:\"e-landing-page/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:57:\"e-landing-page/[^/]+/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:68:\"e-landing-page/[^/]+/attachment/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:39:\"e-landing-page/([^/]+)(?:/([0-9]+))?/?$\";s:53:\"index.php?e-landing-page=$matches[1]&page=$matches[2]\";s:31:\"e-landing-page/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\"e-landing-page/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\"e-landing-page/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\"e-landing-page/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:55:\"product-category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_cat=$matches[1]&feed=$matches[2]\";s:50:\"product-category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_cat=$matches[1]&feed=$matches[2]\";s:31:\"product-category/(.+?)/embed/?$\";s:44:\"index.php?product_cat=$matches[1]&embed=true\";s:43:\"product-category/(.+?)/page/?([0-9]{1,})/?$\";s:51:\"index.php?product_cat=$matches[1]&paged=$matches[2]\";s:25:\"product-category/(.+?)/?$\";s:33:\"index.php?product_cat=$matches[1]\";s:52:\"product-tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_tag=$matches[1]&feed=$matches[2]\";s:47:\"product-tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_tag=$matches[1]&feed=$matches[2]\";s:28:\"product-tag/([^/]+)/embed/?$\";s:44:\"index.php?product_tag=$matches[1]&embed=true\";s:40:\"product-tag/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?product_tag=$matches[1]&paged=$matches[2]\";s:22:\"product-tag/([^/]+)/?$\";s:33:\"index.php?product_tag=$matches[1]\";s:35:\"product/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"product/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"product/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"product/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"product/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"product/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:24:\"product/([^/]+)/embed/?$\";s:40:\"index.php?product=$matches[1]&embed=true\";s:28:\"product/([^/]+)/trackback/?$\";s:34:\"index.php?product=$matches[1]&tb=1\";s:48:\"product/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?product=$matches[1]&feed=$matches[2]\";s:43:\"product/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?product=$matches[1]&feed=$matches[2]\";s:36:\"product/([^/]+)/page/?([0-9]{1,})/?$\";s:47:\"index.php?product=$matches[1]&paged=$matches[2]\";s:43:\"product/([^/]+)/comment-page-([0-9]{1,})/?$\";s:47:\"index.php?product=$matches[1]&cpage=$matches[2]\";s:33:\"product/([^/]+)/wc-api(/(.*))?/?$\";s:48:\"index.php?product=$matches[1]&wc-api=$matches[3]\";s:44:\"product/([^/]+)/wc/file/transient(/(.*))?/?$\";s:59:\"index.php?product=$matches[1]&wc/file/transient=$matches[3]\";s:39:\"product/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:50:\"product/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:50:\"product/[^/]+/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:61:\"product/[^/]+/attachment/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:32:\"product/([^/]+)(?:/([0-9]+))?/?$\";s:46:\"index.php?product=$matches[1]&page=$matches[2]\";s:24:\"product/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:34:\"product/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:54:\"product/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"product/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"product/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"product/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:55:\"store-category/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:67:\"index.php?taxonomy=store_category&term=$matches[1]&feed=$matches[2]\";s:50:\"store-category/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:67:\"index.php?taxonomy=store_category&term=$matches[1]&feed=$matches[2]\";s:31:\"store-category/([^/]+)/embed/?$\";s:61:\"index.php?taxonomy=store_category&term=$matches[1]&embed=true\";s:43:\"store-category/([^/]+)/page/?([0-9]{1,})/?$\";s:68:\"index.php?taxonomy=store_category&term=$matches[1]&paged=$matches[2]\";s:25:\"store-category/([^/]+)/?$\";s:50:\"index.php?taxonomy=store_category&term=$matches[1]\";s:46:\"dokan_announcement/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:56:\"dokan_announcement/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:76:\"dokan_announcement/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:71:\"dokan_announcement/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:71:\"dokan_announcement/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:52:\"dokan_announcement/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:35:\"dokan_announcement/([^/]+)/embed/?$\";s:66:\"index.php?post_type=dokan_announcement&name=$matches[1]&embed=true\";s:39:\"dokan_announcement/([^/]+)/trackback/?$\";s:60:\"index.php?post_type=dokan_announcement&name=$matches[1]&tb=1\";s:47:\"dokan_announcement/([^/]+)/page/?([0-9]{1,})/?$\";s:73:\"index.php?post_type=dokan_announcement&name=$matches[1]&paged=$matches[2]\";s:54:\"dokan_announcement/([^/]+)/comment-page-([0-9]{1,})/?$\";s:73:\"index.php?post_type=dokan_announcement&name=$matches[1]&cpage=$matches[2]\";s:44:\"dokan_announcement/([^/]+)/wc-api(/(.*))?/?$\";s:74:\"index.php?post_type=dokan_announcement&name=$matches[1]&wc-api=$matches[3]\";s:55:\"dokan_announcement/([^/]+)/wc/file/transient(/(.*))?/?$\";s:85:\"index.php?post_type=dokan_announcement&name=$matches[1]&wc/file/transient=$matches[3]\";s:50:\"dokan_announcement/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:61:\"dokan_announcement/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:61:\"dokan_announcement/[^/]+/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:72:\"dokan_announcement/[^/]+/attachment/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:43:\"dokan_announcement/([^/]+)(?:/([0-9]+))?/?$\";s:72:\"index.php?post_type=dokan_announcement&name=$matches[1]&page=$matches[2]\";s:35:\"dokan_announcement/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"dokan_announcement/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"dokan_announcement/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"dokan_announcement/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"dokan_announcement/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"dokan_announcement/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:39:\"index.php?&page_id=23&cpage=$matches[1]\";s:17:\"wc-api(/(.*))?/?$\";s:29:\"index.php?&wc-api=$matches[2]\";s:28:\"wc/file/transient(/(.*))?/?$\";s:40:\"index.php?&wc/file/transient=$matches[2]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:26:\"comments/wc-api(/(.*))?/?$\";s:29:\"index.php?&wc-api=$matches[2]\";s:37:\"comments/wc/file/transient(/(.*))?/?$\";s:40:\"index.php?&wc/file/transient=$matches[2]\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:29:\"search/(.+)/wc-api(/(.*))?/?$\";s:42:\"index.php?s=$matches[1]&wc-api=$matches[3]\";s:40:\"search/(.+)/wc/file/transient(/(.*))?/?$\";s:53:\"index.php?s=$matches[1]&wc/file/transient=$matches[3]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:32:\"author/([^/]+)/wc-api(/(.*))?/?$\";s:52:\"index.php?author_name=$matches[1]&wc-api=$matches[3]\";s:43:\"author/([^/]+)/wc/file/transient(/(.*))?/?$\";s:63:\"index.php?author_name=$matches[1]&wc/file/transient=$matches[3]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:54:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/wc-api(/(.*))?/?$\";s:82:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&wc-api=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/wc/file/transient(/(.*))?/?$\";s:93:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&wc/file/transient=$matches[5]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:41:\"([0-9]{4})/([0-9]{1,2})/wc-api(/(.*))?/?$\";s:66:\"index.php?year=$matches[1]&monthnum=$matches[2]&wc-api=$matches[4]\";s:52:\"([0-9]{4})/([0-9]{1,2})/wc/file/transient(/(.*))?/?$\";s:77:\"index.php?year=$matches[1]&monthnum=$matches[2]&wc/file/transient=$matches[4]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:28:\"([0-9]{4})/wc-api(/(.*))?/?$\";s:45:\"index.php?year=$matches[1]&wc-api=$matches[3]\";s:39:\"([0-9]{4})/wc/file/transient(/(.*))?/?$\";s:56:\"index.php?year=$matches[1]&wc/file/transient=$matches[3]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:25:\"(.?.+?)/wc-api(/(.*))?/?$\";s:49:\"index.php?pagename=$matches[1]&wc-api=$matches[3]\";s:36:\"(.?.+?)/wc/file/transient(/(.*))?/?$\";s:60:\"index.php?pagename=$matches[1]&wc/file/transient=$matches[3]\";s:28:\"(.?.+?)/order-pay(/(.*))?/?$\";s:52:\"index.php?pagename=$matches[1]&order-pay=$matches[3]\";s:33:\"(.?.+?)/order-received(/(.*))?/?$\";s:57:\"index.php?pagename=$matches[1]&order-received=$matches[3]\";s:25:\"(.?.+?)/orders(/(.*))?/?$\";s:49:\"index.php?pagename=$matches[1]&orders=$matches[3]\";s:29:\"(.?.+?)/view-order(/(.*))?/?$\";s:53:\"index.php?pagename=$matches[1]&view-order=$matches[3]\";s:28:\"(.?.+?)/downloads(/(.*))?/?$\";s:52:\"index.php?pagename=$matches[1]&downloads=$matches[3]\";s:31:\"(.?.+?)/edit-account(/(.*))?/?$\";s:55:\"index.php?pagename=$matches[1]&edit-account=$matches[3]\";s:31:\"(.?.+?)/edit-address(/(.*))?/?$\";s:55:\"index.php?pagename=$matches[1]&edit-address=$matches[3]\";s:34:\"(.?.+?)/payment-methods(/(.*))?/?$\";s:58:\"index.php?pagename=$matches[1]&payment-methods=$matches[3]\";s:32:\"(.?.+?)/lost-password(/(.*))?/?$\";s:56:\"index.php?pagename=$matches[1]&lost-password=$matches[3]\";s:34:\"(.?.+?)/customer-logout(/(.*))?/?$\";s:58:\"index.php?pagename=$matches[1]&customer-logout=$matches[3]\";s:37:\"(.?.+?)/add-payment-method(/(.*))?/?$\";s:61:\"index.php?pagename=$matches[1]&add-payment-method=$matches[3]\";s:40:\"(.?.+?)/delete-payment-method(/(.*))?/?$\";s:64:\"index.php?pagename=$matches[1]&delete-payment-method=$matches[3]\";s:45:\"(.?.+?)/set-default-payment-method(/(.*))?/?$\";s:69:\"index.php?pagename=$matches[1]&set-default-payment-method=$matches[3]\";s:27:\"(.?.+?)/products(/(.*))?/?$\";s:51:\"index.php?pagename=$matches[1]&products=$matches[3]\";s:30:\"(.?.+?)/new-product(/(.*))?/?$\";s:54:\"index.php?pagename=$matches[1]&new-product=$matches[3]\";s:27:\"(.?.+?)/withdraw(/(.*))?/?$\";s:51:\"index.php?pagename=$matches[1]&withdraw=$matches[3]\";s:36:\"(.?.+?)/withdraw-requests(/(.*))?/?$\";s:60:\"index.php?pagename=$matches[1]&withdraw-requests=$matches[3]\";s:37:\"(.?.+?)/reverse-withdrawal(/(.*))?/?$\";s:61:\"index.php?pagename=$matches[1]&reverse-withdrawal=$matches[3]\";s:27:\"(.?.+?)/settings(/(.*))?/?$\";s:51:\"index.php?pagename=$matches[1]&settings=$matches[3]\";s:36:\"(.?.+?)/account-migration(/(.*))?/?$\";s:60:\"index.php?pagename=$matches[1]&account-migration=$matches[3]\";s:26:\"(.?.+?)/coupons(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&coupons=$matches[3]\";s:26:\"(.?.+?)/reports(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&reports=$matches[3]\";s:26:\"(.?.+?)/reviews(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&reviews=$matches[3]\";s:31:\"(.?.+?)/announcement(/(.*))?/?$\";s:55:\"index.php?pagename=$matches[1]&announcement=$matches[3]\";s:38:\"(.?.+?)/single-announcement(/(.*))?/?$\";s:62:\"index.php?pagename=$matches[1]&single-announcement=$matches[3]\";s:37:\"(.?.+?)/dokan-registration(/(.*))?/?$\";s:61:\"index.php?pagename=$matches[1]&dokan-registration=$matches[3]\";s:31:\"(.?.+?)/store_review(/(.*))?/?$\";s:55:\"index.php?pagename=$matches[1]&store_review=$matches[3]\";s:26:\"(.?.+?)/support(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&support=$matches[3]\";s:34:\"(.?.+?)/support-tickets(/(.*))?/?$\";s:58:\"index.php?pagename=$matches[1]&support-tickets=$matches[3]\";s:26:\"(.?.+?)/booking(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&booking=$matches[3]\";s:28:\"(.?.+?)/biography(/(.*))?/?$\";s:52:\"index.php?pagename=$matches[1]&biography=$matches[3]\";s:34:\"(.?.+?)/social-register(/(.*))?/?$\";s:58:\"index.php?pagename=$matches[1]&social-register=$matches[3]\";s:31:\".?.+?/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:42:\".?.+?/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:42:\".?.+?/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:53:\".?.+?/attachment/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\"[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:25:\"([^/]+)/wc-api(/(.*))?/?$\";s:45:\"index.php?name=$matches[1]&wc-api=$matches[3]\";s:36:\"([^/]+)/wc/file/transient(/(.*))?/?$\";s:56:\"index.php?name=$matches[1]&wc/file/transient=$matches[3]\";s:31:\"[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:42:\"[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:42:\"[^/]+/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:53:\"[^/]+/attachment/([^/]+)/wc/file/transient(/(.*))?/?$\";s:62:\"index.php?attachment=$matches[1]&wc/file/transient=$matches[3]\";s:24:\"([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:22:\"[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_sa_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_sa_options` VALUES("33", "active_plugins", "a:12:{i:0;s:31:\"code-snippets/code-snippets.php\";i:1;s:20:\"dokan-lite/dokan.php\";i:2;s:23:\"dokan-pro/dokan-pro.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:31:\"elementor-pro/elementor-pro.php\";i:5;s:23:\"elementor/elementor.php\";i:6;s:25:\"jet-engine/jet-engine.php\";i:7;s:21:\"jet-menu/jet-menu.php\";i:8;s:24:\"jet-plugin-pro/index.php\";i:9;s:39:\"jet-smart-filters/jet-smart-filters.php\";i:10;s:35:\"jet-woo-builder/jet-woo-builder.php\";i:11;s:27:\"woocommerce/woocommerce.php\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_sa_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_sa_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_sa_options` VALUES("37", "gmt_offset", "", "yes");
INSERT INTO `wp_sa_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_sa_options` VALUES("40", "template", "hello-elementor", "yes");
INSERT INTO `wp_sa_options` VALUES("41", "stylesheet", "hello-elementor", "yes");
INSERT INTO `wp_sa_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_sa_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_sa_options` VALUES("46", "db_version", "57155", "yes");
INSERT INTO `wp_sa_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_sa_options` VALUES("49", "blog_public", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("50", "default_link_category", "2", "yes");
INSERT INTO `wp_sa_options` VALUES("51", "show_on_front", "page", "yes");
INSERT INTO `wp_sa_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_sa_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_sa_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_sa_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_sa_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_sa_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_sa_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_sa_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_sa_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_sa_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_sa_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_sa_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_sa_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_sa_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_sa_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_sa_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_sa_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_sa_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_sa_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("76", "widget_categories", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("79", "uninstall_plugins", "a:2:{s:23:\"elementor/elementor.php\";a:2:{i:0;s:21:\"Elementor\\Maintenance\";i:1;s:9:\"uninstall\";}s:27:\"wp-optimize/wp-optimize.php\";a:2:{i:0;s:13:\"WPO_Uninstall\";i:1;s:7:\"actions\";}}", "no");
INSERT INTO `wp_sa_options` VALUES("80", "timezone_string", "Asia/Tehran", "yes");
INSERT INTO `wp_sa_options` VALUES("81", "page_for_posts", "439", "yes");
INSERT INTO `wp_sa_options` VALUES("82", "page_on_front", "23", "yes");
INSERT INTO `wp_sa_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("86", "site_icon", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_sa_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_sa_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("91", "admin_email_lifespan", "1729494991", "yes");
INSERT INTO `wp_sa_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_sa_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_sa_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_sa_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_sa_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_sa_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_sa_options` VALUES("100", "wp_sa_user_roles", "a:8:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:171:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:26:\"create_notes_elementor-pro\";b:1;s:24:\"edit_notes_elementor-pro\";b:1;s:26:\"delete_notes_elementor-pro\";b:1;s:24:\"read_notes_elementor-pro\";b:1;s:31:\"edit_others_notes_elementor-pro\";b:1;s:33:\"delete_others_notes_elementor-pro\";b:1;s:39:\"read_others_private_notes_elementor-pro\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:28:\"mailpoet_access_plugin_admin\";b:1;s:24:\"mailpoet_manage_settings\";b:1;s:24:\"mailpoet_manage_features\";b:1;s:22:\"mailpoet_manage_emails\";b:1;s:27:\"mailpoet_manage_subscribers\";b:1;s:21:\"mailpoet_manage_forms\";b:1;s:24:\"mailpoet_manage_segments\";b:1;s:27:\"mailpoet_manage_automations\";b:1;s:8:\"dokandar\";b:1;s:25:\"dokan_view_sales_overview\";b:1;s:29:\"dokan_view_sales_report_chart\";b:1;s:23:\"dokan_view_announcement\";b:1;s:23:\"dokan_view_order_report\";b:1;s:25:\"dokan_view_review_reports\";b:1;s:32:\"dokan_view_product_status_report\";b:1;s:26:\"dokan_view_overview_report\";b:1;s:28:\"dokan_view_daily_sale_report\";b:1;s:29:\"dokan_view_top_selling_report\";b:1;s:29:\"dokan_view_top_earning_report\";b:1;s:27:\"dokan_view_statement_report\";b:1;s:16:\"dokan_view_order\";b:1;s:18:\"dokan_manage_order\";b:1;s:23:\"dokan_manage_order_note\";b:1;s:19:\"dokan_manage_refund\";b:1;s:18:\"dokan_export_order\";b:1;s:16:\"dokan_add_coupon\";b:1;s:17:\"dokan_edit_coupon\";b:1;s:19:\"dokan_delete_coupon\";b:1;s:18:\"dokan_view_reviews\";b:1;s:20:\"dokan_manage_reviews\";b:1;s:21:\"dokan_manage_withdraw\";b:1;s:17:\"dokan_add_product\";b:1;s:18:\"dokan_edit_product\";b:1;s:20:\"dokan_delete_product\";b:1;s:18:\"dokan_view_product\";b:1;s:23:\"dokan_duplicate_product\";b:1;s:20:\"dokan_import_product\";b:1;s:20:\"dokan_export_product\";b:1;s:24:\"dokan_view_overview_menu\";b:1;s:23:\"dokan_view_product_menu\";b:1;s:21:\"dokan_view_order_menu\";b:1;s:22:\"dokan_view_coupon_menu\";b:1;s:22:\"dokan_view_report_menu\";b:1;s:22:\"dokan_view_review_menu\";b:1;s:24:\"dokan_view_withdraw_menu\";b:1;s:30:\"dokan_view_store_settings_menu\";b:1;s:29:\"dokan_view_store_payment_menu\";b:1;s:30:\"dokan_view_store_shipping_menu\";b:1;s:28:\"dokan_view_store_social_menu\";b:1;s:25:\"dokan_view_store_seo_menu\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:37:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:28:\"mailpoet_access_plugin_admin\";b:1;s:22:\"mailpoet_manage_emails\";b:1;s:27:\"mailpoet_manage_automations\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}s:8:\"customer\";a:2:{s:4:\"name\";s:8:\"Customer\";s:12:\"capabilities\";a:1:{s:4:\"read\";b:1;}}s:12:\"shop_manager\";a:2:{s:4:\"name\";s:12:\"Shop manager\";s:12:\"capabilities\";a:134:{s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:4:\"read\";b:1;s:18:\"read_private_pages\";b:1;s:18:\"read_private_posts\";b:1;s:10:\"edit_posts\";b:1;s:10:\"edit_pages\";b:1;s:20:\"edit_published_posts\";b:1;s:20:\"edit_published_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"edit_private_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:17:\"edit_others_pages\";b:1;s:13:\"publish_posts\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_posts\";b:1;s:12:\"delete_pages\";b:1;s:20:\"delete_private_pages\";b:1;s:20:\"delete_private_posts\";b:1;s:22:\"delete_published_pages\";b:1;s:22:\"delete_published_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:19:\"delete_others_pages\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:17:\"moderate_comments\";b:1;s:12:\"upload_files\";b:1;s:6:\"export\";b:1;s:6:\"import\";b:1;s:10:\"list_users\";b:1;s:18:\"edit_theme_options\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:8:\"dokandar\";b:1;s:25:\"dokan_view_sales_overview\";b:1;s:29:\"dokan_view_sales_report_chart\";b:1;s:23:\"dokan_view_announcement\";b:1;s:23:\"dokan_view_order_report\";b:1;s:25:\"dokan_view_review_reports\";b:1;s:32:\"dokan_view_product_status_report\";b:1;s:26:\"dokan_view_overview_report\";b:1;s:28:\"dokan_view_daily_sale_report\";b:1;s:29:\"dokan_view_top_selling_report\";b:1;s:29:\"dokan_view_top_earning_report\";b:1;s:27:\"dokan_view_statement_report\";b:1;s:16:\"dokan_view_order\";b:1;s:18:\"dokan_manage_order\";b:1;s:23:\"dokan_manage_order_note\";b:1;s:19:\"dokan_manage_refund\";b:1;s:18:\"dokan_export_order\";b:1;s:16:\"dokan_add_coupon\";b:1;s:17:\"dokan_edit_coupon\";b:1;s:19:\"dokan_delete_coupon\";b:1;s:18:\"dokan_view_reviews\";b:1;s:20:\"dokan_manage_reviews\";b:1;s:21:\"dokan_manage_withdraw\";b:1;s:17:\"dokan_add_product\";b:1;s:18:\"dokan_edit_product\";b:1;s:20:\"dokan_delete_product\";b:1;s:18:\"dokan_view_product\";b:1;s:23:\"dokan_duplicate_product\";b:1;s:20:\"dokan_import_product\";b:1;s:20:\"dokan_export_product\";b:1;s:24:\"dokan_view_overview_menu\";b:1;s:23:\"dokan_view_product_menu\";b:1;s:21:\"dokan_view_order_menu\";b:1;s:22:\"dokan_view_coupon_menu\";b:1;s:22:\"dokan_view_report_menu\";b:1;s:22:\"dokan_view_review_menu\";b:1;s:24:\"dokan_view_withdraw_menu\";b:1;s:30:\"dokan_view_store_settings_menu\";b:1;s:29:\"dokan_view_store_payment_menu\";b:1;s:30:\"dokan_view_store_shipping_menu\";b:1;s:28:\"dokan_view_store_social_menu\";b:1;s:25:\"dokan_view_store_seo_menu\";b:1;}}s:6:\"seller\";a:2:{s:4:\"name\";s:14:\"فروشنده\";s:12:\"capabilities\";a:66:{s:4:\"read\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:12:\"delete_posts\";b:1;s:17:\"manage_categories\";b:1;s:17:\"moderate_comments\";b:1;s:12:\"upload_files\";b:1;s:16:\"edit_shop_orders\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:8:\"dokandar\";b:1;s:25:\"dokan_view_sales_overview\";b:1;s:29:\"dokan_view_sales_report_chart\";b:1;s:23:\"dokan_view_announcement\";b:1;s:23:\"dokan_view_order_report\";b:1;s:25:\"dokan_view_review_reports\";b:1;s:32:\"dokan_view_product_status_report\";b:1;s:26:\"dokan_view_overview_report\";b:1;s:28:\"dokan_view_daily_sale_report\";b:1;s:29:\"dokan_view_top_selling_report\";b:1;s:29:\"dokan_view_top_earning_report\";b:1;s:27:\"dokan_view_statement_report\";b:1;s:16:\"dokan_view_order\";b:1;s:18:\"dokan_manage_order\";b:1;s:23:\"dokan_manage_order_note\";b:1;s:19:\"dokan_manage_refund\";b:1;s:18:\"dokan_export_order\";b:1;s:16:\"dokan_add_coupon\";b:1;s:17:\"dokan_edit_coupon\";b:1;s:19:\"dokan_delete_coupon\";b:1;s:18:\"dokan_view_reviews\";b:1;s:20:\"dokan_manage_reviews\";b:1;s:21:\"dokan_manage_withdraw\";b:1;s:17:\"dokan_add_product\";b:1;s:18:\"dokan_edit_product\";b:1;s:20:\"dokan_delete_product\";b:1;s:18:\"dokan_view_product\";b:1;s:23:\"dokan_duplicate_product\";b:1;s:20:\"dokan_import_product\";b:1;s:20:\"dokan_export_product\";b:1;s:24:\"dokan_view_overview_menu\";b:1;s:23:\"dokan_view_product_menu\";b:1;s:21:\"dokan_view_order_menu\";b:1;s:22:\"dokan_view_coupon_menu\";b:1;s:22:\"dokan_view_report_menu\";b:1;s:22:\"dokan_view_review_menu\";b:1;s:24:\"dokan_view_withdraw_menu\";b:1;s:30:\"dokan_view_store_settings_menu\";b:1;s:29:\"dokan_view_store_payment_menu\";b:1;s:30:\"dokan_view_store_shipping_menu\";b:1;s:28:\"dokan_view_store_social_menu\";b:1;s:25:\"dokan_view_store_seo_menu\";b:1;}}}", "yes");
INSERT INTO `wp_sa_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("102", "WPLANG", "fa_IR", "yes");
INSERT INTO `wp_sa_options` VALUES("103", "user_count", "4", "no");
INSERT INTO `wp_sa_options` VALUES("104", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:170:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>نوشته‌های تازه</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:242:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>آخرین دیدگاه‌ها</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:159:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>بایگانی‌ها</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:155:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>دسته‌ها</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("105", "sidebars_widgets", "a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"sidebar-store\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_sa_options` VALUES("106", "cron", "a:30:{i:1716805167;a:1:{s:26:\"action_scheduler_run_queue\";a:1:{s:32:\"0d04ed39571b55704c122d726248bbac\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:1:{i:0;s:7:\"WP Cron\";}s:8:\"interval\";i:60;}}}i:1716805224;a:1:{s:36:\"rocket_preload_clean_rows_time_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1716805668;a:1:{s:14:\"wc_admin_daily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716805676;a:1:{s:29:\"wc_admin_unsnooze_admin_notes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1716805787;a:1:{s:20:\"jetpack_v2_heartbeat\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716805829;a:1:{s:24:\"jp_purge_transients_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716806309;a:1:{s:32:\"woocommerce_cancel_unpaid_orders\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:0:{}}}}i:1716807548;a:1:{s:33:\"wc_admin_process_orders_milestone\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1716807880;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1716808622;a:1:{s:20:\"jetpack_clean_nonces\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1716815051;a:1:{s:28:\"woocommerce_cleanup_sessions\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1716823846;a:1:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1716843600;a:1:{s:27:\"woocommerce_scheduled_sales\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716847480;a:2:{s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1716847486;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1716879861;a:2:{s:33:\"woocommerce_cleanup_personal_data\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"woocommerce_tracker_send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716886677;a:1:{s:29:\"astra_get_knowledge_base_data\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716890651;a:2:{s:24:\"woocommerce_cleanup_logs\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:31:\"woocommerce_cleanup_rate_limits\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716890680;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716890686;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716890740;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1716890899;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716891182;a:1:{s:28:\"elementor/tracker/send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1716963761;a:1:{s:28:\"dokan-pro_tracker_send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1717021280;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1717189611;a:1:{s:30:\"duplicator_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1717409424;a:1:{s:27:\"rocket_update_dynamic_lists\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1717410600;a:1:{s:29:\"duplicator_email_summary_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1718089511;a:1:{s:25:\"woocommerce_geoip_updater\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:11:\"fifteendays\";s:4:\"args\";a:0:{}s:8:\"interval\";i:1296000;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_sa_options` VALUES("107", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("108", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("109", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("110", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("111", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("112", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("113", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("114", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("115", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("116", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("117", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("118", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("119", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("120", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("122", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("123", "theme_mods_twentytwentythree", "a:4:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1688979446;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"sidebar-store\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-1\";a:0:{}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}}}s:19:\"wp_classic_sidebars\";a:1:{s:13:\"sidebar-store\";a:11:{s:4:\"name\";s:38:\"سایدبار فروشگاه دکان\";s:2:\"id\";s:13:\"sidebar-store\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:56:\"<aside id=\"%1$s\" class=\"widget dokan-store-widget %2$s\">\";s:12:\"after_widget\";s:8:\"</aside>\";s:12:\"before_title\";s:25:\"<h3 class=\"widget-title\">\";s:11:\"after_title\";s:5:\"</h3>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}}", "no");
INSERT INTO `wp_sa_options` VALUES("125", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:41:\"درخواست HTTPS ناموفق بود.\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("157", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:20:\"designer@abzarwp.com\";s:7:\"version\";s:5:\"6.5.3\";s:9:\"timestamp\";i:1715100159;}", "no");
INSERT INTO `wp_sa_options` VALUES("163", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("167", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("172", "current_theme", "Hello Elementor", "yes");
INSERT INTO `wp_sa_options` VALUES("173", "theme_mods_hello-elementor", "a:5:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:50;}s:18:\"custom_css_post_id\";i:-1;s:11:\"custom_logo\";i:21;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1688979476;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"sidebar-store\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}", "yes");
INSERT INTO `wp_sa_options` VALUES("174", "theme_switched", "", "yes");
INSERT INTO `wp_sa_options` VALUES("175", "hello_theme_version", "3.0.0", "yes");
INSERT INTO `wp_sa_options` VALUES("181", "elementor_active_kit", "6", "yes");
INSERT INTO `wp_sa_options` VALUES("182", "elementor_font_display", "swap", "yes");
INSERT INTO `wp_sa_options` VALUES("185", "elementor_version", "3.21.8", "yes");
INSERT INTO `wp_sa_options` VALUES("186", "elementor_install_history", "a:4:{s:6:\"3.13.2\";i:1688907461;s:6:\"3.14.1\";i:1688907462;s:6:\"3.18.3\";i:1704693487;s:6:\"3.21.8\";i:1716793481;}", "yes");
INSERT INTO `wp_sa_options` VALUES("187", "elementor_events_db_version", "1.0.0", "no");
INSERT INTO `wp_sa_options` VALUES("189", "elementor_onboarded", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("190", "_elementor_installed_time", "1688292796", "yes");
INSERT INTO `wp_sa_options` VALUES("191", "elementor_remote_info_library", "a:3:{s:10:\"types_data\";a:4:{s:5:\"block\";a:2:{s:10:\"categories\";a:27:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:9:\"portfolio\";i:15;s:7:\"pricing\";i:16;s:15:\"product archive\";i:17;s:5:\"Quote\";i:18;s:15:\"Service Details\";i:19;s:8:\"services\";i:20;s:11:\"single page\";i:21;s:11:\"single post\";i:22;s:14:\"single product\";i:23;s:5:\"stats\";i:24;s:9:\"subscribe\";i:25;s:4:\"team\";i:26;s:12:\"testimonials\";}s:4:\"sets\";a:5:{i:0;s:11:\"Boxing Club\";i:1;s:19:\"Business Consultant\";i:2;s:16:\"Marketing Agency\";i:3;s:9:\"Wireframe\";i:4;s:15:\"Workshop Center\";}}s:5:\"popup\";a:1:{s:10:\"categories\";a:6:{i:0;s:10:\"bottom bar\";i:1;s:7:\"classic\";i:2;s:6:\"fly-in\";i:3;s:11:\"full screen\";i:4;s:9:\"hello bar\";i:5;s:8:\"slide-in\";}}s:2:\"lp\";a:1:{s:10:\"categories\";a:15:{i:0;s:8:\"Business\";i:1;s:16:\"Coming Soon Page\";i:2;s:9:\"eCommerce\";i:3;s:9:\"Education\";i:4;s:6:\"Events\";i:5;s:18:\"Health and Fitness\";i:6;s:3:\"NFT\";i:7;s:14:\"Online Service\";i:8;s:7:\"Product\";i:9;s:11:\"Real Estate\";i:10;s:18:\"Social Involvement\";i:11;s:14:\"Thank You Page\";i:12;s:6:\"Travel\";i:13;s:18:\"Under Construction\";i:14;s:9:\"Wireframe\";}}s:2:\"lb\";a:1:{s:10:\"categories\";a:2:{i:0;s:4:\"post\";i:1;s:7:\"product\";}}}s:10:\"categories\";a:27:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:9:\"portfolio\";i:15;s:7:\"pricing\";i:16;s:15:\"product archive\";i:17;s:5:\"Quote\";i:18;s:15:\"Service Details\";i:19;s:8:\"services\";i:20;s:11:\"single page\";i:21;s:11:\"single post\";i:22;s:14:\"single product\";i:23;s:5:\"stats\";i:24;s:9:\"subscribe\";i:25;s:4:\"team\";i:26;s:12:\"testimonials\";}s:9:\"templates\";a:823:{i:0;a:19:{s:4:\"tmpl\";i:1280;s:2:\"id\";i:22403;s:5:\"title\";s:40:\"Hello Bar | Subscribe | Aesthetic Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/aesthetic-clinic-19.jpg\";s:12:\"tmpl_created\";i:1647354307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/hello-bar-subscribe-aesthetic-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:48:\"[\"Barbershop\",\"Business\",\"Discount\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:1;a:19:{s:4:\"tmpl\";i:1281;s:2:\"id\";i:22410;s:5:\"title\";s:32:\"Fly-In | Discount | Hair Stylist\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/hair-stylist-20.jpg\";s:12:\"tmpl_created\";i:1647354614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-discount-hair-stylist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Barbershop\",\"Discount\",\"Hair\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:2;a:19:{s:4:\"tmpl\";i:1285;s:2:\"id\";i:22440;s:5:\"title\";s:32:\"Classic | Subscribe | Shoe Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/shoes-store-21.jpg\";s:12:\"tmpl_created\";i:1647418620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-subscribe-shoe-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:37:\"[\"Ecommerce\",\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:3;a:19:{s:4:\"tmpl\";i:1286;s:2:\"id\";i:22446;s:5:\"title\";s:37:\"Full Screen | Subscribe | Denim Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/denim-store-22.jpg\";s:12:\"tmpl_created\";i:1647419614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/full-screen-subscribe-denim-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:4;a:19:{s:4:\"tmpl\";i:1287;s:2:\"id\";i:22452;s:5:\"title\";s:37:\"Fly-In | Subscribe | Pizza Restaurant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/pizza-restaurant-23.jpg\";s:12:\"tmpl_created\";i:1647420733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-subscribe-pizza-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:19:\"[\"Business\",\"Food\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:5;a:19:{s:4:\"tmpl\";i:1288;s:2:\"id\";i:22458;s:5:\"title\";s:38:\"Full Screen | Subscribe | Fashion Shop\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-shop-24.jpg\";s:12:\"tmpl_created\";i:1647426379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-subscribe-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Ecommerce\",\"Fashion\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:6;a:19:{s:4:\"tmpl\";i:1289;s:2:\"id\";i:22464;s:5:\"title\";s:32:\"Fly-In | Contact | Makeup Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/makeup-studio-25.jpg\";s:12:\"tmpl_created\";i:1647427026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-makeup-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:7;a:19:{s:4:\"tmpl\";i:1290;s:2:\"id\";i:22470;s:5:\"title\";s:32:\"Fly-In | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-26.jpg\";s:12:\"tmpl_created\";i:1647428250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:8;a:19:{s:4:\"tmpl\";i:1291;s:2:\"id\";i:22480;s:5:\"title\";s:27:\"Classic | CTA | MasterClass\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/master-class-27.jpg\";s:12:\"tmpl_created\";i:1647428474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-masterclass/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"cta\",\"Magazine\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:9;a:19:{s:4:\"tmpl\";i:1292;s:2:\"id\";i:22489;s:5:\"title\";s:29:\"Classic | CTA | Music Concert\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/music-concert-29.jpg\";s:12:\"tmpl_created\";i:1647429738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-music-concert/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"cta\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:10;a:19:{s:4:\"tmpl\";i:1293;s:2:\"id\";i:22495;s:5:\"title\";s:27:\"Classic | CTA | Music Album\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/music-album-30.jpg\";s:12:\"tmpl_created\";i:1647430056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-music-album/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Ba\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:11;a:19:{s:4:\"tmpl\";i:1294;s:2:\"id\";i:22501;s:5:\"title\";s:37:\"Fly-In | CTA | Photography Exhibition\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/photography-exhibition-31.jpg\";s:12:\"tmpl_created\";i:1647430512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-photography-exhibition/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:12;a:19:{s:4:\"tmpl\";i:1295;s:2:\"id\";i:22507;s:5:\"title\";s:34:\"Classic | CTA | Clothing Shop Sale\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/clothing-shop-sale-32.jpg\";s:12:\"tmpl_created\";i:1647430774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-cta-clothing-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:13;a:19:{s:4:\"tmpl\";i:1296;s:2:\"id\";i:22486;s:5:\"title\";s:30:\"Classic | CTA | Shop Promotion\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/shop-promotion-28.jpg\";s:12:\"tmpl_created\";i:1647430951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-shop-promotion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"cta\",\"Magazine\",\"Photography\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:14;a:19:{s:4:\"tmpl\";i:1297;s:2:\"id\";i:22516;s:5:\"title\";s:32:\"Fly-In | CTA | Glasses Shop Sale\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/glasses-shop-sale-33.jpg\";s:12:\"tmpl_created\";i:1647431136;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-cta-glasses-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:30:\"[\"Business\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:15;a:19:{s:4:\"tmpl\";i:1298;s:2:\"id\";i:22522;s:5:\"title\";s:30:\"Fly-In | Discount | Skate Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/50-skate-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647434058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-skate-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:16;a:19:{s:4:\"tmpl\";i:1299;s:2:\"id\";i:22532;s:5:\"title\";s:43:\"Classic | Subscription | Basketball Academy\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/21-basketball-academy-Subscription.jpg\";s:12:\"tmpl_created\";i:1647434608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/classic-subscription-basketball-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Education\",\"Marketing\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:17;a:19:{s:4:\"tmpl\";i:1300;s:2:\"id\";i:22543;s:5:\"title\";s:38:\"Classic | Discount | Veterinary Clinic\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/veterinery-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647435581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-discount-veterinary-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Discount\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:18;a:19:{s:4:\"tmpl\";i:1301;s:2:\"id\";i:22553;s:5:\"title\";s:39:\"Classic | Contact | Business Consulting\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/27-business-consulting-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647439935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/classic-contact-business-consulting/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:19;a:19:{s:4:\"tmpl\";i:1302;s:2:\"id\";i:22562;s:5:\"title\";s:28:\"Classic | Contact | Handyman\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/handyman-small.jpg\";s:12:\"tmpl_created\";i:1647440333;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-contact-handyman/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:20;a:19:{s:4:\"tmpl\";i:1303;s:2:\"id\";i:22573;s:5:\"title\";s:40:\"Classic | Discount | Online Fashion Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/31-online-fashion-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647462549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-online-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:21;a:19:{s:4:\"tmpl\";i:1304;s:2:\"id\";i:22583;s:5:\"title\";s:36:\"Fly-In | Discount | Personal Trainer\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/personal-trainer-small.jpg\";s:12:\"tmpl_created\";i:1647503781;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-personal-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:22;a:19:{s:4:\"tmpl\";i:1305;s:2:\"id\";i:22592;s:5:\"title\";s:41:\"Classic | Contact | Illustrator Portfolio\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/illustrator-protfolio-small.jpg\";s:12:\"tmpl_created\";i:1647504218;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-contact-illustrator-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:49:\"[\"Contact\",\"Creative Portfolio\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:23;a:19:{s:4:\"tmpl\";i:1306;s:2:\"id\";i:22602;s:5:\"title\";s:46:\"Bottom Bar | Discount | Handmade Ceramics Shop\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2022/03/handmade-ceramic-shop-36-small.jpg\";s:12:\"tmpl_created\";i:1647507007;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-ceramics-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:48:\"[\"Business\",\"cta\",\"Ecommerce\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:24;a:19:{s:4:\"tmpl\";i:1307;s:2:\"id\";i:22612;s:5:\"title\";s:51:\"Classic | Contact | Classic Car Restoration Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/restoration-car-shop-37-small.jpg\";s:12:\"tmpl_created\";i:1647507310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/classic-contact-classic-car-restoration-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:25;a:19:{s:4:\"tmpl\";i:1308;s:2:\"id\";i:22621;s:5:\"title\";s:30:\"Classic | Booking | Life Coach\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/38-life-coach-Booking.jpg\";s:12:\"tmpl_created\";i:1647508596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-booking-life-coach/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Booking\",\"Business\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:26;a:19:{s:4:\"tmpl\";i:1309;s:2:\"id\";i:22632;s:5:\"title\";s:42:\"Classic |  Subscription | Merchandise Shop\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/Merchandise-Shop-39-small.jpg\";s:12:\"tmpl_created\";i:1647509196;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-subscription-merchandise-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Ecommerce\",\"Marketing\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:27;a:19:{s:4:\"tmpl\";i:1310;s:2:\"id\";i:22643;s:5:\"title\";s:48:\"Fly-In | Contact | Non-Governmental Organization\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/NGO-41-small.jpg\";s:12:\"tmpl_created\";i:1647509528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:150:\"https://library.elementor.com/popups/fly-in-contact-non-governmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:28;a:19:{s:4:\"tmpl\";i:1311;s:2:\"id\";i:22654;s:5:\"title\";s:35:\"Hello Bar | Contact | Family Doctor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/family-doctor-44-small.jpg\";s:12:\"tmpl_created\";i:1647509732;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/hello-bar-contact-family-doctor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Contact\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:29;a:19:{s:4:\"tmpl\";i:1312;s:2:\"id\";i:22663;s:5:\"title\";s:36:\"Classic | Subscription | Sports Blog\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/45-sport-blog-Subscription.jpg\";s:12:\"tmpl_created\";i:1647509908;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-sports-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:30;a:19:{s:4:\"tmpl\";i:1313;s:2:\"id\";i:22673;s:5:\"title\";s:30:\"Hello Bar | Booking | Event DJ\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/DJ-service-46-small.jpg\";s:12:\"tmpl_created\";i:1647510160;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/hello-bar-booking-event-dj/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Booking\",\"Events\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:31;a:19:{s:4:\"tmpl\";i:1314;s:2:\"id\";i:22684;s:5:\"title\";s:36:\"Fly-In | Discount | Cleaning Company\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/51-cleaning-company-Discount.jpg\";s:12:\"tmpl_created\";i:1647510546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-cleaning-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Offer\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:32;a:19:{s:4:\"tmpl\";i:1315;s:2:\"id\";i:22693;s:5:\"title\";s:28:\"Fly-In | Contact | Carpenter\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/carpenter-53-small.jpg\";s:12:\"tmpl_created\";i:1647511972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-carpenter/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:33;a:19:{s:4:\"tmpl\";i:1316;s:2:\"id\";i:22703;s:5:\"title\";s:31:\"Classic | Booking | Yoga Studio\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/55-yoga-studio-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647512209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-booking-yoga-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Booking\",\"Contact\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:34;a:19:{s:4:\"tmpl\";i:1317;s:2:\"id\";i:22714;s:5:\"title\";s:37:\"Classic | Discount | Pet Care Company\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/56-Pet-Care-Discount.jpg\";s:12:\"tmpl_created\";i:1647513031;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-pet-care-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:35;a:19:{s:4:\"tmpl\";i:1318;s:2:\"id\";i:22725;s:5:\"title\";s:38:\"Fly-In | Discount | Online Coffee Shop\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/online-coffee-shop-57-small.jpg\";s:12:\"tmpl_created\";i:1647513325;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-discount-online-coffee-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Food\",\"Offer\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:36;a:19:{s:4:\"tmpl\";i:1319;s:2:\"id\";i:22737;s:5:\"title\";s:44:\"Fly-In | CTA | Moving &#038; Storage Company\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/moving-company-59-small.jpg\";s:12:\"tmpl_created\";i:1647520956;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-moving-storage-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:37;a:19:{s:4:\"tmpl\";i:1320;s:2:\"id\";i:22749;s:5:\"title\";s:47:\"Classic | Contact | Industrial Design Portfolio\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/60-industrial-design-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647528116;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/classic-contact-industrial-design-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:40:\"[\"Contact\",\"Interior Design\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:38;a:19:{s:4:\"tmpl\";i:1321;s:2:\"id\";i:22759;s:5:\"title\";s:25:\"Classic | Contact | Drone\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/drone-61-small.jpg\";s:12:\"tmpl_created\";i:1647528899;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-contact-drone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:39;a:19:{s:4:\"tmpl\";i:1322;s:2:\"id\";i:22768;s:5:\"title\";s:46:\"Full Screen | Menu | Fashion Stylist Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/62-Fashion-Stylist-Menu.jpg\";s:12:\"tmpl_created\";i:1647529434;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/full-screen-menu-fashion-stylist-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Fashion\",\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:40;a:19:{s:4:\"tmpl\";i:1323;s:2:\"id\";i:22780;s:5:\"title\";s:31:\"Fly-In | CTA | Landscape Design\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/64-Landscape-Design-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647530337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-landscape-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:41;a:19:{s:4:\"tmpl\";i:1324;s:2:\"id\";i:22790;s:5:\"title\";s:48:\"Bottom Bar  | Contact | Architecture Photography\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/architecture-photography-65-small.jpg\";s:12:\"tmpl_created\";i:1647532358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/bottom-bar-contact-architecture-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:26:\"[\"Architecture\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:42;a:19:{s:4:\"tmpl\";i:1325;s:2:\"id\";i:22800;s:5:\"title\";s:41:\"Fly-In  | CTA | Speech-Language Therapist\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/66-Speech-Language-Therapist-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647532720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/fly-in-cta-speech-language-therapist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:25:\"[\"cta\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:43;a:19:{s:4:\"tmpl\";i:1326;s:2:\"id\";i:22812;s:5:\"title\";s:35:\"Full Screen | Verification | Winery\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/67-Winery-Verification.jpg\";s:12:\"tmpl_created\";i:1647761384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/full-screen-verification-winery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:24:\"[\"Alert\",\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:44;a:19:{s:4:\"tmpl\";i:1327;s:2:\"id\";i:22822;s:5:\"title\";s:36:\"Fly-In | Subscription | Nutritionist\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/nutritionist-69-small.jpg\";s:12:\"tmpl_created\";i:1647762620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-subscription-nutritionist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Food\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:45;a:19:{s:4:\"tmpl\";i:1328;s:2:\"id\";i:22833;s:5:\"title\";s:40:\"Classic | Subscription | App &#038; SaaS\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/app-70-small.jpg\";s:12:\"tmpl_created\";i:1647762955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscription-app-saas/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:14:\"[\"App\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:46;a:19:{s:4:\"tmpl\";i:1329;s:2:\"id\";i:22844;s:5:\"title\";s:41:\"Bottom Bar | Discount | Handmade Cupcakes\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/72-Handmade-Cupcakes-Discount.jpg\";s:12:\"tmpl_created\";i:1647763350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-cupcakes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:21:\"[\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:47;a:19:{s:4:\"tmpl\";i:1330;s:2:\"id\";i:22855;s:5:\"title\";s:40:\"Bottom Bar | Subscription | Fashion Blog\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-blog-75-small.jpg\";s:12:\"tmpl_created\";i:1647763907;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/bottom-bar-subscription-fashion-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:30:\"[\"Blog\",\"Fashion\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:48;a:19:{s:4:\"tmpl\";i:1331;s:2:\"id\";i:22866;s:5:\"title\";s:28:\"Fly-In | CTA | Private Tutor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-77-small.jpg\";s:12:\"tmpl_created\";i:1647764062;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-cta-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:49;a:19:{s:4:\"tmpl\";i:1332;s:2:\"id\";i:22876;s:5:\"title\";s:30:\"Classic | CTA | Tennis Academy\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/78-Tennis-Academy-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765192;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-tennis-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:50;a:19:{s:4:\"tmpl\";i:1333;s:2:\"id\";i:22887;s:5:\"title\";s:31:\"Fly-In | CTA | Shared Workspace\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/shared-workspace-79-small.jpg\";s:12:\"tmpl_created\";i:1647765419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-shared-workspace/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Business\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:51;a:19:{s:4:\"tmpl\";i:1334;s:2:\"id\";i:22899;s:5:\"title\";s:30:\"Bottom Bar | CTA | Art Gallery\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/80-Art-Gallery-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765652;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/bottom-bar-cta-art-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:13:\"[\"Art\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:52;a:19:{s:4:\"tmpl\";i:1335;s:2:\"id\";i:22910;s:5:\"title\";s:44:\"Fly-In | Subscription | Hiking Tours Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/hiking-tours-company-81-small.jpg\";s:12:\"tmpl_created\";i:1647765835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscription-hiking-tours-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Subscribe\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:53;a:19:{s:4:\"tmpl\";i:1336;s:2:\"id\";i:22921;s:5:\"title\";s:26:\"Classic | CTA | Music Band\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/music-band-82-small.jpg\";s:12:\"tmpl_created\";i:1647769462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/classic-cta-music-band/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Marketing\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:54;a:19:{s:4:\"tmpl\";i:1337;s:2:\"id\";i:22935;s:5:\"title\";s:35:\"Classic | CTA | Computer Technician\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/comuter-technician-83-small.jpg\";s:12:\"tmpl_created\";i:1647769843;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-computer-technician/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:55;a:19:{s:4:\"tmpl\";i:1338;s:2:\"id\";i:22945;s:5:\"title\";s:37:\"Classic | Discount | Delivery Company\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/delivery-company-88-small.jpg\";s:12:\"tmpl_created\";i:1647770834;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-delivery-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Discount\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:56;a:19:{s:4:\"tmpl\";i:1339;s:2:\"id\";i:22959;s:5:\"title\";s:29:\"Classic | Discount | Eco Shop\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/echo-shop-89-small.jpg\";s:12:\"tmpl_created\";i:1647771211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-discount-eco-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:57;a:19:{s:4:\"tmpl\";i:1340;s:2:\"id\";i:22972;s:5:\"title\";s:54:\"Fly-In | Subscription | Health &#038; Mindfulness Blog\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small.jpg\";s:12:\"tmpl_created\";i:1647771461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/fly-in-subscription-health-mindfulness-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:21:\"[\"Health\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:58;a:19:{s:4:\"tmpl\";i:1341;s:2:\"id\";i:22982;s:5:\"title\";s:31:\"Full Screen | Menu | Art Museum\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/art-museum-112-small.jpg\";s:12:\"tmpl_created\";i:1647771938;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-art-museum/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:59;a:19:{s:4:\"tmpl\";i:1342;s:2:\"id\";i:22992;s:5:\"title\";s:40:\"Classic | Discount | Urban Clothing Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small-1.jpg\";s:12:\"tmpl_created\";i:1647773067;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-urban-clothing-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Discount\",\"Ecommerce\",\"Fashion\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:60;a:19:{s:4:\"tmpl\";i:1343;s:2:\"id\";i:23004;s:5:\"title\";s:60:\"Full Screen | Menu | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small-1.jpg\";s:12:\"tmpl_created\";i:1647773366;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:155:\"https://library.elementor.com/popups/full-screen-menu-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:61;a:19:{s:4:\"tmpl\";i:1344;s:2:\"id\";i:23015;s:5:\"title\";s:62:\"Bottom Bar | Contact | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small.jpg\";s:12:\"tmpl_created\";i:1647773492;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/bottom-bar-contact-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:23:\"[\"Contact\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:62;a:19:{s:4:\"tmpl\";i:1345;s:2:\"id\";i:23025;s:5:\"title\";s:32:\"Full Screen | Menu | Flower Shop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small.jpg\";s:12:\"tmpl_created\";i:1647773820;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:63;a:19:{s:4:\"tmpl\";i:1346;s:2:\"id\";i:23037;s:5:\"title\";s:36:\"Classic | Subscription | Flower Shop\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small-1.jpg\";s:12:\"tmpl_created\";i:1647773949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:64;a:19:{s:4:\"tmpl\";i:1347;s:2:\"id\";i:23056;s:5:\"title\";s:48:\"Classic | Discount | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small-1.jpg\";s:12:\"tmpl_created\";i:1647774468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-discount-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:65;a:19:{s:4:\"tmpl\";i:1348;s:2:\"id\";i:23067;s:5:\"title\";s:37:\"Fly-In | Menu | Baby Sleep Consultant\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small-1.jpg\";s:12:\"tmpl_created\";i:1647778954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:66;a:19:{s:4:\"tmpl\";i:1349;s:2:\"id\";i:23077;s:5:\"title\";s:46:\"Classic | Subscription | Baby Sleep Consultant\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small.jpg\";s:12:\"tmpl_created\";i:1647779074;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/classic-subscription-baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:12:\"[\"Discount\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:67;a:19:{s:4:\"tmpl\";i:1350;s:2:\"id\";i:23090;s:5:\"title\";s:33:\"Full Screen | Menu | Luxury Hotel\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small.jpg\";s:12:\"tmpl_created\";i:1647779390;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/full-screen-menu-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:68;a:19:{s:4:\"tmpl\";i:1351;s:2:\"id\";i:23100;s:5:\"title\";s:31:\"Fly-In | Booking | Luxury Hotel\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small-1.jpg\";s:12:\"tmpl_created\";i:1647779500;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-booking-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Booking\",\"Travel\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:69;a:19:{s:4:\"tmpl\";i:1352;s:2:\"id\";i:23109;s:5:\"title\";s:38:\"Full Screen | Menu | Design Conference\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small.jpg\";s:12:\"tmpl_created\";i:1647779675;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:70;a:19:{s:4:\"tmpl\";i:1353;s:2:\"id\";i:23120;s:5:\"title\";s:41:\"Full Screen | Booking | Design Conference\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small-1.jpg\";s:12:\"tmpl_created\";i:1647779793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/full-screen-booking-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Booking\",\"Conference\",\"Creative\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:71;a:19:{s:4:\"tmpl\";i:1354;s:2:\"id\";i:23129;s:5:\"title\";s:29:\"Slide-In | Menu | VR Headsets\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small.jpg\";s:12:\"tmpl_created\";i:1647781211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-menu-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:72;a:19:{s:4:\"tmpl\";i:1355;s:2:\"id\";i:23139;s:5:\"title\";s:31:\"Classic | Contact | VR Headsets\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small-1.jpg\";s:12:\"tmpl_created\";i:1647781384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:73;a:19:{s:4:\"tmpl\";i:1356;s:2:\"id\";i:23149;s:5:\"title\";s:38:\"Slide-In | Menu | Portrait Photography\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Menu.jpg\";s:12:\"tmpl_created\";i:1647782336;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/slide-in-menu-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:74;a:19:{s:4:\"tmpl\";i:1357;s:2:\"id\";i:23159;s:5:\"title\";s:47:\"Hello Bar | Subscription | Portrait Photography\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Subscription.jpg\";s:12:\"tmpl_created\";i:1647782478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/hello-bar-subscription-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Blog\",\"Photography\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:75;a:19:{s:4:\"tmpl\";i:1358;s:2:\"id\";i:23169;s:5:\"title\";s:32:\"Full Screen | Menu | English Pub\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Menu.jpg\";s:12:\"tmpl_created\";i:1647782664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:76;a:19:{s:4:\"tmpl\";i:1359;s:2:\"id\";i:23179;s:5:\"title\";s:32:\"Classic | Discount | English Pub\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Discount.jpg\";s:12:\"tmpl_created\";i:1647782796;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:77;a:19:{s:4:\"tmpl\";i:1360;s:2:\"id\";i:23189;s:5:\"title\";s:27:\"Full Screen | Menu | Singer\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Menu.jpg\";s:12:\"tmpl_created\";i:1647783070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/full-screen-menu-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:29:\"[\"Fullscreen\",\"menu\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:78;a:19:{s:4:\"tmpl\";i:1361;s:2:\"id\";i:23200;s:5:\"title\";s:31:\"Classic | Subscription | Singer\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Subscription.jpg\";s:12:\"tmpl_created\";i:1647783249;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-subscription-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Music\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:79;a:19:{s:4:\"tmpl\";i:1362;s:2:\"id\";i:23210;s:5:\"title\";s:38:\"Full Screen | Menu | Virtual Assistant\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistnt-73-small.jpg\";s:12:\"tmpl_created\";i:1647784292;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:80;a:19:{s:4:\"tmpl\";i:1363;s:2:\"id\";i:23223;s:5:\"title\";s:39:\"Hello Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/73-Virtual-Assistant-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647784616;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-contact-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:37:\"[\"Contact\",\"Psychologist\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:81;a:19:{s:4:\"tmpl\";i:1364;s:2:\"id\";i:23234;s:5:\"title\";s:32:\"Slide-In  | Menu | Personal Chef\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Menu.jpg\";s:12:\"tmpl_created\";i:1647798194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-menu-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:82;a:19:{s:4:\"tmpl\";i:1365;s:2:\"id\";i:23244;s:5:\"title\";s:29:\"Classic | CTA | Personal Chef\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647798297;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Booking\",\"Chef\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:83;a:19:{s:4:\"tmpl\";i:1366;s:2:\"id\";i:23254;s:5:\"title\";s:31:\"Full Screen | Menu | Food Truck\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small-1.jpg\";s:12:\"tmpl_created\";i:1647798447;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:84;a:19:{s:4:\"tmpl\";i:1367;s:2:\"id\";i:23265;s:5:\"title\";s:30:\"Fly-In | Discount | Food Truck\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small.jpg\";s:12:\"tmpl_created\";i:1647798657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:85;a:19:{s:4:\"tmpl\";i:1369;s:2:\"id\";i:23323;s:5:\"title\";s:28:\"Classic | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-6-Small.jpg\";s:12:\"tmpl_created\";i:1647855505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:86;a:19:{s:4:\"tmpl\";i:1370;s:2:\"id\";i:23329;s:5:\"title\";s:29:\"Slide-In | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-5-Small.jpg\";s:12:\"tmpl_created\";i:1647855865;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:87;a:19:{s:4:\"tmpl\";i:1371;s:2:\"id\";i:23335;s:5:\"title\";s:31:\"Slide-In | CTA | Black Friday 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-1-Small.jpg\";s:12:\"tmpl_created\";i:1647856357;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-cta-black-friday-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:88;a:19:{s:4:\"tmpl\";i:1372;s:2:\"id\";i:23341;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-3-Small.jpg\";s:12:\"tmpl_created\";i:1647856493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:89;a:19:{s:4:\"tmpl\";i:1373;s:2:\"id\";i:23347;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-2-Small.jpg\";s:12:\"tmpl_created\";i:1647856891;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:90;a:19:{s:4:\"tmpl\";i:1374;s:2:\"id\";i:23354;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 4\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-4-Small.jpg\";s:12:\"tmpl_created\";i:1647856996;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:91;a:19:{s:4:\"tmpl\";i:1375;s:2:\"id\";i:23394;s:5:\"title\";s:27:\"Classic | CTA | Halloween 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-3-Small.jpg\";s:12:\"tmpl_created\";i:1647857351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-halloween-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:31:\"[\"cta\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:92;a:19:{s:4:\"tmpl\";i:1376;s:2:\"id\";i:23401;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-2-Small.jpg\";s:12:\"tmpl_created\";i:1647857567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:93;a:19:{s:4:\"tmpl\";i:1377;s:2:\"id\";i:23407;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-1-Small.jpg\";s:12:\"tmpl_created\";i:1647857814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:94;a:19:{s:4:\"tmpl\";i:1378;s:2:\"id\";i:23416;s:5:\"title\";s:31:\"Fly-In | Discount | Halloween 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-5-Small.jpg\";s:12:\"tmpl_created\";i:1647858024;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-discount-halloween-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:44:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:95;a:19:{s:4:\"tmpl\";i:1379;s:2:\"id\";i:23422;s:5:\"title\";s:36:\"Classic | Subscription | Halloween 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-4-Small.jpg\";s:12:\"tmpl_created\";i:1647858246;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-halloween-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:48:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:96;a:19:{s:4:\"tmpl\";i:1380;s:2:\"id\";i:23471;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-2-Small.jpg\";s:12:\"tmpl_created\";i:1647859193;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:97;a:19:{s:4:\"tmpl\";i:1381;s:2:\"id\";i:23477;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-4-Small.jpg\";s:12:\"tmpl_created\";i:1647859838;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:98;a:19:{s:4:\"tmpl\";i:1382;s:2:\"id\";i:23483;s:5:\"title\";s:26:\"Fly-In | CTA | Christmas 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-1-Small.jpg\";s:12:\"tmpl_created\";i:1647860157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/fly-in-cta-christmas-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:99;a:19:{s:4:\"tmpl\";i:1383;s:2:\"id\";i:23489;s:5:\"title\";s:33:\"Slide-In | Discount | Christmas 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-5-Small.jpg\";s:12:\"tmpl_created\";i:1647860302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-christmas-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:100;a:19:{s:4:\"tmpl\";i:1384;s:2:\"id\";i:23496;s:5:\"title\";s:32:\"Classic | Discount | Christmas 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-3-Small.jpg\";s:12:\"tmpl_created\";i:1647860454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-christmas-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Christmas\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:101;a:19:{s:4:\"tmpl\";i:1385;s:2:\"id\";i:23523;s:5:\"title\";s:30:\"Classic | CTA | Valentines Day\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-2-Small.jpg\";s:12:\"tmpl_created\";i:1647860912;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-valentines-day/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:102;a:19:{s:4:\"tmpl\";i:1386;s:2:\"id\";i:23529;s:5:\"title\";s:39:\"Hello Bar | Discount | Valentines Day 2\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-1-Small.jpg\";s:12:\"tmpl_created\";i:1647861064;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-discount-valentines-day-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:30:\"[\"Discount\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:103;a:19:{s:4:\"tmpl\";i:1387;s:2:\"id\";i:23536;s:5:\"title\";s:32:\"Classic | CTA | Valentines Day 3\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-3-Small.jpg\";s:12:\"tmpl_created\";i:1647861536;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-cta-valentines-day-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:104;a:19:{s:4:\"tmpl\";i:1388;s:2:\"id\";i:23586;s:5:\"title\";s:51:\"Fly-In | Subscribe | Health &#038; Wellness Company\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/35-Subscribe-Health-Wellness-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647862008;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscribe-health-wellness-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:24:\"[\"Business\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:105;a:19:{s:4:\"tmpl\";i:1389;s:2:\"id\";i:23592;s:5:\"title\";s:34:\"Classic | Subscribe | Tech Company\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/36-Subscribe-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647866706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-subscribe-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:106;a:19:{s:4:\"tmpl\";i:1390;s:2:\"id\";i:23598;s:5:\"title\";s:36:\"Classic | Contact Us | Fight Classes\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/37-Contact-Us-Fight-Classes-Small.jpg\";s:12:\"tmpl_created\";i:1647866869;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-contact-us-fight-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:107;a:19:{s:4:\"tmpl\";i:1391;s:2:\"id\";i:23611;s:5:\"title\";s:31:\"Classic | CTA | Mochi Shop Sale\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2022/03/39-Click-Through-Mochi-Shop-Sale-Small.jpg\";s:12:\"tmpl_created\";i:1647867750;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-cta-mochi-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"cta\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:108;a:19:{s:4:\"tmpl\";i:1392;s:2:\"id\";i:23618;s:5:\"title\";s:28:\"Classic | CTA | Fashion Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/40-Click-Through-Fashion-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647868251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:109;a:19:{s:4:\"tmpl\";i:1393;s:2:\"id\";i:23624;s:5:\"title\";s:29:\"Fly-In | Login | Tech Company\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/41-Login-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647868704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/fly-in-login-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:110;a:19:{s:4:\"tmpl\";i:1394;s:2:\"id\";i:23630;s:5:\"title\";s:36:\"Fly-In | Verification | Liquor Store\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/42-Verification-Liquor-Store-Small.jpg\";s:12:\"tmpl_created\";i:1647870308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-verification-liquor-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:111;a:19:{s:4:\"tmpl\";i:1395;s:2:\"id\";i:23636;s:5:\"title\";s:39:\"Hello Bar | Subscribe | Online Magazine\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/44-Subscribe-Online-Magazine-Small.jpg\";s:12:\"tmpl_created\";i:1647870465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-subscribe-online-magazine/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:112;a:19:{s:4:\"tmpl\";i:1396;s:2:\"id\";i:23642;s:5:\"title\";s:27:\"Fly-In | Login | Health Spa\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/43-Login-Health-Spa-Small.jpg\";s:12:\"tmpl_created\";i:1647872427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/fly-in-login-health-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Login\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:113;a:19:{s:4:\"tmpl\";i:1397;s:2:\"id\";i:23648;s:5:\"title\";s:33:\"Fly-In | Verification | Wine Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/45-Verification-Wine-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647872627;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/fly-in-verification-wine-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:114;a:19:{s:4:\"tmpl\";i:1421;s:2:\"id\";i:24235;s:5:\"title\";s:24:\"Ladydog Club &#8211; NFT\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/05/Ladydog_Club.jpg\";s:12:\"tmpl_created\";i:1651525072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/ladydog-club-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:115;a:19:{s:4:\"tmpl\";i:1422;s:2:\"id\";i:24166;s:5:\"title\";s:15:\"Dot &#8211; NFT\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/05/Dot-250_280.jpg\";s:12:\"tmpl_created\";i:1651525117;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/lp/dot-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:116;a:19:{s:4:\"tmpl\";i:1423;s:2:\"id\";i:24191;s:5:\"title\";s:28:\"Cosmic Neighbors &#8211; NFT\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Cosmic_Neighbors-250_280.jpg\";s:12:\"tmpl_created\";i:1651525124;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/cosmic-neighbors-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:117;a:19:{s:4:\"tmpl\";i:1424;s:2:\"id\";i:24255;s:5:\"title\";s:30:\"Happy Food Friends &#8211; NFT\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/05/Featured_Image.jpg\";s:12:\"tmpl_created\";i:1651525475;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/happy-food-friends-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:118;a:19:{s:4:\"tmpl\";i:1443;s:2:\"id\";i:24599;s:5:\"title\";s:27:\"Wireframe &#8211; Courses 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Courses-1.jpg\";s:12:\"tmpl_created\";i:1653989626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-courses-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:180:\"[\"About\",\"Academy\",\"Booking\",\"Business\",\"Course Online\",\"Features\",\"Footer\",\"Landing Pages\",\"Online Service\",\"Professional\",\"School\",\"Services\",\"Subscribe\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:119;a:19:{s:4:\"tmpl\";i:1444;s:2:\"id\";i:24614;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1-2.jpg\";s:12:\"tmpl_created\";i:1653990084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:139:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:120;a:19:{s:4:\"tmpl\";i:1445;s:2:\"id\";i:24629;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2-2.jpg\";s:12:\"tmpl_created\";i:1653990132;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:123:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:121;a:19:{s:4:\"tmpl\";i:1446;s:2:\"id\";i:24644;s:5:\"title\";s:27:\"Wireframe &#8211; Webinar 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Webinar-1.jpg\";s:12:\"tmpl_created\";i:1653990164;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-webinar-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:177:\"[\"About\",\"Academy\",\"Booking\",\"Conference\",\"Course Online\",\"Education\",\"Features\",\"Footer\",\"Form\",\"Landing Pages\",\"Online Event\",\"Online Service\",\"Subscribe\",\"Virtual\",\"Webinar\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:122;a:19:{s:4:\"tmpl\";i:1447;s:2:\"id\";i:24655;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3-2.jpg\";s:12:\"tmpl_created\";i:1653990198;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:143:\"[\"About\",\"Agency\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Portfolio\",\"Professional\",\"Project\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:123;a:19:{s:4:\"tmpl\";i:1448;s:2:\"id\";i:24677;s:5:\"title\";s:28:\"Wireframe &#8211; Services 4\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-4.jpg\";s:12:\"tmpl_created\";i:1653990233;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:102:\"[\"About\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:124;a:19:{s:4:\"tmpl\";i:1449;s:2:\"id\";i:24687;s:5:\"title\";s:28:\"Wireframe &#8211; Products 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Products-1.jpg\";s:12:\"tmpl_created\";i:1653990273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-products-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:128:\"[\"About\",\"Booking\",\"Business\",\"Clients\",\"Ecommerce\",\"Features\",\"Footer\",\"Landing Pages\",\"Products\",\"Sales\",\"Shop\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:125;a:19:{s:4:\"tmpl\";i:1450;s:2:\"id\";i:24706;s:5:\"title\";s:28:\"Wireframe &#8211; Services 5\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-5.jpg\";s:12:\"tmpl_created\";i:1653990322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:149:\"[\"About\",\"Booking\",\"Consulting\",\"Contact\",\"Doctor\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:126;a:19:{s:4:\"tmpl\";i:1451;s:2:\"id\";i:23604;s:5:\"title\";s:38:\"Classic | Subscribe | Nail Polish Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/38-Subscribe-Nail-Polish-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1660205114;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-subscribe-nail-polish-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:127;a:19:{s:4:\"tmpl\";i:1452;s:2:\"id\";i:23047;s:5:\"title\";s:46:\"Fly-In | Contact | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small.jpg\";s:12:\"tmpl_created\";i:1660205149;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/fly-in-contact-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Contact\",\"Ebook\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:128;a:19:{s:4:\"tmpl\";i:1199;s:2:\"id\";i:18839;s:5:\"title\";s:27:\"Hello Bar | CTA | eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/05/350x250.png\";s:12:\"tmpl_created\";i:1621870603;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/hello-bar-cta-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:41:\"[\"Ecommerce\",\"Online Shop\",\"Sale\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:129;a:19:{s:4:\"tmpl\";i:1247;s:2:\"id\";i:21907;s:5:\"title\";s:50:\"Fly-In | Team Details  | Electronic Music Festival\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/Kit-8-electronic-music-festival-CTA-image-1.jpg\";s:12:\"tmpl_created\";i:1646660881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/fly-in-team-details-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:130;a:19:{s:4:\"tmpl\";i:1253;s:2:\"id\";i:22162;s:5:\"title\";s:46:\"Full Screen | Menu | Electronic Music Festival\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/8-music-festival-Team-Details.jpg\";s:12:\"tmpl_created\";i:1647272934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:154:\"https://library.elementor.com/popups/full-screen-menu-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:131;a:19:{s:4:\"tmpl\";i:1254;s:2:\"id\";i:22172;s:5:\"title\";s:45:\"Classic | Discount | Health &#038; Beauty Spa\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/health-beauty-spa-small.jpg\";s:12:\"tmpl_created\";i:1647273547;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-discount-popup-health-beauty-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:36:\"[\"Hair\",\"Health\",\"Sales\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:132;a:19:{s:4:\"tmpl\";i:1255;s:2:\"id\";i:22183;s:5:\"title\";s:44:\"Hello Bar | CTA | Environmental Organization\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/11-Environmental-Organization-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647274384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/hello-bar-cta-popup-environmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:133;a:19:{s:4:\"tmpl\";i:1256;s:2:\"id\";i:22195;s:5:\"title\";s:39:\"Classic | Discount | Italian Restaurant\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/restaurant-small.jpg\";s:12:\"tmpl_created\";i:1647329432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-discount-popup-italian-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Restaurant\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:134;a:19:{s:4:\"tmpl\";i:1257;s:2:\"id\";i:22210;s:5:\"title\";s:45:\"Bottom Bar | Discount | Technology Conference\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tech-conference-small.jpg\";s:12:\"tmpl_created\";i:1647330423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/bottom-bar-discount-popup-technology-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:38:\"[\"Conference\",\"Sales\",\"Save the Date\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:135;a:19:{s:4:\"tmpl\";i:1258;s:2:\"id\";i:22221;s:5:\"title\";s:32:\"Hello Bar | Menu | Tattoo Studio\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small-1.jpg\";s:12:\"tmpl_created\";i:1647330705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/hello-bar-menu-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:17:\"[\"Header\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:136;a:19:{s:4:\"tmpl\";i:1259;s:2:\"id\";i:22231;s:5:\"title\";s:37:\"Full Screen | Booking | Tattoo Studio\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small.jpg\";s:12:\"tmpl_created\";i:1647331823;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-booking-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:137;a:19:{s:4:\"tmpl\";i:1260;s:2:\"id\";i:22251;s:5:\"title\";s:34:\"Classic | Discount | Dental Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/dental-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647332171;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-popup-dental-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Health\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:138;a:19:{s:4:\"tmpl\";i:1261;s:2:\"id\";i:22261;s:5:\"title\";s:34:\"Slide-In | Contact | Makeup Artist\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/20-Makeup-Artist-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647333946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/slide-in-contact-popup-makeup-artist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:139;a:19:{s:4:\"tmpl\";i:1262;s:2:\"id\";i:22271;s:5:\"title\";s:24:\"Fly-In | CTA | Headphone\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/headphones-1-small.jpg\";s:12:\"tmpl_created\";i:1647334784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-cta-popup-headphone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:41:\"[\"cta\",\"Ecommerce\",\"Marketing\",\"Product\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:140;a:19:{s:4:\"tmpl\";i:1263;s:2:\"id\";i:22277;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/online-course-2.jpg\";s:12:\"tmpl_created\";i:1647337110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-popup-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Course Online\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:141;a:19:{s:4:\"tmpl\";i:1264;s:2:\"id\";i:22283;s:5:\"title\";s:40:\"Bottom Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistant-3.jpg\";s:12:\"tmpl_created\";i:1647337517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-contact-popup-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:142;a:19:{s:4:\"tmpl\";i:1265;s:2:\"id\";i:22289;s:5:\"title\";s:32:\"Fly-In | Contact | Private Tutor\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-4.jpg\";s:12:\"tmpl_created\";i:1647337676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-contact-popup-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:27:\"[\"Contact\",\"Course Online\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:143;a:19:{s:4:\"tmpl\";i:1266;s:2:\"id\";i:22295;s:5:\"title\";s:31:\"Classic |  Login | Login Travel\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/login-travel-6.jpg\";s:12:\"tmpl_created\";i:1647339467;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-login-popup-login-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:144;a:19:{s:4:\"tmpl\";i:1267;s:2:\"id\";i:22301;s:5:\"title\";s:36:\"Full Screen | Login | Login Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/login-business-7.jpg\";s:12:\"tmpl_created\";i:1647339782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/full-screen-login-popup-login-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:16:\"[\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:145;a:19:{s:4:\"tmpl\";i:1268;s:2:\"id\";i:22307;s:5:\"title\";s:28:\"Classic | Login | Login Blog\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/login-blog-8.jpg\";s:12:\"tmpl_created\";i:1647339986;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-login-popup-login-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:146;a:19:{s:4:\"tmpl\";i:1269;s:2:\"id\";i:22313;s:5:\"title\";s:31:\"Classic | Login | Login Fashion\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/login-fashion-9.jpg\";s:12:\"tmpl_created\";i:1647340204;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-login-popup-login-fashion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Fashion\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:147;a:19:{s:4:\"tmpl\";i:1270;s:2:\"id\";i:22319;s:5:\"title\";s:40:\"Classic |  Login | Login Design Platform\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/03/login-design-platform-10.jpg\";s:12:\"tmpl_created\";i:1647340531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-login-popup-login-design-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Design\",\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:148;a:19:{s:4:\"tmpl\";i:1271;s:2:\"id\";i:22325;s:5:\"title\";s:36:\"Fly-In | Contact | Digital Marketing\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-marketing-11.jpg\";s:12:\"tmpl_created\";i:1647340770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-contact-popup-digital-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:51:\"[\"Business\",\"Contact\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:149;a:19:{s:4:\"tmpl\";i:1272;s:2:\"id\";i:22331;s:5:\"title\";s:36:\"Fly-In | CTA | Dog Cat Food Delivery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/dog-cat-food-delivery-5.jpg\";s:12:\"tmpl_created\";i:1647341069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-cta-popup-dog-cat-food-delivery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Delivery Service\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:150;a:19:{s:4:\"tmpl\";i:1273;s:2:\"id\";i:22337;s:5:\"title\";s:37:\"Full Screen | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-12.jpg\";s:12:\"tmpl_created\";i:1647341370;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-contact-popup-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:151;a:19:{s:4:\"tmpl\";i:1274;s:2:\"id\";i:22343;s:5:\"title\";s:44:\"Classic | Contact | Support Product Platform\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/03/support-13.jpg\";s:12:\"tmpl_created\";i:1647341972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-contact-support-product-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Contact\",\"Support\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:152;a:19:{s:4:\"tmpl\";i:1275;s:2:\"id\";i:22371;s:5:\"title\";s:38:\"Full Screen | Contact | Small Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/small-business-14.jpg\";s:12:\"tmpl_created\";i:1647342508;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-contact-small-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:40:\"[\"Business\",\"Contact\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:153;a:19:{s:4:\"tmpl\";i:1276;s:2:\"id\";i:22377;s:5:\"title\";s:31:\"Classic | Contact | Online Shop\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/online-shop-15.jpg\";s:12:\"tmpl_created\";i:1647352786;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-online-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:154;a:19:{s:4:\"tmpl\";i:1277;s:2:\"id\";i:22383;s:5:\"title\";s:40:\"Classic | Booking | Children Optometrist\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/children-optometrist-16.jpg\";s:12:\"tmpl_created\";i:1647352963;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-booking-children-optometrist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:53:\"[\"Booking\",\"Business\",\"Contact\",\"Education\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:155;a:19:{s:4:\"tmpl\";i:1278;s:2:\"id\";i:22389;s:5:\"title\";s:28:\"Fly-In | Contact | Open Week\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/03/open-week17.jpg\";s:12:\"tmpl_created\";i:1647353281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-open-week/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:34:\"[\"Business\",\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:156;a:19:{s:4:\"tmpl\";i:1279;s:2:\"id\";i:22397;s:5:\"title\";s:43:\"Full Screen | CTA | Plant Pots Online Store\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/plant-pots-online-store-18.jpg\";s:12:\"tmpl_created\";i:1647353429;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-cta-plant-pots-online-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:33:\"[\"Ecommerce\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:157;a:19:{s:4:\"tmpl\";i:1054;s:2:\"id\";i:15414;s:5:\"title\";s:32:\"Classic | Contact | Dance Studio\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/PopUp.jpg\";s:12:\"tmpl_created\";i:1603180596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-dance-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:762;s:11:\"trend_index\";i:650;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:158;a:19:{s:4:\"tmpl\";i:1398;s:2:\"id\";i:23687;s:5:\"title\";s:32:\"Pizza Promotion &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/48-Pizza-Promotion.jpg\";s:12:\"tmpl_created\";i:1649670575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/pizza-promotion-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:92:\"[\"Business\",\"Cooking\",\"Delivery\",\"Discount\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:159;a:19:{s:4:\"tmpl\";i:1400;s:2:\"id\";i:23751;s:5:\"title\";s:33:\"Baby Sleep Webinar &#8211; Events\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/63-Baby-Sleep-Webinar.jpg\";s:12:\"tmpl_created\";i:1649676065;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/baby-sleep-webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:227:\"[\"Baby\",\"Booking\",\"Business\",\"Children\",\"Course Online\",\"Education\",\"Events\",\"Health\",\"Landing Pages\",\"Life Coach\",\"Lifestyle\",\"Online Event\",\"Online Service\",\"Parenting\",\"Professional\",\"Remote\",\"Services\",\"Training\",\"Webinar\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:160;a:19:{s:4:\"tmpl\";i:1401;s:2:\"id\";i:23776;s:5:\"title\";s:34:\"Ski Hotel Promotion &#8211; Travel\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/04/64-Ski-Hotel-Promotion.jpg\";s:12:\"tmpl_created\";i:1649691720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/ski-hotel-promotion-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Travel\";s:4:\"tags\";s:118:\"[\"Accommodation\",\"Booking\",\"Discount. Landing Pages\",\"Lifestyle\",\"Luxury\",\"Services\",\"Spa\",\"Travel\",\"Trip\",\"Vacation\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:161;a:19:{s:4:\"tmpl\";i:1402;s:2:\"id\";i:23804;s:5:\"title\";s:30:\"Cake Delivery &#8211; Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/04/67-Cake-Delivery.jpg\";s:12:\"tmpl_created\";i:1649692909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/cake-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:101:\"[\"Bakery\",\"Business\",\"Cake\",\"Cooking\",\"Delivery\",\"Discount\",\"Food\",\"Landing Pages\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:162;a:19:{s:4:\"tmpl\";i:1403;s:2:\"id\";i:23832;s:5:\"title\";s:32:\"Furniture Store &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/87-Furniture-Store.jpg\";s:12:\"tmpl_created\";i:1649694812;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/furniture-store-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:232:\"[\"Architecture\",\"Art\",\"Business\",\"Construction\",\"Coupon\",\"Creative\",\"Decor\",\"Designer\",\"Discount\",\"Fashion\",\"Furniture Design\",\"Home\",\"House\",\"Interior Design\",\"Landing Pages\",\"Lifestyle\",\"Products\",\"Professional\",\"Services\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:163;a:19:{s:4:\"tmpl\";i:1404;s:2:\"id\";i:23746;s:5:\"title\";s:22:\"Nails &#8211; Business\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/04/62-Nails-1.jpg\";s:12:\"tmpl_created\";i:1649704635;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/nails-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:173:\"[\"Art\",\"Beauty\",\"Business\",\"Colorful\",\"Cosmetics\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Girly\",\"Landing Pages\",\"Lifestyle\",\"Manicure\",\"Modern\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:164;a:19:{s:4:\"tmpl\";i:1405;s:2:\"id\";i:23846;s:5:\"title\";s:29:\"Music Festival &#8211; Events\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/04/88-Music-Festival.jpg\";s:12:\"tmpl_created\";i:1649707763;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/music-festival-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:128:\"[\"Author\",\"Booking\",\"Business\",\"Creative\",\"Discount\",\"Events\",\"Landing Pages\",\"Music\",\"Online\",\"Online Event\",\"Party\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:165;a:19:{s:4:\"tmpl\";i:1406;s:2:\"id\";i:23872;s:5:\"title\";s:40:\"Fashion Styling Course &#8211; Education\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/89-Fashion-Styling-Course.jpg\";s:12:\"tmpl_created\";i:1649708569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/fashion-styling-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:173:\"[\"Aesthetic\",\"Art\",\"Beauty\",\"Business\",\"Course Online\",\"Creative\",\"Discount\",\"Education\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Online\",\"Online Service\",\"Stylist\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:166;a:19:{s:4:\"tmpl\";i:1407;s:2:\"id\";i:23897;s:5:\"title\";s:33:\"Bags Online Shop &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/04/90-Bags-Online-Shop.jpg\";s:12:\"tmpl_created\";i:1649709513;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/bags-online-shop-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:170:\"[\"Art\",\"Bag\",\"Business\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Luxury\",\"Modern\",\"Online\",\"Online Shop\",\"Products\",\"Sales\",\"Shop\",\"Stylist\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:167;a:19:{s:4:\"tmpl\";i:1408;s:2:\"id\";i:23932;s:5:\"title\";s:32:\"Cooking Academy &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/91-Cooking-Academy.jpg\";s:12:\"tmpl_created\";i:1649710216;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/cooking-academy-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:145:\"[\"Academy\",\"Booking\",\"Business\",\"Chef\",\"Cooking\",\"Education\",\"Food\",\"Free Trial\",\"Landing Pages\",\"Professional\",\"School\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:168;a:19:{s:4:\"tmpl\";i:1409;s:2:\"id\";i:23970;s:5:\"title\";s:45:\"Ophthalmology Medical Clinic &#8211; Business\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/04/92-Ophthalmology-Medical-Clinic.jpg\";s:12:\"tmpl_created\";i:1649711096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/ophthalmology-medical-clinic-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:165:\"[\"About\",\"Business\",\"Care\",\"Consulting\",\"Eye\",\"Free Trial\",\"Glasses\",\"Health\",\"Landing Pages\",\"Lifestyle\",\"Medical\",\"Modern\",\"Optometrist\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:169;a:19:{s:4:\"tmpl\";i:1425;s:2:\"id\";i:24331;s:5:\"title\";s:24:\"Wireframe &#8211; Home 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-1.jpg\";s:12:\"tmpl_created\";i:1653988363;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:170;a:19:{s:4:\"tmpl\";i:1218;s:2:\"id\";i:20792;s:5:\"title\";s:26:\"Luxury Car &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/11/250x280-1.jpg\";s:12:\"tmpl_created\";i:1636903770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/luxury-car-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:54:\"[\"car\",\"Ecommerce\",\"Landing Pages\",\"Luxury\",\"Product\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:171;a:19:{s:4:\"tmpl\";i:1428;s:2:\"id\";i:24398;s:5:\"title\";s:25:\"Wireframe &#8211; About 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-1.jpg\";s:12:\"tmpl_created\";i:1653988534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:83:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Professional\",\"Services\",\"Team\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:172;a:19:{s:4:\"tmpl\";i:991;s:2:\"id\";i:13413;s:5:\"title\";s:33:\"Classic | Contact | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Help.jpg\";s:12:\"tmpl_created\";i:1587474761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-contact-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:530;s:11:\"trend_index\";i:369;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:173;a:19:{s:4:\"tmpl\";i:1053;s:2:\"id\";i:15272;s:5:\"title\";s:32:\"Classic | Contact | Psychologist\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/PopUp.png\";s:12:\"tmpl_created\";i:1600170487;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:578;s:11:\"trend_index\";i:312;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:174;a:19:{s:4:\"tmpl\";i:899;s:2:\"id\";i:11839;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";i:1569430015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:189;s:11:\"trend_index\";i:20;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:175;a:19:{s:4:\"tmpl\";i:1433;s:2:\"id\";i:24477;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-2.jpg\";s:12:\"tmpl_created\";i:1653988835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:176;a:19:{s:4:\"tmpl\";i:1205;s:2:\"id\";i:20233;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633881371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:177;a:19:{s:4:\"tmpl\";i:1214;s:2:\"id\";i:20539;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:178;a:19:{s:4:\"tmpl\";i:1224;s:2:\"id\";i:21013;s:5:\"title\";s:24:\"Restaurant &#8211; About\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/12/7-About-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638795588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:36:\"[\"About\",\"Chef\",\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:179;a:19:{s:4:\"tmpl\";i:992;s:2:\"id\";i:13402;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/04/Popup-Course-Completed.jpg\";s:12:\"tmpl_created\";i:1587474772;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:619;s:11:\"trend_index\";i:582;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:180;a:19:{s:4:\"tmpl\";i:1206;s:2:\"id\";i:20254;s:5:\"title\";s:41:\"Digital Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Digital-Marketing-Agency-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/digital-marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:65:\"[\"Agency\",\"Business\",\"Digital Agency\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:181;a:19:{s:4:\"tmpl\";i:1235;s:2:\"id\";i:21281;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/16-Services-Law-firm.jpg\";s:12:\"tmpl_created\";i:1638819128;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/law-firm-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Consulting\",\"Law\",\"Law Firm\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:182;a:19:{s:4:\"tmpl\";i:1017;s:2:\"id\";i:14111;s:5:\"title\";s:36:\"Classic | Japanese restaurant | Sale\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1592300400;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-japanese-restaurant-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:717;s:11:\"trend_index\";i:697;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:183;a:19:{s:4:\"tmpl\";i:1213;s:2:\"id\";i:20509;s:5:\"title\";s:40:\"Dogs Adoption &#8211; Social Involvement\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/10/Dog-Adoption-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/dogs-adoption-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:49:\"[\"Adoption\",\"Involvement\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:184;a:19:{s:4:\"tmpl\";i:1233;s:2:\"id\";i:21205;s:5:\"title\";s:29:\"Photographer &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/25-Projects-Photographer.jpg\";s:12:\"tmpl_created\";i:1638818372;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photographer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Black and white\",\"Photography\",\"Project\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:185;a:19:{s:4:\"tmpl\";i:993;s:2:\"id\";i:13422;s:5:\"title\";s:30:\"Classic | Menu | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1587474782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-menu-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:516;s:11:\"trend_index\";i:432;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:186;a:19:{s:4:\"tmpl\";i:925;s:2:\"id\";i:12540;s:5:\"title\";s:33:\"Classic | Menu | Travel and tours\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_Menu_s.png\";s:12:\"tmpl_created\";i:1575960267;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-menu-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:690;s:11:\"trend_index\";i:714;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:187;a:19:{s:4:\"tmpl\";i:1208;s:2:\"id\";i:20361;s:5:\"title\";s:51:\"Exercise &#038; Fitness Equipment &#8211; eCommerce\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2021/10/Exercise-Fitness-Equipment-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633883766;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/exercise-fitness-equipment-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Fitness\",\"Health\",\"Landing Pages\",\"Online Shop\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:188;a:19:{s:4:\"tmpl\";i:1239;s:2:\"id\";i:21373;s:5:\"title\";s:28:\"Photographer &#8211; Gallery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/18-Gallery-Photographer.jpg\";s:12:\"tmpl_created\";i:1638821177;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photographer-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Gallery\",\"Photography\",\"Portfolio\",\"Project\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:189;a:19:{s:4:\"tmpl\";i:1426;s:2:\"id\";i:24348;s:5:\"title\";s:24:\"Wireframe &#8211; Home 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-2.jpg\";s:12:\"tmpl_created\";i:1653988444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:190;a:19:{s:4:\"tmpl\";i:958;s:2:\"id\";i:13129;s:5:\"title\";s:28:\"Classic | Menu | Photography\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/PopUp_s.png\";s:12:\"tmpl_created\";i:1582092645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-menu-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:646;s:11:\"trend_index\";i:521;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:191;a:19:{s:4:\"tmpl\";i:1427;s:2:\"id\";i:24366;s:5:\"title\";s:24:\"Wireframe &#8211; Home 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-3.jpg\";s:12:\"tmpl_created\";i:1653988491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:192;a:19:{s:4:\"tmpl\";i:1207;s:2:\"id\";i:20299;s:5:\"title\";s:51:\"Interior Design Consultation &#8211; Online Service\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/10/Interior-Design-Consultation-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/interior-design-consultation-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:65:\"[\"Consulting\",\"Interior Design\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:193;a:19:{s:4:\"tmpl\";i:952;s:2:\"id\";i:12726;s:5:\"title\";s:52:\"Classic | Newsletter | Subscribe | Magazine and Blog\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_Newsletter_s.png\";s:12:\"tmpl_created\";i:1579061019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/classic-newsletter-subscribe-magazine-and-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:357;s:11:\"trend_index\";i:281;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:194;a:19:{s:4:\"tmpl\";i:883;s:2:\"id\";i:11468;s:5:\"title\";s:20:\"Classic | Sale | Gym\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/PopUp_Small.png\";s:12:\"tmpl_created\";i:1567393182;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-sale-gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:696;s:11:\"trend_index\";i:740;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:195;a:19:{s:4:\"tmpl\";i:1216;s:2:\"id\";i:20623;s:5:\"title\";s:57:\"Luxurious Camping Accommodation For Events &#8211; Events\";s:9:\"thumbnail\";s:113:\"https://library.elementor.com/wp-content/uploads/2021/10/Luxurious-Camping-Accommodation-For-Events-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634041681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/luxurious-camping-accommodation-for-events-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:43:\"[\"Event\",\"Events\",\"Landing Pages\",\"Travel\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:196;a:19:{s:4:\"tmpl\";i:1219;s:2:\"id\";i:20886;s:5:\"title\";s:28:\"Online Training &#8211; Home\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/12/2-Home-Online-Training.jpg\";s:12:\"tmpl_created\";i:1638784769;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/online-training-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Online\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:197;a:19:{s:4:\"tmpl\";i:1065;s:2:\"id\";i:15570;s:5:\"title\";s:33:\"Classic | Subscribe | Travel Blog\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp.jpg\";s:12:\"tmpl_created\";i:1606215555;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscribe-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:709;s:11:\"trend_index\";i:459;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:198;a:19:{s:4:\"tmpl\";i:1431;s:2:\"id\";i:24437;s:5:\"title\";s:25:\"Wireframe &#8211; About 4\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-4.jpg\";s:12:\"tmpl_created\";i:1653988733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:199;a:19:{s:4:\"tmpl\";i:1210;s:2:\"id\";i:20414;s:5:\"title\";s:45:\"Online English Courses &#8211; Online Service\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Online-English-Courses-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/online-english-courses-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Course Online\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:200;a:19:{s:4:\"tmpl\";i:1132;s:2:\"id\";i:16553;s:5:\"title\";s:31:\"Fly-In | Contact | Beauty Salon\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/12/PopUp.jpg\";s:12:\"tmpl_created\";i:1608622602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-contact-beauty-salon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:691;s:11:\"trend_index\";i:428;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:201;a:19:{s:4:\"tmpl\";i:1441;s:2:\"id\";i:24574;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 5\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-5.jpg\";s:12:\"tmpl_created\";i:1653989135;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:202;a:19:{s:4:\"tmpl\";i:1217;s:2:\"id\";i:20333;s:5:\"title\";s:40:\"Plant Pots Online Shop &#8211; eCommerce\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Plant-Pots-Online-Shop-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634042184;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/plant-pots-online-shop-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Ecommerce\",\"Landing Pages\",\"Online Shop\",\"Shop\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:203;a:19:{s:4:\"tmpl\";i:1211;s:2:\"id\";i:20447;s:5:\"title\";s:33:\"Shared Workspace &#8211; Business\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Shared-Workspace.jpg\";s:12:\"tmpl_created\";i:1633884934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/shared-workspace-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:28:\"[\"Business\",\"Landing Pages\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:204;a:19:{s:4:\"tmpl\";i:1237;s:2:\"id\";i:21313;s:5:\"title\";s:34:\"Spa &#038; Beauty &#8211; Services\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/12/Spa-Beauty-Treatments-page-1.jpg\";s:12:\"tmpl_created\";i:1638819709;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/spa-beauty-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:55:\"[\"Beauty\",\"Hair\",\"Health\",\"Services\",\"Spa\",\"Treatment\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:205;a:19:{s:4:\"tmpl\";i:1004;s:2:\"id\";i:13538;s:5:\"title\";s:32:\"Fly-In | Newsletter | Barbershop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/05/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1589893364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-newsletter-barbershop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:710;s:11:\"trend_index\";i:667;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:206;a:19:{s:4:\"tmpl\";i:924;s:2:\"id\";i:12550;s:5:\"title\";s:32:\"Fly-in | Sale | Travel and Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_s.png\";s:12:\"tmpl_created\";i:1575960263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/flyin-sale-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:754;s:11:\"trend_index\";i:791;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:207;a:19:{s:4:\"tmpl\";i:1212;s:2:\"id\";i:20479;s:5:\"title\";s:49:\"Teeth Straightening &#8211; Health &#038; Fitness\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Teeth-Whitening.jpg\";s:12:\"tmpl_created\";i:1633886115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/teeth-straightening-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:46:\"[\"Business\",\"Dental\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:208;a:19:{s:4:\"tmpl\";i:1234;s:2:\"id\";i:21234;s:5:\"title\";s:34:\"Insurance Company &#8211; Services\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/15-Services-Insurance-Company.jpg\";s:12:\"tmpl_created\";i:1638818688;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/insurance-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Faq\",\"Form\",\"Insurance\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:209;a:19:{s:4:\"tmpl\";i:1035;s:2:\"id\";i:15062;s:5:\"title\";s:35:\"Fly-In | Sign up | Flooring Company\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp.png\";s:12:\"tmpl_created\";i:1597739629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/fly-in-sign-up-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:625;s:11:\"trend_index\";i:309;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:210;a:19:{s:4:\"tmpl\";i:1209;s:2:\"id\";i:20394;s:5:\"title\";s:30:\"Time Management &#8211; Events\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/10/Time-Management-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884077;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/time-management-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:17:\"[\"Landing Pages\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:211;a:19:{s:4:\"tmpl\";i:1229;s:2:\"id\";i:21118;s:5:\"title\";s:28:\"Contact &#8211; Plants Store\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/12-Contact-Plants-Store.jpg\";s:12:\"tmpl_created\";i:1638802472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/contact-plants-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:40:\"[\"Contact\",\"Info\",\"Plant\",\"Testimonial\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:212;a:19:{s:4:\"tmpl\";i:893;s:2:\"id\";i:11822;s:5:\"title\";s:30:\"Full Screen | Menu | Portfolio\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/PopUp_small.png\";s:12:\"tmpl_created\";i:1569429896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/full-screen-menu-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:654;s:11:\"trend_index\";i:626;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:213;a:19:{s:4:\"tmpl\";i:1203;s:2:\"id\";i:18591;s:5:\"title\";s:28:\"Coffee Sale &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280-7.png\";s:12:\"tmpl_created\";i:1633877319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/coffee-sale-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:33:\"[\"Coffee\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:214;a:19:{s:4:\"tmpl\";i:1231;s:2:\"id\";i:21184;s:5:\"title\";s:28:\"Dental Care &#8211; Services\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/14-Services-Dental-Care.jpg\";s:12:\"tmpl_created\";i:1638807148;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dental-care-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:45:\"[\"Dental\",\"Medical\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:215;a:19:{s:4:\"tmpl\";i:1064;s:2:\"id\";i:15580;s:5:\"title\";s:31:\"Fullscreen | Menu | Travel Blog\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1606215358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fullscreen-menu-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:673;s:11:\"trend_index\";i:348;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:216;a:19:{s:4:\"tmpl\";i:1133;s:2:\"id\";i:16645;s:5:\"title\";s:28:\"Headphones &#8211; eCommerce\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_headphones.png\";s:12:\"tmpl_created\";i:1609944115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/commerce-headphones/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:39:\"[\"Ecommerce\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:633;s:11:\"trend_index\";i:87;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:217;a:19:{s:4:\"tmpl\";i:1442;s:2:\"id\";i:24584;s:5:\"title\";s:27:\"Wireframe &#8211; Pricing 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Pricing-1.jpg\";s:12:\"tmpl_created\";i:1653989152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:146:\"[\"Booking\",\"Business\",\"Clients\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Online Service\",\"Pricing\",\"Products\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:218;a:19:{s:4:\"tmpl\";i:1138;s:2:\"id\";i:16762;s:5:\"title\";s:25:\"Conference &#8211; Events\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Conference.png\";s:12:\"tmpl_created\";i:1610455119;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/conference-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:60:\"[\"Conference\",\"Convention\",\"Event\",\"Events\",\"Landing Pages\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:705;s:11:\"trend_index\";i:216;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:219;a:19:{s:4:\"tmpl\";i:1438;s:2:\"id\";i:24539;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-2.jpg\";s:12:\"tmpl_created\";i:1653989019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"Business\",\"Contact\",\"Footer\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:220;a:19:{s:4:\"tmpl\";i:981;s:2:\"id\";i:13281;s:5:\"title\";s:37:\"Hello Bar | Contact | Interior Design\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp.png\";s:12:\"tmpl_created\";i:1586148801;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/hello-bar-contact-interior-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:19:\"[\"Interior Design\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:763;s:11:\"trend_index\";i:679;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:221;a:19:{s:4:\"tmpl\";i:1052;s:2:\"id\";i:15259;s:5:\"title\";s:31:\"Hello Bar | Menu | Psychologist\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Menu-PopUp.png\";s:12:\"tmpl_created\";i:1600170209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/hello-bar-menu-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:739;s:11:\"trend_index\";i:583;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:222;a:19:{s:4:\"tmpl\";i:1434;s:2:\"id\";i:24494;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1.jpg\";s:12:\"tmpl_created\";i:1653988874;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Business\",\"Faq\",\"Footer\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:223;a:19:{s:4:\"tmpl\";i:1194;s:2:\"id\";i:18701;s:5:\"title\";s:32:\"Digital Course &#8211; eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280.jpg\";s:12:\"tmpl_created\";i:1618995134;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/digital-course-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Ecommerce\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:224;a:19:{s:4:\"tmpl\";i:1192;s:2:\"id\";i:18612;s:5:\"title\";s:34:\"Bag Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bag-Product.jpeg\";s:12:\"tmpl_created\";i:1618395406;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bag-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:61:\"[\"Bag\",\"Ecommerce\",\"Landing Pages\",\"Product\",\"Sale\",\"Travel\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:875;s:11:\"trend_index\";i:605;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:225;a:19:{s:4:\"tmpl\";i:1227;s:2:\"id\";i:21083;s:5:\"title\";s:26:\"Conference &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/10-Contact-Conference.jpg\";s:12:\"tmpl_created\";i:1638799208;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/conference-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:44:\"[\"Conference\",\"Contact\",\"Form\",\"Info\",\"Map\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:226;a:19:{s:4:\"tmpl\";i:1193;s:2:\"id\";i:18644;s:5:\"title\";s:37:\"Camera Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/camera_sale_featured-img.jpg\";s:12:\"tmpl_created\";i:1618396388;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/camera-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Camera\",\"Ecommerce\",\"Landing Pages\",\"Photography\",\"Sale\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:873;s:11:\"trend_index\";i:535;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:227;a:19:{s:4:\"tmpl\";i:951;s:2:\"id\";i:12736;s:5:\"title\";s:41:\"Slide In | Contact Us | Magazine and Blog\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_contact_s.png\";s:12:\"tmpl_created\";i:1579060978;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/slide-in-contact-us/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:734;s:11:\"trend_index\";i:686;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:228;a:19:{s:4:\"tmpl\";i:1222;s:2:\"id\";i:20960;s:5:\"title\";s:26:\"Travel Agency &#8211; Home\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/5-Home-Travel-Agency.jpg\";s:12:\"tmpl_created\";i:1638788432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/travel-agency-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Adventures\",\"Experience\",\"Explore\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:229;a:19:{s:4:\"tmpl\";i:1196;s:2:\"id\";i:18815;s:5:\"title\";s:25:\"Car Wash &#8211; Business\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Car-Wash.png\";s:12:\"tmpl_created\";i:1621336431;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/car-wash-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:45:\"[\"Business\",\"car\",\"Discount\",\"Landing Pages\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:230;a:19:{s:4:\"tmpl\";i:1242;s:2:\"id\";i:21473;s:5:\"title\";s:40:\"Architecture Photography &#8211; Gallery\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/20-Gallery-Architecture-Photography.jpg\";s:12:\"tmpl_created\";i:1638822115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/architecture-photography-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:52:\"[\"Architecture\",\"Gallery\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:231;a:19:{s:4:\"tmpl\";i:1015;s:2:\"id\";i:14067;s:5:\"title\";s:37:\"Slide In | Japanese restaurant | Menu\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Menu-Pop-Up-Small.jpg\";s:12:\"tmpl_created\";i:1592290352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/slide-in-japanese-restaurant-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:650;s:11:\"trend_index\";i:565;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:232;a:19:{s:4:\"tmpl\";i:923;s:2:\"id\";i:12229;s:5:\"title\";s:33:\"Slide In | Law Firm | Information\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/popup.png\";s:12:\"tmpl_created\";i:1572847842;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-law-firm-information/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:547;s:11:\"trend_index\";i:413;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:233;a:19:{s:4:\"tmpl\";i:1198;s:2:\"id\";i:18824;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1621336756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:234;a:19:{s:4:\"tmpl\";i:1236;s:2:\"id\";i:21259;s:5:\"title\";s:28:\"3D Designer &#8211; Projects\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/24-Projects-3D-Designer.jpg\";s:12:\"tmpl_created\";i:1638819185;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/3d-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"3D\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:235;a:19:{s:4:\"tmpl\";i:1028;s:2:\"id\";i:14827;s:5:\"title\";s:39:\"Slide-In | Contact | Luxury Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/PopUp.png\";s:12:\"tmpl_created\";i:1595323523;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/slide-in-contact-luxury-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:559;s:11:\"trend_index\";i:284;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:236;a:19:{s:4:\"tmpl\";i:1197;s:2:\"id\";i:18819;s:5:\"title\";s:27:\"Dog Walker &#8211; Business\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Dog-Walker.png\";s:12:\"tmpl_created\";i:1621336601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/dog-walker-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:41:\"[\"Business\",\"Dog\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:237;a:19:{s:4:\"tmpl\";i:1238;s:2:\"id\";i:21349;s:5:\"title\";s:29:\"Architecture &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/23-Projects-Architecture.jpg\";s:12:\"tmpl_created\";i:1638820870;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/architecture-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:70:\"[\"Architecture\",\"Creative\",\"Creative Portfolio\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:238;a:19:{s:4:\"tmpl\";i:1034;s:2:\"id\";i:15075;s:5:\"title\";s:34:\"Slide-In | Menu | Flooring Company\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp-1.png\";s:12:\"tmpl_created\";i:1597739605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/slide-in-menu-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:383;s:11:\"trend_index\";i:162;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:239;a:19:{s:4:\"tmpl\";i:1414;s:2:\"id\";i:24079;s:5:\"title\";s:32:\"Fashion Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Fashion-Shop.jpg\";s:12:\"tmpl_created\";i:1650988089;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/fashion-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Aesthetic\",\"Business\",\"Coming Soon\",\"Ecommerce\",\"Girly\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:240;a:19:{s:4:\"tmpl\";i:1195;s:2:\"id\";i:18761;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1621336146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:241;a:19:{s:4:\"tmpl\";i:1153;s:2:\"id\";i:17060;s:5:\"title\";s:36:\"Private Tutor &#8211; Online Service\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Tutor-2.png\";s:12:\"tmpl_created\";i:1610631042;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/private-tutor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:64:\"[\"Education\",\"Landing Pages\",\"Online Service\",\"Teacher\",\"Tutor\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:780;s:11:\"trend_index\";i:628;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:242;a:19:{s:4:\"tmpl\";i:1430;s:2:\"id\";i:24434;s:5:\"title\";s:25:\"Wireframe &#8211; About 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-3.jpg\";s:12:\"tmpl_created\";i:1653988697;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:243;a:19:{s:4:\"tmpl\";i:1158;s:2:\"id\";i:17232;s:5:\"title\";s:33:\"Life Coach &#8211; Online Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Life-Coach.png\";s:12:\"tmpl_created\";i:1610902793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/life-coach-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:38:\"[\"Coach\",\"Landing Pages\",\"Life Coach\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:787;s:11:\"trend_index\";i:751;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:244;a:19:{s:4:\"tmpl\";i:1436;s:2:\"id\";i:24515;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3.jpg\";s:12:\"tmpl_created\";i:1653988946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:66:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:245;a:19:{s:4:\"tmpl\";i:875;s:2:\"id\";i:11241;s:5:\"title\";s:36:\"Classic | Digital Agency | Marketing\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/PopUp_small.jpg\";s:12:\"tmpl_created\";i:1564643043;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-digital-agency-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:362;s:11:\"trend_index\";i:315;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:246;a:19:{s:4:\"tmpl\";i:1146;s:2:\"id\";i:16932;s:5:\"title\";s:35:\"Finance Consulting &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Finance-Consulting.png\";s:12:\"tmpl_created\";i:1610532170;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/lp/finance-consulting-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:80:\"[\"Advisor\",\"Business\",\"Consulting\",\"Finance\",\"Investment\",\"Landing Pages\",\"Tax\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:790;s:11:\"trend_index\";i:630;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:247;a:19:{s:4:\"tmpl\";i:1429;s:2:\"id\";i:24421;s:5:\"title\";s:25:\"Wireframe &#8211; About 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-2.jpg\";s:12:\"tmpl_created\";i:1653988579;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:248;a:19:{s:4:\"tmpl\";i:674;s:2:\"id\";i:8505;s:5:\"title\";s:11:\"404 page 01\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/001.jpg\";s:12:\"tmpl_created\";i:1526415501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:533;s:11:\"trend_index\";i:222;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:249;a:19:{s:4:\"tmpl\";i:1136;s:2:\"id\";i:16721;s:5:\"title\";s:35:\"Dental &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Dental.jpg\";s:12:\"tmpl_created\";i:1610448567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/dental-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:44:\"[\"Dental\",\"Doctor\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:801;s:11:\"trend_index\";i:655;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:250;a:19:{s:4:\"tmpl\";i:1417;s:2:\"id\";i:24116;s:5:\"title\";s:32:\"Tech Company &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Tech-Company.jpg\";s:12:\"tmpl_created\";i:1650989265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/tech-company-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"Business\",\"Coding\",\"Coming Soon\",\"Computer\",\"Developer\",\"IT\",\"Services\",\"Technology\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:251;a:19:{s:4:\"tmpl\";i:675;s:2:\"id\";i:8511;s:5:\"title\";s:11:\"404 page 02\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/002.jpg\";s:12:\"tmpl_created\";i:1526415528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:347;s:11:\"trend_index\";i:155;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:252;a:19:{s:4:\"tmpl\";i:1161;s:2:\"id\";i:17269;s:5:\"title\";s:34:\"Electronics Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Electronic-Products.png\";s:12:\"tmpl_created\";i:1610903298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/electronics-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:800;s:11:\"trend_index\";i:556;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:253;a:19:{s:4:\"tmpl\";i:1220;s:2:\"id\";i:20908;s:5:\"title\";s:42:\"Packing &#038; Moving Company &#8211; Home\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/3-Home-Packing-Moving-Company.jpg\";s:12:\"tmpl_created\";i:1638786127;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/packing-moving-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Movers\",\"Moving\",\"Storge\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:254;a:19:{s:4:\"tmpl\";i:1152;s:2:\"id\";i:17032;s:5:\"title\";s:42:\"Donate Computer &#8211; Social Involvement\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Donation-2.png\";s:12:\"tmpl_created\";i:1610630585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/donate-computer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:67:\"[\"Computer\",\"Donate\",\"Donation\",\"Kids\",\"Landing Pages\",\"Nonprofit\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:718;s:11:\"trend_index\";i:278;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:255;a:19:{s:4:\"tmpl\";i:672;s:2:\"id\";i:8512;s:5:\"title\";s:11:\"404 page 03\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/003.jpg\";s:12:\"tmpl_created\";i:1526415449;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:450;s:11:\"trend_index\";i:375;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:256;a:19:{s:4:\"tmpl\";i:1245;s:2:\"id\";i:21546;s:5:\"title\";s:28:\"Interior Design &#8211; Home\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/1-Home-Interior-Design-1.jpg\";s:12:\"tmpl_created\";i:1639046269;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/interior-design-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Design\",\"Form\",\"Furniture Design\",\"Interior Design\",\"Testimonial\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:257;a:19:{s:4:\"tmpl\";i:1135;s:2:\"id\";i:16684;s:5:\"title\";s:34:\"SaaS HR Management &#8211; Product\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_hr.png\";s:12:\"tmpl_created\";i:1609945486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/saas-hr-management-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:39:\"[\"HR\",\"Landing Pages\",\"Product\",\"SaaS\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:708;s:11:\"trend_index\";i:292;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:258;a:19:{s:4:\"tmpl\";i:671;s:2:\"id\";i:8513;s:5:\"title\";s:11:\"404 page 04\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/004.jpg\";s:12:\"tmpl_created\";i:1526415417;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:420;s:11:\"trend_index\";i:176;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:259;a:19:{s:4:\"tmpl\";i:1249;s:2:\"id\";i:22137;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647177194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:260;a:19:{s:4:\"tmpl\";i:1134;s:2:\"id\";i:16660;s:5:\"title\";s:37:\"Medical center &#8211; Online service\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-medical-cosultation-250_280.png\";s:12:\"tmpl_created\";i:1609945122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/medical-center-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:44:\"[\"Landing Pages\",\"Medical\",\"Online Service\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:750;s:11:\"trend_index\";i:332;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:261;a:19:{s:4:\"tmpl\";i:1226;s:2:\"id\";i:21069;s:5:\"title\";s:21:\"Hotel &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/12/9-Contact-Hotel.jpg\";s:12:\"tmpl_created\";i:1638798545;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/hotel-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:36:\"[\"Contact\",\"from\",\"Info\",\"Vacation\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:262;a:19:{s:4:\"tmpl\";i:1150;s:2:\"id\";i:17001;s:5:\"title\";s:36:\"Parental Counseling &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/Parenting-Coach-2.png\";s:12:\"tmpl_created\";i:1610534999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/parental-counseling-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:99:\"[\"Advisor\",\"Business\",\"Coach\",\"Counseling\",\"Landing Pages\",\"Online Service\",\"Parental\",\"Parenting\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:817;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:263;a:19:{s:4:\"tmpl\";i:1432;s:2:\"id\";i:24461;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-1.jpg\";s:12:\"tmpl_created\";i:1653988784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:264;a:19:{s:4:\"tmpl\";i:676;s:2:\"id\";i:8514;s:5:\"title\";s:11:\"404 Page 05\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/005.jpg\";s:12:\"tmpl_created\";i:1526415558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:419;s:11:\"trend_index\";i:220;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:265;a:19:{s:4:\"tmpl\";i:1137;s:2:\"id\";i:16742;s:5:\"title\";s:31:\"Online Course &#8211; Education\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Course.png\";s:12:\"tmpl_created\";i:1610454122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/online-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:55:\"[\"Academy\",\"Course Online\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:777;s:11:\"trend_index\";i:776;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:266;a:19:{s:4:\"tmpl\";i:668;s:2:\"id\";i:8523;s:5:\"title\";s:11:\"404 page 06\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/006.jpg\";s:12:\"tmpl_created\";i:1526415291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:298;s:11:\"trend_index\";i:268;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:267;a:19:{s:4:\"tmpl\";i:1440;s:2:\"id\";i:24563;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 4\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-4.jpg\";s:12:\"tmpl_created\";i:1653989095;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:84:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:268;a:19:{s:4:\"tmpl\";i:1162;s:2:\"id\";i:17284;s:5:\"title\";s:38:\"Dietitian &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/01/Dietitian.png\";s:12:\"tmpl_created\";i:1610903484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/dietitian-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Health\",\"landscape design\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:814;s:11:\"trend_index\";i:800;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:269;a:19:{s:4:\"tmpl\";i:1439;s:2:\"id\";i:24553;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 3\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-3.jpg\";s:12:\"tmpl_created\";i:1653989057;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Professional\",\"Testimonial\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:270;a:19:{s:4:\"tmpl\";i:1144;s:2:\"id\";i:16897;s:5:\"title\";s:30:\"Personal Chef &#8211; Business\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Personal-Chef.png\";s:12:\"tmpl_created\";i:1610466247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/personal-chef-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:53:\"[\"Business\",\"Chef\",\"Food\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:795;s:11:\"trend_index\";i:617;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:271;a:19:{s:4:\"tmpl\";i:1435;s:2:\"id\";i:24504;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2.jpg\";s:12:\"tmpl_created\";i:1653988910;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:80:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:272;a:19:{s:4:\"tmpl\";i:669;s:2:\"id\";i:8524;s:5:\"title\";s:11:\"404 page 07\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/007.jpg\";s:12:\"tmpl_created\";i:1526415337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:303;s:11:\"trend_index\";i:171;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:273;a:19:{s:4:\"tmpl\";i:1147;s:2:\"id\";i:16946;s:5:\"title\";s:52:\"Online Full-Stack Developer Course &#8211; Education\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Full-Stack-Developer-Course.png\";s:12:\"tmpl_created\";i:1610532778;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/online-full-stack-developer-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:76:\"[\"Academy\",\"Coding\",\"Course Online\",\"Developer\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:805;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:274;a:19:{s:4:\"tmpl\";i:1437;s:2:\"id\";i:24528;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-1.jpg\";s:12:\"tmpl_created\";i:1653988981;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:275;a:19:{s:4:\"tmpl\";i:1143;s:2:\"id\";i:16868;s:5:\"title\";s:40:\"Virtual Assistant &#8211; Online Service\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/01/Virtual-Assistant-250x280-1.png\";s:12:\"tmpl_created\";i:1610465656;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/virtual-assistant-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:46:\"[\"Assistant\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:793;s:11:\"trend_index\";i:757;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:276;a:19:{s:4:\"tmpl\";i:673;s:2:\"id\";i:8526;s:5:\"title\";s:11:\"404 page 09\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/009.jpg\";s:12:\"tmpl_created\";i:1526415474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:477;s:11:\"trend_index\";i:285;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:277;a:19:{s:4:\"tmpl\";i:1228;s:2:\"id\";i:21104;s:5:\"title\";s:26:\"Restaurant &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/11-Contact-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638800146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/restaurant-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:60:\"[\"Contact\",\"Food\",\"Form\",\"Google Maps\",\"Info\",\"Testimonial\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:278;a:19:{s:4:\"tmpl\";i:1140;s:2:\"id\";i:16812;s:5:\"title\";s:40:\"Construction Project &#8211; Real Estate\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Construction-Project.png\";s:12:\"tmpl_created\";i:1610463582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/construction-project-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:59:\"[\"Construction\",\"Landing Pages\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:796;s:11:\"trend_index\";i:724;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:279;a:19:{s:4:\"tmpl\";i:1244;s:2:\"id\";i:21393;s:5:\"title\";s:34:\"Interior Designer &#8211; Projects\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/12/big-22-Projects-Interior-Designer-New.jpeg\";s:12:\"tmpl_created\";i:1638823945;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/interior-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:93:\"[\"Creative\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Interior Design\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:280;a:19:{s:4:\"tmpl\";i:1148;s:2:\"id\";i:16960;s:5:\"title\";s:44:\"Dog &amp; Cat Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2021/01/Dog-Food.png\";s:12:\"tmpl_created\";i:1610533581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/dog-cat-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:71:\"[\"Business\",\"Cat\",\"Delivery\",\"Dog\",\"Food\",\"Landing Pages\",\"Pet\",\"Pets\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:782;s:11:\"trend_index\";i:510;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:281;a:19:{s:4:\"tmpl\";i:670;s:2:\"id\";i:8525;s:5:\"title\";s:11:\"404 page 08\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/008.jpg\";s:12:\"tmpl_created\";i:1526415374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:510;s:11:\"trend_index\";i:575;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:282;a:19:{s:4:\"tmpl\";i:1251;s:2:\"id\";i:22143;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1647177389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:283;a:19:{s:4:\"tmpl\";i:1155;s:2:\"id\";i:17095;s:5:\"title\";s:36:\"Mobile Pet Grooming &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Mobile-Pet-Grooming.png\";s:12:\"tmpl_created\";i:1610632115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/mobile-pet-grooming-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:38:\"[\"Dog\",\"Groom\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:786;s:11:\"trend_index\";i:731;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:284;a:19:{s:4:\"tmpl\";i:1241;s:2:\"id\";i:21451;s:5:\"title\";s:26:\"Exhibition &#8211; Gallery\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/21-Gallery-Exhibition.jpg\";s:12:\"tmpl_created\";i:1638821855;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/exhibition-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"Art\",\"Creative\",\"Creative Portfolio\",\"Exhibition\",\"Gallery\",\"Portfolio\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:285;a:19:{s:4:\"tmpl\";i:502;s:2:\"id\";i:5438;s:5:\"title\";s:7:\"About 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_4.png\";s:12:\"tmpl_created\";i:1520443512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:147;s:11:\"trend_index\";i:9;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:286;a:19:{s:4:\"tmpl\";i:1159;s:2:\"id\";i:17245;s:5:\"title\";s:34:\"Marketing Course &#8211; Education\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2021/01/PPC.png\";s:12:\"tmpl_created\";i:1610902958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/marketing-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:45:\"[\"Course Online\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:770;s:11:\"trend_index\";i:430;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:287;a:19:{s:4:\"tmpl\";i:1240;s:2:\"id\";i:21430;s:5:\"title\";s:30:\"Travel Blogger &#8211; Gallery\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/12/19-Gallery-Travel-Blogger.jpg\";s:12:\"tmpl_created\";i:1638821592;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/travel-blogger-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Gallery\",\"Photography\",\"Slider\",\"Travel\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:288;a:19:{s:4:\"tmpl\";i:1149;s:2:\"id\";i:16983;s:5:\"title\";s:41:\"Pilates Instructor &#8211; Online Service\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Pilates-Instructor.png\";s:12:\"tmpl_created\";i:1610534138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/pilates-instructor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:70:\"[\"Free Trial\",\"Instructor\",\"Landing Pages\",\"Online Service\",\"Pilates\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:778;s:11:\"trend_index\";i:412;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:289;a:19:{s:4:\"tmpl\";i:1416;s:2:\"id\";i:24104;s:5:\"title\";s:33:\"Ceramics Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Ceramics-Shop.jpg\";s:12:\"tmpl_created\";i:1650988949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/ceramics-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:290;a:19:{s:4:\"tmpl\";i:557;s:2:\"id\";i:6135;s:5:\"title\";s:8:\"About 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_2.png\";s:12:\"tmpl_created\";i:1520443663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:77;s:11:\"trend_index\";i:47;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:291;a:19:{s:4:\"tmpl\";i:1412;s:2:\"id\";i:24033;s:5:\"title\";s:37:\"Dance Studio &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Dance-Studio.jpg\";s:12:\"tmpl_created\";i:1649881344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/dance-studio-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:113:\"[\"Academy\",\"Business\",\"Dance Studio\",\"Form\",\"Pilates\",\"School\",\"Sport\",\"Teacher\",\"Training\",\"Under Construction\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:292;a:19:{s:4:\"tmpl\";i:1190;s:2:\"id\";i:18568;s:5:\"title\";s:32:\"Flower Delivery &#8211; Business\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/04/Flower-Delivery.png\";s:12:\"tmpl_created\";i:1617546716;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/flower-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:37:\"[\"Delivery\",\"Flower\",\"Landing Pages\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:874;s:11:\"trend_index\";i:763;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:293;a:19:{s:4:\"tmpl\";i:1145;s:2:\"id\";i:16917;s:5:\"title\";s:22:\"Webinar &#8211; Events\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Webinar-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610466822;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:36:\"[\"Events\",\"Landing Pages\",\"Webinar\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:821;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:294;a:19:{s:4:\"tmpl\";i:1413;s:2:\"id\";i:24049;s:5:\"title\";s:33:\"ECO Shop &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-ECO-Shop.jpg\";s:12:\"tmpl_created\";i:1649882053;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/eco-shop-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:110:\"[\"Aesthetic\",\"Business\",\"Creative\",\"Decor\",\"Health\",\"Help\",\"Lifestyle\",\"Products\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:295;a:19:{s:4:\"tmpl\";i:497;s:2:\"id\";i:5397;s:5:\"title\";s:8:\"About 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1.png\";s:12:\"tmpl_created\";i:1520443503;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:148;s:11:\"trend_index\";i:43;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:296;a:19:{s:4:\"tmpl\";i:1154;s:2:\"id\";i:17079;s:5:\"title\";s:42:\"Calls Volunteer &#8211; Social Involvement\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Calls-Volunteer.png\";s:12:\"tmpl_created\";i:1610631774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/calls-volunteer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:68:\"[\"Care\",\"Covid-19\",\"Help\",\"Involvement\",\"Landing Pages\",\"Volunteer\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:854;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:297;a:19:{s:4:\"tmpl\";i:1419;s:2:\"id\";i:24136;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Food-Blog.jpg\";s:12:\"tmpl_created\";i:1650990034;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:62:\"[\"Blog\",\"Business\",\"Coming Soon\",\"Cooking\",\"Education\",\"Food\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:298;a:19:{s:4:\"tmpl\";i:1142;s:2:\"id\";i:16836;s:5:\"title\";s:33:\"Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/01/Marketing-Agency-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610464490;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:74:\"[\"Agency\",\"Business\",\"Landing Pages\",\"Marketing\",\"Marketing Landing Page\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:816;s:11:\"trend_index\";i:787;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:299;a:19:{s:4:\"tmpl\";i:1411;s:2:\"id\";i:24020;s:5:\"title\";s:35:\"Mobile App &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Mobile-App.jpg\";s:12:\"tmpl_created\";i:1649880955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/mobile-app-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:77:\"[\"App\",\"Business\",\"Coding\",\"Computer\",\"Launch\",\"Mobile\",\"Under Construction\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:300;a:19:{s:4:\"tmpl\";i:498;s:2:\"id\";i:5405;s:5:\"title\";s:8:\"About 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1.png\";s:12:\"tmpl_created\";i:1520443505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:216;s:11:\"trend_index\";i:50;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:301;a:19:{s:4:\"tmpl\";i:1139;s:2:\"id\";i:16785;s:5:\"title\";s:42:\"Gym Promotion &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Gym-LP.jpg\";s:12:\"tmpl_created\";i:1610455496;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/gym-promotion-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:42:\"[\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:820;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:302;a:19:{s:4:\"tmpl\";i:1420;s:2:\"id\";i:24152;s:5:\"title\";s:32:\"Perfume Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Perfume-Shop.jpg\";s:12:\"tmpl_created\";i:1650990353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/perfume-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Business\",\"Coming Soon\",\"Cosmetics\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:303;a:19:{s:4:\"tmpl\";i:1185;s:2:\"id\";i:18492;s:5:\"title\";s:34:\"Bicycle Pre-Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bike-Landing-Page.png\";s:12:\"tmpl_created\";i:1617535552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bicycle-pre-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:34:\"[\"Bicycle\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:50;s:16:\"popularity_index\";i:871;s:11:\"trend_index\";i:826;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:304;a:19:{s:4:\"tmpl\";i:1418;s:2:\"id\";i:24126;s:5:\"title\";s:28:\"Skincare &#8211; Coming Soon\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Skincare.jpg\";s:12:\"tmpl_created\";i:1650989585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/skincare-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:128:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Coming Soon\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Services\",\"Skincare\",\"Treatment\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:305;a:19:{s:4:\"tmpl\";i:1181;s:2:\"id\";i:18349;s:5:\"title\";s:39:\"Virtual try-on glasses &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-8.png\";s:12:\"tmpl_created\";i:1614772569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/virtual-try-on-glasses-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:64:\"[\"Fashion\",\"Glasses\",\"Landing Pages\",\"Online Service\",\"Virtual\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:848;s:11:\"trend_index\";i:803;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:306;a:19:{s:4:\"tmpl\";i:500;s:2:\"id\";i:5421;s:5:\"title\";s:8:\"About 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_3.png\";s:12:\"tmpl_created\";i:1520443509;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:215;s:11:\"trend_index\";i:77;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:307;a:19:{s:4:\"tmpl\";i:513;s:2:\"id\";i:5533;s:5:\"title\";s:8:\"About 15\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_10.png\";s:12:\"tmpl_created\";i:1520443534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:21;s:11:\"trend_index\";i:57;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:308;a:19:{s:4:\"tmpl\";i:1410;s:2:\"id\";i:24004;s:5:\"title\";s:33:\"Skincare &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Skincare.jpg\";s:12:\"tmpl_created\";i:1649880534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/skincare-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:144:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Makeup\",\"Services\",\"Skincare\",\"Treatment\",\"Under Construction\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:309;a:19:{s:4:\"tmpl\";i:1172;s:2:\"id\";i:17458;s:5:\"title\";s:31:\"Moving Company &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Moving-Company.png\";s:12:\"tmpl_created\";i:1612727025;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/moving-company-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"Landing Pages\",\"Movers\",\"Moving\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:826;s:11:\"trend_index\";i:767;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:310;a:19:{s:4:\"tmpl\";i:1415;s:2:\"id\";i:24092;s:5:\"title\";s:29:\"Vase Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Vase-Shop.jpg\";s:12:\"tmpl_created\";i:1650988613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/vase-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:311;a:19:{s:4:\"tmpl\";i:1186;s:2:\"id\";i:18517;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Food-Blog.png\";s:12:\"tmpl_created\";i:1617539897;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:45:\"[\"Blog\",\"Coming Soon\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:844;s:11:\"trend_index\";i:672;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:312;a:19:{s:4:\"tmpl\";i:1167;s:2:\"id\";i:17379;s:5:\"title\";s:33:\"IT Service &#8211; Online Service\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-IT-Service.png\";s:12:\"tmpl_created\";i:1612713022;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/it-service-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:41:\"[\"IT\",\"Landing Pages\",\"Remote\",\"Support\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:806;s:11:\"trend_index\";i:634;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:313;a:19:{s:4:\"tmpl\";i:1248;s:2:\"id\";i:22134;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647176713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:314;a:19:{s:4:\"tmpl\";i:512;s:2:\"id\";i:5525;s:5:\"title\";s:8:\"About 14\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_10.png\";s:12:\"tmpl_created\";i:1520443532;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:9;s:11:\"trend_index\";i:29;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:315;a:19:{s:4:\"tmpl\";i:1189;s:2:\"id\";i:18560;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1617542761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:843;s:11:\"trend_index\";i:561;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:316;a:19:{s:4:\"tmpl\";i:1225;s:2:\"id\";i:21041;s:5:\"title\";s:41:\"Business Consulting Company &#8211; About\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/8-About-Business-Consulting-Company.jpg\";s:12:\"tmpl_created\";i:1638797560;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/business-consulting-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Coach\",\"Collaboration\",\"Consulting\",\"Life Coach\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:317;a:19:{s:4:\"tmpl\";i:1187;s:2:\"id\";i:18528;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1617541784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:872;s:11:\"trend_index\";i:819;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:318;a:19:{s:4:\"tmpl\";i:1243;s:2:\"id\";i:21135;s:5:\"title\";s:28:\"Construction &#8211; Service\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/13-Service-Construction.jpg\";s:12:\"tmpl_created\";i:1638823202;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/construction-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Architecture\",\"Construction\",\"Faq\",\"Services\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:319;a:19:{s:4:\"tmpl\";i:501;s:2:\"id\";i:5429;s:5:\"title\";s:8:\"About 16\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_4.png\";s:12:\"tmpl_created\";i:1520443510;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:59;s:11:\"trend_index\";i:8;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:320;a:19:{s:4:\"tmpl\";i:1174;s:2:\"id\";i:17504;s:5:\"title\";s:29:\"Hair Stylist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-3.png\";s:12:\"tmpl_created\";i:1612883014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/hair-stylist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:59:\"[\"Business\",\"Hair\",\"hairdresser\",\"Landing Pages\",\"Stylist\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:840;s:11:\"trend_index\";i:806;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:321;a:19:{s:4:\"tmpl\";i:1223;s:2:\"id\";i:20981;s:5:\"title\";s:37:\"Creative Digital Agency &#8211; About\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2021/12/6-About-Creative-Digital-Agency.jpg\";s:12:\"tmpl_created\";i:1638789303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/creative-digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"About\",\"Advisor\",\"Creative\",\"Creative Portfolio\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:322;a:19:{s:4:\"tmpl\";i:1184;s:2:\"id\";i:18449;s:5:\"title\";s:45:\"Aesthetic Clinic &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/03/Aesthetic-Clinic.png\";s:12:\"tmpl_created\";i:1616682181;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/aesthetic-clinic-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:57:\"[\"Aesthetic\",\"Beauty\",\"Fitness\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:859;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:323;a:19:{s:4:\"tmpl\";i:1221;s:2:\"id\";i:20926;s:5:\"title\";s:33:\"Doctors Online Consultation -Home\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/12/4-Home-Doctors-Online-Consultation.jpg\";s:12:\"tmpl_created\";i:1638787371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/doctors-online-consultation-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:35:\"[\"App\",\"Health\",\"Medical\",\"Online\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:324;a:19:{s:4:\"tmpl\";i:505;s:2:\"id\";i:5464;s:5:\"title\";s:8:\"About 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_6.png\";s:12:\"tmpl_created\";i:1520443518;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:220;s:11:\"trend_index\";i:142;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:325;a:19:{s:4:\"tmpl\";i:1165;s:2:\"id\";i:17353;s:5:\"title\";s:44:\"Online Cooking Course &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-2.png\";s:12:\"tmpl_created\";i:1612705144;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/online-cooking-course-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Cooking\",\"Course Online\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:59;s:16:\"popularity_index\";i:845;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:326;a:19:{s:4:\"tmpl\";i:1188;s:2:\"id\";i:18550;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1617542506;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:832;s:11:\"trend_index\";i:600;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:327;a:19:{s:4:\"tmpl\";i:1250;s:2:\"id\";i:22140;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1647177317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:328;a:19:{s:4:\"tmpl\";i:510;s:2:\"id\";i:5504;s:5:\"title\";s:8:\"About 18\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_9.png\";s:12:\"tmpl_created\";i:1520443528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:104;s:11:\"trend_index\";i:46;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:329;a:19:{s:4:\"tmpl\";i:1191;s:2:\"id\";i:18539;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1617610273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:61;s:16:\"popularity_index\";i:876;s:11:\"trend_index\";i:652;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:330;a:19:{s:4:\"tmpl\";i:1175;s:2:\"id\";i:18270;s:5:\"title\";s:24:\"Open week &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280.png\";s:12:\"tmpl_created\";i:1614767186;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/open-week-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:59:\"[\"Education\",\"Event\",\"Events\",\"Landing Pages\",\"University\"]\";s:10:\"menu_order\";i:62;s:16:\"popularity_index\";i:831;s:11:\"trend_index\";i:673;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:331;a:19:{s:4:\"tmpl\";i:1177;s:2:\"id\";i:18300;s:5:\"title\";s:30:\"Makeup Artist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-2.png\";s:12:\"tmpl_created\";i:1614768608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/makeup-artist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Beauty\",\"Business\",\"Course Online\",\"Landing Pages\",\"Makeup\",\"Online Service\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:861;s:11:\"trend_index\";i:783;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:332;a:19:{s:4:\"tmpl\";i:511;s:2:\"id\";i:5515;s:5:\"title\";s:8:\"About 19\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_9.png\";s:12:\"tmpl_created\";i:1520443530;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:268;s:11:\"trend_index\";i:161;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:333;a:19:{s:4:\"tmpl\";i:1179;s:2:\"id\";i:18329;s:5:\"title\";s:63:\"Online Real Estate Investment Conference &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-5.png\";s:12:\"tmpl_created\";i:1614770404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/lp/online-real-estate-investment-conference-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:76:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Online Event\",\"Real estate\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:866;s:11:\"trend_index\";i:779;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:334;a:19:{s:4:\"tmpl\";i:506;s:2:\"id\";i:5472;s:5:\"title\";s:7:\"About 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_7.png\";s:12:\"tmpl_created\";i:1520443520;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:210;s:11:\"trend_index\";i:116;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:335;a:19:{s:4:\"tmpl\";i:1183;s:2:\"id\";i:18391;s:5:\"title\";s:45:\"Children&#8217;s Optometrist &#8211; Business\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Childrens-Optometrist.png\";s:12:\"tmpl_created\";i:1614773564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/childrens-optometrist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:85:\"[\"Business\",\"Children\",\"Eye\",\"Glasses\",\"Health\",\"Kids\",\"Landing Pages\",\"Optometrist\"]\";s:10:\"menu_order\";i:65;s:16:\"popularity_index\";i:877;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:336;a:19:{s:4:\"tmpl\";i:1182;s:2:\"id\";i:18366;s:5:\"title\";s:30:\"Car Insurance &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Car-Insurance.png\";s:12:\"tmpl_created\";i:1614773263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/car-insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"car\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:869;s:11:\"trend_index\";i:797;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:337;a:19:{s:4:\"tmpl\";i:1201;s:2:\"id\";i:19144;s:5:\"title\";s:25:\"Birthday Party Invitation\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/06/250x280.png\";s:12:\"tmpl_created\";i:1623848691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/birthday-party-invitation/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Birthday\",\"Event\",\"Landing Pages\",\"Party\",\"RSVD\",\"Save the Date\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:338;a:19:{s:4:\"tmpl\";i:1124;s:2:\"id\";i:16473;s:5:\"title\";s:26:\"Beauty Salon &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/about-1.jpg\";s:12:\"tmpl_created\";i:1608622373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/beauty-salon-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:615;s:11:\"trend_index\";i:184;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:339;a:19:{s:4:\"tmpl\";i:1176;s:2:\"id\";i:18291;s:5:\"title\";s:47:\"Grill Restaurant Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Food-Delivery-LP.png\";s:12:\"tmpl_created\";i:1614767830;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/lp/grill-restaurant-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Delivery\",\"Delivery Service\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:819;s:11:\"trend_index\";i:685;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:340;a:19:{s:4:\"tmpl\";i:504;s:2:\"id\";i:5455;s:5:\"title\";s:8:\"About 20\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_6.png\";s:12:\"tmpl_created\";i:1520443516;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:134;s:11:\"trend_index\";i:70;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:341;a:19:{s:4:\"tmpl\";i:1125;s:2:\"id\";i:16488;s:5:\"title\";s:28:\"Beauty Salon &#8211; Contact\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/contact.jpg\";s:12:\"tmpl_created\";i:1608622374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:548;s:11:\"trend_index\";i:101;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:342;a:19:{s:4:\"tmpl\";i:1180;s:2:\"id\";i:18340;s:5:\"title\";s:30:\"Restaurant &#8211; Coming Soon\";s:9:\"thumbnail\";s:98:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Restuarant-Coming-Soon-LP.png\";s:12:\"tmpl_created\";i:1614772183;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/restaurant-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:51:\"[\"Coming Soon\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:810;s:11:\"trend_index\";i:809;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:343;a:19:{s:4:\"tmpl\";i:499;s:2:\"id\";i:5413;s:5:\"title\";s:8:\"About 21\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2.png\";s:12:\"tmpl_created\";i:1520443507;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:83;s:11:\"trend_index\";i:52;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:344;a:19:{s:4:\"tmpl\";i:1126;s:2:\"id\";i:16496;s:5:\"title\";s:28:\"Beauty Salon &#8211; Gallery\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/12/gallery-1.jpg\";s:12:\"tmpl_created\";i:1608622379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:491;s:11:\"trend_index\";i:90;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:345;a:19:{s:4:\"tmpl\";i:1173;s:2:\"id\";i:17480;s:5:\"title\";s:42:\"At-home Massage Therapist &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/02/At-Home-Massage-Therapist.jpg\";s:12:\"tmpl_created\";i:1612879264;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/at-home-massage-therapist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:60:\"[\"Business\",\"Health\",\"Landing Pages\",\"Services\",\"Therapist\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:856;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:346;a:19:{s:4:\"tmpl\";i:1127;s:2:\"id\";i:16457;s:5:\"title\";s:25:\"Beauty Salon &#8211; Home\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/home-1.jpg\";s:12:\"tmpl_created\";i:1608622383;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/beauty-salon-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:408;s:11:\"trend_index\";i:56;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:347;a:19:{s:4:\"tmpl\";i:1178;s:2:\"id\";i:18317;s:5:\"title\";s:26:\"Insurance &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Life-Insirance.png\";s:12:\"tmpl_created\";i:1614769488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:61:\"[\"Business\",\"Family\",\"Financial\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:870;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:348;a:19:{s:4:\"tmpl\";i:1128;s:2:\"id\";i:16518;s:5:\"title\";s:29:\"Beauty Salon &#8211; Services\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/12/services-1.jpg\";s:12:\"tmpl_created\";i:1608622386;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/beauty-salon-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:664;s:11:\"trend_index\";i:261;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:349;a:19:{s:4:\"tmpl\";i:1168;s:2:\"id\";i:17401;s:5:\"title\";s:40:\"Conference Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280.png\";s:12:\"tmpl_created\";i:1612724753;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/conference-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:59:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:799;s:11:\"trend_index\";i:540;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:350;a:19:{s:4:\"tmpl\";i:503;s:2:\"id\";i:5447;s:5:\"title\";s:7:\"About 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_5.png\";s:12:\"tmpl_created\";i:1520443514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:48;s:11:\"trend_index\";i:12;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:351;a:19:{s:4:\"tmpl\";i:1073;s:2:\"id\";i:15486;s:5:\"title\";s:25:\"Travel Blog &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/About.jpg\";s:12:\"tmpl_created\";i:1606215720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/travel-blog-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:608;s:11:\"trend_index\";i:343;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:352;a:19:{s:4:\"tmpl\";i:1166;s:2:\"id\";i:17368;s:5:\"title\";s:38:\"Real Estate Agency &#8211; Real-Estate\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Real-Estate.png\";s:12:\"tmpl_created\";i:1612711814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/real-estate-agency-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:73:\"[\"Landing Pages\",\"listing\",\"Real estate\",\"Realestate\",\"realtor\",\"realty\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:858;s:11:\"trend_index\";i:777;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:353;a:19:{s:4:\"tmpl\";i:1074;s:2:\"id\";i:15478;s:5:\"title\";s:27:\"Travel Blog &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1606215735;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-blog-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:687;s:11:\"trend_index\";i:564;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:354;a:19:{s:4:\"tmpl\";i:1170;s:2:\"id\";i:17423;s:5:\"title\";s:57:\"Volunteer Calls Thank You Page &#8211; Social Involvement\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/02/Volunteer-Calls-TYP.jpg\";s:12:\"tmpl_created\";i:1612726058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/volunteer-calls-thank-you-page-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:62:\"[\"Care\",\"Involvement\",\"Landing Pages\",\"Thank You\",\"Volunteer\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:857;s:11:\"trend_index\";i:818;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:355;a:19:{s:4:\"tmpl\";i:507;s:2:\"id\";i:5480;s:5:\"title\";s:7:\"About 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_7-1.png\";s:12:\"tmpl_created\";i:1520443522;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-4-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:428;s:11:\"trend_index\";i:303;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:356;a:19:{s:4:\"tmpl\";i:1075;s:2:\"id\";i:15467;s:5:\"title\";s:24:\"Travel Blog &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/11/Home.jpg\";s:12:\"tmpl_created\";i:1606215756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-blog-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:567;s:11:\"trend_index\";i:224;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:357;a:19:{s:4:\"tmpl\";i:1169;s:2:\"id\";i:17409;s:5:\"title\";s:37:\"Webinar Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Webinar-TYP.png\";s:12:\"tmpl_created\";i:1612725644;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/webinar-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:56:\"[\"Event\",\"Events\",\"Landing Pages\",\"Thank You\",\"Webinar\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:868;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:358;a:19:{s:4:\"tmpl\";i:1056;s:2:\"id\";i:15317;s:5:\"title\";s:25:\"Dance Studio &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/10/Home.jpg\";s:12:\"tmpl_created\";i:1603181291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/dance-studio-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:596;s:11:\"trend_index\";i:301;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:359;a:19:{s:4:\"tmpl\";i:545;s:2:\"id\";i:6027;s:5:\"title\";s:7:\"About 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1-1.png\";s:12:\"tmpl_created\";i:1520443639;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-5-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:40;s:11:\"trend_index\";i:40;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:360;a:19:{s:4:\"tmpl\";i:1160;s:2:\"id\";i:17258;s:5:\"title\";s:32:\"Beauty Product &#8211; eCommerce\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Beauty-Product.png\";s:12:\"tmpl_created\";i:1610903153;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/beauty-product-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:38:\"[\"Beauty\",\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:797;s:11:\"trend_index\";i:703;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:361;a:19:{s:4:\"tmpl\";i:1057;s:2:\"id\";i:15334;s:5:\"title\";s:26:\"Dance Studio &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/About.jpg\";s:12:\"tmpl_created\";i:1603181364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/dance-studio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:626;s:11:\"trend_index\";i:373;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:362;a:19:{s:4:\"tmpl\";i:546;s:2:\"id\";i:6036;s:5:\"title\";s:7:\"About 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1-1.png\";s:12:\"tmpl_created\";i:1520443641;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-6-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:90;s:11:\"trend_index\";i:123;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:363;a:19:{s:4:\"tmpl\";i:1171;s:2:\"id\";i:17435;s:5:\"title\";s:39:\"Gym &#8211; App Service &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-4.png\";s:12:\"tmpl_created\";i:1612726462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/gym-app-service-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:58:\"[\"App\",\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:767;s:11:\"trend_index\";i:577;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:364;a:19:{s:4:\"tmpl\";i:1058;s:2:\"id\";i:15349;s:5:\"title\";s:28:\"Dance Studio &#8211; Classes\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes.jpg\";s:12:\"tmpl_created\";i:1603181425;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:629;s:11:\"trend_index\";i:458;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:365;a:19:{s:4:\"tmpl\";i:1156;s:2:\"id\";i:17111;s:5:\"title\";s:33:\"Sunglasses Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/01/Sunglasses-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610632408;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/sunglasses-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Ecommerce\",\"Fashion\",\"Landing Pages\",\"Sale\",\"Sunglasses\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:812;s:11:\"trend_index\";i:732;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:366;a:19:{s:4:\"tmpl\";i:1055;s:2:\"id\";i:15366;s:5:\"title\";s:29:\"Dance Studio &#8211; Schedule\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes-Schedule.jpg\";s:12:\"tmpl_created\";i:1603181056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/dance-studio-schedule/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:698;s:11:\"trend_index\";i:602;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:367;a:19:{s:4:\"tmpl\";i:1157;s:2:\"id\";i:17223;s:5:\"title\";s:25:\"Fashion &#8211; eCommerce\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/01/Commerce-Fashion.png\";s:12:\"tmpl_created\";i:1610902553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/fashion-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:808;s:11:\"trend_index\";i:745;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:368;a:19:{s:4:\"tmpl\";i:1059;s:2:\"id\";i:15373;s:5:\"title\";s:28:\"Dance Studio &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Pricing.jpg\";s:12:\"tmpl_created\";i:1603181678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:731;s:11:\"trend_index\";i:661;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:369;a:19:{s:4:\"tmpl\";i:1151;s:2:\"id\";i:17017;s:5:\"title\";s:28:\"Shoes Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Shoes-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610535361;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/shoes-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:55:\"[\"Discount\",\"Ecommerce\",\"Landing Pages\",\"Sale\",\"Shoes\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:803;s:11:\"trend_index\";i:642;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:370;a:19:{s:4:\"tmpl\";i:508;s:2:\"id\";i:5488;s:5:\"title\";s:7:\"About 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_8.png\";s:12:\"tmpl_created\";i:1520443524;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:307;s:11:\"trend_index\";i:169;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:371;a:19:{s:4:\"tmpl\";i:1060;s:2:\"id\";i:15384;s:5:\"title\";s:28:\"Dance Studio &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/10/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1603181738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:741;s:11:\"trend_index\";i:721;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:372;a:19:{s:4:\"tmpl\";i:556;s:2:\"id\";i:6122;s:5:\"title\";s:7:\"About 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2-1.png\";s:12:\"tmpl_created\";i:1520443661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:38;s:11:\"trend_index\";i:26;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:373;a:19:{s:4:\"tmpl\";i:1163;s:2:\"id\";i:17301;s:5:\"title\";s:53:\"Personal Chef &#8211; Thank You Page &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/TYP-Personal-Chef.jpg\";s:12:\"tmpl_created\";i:1610903622;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/personal-chef-thank-you-page-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:43:\"[\"Chef\",\"Food\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:823;s:11:\"trend_index\";i:754;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:374;a:19:{s:4:\"tmpl\";i:1042;s:2:\"id\";i:15158;s:5:\"title\";s:26:\"Psychologist &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/About.jpg\";s:12:\"tmpl_created\";i:1600157561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/psychologist-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:618;s:11:\"trend_index\";i:426;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:375;a:19:{s:4:\"tmpl\";i:1164;s:2:\"id\";i:17313;s:5:\"title\";s:60:\"Development Course  &#8211; Thank You Page &#8211; Education\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Dev-Course-TYP-.png\";s:12:\"tmpl_created\";i:1610903776;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/development-course-thank-you-page-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Education\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:834;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:376;a:19:{s:4:\"tmpl\";i:1045;s:2:\"id\";i:15197;s:5:\"title\";s:28:\"Psychologist &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1600160499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:666;s:11:\"trend_index\";i:558;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:377;a:19:{s:4:\"tmpl\";i:509;s:2:\"id\";i:5496;s:5:\"title\";s:7:\"About 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_8-1.png\";s:12:\"tmpl_created\";i:1520443526;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:523;s:11:\"trend_index\";i:453;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:378;a:19:{s:4:\"tmpl\";i:1041;s:2:\"id\";i:15142;s:5:\"title\";s:25:\"Psychologist &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Home.jpg\";s:12:\"tmpl_created\";i:1600156308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/psychologist-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:83;s:16:\"popularity_index\";i:464;s:11:\"trend_index\";i:297;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:379;a:19:{s:4:\"tmpl\";i:1044;s:2:\"id\";i:15188;s:5:\"title\";s:28:\"Psychologist &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/09/Pricing.jpg\";s:12:\"tmpl_created\";i:1600159731;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:732;s:11:\"trend_index\";i:537;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:380;a:19:{s:4:\"tmpl\";i:684;s:2:\"id\";i:8961;s:5:\"title\";s:9:\"archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.1.jpg\";s:12:\"tmpl_created\";i:1528639909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:79;s:11:\"trend_index\";i:15;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:381;a:19:{s:4:\"tmpl\";i:1043;s:2:\"id\";i:15167;s:5:\"title\";s:29:\"Psychologist &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/09/Services.jpg\";s:12:\"tmpl_created\";i:1600158206;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/psychologist-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:85;s:16:\"popularity_index\";i:606;s:11:\"trend_index\";i:379;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:382;a:19:{s:4:\"tmpl\";i:1036;s:2:\"id\";i:14932;s:5:\"title\";s:30:\"Flooring Company &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/About.png\";s:12:\"tmpl_created\";i:1597740110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/flooring-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:488;s:11:\"trend_index\";i:319;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:383;a:19:{s:4:\"tmpl\";i:685;s:2:\"id\";i:8969;s:5:\"title\";s:9:\"archive 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.2.jpg\";s:12:\"tmpl_created\";i:1528700014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:250;s:11:\"trend_index\";i:124;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:384;a:19:{s:4:\"tmpl\";i:1037;s:2:\"id\";i:14998;s:5:\"title\";s:32:\"Flooring Company &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/08/Contact-Us.png\";s:12:\"tmpl_created\";i:1597740222;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:87;s:16:\"popularity_index\";i:553;s:11:\"trend_index\";i:380;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:385;a:19:{s:4:\"tmpl\";i:1038;s:2:\"id\";i:14965;s:5:\"title\";s:32:\"Flooring Company &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/Gallery.png\";s:12:\"tmpl_created\";i:1597740353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:371;s:11:\"trend_index\";i:291;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:386;a:19:{s:4:\"tmpl\";i:686;s:2:\"id\";i:8973;s:5:\"title\";s:9:\"archive 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.3.jpg\";s:12:\"tmpl_created\";i:1528700205;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:176;s:11:\"trend_index\";i:54;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:387;a:19:{s:4:\"tmpl\";i:1282;s:2:\"id\";i:22417;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1647354987;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:89;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:388;a:19:{s:4:\"tmpl\";i:1040;s:2:\"id\";i:14947;s:5:\"title\";s:33:\"Flooring company &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/08/Services.png\";s:12:\"tmpl_created\";i:1597740551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/flooring-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:90;s:16:\"popularity_index\";i:538;s:11:\"trend_index\";i:392;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:389;a:19:{s:4:\"tmpl\";i:1039;s:2:\"id\";i:14901;s:5:\"title\";s:29:\"Flooring Company &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Home.png\";s:12:\"tmpl_created\";i:1597740474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/flooring-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:387;s:11:\"trend_index\";i:185;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:390;a:19:{s:4:\"tmpl\";i:687;s:2:\"id\";i:8977;s:5:\"title\";s:9:\"archive 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.4.jpg\";s:12:\"tmpl_created\";i:1528700326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:354;s:11:\"trend_index\";i:396;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:391;a:19:{s:4:\"tmpl\";i:1252;s:2:\"id\";i:22146;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1647177514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:92;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:392;a:19:{s:4:\"tmpl\";i:688;s:2:\"id\";i:8981;s:5:\"title\";s:9:\"archive 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.5.jpg\";s:12:\"tmpl_created\";i:1528700484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:333;s:11:\"trend_index\";i:195;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:393;a:19:{s:4:\"tmpl\";i:1021;s:2:\"id\";i:14737;s:5:\"title\";s:32:\"Luxury Real Estate &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/About.png\";s:12:\"tmpl_created\";i:1595313527;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/luxury-real-estate-about-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:150;s:11:\"trend_index\";i:447;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:394;a:19:{s:4:\"tmpl\";i:689;s:2:\"id\";i:8985;s:5:\"title\";s:9:\"archive 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.6.jpg\";s:12:\"tmpl_created\";i:1528700612;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:204;s:11:\"trend_index\";i:95;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:395;a:19:{s:4:\"tmpl\";i:1020;s:2:\"id\";i:14756;s:5:\"title\";s:34:\"Luxury Real Estate &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Contact-Us.png\";s:12:\"tmpl_created\";i:1595313519;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/luxury-real-estate-contact-us-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:610;s:11:\"trend_index\";i:569;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:396;a:19:{s:4:\"tmpl\";i:1019;s:2:\"id\";i:14716;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Home.png\";s:12:\"tmpl_created\";i:1595313512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:95;s:16:\"popularity_index\";i:394;s:11:\"trend_index\";i:165;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:397;a:19:{s:4:\"tmpl\";i:690;s:2:\"id\";i:8989;s:5:\"title\";s:9:\"archive 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.7.jpg\";s:12:\"tmpl_created\";i:1528701063;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:208;s:11:\"trend_index\";i:111;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:398;a:19:{s:4:\"tmpl\";i:1018;s:2:\"id\";i:14763;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; News\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/07/news-Archive.png\";s:12:\"tmpl_created\";i:1595313273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-news-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:404;s:11:\"trend_index\";i:167;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:399;a:19:{s:4:\"tmpl\";i:1283;s:2:\"id\";i:22423;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1647355154;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:97;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:400;a:19:{s:4:\"tmpl\";i:691;s:2:\"id\";i:8996;s:5:\"title\";s:9:\"archive 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.8.jpg\";s:12:\"tmpl_created\";i:1528701290;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:227;s:11:\"trend_index\";i:153;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:401;a:19:{s:4:\"tmpl\";i:1010;s:2:\"id\";i:13960;s:5:\"title\";s:32:\"Japanese restaurant &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/06/Home-Page.jpg\";s:12:\"tmpl_created\";i:1592289775;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/japanese-restaurant-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:537;s:11:\"trend_index\";i:287;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:402;a:19:{s:4:\"tmpl\";i:1284;s:2:\"id\";i:22428;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1647355339;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:99;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:403;a:19:{s:4:\"tmpl\";i:692;s:2:\"id\";i:9001;s:5:\"title\";s:9:\"archive 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.9.jpg\";s:12:\"tmpl_created\";i:1528701433;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:265;s:11:\"trend_index\";i:208;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:404;a:19:{s:4:\"tmpl\";i:1007;s:2:\"id\";i:13993;s:5:\"title\";s:45:\"Japanese restaurant &#8211; Chef&#8217;s Menu\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/06/Chef_s-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/japanese-restaurant-chefs-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:651;s:11:\"trend_index\";i:675;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:405;a:19:{s:4:\"tmpl\";i:1006;s:2:\"id\";i:14012;s:5:\"title\";s:36:\"Japanese restaurant &#8211; Bar Menu\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/06/Bar-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/japanese-restaurant-bar-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:101;s:16:\"popularity_index\";i:735;s:11:\"trend_index\";i:829;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:406;a:19:{s:4:\"tmpl\";i:1005;s:2:\"id\";i:13917;s:5:\"title\";s:33:\"Japanese restaurant &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/06/About-Page.jpg\";s:12:\"tmpl_created\";i:1592289629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/japanese-restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:102;s:16:\"popularity_index\";i:640;s:11:\"trend_index\";i:389;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:407;a:19:{s:4:\"tmpl\";i:997;s:2:\"id\";i:13528;s:5:\"title\";s:22:\"Barbershop &#8211; 404\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/05/404-Page.jpg\";s:12:\"tmpl_created\";i:1589893152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/barbershop-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:768;s:11:\"trend_index\";i:681;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:408;a:19:{s:4:\"tmpl\";i:1009;s:2:\"id\";i:13937;s:5:\"title\";s:35:\"Japanese restaurant &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1592289748;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/japanese-restaurant-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:648;s:11:\"trend_index\";i:551;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:409;a:19:{s:4:\"tmpl\";i:1008;s:2:\"id\";i:14030;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Events\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/06/Events-Page.jpg\";s:12:\"tmpl_created\";i:1592289713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/japanese-restaurant-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:104;s:16:\"popularity_index\";i:723;s:11:\"trend_index\";i:711;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:410;a:19:{s:4:\"tmpl\";i:998;s:2:\"id\";i:13518;s:5:\"title\";s:26:\"Barbershop &#8211; Archive\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Blog-Page.jpg\";s:12:\"tmpl_created\";i:1589893157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/barbershop-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:737;s:11:\"trend_index\";i:523;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:411;a:19:{s:4:\"tmpl\";i:1016;s:2:\"id\";i:13984;s:5:\"title\";s:40:\"Japanese restaurant &#8211; Reservations\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/reservations.jpg\";s:12:\"tmpl_created\";i:1592294757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/japanese-restaurant-reservations/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:715;s:11:\"trend_index\";i:727;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:412;a:19:{s:4:\"tmpl\";i:999;s:2:\"id\";i:13479;s:5:\"title\";s:23:\"Barbershop &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Home-Page.jpg\";s:12:\"tmpl_created\";i:1589893275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/barbershop-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:106;s:16:\"popularity_index\";i:683;s:11:\"trend_index\";i:832;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:413;a:19:{s:4:\"tmpl\";i:996;s:2:\"id\";i:13604;s:5:\"title\";s:25:\"Barbershop &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1589893147;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Footer\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:555;s:11:\"trend_index\";i:267;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:414;a:19:{s:4:\"tmpl\";i:1000;s:2:\"id\";i:13503;s:5:\"title\";s:24:\"Barbershop &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/05/About-Page.jpg\";s:12:\"tmpl_created\";i:1589893289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/barbershop-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:744;s:11:\"trend_index\";i:739;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:415;a:19:{s:4:\"tmpl\";i:995;s:2:\"id\";i:13612;s:5:\"title\";s:25:\"Barbershop &#8211; Header\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/06/barber-shop-header.jpg\";s:12:\"tmpl_created\";i:1589893142;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Header\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:343;s:11:\"trend_index\";i:137;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:416;a:19:{s:4:\"tmpl\";i:1001;s:2:\"id\";i:13548;s:5:\"title\";s:27:\"Barbershop &#8211; Services\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/05/Services-Page.jpg\";s:12:\"tmpl_created\";i:1589893298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/barbershop-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:761;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:417;a:19:{s:4:\"tmpl\";i:1002;s:2:\"id\";i:13560;s:5:\"title\";s:26:\"Barbershop &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1589893307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:109;s:16:\"popularity_index\";i:756;s:11:\"trend_index\";i:822;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:418;a:19:{s:4:\"tmpl\";i:1003;s:2:\"id\";i:13587;s:5:\"title\";s:26:\"Barbershop &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/05/Contact-Us-Page.jpg\";s:12:\"tmpl_created\";i:1589893315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:110;s:16:\"popularity_index\";i:753;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:419;a:19:{s:4:\"tmpl\";i:982;s:2:\"id\";i:13307;s:5:\"title\";s:26:\"Online Course &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.jpg\";s:12:\"tmpl_created\";i:1587474541;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/online-course-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:230;s:11:\"trend_index\";i:125;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:420;a:19:{s:4:\"tmpl\";i:994;s:2:\"id\";i:13621;s:5:\"title\";s:30:\"Barbershop &#8211; Single Post\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/05/Single-Page.jpg\";s:12:\"tmpl_created\";i:1589893137;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/barbershop-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:736;s:11:\"trend_index\";i:580;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:421;a:19:{s:4:\"tmpl\";i:1131;s:2:\"id\";i:16527;s:5:\"title\";s:24:\"Beauty Salon &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/12/404.jpg\";s:12:\"tmpl_created\";i:1608622517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/beauty-salon-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:29:\"[\"404\",\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:742;s:11:\"trend_index\";i:563;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:422;a:19:{s:4:\"tmpl\";i:983;s:2:\"id\";i:13328;s:5:\"title\";s:27:\"Online Course &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.jpg\";s:12:\"tmpl_created\";i:1587474558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/online-course-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:508;s:11:\"trend_index\";i:429;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:423;a:19:{s:4:\"tmpl\";i:984;s:2:\"id\";i:13338;s:5:\"title\";s:33:\"Online Course &#8211; Course Page\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Course-Page.png\";s:12:\"tmpl_created\";i:1587474574;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/online-course-course-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:113;s:16:\"popularity_index\";i:337;s:11:\"trend_index\";i:310;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:424;a:19:{s:4:\"tmpl\";i:985;s:2:\"id\";i:13352;s:5:\"title\";s:29:\"Online Course &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1587474591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/online-course-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:114;s:16:\"popularity_index\";i:565;s:11:\"trend_index\";i:533;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:425;a:19:{s:4:\"tmpl\";i:1130;s:2:\"id\";i:16535;s:5:\"title\";s:27:\"Beauty Salon &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Footer.jpg\";s:12:\"tmpl_created\";i:1608622498;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Footer\",\"Hair\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:524;s:11:\"trend_index\";i:126;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:426;a:19:{s:4:\"tmpl\";i:971;s:2:\"id\";i:13187;s:5:\"title\";s:33:\"Interior Design &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.png\";s:12:\"tmpl_created\";i:1586148661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/interior-design-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:331;s:11:\"trend_index\";i:264;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:427;a:19:{s:4:\"tmpl\";i:1453;s:2:\"id\";i:16346;s:5:\"title\";s:33:\"Your New Home &#8211; Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp3-l.png\";s:12:\"tmpl_created\";i:1660205402;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/your-new-home-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:31:\"[\"Landing Pages\",\"Real estate\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:428;a:19:{s:4:\"tmpl\";i:972;s:2:\"id\";i:13199;s:5:\"title\";s:29:\"Interior Design &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.png\";s:12:\"tmpl_created\";i:1586148666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/interior-design-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:316;s:11:\"trend_index\";i:334;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:429;a:19:{s:4:\"tmpl\";i:1129;s:2:\"id\";i:16545;s:5:\"title\";s:27:\"Beauty Salon &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Header.jpg\";s:12:\"tmpl_created\";i:1608622495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Hair\",\"Header\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:356;s:11:\"trend_index\";i:49;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:430;a:19:{s:4:\"tmpl\";i:973;s:2:\"id\";i:13214;s:5:\"title\";s:32:\"Interior Design &#8211; Projects\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/portfolio_s.jpg\";s:12:\"tmpl_created\";i:1586148672;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/interior-design-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:367;s:11:\"trend_index\";i:323;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:431;a:19:{s:4:\"tmpl\";i:641;s:2:\"id\";i:7686;s:5:\"title\";s:12:\"Blog Posts 1\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2018/03/blog_posts.png\";s:12:\"tmpl_created\";i:1521558047;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/blog-posts-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:26:\"[\"Archive\",\"Blog\",\"posts\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:131;s:11:\"trend_index\";i:152;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:432;a:19:{s:4:\"tmpl\";i:974;s:2:\"id\";i:13229;s:5:\"title\";s:31:\"Interior Design &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.png\";s:12:\"tmpl_created\";i:1586148677;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/interior-design-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:395;s:11:\"trend_index\";i:337;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:433;a:19:{s:4:\"tmpl\";i:959;s:2:\"id\";i:12948;s:5:\"title\";s:29:\"Photography &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Home_s.png\";s:12:\"tmpl_created\";i:1582093442;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photography-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:119;s:16:\"popularity_index\";i:241;s:11:\"trend_index\";i:201;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:434;a:19:{s:4:\"tmpl\";i:960;s:2:\"id\";i:12798;s:5:\"title\";s:25:\"Photography &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/About_s.png\";s:12:\"tmpl_created\";i:1582093446;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/photography-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:499;s:11:\"trend_index\";i:374;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:435;a:19:{s:4:\"tmpl\";i:484;s:2:\"id\";i:5283;s:5:\"title\";s:9:\"Clients 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_2.png\";s:12:\"tmpl_created\";i:1520443478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:294;s:11:\"trend_index\";i:202;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:436;a:19:{s:4:\"tmpl\";i:961;s:2:\"id\";i:12868;s:5:\"title\";s:27:\"Photography &#8211; Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Contact_s.png\";s:12:\"tmpl_created\";i:1582093450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:121;s:16:\"popularity_index\";i:531;s:11:\"trend_index\";i:350;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:437;a:19:{s:4:\"tmpl\";i:962;s:2:\"id\";i:13056;s:5:\"title\";s:28:\"Photography &#8211; Wildlife\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/02/Wildlife_s.png\";s:12:\"tmpl_created\";i:1582093454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photography-wildlife/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:579;s:11:\"trend_index\";i:656;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:438;a:19:{s:4:\"tmpl\";i:487;s:2:\"id\";i:5306;s:5:\"title\";s:10:\"Clients 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_3.png\";s:12:\"tmpl_created\";i:1520443484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:657;s:11:\"trend_index\";i:581;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:439;a:19:{s:4:\"tmpl\";i:963;s:2:\"id\";i:12922;s:5:\"title\";s:37:\"Photography &#8211; Glowing Jellyfish\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Jellyfish_S.png\";s:12:\"tmpl_created\";i:1582093457;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/photography-glowing-jellyfish/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:123;s:16:\"popularity_index\";i:628;s:11:\"trend_index\";i:532;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:440;a:19:{s:4:\"tmpl\";i:964;s:2:\"id\";i:12875;s:5:\"title\";s:36:\"Photography &#8211; Fluttering Birds\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Birds_s.png\";s:12:\"tmpl_created\";i:1582093461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-fluttering-birds/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:124;s:16:\"popularity_index\";i:693;s:11:\"trend_index\";i:766;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:441;a:19:{s:4:\"tmpl\";i:965;s:2:\"id\";i:12962;s:5:\"title\";s:26:\"Photography &#8211; Nature\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Nature_s.png\";s:12:\"tmpl_created\";i:1582093465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/photography-nature/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:592;s:11:\"trend_index\";i:778;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:442;a:19:{s:4:\"tmpl\";i:491;s:2:\"id\";i:5341;s:5:\"title\";s:10:\"Clients 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_4.png\";s:12:\"tmpl_created\";i:1520443491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:603;s:11:\"trend_index\";i:633;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:443;a:19:{s:4:\"tmpl\";i:966;s:2:\"id\";i:12833;s:5:\"title\";s:38:\"Photography &#8211; Blossoming Flowers\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Flowers_s.png\";s:12:\"tmpl_created\";i:1582093469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/photography-blossoming-flowers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:597;s:11:\"trend_index\";i:750;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:444;a:19:{s:4:\"tmpl\";i:488;s:2:\"id\";i:5315;s:5:\"title\";s:10:\"Clients 12\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4-1.png\";s:12:\"tmpl_created\";i:1520443486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:485;s:11:\"trend_index\";i:263;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:445;a:19:{s:4:\"tmpl\";i:967;s:2:\"id\";i:12898;s:5:\"title\";s:36:\"Photography &#8211; Forest Mushrooms\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Mushrooms_s.png\";s:12:\"tmpl_created\";i:1582093473;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-forest-mushrooms/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:127;s:16:\"popularity_index\";i:667;s:11:\"trend_index\";i:649;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:446;a:19:{s:4:\"tmpl\";i:968;s:2:\"id\";i:12994;s:5:\"title\";s:24:\"Photography &#8211; Pets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Pets_s.png\";s:12:\"tmpl_created\";i:1582093477;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/photography-pets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:128;s:16:\"popularity_index\";i:612;s:11:\"trend_index\";i:508;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:447;a:19:{s:4:\"tmpl\";i:969;s:2:\"id\";i:12805;s:5:\"title\";s:37:\"Photography &#8211; B&amp;W Portraits\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Black_s.png\";s:12:\"tmpl_created\";i:1582093481;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/photography-bw-portraits/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:695;s:11:\"trend_index\";i:735;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:448;a:19:{s:4:\"tmpl\";i:490;s:2:\"id\";i:5333;s:5:\"title\";s:10:\"Clients 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_6.png\";s:12:\"tmpl_created\";i:1520443489;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:234;s:11:\"trend_index\";i:128;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:449;a:19:{s:4:\"tmpl\";i:970;s:2:\"id\";i:13031;s:5:\"title\";s:33:\"Photography &#8211; Vivid Parrots\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Parrots_s.png\";s:12:\"tmpl_created\";i:1582093484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/photography-vivid-parrots/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:660;s:11:\"trend_index\";i:643;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:450;a:19:{s:4:\"tmpl\";i:496;s:2:\"id\";i:5389;s:5:\"title\";s:10:\"Clients 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_9.png\";s:12:\"tmpl_created\";i:1520443501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:407;s:11:\"trend_index\";i:307;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:451;a:19:{s:4:\"tmpl\";i:940;s:2:\"id\";i:12621;s:5:\"title\";s:26:\"Magazine &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/01/Home_s.png\";s:12:\"tmpl_created\";i:1579060604;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/magazine-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:131;s:16:\"popularity_index\";i:167;s:11:\"trend_index\";i:121;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:452;a:19:{s:4:\"tmpl\";i:936;s:2:\"id\";i:12352;s:5:\"title\";s:24:\"Travel &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/12/Home_s.png\";s:12:\"tmpl_created\";i:1575960464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:291;s:11:\"trend_index\";i:194;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:453;a:19:{s:4:\"tmpl\";i:486;s:2:\"id\";i:5298;s:5:\"title\";s:10:\"Clients 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_3.png\";s:12:\"tmpl_created\";i:1520443482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:465;s:11:\"trend_index\";i:520;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:454;a:19:{s:4:\"tmpl\";i:932;s:2:\"id\";i:12400;s:5:\"title\";s:20:\"Travel &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/12/About.png\";s:12:\"tmpl_created\";i:1575960441;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:133;s:16:\"popularity_index\";i:444;s:11:\"trend_index\";i:445;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:455;a:19:{s:4:\"tmpl\";i:938;s:2:\"id\";i:12479;s:5:\"title\";s:20:\"Travel &#8211; Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Tours_s.png\";s:12:\"tmpl_created\";i:1575960474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:539;s:11:\"trend_index\";i:726;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:456;a:19:{s:4:\"tmpl\";i:495;s:2:\"id\";i:5381;s:5:\"title\";s:10:\"Clients 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_9.png\";s:12:\"tmpl_created\";i:1520443499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:198;s:11:\"trend_index\";i:168;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:457;a:19:{s:4:\"tmpl\";i:937;s:2:\"id\";i:12466;s:5:\"title\";s:27:\"Travel &#8211; Testimonials\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/Testimonials.png\";s:12:\"tmpl_created\";i:1575960469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-testimonials/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:135;s:16:\"popularity_index\";i:527;s:11:\"trend_index\";i:481;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:458;a:19:{s:4:\"tmpl\";i:935;s:2:\"id\";i:12443;s:5:\"title\";s:22:\"Travel &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Gallery.png\";s:12:\"tmpl_created\";i:1575960459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/travel-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:136;s:16:\"popularity_index\";i:467;s:11:\"trend_index\";i:501;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:459;a:19:{s:4:\"tmpl\";i:934;s:2:\"id\";i:12431;s:5:\"title\";s:18:\"Travel &#8211; FAQ\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/FAQ.png\";s:12:\"tmpl_created\";i:1575960453;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-faq/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:501;s:11:\"trend_index\";i:387;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:460;a:19:{s:4:\"tmpl\";i:493;s:2:\"id\";i:5357;s:5:\"title\";s:9:\"Clients 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_7.png\";s:12:\"tmpl_created\";i:1520443495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:341;s:11:\"trend_index\";i:232;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:461;a:19:{s:4:\"tmpl\";i:933;s:2:\"id\";i:12421;s:5:\"title\";s:27:\"Travel &#8211; Contact Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/12/Contsct-Us.png\";s:12:\"tmpl_created\";i:1575960445;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-contact-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:138;s:16:\"popularity_index\";i:571;s:11:\"trend_index\";i:536;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:462;a:19:{s:4:\"tmpl\";i:892;s:2:\"id\";i:11763;s:5:\"title\";s:27:\"Portfolio &#8211; Home Page\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Homepage_small.png\";s:12:\"tmpl_created\";i:1569428959;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/portfolio-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:280;s:11:\"trend_index\";i:241;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:463;a:19:{s:4:\"tmpl\";i:485;s:2:\"id\";i:5290;s:5:\"title\";s:9:\"Clients 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_2.png\";s:12:\"tmpl_created\";i:1520443480;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:545;s:11:\"trend_index\";i:502;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:464;a:19:{s:4:\"tmpl\";i:891;s:2:\"id\";i:11781;s:5:\"title\";s:23:\"Portfolio &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/About_small.png\";s:12:\"tmpl_created\";i:1569428955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/portfolio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:349;s:11:\"trend_index\";i:290;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:465;a:19:{s:4:\"tmpl\";i:482;s:2:\"id\";i:5266;s:5:\"title\";s:9:\"Clients 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_1.png\";s:12:\"tmpl_created\";i:1520443474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:95;s:11:\"trend_index\";i:134;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:466;a:19:{s:4:\"tmpl\";i:890;s:2:\"id\";i:11793;s:5:\"title\";s:26:\"Portfolio &#8211; Projects\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Projects_small.png\";s:12:\"tmpl_created\";i:1569428951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/portfolio-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:141;s:16:\"popularity_index\";i:448;s:11:\"trend_index\";i:467;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:467;a:19:{s:4:\"tmpl\";i:889;s:2:\"id\";i:11800;s:5:\"title\";s:25:\"Portfolio &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/09/Contact_small.png\";s:12:\"tmpl_created\";i:1569428946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/portfolio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:142;s:16:\"popularity_index\";i:494;s:11:\"trend_index\";i:449;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:468;a:19:{s:4:\"tmpl\";i:866;s:2:\"id\";i:11163;s:5:\"title\";s:32:\"Digital Agency &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/07/Home_small.png\";s:12:\"tmpl_created\";i:1564641877;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/digital-agency-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:57;s:11:\"trend_index\";i:32;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:469;a:19:{s:4:\"tmpl\";i:483;s:2:\"id\";i:5275;s:5:\"title\";s:9:\"Clients 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_1.png\";s:12:\"tmpl_created\";i:1520443476;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:334;s:11:\"trend_index\";i:321;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:470;a:19:{s:4:\"tmpl\";i:492;s:2:\"id\";i:5349;s:5:\"title\";s:9:\"Clients 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_7.png\";s:12:\"tmpl_created\";i:1520443493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:144;s:16:\"popularity_index\";i:233;s:11:\"trend_index\";i:92;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:471;a:19:{s:4:\"tmpl\";i:916;s:2:\"id\";i:12143;s:5:\"title\";s:22:\"Law Firm &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/about.png\";s:12:\"tmpl_created\";i:1572847069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/law-firm-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:350;s:11:\"trend_index\";i:344;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:472;a:19:{s:4:\"tmpl\";i:489;s:2:\"id\";i:5324;s:5:\"title\";s:9:\"Clients 8\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5-1.png\";s:12:\"tmpl_created\";i:1520443488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:526;s:11:\"trend_index\";i:381;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:473;a:19:{s:4:\"tmpl\";i:920;s:2:\"id\";i:12091;s:5:\"title\";s:21:\"Law Firm &#8211; Team\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/team.png\";s:12:\"tmpl_created\";i:1572847113;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/law-firm-team/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:147;s:16:\"popularity_index\";i:318;s:11:\"trend_index\";i:314;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:474;a:19:{s:4:\"tmpl\";i:869;s:2:\"id\";i:11129;s:5:\"title\";s:28:\"Digital Agency &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/About_small.png\";s:12:\"tmpl_created\";i:1564641889;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:148;s:16:\"popularity_index\";i:182;s:11:\"trend_index\";i:166;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:475;a:19:{s:4:\"tmpl\";i:880;s:2:\"id\";i:11572;s:5:\"title\";s:19:\"Gym &#8211; Trainer\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Trainer_Small.png\";s:12:\"tmpl_created\";i:1567392934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:521;s:11:\"trend_index\";i:590;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:476;a:19:{s:4:\"tmpl\";i:494;s:2:\"id\";i:5368;s:5:\"title\";s:9:\"Clients 9\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_8.png\";s:12:\"tmpl_created\";i:1520443497;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:253;s:11:\"trend_index\";i:273;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:477;a:19:{s:4:\"tmpl\";i:917;s:2:\"id\";i:12133;s:5:\"title\";s:24:\"Law Firm &#8211; Careers\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/11/careers.png\";s:12:\"tmpl_created\";i:1572847078;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-careers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:583;s:11:\"trend_index\";i:640;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:478;a:19:{s:4:\"tmpl\";i:425;s:2:\"id\";i:4436;s:5:\"title\";s:11:\"Contact  16\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_2.png\";s:12:\"tmpl_created\";i:1520443293;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:161;s:11:\"trend_index\";i:68;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:479;a:19:{s:4:\"tmpl\";i:915;s:2:\"id\";i:12155;s:5:\"title\";s:26:\"Law Firm &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/home.png\";s:12:\"tmpl_created\";i:1572847054;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/law-firm-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:193;s:11:\"trend_index\";i:110;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:480;a:19:{s:4:\"tmpl\";i:423;s:2:\"id\";i:4420;s:5:\"title\";s:9:\"Contact 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_1.png\";s:12:\"tmpl_created\";i:1520443289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:196;s:11:\"trend_index\";i:127;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:481;a:19:{s:4:\"tmpl\";i:921;s:2:\"id\";i:12080;s:5:\"title\";s:24:\"Law Firm &#8211; Partner\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/11/partner-1.png\";s:12:\"tmpl_created\";i:1572847120;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-partner/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:153;s:16:\"popularity_index\";i:556;s:11:\"trend_index\";i:471;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:482;a:19:{s:4:\"tmpl\";i:534;s:2:\"id\";i:5836;s:5:\"title\";s:10:\"Contact 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:114;s:11:\"trend_index\";i:76;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:483;a:19:{s:4:\"tmpl\";i:865;s:2:\"id\";i:11074;s:5:\"title\";s:31:\"Digital Agency &#8211; Services\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Services_small.png\";s:12:\"tmpl_created\";i:1564641872;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/digital-agency-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:163;s:11:\"trend_index\";i:170;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:484;a:19:{s:4:\"tmpl\";i:879;s:2:\"id\";i:11506;s:5:\"title\";s:19:\"Gym &#8211; Classes\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Classes_Small.png\";s:12:\"tmpl_created\";i:1567392930;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:155;s:16:\"popularity_index\";i:514;s:11:\"trend_index\";i:554;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:485;a:19:{s:4:\"tmpl\";i:535;s:2:\"id\";i:5844;s:5:\"title\";s:10:\"Contact 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_2.png\";s:12:\"tmpl_created\";i:1520443599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:156;s:16:\"popularity_index\";i:289;s:11:\"trend_index\";i:313;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:486;a:19:{s:4:\"tmpl\";i:922;s:2:\"id\";i:12044;s:5:\"title\";s:24:\"Law Firm &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/contsct_us.png\";s:12:\"tmpl_created\";i:1572847130;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:437;s:11:\"trend_index\";i:304;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:487;a:19:{s:4:\"tmpl\";i:430;s:2:\"id\";i:4476;s:5:\"title\";s:10:\"Contact 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_4.png\";s:12:\"tmpl_created\";i:1520443303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:229;s:11:\"trend_index\";i:187;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:488;a:19:{s:4:\"tmpl\";i:918;s:2:\"id\";i:12124;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/11/services.png\";s:12:\"tmpl_created\";i:1572847096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/law-firm-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:158;s:16:\"popularity_index\";i:433;s:11:\"trend_index\";i:296;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:489;a:19:{s:4:\"tmpl\";i:864;s:2:\"id\";i:11056;s:5:\"title\";s:35:\"Digital Agency &#8211; Social Media\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/07/Social-Media_small.png\";s:12:\"tmpl_created\";i:1564641867;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/digital-agency-social-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:297;s:11:\"trend_index\";i:361;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:490;a:19:{s:4:\"tmpl\";i:476;s:2:\"id\";i:5214;s:5:\"title\";s:10:\"Contact 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_2.png\";s:12:\"tmpl_created\";i:1520443462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/contact-16-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:194;s:11:\"trend_index\";i:106;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:491;a:19:{s:4:\"tmpl\";i:878;s:2:\"id\";i:11536;s:5:\"title\";s:19:\"Gym &#8211; Fitness\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Fitness_Small.png\";s:12:\"tmpl_created\";i:1567392927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:160;s:16:\"popularity_index\";i:621;s:11:\"trend_index\";i:674;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:492;a:19:{s:4:\"tmpl\";i:882;s:2:\"id\";i:11545;s:5:\"title\";s:21:\"Gym &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Home_Small.png\";s:12:\"tmpl_created\";i:1567392943;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/gym-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:161;s:16:\"popularity_index\";i:310;s:11:\"trend_index\";i:229;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:493;a:19:{s:4:\"tmpl\";i:919;s:2:\"id\";i:12116;s:5:\"title\";s:24:\"Law Firm &#8211; Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/family_law.png\";s:12:\"tmpl_created\";i:1572847105;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:489;s:11:\"trend_index\";i:339;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:494;a:19:{s:4:\"tmpl\";i:478;s:2:\"id\";i:5230;s:5:\"title\";s:10:\"Contact 17\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_3.png\";s:12:\"tmpl_created\";i:1520443466;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:339;s:11:\"trend_index\";i:335;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:495;a:19:{s:4:\"tmpl\";i:868;s:2:\"id\";i:11094;s:5:\"title\";s:30:\"Digital Agency &#8211; Clients\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/07/Clients_small.png\";s:12:\"tmpl_created\";i:1564641885;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/digital-agency-clients/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:424;s:11:\"trend_index\";i:424;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:496;a:19:{s:4:\"tmpl\";i:481;s:2:\"id\";i:5257;s:5:\"title\";s:10:\"Contact 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5.png\";s:12:\"tmpl_created\";i:1520443472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:438;s:11:\"trend_index\";i:490;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:497;a:19:{s:4:\"tmpl\";i:881;s:2:\"id\";i:11478;s:5:\"title\";s:17:\"Gym &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/About_Small.png\";s:12:\"tmpl_created\";i:1567392939;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/gym-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:164;s:16:\"popularity_index\";i:481;s:11:\"trend_index\";i:579;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:498;a:19:{s:4:\"tmpl\";i:532;s:2:\"id\";i:5820;s:5:\"title\";s:9:\"Contact 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:183;s:11:\"trend_index\";i:357;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:499;a:19:{s:4:\"tmpl\";i:877;s:2:\"id\";i:11563;s:5:\"title\";s:19:\"Gym &#8211; Pricing\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Pricing_Small.png\";s:12:\"tmpl_created\";i:1567392923;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:577;s:11:\"trend_index\";i:736;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:500;a:19:{s:4:\"tmpl\";i:422;s:2:\"id\";i:4411;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_1.png\";s:12:\"tmpl_created\";i:1520443287;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:167;s:16:\"popularity_index\";i:113;s:11:\"trend_index\";i:217;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:501;a:19:{s:4:\"tmpl\";i:867;s:2:\"id\";i:11034;s:5:\"title\";s:30:\"Digital Agency &#8211; Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/07/Contsct-Us_small.png\";s:12:\"tmpl_created\";i:1564641881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/contact-digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:168;s:16:\"popularity_index\";i:191;s:11:\"trend_index\";i:156;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:502;a:19:{s:4:\"tmpl\";i:533;s:2:\"id\";i:5828;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443595;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:170;s:16:\"popularity_index\";i:312;s:11:\"trend_index\";i:495;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:503;a:19:{s:4:\"tmpl\";i:876;s:2:\"id\";i:11528;s:5:\"title\";s:19:\"Gym &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Contact_Small.png\";s:12:\"tmpl_created\";i:1567392917;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:505;s:11:\"trend_index\";i:624;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:504;a:19:{s:4:\"tmpl\";i:424;s:2:\"id\";i:4428;s:5:\"title\";s:9:\"Contact 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_2.png\";s:12:\"tmpl_created\";i:1520443291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:118;s:11:\"trend_index\";i:131;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:505;a:19:{s:4:\"tmpl\";i:426;s:2:\"id\";i:4444;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443295;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:174;s:16:\"popularity_index\";i:84;s:11:\"trend_index\";i:93;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:506;a:19:{s:4:\"tmpl\";i:432;s:2:\"id\";i:4492;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_3.png\";s:12:\"tmpl_created\";i:1520443307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-5-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:176;s:16:\"popularity_index\";i:37;s:11:\"trend_index\";i:31;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:507;a:19:{s:4:\"tmpl\";i:427;s:2:\"id\";i:4452;s:5:\"title\";s:9:\"Contact 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:178;s:16:\"popularity_index\";i:139;s:11:\"trend_index\";i:150;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:508;a:19:{s:4:\"tmpl\";i:429;s:2:\"id\";i:4468;s:5:\"title\";s:9:\"Contact 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_3.png\";s:12:\"tmpl_created\";i:1520443301;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:179;s:16:\"popularity_index\";i:127;s:11:\"trend_index\";i:72;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:509;a:19:{s:4:\"tmpl\";i:431;s:2:\"id\";i:4484;s:5:\"title\";s:9:\"Contact 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_3.png\";s:12:\"tmpl_created\";i:1520443305;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:182;s:16:\"popularity_index\";i:328;s:11:\"trend_index\";i:260;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:510;a:19:{s:4:\"tmpl\";i:428;s:2:\"id\";i:4460;s:5:\"title\";s:9:\"Contact 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:184;s:16:\"popularity_index\";i:99;s:11:\"trend_index\";i:80;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:511;a:19:{s:4:\"tmpl\";i:613;s:2:\"id\";i:5558;s:5:\"title\";s:5:\"CTA 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_2.png\";s:12:\"tmpl_created\";i:1520520684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:185;s:16:\"popularity_index\";i:129;s:11:\"trend_index\";i:69;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:512;a:19:{s:4:\"tmpl\";i:634;s:2:\"id\";i:5939;s:5:\"title\";s:6:\"CTA 10\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_13-1.png\";s:12:\"tmpl_created\";i:1520520760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:187;s:16:\"popularity_index\";i:190;s:11:\"trend_index\";i:118;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:513;a:19:{s:4:\"tmpl\";i:633;s:2:\"id\";i:5930;s:5:\"title\";s:6:\"CTA 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_15.png\";s:12:\"tmpl_created\";i:1520520758;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:190;s:16:\"popularity_index\";i:76;s:11:\"trend_index\";i:84;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:514;a:19:{s:4:\"tmpl\";i:632;s:2:\"id\";i:5921;s:5:\"title\";s:6:\"CTA 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_14.png\";s:12:\"tmpl_created\";i:1520520757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:192;s:16:\"popularity_index\";i:278;s:11:\"trend_index\";i:234;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:515;a:19:{s:4:\"tmpl\";i:618;s:2:\"id\";i:5607;s:5:\"title\";s:6:\"CTA 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_5.png\";s:12:\"tmpl_created\";i:1520520695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:194;s:16:\"popularity_index\";i:42;s:11:\"trend_index\";i:11;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:516;a:19:{s:4:\"tmpl\";i:574;s:2:\"id\";i:6017;s:5:\"title\";s:6:\"CTA 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_14.png\";s:12:\"tmpl_created\";i:1520520331;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:196;s:16:\"popularity_index\";i:152;s:11:\"trend_index\";i:122;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:517;a:19:{s:4:\"tmpl\";i:628;s:2:\"id\";i:5885;s:5:\"title\";s:6:\"CTA 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_11.png\";s:12:\"tmpl_created\";i:1520520751;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:197;s:16:\"popularity_index\";i:274;s:11:\"trend_index\";i:256;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:518;a:19:{s:4:\"tmpl\";i:627;s:2:\"id\";i:5877;s:5:\"title\";s:6:\"CTA 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_10.png\";s:12:\"tmpl_created\";i:1520520749;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:200;s:16:\"popularity_index\";i:564;s:11:\"trend_index\";i:677;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:519;a:19:{s:4:\"tmpl\";i:625;s:2:\"id\";i:5860;s:5:\"title\";s:6:\"CTA 17\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_9.png\";s:12:\"tmpl_created\";i:1520520746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:201;s:16:\"popularity_index\";i:120;s:11:\"trend_index\";i:63;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:520;a:19:{s:4:\"tmpl\";i:626;s:2:\"id\";i:5869;s:5:\"title\";s:6:\"CTA 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_10.png\";s:12:\"tmpl_created\";i:1520520747;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:204;s:16:\"popularity_index\";i:345;s:11:\"trend_index\";i:486;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:521;a:19:{s:4:\"tmpl\";i:611;s:2:\"id\";i:5542;s:5:\"title\";s:6:\"CTA 19\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_1.png\";s:12:\"tmpl_created\";i:1520520681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:205;s:16:\"popularity_index\";i:169;s:11:\"trend_index\";i:270;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:522;a:19:{s:4:\"tmpl\";i:614;s:2:\"id\";i:5567;s:5:\"title\";s:5:\"CTA 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_2.png\";s:12:\"tmpl_created\";i:1520520685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:207;s:16:\"popularity_index\";i:143;s:11:\"trend_index\";i:225;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:523;a:19:{s:4:\"tmpl\";i:629;s:2:\"id\";i:5893;s:5:\"title\";s:6:\"CTA 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_12.png\";s:12:\"tmpl_created\";i:1520520752;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:210;s:16:\"popularity_index\";i:259;s:11:\"trend_index\";i:457;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:524;a:19:{s:4:\"tmpl\";i:619;s:2:\"id\";i:5634;s:5:\"title\";s:6:\"CTA 24\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_6.png\";s:12:\"tmpl_created\";i:1520520699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:212;s:16:\"popularity_index\";i:188;s:11:\"trend_index\";i:255;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:525;a:19:{s:4:\"tmpl\";i:620;s:2:\"id\";i:5642;s:5:\"title\";s:6:\"CTA 25\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_6.png\";s:12:\"tmpl_created\";i:1520520701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:214;s:16:\"popularity_index\";i:226;s:11:\"trend_index\";i:262;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:526;a:19:{s:4:\"tmpl\";i:615;s:2:\"id\";i:5583;s:5:\"title\";s:6:\"CTA 26\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_3.png\";s:12:\"tmpl_created\";i:1520520689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:216;s:16:\"popularity_index\";i:117;s:11:\"trend_index\";i:117;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:527;a:19:{s:4:\"tmpl\";i:630;s:2:\"id\";i:5904;s:5:\"title\";s:6:\"CTA 27\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_13.png\";s:12:\"tmpl_created\";i:1520520754;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:217;s:16:\"popularity_index\";i:528;s:11:\"trend_index\";i:517;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:528;a:19:{s:4:\"tmpl\";i:631;s:2:\"id\";i:5912;s:5:\"title\";s:6:\"CTA 28\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_11.png\";s:12:\"tmpl_created\";i:1520520755;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:219;s:16:\"popularity_index\";i:665;s:11:\"trend_index\";i:702;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:529;a:19:{s:4:\"tmpl\";i:473;s:2:\"id\";i:5189;s:5:\"title\";s:6:\"CTA 29\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_1.png\";s:12:\"tmpl_created\";i:1520443456;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:221;s:16:\"popularity_index\";i:472;s:11:\"trend_index\";i:631;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:530;a:19:{s:4:\"tmpl\";i:623;s:2:\"id\";i:5667;s:5:\"title\";s:5:\"CTA 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_8.png\";s:12:\"tmpl_created\";i:1520520705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:222;s:16:\"popularity_index\";i:171;s:11:\"trend_index\";i:250;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:531;a:19:{s:4:\"tmpl\";i:474;s:2:\"id\";i:5198;s:5:\"title\";s:6:\"CTA 30\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_1.png\";s:12:\"tmpl_created\";i:1520443458;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:225;s:16:\"popularity_index\";i:572;s:11:\"trend_index\";i:511;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:532;a:19:{s:4:\"tmpl\";i:475;s:2:\"id\";i:5206;s:5:\"title\";s:6:\"CTA 31\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_2.png\";s:12:\"tmpl_created\";i:1520443459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:226;s:16:\"popularity_index\";i:593;s:11:\"trend_index\";i:611;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:533;a:19:{s:4:\"tmpl\";i:480;s:2:\"id\";i:5249;s:5:\"title\";s:6:\"CTA 32\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_4.png\";s:12:\"tmpl_created\";i:1520443470;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-32/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:228;s:16:\"popularity_index\";i:512;s:11:\"trend_index\";i:409;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:534;a:19:{s:4:\"tmpl\";i:612;s:2:\"id\";i:5550;s:5:\"title\";s:6:\"CTA 33\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_1.png\";s:12:\"tmpl_created\";i:1520520682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-33/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:231;s:16:\"popularity_index\";i:260;s:11:\"trend_index\";i:562;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:535;a:19:{s:4:\"tmpl\";i:536;s:2:\"id\";i:5852;s:5:\"title\";s:6:\"CTA 34\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2018/03/form_1.png\";s:12:\"tmpl_created\";i:1520443600;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-34/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:232;s:16:\"popularity_index\";i:563;s:11:\"trend_index\";i:828;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:536;a:19:{s:4:\"tmpl\";i:624;s:2:\"id\";i:5675;s:5:\"title\";s:5:\"CTA 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_8.png\";s:12:\"tmpl_created\";i:1520520707;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:235;s:16:\"popularity_index\";i:391;s:11:\"trend_index\";i:484;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:537;a:19:{s:4:\"tmpl\";i:616;s:2:\"id\";i:5591;s:5:\"title\";s:5:\"CTA 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_4.png\";s:12:\"tmpl_created\";i:1520520691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:237;s:16:\"popularity_index\";i:133;s:11:\"trend_index\";i:130;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:538;a:19:{s:4:\"tmpl\";i:617;s:2:\"id\";i:5599;s:5:\"title\";s:5:\"CTA 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_4.png\";s:12:\"tmpl_created\";i:1520520693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:239;s:16:\"popularity_index\";i:252;s:11:\"trend_index\";i:362;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:539;a:19:{s:4:\"tmpl\";i:514;s:2:\"id\";i:5575;s:5:\"title\";s:5:\"CTA 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_3.png\";s:12:\"tmpl_created\";i:1520443543;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:240;s:16:\"popularity_index\";i:13;s:11:\"trend_index\";i:586;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:540;a:19:{s:4:\"tmpl\";i:622;s:2:\"id\";i:5658;s:5:\"title\";s:5:\"CTA 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_7.png\";s:12:\"tmpl_created\";i:1520520704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:243;s:16:\"popularity_index\";i:187;s:11:\"trend_index\";i:235;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:541;a:19:{s:4:\"tmpl\";i:621;s:2:\"id\";i:5650;s:5:\"title\";s:5:\"CTA 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_7.png\";s:12:\"tmpl_created\";i:1520520702;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:244;s:16:\"popularity_index\";i:94;s:11:\"trend_index\";i:148;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:542;a:19:{s:4:\"tmpl\";i:1061;s:2:\"id\";i:15407;s:5:\"title\";s:24:\"Dance Studio &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/10/404.jpg\";s:12:\"tmpl_created\";i:1603181958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/dance-studio-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:22:\"[\"404\",\"Dance Studio\"]\";s:10:\"menu_order\";i:246;s:16:\"popularity_index\";i:783;s:11:\"trend_index\";i:710;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:543;a:19:{s:4:\"tmpl\";i:1062;s:2:\"id\";i:15400;s:5:\"title\";s:27:\"Dance Studio &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Footer.jpg\";s:12:\"tmpl_created\";i:1603181989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Footer\"]\";s:10:\"menu_order\";i:247;s:16:\"popularity_index\";i:586;s:11:\"trend_index\";i:243;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:544;a:19:{s:4:\"tmpl\";i:1063;s:2:\"id\";i:15391;s:5:\"title\";s:27:\"Dance Studio &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Header.jpg\";s:12:\"tmpl_created\";i:1603182011;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Header\"]\";s:10:\"menu_order\";i:248;s:16:\"popularity_index\";i:352;s:11:\"trend_index\";i:67;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:545;a:19:{s:4:\"tmpl\";i:874;s:2:\"id\";i:11192;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/07/Footer_small.jpg\";s:12:\"tmpl_created\";i:1564642399;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Footer\",\"Marketing\"]\";s:10:\"menu_order\";i:250;s:16:\"popularity_index\";i:172;s:11:\"trend_index\";i:105;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:546;a:19:{s:4:\"tmpl\";i:873;s:2:\"id\";i:11198;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-digital-marketing-agency.png\";s:12:\"tmpl_created\";i:1564642395;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Header\",\"Marketing\"]\";s:10:\"menu_order\";i:251;s:16:\"popularity_index\";i:34;s:11:\"trend_index\";i:10;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:547;a:19:{s:4:\"tmpl\";i:872;s:2:\"id\";i:11204;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/07/404_small.jpg\";s:12:\"tmpl_created\";i:1564642389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:36:\"[\"404\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:253;s:16:\"popularity_index\";i:301;s:11:\"trend_index\";i:239;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:548;a:19:{s:4:\"tmpl\";i:871;s:2:\"id\";i:11220;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/08/Archive_small1.png\";s:12:\"tmpl_created\";i:1564642385;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:255;s:16:\"popularity_index\";i:116;s:11:\"trend_index\";i:73;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:549;a:19:{s:4:\"tmpl\";i:870;s:2:\"id\";i:11231;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/Post_small1.png\";s:12:\"tmpl_created\";i:1564642380;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:257;s:16:\"popularity_index\";i:145;s:11:\"trend_index\";i:71;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:550;a:19:{s:4:\"tmpl\";i:520;s:2:\"id\";i:5711;s:5:\"title\";s:5:\"FAQ 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_2.png\";s:12:\"tmpl_created\";i:1520443571;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:260;s:16:\"popularity_index\";i:200;s:11:\"trend_index\";i:231;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:551;a:19:{s:4:\"tmpl\";i:523;s:2:\"id\";i:5737;s:5:\"title\";s:6:\"FAQ 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_4.png\";s:12:\"tmpl_created\";i:1520443576;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:261;s:16:\"popularity_index\";i:155;s:11:\"trend_index\";i:112;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:552;a:19:{s:4:\"tmpl\";i:524;s:2:\"id\";i:5746;s:5:\"title\";s:6:\"FAQ 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_4.png\";s:12:\"tmpl_created\";i:1520443578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:264;s:16:\"popularity_index\";i:212;s:11:\"trend_index\";i:305;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:553;a:19:{s:4:\"tmpl\";i:519;s:2:\"id\";i:5703;s:5:\"title\";s:6:\"FAQ 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_2.png\";s:12:\"tmpl_created\";i:1520443569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:265;s:16:\"popularity_index\";i:29;s:11:\"trend_index\";i:38;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:554;a:19:{s:4:\"tmpl\";i:521;s:2:\"id\";i:5719;s:5:\"title\";s:5:\"FAQ 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_3.png\";s:12:\"tmpl_created\";i:1520443573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:267;s:16:\"popularity_index\";i:125;s:11:\"trend_index\";i:251;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:555;a:19:{s:4:\"tmpl\";i:522;s:2:\"id\";i:5729;s:5:\"title\";s:5:\"FAQ 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_3.png\";s:12:\"tmpl_created\";i:1520443575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:269;s:16:\"popularity_index\";i:319;s:11:\"trend_index\";i:327;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:556;a:19:{s:4:\"tmpl\";i:525;s:2:\"id\";i:5755;s:5:\"title\";s:5:\"FAQ 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_5.png\";s:12:\"tmpl_created\";i:1520443580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:271;s:16:\"popularity_index\";i:112;s:11:\"trend_index\";i:180;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:557;a:19:{s:4:\"tmpl\";i:526;s:2:\"id\";i:5764;s:5:\"title\";s:5:\"FAQ 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_5.png\";s:12:\"tmpl_created\";i:1520443582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:273;s:16:\"popularity_index\";i:338;s:11:\"trend_index\";i:474;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:558;a:19:{s:4:\"tmpl\";i:517;s:2:\"id\";i:5684;s:5:\"title\";s:5:\"FAQ 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_1.png\";s:12:\"tmpl_created\";i:1520443565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:274;s:16:\"popularity_index\";i:74;s:11:\"trend_index\";i:193;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:559;a:19:{s:4:\"tmpl\";i:518;s:2:\"id\";i:5693;s:5:\"title\";s:5:\"FAQ 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_1.png\";s:12:\"tmpl_created\";i:1520443567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:276;s:16:\"popularity_index\";i:224;s:11:\"trend_index\";i:515;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:560;a:19:{s:4:\"tmpl\";i:548;s:2:\"id\";i:6053;s:5:\"title\";s:10:\"Features 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_5.png\";s:12:\"tmpl_created\";i:1520443645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:277;s:16:\"popularity_index\";i:179;s:11:\"trend_index\";i:463;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:561;a:19:{s:4:\"tmpl\";i:542;s:2:\"id\";i:5991;s:5:\"title\";s:11:\"Features 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_4.png\";s:12:\"tmpl_created\";i:1520443632;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:279;s:16:\"popularity_index\";i:135;s:11:\"trend_index\";i:265;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:562;a:19:{s:4:\"tmpl\";i:547;s:2:\"id\";i:6044;s:5:\"title\";s:11:\"Features 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_5.png\";s:12:\"tmpl_created\";i:1520443643;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:280;s:16:\"popularity_index\";i:70;s:11:\"trend_index\";i:163;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:563;a:19:{s:4:\"tmpl\";i:566;s:2:\"id\";i:6212;s:5:\"title\";s:11:\"Features 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_7.png\";s:12:\"tmpl_created\";i:1520443684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:281;s:16:\"popularity_index\";i:81;s:11:\"trend_index\";i:98;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:564;a:19:{s:4:\"tmpl\";i:567;s:2:\"id\";i:6220;s:5:\"title\";s:10:\"Features 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_8.png\";s:12:\"tmpl_created\";i:1520443685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:282;s:16:\"popularity_index\";i:88;s:11:\"trend_index\";i:189;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:565;a:19:{s:4:\"tmpl\";i:541;s:2:\"id\";i:5983;s:5:\"title\";s:10:\"Features 3\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_3.png\";s:12:\"tmpl_created\";i:1520443630;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:283;s:16:\"popularity_index\";i:231;s:11:\"trend_index\";i:351;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:566;a:19:{s:4:\"tmpl\";i:540;s:2:\"id\";i:5974;s:5:\"title\";s:10:\"Features 4\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_3.png\";s:12:\"tmpl_created\";i:1520443629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:286;s:16:\"popularity_index\";i:69;s:11:\"trend_index\";i:181;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:567;a:19:{s:4:\"tmpl\";i:516;s:2:\"id\";i:5624;s:5:\"title\";s:10:\"Features 5\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_1.png\";s:12:\"tmpl_created\";i:1520443553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:287;s:16:\"popularity_index\";i:93;s:11:\"trend_index\";i:352;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:568;a:19:{s:4:\"tmpl\";i:515;s:2:\"id\";i:5615;s:5:\"title\";s:10:\"Features 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_5.png\";s:12:\"tmpl_created\";i:1520443551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:290;s:16:\"popularity_index\";i:41;s:11:\"trend_index\";i:119;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:569;a:19:{s:4:\"tmpl\";i:539;s:2:\"id\";i:5963;s:5:\"title\";s:10:\"Features 7\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_2.png\";s:12:\"tmpl_created\";i:1520443626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:291;s:16:\"popularity_index\";i:67;s:11:\"trend_index\";i:133;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:570;a:19:{s:4:\"tmpl\";i:565;s:2:\"id\";i:6204;s:5:\"title\";s:10:\"Features 8\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_6.png\";s:12:\"tmpl_created\";i:1520443681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:292;s:16:\"popularity_index\";i:217;s:11:\"trend_index\";i:223;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:571;a:19:{s:4:\"tmpl\";i:564;s:2:\"id\";i:6196;s:5:\"title\";s:10:\"Features 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_6.png\";s:12:\"tmpl_created\";i:1520443680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:294;s:16:\"popularity_index\";i:106;s:11:\"trend_index\";i:113;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:572;a:19:{s:4:\"tmpl\";i:1033;s:2:\"id\";i:15033;s:5:\"title\";s:28:\"Flooring Company &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/08/404.png\";s:12:\"tmpl_created\";i:1597739459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/flooring-company-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:45:\"[\"404\",\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:296;s:16:\"popularity_index\";i:655;s:11:\"trend_index\";i:671;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:573;a:19:{s:4:\"tmpl\";i:1032;s:2:\"id\";i:15042;s:5:\"title\";s:32:\"Flooring Company &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Blog.png\";s:12:\"tmpl_created\";i:1597739084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/flooring-company-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:297;s:16:\"popularity_index\";i:320;s:11:\"trend_index\";i:275;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:574;a:19:{s:4:\"tmpl\";i:1031;s:2:\"id\";i:15017;s:5:\"title\";s:31:\"Flooring Company &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Footer.png\";s:12:\"tmpl_created\";i:1597738933;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Footer\"]\";s:10:\"menu_order\";i:299;s:16:\"popularity_index\";i:323;s:11:\"trend_index\";i:192;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:575;a:19:{s:4:\"tmpl\";i:1030;s:2:\"id\";i:15007;s:5:\"title\";s:31:\"Flooring Company &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Header.png\";s:12:\"tmpl_created\";i:1597738896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Header\"]\";s:10:\"menu_order\";i:302;s:16:\"popularity_index\";i:459;s:11:\"trend_index\";i:333;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:576;a:19:{s:4:\"tmpl\";i:1029;s:2:\"id\";i:15052;s:5:\"title\";s:36:\"Flooring Company &#8211; Single post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Single.png\";s:12:\"tmpl_created\";i:1597738858;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/flooring-company-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:303;s:16:\"popularity_index\";i:392;s:11:\"trend_index\";i:226;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:577;a:19:{s:4:\"tmpl\";i:651;s:2:\"id\";i:7837;s:5:\"title\";s:9:\"footer 01\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.14.jpg\";s:12:\"tmpl_created\";i:1524582852;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:305;s:16:\"popularity_index\";i:495;s:11:\"trend_index\";i:539;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:578;a:19:{s:4:\"tmpl\";i:647;s:2:\"id\";i:7937;s:5:\"title\";s:10:\"footer 010\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.5.jpg\";s:12:\"tmpl_created\";i:1524582665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-010/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:308;s:16:\"popularity_index\";i:185;s:11:\"trend_index\";i:115;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:579;a:19:{s:4:\"tmpl\";i:646;s:2:\"id\";i:7950;s:5:\"title\";s:10:\"footer 011\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.4.jpg\";s:12:\"tmpl_created\";i:1524582631;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-011/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:310;s:16:\"popularity_index\";i:244;s:11:\"trend_index\";i:203;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:580;a:19:{s:4:\"tmpl\";i:645;s:2:\"id\";i:7959;s:5:\"title\";s:10:\"footer 012\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.3.jpg\";s:12:\"tmpl_created\";i:1524582605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-012/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:311;s:16:\"popularity_index\";i:177;s:11:\"trend_index\";i:140;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:581;a:19:{s:4:\"tmpl\";i:644;s:2:\"id\";i:7982;s:5:\"title\";s:10:\"footer 013\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.2.jpg\";s:12:\"tmpl_created\";i:1524582468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-013/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:314;s:16:\"popularity_index\";i:209;s:11:\"trend_index\";i:212;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:582;a:19:{s:4:\"tmpl\";i:643;s:2:\"id\";i:7997;s:5:\"title\";s:10:\"footer 014\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.1.jpg\";s:12:\"tmpl_created\";i:1524582343;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-014/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:316;s:16:\"popularity_index\";i:64;s:11:\"trend_index\";i:41;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:583;a:19:{s:4:\"tmpl\";i:693;s:2:\"id\";i:9119;s:5:\"title\";s:10:\"footer 015\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/Footer_GetStarted_350.png\";s:12:\"tmpl_created\";i:1532428138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/demo/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:317;s:16:\"popularity_index\";i:240;s:11:\"trend_index\";i:154;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:584;a:19:{s:4:\"tmpl\";i:652;s:2:\"id\";i:7852;s:5:\"title\";s:9:\"footer 02\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.13.jpg\";s:12:\"tmpl_created\";i:1524582875;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:320;s:16:\"popularity_index\";i:199;s:11:\"trend_index\";i:96;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:585;a:19:{s:4:\"tmpl\";i:653;s:2:\"id\";i:7862;s:5:\"title\";s:9:\"footer 03\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.12.jpg\";s:12:\"tmpl_created\";i:1524582903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:321;s:16:\"popularity_index\";i:137;s:11:\"trend_index\";i:91;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:586;a:19:{s:4:\"tmpl\";i:654;s:2:\"id\";i:7871;s:5:\"title\";s:9:\"footer 04\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.11.jpg\";s:12:\"tmpl_created\";i:1524582927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:323;s:16:\"popularity_index\";i:97;s:11:\"trend_index\";i:55;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:587;a:19:{s:4:\"tmpl\";i:655;s:2:\"id\";i:7884;s:5:\"title\";s:9:\"footer 05\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.10.jpg\";s:12:\"tmpl_created\";i:1524582944;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:325;s:16:\"popularity_index\";i:92;s:11:\"trend_index\";i:109;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:588;a:19:{s:4:\"tmpl\";i:656;s:2:\"id\";i:7892;s:5:\"title\";s:9:\"footer 06\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.9.jpg\";s:12:\"tmpl_created\";i:1524583015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:326;s:16:\"popularity_index\";i:132;s:11:\"trend_index\";i:146;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:589;a:19:{s:4:\"tmpl\";i:650;s:2:\"id\";i:7904;s:5:\"title\";s:9:\"footer 07\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.8.jpg\";s:12:\"tmpl_created\";i:1524582814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:328;s:16:\"popularity_index\";i:203;s:11:\"trend_index\";i:186;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:590;a:19:{s:4:\"tmpl\";i:649;s:2:\"id\";i:7917;s:5:\"title\";s:9:\"footer 08\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.7.jpg\";s:12:\"tmpl_created\";i:1524582788;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:329;s:16:\"popularity_index\";i:89;s:11:\"trend_index\";i:144;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:591;a:19:{s:4:\"tmpl\";i:648;s:2:\"id\";i:7927;s:5:\"title\";s:9:\"footer 09\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.6.jpg\";s:12:\"tmpl_created\";i:1524582691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:331;s:16:\"popularity_index\";i:178;s:11:\"trend_index\";i:100;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:592;a:19:{s:4:\"tmpl\";i:642;s:2:\"id\";i:4676;s:5:\"title\";s:8:\"Footer 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_7.png\";s:12:\"tmpl_created\";i:1522014215;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer_7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:338;s:16:\"popularity_index\";i:237;s:11:\"trend_index\";i:346;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:593;a:19:{s:4:\"tmpl\";i:637;s:2:\"id\";i:7627;s:5:\"title\";s:8:\"Footer 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_1.png\";s:12:\"tmpl_created\";i:1521547332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:340;s:16:\"popularity_index\";i:100;s:11:\"trend_index\";i:83;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:594;a:19:{s:4:\"tmpl\";i:638;s:2:\"id\";i:7638;s:5:\"title\";s:8:\"Footer 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_2.png\";s:12:\"tmpl_created\";i:1521547502;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:342;s:16:\"popularity_index\";i:124;s:11:\"trend_index\";i:147;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:595;a:19:{s:4:\"tmpl\";i:888;s:2:\"id\";i:11424;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/08/404_Small.png\";s:12:\"tmpl_created\";i:1567393309;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:13:\"[\"404\",\"Gym\"]\";s:10:\"menu_order\";i:344;s:16:\"popularity_index\";i:679;s:11:\"trend_index\";i:769;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:596;a:19:{s:4:\"tmpl\";i:887;s:2:\"id\";i:11435;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Archiv_Small.png\";s:12:\"tmpl_created\";i:1567393296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:346;s:16:\"popularity_index\";i:441;s:11:\"trend_index\";i:507;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:597;a:19:{s:4:\"tmpl\";i:886;s:2:\"id\";i:11445;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Post_Small.png\";s:12:\"tmpl_created\";i:1567393229;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:349;s:16:\"popularity_index\";i:452;s:11:\"trend_index\";i:479;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:598;a:19:{s:4:\"tmpl\";i:885;s:2:\"id\";i:11453;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Footer_Small.png\";s:12:\"tmpl_created\";i:1567393224;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:16:\"[\"Footer\",\"Gym\"]\";s:10:\"menu_order\";i:351;s:16:\"popularity_index\";i:270;s:11:\"trend_index\";i:331;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:599;a:19:{s:4:\"tmpl\";i:884;s:2:\"id\";i:11461;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-gym-and-fitness.png\";s:12:\"tmpl_created\";i:1567393219;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:16:\"[\"Gym\",\"Header\"]\";s:10:\"menu_order\";i:352;s:16:\"popularity_index\";i:201;s:11:\"trend_index\";i:135;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:600;a:19:{s:4:\"tmpl\";i:635;s:2:\"id\";i:7596;s:5:\"title\";s:8:\"Header 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.12.jpg\";s:12:\"tmpl_created\";i:1521546999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:354;s:16:\"popularity_index\";i:33;s:11:\"trend_index\";i:17;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:601;a:19:{s:4:\"tmpl\";i:663;s:2:\"id\";i:7801;s:5:\"title\";s:9:\"header 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.9.jpg\";s:12:\"tmpl_created\";i:1524583659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:356;s:16:\"popularity_index\";i:51;s:11:\"trend_index\";i:14;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:602;a:19:{s:4:\"tmpl\";i:658;s:2:\"id\";i:7812;s:5:\"title\";s:9:\"header 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.10.jpg\";s:12:\"tmpl_created\";i:1524583298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:358;s:16:\"popularity_index\";i:96;s:11:\"trend_index\";i:103;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:603;a:19:{s:4:\"tmpl\";i:657;s:2:\"id\";i:7825;s:5:\"title\";s:9:\"header 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.11.jpg\";s:12:\"tmpl_created\";i:1524583273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:360;s:16:\"popularity_index\";i:63;s:11:\"trend_index\";i:75;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:604;a:19:{s:4:\"tmpl\";i:694;s:2:\"id\";i:9127;s:5:\"title\";s:9:\"header 13\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2018/07/Header_get_started_1200V3.png\";s:12:\"tmpl_created\";i:1532428699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:362;s:16:\"popularity_index\";i:61;s:11:\"trend_index\";i:58;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:605;a:19:{s:4:\"tmpl\";i:636;s:2:\"id\";i:7615;s:5:\"title\";s:8:\"Header 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.1.jpg\";s:12:\"tmpl_created\";i:1521547237;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:365;s:16:\"popularity_index\";i:30;s:11:\"trend_index\";i:33;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:606;a:19:{s:4:\"tmpl\";i:665;s:2:\"id\";i:7713;s:5:\"title\";s:8:\"header 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.2.jpg\";s:12:\"tmpl_created\";i:1524584780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:367;s:16:\"popularity_index\";i:43;s:11:\"trend_index\";i:28;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:607;a:19:{s:4:\"tmpl\";i:659;s:2:\"id\";i:7724;s:5:\"title\";s:8:\"header 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.3.jpg\";s:12:\"tmpl_created\";i:1524583367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:369;s:16:\"popularity_index\";i:24;s:11:\"trend_index\";i:13;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:608;a:19:{s:4:\"tmpl\";i:660;s:2:\"id\";i:7734;s:5:\"title\";s:8:\"header 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.4.jpg\";s:12:\"tmpl_created\";i:1524583436;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:371;s:16:\"popularity_index\";i:36;s:11:\"trend_index\";i:18;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:609;a:19:{s:4:\"tmpl\";i:666;s:2:\"id\";i:7744;s:5:\"title\";s:8:\"Header 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.5.jpg\";s:12:\"tmpl_created\";i:1524584784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:372;s:16:\"popularity_index\";i:65;s:11:\"trend_index\";i:94;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:610;a:19:{s:4:\"tmpl\";i:664;s:2:\"id\";i:7754;s:5:\"title\";s:8:\"header 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.6.jpg\";s:12:\"tmpl_created\";i:1524583712;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:375;s:16:\"popularity_index\";i:111;s:11:\"trend_index\";i:143;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:611;a:19:{s:4:\"tmpl\";i:661;s:2:\"id\";i:7771;s:5:\"title\";s:8:\"header 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.7.jpg\";s:12:\"tmpl_created\";i:1524583540;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:376;s:16:\"popularity_index\";i:91;s:11:\"trend_index\";i:60;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:612;a:19:{s:4:\"tmpl\";i:662;s:2:\"id\";i:7787;s:5:\"title\";s:8:\"header 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.8.jpg\";s:12:\"tmpl_created\";i:1524583598;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:379;s:16:\"popularity_index\";i:102;s:11:\"trend_index\";i:78;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:613;a:19:{s:4:\"tmpl\";i:572;s:2:\"id\";i:6266;s:5:\"title\";s:6:\"Hero 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_4.png\";s:12:\"tmpl_created\";i:1520443695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:380;s:16:\"popularity_index\";i:52;s:11:\"trend_index\";i:35;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:614;a:19:{s:4:\"tmpl\";i:528;s:2:\"id\";i:5783;s:5:\"title\";s:7:\"Hero 10\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_2.png\";s:12:\"tmpl_created\";i:1520443586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:383;s:16:\"popularity_index\";i:365;s:11:\"trend_index\";i:567;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:615;a:19:{s:4:\"tmpl\";i:527;s:2:\"id\";i:5773;s:5:\"title\";s:7:\"Hero 11\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_1.png\";s:12:\"tmpl_created\";i:1520443584;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:384;s:16:\"popularity_index\";i:39;s:11:\"trend_index\";i:179;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:616;a:19:{s:4:\"tmpl\";i:479;s:2:\"id\";i:5238;s:5:\"title\";s:7:\"Hero 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4.png\";s:12:\"tmpl_created\";i:1520443468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:386;s:16:\"popularity_index\";i:611;s:11:\"trend_index\";i:555;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:617;a:19:{s:4:\"tmpl\";i:573;s:2:\"id\";i:6274;s:5:\"title\";s:6:\"Hero 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_5.png\";s:12:\"tmpl_created\";i:1520443698;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:389;s:16:\"popularity_index\";i:87;s:11:\"trend_index\";i:88;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:618;a:19:{s:4:\"tmpl\";i:569;s:2:\"id\";i:6239;s:5:\"title\";s:6:\"Hero 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_1.png\";s:12:\"tmpl_created\";i:1520443689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:391;s:16:\"popularity_index\";i:23;s:11:\"trend_index\";i:34;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:619;a:19:{s:4:\"tmpl\";i:571;s:2:\"id\";i:6258;s:5:\"title\";s:6:\"Hero 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_3.png\";s:12:\"tmpl_created\";i:1520443693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:393;s:16:\"popularity_index\";i:479;s:11:\"trend_index\";i:470;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:620;a:19:{s:4:\"tmpl\";i:570;s:2:\"id\";i:6249;s:5:\"title\";s:6:\"Hero 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_2.png\";s:12:\"tmpl_created\";i:1520443691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:395;s:16:\"popularity_index\";i:56;s:11:\"trend_index\";i:85;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:621;a:19:{s:4:\"tmpl\";i:568;s:2:\"id\";i:6230;s:5:\"title\";s:6:\"Hero 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_white_1.png\";s:12:\"tmpl_created\";i:1520443687;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:396;s:16:\"popularity_index\";i:406;s:11:\"trend_index\";i:542;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:622;a:19:{s:4:\"tmpl\";i:530;s:2:\"id\";i:5801;s:5:\"title\";s:6:\"Hero 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_4.png\";s:12:\"tmpl_created\";i:1520443589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:398;s:16:\"popularity_index\";i:15;s:11:\"trend_index\";i:37;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:623;a:19:{s:4:\"tmpl\";i:531;s:2:\"id\";i:5811;s:5:\"title\";s:6:\"Hero 8\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_5.png\";s:12:\"tmpl_created\";i:1520443591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:400;s:16:\"popularity_index\";i:105;s:11:\"trend_index\";i:86;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:624;a:19:{s:4:\"tmpl\";i:529;s:2:\"id\";i:5792;s:5:\"title\";s:6:\"Hero 9\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_3.png\";s:12:\"tmpl_created\";i:1520443588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:403;s:16:\"popularity_index\";i:225;s:11:\"trend_index\";i:244;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:625;a:19:{s:4:\"tmpl\";i:978;s:2:\"id\";i:13251;s:5:\"title\";s:27:\"Interior Design &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.png\";s:12:\"tmpl_created\";i:1586148737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/interior-design-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:405;s:16:\"popularity_index\";i:730;s:11:\"trend_index\";i:795;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:626;a:19:{s:4:\"tmpl\";i:979;s:2:\"id\";i:13244;s:5:\"title\";s:30:\"Interior Design &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.png\";s:12:\"tmpl_created\";i:1586148742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Business\",\"Footer\",\"Interior Design\"]\";s:10:\"menu_order\";i:406;s:16:\"popularity_index\";i:322;s:11:\"trend_index\";i:178;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:627;a:19:{s:4:\"tmpl\";i:980;s:2:\"id\";i:13236;s:5:\"title\";s:30:\"Interior Design &#8211; Header\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-interior-design.png\";s:12:\"tmpl_created\";i:1586148746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Business\",\"Header\",\"Interior Design\"]\";s:10:\"menu_order\";i:408;s:16:\"popularity_index\";i:146;s:11:\"trend_index\";i:64;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:628;a:19:{s:4:\"tmpl\";i:977;s:2:\"id\";i:13259;s:5:\"title\";s:36:\"Interior Design &#8211; News Archive\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Archiv-Blog.png\";s:12:\"tmpl_created\";i:1586148733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/interior-design-news-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:410;s:16:\"popularity_index\";i:436;s:11:\"trend_index\";i:132;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:629;a:19:{s:4:\"tmpl\";i:976;s:2:\"id\";i:13267;s:5:\"title\";s:35:\"Interior Design &#8211; Single News\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Post.png\";s:12:\"tmpl_created\";i:1586148728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/interior-design-single-news/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:413;s:16:\"popularity_index\";i:402;s:11:\"trend_index\";i:108;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:630;a:19:{s:4:\"tmpl\";i:975;s:2:\"id\";i:13274;s:5:\"title\";s:38:\"Interior Design &#8211; Single Project\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/04/Single-Project-.png\";s:12:\"tmpl_created\";i:1586148723;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/interior-design-single-project/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:414;s:16:\"popularity_index\";i:601;s:11:\"trend_index\";i:324;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:631;a:19:{s:4:\"tmpl\";i:1011;s:2:\"id\";i:14058;s:5:\"title\";s:36:\"Japanese restaurant &#8211; 404 page\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/06/404-Page.jpg\";s:12:\"tmpl_created\";i:1592290211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/japanese-restaurant-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:38:\"[\"404\",\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:416;s:16:\"popularity_index\";i:724;s:11:\"trend_index\";i:647;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:632;a:19:{s:4:\"tmpl\";i:1012;s:2:\"id\";i:14050;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1592290247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:41:\"[\"Food\",\"Footer\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:419;s:16:\"popularity_index\";i:317;s:11:\"trend_index\";i:238;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:633;a:19:{s:4:\"tmpl\";i:1013;s:2:\"id\";i:14042;s:5:\"title\";s:34:\"Japanese Restaurant &#8211; Header\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2020/06/japanese-restaurant-header.jpg\";s:12:\"tmpl_created\";i:1592290277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:41:\"[\"Food\",\"Header\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:421;s:16:\"popularity_index\";i:411;s:11:\"trend_index\";i:274;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:634;a:19:{s:4:\"tmpl\";i:914;s:2:\"id\";i:12164;s:5:\"title\";s:20:\"Law Firm &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/11/404.png\";s:12:\"tmpl_created\";i:1572846979;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/law-firm-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:422;s:16:\"popularity_index\";i:704;s:11:\"trend_index\";i:716;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:635;a:19:{s:4:\"tmpl\";i:913;s:2:\"id\";i:12170;s:5:\"title\";s:23:\"Law Firm &#8211; Archiv\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/archiv.png\";s:12:\"tmpl_created\";i:1572846967;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:424;s:16:\"popularity_index\";i:431;s:11:\"trend_index\";i:294;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:636;a:19:{s:4:\"tmpl\";i:912;s:2:\"id\";i:12179;s:5:\"title\";s:23:\"Law Firm &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/footer.png\";s:12:\"tmpl_created\";i:1572846958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:425;s:16:\"popularity_index\";i:388;s:11:\"trend_index\";i:240;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:637;a:19:{s:4:\"tmpl\";i:911;s:2:\"id\";i:12194;s:5:\"title\";s:23:\"Law Firm &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-law-firm.png\";s:12:\"tmpl_created\";i:1572846935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:427;s:16:\"popularity_index\";i:80;s:11:\"trend_index\";i:39;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:638;a:19:{s:4:\"tmpl\";i:910;s:2:\"id\";i:12203;s:5:\"title\";s:30:\"Law Firm &#8211; Search Archiv\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/11/search_result.png\";s:12:\"tmpl_created\";i:1572846925;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/law-firm-search-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:430;s:16:\"popularity_index\";i:493;s:11:\"trend_index\";i:433;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:639;a:19:{s:4:\"tmpl\";i:909;s:2:\"id\";i:12212;s:5:\"title\";s:28:\"Law Firm &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/single.png\";s:12:\"tmpl_created\";i:1572846914;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/law-firm-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:432;s:16:\"popularity_index\";i:326;s:11:\"trend_index\";i:214;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:640;a:19:{s:4:\"tmpl\";i:1022;s:2:\"id\";i:14772;s:5:\"title\";s:35:\"Luxury Real Estate &#8211; 404 page\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/07/404.png\";s:12:\"tmpl_created\";i:1595315728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/luxury-real-estate-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:433;s:16:\"popularity_index\";i:759;s:11:\"trend_index\";i:720;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:641;a:19:{s:4:\"tmpl\";i:1023;s:2:\"id\";i:14779;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Footer.png\";s:12:\"tmpl_created\";i:1595315743;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Footer\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:434;s:16:\"popularity_index\";i:536;s:11:\"trend_index\";i:505;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:642;a:19:{s:4:\"tmpl\";i:1024;s:2:\"id\";i:14790;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Header.png\";s:12:\"tmpl_created\";i:1595315760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Header\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:436;s:16:\"popularity_index\";i:101;s:11:\"trend_index\";i:157;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:643;a:19:{s:4:\"tmpl\";i:1026;s:2:\"id\";i:14809;s:5:\"title\";s:45:\"Luxury Real Estate &#8211; Properties Archive\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Properties.png\";s:12:\"tmpl_created\";i:1595315826;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/blocks/luxury-real-estate-properties-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:438;s:16:\"popularity_index\";i:414;s:11:\"trend_index\";i:420;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:644;a:19:{s:4:\"tmpl\";i:1027;s:2:\"id\";i:14816;s:5:\"title\";s:47:\"Luxury Real Estate &#8211; Property single post\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/07/Single-Property-.png\";s:12:\"tmpl_created\";i:1595315847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/blocks/luxury-real-estate-property-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:441;s:16:\"popularity_index\";i:541;s:11:\"trend_index\";i:665;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:645;a:19:{s:4:\"tmpl\";i:1025;s:2:\"id\";i:14799;s:5:\"title\";s:38:\"Luxury Real Estate &#8211; single post\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Post.png\";s:12:\"tmpl_created\";i:1595315792;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/luxury-real-estate-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:442;s:16:\"popularity_index\";i:369;s:11:\"trend_index\";i:441;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:646;a:19:{s:4:\"tmpl\";i:950;s:2:\"id\";i:12635;s:5:\"title\";s:20:\"Magazine &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/01/404_s.png\";s:12:\"tmpl_created\";i:1579060746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/magazine-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:25:\"[\"404\",\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:445;s:16:\"popularity_index\";i:645;s:11:\"trend_index\";i:734;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:647;a:19:{s:4:\"tmpl\";i:949;s:2:\"id\";i:12643;s:5:\"title\";s:24:\"Magazine &#8211; Archiv1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv1_s.png\";s:12:\"tmpl_created\";i:1579060737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:447;s:16:\"popularity_index\";i:346;s:11:\"trend_index\";i:272;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:648;a:19:{s:4:\"tmpl\";i:946;s:2:\"id\";i:12669;s:5:\"title\";s:23:\"Magazine &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Footer_s.png\";s:12:\"tmpl_created\";i:1579060715;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:28:\"[\"Blog\",\"Footer\",\"Magazine\"]\";s:10:\"menu_order\";i:448;s:16:\"popularity_index\";i:442;s:11:\"trend_index\";i:349;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:649;a:19:{s:4:\"tmpl\";i:945;s:2:\"id\";i:12678;s:5:\"title\";s:23:\"Magazine &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-magazine.png\";s:12:\"tmpl_created\";i:1579060701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:28:\"[\"Blog\",\"Header\",\"Magazine\"]\";s:10:\"menu_order\";i:450;s:16:\"popularity_index\";i:295;s:11:\"trend_index\";i:197;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:650;a:19:{s:4:\"tmpl\";i:947;s:2:\"id\";i:12661;s:5:\"title\";s:23:\"Magazine &#8211; Search\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Search_s.png\";s:12:\"tmpl_created\";i:1579060722;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-search/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:452;s:16:\"popularity_index\";i:396;s:11:\"trend_index\";i:509;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:651;a:19:{s:4:\"tmpl\";i:944;s:2:\"id\";i:12688;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 1\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post2_s.png\";s:12:\"tmpl_created\";i:1579060692;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:453;s:16:\"popularity_index\";i:342;s:11:\"trend_index\";i:175;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:652;a:19:{s:4:\"tmpl\";i:943;s:2:\"id\";i:12699;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 2\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post3_s.png\";s:12:\"tmpl_created\";i:1579060680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:454;s:16:\"popularity_index\";i:348;s:11:\"trend_index\";i:129;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:653;a:19:{s:4:\"tmpl\";i:942;s:2:\"id\";i:12707;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post1_s.png\";s:12:\"tmpl_created\";i:1579060669;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:457;s:16:\"popularity_index\";i:476;s:11:\"trend_index\";i:246;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:654;a:19:{s:4:\"tmpl\";i:941;s:2:\"id\";i:12716;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post4_s.png\";s:12:\"tmpl_created\";i:1579060659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/magazine-single-post-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:459;s:16:\"popularity_index\";i:513;s:11:\"trend_index\";i:489;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:655;a:19:{s:4:\"tmpl\";i:948;s:2:\"id\";i:12652;s:5:\"title\";s:17:\"Magazine- Archiv2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv2_s.png\";s:12:\"tmpl_created\";i:1579060730;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:461;s:16:\"popularity_index\";i:525;s:11:\"trend_index\";i:585;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:656;a:19:{s:4:\"tmpl\";i:990;s:2:\"id\";i:13361;s:5:\"title\";s:25:\"Online Course &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.jpg\";s:12:\"tmpl_created\";i:1587474710;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/online-course-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:35:\"[\"404\",\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:462;s:16:\"popularity_index\";i:682;s:11:\"trend_index\";i:498;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:657;a:19:{s:4:\"tmpl\";i:987;s:2:\"id\";i:13387;s:5:\"title\";s:32:\"Online Course &#8211; End Lesson\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-End-.jpg\";s:12:\"tmpl_created\";i:1587474682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/online-course-end-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:464;s:16:\"popularity_index\";i:653;s:11:\"trend_index\";i:408;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:658;a:19:{s:4:\"tmpl\";i:989;s:2:\"id\";i:13369;s:5:\"title\";s:28:\"Online Course &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.jpg\";s:12:\"tmpl_created\";i:1587474701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Footer\"]\";s:10:\"menu_order\";i:466;s:16:\"popularity_index\";i:389;s:11:\"trend_index\";i:308;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:659;a:19:{s:4:\"tmpl\";i:988;s:2:\"id\";i:13378;s:5:\"title\";s:28:\"Online Course &#8211; Header\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-education-online-courses.jpg\";s:12:\"tmpl_created\";i:1587474693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Header\"]\";s:10:\"menu_order\";i:469;s:16:\"popularity_index\";i:492;s:11:\"trend_index\";i:519;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:660;a:19:{s:4:\"tmpl\";i:986;s:2:\"id\";i:13395;s:5:\"title\";s:34:\"Online Course &#8211; Start Lesson\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-Start.jpg\";s:12:\"tmpl_created\";i:1587474673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/online-course-start-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:471;s:16:\"popularity_index\";i:672;s:11:\"trend_index\";i:578;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:661;a:19:{s:4:\"tmpl\";i:953;s:2:\"id\";i:13089;s:5:\"title\";s:23:\"Photography &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/02/404_s.png\";s:12:\"tmpl_created\";i:1582091623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/photography-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:33:\"[\"404\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:473;s:16:\"popularity_index\";i:702;s:11:\"trend_index\";i:706;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:662;a:19:{s:4:\"tmpl\";i:954;s:2:\"id\";i:13096;s:5:\"title\";s:32:\"Photography &#8211; Archiv Media\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Archiv_s.png\";s:12:\"tmpl_created\";i:1582091742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/photography-archiv-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:475;s:16:\"popularity_index\";i:631;s:11:\"trend_index\";i:405;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:663;a:19:{s:4:\"tmpl\";i:955;s:2:\"id\";i:13103;s:5:\"title\";s:26:\"Photography &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Footer_s.png\";s:12:\"tmpl_created\";i:1582091903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:36:\"[\"Footer\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:477;s:16:\"popularity_index\";i:422;s:11:\"trend_index\";i:230;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:664;a:19:{s:4:\"tmpl\";i:957;s:2:\"id\";i:13112;s:5:\"title\";s:26:\"Photography &#8211; Header\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-photography-portfolio.png\";s:12:\"tmpl_created\";i:1582092483;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:36:\"[\"Header\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:478;s:16:\"popularity_index\";i:325;s:11:\"trend_index\";i:205;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:665;a:19:{s:4:\"tmpl\";i:956;s:2:\"id\";i:13120;s:5:\"title\";s:31:\"Photography &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Post_s.png\";s:12:\"tmpl_created\";i:1582092351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/photography-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:480;s:16:\"popularity_index\";i:671;s:11:\"trend_index\";i:645;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:666;a:19:{s:4:\"tmpl\";i:901;s:2:\"id\";i:11807;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/09/404_small.png\";s:12:\"tmpl_created\";i:1569430070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:483;s:16:\"popularity_index\";i:480;s:11:\"trend_index\";i:497;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:667;a:19:{s:4:\"tmpl\";i:900;s:2:\"id\";i:11832;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Footer_small.png\";s:12:\"tmpl_created\";i:1569430019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Footer\",\"Portfolio\"]\";s:10:\"menu_order\";i:484;s:16:\"popularity_index\";i:246;s:11:\"trend_index\";i:102;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:668;a:19:{s:4:\"tmpl\";i:898;s:2:\"id\";i:11847;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Archiv_small.png\";s:12:\"tmpl_created\";i:1569430010;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:487;s:16:\"popularity_index\";i:336;s:11:\"trend_index\";i:455;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:669;a:19:{s:4:\"tmpl\";i:897;s:2:\"id\";i:11854;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/09/Post_small.png\";s:12:\"tmpl_created\";i:1569429983;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:489;s:16:\"popularity_index\";i:482;s:11:\"trend_index\";i:609;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:670;a:19:{s:4:\"tmpl\";i:904;s:2:\"id\";i:11890;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-design-portfolio.png\";s:12:\"tmpl_created\";i:1571907344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Header\",\"Portfolio\"]\";s:10:\"menu_order\";i:491;s:16:\"popularity_index\";i:306;s:11:\"trend_index\";i:364;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:671;a:19:{s:4:\"tmpl\";i:896;s:2:\"id\";i:11861;s:5:\"title\";s:27:\"Portfolio &#8211; Project 1\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project1_small.png\";s:12:\"tmpl_created\";i:1569429975;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:493;s:16:\"popularity_index\";i:643;s:11:\"trend_index\";i:764;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:672;a:19:{s:4:\"tmpl\";i:895;s:2:\"id\";i:11870;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569429964;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:495;s:16:\"popularity_index\";i:662;s:11:\"trend_index\";i:816;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:673;a:19:{s:4:\"tmpl\";i:903;s:2:\"id\";i:11897;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569494236;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/portfolio-project-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:496;s:16:\"popularity_index\";i:733;s:11:\"trend_index\";i:744;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:674;a:19:{s:4:\"tmpl\";i:894;s:2:\"id\";i:11877;s:5:\"title\";s:27:\"Portfolio &#8211; Project 3\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project3_small.png\";s:12:\"tmpl_created\";i:1569429954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:498;s:16:\"popularity_index\";i:692;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:675;a:19:{s:4:\"tmpl\";i:597;s:2:\"id\";i:5019;s:5:\"title\";s:11:\"Portfolio 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_1.png\";s:12:\"tmpl_created\";i:1520520580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:500;s:16:\"popularity_index\";i:170;s:11:\"trend_index\";i:236;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:676;a:19:{s:4:\"tmpl\";i:609;s:2:\"id\";i:5141;s:5:\"title\";s:12:\"Portfolio 10\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_10.png\";s:12:\"tmpl_created\";i:1520520601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:503;s:16:\"popularity_index\";i:416;s:11:\"trend_index\";i:478;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:677;a:19:{s:4:\"tmpl\";i:598;s:2:\"id\";i:5027;s:5:\"title\";s:12:\"Portfolio 11\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_2.png\";s:12:\"tmpl_created\";i:1520520581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:504;s:16:\"popularity_index\";i:304;s:11:\"trend_index\";i:421;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:678;a:19:{s:4:\"tmpl\";i:599;s:2:\"id\";i:5037;s:5:\"title\";s:12:\"Portfolio 12\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_3.png\";s:12:\"tmpl_created\";i:1520520583;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:507;s:16:\"popularity_index\";i:279;s:11:\"trend_index\";i:399;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:679;a:19:{s:4:\"tmpl\";i:600;s:2:\"id\";i:5057;s:5:\"title\";s:12:\"Portfolio 13\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_4.png\";s:12:\"tmpl_created\";i:1520520586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:509;s:16:\"popularity_index\";i:239;s:11:\"trend_index\";i:288;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:680;a:19:{s:4:\"tmpl\";i:601;s:2:\"id\";i:5071;s:5:\"title\";s:12:\"Portfolio 14\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_5.png\";s:12:\"tmpl_created\";i:1520520588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:511;s:16:\"popularity_index\";i:276;s:11:\"trend_index\";i:329;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:681;a:19:{s:4:\"tmpl\";i:603;s:2:\"id\";i:5090;s:5:\"title\";s:12:\"Portfolio 15\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_6.png\";s:12:\"tmpl_created\";i:1520520591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:513;s:16:\"popularity_index\";i:186;s:11:\"trend_index\";i:283;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:682;a:19:{s:4:\"tmpl\";i:604;s:2:\"id\";i:5098;s:5:\"title\";s:12:\"Portfolio 16\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_7.png\";s:12:\"tmpl_created\";i:1520520593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:515;s:16:\"popularity_index\";i:156;s:11:\"trend_index\";i:211;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:683;a:19:{s:4:\"tmpl\";i:606;s:2:\"id\";i:5115;s:5:\"title\";s:12:\"Portfolio 17\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_8.png\";s:12:\"tmpl_created\";i:1520520596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:517;s:16:\"popularity_index\";i:19;s:11:\"trend_index\";i:22;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:684;a:19:{s:4:\"tmpl\";i:608;s:2:\"id\";i:5133;s:5:\"title\";s:12:\"Portfolio 18\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_9.png\";s:12:\"tmpl_created\";i:1520520599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:519;s:16:\"popularity_index\";i:180;s:11:\"trend_index\";i:280;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:685;a:19:{s:4:\"tmpl\";i:610;s:2:\"id\";i:5149;s:5:\"title\";s:11:\"Portfolio 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_10.png\";s:12:\"tmpl_created\";i:1520520602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:521;s:16:\"popularity_index\";i:413;s:11:\"trend_index\";i:635;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:686;a:19:{s:4:\"tmpl\";i:468;s:2:\"id\";i:5045;s:5:\"title\";s:11:\"Portfolio 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_2.png\";s:12:\"tmpl_created\";i:1520443423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:523;s:16:\"popularity_index\";i:636;s:11:\"trend_index\";i:608;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:687;a:19:{s:4:\"tmpl\";i:602;s:2:\"id\";i:5082;s:5:\"title\";s:11:\"Portfolio 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_4.png\";s:12:\"tmpl_created\";i:1520520589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:524;s:16:\"popularity_index\";i:558;s:11:\"trend_index\";i:654;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:688;a:19:{s:4:\"tmpl\";i:605;s:2:\"id\";i:5107;s:5:\"title\";s:11:\"Portfolio 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_7.png\";s:12:\"tmpl_created\";i:1520520594;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:527;s:16:\"popularity_index\";i:380;s:11:\"trend_index\";i:347;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:689;a:19:{s:4:\"tmpl\";i:607;s:2:\"id\";i:5125;s:5:\"title\";s:11:\"Portfolio 6\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_8.png\";s:12:\"tmpl_created\";i:1520520597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:529;s:16:\"popularity_index\";i:236;s:11:\"trend_index\";i:386;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:690;a:19:{s:4:\"tmpl\";i:596;s:2:\"id\";i:5007;s:5:\"title\";s:11:\"Portfolio 7\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_1.png\";s:12:\"tmpl_created\";i:1520520578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:530;s:16:\"popularity_index\";i:44;s:11:\"trend_index\";i:183;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:691;a:19:{s:4:\"tmpl\";i:434;s:2:\"id\";i:4509;s:5:\"title\";s:9:\"Pricing 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_1.png\";s:12:\"tmpl_created\";i:1520443310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:532;s:16:\"popularity_index\";i:703;s:11:\"trend_index\";i:641;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:692;a:19:{s:4:\"tmpl\";i:439;s:2:\"id\";i:4553;s:5:\"title\";s:10:\"Pricing 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_4.png\";s:12:\"tmpl_created\";i:1520443319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:534;s:16:\"popularity_index\";i:511;s:11:\"trend_index\";i:506;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:693;a:19:{s:4:\"tmpl\";i:441;s:2:\"id\";i:4572;s:5:\"title\";s:10:\"Pricing 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_5.png\";s:12:\"tmpl_created\";i:1520443324;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:537;s:16:\"popularity_index\";i:308;s:11:\"trend_index\";i:248;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:694;a:19:{s:4:\"tmpl\";i:442;s:2:\"id\";i:4580;s:5:\"title\";s:10:\"Pricing 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_6.png\";s:12:\"tmpl_created\";i:1520443326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:539;s:16:\"popularity_index\";i:576;s:11:\"trend_index\";i:526;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:695;a:19:{s:4:\"tmpl\";i:444;s:2:\"id\";i:4597;s:5:\"title\";s:10:\"Pricing 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_7.png\";s:12:\"tmpl_created\";i:1520443330;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:540;s:16:\"popularity_index\";i:613;s:11:\"trend_index\";i:450;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:696;a:19:{s:4:\"tmpl\";i:446;s:2:\"id\";i:4613;s:5:\"title\";s:10:\"Pricing 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_8.png\";s:12:\"tmpl_created\";i:1520443334;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:543;s:16:\"popularity_index\";i:581;s:11:\"trend_index\";i:568;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:697;a:19:{s:4:\"tmpl\";i:436;s:2:\"id\";i:4529;s:5:\"title\";s:9:\"Pricing 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_2.png\";s:12:\"tmpl_created\";i:1520443314;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:545;s:16:\"popularity_index\";i:609;s:11:\"trend_index\";i:613;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:698;a:19:{s:4:\"tmpl\";i:438;s:2:\"id\";i:4545;s:5:\"title\";s:9:\"Pricing 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_3.png\";s:12:\"tmpl_created\";i:1520443317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:547;s:16:\"popularity_index\";i:707;s:11:\"trend_index\";i:825;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:699;a:19:{s:4:\"tmpl\";i:440;s:2:\"id\";i:4562;s:5:\"title\";s:9:\"Pricing 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_4.png\";s:12:\"tmpl_created\";i:1520443322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:549;s:16:\"popularity_index\";i:697;s:11:\"trend_index\";i:821;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:700;a:19:{s:4:\"tmpl\";i:443;s:2:\"id\";i:4589;s:5:\"title\";s:9:\"Pricing 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_6.png\";s:12:\"tmpl_created\";i:1520443327;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:551;s:16:\"popularity_index\";i:716;s:11:\"trend_index\";i:639;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:701;a:19:{s:4:\"tmpl\";i:445;s:2:\"id\";i:4605;s:5:\"title\";s:9:\"Pricing 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_7.png\";s:12:\"tmpl_created\";i:1520443332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:553;s:16:\"popularity_index\";i:738;s:11:\"trend_index\";i:773;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:702;a:19:{s:4:\"tmpl\";i:433;s:2:\"id\";i:4500;s:5:\"title\";s:9:\"Pricing 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_1.png\";s:12:\"tmpl_created\";i:1520443308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:554;s:16:\"popularity_index\";i:500;s:11:\"trend_index\";i:451;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:703;a:19:{s:4:\"tmpl\";i:435;s:2:\"id\";i:4521;s:5:\"title\";s:9:\"Pricing 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_2.png\";s:12:\"tmpl_created\";i:1520443312;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:557;s:16:\"popularity_index\";i:311;s:11:\"trend_index\";i:372;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:704;a:19:{s:4:\"tmpl\";i:437;s:2:\"id\";i:4537;s:5:\"title\";s:9:\"Pricing 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_3.png\";s:12:\"tmpl_created\";i:1520443315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:559;s:16:\"popularity_index\";i:589;s:11:\"trend_index\";i:841;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:705;a:19:{s:4:\"tmpl\";i:1046;s:2:\"id\";i:15204;s:5:\"title\";s:24:\"Psychologist &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/09/404.jpg\";s:12:\"tmpl_created\";i:1600161419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/psychologist-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:564;s:16:\"popularity_index\";i:574;s:11:\"trend_index\";i:493;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:706;a:19:{s:4:\"tmpl\";i:1047;s:2:\"id\";i:15212;s:5:\"title\";s:28:\"Psychologist &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Blog.jpg\";s:12:\"tmpl_created\";i:1600162340;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/psychologist-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:565;s:16:\"popularity_index\";i:379;s:11:\"trend_index\";i:358;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:707;a:19:{s:4:\"tmpl\";i:1048;s:2:\"id\";i:15219;s:5:\"title\";s:27:\"Psychologist &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Footer.jpg\";s:12:\"tmpl_created\";i:1600163069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Footer\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:566;s:16:\"popularity_index\";i:599;s:11:\"trend_index\";i:500;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:708;a:19:{s:4:\"tmpl\";i:701;s:2:\"id\";i:9239;s:5:\"title\";s:17:\"product archive 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-1.png\";s:12:\"tmpl_created\";i:1532953482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:566;s:16:\"popularity_index\";i:60;s:11:\"trend_index\";i:25;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:709;a:19:{s:4:\"tmpl\";i:1049;s:2:\"id\";i:15230;s:5:\"title\";s:27:\"Psychologist &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Header.png\";s:12:\"tmpl_created\";i:1600163444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Header\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:567;s:16:\"popularity_index\";i:429;s:11:\"trend_index\";i:423;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:710;a:19:{s:4:\"tmpl\";i:702;s:2:\"id\";i:9247;s:5:\"title\";s:17:\"product archive 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-2.png\";s:12:\"tmpl_created\";i:1532953793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:567;s:16:\"popularity_index\";i:71;s:11:\"trend_index\";i:30;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:711;a:19:{s:4:\"tmpl\";i:1050;s:2:\"id\";i:15240;s:5:\"title\";s:34:\"Psychologist &#8211; single post 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Post.png\";s:12:\"tmpl_created\";i:1600164087;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:568;s:16:\"popularity_index\";i:562;s:11:\"trend_index\";i:570;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:712;a:19:{s:4:\"tmpl\";i:703;s:2:\"id\";i:9254;s:5:\"title\";s:17:\"product archive 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-3.png\";s:12:\"tmpl_created\";i:1532954032;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:568;s:16:\"popularity_index\";i:73;s:11:\"trend_index\";i:44;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:713;a:19:{s:4:\"tmpl\";i:1051;s:2:\"id\";i:15251;s:5:\"title\";s:34:\"Psychologist &#8211; single post 2\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Service-Page.png\";s:12:\"tmpl_created\";i:1600165179;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:569;s:16:\"popularity_index\";i:507;s:11:\"trend_index\";i:368;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:714;a:19:{s:4:\"tmpl\";i:412;s:2:\"id\";i:4313;s:5:\"title\";s:11:\"Services 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_8.png\";s:12:\"tmpl_created\";i:1520443268;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:570;s:16:\"popularity_index\";i:115;s:11:\"trend_index\";i:53;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:715;a:19:{s:4:\"tmpl\";i:413;s:2:\"id\";i:4324;s:5:\"title\";s:11:\"Services 14\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_9.png\";s:12:\"tmpl_created\";i:1520443270;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:571;s:16:\"popularity_index\";i:277;s:11:\"trend_index\";i:138;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:716;a:19:{s:4:\"tmpl\";i:418;s:2:\"id\";i:4368;s:5:\"title\";s:11:\"Services 16\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_13.png\";s:12:\"tmpl_created\";i:1520443279;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:572;s:16:\"popularity_index\";i:62;s:11:\"trend_index\";i:59;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:717;a:19:{s:4:\"tmpl\";i:420;s:2:\"id\";i:4391;s:5:\"title\";s:11:\"Services 17\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_14.png\";s:12:\"tmpl_created\";i:1520443283;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:573;s:16:\"popularity_index\";i:153;s:11:\"trend_index\";i:120;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:718;a:19:{s:4:\"tmpl\";i:403;s:2:\"id\";i:4235;s:5:\"title\";s:11:\"Services 18\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_2.png\";s:12:\"tmpl_created\";i:1520443251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:574;s:16:\"popularity_index\";i:273;s:11:\"trend_index\";i:172;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:719;a:19:{s:4:\"tmpl\";i:417;s:2:\"id\";i:4357;s:5:\"title\";s:11:\"Services 20\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_12.png\";s:12:\"tmpl_created\";i:1520443277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:575;s:16:\"popularity_index\";i:45;s:11:\"trend_index\";i:45;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:720;a:19:{s:4:\"tmpl\";i:415;s:2:\"id\";i:4341;s:5:\"title\";s:11:\"Services 21\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_11.png\";s:12:\"tmpl_created\";i:1520443274;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:576;s:16:\"popularity_index\";i:142;s:11:\"trend_index\";i:114;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:721;a:19:{s:4:\"tmpl\";i:414;s:2:\"id\";i:4332;s:5:\"title\";s:11:\"Services 22\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_10.png\";s:12:\"tmpl_created\";i:1520443272;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:577;s:16:\"popularity_index\";i:138;s:11:\"trend_index\";i:149;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:722;a:19:{s:4:\"tmpl\";i:401;s:2:\"id\";i:4212;s:5:\"title\";s:11:\"Services 23\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_1.png\";s:12:\"tmpl_created\";i:1520443248;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:578;s:16:\"popularity_index\";i:136;s:11:\"trend_index\";i:302;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:723;a:19:{s:4:\"tmpl\";i:408;s:2:\"id\";i:4276;s:5:\"title\";s:11:\"Services 24\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_4.png\";s:12:\"tmpl_created\";i:1520443261;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:579;s:16:\"popularity_index\";i:353;s:11:\"trend_index\";i:514;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:724;a:19:{s:4:\"tmpl\";i:406;s:2:\"id\";i:4260;s:5:\"title\";s:11:\"Services 25\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_3.png\";s:12:\"tmpl_created\";i:1520443257;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:580;s:16:\"popularity_index\";i:184;s:11:\"trend_index\";i:209;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:725;a:19:{s:4:\"tmpl\";i:404;s:2:\"id\";i:4244;s:5:\"title\";s:11:\"Services 26\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_2.png\";s:12:\"tmpl_created\";i:1520443253;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:581;s:16:\"popularity_index\";i:544;s:11:\"trend_index\";i:596;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:726;a:19:{s:4:\"tmpl\";i:421;s:2:\"id\";i:4400;s:5:\"title\";s:11:\"Services 27\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_13.png\";s:12:\"tmpl_created\";i:1520443285;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:582;s:16:\"popularity_index\";i:286;s:11:\"trend_index\";i:438;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:727;a:19:{s:4:\"tmpl\";i:419;s:2:\"id\";i:4376;s:5:\"title\";s:11:\"Services 28\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_12.png\";s:12:\"tmpl_created\";i:1520443281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:583;s:16:\"popularity_index\";i:151;s:11:\"trend_index\";i:249;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:728;a:19:{s:4:\"tmpl\";i:416;s:2:\"id\";i:4349;s:5:\"title\";s:11:\"Services 29\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_11.png\";s:12:\"tmpl_created\";i:1520443275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:584;s:16:\"popularity_index\";i:330;s:11:\"trend_index\";i:483;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:729;a:19:{s:4:\"tmpl\";i:402;s:2:\"id\";i:4227;s:5:\"title\";s:11:\"Services 30\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_1.png\";s:12:\"tmpl_created\";i:1520443250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:585;s:16:\"popularity_index\";i:351;s:11:\"trend_index\";i:553;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:730;a:19:{s:4:\"tmpl\";i:560;s:2:\"id\";i:6162;s:5:\"title\";s:11:\"Services 31\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_1.png\";s:12:\"tmpl_created\";i:1520443668;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:586;s:16:\"popularity_index\";i:372;s:11:\"trend_index\";i:550;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:731;a:19:{s:4:\"tmpl\";i:411;s:2:\"id\";i:4302;s:5:\"title\";s:10:\"Services 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_7.png\";s:12:\"tmpl_created\";i:1520443266;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:587;s:16:\"popularity_index\";i:58;s:11:\"trend_index\";i:97;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:732;a:19:{s:4:\"tmpl\";i:410;s:2:\"id\";i:4293;s:5:\"title\";s:10:\"Services 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_6.png\";s:12:\"tmpl_created\";i:1520443265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:588;s:16:\"popularity_index\";i:288;s:11:\"trend_index\";i:269;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:733;a:19:{s:4:\"tmpl\";i:409;s:2:\"id\";i:4284;s:5:\"title\";s:10:\"Services 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_5.png\";s:12:\"tmpl_created\";i:1520443263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:589;s:16:\"popularity_index\";i:27;s:11:\"trend_index\";i:21;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:734;a:19:{s:4:\"tmpl\";i:407;s:2:\"id\";i:4268;s:5:\"title\";s:10:\"Services 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_4.png\";s:12:\"tmpl_created\";i:1520443259;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:590;s:16:\"popularity_index\";i:173;s:11:\"trend_index\";i:213;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:735;a:19:{s:4:\"tmpl\";i:405;s:2:\"id\";i:4252;s:5:\"title\";s:10:\"Services 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_3.png\";s:12:\"tmpl_created\";i:1520443255;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:591;s:16:\"popularity_index\";i:46;s:11:\"trend_index\";i:99;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:736;a:19:{s:4:\"tmpl\";i:677;s:2:\"id\";i:8676;s:5:\"title\";s:13:\"single page 1\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.6.jpg\";s:12:\"tmpl_created\";i:1527682423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:592;s:16:\"popularity_index\";i:285;s:11:\"trend_index\";i:145;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:737;a:19:{s:4:\"tmpl\";i:678;s:2:\"id\";i:8678;s:5:\"title\";s:13:\"single page 2\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.2.jpg\";s:12:\"tmpl_created\";i:1527682780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:593;s:16:\"popularity_index\";i:140;s:11:\"trend_index\";i:82;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:738;a:19:{s:4:\"tmpl\";i:679;s:2:\"id\";i:8679;s:5:\"title\";s:13:\"single page 3\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.3.jpg\";s:12:\"tmpl_created\";i:1527682847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:594;s:16:\"popularity_index\";i:122;s:11:\"trend_index\";i:23;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:739;a:19:{s:4:\"tmpl\";i:680;s:2:\"id\";i:8680;s:5:\"title\";s:13:\"single page 4\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.1.jpg\";s:12:\"tmpl_created\";i:1527682896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:595;s:16:\"popularity_index\";i:373;s:11:\"trend_index\";i:190;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:740;a:19:{s:4:\"tmpl\";i:681;s:2:\"id\";i:8681;s:5:\"title\";s:13:\"single page 5\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.5.jpg\";s:12:\"tmpl_created\";i:1527682969;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:596;s:16:\"popularity_index\";i:287;s:11:\"trend_index\";i:218;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:741;a:19:{s:4:\"tmpl\";i:682;s:2:\"id\";i:8682;s:5:\"title\";s:13:\"single page 6\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.4.jpg\";s:12:\"tmpl_created\";i:1527683026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:597;s:16:\"popularity_index\";i:412;s:11:\"trend_index\";i:227;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:742;a:19:{s:4:\"tmpl\";i:683;s:2:\"id\";i:8703;s:5:\"title\";s:13:\"single page 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.7.jpg\";s:12:\"tmpl_created\";i:1527683072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:598;s:16:\"popularity_index\";i:401;s:11:\"trend_index\";i:316;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:743;a:19:{s:4:\"tmpl\";i:640;s:2:\"id\";i:7650;s:5:\"title\";s:13:\"Single Post 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_1_v2.jpg\";s:12:\"tmpl_created\";i:1521557736;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:599;s:16:\"popularity_index\";i:119;s:11:\"trend_index\";i:266;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:744;a:19:{s:4:\"tmpl\";i:639;s:2:\"id\";i:7663;s:5:\"title\";s:13:\"Single Post 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_2_v2.jpg\";s:12:\"tmpl_created\";i:1521547761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:600;s:16:\"popularity_index\";i:50;s:11:\"trend_index\";i:139;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:745;a:19:{s:4:\"tmpl\";i:705;s:2:\"id\";i:9296;s:5:\"title\";s:13:\"Single Post 3\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3002.jpg\";s:12:\"tmpl_created\";i:1537440673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:601;s:16:\"popularity_index\";i:213;s:11:\"trend_index\";i:204;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:746;a:19:{s:4:\"tmpl\";i:704;s:2:\"id\";i:9301;s:5:\"title\";s:13:\"Single Post 4\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3003.jpg\";s:12:\"tmpl_created\";i:1537440661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:602;s:16:\"popularity_index\";i:248;s:11:\"trend_index\";i:336;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:747;a:19:{s:4:\"tmpl\";i:706;s:2:\"id\";i:9313;s:5:\"title\";s:13:\"Single Post 5\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3001.jpg\";s:12:\"tmpl_created\";i:1537440798;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:603;s:16:\"popularity_index\";i:197;s:11:\"trend_index\";i:177;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:748;a:19:{s:4:\"tmpl\";i:707;s:2:\"id\";i:9343;s:5:\"title\";s:13:\"Single Post 6\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3004.jpg\";s:12:\"tmpl_created\";i:1537443531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:604;s:16:\"popularity_index\";i:228;s:11:\"trend_index\";i:279;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:749;a:19:{s:4:\"tmpl\";i:708;s:2:\"id\";i:9349;s:5:\"title\";s:13:\"Single Post 7\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3005.jpg\";s:12:\"tmpl_created\";i:1537443903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:605;s:16:\"popularity_index\";i:158;s:11:\"trend_index\";i:253;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:750;a:19:{s:4:\"tmpl\";i:555;s:2:\"id\";i:6114;s:5:\"title\";s:7:\"Stats 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_6.png\";s:12:\"tmpl_created\";i:1520443659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:610;s:16:\"popularity_index\";i:434;s:11:\"trend_index\";i:692;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:751;a:19:{s:4:\"tmpl\";i:562;s:2:\"id\";i:6178;s:5:\"title\";s:8:\"Stats 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_2.png\";s:12:\"tmpl_created\";i:1520443676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:611;s:16:\"popularity_index\";i:435;s:11:\"trend_index\";i:755;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:752;a:19:{s:4:\"tmpl\";i:561;s:2:\"id\";i:6170;s:5:\"title\";s:8:\"Stats 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_2.png\";s:12:\"tmpl_created\";i:1520443670;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:612;s:16:\"popularity_index\";i:366;s:11:\"trend_index\";i:552;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:753;a:19:{s:4:\"tmpl\";i:697;s:2:\"id\";i:9174;s:5:\"title\";s:17:\"single product 01\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product01_350.png\";s:12:\"tmpl_created\";i:1532950125;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:612;s:16:\"popularity_index\";i:31;s:11:\"trend_index\";i:6;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:754;a:19:{s:4:\"tmpl\";i:563;s:2:\"id\";i:6186;s:5:\"title\";s:8:\"Stats 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_3.png\";s:12:\"tmpl_created\";i:1520443678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:613;s:16:\"popularity_index\";i:569;s:11:\"trend_index\";i:811;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:755;a:19:{s:4:\"tmpl\";i:698;s:2:\"id\";i:9178;s:5:\"title\";s:17:\"single product 02\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product02_350new.png\";s:12:\"tmpl_created\";i:1532951997;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:613;s:16:\"popularity_index\";i:66;s:11:\"trend_index\";i:42;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:756;a:19:{s:4:\"tmpl\";i:550;s:2:\"id\";i:6071;s:5:\"title\";s:8:\"Stats 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_3.png\";s:12:\"tmpl_created\";i:1520443649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:614;s:16:\"popularity_index\";i:168;s:11:\"trend_index\";i:328;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:757;a:19:{s:4:\"tmpl\";i:699;s:2:\"id\";i:9180;s:5:\"title\";s:17:\"single product 03\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product03_350.png\";s:12:\"tmpl_created\";i:1532952302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:614;s:16:\"popularity_index\";i:108;s:11:\"trend_index\";i:66;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:758;a:19:{s:4:\"tmpl\";i:554;s:2:\"id\";i:6106;s:5:\"title\";s:7:\"Stats 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_6.png\";s:12:\"tmpl_created\";i:1520443657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:615;s:16:\"popularity_index\";i:361;s:11:\"trend_index\";i:784;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:759;a:19:{s:4:\"tmpl\";i:700;s:2:\"id\";i:9182;s:5:\"title\";s:17:\"single product 04\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product040_350.png\";s:12:\"tmpl_created\";i:1532952606;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:615;s:16:\"popularity_index\";i:123;s:11:\"trend_index\";i:81;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:760;a:19:{s:4:\"tmpl\";i:551;s:2:\"id\";i:6079;s:5:\"title\";s:7:\"Stats 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_4.png\";s:12:\"tmpl_created\";i:1520443651;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:616;s:16:\"popularity_index\";i:284;s:11:\"trend_index\";i:385;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:761;a:19:{s:4:\"tmpl\";i:552;s:2:\"id\";i:6089;s:5:\"title\";s:7:\"Stats 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_5.png\";s:12:\"tmpl_created\";i:1520443653;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:617;s:16:\"popularity_index\";i:205;s:11:\"trend_index\";i:452;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:762;a:19:{s:4:\"tmpl\";i:549;s:2:\"id\";i:6063;s:5:\"title\";s:7:\"Stats 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_2.png\";s:12:\"tmpl_created\";i:1520443647;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:618;s:16:\"popularity_index\";i:181;s:11:\"trend_index\";i:419;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:763;a:19:{s:4:\"tmpl\";i:553;s:2:\"id\";i:6097;s:5:\"title\";s:7:\"Stats 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_2.png\";s:12:\"tmpl_created\";i:1520443655;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:619;s:16:\"popularity_index\";i:264;s:11:\"trend_index\";i:492;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:764;a:19:{s:4:\"tmpl\";i:538;s:2:\"id\";i:5956;s:5:\"title\";s:7:\"Stats 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_1.png\";s:12:\"tmpl_created\";i:1520443623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:620;s:16:\"popularity_index\";i:532;s:11:\"trend_index\";i:541;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:765;a:19:{s:4:\"tmpl\";i:537;s:2:\"id\";i:5947;s:5:\"title\";s:7:\"Stats 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_1.png\";s:12:\"tmpl_created\";i:1520443621;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:621;s:16:\"popularity_index\";i:368;s:11:\"trend_index\";i:531;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:766;a:19:{s:4:\"tmpl\";i:559;s:2:\"id\";i:6152;s:5:\"title\";s:7:\"Stats 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_1.png\";s:12:\"tmpl_created\";i:1520443666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:622;s:16:\"popularity_index\";i:272;s:11:\"trend_index\";i:557;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:767;a:19:{s:4:\"tmpl\";i:469;s:2:\"id\";i:5157;s:5:\"title\";s:11:\"Subscribe 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_1.png\";s:12:\"tmpl_created\";i:1520443448;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:623;s:16:\"popularity_index\";i:340;s:11:\"trend_index\";i:293;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:768;a:19:{s:4:\"tmpl\";i:472;s:2:\"id\";i:5181;s:5:\"title\";s:11:\"Subscribe 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_2.png\";s:12:\"tmpl_created\";i:1520443454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/subscribe-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:624;s:16:\"popularity_index\";i:451;s:11:\"trend_index\";i:340;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:769;a:19:{s:4:\"tmpl\";i:470;s:2:\"id\";i:5165;s:5:\"title\";s:11:\"Subscribe 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_1.png\";s:12:\"tmpl_created\";i:1520443450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:625;s:16:\"popularity_index\";i:520;s:11:\"trend_index\";i:620;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:770;a:19:{s:4:\"tmpl\";i:477;s:2:\"id\";i:5222;s:5:\"title\";s:11:\"Subscribe 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_3.png\";s:12:\"tmpl_created\";i:1520443464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:626;s:16:\"popularity_index\";i:397;s:11:\"trend_index\";i:427;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:771;a:19:{s:4:\"tmpl\";i:471;s:2:\"id\";i:5173;s:5:\"title\";s:11:\"Subscribe 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_2.png\";s:12:\"tmpl_created\";i:1520443452;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:627;s:16:\"popularity_index\";i:261;s:11:\"trend_index\";i:237;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:772;a:19:{s:4:\"tmpl\";i:465;s:2:\"id\";i:4801;s:5:\"title\";s:7:\"Team 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_8.png\";s:12:\"tmpl_created\";i:1520443369;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:628;s:16:\"popularity_index\";i:332;s:11:\"trend_index\";i:188;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:773;a:19:{s:4:\"tmpl\";i:462;s:2:\"id\";i:4770;s:5:\"title\";s:7:\"Team 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_6.png\";s:12:\"tmpl_created\";i:1520443364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/team-12-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:629;s:16:\"popularity_index\";i:432;s:11:\"trend_index\";i:488;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:774;a:19:{s:4:\"tmpl\";i:458;s:2:\"id\";i:4727;s:5:\"title\";s:7:\"Team 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_2.png\";s:12:\"tmpl_created\";i:1520443356;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:630;s:16:\"popularity_index\";i:375;s:11:\"trend_index\";i:345;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:775;a:19:{s:4:\"tmpl\";i:543;s:2:\"id\";i:5999;s:5:\"title\";s:7:\"Team 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_10.png\";s:12:\"tmpl_created\";i:1520443634;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:631;s:16:\"popularity_index\";i:110;s:11:\"trend_index\";i:318;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:776;a:19:{s:4:\"tmpl\";i:455;s:2:\"id\";i:4698;s:5:\"title\";s:7:\"Team 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_1.png\";s:12:\"tmpl_created\";i:1520443350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:632;s:16:\"popularity_index\";i:449;s:11:\"trend_index\";i:410;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:777;a:19:{s:4:\"tmpl\";i:463;s:2:\"id\";i:4781;s:5:\"title\";s:7:\"Team 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_7.png\";s:12:\"tmpl_created\";i:1520443365;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:633;s:16:\"popularity_index\";i:267;s:11:\"trend_index\";i:330;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:778;a:19:{s:4:\"tmpl\";i:558;s:2:\"id\";i:6144;s:5:\"title\";s:7:\"Team 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_11.png\";s:12:\"tmpl_created\";i:1520443664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:634;s:16:\"popularity_index\";i:166;s:11:\"trend_index\";i:365;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:779;a:19:{s:4:\"tmpl\";i:464;s:2:\"id\";i:4793;s:5:\"title\";s:7:\"Team 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_8.png\";s:12:\"tmpl_created\";i:1520443367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:635;s:16:\"popularity_index\";i:207;s:11:\"trend_index\";i:173;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:780;a:19:{s:4:\"tmpl\";i:466;s:2:\"id\";i:4809;s:5:\"title\";s:7:\"Team 19\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_9.png\";s:12:\"tmpl_created\";i:1520443371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:636;s:16:\"popularity_index\";i:300;s:11:\"trend_index\";i:465;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:781;a:19:{s:4:\"tmpl\";i:459;s:2:\"id\";i:4736;s:5:\"title\";s:7:\"Team 20\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_4.png\";s:12:\"tmpl_created\";i:1520443358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:637;s:16:\"popularity_index\";i:144;s:11:\"trend_index\";i:159;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:782;a:19:{s:4:\"tmpl\";i:467;s:2:\"id\";i:4818;s:5:\"title\";s:7:\"Team 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_9.png\";s:12:\"tmpl_created\";i:1520443373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:638;s:16:\"popularity_index\";i:515;s:11:\"trend_index\";i:606;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:783;a:19:{s:4:\"tmpl\";i:461;s:2:\"id\";i:4759;s:5:\"title\";s:7:\"Team 22\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_5.png\";s:12:\"tmpl_created\";i:1520443362;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:639;s:16:\"popularity_index\";i:299;s:11:\"trend_index\";i:376;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:784;a:19:{s:4:\"tmpl\";i:460;s:2:\"id\";i:4746;s:5:\"title\";s:7:\"Team 23\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_4.png\";s:12:\"tmpl_created\";i:1520443360;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:640;s:16:\"popularity_index\";i:282;s:11:\"trend_index\";i:378;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:785;a:19:{s:4:\"tmpl\";i:457;s:2:\"id\";i:4718;s:5:\"title\";s:6:\"Team 4\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_3.png\";s:12:\"tmpl_created\";i:1520443354;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:641;s:16:\"popularity_index\";i:192;s:11:\"trend_index\";i:359;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:786;a:19:{s:4:\"tmpl\";i:456;s:2:\"id\";i:4706;s:5:\"title\";s:6:\"Team 5\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_2.png\";s:12:\"tmpl_created\";i:1520443352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:642;s:16:\"popularity_index\";i:149;s:11:\"trend_index\";i:299;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:787;a:19:{s:4:\"tmpl\";i:544;s:2:\"id\";i:6008;s:5:\"title\";s:6:\"Team 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_10.png\";s:12:\"tmpl_created\";i:1520443636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:643;s:16:\"popularity_index\";i:75;s:11:\"trend_index\";i:277;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:788;a:19:{s:4:\"tmpl\";i:454;s:2:\"id\";i:4690;s:5:\"title\";s:6:\"Team 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_1.png\";s:12:\"tmpl_created\";i:1520443348;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:644;s:16:\"popularity_index\";i:243;s:11:\"trend_index\";i:402;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:789;a:19:{s:4:\"tmpl\";i:586;s:2:\"id\";i:4921;s:5:\"title\";s:14:\"Testimonial 10\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_5.png\";s:12:\"tmpl_created\";i:1520520562;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:645;s:16:\"popularity_index\";i:219;s:11:\"trend_index\";i:198;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:790;a:19:{s:4:\"tmpl\";i:582;s:2:\"id\";i:4889;s:5:\"title\";s:14:\"Testimonial 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-2.jpg\";s:12:\"tmpl_created\";i:1520520556;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:646;s:16:\"popularity_index\";i:557;s:11:\"trend_index\";i:522;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:791;a:19:{s:4:\"tmpl\";i:580;s:2:\"id\";i:4871;s:5:\"title\";s:14:\"Testimonial 12\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_3.png\";s:12:\"tmpl_created\";i:1520520552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:647;s:16:\"popularity_index\";i:262;s:11:\"trend_index\";i:391;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:792;a:19:{s:4:\"tmpl\";i:578;s:2:\"id\";i:4854;s:5:\"title\";s:14:\"Testimonial 13\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_2.png\";s:12:\"tmpl_created\";i:1520520549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:648;s:16:\"popularity_index\";i:637;s:11:\"trend_index\";i:741;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:793;a:19:{s:4:\"tmpl\";i:595;s:2:\"id\";i:4995;s:5:\"title\";s:14:\"Testimonial 14\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_12.png\";s:12:\"tmpl_created\";i:1520520577;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:649;s:16:\"popularity_index\";i:400;s:11:\"trend_index\";i:411;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:794;a:19:{s:4:\"tmpl\";i:593;s:2:\"id\";i:4979;s:5:\"title\";s:14:\"Testimonial 15\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_10.png\";s:12:\"tmpl_created\";i:1520520573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:650;s:16:\"popularity_index\";i:568;s:11:\"trend_index\";i:544;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:795;a:19:{s:4:\"tmpl\";i:576;s:2:\"id\";i:4835;s:5:\"title\";s:14:\"Testimonial 16\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_1.png\";s:12:\"tmpl_created\";i:1520520546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:651;s:16:\"popularity_index\";i:399;s:11:\"trend_index\";i:401;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:796;a:19:{s:4:\"tmpl\";i:594;s:2:\"id\";i:4987;s:5:\"title\";s:14:\"Testimonial 17\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_12-1.png\";s:12:\"tmpl_created\";i:1520520575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:652;s:16:\"popularity_index\";i:159;s:11:\"trend_index\";i:199;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:797;a:19:{s:4:\"tmpl\";i:577;s:2:\"id\";i:4843;s:5:\"title\";s:14:\"Testimonial 18\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_2.png\";s:12:\"tmpl_created\";i:1520520548;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:653;s:16:\"popularity_index\";i:457;s:11:\"trend_index\";i:780;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:798;a:19:{s:4:\"tmpl\";i:579;s:2:\"id\";i:4863;s:5:\"title\";s:14:\"Testimonial 19\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_3.png\";s:12:\"tmpl_created\";i:1520520551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:654;s:16:\"popularity_index\";i:245;s:11:\"trend_index\";i:599;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:799;a:19:{s:4:\"tmpl\";i:581;s:2:\"id\";i:4880;s:5:\"title\";s:14:\"Testimonial 20\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-1.jpg\";s:12:\"tmpl_created\";i:1520520554;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:655;s:16:\"popularity_index\";i:446;s:11:\"trend_index\";i:653;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:800;a:19:{s:4:\"tmpl\";i:583;s:2:\"id\";i:4897;s:5:\"title\";s:14:\"Testimonial 21\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_5.png\";s:12:\"tmpl_created\";i:1520520557;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:656;s:16:\"popularity_index\";i:78;s:11:\"trend_index\";i:289;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:801;a:19:{s:4:\"tmpl\";i:584;s:2:\"id\";i:4905;s:5:\"title\";s:14:\"Testimonial 22\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_6.png\";s:12:\"tmpl_created\";i:1520520559;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:657;s:16:\"popularity_index\";i:121;s:11:\"trend_index\";i:221;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:802;a:19:{s:4:\"tmpl\";i:585;s:2:\"id\";i:4913;s:5:\"title\";s:14:\"Testimonial 23\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_7.png\";s:12:\"tmpl_created\";i:1520520561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:658;s:16:\"popularity_index\";i:247;s:11:\"trend_index\";i:566;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:803;a:19:{s:4:\"tmpl\";i:575;s:2:\"id\";i:4826;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_1.png\";s:12:\"tmpl_created\";i:1520520544;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-24-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:659;s:16:\"popularity_index\";i:256;s:11:\"trend_index\";i:395;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:804;a:19:{s:4:\"tmpl\";i:587;s:2:\"id\";i:4929;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_8.png\";s:12:\"tmpl_created\";i:1520520564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:660;s:16:\"popularity_index\";i:49;s:11:\"trend_index\";i:206;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:805;a:19:{s:4:\"tmpl\";i:591;s:2:\"id\";i:4963;s:5:\"title\";s:14:\"Testimonial 25\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_10.png\";s:12:\"tmpl_created\";i:1520520570;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-25-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:661;s:16:\"popularity_index\";i:417;s:11:\"trend_index\";i:546;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:806;a:19:{s:4:\"tmpl\";i:592;s:2:\"id\";i:4971;s:5:\"title\";s:14:\"Testimonial 26\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_11.png\";s:12:\"tmpl_created\";i:1520520572;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:662;s:16:\"popularity_index\";i:649;s:11:\"trend_index\";i:718;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:807;a:19:{s:4:\"tmpl\";i:589;s:2:\"id\";i:4947;s:5:\"title\";s:14:\"Testimonial 27\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_9.png\";s:12:\"tmpl_created\";i:1520520567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:663;s:16:\"popularity_index\";i:221;s:11:\"trend_index\";i:496;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:808;a:19:{s:4:\"tmpl\";i:590;s:2:\"id\";i:4955;s:5:\"title\";s:14:\"Testimonial 29\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_9.png\";s:12:\"tmpl_created\";i:1520520569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:664;s:16:\"popularity_index\";i:378;s:11:\"trend_index\";i:695;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:809;a:19:{s:4:\"tmpl\";i:588;s:2:\"id\";i:4939;s:5:\"title\";s:13:\"Testimonial 9\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_8.png\";s:12:\"tmpl_created\";i:1520520565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/testimonial-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:665;s:16:\"popularity_index\";i:103;s:11:\"trend_index\";i:341;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:810;a:19:{s:4:\"tmpl\";i:928;s:2:\"id\";i:12509;s:5:\"title\";s:18:\"Travel &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/404.png\";s:12:\"tmpl_created\";i:1575960378;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/travel-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:666;s:16:\"popularity_index\";i:747;s:11:\"trend_index\";i:712;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:811;a:19:{s:4:\"tmpl\";i:929;s:2:\"id\";i:12516;s:5:\"title\";s:27:\"Travel &#8211; Archive Blog\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Archiv_s.png\";s:12:\"tmpl_created\";i:1575960387;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/travel-archive-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:667;s:16:\"popularity_index\";i:496;s:11:\"trend_index\";i:487;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:812;a:19:{s:4:\"tmpl\";i:927;s:2:\"id\";i:12500;s:5:\"title\";s:21:\"Travel &#8211; Header\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-travel-and-tours.png\";s:12:\"tmpl_created\";i:1575960371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:668;s:16:\"popularity_index\";i:443;s:11:\"trend_index\";i:434;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:813;a:19:{s:4:\"tmpl\";i:930;s:2:\"id\";i:12524;s:5:\"title\";s:26:\"Travel &#8211; Single Post\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Post_s.png\";s:12:\"tmpl_created\";i:1575960397;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:669;s:16:\"popularity_index\";i:591;s:11:\"trend_index\";i:663;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:814;a:19:{s:4:\"tmpl\";i:931;s:2:\"id\";i:12531;s:5:\"title\";s:31:\"Travel &#8211; Single Post Tour\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Tour_s.png\";s:12:\"tmpl_created\";i:1575960404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/travel-single-post-tour/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:670;s:16:\"popularity_index\";i:630;s:11:\"trend_index\";i:548;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:815;a:19:{s:4:\"tmpl\";i:926;s:2:\"id\";i:12492;s:5:\"title\";s:14:\"Travel -Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Footer_s.png\";s:12:\"tmpl_created\";i:1575960358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:671;s:16:\"popularity_index\";i:453;s:11:\"trend_index\";i:322;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:816;a:19:{s:4:\"tmpl\";i:1068;s:2:\"id\";i:15498;s:5:\"title\";s:23:\"Travel Blog &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/11/404.jpg\";s:12:\"tmpl_created\";i:1606215636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/travel-blog-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:23:\"[\"404\",\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:672;s:16:\"popularity_index\";i:749;s:11:\"trend_index\";i:759;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:817;a:19:{s:4:\"tmpl\";i:1069;s:2:\"id\";i:15508;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-1-350.jpg\";s:12:\"tmpl_created\";i:1606215649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:673;s:16:\"popularity_index\";i:659;s:11:\"trend_index\";i:468;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:818;a:19:{s:4:\"tmpl\";i:1070;s:2:\"id\";i:15518;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-2-350-Copy.jpg\";s:12:\"tmpl_created\";i:1606215663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:674;s:16:\"popularity_index\";i:688;s:11:\"trend_index\";i:431;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:819;a:19:{s:4:\"tmpl\";i:1071;s:2:\"id\";i:15528;s:5:\"title\";s:26:\"Travel Blog &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Footer.jpg\";s:12:\"tmpl_created\";i:1606215673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:26:\"[\"Blog\",\"Footer\",\"Travel\"]\";s:10:\"menu_order\";i:675;s:16:\"popularity_index\";i:656;s:11:\"trend_index\";i:377;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:820;a:19:{s:4:\"tmpl\";i:1067;s:2:\"id\";i:15536;s:5:\"title\";s:26:\"Travel Blog &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Header.jpg\";s:12:\"tmpl_created\";i:1606215625;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:26:\"[\"Blog\",\"Header\",\"Travel\"]\";s:10:\"menu_order\";i:676;s:16:\"popularity_index\";i:584;s:11:\"trend_index\";i:228;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:821;a:19:{s:4:\"tmpl\";i:1072;s:2:\"id\";i:15545;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-1-350.jpg\";s:12:\"tmpl_created\";i:1606215684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:677;s:16:\"popularity_index\";i:669;s:11:\"trend_index\";i:482;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:822;a:19:{s:4:\"tmpl\";i:1066;s:2:\"id\";i:15556;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 2\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-2-350.jpg\";s:12:\"tmpl_created\";i:1606215613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:678;s:16:\"popularity_index\";i:652;s:11:\"trend_index\";i:454;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}}}", "no");
INSERT INTO `wp_sa_options` VALUES("192", "elementor_remote_info_feed_data", "a:3:{i:0;a:5:{s:5:\"title\";s:73:\"AI 0.4 Release: Context Boosts A 58% Content Uplift for Improved Workflow\";s:7:\"excerpt\";s:163:\"Hitting creative walls & code roadblocks? Elementor AI\'s update creates a future where AI writes captivating copy with a 58% approval boost... what else can it do?\";s:7:\"created\";i:1716217283;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:155:\"https://elementor.com/blog/elementor-ai-enhanced-workflow-and-high-quality-results/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:1;a:5:{s:5:\"title\";s:97:\"Introducing Elementor 3.21: Loop Taxonomy Query for Listings, Performance Improvements, and More!\";s:7:\"excerpt\";s:160:\"Version 3.21 includes the ability to build listings for your categories and tags and significant performance improvements alongside an exciting new AI feature. \";s:7:\"created\";i:1714559068;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:152:\"https://elementor.com/blog/elementor-321-taxonomy-query-performance-improvement/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:2;a:5:{s:5:\"title\";s:71:\"6 Best WordPress Image Optimization Plugins of 2024 (+Real Image Tests)\";s:7:\"excerpt\";s:116:\"Explore the top 6 WordPress image optimization plugins of 2024 for faster site speed and better SEO with real tests.\";s:7:\"created\";i:1712656602;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:126:\"https://elementor.com/blog/image-optimization-plugins/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}}", "no");
INSERT INTO `wp_sa_options` VALUES("197", "elementor_pro_version", "3.21.0", "yes");
INSERT INTO `wp_sa_options` VALUES("198", "widget_elementor-library", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("199", "_elementor_pro_installed_time", "1688292894", "yes");
INSERT INTO `wp_sa_options` VALUES("200", "elementor_notes_db_version", "5", "yes");
INSERT INTO `wp_sa_options` VALUES("201", "elementor_submissions_db_version", "5", "yes");
INSERT INTO `wp_sa_options` VALUES("203", "_elementor_pro_api_requests_lock", "a:1:{s:11:\"get_version\";i:1716803600;}", "yes");
INSERT INTO `wp_sa_options` VALUES("206", "jet-license-data", "a:1:{s:12:\"license-list\";a:0:{}}", "yes");
INSERT INTO `wp_sa_options` VALUES("217", "jet_is_modify_tm_license_data", "true", "yes");
INSERT INTO `wp_sa_options` VALUES("225", "action_scheduler_hybrid_store_demarkation", "7", "yes");
INSERT INTO `wp_sa_options` VALUES("226", "schema-ActionScheduler_StoreSchema", "7.0.1690694698", "yes");
INSERT INTO `wp_sa_options` VALUES("227", "schema-ActionScheduler_LoggerSchema", "3.0.1688293668", "yes");
INSERT INTO `wp_sa_options` VALUES("230", "woocommerce_schema_version", "430", "yes");
INSERT INTO `wp_sa_options` VALUES("231", "woocommerce_store_address", "", "yes");
INSERT INTO `wp_sa_options` VALUES("232", "woocommerce_store_address_2", "", "yes");
INSERT INTO `wp_sa_options` VALUES("233", "woocommerce_store_city", "", "yes");
INSERT INTO `wp_sa_options` VALUES("234", "woocommerce_default_country", "IR:YZD", "yes");
INSERT INTO `wp_sa_options` VALUES("235", "woocommerce_store_postcode", "", "yes");
INSERT INTO `wp_sa_options` VALUES("236", "woocommerce_allowed_countries", "all", "yes");
INSERT INTO `wp_sa_options` VALUES("237", "woocommerce_all_except_countries", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("238", "woocommerce_specific_allowed_countries", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("239", "woocommerce_ship_to_countries", "", "yes");
INSERT INTO `wp_sa_options` VALUES("240", "woocommerce_specific_ship_to_countries", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("241", "woocommerce_default_customer_address", "base", "yes");
INSERT INTO `wp_sa_options` VALUES("242", "woocommerce_calc_taxes", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("243", "woocommerce_enable_coupons", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("244", "woocommerce_calc_discounts_sequentially", "no", "no");
INSERT INTO `wp_sa_options` VALUES("245", "woocommerce_currency", "IRT", "yes");
INSERT INTO `wp_sa_options` VALUES("246", "woocommerce_currency_pos", "left", "yes");
INSERT INTO `wp_sa_options` VALUES("247", "woocommerce_price_thousand_sep", ".", "yes");
INSERT INTO `wp_sa_options` VALUES("248", "woocommerce_price_decimal_sep", ",", "yes");
INSERT INTO `wp_sa_options` VALUES("249", "woocommerce_price_num_decimals", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("250", "woocommerce_shop_page_id", "14", "yes");
INSERT INTO `wp_sa_options` VALUES("251", "woocommerce_cart_redirect_after_add", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("252", "woocommerce_enable_ajax_add_to_cart", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("253", "woocommerce_placeholder_image", "13", "yes");
INSERT INTO `wp_sa_options` VALUES("254", "woocommerce_weight_unit", "kg", "yes");
INSERT INTO `wp_sa_options` VALUES("255", "woocommerce_dimension_unit", "cm", "yes");
INSERT INTO `wp_sa_options` VALUES("256", "woocommerce_enable_reviews", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("257", "woocommerce_review_rating_verification_label", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("258", "woocommerce_review_rating_verification_required", "no", "no");
INSERT INTO `wp_sa_options` VALUES("259", "woocommerce_enable_review_rating", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("260", "woocommerce_review_rating_required", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("261", "woocommerce_manage_stock", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("262", "woocommerce_hold_stock_minutes", "60", "no");
INSERT INTO `wp_sa_options` VALUES("263", "woocommerce_notify_low_stock", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("264", "woocommerce_notify_no_stock", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("265", "woocommerce_stock_email_recipient", "designer@abzarwp.com", "no");
INSERT INTO `wp_sa_options` VALUES("266", "woocommerce_notify_low_stock_amount", "2", "no");
INSERT INTO `wp_sa_options` VALUES("267", "woocommerce_notify_no_stock_amount", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("268", "woocommerce_hide_out_of_stock_items", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("269", "woocommerce_stock_format", "", "yes");
INSERT INTO `wp_sa_options` VALUES("270", "woocommerce_file_download_method", "force", "no");
INSERT INTO `wp_sa_options` VALUES("271", "woocommerce_downloads_redirect_fallback_allowed", "no", "no");
INSERT INTO `wp_sa_options` VALUES("272", "woocommerce_downloads_require_login", "no", "no");
INSERT INTO `wp_sa_options` VALUES("273", "woocommerce_downloads_grant_access_after_payment", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("274", "woocommerce_downloads_deliver_inline", "", "no");
INSERT INTO `wp_sa_options` VALUES("275", "woocommerce_downloads_add_hash_to_filename", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("276", "woocommerce_attribute_lookup_enabled", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("277", "woocommerce_attribute_lookup_direct_updates", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("278", "woocommerce_prices_include_tax", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("279", "woocommerce_tax_based_on", "shipping", "yes");
INSERT INTO `wp_sa_options` VALUES("280", "woocommerce_shipping_tax_class", "inherit", "yes");
INSERT INTO `wp_sa_options` VALUES("281", "woocommerce_tax_round_at_subtotal", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("282", "woocommerce_tax_classes", "", "yes");
INSERT INTO `wp_sa_options` VALUES("283", "woocommerce_tax_display_shop", "excl", "yes");
INSERT INTO `wp_sa_options` VALUES("284", "woocommerce_tax_display_cart", "excl", "yes");
INSERT INTO `wp_sa_options` VALUES("285", "woocommerce_price_display_suffix", "", "yes");
INSERT INTO `wp_sa_options` VALUES("286", "woocommerce_tax_total_display", "itemized", "no");
INSERT INTO `wp_sa_options` VALUES("287", "woocommerce_enable_shipping_calc", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("288", "woocommerce_shipping_cost_requires_address", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("289", "woocommerce_ship_to_destination", "billing", "no");
INSERT INTO `wp_sa_options` VALUES("290", "woocommerce_shipping_debug_mode", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("291", "woocommerce_enable_guest_checkout", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("292", "woocommerce_enable_checkout_login_reminder", "no", "no");
INSERT INTO `wp_sa_options` VALUES("293", "woocommerce_enable_signup_and_login_from_checkout", "no", "no");
INSERT INTO `wp_sa_options` VALUES("294", "woocommerce_enable_myaccount_registration", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("295", "woocommerce_registration_generate_username", "no", "no");
INSERT INTO `wp_sa_options` VALUES("296", "woocommerce_registration_generate_password", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("297", "woocommerce_erasure_request_removes_order_data", "no", "no");
INSERT INTO `wp_sa_options` VALUES("298", "woocommerce_erasure_request_removes_download_data", "no", "no");
INSERT INTO `wp_sa_options` VALUES("299", "woocommerce_allow_bulk_remove_personal_data", "no", "no");
INSERT INTO `wp_sa_options` VALUES("300", "woocommerce_registration_privacy_policy_text", "اطلاعات شخصی شما برای پردازش سفارش شما استفاده می‌شود، و پشتیبانی از تجربه شما در این وبسایت، و برای اهداف دیگری که در [privacy_policy] توضیح داده شده است.", "yes");
INSERT INTO `wp_sa_options` VALUES("301", "woocommerce_checkout_privacy_policy_text", "اطلاعات شخصی شما برای پردازش سفارش شما، پشتیبانی از تجربه شما در سراسر این وب سایت و برای اهدافی که در [privacy_policy] ذکر شده است استفاده می شود.", "yes");
INSERT INTO `wp_sa_options` VALUES("302", "woocommerce_delete_inactive_accounts", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:6:\"months\";}", "no");
INSERT INTO `wp_sa_options` VALUES("303", "woocommerce_trash_pending_orders", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:4:\"days\";}", "no");
INSERT INTO `wp_sa_options` VALUES("304", "woocommerce_trash_failed_orders", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:4:\"days\";}", "no");
INSERT INTO `wp_sa_options` VALUES("305", "woocommerce_trash_cancelled_orders", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:4:\"days\";}", "no");
INSERT INTO `wp_sa_options` VALUES("306", "woocommerce_anonymize_completed_orders", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:6:\"months\";}", "no");
INSERT INTO `wp_sa_options` VALUES("307", "woocommerce_email_from_name", "سایت آماده چندفروشندگی", "no");
INSERT INTO `wp_sa_options` VALUES("308", "woocommerce_email_from_address", "designer@abzarwp.com", "no");
INSERT INTO `wp_sa_options` VALUES("309", "woocommerce_email_header_image", "", "no");
INSERT INTO `wp_sa_options` VALUES("310", "woocommerce_email_footer_text", "{site_title} &mdash; Built with {WooCommerce}", "no");
INSERT INTO `wp_sa_options` VALUES("311", "woocommerce_email_base_color", "#7f54b3", "no");
INSERT INTO `wp_sa_options` VALUES("312", "woocommerce_email_background_color", "#f7f7f7", "no");
INSERT INTO `wp_sa_options` VALUES("313", "woocommerce_email_body_background_color", "#ffffff", "no");
INSERT INTO `wp_sa_options` VALUES("314", "woocommerce_email_text_color", "#3c3c3c", "no");
INSERT INTO `wp_sa_options` VALUES("315", "woocommerce_merchant_email_notifications", "no", "no");
INSERT INTO `wp_sa_options` VALUES("316", "woocommerce_cart_page_id", "15", "no");
INSERT INTO `wp_sa_options` VALUES("317", "woocommerce_checkout_page_id", "16", "no");
INSERT INTO `wp_sa_options` VALUES("318", "woocommerce_myaccount_page_id", "17", "no");
INSERT INTO `wp_sa_options` VALUES("319", "woocommerce_terms_page_id", "", "no");
INSERT INTO `wp_sa_options` VALUES("320", "woocommerce_checkout_pay_endpoint", "order-pay", "yes");
INSERT INTO `wp_sa_options` VALUES("321", "woocommerce_checkout_order_received_endpoint", "order-received", "yes");
INSERT INTO `wp_sa_options` VALUES("322", "woocommerce_myaccount_add_payment_method_endpoint", "add-payment-method", "yes");
INSERT INTO `wp_sa_options` VALUES("323", "woocommerce_myaccount_delete_payment_method_endpoint", "delete-payment-method", "yes");
INSERT INTO `wp_sa_options` VALUES("324", "woocommerce_myaccount_set_default_payment_method_endpoint", "set-default-payment-method", "yes");
INSERT INTO `wp_sa_options` VALUES("325", "woocommerce_myaccount_orders_endpoint", "orders", "yes");
INSERT INTO `wp_sa_options` VALUES("326", "woocommerce_myaccount_view_order_endpoint", "view-order", "yes");
INSERT INTO `wp_sa_options` VALUES("327", "woocommerce_myaccount_downloads_endpoint", "downloads", "yes");
INSERT INTO `wp_sa_options` VALUES("328", "woocommerce_myaccount_edit_account_endpoint", "edit-account", "yes");
INSERT INTO `wp_sa_options` VALUES("329", "woocommerce_myaccount_edit_address_endpoint", "edit-address", "yes");
INSERT INTO `wp_sa_options` VALUES("330", "woocommerce_myaccount_payment_methods_endpoint", "payment-methods", "yes");
INSERT INTO `wp_sa_options` VALUES("331", "woocommerce_myaccount_lost_password_endpoint", "lost-password", "yes");
INSERT INTO `wp_sa_options` VALUES("332", "woocommerce_logout_endpoint", "customer-logout", "yes");
INSERT INTO `wp_sa_options` VALUES("333", "woocommerce_api_enabled", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("334", "woocommerce_allow_tracking", "no", "no");
INSERT INTO `wp_sa_options` VALUES("335", "woocommerce_show_marketplace_suggestions", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("336", "woocommerce_analytics_enabled", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("337", "woocommerce_navigation_enabled", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("338", "woocommerce_feature_product_block_editor_enabled", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("339", "woocommerce_feature_custom_order_tables_enabled", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("340", "woocommerce_single_image_width", "600", "yes");
INSERT INTO `wp_sa_options` VALUES("341", "woocommerce_thumbnail_image_width", "300", "yes");
INSERT INTO `wp_sa_options` VALUES("342", "woocommerce_checkout_highlight_required_fields", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("343", "woocommerce_demo_store", "no", "no");
INSERT INTO `wp_sa_options` VALUES("344", "wc_downloads_approved_directories_mode", "enabled", "yes");
INSERT INTO `wp_sa_options` VALUES("345", "woocommerce_permalinks", "a:5:{s:12:\"product_base\";s:8:\"/product\";s:13:\"category_base\";s:16:\"product-category\";s:8:\"tag_base\";s:11:\"product-tag\";s:14:\"attribute_base\";s:0:\"\";s:22:\"use_verbose_page_rules\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("346", "current_theme_supports_woocommerce", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("347", "woocommerce_queue_flush_rewrite_rules", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("350", "default_product_cat", "15", "yes");
INSERT INTO `wp_sa_options` VALUES("352", "woocommerce_refund_returns_page_id", "18", "yes");
INSERT INTO `wp_sa_options` VALUES("355", "woocommerce_paypal_settings", "a:23:{s:7:\"enabled\";s:2:\"no\";s:5:\"title\";s:13:\"پی‌پال\";s:11:\"description\";s:168:\"پرداخت از راه پی‌پال، اگر حساب کاربری پی‌پال ندارید، می توانید با کارت اعتباری پرداخت کنید.\";s:5:\"email\";s:20:\"designer@abzarwp.com\";s:8:\"advanced\";s:0:\"\";s:8:\"testmode\";s:2:\"no\";s:5:\"debug\";s:2:\"no\";s:16:\"ipn_notification\";s:3:\"yes\";s:14:\"receiver_email\";s:20:\"designer@abzarwp.com\";s:14:\"identity_token\";s:0:\"\";s:14:\"invoice_prefix\";s:3:\"WC-\";s:13:\"send_shipping\";s:3:\"yes\";s:16:\"address_override\";s:2:\"no\";s:13:\"paymentaction\";s:4:\"sale\";s:9:\"image_url\";s:0:\"\";s:11:\"api_details\";s:0:\"\";s:12:\"api_username\";s:0:\"\";s:12:\"api_password\";s:0:\"\";s:13:\"api_signature\";s:0:\"\";s:20:\"sandbox_api_username\";s:0:\"\";s:20:\"sandbox_api_password\";s:0:\"\";s:21:\"sandbox_api_signature\";s:0:\"\";s:12:\"_should_load\";s:2:\"no\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("356", "woocommerce_version", "8.9.1", "yes");
INSERT INTO `wp_sa_options` VALUES("357", "woocommerce_db_version", "8.9.1", "yes");
INSERT INTO `wp_sa_options` VALUES("358", "woocommerce_admin_install_timestamp", "1688293669", "yes");
INSERT INTO `wp_sa_options` VALUES("359", "woocommerce_inbox_variant_assignment", "3", "yes");
INSERT INTO `wp_sa_options` VALUES("364", "action_scheduler_lock_async-request-runner", "66545df316efe0.66240447|1716805167", "yes");
INSERT INTO `wp_sa_options` VALUES("365", "woocommerce_admin_notices", "a:1:{i:0;s:6:\"update\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("366", "woocommerce_maxmind_geolocation_settings", "a:1:{s:15:\"database_prefix\";s:32:\"mCPDzK9UAXtXDtVw7hD2hvqODUoHjhcu\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("368", "widget_woocommerce_widget_cart", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("369", "widget_woocommerce_layered_nav_filters", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("370", "widget_woocommerce_layered_nav", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("371", "widget_woocommerce_price_filter", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("372", "widget_woocommerce_product_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("373", "widget_woocommerce_product_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("374", "widget_woocommerce_product_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("375", "widget_woocommerce_products", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("376", "widget_woocommerce_recently_viewed_products", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("377", "widget_woocommerce_top_rated_products", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("378", "widget_woocommerce_recent_reviews", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("379", "widget_woocommerce_rating_filter", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("393", "wc_remote_inbox_notifications_stored_state", "O:8:\"stdClass\":2:{s:22:\"there_were_no_products\";b:1;s:22:\"there_are_now_products\";b:1;}", "no");
INSERT INTO `wp_sa_options` VALUES("394", "wc_blocks_db_schema_version", "260", "yes");
INSERT INTO `wp_sa_options` VALUES("413", "woocommerce_task_list_tracked_completed_tasks", "a:3:{i:0;s:8:\"purchase\";i:1;s:8:\"products\";i:2;s:8:\"shipping\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("414", "woocommerce_onboarding_profile", "a:10:{s:18:\"is_agree_marketing\";b:0;s:11:\"store_email\";s:20:\"designer@abzarwp.com\";s:20:\"is_store_country_set\";b:1;s:8:\"industry\";a:1:{i:0;a:1:{s:4:\"slug\";s:5:\"other\";}}s:13:\"product_types\";a:1:{i:0;s:8:\"physical\";}s:13:\"product_count\";s:5:\"1000+\";s:14:\"selling_venues\";s:2:\"no\";s:12:\"setup_client\";b:1;s:19:\"business_extensions\";a:4:{i:0;s:7:\"jetpack\";i:1;s:8:\"mailpoet\";i:2;s:23:\"google-listings-and-ads\";i:3;s:25:\"pinterest-for-woocommerce\";}s:9:\"completed\";b:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("416", "woocommerce_task_list_dismissed_tasks", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("433", "mailpoet_plugin_activated", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("441", "jetpack_connection_active_plugins", "a:1:{s:11:\"woocommerce\";a:1:{s:4:\"name\";s:14:\"ووکامرس\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("445", "pinterest-for-woocommerce-update-version", "1.3.5", "yes");
INSERT INTO `wp_sa_options` VALUES("447", "widget_mailpoet_form", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("448", "do_activate", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("455", "pinterest_for_woocommerce", "a:2:{s:22:\"ads_campaign_is_active\";b:0;s:12:\"account_data\";a:2:{s:16:\"is_billing_setup\";b:0;s:19:\"available_discounts\";b:0;}}", "yes");
INSERT INTO `wp_sa_options` VALUES("458", "pinterest_for_woocommerce_marketing_notifications_init_timestamp", "1688293791", "yes");
INSERT INTO `wp_sa_options` VALUES("459", "pinterest_for_woocommerce_data", "a:3:{s:14:\"local_feed_ids\";b:0;s:15:\"feed_registered\";b:0;s:15:\"feed_data_cache\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("462", "gla_file_version", "2.4.10", "yes");
INSERT INTO `wp_sa_options` VALUES("463", "gla_install_timestamp", "1688293792", "yes");
INSERT INTO `wp_sa_options` VALUES("464", "gla_db_version", "2.4.10", "yes");
INSERT INTO `wp_sa_options` VALUES("512", "jetpack_search_plan_info", "a:3:{s:23:\"supports_instant_search\";b:0;s:28:\"supports_only_classic_search\";b:0;s:15:\"supports_search\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("516", "jetpack_plugin_api_action_links", "a:3:{s:23:\"elementor/elementor.php\";a:1:{s:14:\"تنظیمات\";s:65:\"https://halochin.ir/multivendor/wp-admin/admin.php?page=elementor\";}s:19:\"jetpack/jetpack.php\";a:2:{s:14:\"تنظیمات\";s:73:\"https://halochin.ir/multivendor/wp-admin/admin.php?page=jetpack#/settings\";s:16:\"پشتیبانی\";s:72:\"https://halochin.ir/multivendor/wp-admin/admin.php?page=jetpack-debugger\";}s:27:\"woocommerce/woocommerce.php\";a:1:{s:16:\"پیکربندی\";s:67:\"https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("520", "elementor_fonts_manager_font_types", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("521", "elementor_fonts_manager_fonts", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("522", "elementor_custom_icon_sets_config", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("523", "verification_services_codes", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("600", "jpsq_sync_checkout", "0:0", "no");
INSERT INTO `wp_sa_options` VALUES("601", "jp_sync_lock_full_sync", "", "no");
INSERT INTO `wp_sa_options` VALUES("602", "jp_sync_last_success_immediate-send", "1688293821.1413", "no");
INSERT INTO `wp_sa_options` VALUES("605", "jp_sync_last_success_sync", "1688293917.4588", "no");
INSERT INTO `wp_sa_options` VALUES("611", "woocommerce_setup_jetpack_opted_in", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("614", "jp_sync_retry_after_immediate-send", "1688293825.8511", "no");
INSERT INTO `wp_sa_options` VALUES("615", "jp_sync_error_log_immediate-send", "a:3:{s:15:\"1688293819.1762\";O:8:\"WP_Error\":3:{s:6:\"errors\";a:1:{s:24:\"concurrent_request_error\";a:1:{i:0;s:53:\"There is another request running for the same blog ID\";}}s:10:\"error_data\";a:1:{s:24:\"concurrent_request_error\";a:5:{s:7:\"headers\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sun, 02 Jul 2023 10:30:19 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"vary\";a:2:{i:0;s:15:\"Accept-Encoding\";i:1;s:20:\"accept, content-type\";}s:8:\"x-hacker\";s:108:\"If you\'re reading this, you should visit automattic.com/jobs and apply to join the fun, mention this header.\";s:11:\"host-header\";s:13:\"WordPress.com\";s:11:\"retry-after\";s:1:\"5\";s:16:\"content-encoding\";s:2:\"br\";s:4:\"x-ac\";s:17:\"4.vie _dca BYPASS\";s:25:\"strict-transport-security\";s:16:\"max-age=31536000\";}s:4:\"body\";s:461:\"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<methodResponse>\n  <fault>\n    <value>\n      <struct>\n        <member>\n          <name>faultCode</name>\n          <value><int>400</int></value>\n        </member>\n        <member>\n          <name>faultString</name>\n          <value><string>Jetpack: [concurrent_request_error] There is another request running for the same blog ID</string></value>\n        </member>\n      </struct>\n    </value>\n  </fault>\n</methodResponse>\n\";s:8:\"response\";a:2:{s:4:\"code\";i:200;s:7:\"message\";s:2:\"OK\";}s:7:\"cookies\";a:0:{}s:8:\"filename\";N;}}s:18:\"\0*\0additional_data\";a:1:{s:24:\"concurrent_request_error\";a:1:{i:0;i:400;}}}s:15:\"1688293820.5495\";O:8:\"WP_Error\":3:{s:6:\"errors\";a:1:{s:24:\"concurrent_request_error\";a:1:{i:0;s:53:\"There is another request running for the same blog ID\";}}s:10:\"error_data\";a:1:{s:24:\"concurrent_request_error\";a:5:{s:7:\"headers\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sun, 02 Jul 2023 10:30:20 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"vary\";a:2:{i:0;s:15:\"Accept-Encoding\";i:1;s:20:\"accept, content-type\";}s:8:\"x-hacker\";s:108:\"If you\'re reading this, you should visit automattic.com/jobs and apply to join the fun, mention this header.\";s:11:\"host-header\";s:13:\"WordPress.com\";s:11:\"retry-after\";s:1:\"5\";s:16:\"content-encoding\";s:2:\"br\";s:4:\"x-ac\";s:17:\"4.vie _dca BYPASS\";s:25:\"strict-transport-security\";s:16:\"max-age=31536000\";}s:4:\"body\";s:461:\"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<methodResponse>\n  <fault>\n    <value>\n      <struct>\n        <member>\n          <name>faultCode</name>\n          <value><int>400</int></value>\n        </member>\n        <member>\n          <name>faultString</name>\n          <value><string>Jetpack: [concurrent_request_error] There is another request running for the same blog ID</string></value>\n        </member>\n      </struct>\n    </value>\n  </fault>\n</methodResponse>\n\";s:8:\"response\";a:2:{s:4:\"code\";i:200;s:7:\"message\";s:2:\"OK\";}s:7:\"cookies\";a:0:{}s:8:\"filename\";N;}}s:18:\"\0*\0additional_data\";a:1:{s:24:\"concurrent_request_error\";a:1:{i:0;i:400;}}}s:15:\"1688293820.8524\";O:8:\"WP_Error\":3:{s:6:\"errors\";a:1:{s:24:\"concurrent_request_error\";a:1:{i:0;s:53:\"There is another request running for the same blog ID\";}}s:10:\"error_data\";a:1:{s:24:\"concurrent_request_error\";a:5:{s:7:\"headers\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sun, 02 Jul 2023 10:30:20 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"vary\";a:2:{i:0;s:15:\"Accept-Encoding\";i:1;s:20:\"accept, content-type\";}s:8:\"x-hacker\";s:108:\"If you\'re reading this, you should visit automattic.com/jobs and apply to join the fun, mention this header.\";s:11:\"host-header\";s:13:\"WordPress.com\";s:11:\"retry-after\";s:1:\"5\";s:16:\"content-encoding\";s:2:\"br\";s:4:\"x-ac\";s:17:\"4.vie _dca BYPASS\";s:25:\"strict-transport-security\";s:16:\"max-age=31536000\";}s:4:\"body\";s:461:\"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<methodResponse>\n  <fault>\n    <value>\n      <struct>\n        <member>\n          <name>faultCode</name>\n          <value><int>400</int></value>\n        </member>\n        <member>\n          <name>faultString</name>\n          <value><string>Jetpack: [concurrent_request_error] There is another request running for the same blog ID</string></value>\n        </member>\n      </struct>\n    </value>\n  </fault>\n</methodResponse>\n\";s:8:\"response\";a:2:{s:4:\"code\";i:200;s:7:\"message\";s:2:\"OK\";}s:7:\"cookies\";a:0:{}s:8:\"filename\";N;}}s:18:\"\0*\0additional_data\";a:1:{s:24:\"concurrent_request_error\";a:1:{i:0;i:400;}}}}", "yes");
INSERT INTO `wp_sa_options` VALUES("626", "trusted_ip_header", "O:8:\"stdClass\":3:{s:14:\"trusted_header\";s:11:\"REMOTE_ADDR\";s:8:\"segments\";i:1;s:7:\"reverse\";b:0;}", "no");
INSERT INTO `wp_sa_options` VALUES("724", "jetpack_constants_sync_checksum", "a:33:{s:7:\"ABSPATH\";i:809045381;s:17:\"ALTERNATE_WP_CRON\";i:634125391;s:16:\"ATOMIC_CLIENT_ID\";i:634125391;s:26:\"AUTOMATIC_UPDATER_DISABLED\";i:634125391;s:15:\"DISABLE_WP_CRON\";i:634125391;s:18:\"DISALLOW_FILE_EDIT\";i:634125391;s:18:\"DISALLOW_FILE_MODS\";i:634125391;s:16:\"EMPTY_TRASH_DAYS\";i:2473281379;s:9:\"FS_METHOD\";i:634125391;s:12:\"IS_PRESSABLE\";i:634125391;s:16:\"JETPACK__VERSION\";i:2632597233;s:11:\"PHP_VERSION\";i:2642017422;s:19:\"WP_ACCESSIBLE_HOSTS\";i:634125391;s:19:\"WP_AUTO_UPDATE_CORE\";i:634125391;s:14:\"WP_CONTENT_DIR\";i:1638047254;s:20:\"WP_CRON_LOCK_TIMEOUT\";i:3994858278;s:8:\"WP_DEBUG\";i:734881840;s:22:\"WP_HTTP_BLOCK_EXTERNAL\";i:634125391;s:19:\"WP_MAX_MEMORY_LIMIT\";i:3338032211;s:15:\"WP_MEMORY_LIMIT\";i:3065409971;s:17:\"WP_POST_REVISIONS\";i:4261170317;s:14:\"WC_PLUGIN_FILE\";i:1521997982;s:10:\"WC_ABSPATH\";i:2383285170;s:18:\"WC_PLUGIN_BASENAME\";i:1149093810;s:10:\"WC_VERSION\";i:3065097289;s:19:\"WOOCOMMERCE_VERSION\";i:3065097289;s:21:\"WC_ROUNDING_PRECISION\";i:498629140;s:25:\"WC_DISCOUNT_ROUNDING_MODE\";i:450215437;s:20:\"WC_TAX_ROUNDING_MODE\";i:2212294583;s:12:\"WC_DELIMITER\";i:2455911554;s:10:\"WC_LOG_DIR\";i:618589491;s:22:\"WC_SESSION_CACHE_GROUP\";i:4278978988;s:22:\"WC_TEMPLATE_DEBUG_MODE\";i:734881840;}", "yes");
INSERT INTO `wp_sa_options` VALUES("725", "jetpack_sync_https_history_home_url", "a:1:{i:0;s:5:\"https\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("726", "jetpack_sync_https_history_main_network_site_url", "a:1:{i:0;s:5:\"https\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("727", "jetpack_sync_https_history_site_url", "a:1:{i:0;s:5:\"https\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("730", "jetpack_callables_sync_checksum", "a:38:{s:11:\"get_plugins\";i:1935475476;s:10:\"get_themes\";i:1082250440;s:24:\"get_plugins_action_links\";i:2600599615;s:28:\"has_file_system_write_access\";i:4261170317;s:8:\"home_url\";i:461671844;s:16:\"hosting_provider\";i:769900095;s:12:\"is_fse_theme\";i:734881840;s:15:\"is_main_network\";i:734881840;s:13:\"is_multi_site\";i:734881840;s:21:\"is_version_controlled\";i:734881840;s:6:\"locale\";i:242848504;s:17:\"main_network_site\";i:461671844;s:26:\"main_network_site_wpcom_id\";i:1833041741;s:14:\"paused_plugins\";i:223132457;s:13:\"paused_themes\";i:223132457;s:18:\"post_type_features\";i:3651590790;s:10:\"post_types\";i:533553008;s:27:\"rest_api_allowed_post_types\";i:710265342;s:32:\"rest_api_allowed_public_metadata\";i:3610467939;s:5:\"roles\";i:1110890269;s:10:\"shortcodes\";i:1172322788;s:13:\"site_icon_url\";i:734881840;s:8:\"site_url\";i:461671844;s:10:\"taxonomies\";i:2741229372;s:13:\"theme_support\";i:106221829;s:8:\"timezone\";i:203370178;s:23:\"wp_get_environment_type\";i:1138987844;s:18:\"wp_max_upload_size\";i:3267533297;s:10:\"wp_version\";i:964545611;s:14:\"active_modules\";i:871719188;s:16:\"single_user_site\";i:734881840;s:7:\"updates\";i:2903718415;s:24:\"available_jetpack_blocks\";i:223132457;s:24:\"sso_is_two_step_required\";i:734881840;s:26:\"sso_should_hide_login_form\";i:734881840;s:18:\"sso_match_by_email\";i:734881840;s:21:\"sso_new_user_override\";i:734881840;s:29:\"sso_bypass_default_login_form\";i:734881840;}", "no");
INSERT INTO `wp_sa_options` VALUES("759", "elementor_scheme_color", "a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("760", "elementor_scheme_typography", "a:4:{i:1;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"600\";}i:2;a:2:{s:11:\"font_family\";s:11:\"Roboto Slab\";s:11:\"font_weight\";s:3:\"400\";}i:3;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"400\";}i:4;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"500\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("761", "elementor_scheme_color-picker", "a:8:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";i:5;s:7:\"#4054b2\";i:6;s:7:\"#23a455\";i:7;s:4:\"#000\";i:8;s:4:\"#fff\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("771", "site_logo", "21", "yes");
INSERT INTO `wp_sa_options` VALUES("772", "woocommerce_maybe_regenerate_images_hash", "991b1ca641921cf0f5baf7a2fe85861b", "yes");
INSERT INTO `wp_sa_options` VALUES("777", "elementor_pro_theme_builder_conditions", "a:5:{s:7:\"archive\";a:5:{i:1894;a:1:{i:0;s:32:\"include/product_archive/pa_brand\";}i:996;a:1:{i:0;s:24:\"include/archive/category\";}i:993;a:1:{i:0;s:22:\"include/archive/search\";}i:445;a:1:{i:0;s:28:\"include/archive/post_archive\";}i:441;a:1:{i:0;s:23:\"include/product_archive\";}}s:6:\"single\";a:4:{i:1105;a:1:{i:0;s:29:\"include/singular/not_found404\";}i:942;a:1:{i:0;s:13:\"include/store\";}i:491;a:1:{i:0;s:15:\"include/product\";}i:399;a:1:{i:0;s:21:\"include/singular/post\";}}s:5:\"popup\";a:1:{i:961;a:1:{i:0;s:15:\"include/general\";}}s:6:\"footer\";a:1:{i:209;a:1:{i:0;s:15:\"include/general\";}}s:6:\"header\";a:1:{i:20;a:1:{i:0;s:15:\"include/general\";}}}", "yes");
INSERT INTO `wp_sa_options` VALUES("792", "_elementor_settings_update_time", "1688979207", "yes");
INSERT INTO `wp_sa_options` VALUES("793", "elementor_cpt_support", "a:5:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:8:\"jet-menu\";i:3;s:15:\"jet-woo-builder\";i:4;s:7:\"product\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("794", "elementor_disable_color_schemes", "", "yes");
INSERT INTO `wp_sa_options` VALUES("795", "elementor_disable_typography_schemes", "", "yes");
INSERT INTO `wp_sa_options` VALUES("796", "elementor_google_maps_api_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("797", "elementor_pro_recaptcha_site_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("798", "elementor_pro_recaptcha_secret_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("799", "elementor_pro_recaptcha_v3_site_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("800", "elementor_pro_recaptcha_v3_secret_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("801", "elementor_pro_recaptcha_v3_threshold", "0.5", "yes");
INSERT INTO `wp_sa_options` VALUES("802", "elementor_pro_facebook_app_id", "", "yes");
INSERT INTO `wp_sa_options` VALUES("803", "elementor_pro_mailchimp_api_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("804", "elementor_validate_api_data", "", "yes");
INSERT INTO `wp_sa_options` VALUES("805", "elementor_pro_drip_api_token", "", "yes");
INSERT INTO `wp_sa_options` VALUES("806", "elementor_pro_activecampaign_api_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("807", "elementor_pro_activecampaign_api_url", "", "yes");
INSERT INTO `wp_sa_options` VALUES("808", "elementor_pro_getresponse_api_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("809", "elementor_pro_convertkit_api_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("810", "elementor_pro_mailerlite_api_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("811", "elementor_use_mini_cart_template", "initial", "yes");
INSERT INTO `wp_sa_options` VALUES("812", "elementor_typekit-kit-id", "", "yes");
INSERT INTO `wp_sa_options` VALUES("814", "elementor_pro_stripe_test_secret_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("815", "elementor_validate_stripe_api_test_secret_key_button", "", "yes");
INSERT INTO `wp_sa_options` VALUES("816", "elementor_pro_stripe_live_secret_key", "", "yes");
INSERT INTO `wp_sa_options` VALUES("817", "elementor_validate_stripe_api_live_secret_key_button", "", "yes");
INSERT INTO `wp_sa_options` VALUES("818", "elementor_stripe_legal_disclaimer", "", "yes");
INSERT INTO `wp_sa_options` VALUES("819", "elementor_css_print_method", "external", "yes");
INSERT INTO `wp_sa_options` VALUES("820", "elementor_editor_break_lines", "", "yes");
INSERT INTO `wp_sa_options` VALUES("821", "elementor_unfiltered_files_upload", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("822", "elementor_google_font", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("823", "elementor_load_fa4_shim", "", "yes");
INSERT INTO `wp_sa_options` VALUES("824", "elementor_meta_generator_tag", "", "yes");
INSERT INTO `wp_sa_options` VALUES("825", "elementor_experiment-e_font_icon_svg", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("826", "elementor_experiment-container", "active", "yes");
INSERT INTO `wp_sa_options` VALUES("827", "elementor_experiment-container_grid", "active", "yes");
INSERT INTO `wp_sa_options` VALUES("828", "elementor_experiment-editor_v2", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("829", "elementor_experiment-nested-elements", "inactive", "yes");
INSERT INTO `wp_sa_options` VALUES("830", "elementor_experiment-e_lazyload", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("831", "elementor_experiment-e_global_styleguide", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("832", "elementor_experiment-mega-menu", "inactive", "yes");
INSERT INTO `wp_sa_options` VALUES("833", "elementor_experiment-e_dom_optimization", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("834", "elementor_experiment-e_optimized_assets_loading", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("835", "elementor_experiment-e_optimized_css_loading", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("836", "elementor_experiment-a11y_improvements", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("837", "elementor_experiment-additional_custom_breakpoints", "inactive", "yes");
INSERT INTO `wp_sa_options` VALUES("838", "elementor_experiment-e_swiper_latest", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("839", "elementor_experiment-theme_builder_v2", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("840", "elementor_experiment-hello-theme-header-footer", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("841", "elementor_experiment-landing-pages", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("842", "elementor_experiment-page-transitions", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("843", "elementor_experiment-notes", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("844", "elementor_experiment-loop", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("845", "elementor_experiment-form-submissions", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("846", "elementor_experiment-e_scroll_snap", "default", "yes");
INSERT INTO `wp_sa_options` VALUES("858", "elementor_log", "a:42:{s:32:\"f9987a4610454abdbf85b6c77a95e99a\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-07-08 07:18:46\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view7984&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-08 07:18:46\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1688800726\";s:7:\"message\";s:69:\"View (cid: \"view7984\") has already been destroyed and cannot be used.\";s:3:\"url\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"39de20427a7cd525f93ceee1a36dbdd4\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-07-08 07:18:57\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9322&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-08 07:18:57\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1688800737\";s:7:\"message\";s:69:\"View (cid: \"view9322\") has already been destroyed and cannot be used.\";s:3:\"url\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"886444c65b35bfe78d9290374733012b\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-07-08 07:19:04\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view10660&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-08 07:19:04\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1688800744\";s:7:\"message\";s:70:\"View (cid: \"view10660\") has already been destroyed and cannot be used.\";s:3:\"url\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"0886ebba4acf887babefda7198f7db42\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-07-08 07:19:04\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view11998&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-08 07:19:04\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1688800744\";s:7:\"message\";s:70:\"View (cid: \"view11998\") has already been destroyed and cannot be used.\";s:3:\"url\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"5d520bb25f67e9b9db2d3a7e2898e611\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-07-08 11:41:59\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view1373&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-08 11:41:59\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1688816519\";s:7:\"message\";s:69:\"View (cid: \"view1373\") has already been destroyed and cannot be used.\";s:3:\"url\";s:120:\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"fd3162e98b149f91dc333df18278891d\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-09 12:57:42\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-09 12:57:42\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"8585becb095d5a8b08b53f67b4ac9ee5\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-09 12:57:42\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:56:\"المنتور پرو/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-09 12:57:42\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:56:\"المنتور پرو/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"4e1c067d0a411bc55eb18adb19b505cc\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-09 12:57:42\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:58:\"المنتور پرو/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-09 12:57:42\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:58:\"المنتور پرو/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"43b39ed4b21c3f060b6bfa489bf40556\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-09 12:57:42\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.13.2\";s:2:\"to\";s:6:\"3.14.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-09 12:57:42\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.13.2\";s:2:\"to\";s:6:\"3.14.1\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"1a2f2652b1ca2d17097b52fabf058266\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-09 12:57:42\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.13.2\";s:2:\"to\";s:6:\"3.14.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-09 12:57:42\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.13.2\";s:2:\"to\";s:6:\"3.14.1\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"f3926008caad789235bd907e6c7a4743\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:124:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-manager.php\";s:7:\"\0*\0line\";i:171;s:7:\"\0*\0date\";s:19:\"2023-07-10 08:34:14\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:31:\"Undefined index: editor_post_id\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:34:14\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:31:\"Undefined index: editor_post_id\";s:4:\"file\";s:124:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-manager.php\";s:4:\"line\";i:171;s:5:\"trace\";b:1;}}s:32:\"3eb5e7d81f8a56750e02a9dd9007e1d3\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:31:\"Re-migrate 3.0.0 globals: Start\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:31:\"Re-migrate 3.0.0 globals: Start\";s:4:\"type\";s:6:\"notice\";}}s:32:\"12e7d9827f21d4fc01210e275a3e0e7e\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:65:\"Re-migrate 3.0.0 globals: _v_3_0_0_move_default_typography_to_kit\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:65:\"Re-migrate 3.0.0 globals: _v_3_0_0_move_default_typography_to_kit\";s:4:\"type\";s:6:\"notice\";}}s:32:\"67f7c9c711a658fa626a40de3c6fe3b3\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:47:\"System typography already exist. nothing to do.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:47:\"System typography already exist. nothing to do.\";s:4:\"type\";s:6:\"notice\";}}s:32:\"9cb285297286335c2abd9453e5cca9cc\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:61:\"Re-migrate 3.0.0 globals: _v_3_0_0_move_default_colors_to_kit\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:61:\"Re-migrate 3.0.0 globals: _v_3_0_0_move_default_colors_to_kit\";s:4:\"type\";s:6:\"notice\";}}s:32:\"ac9277c06e161c0abb0e775139bdaf68\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:43:\"System colors already exist. nothing to do.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:43:\"System colors already exist. nothing to do.\";s:4:\"type\";s:6:\"notice\";}}s:32:\"4592765457e7f4aa4ea325772e3a4a9a\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:59:\"Re-migrate 3.0.0 globals: _v_3_0_0_move_saved_colors_to_kit\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:59:\"Re-migrate 3.0.0 globals: _v_3_0_0_move_saved_colors_to_kit\";s:4:\"type\";s:6:\"notice\";}}s:32:\"2aff065a455e8da051125fb6951fd32a\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:43:\"Custom colors already exist. nothing to do.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:43:\"Custom colors already exist. nothing to do.\";s:4:\"type\";s:6:\"notice\";}}s:32:\"b52cb968438f3537178f25b6a5ac3143\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-07-10 08:50:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:29:\"Re-migrate 3.0.0 globals: End\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-10 08:50:18\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:29:\"Re-migrate 3.0.0 globals: End\";s:4:\"type\";s:6:\"notice\";}}s:32:\"e3859f389eb00ff9399c5b4def6e844f\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:114:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor-pro/modules/woocommerce/widgets/my-account.php\";s:7:\"\0*\0line\";i:2040;s:7:\"\0*\0date\";s:19:\"2023-07-15 08:42:59\";s:7:\"\0*\0type\";s:7:\"warning\";s:10:\"\0*\0message\";s:74:\"count(): Parameter must be an array or an object that implements Countable\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:182;s:14:\"\0*\0times_dates\";a:42:{i:0;s:19:\"2023-11-10 20:27:06\";i:1;s:19:\"2023-11-10 20:27:15\";i:2;s:19:\"2023-11-11 15:41:26\";i:3;s:19:\"2023-11-11 15:41:39\";i:4;s:19:\"2023-11-11 15:41:45\";i:5;s:19:\"2023-11-11 15:41:51\";i:6;s:19:\"2023-11-11 15:43:37\";i:7;s:19:\"2023-12-05 16:03:26\";i:8;s:19:\"2023-12-05 16:03:32\";i:9;s:19:\"2023-12-05 16:03:37\";i:10;s:19:\"2023-12-05 16:05:08\";i:11;s:19:\"2023-12-05 16:05:16\";i:12;s:19:\"2023-12-10 07:55:41\";i:13;s:19:\"2023-12-10 09:11:13\";i:14;s:19:\"2023-12-11 06:16:29\";i:15;s:19:\"2023-12-11 06:16:44\";i:16;s:19:\"2023-12-11 06:16:49\";i:17;s:19:\"2023-12-11 06:16:55\";i:18;s:19:\"2023-12-11 06:17:01\";i:19;s:19:\"2023-12-11 06:17:29\";i:20;s:19:\"2023-12-11 12:48:43\";i:21;s:19:\"2023-12-11 22:54:58\";i:22;s:19:\"2023-12-13 08:08:51\";i:23;s:19:\"2023-12-13 08:09:03\";i:24;s:19:\"2023-12-13 08:16:02\";i:25;s:19:\"2023-12-13 08:47:33\";i:26;s:19:\"2023-12-13 08:47:39\";i:27;s:19:\"2023-12-13 08:49:34\";i:28;s:19:\"2023-12-13 08:49:51\";i:29;s:19:\"2023-12-14 09:43:58\";i:30;s:19:\"2023-12-14 09:44:11\";i:31;s:19:\"2023-12-14 09:44:15\";i:32;s:19:\"2023-12-14 09:44:21\";i:33;s:19:\"2023-12-14 16:33:10\";i:34;s:19:\"2023-12-14 16:33:35\";i:35;s:19:\"2023-12-16 05:02:05\";i:36;s:19:\"2023-12-16 05:02:14\";i:37;s:19:\"2023-12-16 06:39:33\";i:38;s:19:\"2023-12-23 18:40:53\";i:39;s:19:\"2023-12-23 18:42:15\";i:40;s:19:\"2024-01-07 14:23:40\";i:41;s:19:\"2024-01-07 14:26:59\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:7:\"warning\";s:7:\"message\";s:74:\"count(): Parameter must be an array or an object that implements Countable\";s:4:\"file\";s:114:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor-pro/modules/woocommerce/widgets/my-account.php\";s:4:\"line\";i:2040;s:5:\"trace\";b:1;}}s:32:\"2cc3fadf832176ee6086ee0cb2692535\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:103:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:7:\"\0*\0line\";i:175;s:7:\"\0*\0date\";s:19:\"2023-12-30 07:22:40\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:21:\"Undefined index: data\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:3;s:14:\"\0*\0times_dates\";a:3:{i:0;s:19:\"2023-12-30 07:22:40\";i:1;s:19:\"2024-01-08 04:30:15\";i:2;s:19:\"2024-01-08 04:43:37\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:21:\"Undefined index: data\";s:4:\"file\";s:103:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:4:\"line\";i:175;s:5:\"trace\";b:1;}}s:32:\"345423fe91a707e795334976468446d7\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"b11936ba1491bca5546668bd202bf050\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"354baec75af59948028955588059d4e1\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"01cc2fe8eb4f35ea70b0174b23a51483\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:60:\"المنتور/Upgrades - _v_3_16_0_container_updates Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:60:\"المنتور/Upgrades - _v_3_16_0_container_updates Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"7ff3f720ab383dfa24130322fcaf6632\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:62:\"المنتور/Upgrades - _v_3_16_0_container_updates Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:62:\"المنتور/Upgrades - _v_3_16_0_container_updates Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"03b0fde21c1d6db57f791fb17ffc137c\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:64:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:64:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"cd7a1a2e6ad444ea3ff48506a6a00819\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:66:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:66:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"e86b6c710699a72c35e3fc27fb14024b\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.18.3\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.18.3\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"105cff7a5e36f2a24fa584128bcb2f10\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-01-08 04:58:07\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.18.3\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-01-08 04:58:07\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.18.3\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"c64a57b995da78722bea4371d69538c7\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:115:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor-pro/modules/theme-builder/widgets/site-logo.php\";s:7:\"\0*\0line\";i:192;s:7:\"\0*\0date\";s:19:\"2024-01-08 09:29:18\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:24:\"Undefined index: options\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:4072;s:14:\"\0*\0times_dates\";a:42:{i:0;s:19:\"2024-05-26 07:56:21\";i:1;s:19:\"2024-05-26 08:26:45\";i:2;s:19:\"2024-05-26 09:01:41\";i:3;s:19:\"2024-05-26 11:48:09\";i:4;s:19:\"2024-05-26 12:14:45\";i:5;s:19:\"2024-05-26 12:33:23\";i:6;s:19:\"2024-05-26 12:34:47\";i:7;s:19:\"2024-05-26 12:42:26\";i:8;s:19:\"2024-05-26 13:06:49\";i:9;s:19:\"2024-05-26 13:08:31\";i:10;s:19:\"2024-05-26 13:57:35\";i:11;s:19:\"2024-05-26 14:34:42\";i:12;s:19:\"2024-05-26 14:57:17\";i:13;s:19:\"2024-05-26 15:26:14\";i:14;s:19:\"2024-05-26 18:28:36\";i:15;s:19:\"2024-05-26 18:51:50\";i:16;s:19:\"2024-05-26 18:52:35\";i:17;s:19:\"2024-05-26 18:52:42\";i:18;s:19:\"2024-05-26 18:53:14\";i:19;s:19:\"2024-05-26 19:47:45\";i:20;s:19:\"2024-05-26 19:51:24\";i:21;s:19:\"2024-05-26 20:17:00\";i:22;s:19:\"2024-05-26 20:17:09\";i:23;s:19:\"2024-05-26 20:17:34\";i:24;s:19:\"2024-05-26 20:19:05\";i:25;s:19:\"2024-05-26 20:30:16\";i:26;s:19:\"2024-05-26 22:34:42\";i:27;s:19:\"2024-05-26 22:35:10\";i:28;s:19:\"2024-05-26 22:35:18\";i:29;s:19:\"2024-05-26 22:35:34\";i:30;s:19:\"2024-05-27 01:18:02\";i:31;s:19:\"2024-05-27 02:14:00\";i:32;s:19:\"2024-05-27 03:22:50\";i:33;s:19:\"2024-05-27 03:22:58\";i:34;s:19:\"2024-05-27 08:43:29\";i:35;s:19:\"2024-05-27 10:28:38\";i:36;s:19:\"2024-05-27 10:29:59\";i:37;s:19:\"2024-05-27 10:30:07\";i:38;s:19:\"2024-05-27 10:30:41\";i:39;s:19:\"2024-05-27 10:32:00\";i:40;s:19:\"2024-05-27 11:09:21\";i:41;s:19:\"2024-05-27 11:54:02\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:24:\"Undefined index: options\";s:4:\"file\";s:115:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor-pro/modules/theme-builder/widgets/site-logo.php\";s:4:\"line\";i:192;s:5:\"trace\";b:1;}}s:32:\"5abe705189c5a5e9eacd1c1a2d438c34\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:99:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor/includes/elements/container.php\";s:7:\"\0*\0line\";i:1849;s:7:\"\0*\0date\";s:19:\"2024-05-27 10:24:34\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:21:\"Undefined index: size\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 10:24:34\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:21:\"Undefined index: size\";s:4:\"file\";s:99:\"/home/halochin/public_html/multivendor/wp-content/plugins/elementor/includes/elements/container.php\";s:4:\"line\";i:1849;s:5:\"trace\";b:1;}}s:32:\"e18376e1e1bc53244883ecf59fdd646f\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 10:34:41\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 10:34:41\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"4aadc8e14fd61ce68573d7135b398ed6\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 10:34:41\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 10:34:41\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"1497a0746e26c8c95f87e6a78cd1a25b\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 10:34:41\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 10:34:41\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"6560379fd86202823892f097af25fc4b\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 10:34:41\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.18.3\";s:2:\"to\";s:6:\"3.21.8\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 10:34:41\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.18.3\";s:2:\"to\";s:6:\"3.21.8\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"756437f4326b09c917b70d06607c7ad0\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 10:34:42\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.18.3\";s:2:\"to\";s:6:\"3.21.8\";}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2024-05-27 10:34:42\";i:1;s:19:\"2024-05-27 10:34:42\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.18.3\";s:2:\"to\";s:6:\"3.21.8\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"090c44cc59d3cb363e37440f42eb16d0\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 13:22:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 13:22:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"70d705901ea92e30b3d0effd0d365112\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 13:22:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:56:\"المنتور پرو/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 13:22:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:56:\"المنتور پرو/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"630d2874c7b4cfbc5a85f86ed0a0653b\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 13:22:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:58:\"المنتور پرو/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 13:22:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:58:\"المنتور پرو/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"7d1b24b429ff17a738ac75e0767a287d\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 13:22:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.21.0\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-05-27 13:22:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.21.0\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"ccd8dc9c4935aabec21a05cc8ad8b5cb\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-05-27 13:22:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.21.0\";}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2024-05-27 13:22:52\";i:1;s:19:\"2024-05-27 13:22:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.21.0\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}}", "no");
INSERT INTO `wp_sa_options` VALUES("928", "jet_engine_modules", "a:3:{i:0;s:18:\"dynamic-visibility\";i:1;s:20:\"custom-content-types\";i:2;s:11:\"data-stores\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("1014", "product_cat_children", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("1034", "woocommerce_ces_product_feedback_shown", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("1075", "jet_engine_meta_boxes", "a:7:{s:6:\"meta-1\";a:3:{s:4:\"args\";a:7:{s:11:\"object_type\";s:4:\"post\";s:11:\"allowed_tax\";a:0:{}s:17:\"allowed_post_type\";a:1:{i:0;s:7:\"product\";}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:23:\"فیلد محصولات\";}s:11:\"meta_fields\";a:3:{i:0;a:10:{s:5:\"title\";s:28:\"نام لاتین محصول\";s:4:\"name\";s:10:\"latin-name\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:9:\"collapsed\";b:0;s:2:\"id\";i:7706;s:8:\"isNested\";b:0;s:11:\"is_required\";b:1;}i:1;a:9:{s:5:\"title\";s:32:\"سوییچر متن سفارشی\";s:4:\"name\";s:15:\"custom-switcher\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:8:\"switcher\";s:9:\"collapsed\";b:0;s:2:\"id\";i:1795;s:8:\"isNested\";b:0;}i:2;a:12:{s:5:\"title\";s:19:\"متن سفارشی\";s:4:\"name\";s:11:\"custom-text\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:9:\"collapsed\";b:0;s:2:\"id\";i:9399;s:8:\"isNested\";b:0;s:11:\"is_required\";b:1;s:10:\"conditions\";a:1:{i:0;a:6:{s:5:\"field\";s:15:\"custom-switcher\";s:8:\"operator\";s:5:\"equal\";s:5:\"value\";s:4:\"true\";s:6:\"values\";a:0:{}s:9:\"collapsed\";b:0;s:2:\"id\";i:7496;}}s:17:\"conditional_logic\";b:1;}}s:2:\"id\";s:6:\"meta-1\";}s:6:\"meta-2\";a:3:{s:4:\"args\";a:7:{s:11:\"object_type\";s:8:\"taxonomy\";s:11:\"allowed_tax\";a:1:{i:0;s:8:\"pa_brand\";}s:17:\"allowed_post_type\";a:0:{}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:24:\"فیلد ویژگی ها\";}s:11:\"meta_fields\";a:1:{i:0;a:9:{s:5:\"title\";s:30:\"تصویر شاخص ویژگی\";s:4:\"name\";s:13:\"thumbnail_img\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:5:\"media\";s:9:\"collapsed\";b:0;s:2:\"id\";i:1389;s:8:\"isNested\";b:0;}}s:2:\"id\";s:6:\"meta-2\";}s:6:\"meta-3\";a:3:{s:4:\"args\";a:7:{s:11:\"object_type\";s:8:\"taxonomy\";s:11:\"allowed_tax\";a:1:{i:0;s:8:\"category\";}s:17:\"allowed_post_type\";a:0:{}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:33:\"فیلد دسته نوشته ها\";}s:11:\"meta_fields\";a:1:{i:0;a:9:{s:5:\"title\";s:19:\"تصویر دسته\";s:4:\"name\";s:12:\"category-pic\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:5:\"media\";s:9:\"collapsed\";b:0;s:2:\"id\";i:6070;s:8:\"isNested\";b:0;}}s:2:\"id\";s:6:\"meta-3\";}s:6:\"meta-4\";a:3:{s:4:\"args\";a:7:{s:11:\"object_type\";s:4:\"post\";s:11:\"allowed_tax\";a:0:{}s:17:\"allowed_post_type\";a:1:{i:0;s:4:\"post\";}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:24:\"فیلد نوشته ها\";}s:11:\"meta_fields\";a:1:{i:0;a:10:{s:5:\"title\";s:21:\"زمان مطالعه\";s:4:\"name\";s:12:\"reading-time\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:9:\"collapsed\";b:0;s:2:\"id\";i:8689;s:8:\"isNested\";b:0;s:11:\"is_required\";b:1;}}s:2:\"id\";s:6:\"meta-4\";}s:6:\"meta-5\";a:3:{s:4:\"args\";a:7:{s:11:\"object_type\";s:4:\"post\";s:11:\"allowed_tax\";a:0:{}s:17:\"allowed_post_type\";a:1:{i:0;s:7:\"product\";}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:30:\"فیلد های محصولات\";}s:11:\"meta_fields\";a:5:{i:0;a:8:{s:5:\"title\";s:28:\"نام لاتین محصول\";s:4:\"name\";s:15:\"en-product-name\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:2815;s:8:\"isNested\";b:0;}i:1;a:8:{s:5:\"title\";s:44:\"آیا محصول فروش ویژه است؟\";s:4:\"name\";s:12:\"special-sale\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:8:\"switcher\";s:2:\"id\";i:2139;s:8:\"isNested\";b:0;}i:2;a:12:{s:5:\"title\";s:30:\"مقدار درصد تخفیف\";s:4:\"name\";s:19:\"discount-percentage\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:9065;s:8:\"isNested\";b:0;s:17:\"conditional_logic\";b:1;s:10:\"conditions\";a:1:{i:0;a:5:{s:5:\"field\";s:12:\"special-sale\";s:8:\"operator\";s:5:\"equal\";s:5:\"value\";s:4:\"true\";s:6:\"values\";a:0:{}s:2:\"id\";i:8453;}}s:9:\"min_value\";s:1:\"0\";s:9:\"max_value\";s:3:\"100\";}i:3;a:8:{s:5:\"title\";s:32:\"ارسال کننده محصول\";s:4:\"name\";s:14:\"product-sender\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:2:{i:0;a:3:{s:3:\"key\";s:34:\"ارسال توسط فروشگاه\";s:5:\"value\";s:34:\"ارسال توسط فروشگاه\";s:2:\"id\";i:3996;}i:1;a:3:{s:3:\"key\";s:34:\"ارسال توسط فروشنده\";s:5:\"value\";s:34:\"ارسال توسط فروشنده\";s:2:\"id\";i:9923;}}s:4:\"type\";s:5:\"radio\";s:2:\"id\";i:4139;s:8:\"isNested\";b:0;}i:4;a:10:{s:5:\"title\";s:30:\"شرایط ارسال کالا\";s:4:\"name\";s:21:\"terms-sending-product\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:8:\"repeater\";s:9:\"collapsed\";b:0;s:2:\"id\";i:3832;s:8:\"isNested\";b:0;s:15:\"repeater-fields\";a:1:{i:0;a:5:{s:5:\"title\";s:6:\"شرط\";s:4:\"name\";s:4:\"term\";s:4:\"type\";s:4:\"text\";s:9:\"collapsed\";b:0;s:2:\"id\";i:2077;}}}}s:2:\"id\";s:6:\"meta-5\";}s:6:\"meta-6\";a:3:{s:4:\"args\";a:7:{s:11:\"object_type\";s:4:\"post\";s:11:\"allowed_tax\";a:0:{}s:17:\"allowed_post_type\";a:1:{i:0;s:7:\"product\";}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:34:\"فیلد جایگذاری قیمت\";}s:11:\"meta_fields\";a:2:{i:0;a:12:{s:5:\"title\";s:19:\"متن سفارشی\";s:4:\"name\";s:16:\"swicher-text_126\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:2:{i:0;a:3:{s:3:\"key\";s:3:\"yes\";s:5:\"value\";s:17:\"قیمت دارد\";s:2:\"id\";i:1378;}i:1;a:3:{s:3:\"key\";s:2:\"no\";s:5:\"value\";s:19:\"قیمت ندارد\";s:2:\"id\";i:2400;}}s:4:\"type\";s:8:\"switcher\";s:2:\"id\";i:2878;s:8:\"isNested\";b:0;s:17:\"conditional_logic\";s:0:\"\";s:10:\"conditions\";a:1:{i:0;a:5:{s:5:\"field\";s:12:\"swicher-text\";s:8:\"operator\";s:5:\"equal\";s:5:\"value\";s:20:\"در لیست است\";s:6:\"values\";a:0:{}s:2:\"id\";i:6842;}}s:12:\"allow_custom\";s:0:\"\";s:11:\"description\";s:110:\"در صورت عدم تمایل به نمایش قیمت متن سفارشی خود را وارد نمایید\";}i:1;a:12:{s:5:\"title\";s:21:\"متن جایگزین\";s:4:\"name\";s:12:\"swicher-text\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:6548;s:8:\"isNested\";b:0;s:11:\"description\";s:87:\"متن جایگزین خود را جهت نمایش بجای قیمت وارد کنید\";s:10:\"max_length\";s:3:\"100\";s:17:\"conditional_logic\";b:1;s:10:\"conditions\";a:1:{i:0;a:6:{s:5:\"field\";s:16:\"swicher-text_126\";s:8:\"operator\";s:9:\"not_equal\";s:5:\"value\";s:5:\"false\";s:6:\"values\";a:0:{}s:9:\"collapsed\";b:0;s:2:\"id\";i:8406;}}}}s:2:\"id\";s:6:\"meta-6\";}s:6:\"meta-7\";a:3:{s:4:\"args\";a:8:{s:11:\"object_type\";s:4:\"user\";s:11:\"allowed_tax\";a:0:{}s:17:\"allowed_post_type\";a:0:{}s:13:\"allowed_posts\";a:0:{}s:14:\"excluded_posts\";a:0:{}s:17:\"active_conditions\";a:0:{}s:4:\"name\";s:30:\"فیلد های فروشنده\";s:20:\"allowed_user_screens\";s:4:\"edit\";}s:11:\"meta_fields\";a:5:{i:0;a:8:{s:5:\"title\";s:35:\"مدت زمان عضویت (ماه)\";s:4:\"name\";s:22:\"duration-of-membership\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:9560;s:8:\"isNested\";b:0;}i:1;a:8:{s:5:\"title\";s:27:\"امتیاز فروشنده\";s:4:\"name\";s:16:\"privilege-seller\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:3484;s:8:\"isNested\";b:0;}i:2;a:10:{s:5:\"title\";s:19:\"نرخ مرجوعی\";s:4:\"name\";s:11:\"return-rate\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:2316;s:8:\"isNested\";b:0;s:9:\"min_value\";s:1:\"0\";s:9:\"max_value\";s:3:\"100\";}i:3;a:10:{s:5:\"title\";s:19:\"ارسال موفق\";s:4:\"name\";s:21:\"successful-submission\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:5590;s:8:\"isNested\";b:0;s:9:\"min_value\";s:1:\"0\";s:9:\"max_value\";s:3:\"100\";}i:4;a:10:{s:5:\"title\";s:17:\"لغو سفارش\";s:4:\"name\";s:16:\"cancel-the-order\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:2117;s:8:\"isNested\";b:0;s:9:\"min_value\";s:1:\"0\";s:9:\"max_value\";s:3:\"100\";}}s:2:\"id\";s:6:\"meta-7\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("1335", "woocommerce_admin_created_default_shipping_zones", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("1337", "woocommerce_task_list_prompt_shown", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("1355", "woocommerce_default_homepage_layout", "two_columns", "yes");
INSERT INTO `wp_sa_options` VALUES("1356", "woocommerce_task_list_hidden_lists", "a:2:{i:0;s:5:\"setup\";i:1;s:8:\"extended\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("1572", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("1944", "dokan_installed_time", "1688533985", "yes");
INSERT INTO `wp_sa_options` VALUES("1945", "dokan_pages", "a:3:{s:9:\"dashboard\";i:526;s:13:\"store_listing\";i:527;s:9:\"my_orders\";i:528;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1946", "dokan_pages_created", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("1947", "dokan_reverse_withdrawal_product_id", "", "yes");
INSERT INTO `wp_sa_options` VALUES("1948", "dokan_theme_version", "3.7.21", "yes");
INSERT INTO `wp_sa_options` VALUES("1951", "widget_dokan-best-selling-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1952", "widget_dokan-category-menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1953", "widget_dokan-store-contact-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1954", "widget_dokan-store-location", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1955", "widget_dokan-store-menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1956", "widget_dokan-top-rated", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1957", "widget_dokan-store-open-close-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1958", "widget_dokan-filter-product", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("1968", "dokan-lite_allow_tracking", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("1970", "dokan-lite_tracking_skipped", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("1974", "jet_woo_builder", "a:36:{s:21:\"widgets_render_method\";s:6:\"macros\";s:16:\"custom_shop_page\";s:2:\"no\";s:13:\"shop_template\";s:7:\"default\";s:24:\"custom_taxonomy_template\";s:2:\"no\";s:18:\"custom_single_page\";s:2:\"no\";s:15:\"single_template\";s:7:\"default\";s:19:\"custom_archive_page\";s:2:\"no\";s:16:\"archive_template\";s:7:\"default\";s:15:\"search_template\";s:7:\"default\";s:18:\"shortcode_template\";s:7:\"default\";s:16:\"related_template\";s:7:\"default\";s:20:\"cross_sells_template\";s:7:\"default\";s:28:\"custom_archive_category_page\";s:2:\"no\";s:17:\"category_template\";s:7:\"default\";s:16:\"custom_cart_page\";s:2:\"no\";s:13:\"cart_template\";s:7:\"default\";s:19:\"empty_cart_template\";s:7:\"default\";s:20:\"custom_checkout_page\";s:2:\"no\";s:17:\"checkout_template\";s:7:\"default\";s:21:\"checkout_top_template\";s:7:\"default\";s:20:\"custom_thankyou_page\";s:3:\"yes\";s:17:\"thankyou_template\";s:3:\"530\";s:21:\"custom_myaccount_page\";s:3:\"yes\";s:18:\"myaccount_template\";s:7:\"default\";s:19:\"form_login_template\";s:4:\"1194\";s:31:\"custom_myaccount_page_endpoints\";s:2:\"no\";s:28:\"myaccount_dashboard_template\";s:7:\"default\";s:34:\"myaccount_orders_endpoint_template\";s:7:\"default\";s:37:\"myaccount_downloads_endpoint_template\";s:7:\"default\";s:40:\"myaccount_edit_address_endpoint_template\";s:7:\"default\";s:40:\"myaccount_edit_account_endpoint_template\";s:7:\"default\";s:20:\"use_ajax_add_to_cart\";s:2:\"no\";s:20:\"use_native_templates\";s:2:\"no\";s:25:\"related_products_per_page\";s:1:\"4\";s:26:\"up_sells_products_per_page\";s:1:\"4\";s:29:\"cross_sells_products_per_page\";s:1:\"4\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("1994", "woocommerce_admin_last_orders_milestone", "10", "yes");
INSERT INTO `wp_sa_options` VALUES("2066", "dokan_pro_active_modules", "a:1:{i:0;s:9:\"elementor\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("2067", "dokan-pro_allow_tracking", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("2068", "dokan-pro_tracking_notice", "hide", "yes");
INSERT INTO `wp_sa_options` VALUES("2069", "dokan-pro_tracking_last_send", "1688538162", "yes");
INSERT INTO `wp_sa_options` VALUES("2070", "widget_dokan-best-seller-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("2071", "widget_dokan-feature-seller-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_sa_options` VALUES("2072", "dokan_shipping_status_setting", "a:1:{s:20:\"shipping_status_list\";a:6:{i:0;a:4:{s:2:\"id\";s:12:\"ss_delivered\";s:5:\"value\";s:17:\"تحویل شده\";s:8:\"must_use\";b:1;s:4:\"desc\";s:48:\"(این مورد باید استفاده شود)\";}i:1;a:4:{s:2:\"id\";s:12:\"ss_cancelled\";s:5:\"value\";s:13:\"لغو شده\";s:8:\"must_use\";b:1;s:4:\"desc\";s:48:\"(این مورد باید استفاده شود)\";}i:2;a:2:{s:2:\"id\";s:13:\"ss_proceccing\";s:5:\"value\";s:24:\"در حال پردازش\";}i:3;a:2:{s:2:\"id\";s:19:\"ss_ready_for_pickup\";s:5:\"value\";s:30:\"آماده برای تحویل\";}i:4;a:2:{s:2:\"id\";s:11:\"ss_pickedup\";s:5:\"value\";s:21:\"تحویل گرفتن\";}i:5;a:2:{s:2:\"id\";s:13:\"ss_on_the_way\";s:5:\"value\";s:11:\"در راه\";}}}", "no");
INSERT INTO `wp_sa_options` VALUES("2143", "dokan_pointer_toplevel_page_dokan", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("2154", "dokan_general", "a:15:{s:12:\"site_options\";s:0:\"\";s:12:\"admin_access\";s:2:\"on\";s:16:\"custom_store_url\";s:5:\"store\";s:21:\"setup_wizard_logo_url\";s:69:\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/logo-3.svg\";s:20:\"setup_wizard_message\";s:370:\"<p>از اینکه بازار را برای فروشگاه آنلاین خود انتخاب کردید متشکریم! این جادوگر راه اندازی سریع به شما کمک می کند تا تنظیمات اصلی را پیکربندی کنید. <strong> کاملاً اختیاری است و بیش از دو دقیقه طول نمی کشد. </strong></p>\";s:22:\"disable_welcome_wizard\";s:3:\"off\";s:19:\"global_digital_mode\";s:9:\"sell_both\";s:23:\"data_clear_on_uninstall\";s:3:\"off\";s:20:\"vendor_store_options\";s:0:\"\";s:34:\"seller_enable_terms_and_conditions\";s:3:\"off\";s:23:\"store_products_per_page\";s:2:\"12\";s:22:\"enabled_address_on_reg\";s:3:\"off\";s:16:\"enable_tc_on_reg\";s:2:\"on\";s:25:\"enable_single_seller_mode\";s:3:\"off\";s:19:\"store_category_type\";s:4:\"none\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("2186", "code_snippets_version", "3.6.4", "yes");
INSERT INTO `wp_sa_options` VALUES("2187", "code_snippets_settings", "a:2:{s:7:\"general\";a:7:{s:19:\"activate_by_default\";b:1;s:11:\"enable_tags\";b:1;s:18:\"enable_description\";b:1;s:18:\"visual_editor_rows\";i:5;s:10:\"list_order\";s:12:\"priority-asc\";s:13:\"disable_prism\";b:0;s:18:\"complete_uninstall\";b:0;}s:6:\"editor\";a:11:{s:5:\"theme\";s:7:\"default\";s:16:\"indent_with_tabs\";b:1;s:8:\"tab_size\";i:4;s:11:\"indent_unit\";i:4;s:10:\"wrap_lines\";b:1;s:12:\"code_folding\";b:1;s:12:\"line_numbers\";b:1;s:19:\"auto_close_brackets\";b:1;s:27:\"highlight_selection_matches\";b:1;s:21:\"highlight_active_line\";b:1;s:6:\"keymap\";s:7:\"default\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("2188", "recently_activated_snippets", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("2229", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("2321", "dokan_admin_setup_wizard_ready", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("2382", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_sa_options` VALUES("2384", "elementor_library_category_children", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("2987", "dokan_selling", "a:24:{s:16:\"admin_percentage\";s:1:\"0\";s:22:\"shipping_fee_recipient\";s:6:\"seller\";s:17:\"tax_fee_recipient\";s:6:\"seller\";s:26:\"shipping_tax_fee_recipient\";s:6:\"seller\";s:28:\"automatic_process_api_refund\";s:3:\"off\";s:20:\"selling_capabilities\";s:0:\"\";s:25:\"new_seller_enable_selling\";s:3:\"off\";s:21:\"disable_product_popup\";s:3:\"off\";s:19:\"order_status_change\";s:2:\"on\";s:28:\"dokan_any_category_selection\";s:3:\"off\";s:14:\"product_status\";s:7:\"pending\";s:24:\"vendor_duplicate_product\";s:2:\"on\";s:21:\"edited_product_status\";s:3:\"off\";s:16:\"product_add_mail\";s:2:\"on\";s:22:\"product_category_style\";s:6:\"single\";s:31:\"product_vendors_can_create_tags\";s:3:\"off\";s:17:\"add_new_attribute\";s:3:\"off\";s:13:\"discount_edit\";a:2:{s:14:\"order-discount\";s:21:\"تخفیف سفارش\";s:16:\"product-discount\";s:21:\"تخفیف محصول\";}s:18:\"hide_customer_info\";s:3:\"off\";s:20:\"seller_review_manage\";s:2:\"on\";s:20:\"disable_shipping_tab\";s:3:\"off\";s:21:\"catalog_mode_settings\";s:0:\"\";s:36:\"catalog_mode_hide_add_to_cart_button\";s:3:\"off\";s:31:\"catalog_mode_hide_product_price\";s:3:\"off\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("3319", "elementor_clear_cache", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3320", "elementor_reset_api_data", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3321", "elementor_safe_mode", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3322", "elementor_enable_inspector", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3323", "elementor_replace_url", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3324", "elementor_rollback", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3325", "elementor_rollback_pro_separator", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3326", "elementor_rollback_pro", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3327", "elementor_re_migrate_globals_separator", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3328", "elementor_re_migrate_globals", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3329", "elementor_beta", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("3330", "elementor_maintenance_mode_mode", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3331", "elementor_maintenance_mode_exclude_mode", "logged_in", "yes");
INSERT INTO `wp_sa_options` VALUES("3332", "elementor_maintenance_mode_exclude_roles", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("3333", "elementor_maintenance_mode_template_id", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3491", "jet_woo_builder[widgets_render_method]", "macros", "yes");
INSERT INTO `wp_sa_options` VALUES("3492", "jet_woo_builder[custom_shop_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3493", "jet_woo_builder[shop_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3494", "jet_woo_builder[custom_taxonomy_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3495", "jet_woo_builder[custom_single_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3496", "jet_woo_builder[single_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3497", "jet_woo_builder[custom_archive_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3498", "jet_woo_builder[archive_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3499", "jet_woo_builder[search_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3500", "jet_woo_builder[shortcode_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3501", "jet_woo_builder[related_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3502", "jet_woo_builder[cross_sells_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3503", "jet_woo_builder[custom_archive_category_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3504", "jet_woo_builder[category_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3505", "jet_woo_builder[custom_cart_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3506", "jet_woo_builder[cart_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3507", "jet_woo_builder[empty_cart_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3508", "jet_woo_builder[custom_checkout_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3509", "jet_woo_builder[checkout_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3510", "jet_woo_builder[checkout_top_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3511", "jet_woo_builder[custom_thankyou_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3512", "jet_woo_builder[thankyou_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3513", "jet_woo_builder[custom_myaccount_page]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3514", "jet_woo_builder[myaccount_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3515", "jet_woo_builder[form_login_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3516", "jet_woo_builder[custom_myaccount_page_endpoints]", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("3517", "jet_woo_builder[myaccount_dashboard_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3518", "jet_woo_builder[myaccount_orders_endpoint_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3519", "jet_woo_builder[myaccount_downloads_endpoint_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3520", "jet_woo_builder[myaccount_edit_address_endpoint_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3521", "jet_woo_builder[myaccount_edit_account_endpoint_template]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3522", "jet_woo_builder[use_ajax_add_to_cart]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3523", "jet_woo_builder[use_native_templates]", "", "yes");
INSERT INTO `wp_sa_options` VALUES("3524", "jet_woo_builder[related_products_per_page]", "4", "yes");
INSERT INTO `wp_sa_options` VALUES("3525", "jet_woo_builder[up_sells_products_per_page]", "4", "yes");
INSERT INTO `wp_sa_options` VALUES("3526", "jet_woo_builder[cross_sells_products_per_page]", "4", "yes");
INSERT INTO `wp_sa_options` VALUES("3534", "wc_remote_inbox_notifications_wca_updated", "", "no");
INSERT INTO `wp_sa_options` VALUES("3633", "duplicator_version_plugin", "1.5.9", "yes");
INSERT INTO `wp_sa_options` VALUES("3635", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("3636", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("3637", "duplicator_settings", "a:19:{s:7:\"version\";s:5:\"1.5.9\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:23:\"email_summary_frequency\";s:6:\"weekly\";s:9:\"amNotices\";b:1;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:11;s:14:\"usage_tracking\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("3642", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-05-27 10:17:25\";s:7:\"Version\";s:5:\"1.5.9\";s:9:\"VersionWP\";s:5:\"6.5.3\";s:9:\"VersionDB\";s:7:\"10.11.6\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"4911608c705fb9447812_20240527101725\";s:8:\"NameHash\";s:75:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:38:\"/home/halochin/public_html/multivendor\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:4106;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:21774;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-05-27 10:17:25\";s:7:\"Version\";s:5:\"1.5.9\";s:9:\"VersionWP\";s:5:\"6.5.3\";s:9:\"VersionDB\";s:7:\"10.11.6\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"4911608c705fb9447812_20240527101725\";s:8:\"NameHash\";s:75:\"20230706_d8b3d8a7db8cd8aad8a2d985d8a7d8_4911608c705fb9447812_20240527101725\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:52:\"/home/halochin/public_html/multivendor/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:47:\"/home/halochin/public_html/multivendor/wp-admin\";i:1;s:50:\"/home/halochin/public_html/multivendor/wp-includes\";i:2;s:59:\"/home/halochin/public_html/multivendor/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:38:\"/home/halochin/public_html/multivendor\";i:1;s:38:\"/home/halochin/public_html/multivendor\";i:2;s:49:\"/home/halochin/public_html/multivendor/wp-content\";i:3;s:57:\"/home/halochin/public_html/multivendor/wp-content/uploads\";i:4;s:57:\"/home/halochin/public_html/multivendor/wp-content/plugins\";i:5;s:60:\"/home/halochin/public_html/multivendor/wp-content/mu-plugins\";i:6;s:56:\"/home/halochin/public_html/multivendor/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:70:\"/home/halochin/public_html/multivendor/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_sa_options` VALUES("3753", "jet-woo-builder-db-version", "2.1.10", "yes");
INSERT INTO `wp_sa_options` VALUES("4346", "duplicator_ui_view_state", "a:1:{s:24:\"dup-pack-installer-panel\";s:1:\"1\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("4397", "jet_menu_options", "a:671:{s:18:\"jet-menu-cache-css\";s:4:\"true\";s:29:\"jet-mobile-items-label-switch\";s:4:\"true\";s:16:\"jet-menu-roll-up\";s:4:\"true\";s:11:\"svg-uploads\";s:8:\"disabled\";s:18:\"use-template-cache\";s:5:\"false\";s:22:\"plugin-nextgen-edition\";s:4:\"true\";s:44:\"jet-menu-disable-integration-hello-elementor\";s:5:\"false\";s:22:\"jet-menu-mobile-layout\";s:9:\"slide-out\";s:31:\"jet-menu-mobile-toggle-position\";s:7:\"default\";s:34:\"jet-menu-mobile-container-position\";s:5:\"right\";s:27:\"jet-menu-mobile-sub-trigger\";s:4:\"item\";s:31:\"jet-menu-mobile-sub-open-layout\";s:8:\"slide-in\";s:36:\"jet-menu-mobile-close-after-navigate\";s:5:\"false\";s:31:\"jet-menu-mobile-header-template\";s:0:\"\";s:31:\"jet-menu-mobile-before-template\";s:0:\"\";s:30:\"jet-menu-mobile-after-template\";s:0:\"\";s:27:\"jet-menu-mobile-toggle-icon\";s:0:\"\";s:34:\"jet-menu-mobile-toggle-opened-icon\";s:0:\"\";s:27:\"jet-menu-mobile-toggle-text\";s:0:\"\";s:29:\"jet-menu-mobile-toggle-loader\";s:4:\"true\";s:25:\"jet-menu-mobile-back-text\";s:0:\"\";s:30:\"jet-mobile-items-dropdown-icon\";s:0:\"\";s:37:\"jet-mobile-items-dropdown-opened-icon\";s:0:\"\";s:30:\"jet-menu-mobile-use-breadcrumb\";s:4:\"true\";s:31:\"jet-menu-mobile-breadcrumb-icon\";s:0:\"\";s:28:\"jet-menu-mobile-toggle-color\";s:0:\"\";s:27:\"jet-menu-mobile-toggle-size\";s:0:\"\";s:33:\"jet-menu-mobile-toggle-text-color\";s:0:\"\";s:34:\"jet-menu-mobile-toggle-text-switch\";s:5:\"false\";s:39:\"jet-menu-mobile-toggle-text-font-family\";s:0:\"\";s:34:\"jet-menu-mobile-toggle-text-subset\";s:0:\"\";s:37:\"jet-menu-mobile-toggle-text-font-size\";s:0:\"\";s:39:\"jet-menu-mobile-toggle-text-line-height\";s:0:\"\";s:39:\"jet-menu-mobile-toggle-text-font-weight\";s:0:\"\";s:42:\"jet-menu-mobile-toggle-text-text-transform\";s:0:\"\";s:38:\"jet-menu-mobile-toggle-text-font-style\";s:0:\"\";s:42:\"jet-menu-mobile-toggle-text-letter-spacing\";s:0:\"\";s:32:\"jet-menu-mobile-back-text-switch\";s:5:\"false\";s:37:\"jet-menu-mobile-back-text-font-family\";s:0:\"\";s:32:\"jet-menu-mobile-back-text-subset\";s:0:\"\";s:35:\"jet-menu-mobile-back-text-font-size\";s:0:\"\";s:37:\"jet-menu-mobile-back-text-line-height\";s:0:\"\";s:37:\"jet-menu-mobile-back-text-font-weight\";s:0:\"\";s:40:\"jet-menu-mobile-back-text-text-transform\";s:0:\"\";s:36:\"jet-menu-mobile-back-text-font-style\";s:0:\"\";s:40:\"jet-menu-mobile-back-text-letter-spacing\";s:0:\"\";s:25:\"jet-menu-mobile-toggle-bg\";s:0:\"\";s:36:\"jet-menu-mobile-toggle-border-switch\";s:5:\"false\";s:35:\"jet-menu-mobile-toggle-border-style\";s:0:\"\";s:35:\"jet-menu-mobile-toggle-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:35:\"jet-menu-mobile-toggle-border-color\";s:0:\"\";s:40:\"jet-menu-mobile-toggle-box-shadow-switch\";s:5:\"false\";s:39:\"jet-menu-mobile-toggle-box-shadow-inset\";s:5:\"false\";s:39:\"jet-menu-mobile-toggle-box-shadow-color\";s:0:\"\";s:35:\"jet-menu-mobile-toggle-box-shadow-h\";s:0:\"\";s:35:\"jet-menu-mobile-toggle-box-shadow-v\";s:0:\"\";s:38:\"jet-menu-mobile-toggle-box-shadow-blur\";s:0:\"\";s:40:\"jet-menu-mobile-toggle-box-shadow-spread\";s:0:\"\";s:36:\"jet-menu-mobile-toggle-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-mobile-toggle-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-mobile-container-width\";s:0:\"\";s:38:\"jet-menu-mobile-breadcrumbs-text-color\";s:0:\"\";s:38:\"jet-menu-mobile-breadcrumbs-icon-color\";s:0:\"\";s:37:\"jet-menu-mobile-breadcrumbs-icon-size\";s:0:\"\";s:39:\"jet-menu-mobile-breadcrumbs-text-switch\";s:5:\"false\";s:44:\"jet-menu-mobile-breadcrumbs-text-font-family\";s:0:\"\";s:39:\"jet-menu-mobile-breadcrumbs-text-subset\";s:0:\"\";s:42:\"jet-menu-mobile-breadcrumbs-text-font-size\";s:0:\"\";s:44:\"jet-menu-mobile-breadcrumbs-text-line-height\";s:0:\"\";s:44:\"jet-menu-mobile-breadcrumbs-text-font-weight\";s:0:\"\";s:47:\"jet-menu-mobile-breadcrumbs-text-text-transform\";s:0:\"\";s:43:\"jet-menu-mobile-breadcrumbs-text-font-style\";s:0:\"\";s:47:\"jet-menu-mobile-breadcrumbs-text-letter-spacing\";s:0:\"\";s:28:\"jet-menu-mobile-container-bg\";s:0:\"\";s:39:\"jet-menu-mobile-container-border-switch\";s:5:\"false\";s:38:\"jet-menu-mobile-container-border-style\";s:0:\"\";s:38:\"jet-menu-mobile-container-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:38:\"jet-menu-mobile-container-border-color\";s:0:\"\";s:43:\"jet-menu-mobile-container-box-shadow-switch\";s:5:\"false\";s:42:\"jet-menu-mobile-container-box-shadow-inset\";s:5:\"false\";s:42:\"jet-menu-mobile-container-box-shadow-color\";s:0:\"\";s:38:\"jet-menu-mobile-container-box-shadow-h\";s:0:\"\";s:38:\"jet-menu-mobile-container-box-shadow-v\";s:0:\"\";s:41:\"jet-menu-mobile-container-box-shadow-blur\";s:0:\"\";s:43:\"jet-menu-mobile-container-box-shadow-spread\";s:0:\"\";s:33:\"jet-menu-mobile-container-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:39:\"jet-menu-mobile-container-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:24:\"jet-menu-mobile-cover-bg\";s:0:\"\";s:36:\"jet-menu-mobile-container-close-icon\";s:8:\"fa-times\";s:35:\"jet-menu-mobile-container-back-icon\";s:13:\"fa-angle-left\";s:37:\"jet-menu-mobile-container-close-color\";s:0:\"\";s:41:\"jet-menu-mobile-container-back-text-color\";s:0:\"\";s:36:\"jet-menu-mobile-container-close-size\";s:0:\"\";s:28:\"jet-mobile-items-label-color\";s:0:\"\";s:35:\"jet-mobile-items-label-color-active\";s:0:\"\";s:34:\"jet-mobile-items-label-font-family\";s:0:\"\";s:29:\"jet-mobile-items-label-subset\";s:0:\"\";s:32:\"jet-mobile-items-label-font-size\";s:0:\"\";s:34:\"jet-mobile-items-label-line-height\";s:0:\"\";s:34:\"jet-mobile-items-label-font-weight\";s:0:\"\";s:37:\"jet-mobile-items-label-text-transform\";s:0:\"\";s:33:\"jet-mobile-items-label-font-style\";s:0:\"\";s:37:\"jet-mobile-items-label-letter-spacing\";s:0:\"\";s:28:\"jet-mobile-items-desc-enable\";s:5:\"false\";s:27:\"jet-mobile-items-desc-color\";s:0:\"\";s:34:\"jet-mobile-items-desc-color-active\";s:0:\"\";s:28:\"jet-mobile-items-desc-switch\";s:5:\"false\";s:33:\"jet-mobile-items-desc-font-family\";s:0:\"\";s:28:\"jet-mobile-items-desc-subset\";s:0:\"\";s:31:\"jet-mobile-items-desc-font-size\";s:0:\"\";s:33:\"jet-mobile-items-desc-line-height\";s:0:\"\";s:33:\"jet-mobile-items-desc-font-weight\";s:0:\"\";s:36:\"jet-mobile-items-desc-text-transform\";s:0:\"\";s:32:\"jet-mobile-items-desc-font-style\";s:0:\"\";s:36:\"jet-mobile-items-desc-letter-spacing\";s:0:\"\";s:32:\"jet-mobile-items-divider-enabled\";s:5:\"false\";s:30:\"jet-mobile-items-divider-color\";s:0:\"\";s:30:\"jet-mobile-items-divider-width\";s:1:\"1\";s:29:\"jet-mobile-items-icon-enabled\";s:4:\"true\";s:27:\"jet-mobile-items-icon-color\";s:0:\"\";s:26:\"jet-mobile-items-icon-size\";s:0:\"\";s:34:\"jet-mobile-items-icon-ver-position\";s:6:\"center\";s:28:\"jet-mobile-items-icon-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-mobile-items-badge-enabled\";s:4:\"true\";s:28:\"jet-mobile-items-badge-color\";s:0:\"\";s:29:\"jet-mobile-items-badge-switch\";s:5:\"false\";s:34:\"jet-mobile-items-badge-font-family\";s:0:\"\";s:29:\"jet-mobile-items-badge-subset\";s:0:\"\";s:32:\"jet-mobile-items-badge-font-size\";s:0:\"\";s:34:\"jet-mobile-items-badge-line-height\";s:0:\"\";s:34:\"jet-mobile-items-badge-font-weight\";s:0:\"\";s:37:\"jet-mobile-items-badge-text-transform\";s:0:\"\";s:33:\"jet-mobile-items-badge-font-style\";s:0:\"\";s:37:\"jet-mobile-items-badge-letter-spacing\";s:0:\"\";s:31:\"jet-mobile-items-badge-bg-color\";s:0:\"\";s:35:\"jet-mobile-items-badge-ver-position\";s:3:\"top\";s:30:\"jet-mobile-items-badge-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:36:\"jet-mobile-items-badge-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-mobile-items-dropdown-color\";s:0:\"\";s:30:\"jet-mobile-items-dropdown-size\";s:0:\"\";s:23:\"jet-mobile-loader-color\";s:7:\"#3a3a3a\";s:18:\"jet-menu-animation\";s:4:\"fade\";s:24:\"jet-menu-show-for-device\";s:4:\"both\";s:26:\"jet-menu-mega-ajax-loading\";s:5:\"false\";s:25:\"jet-menu-mouseleave-delay\";s:3:\"500\";s:24:\"jet-mega-menu-width-type\";s:9:\"container\";s:33:\"jet-mega-menu-selector-width-type\";s:0:\"\";s:22:\"jet-menu-open-sub-type\";s:5:\"hover\";s:28:\"jet-menu-container-alignment\";s:8:\"flex-end\";s:18:\"jet-menu-min-width\";s:1:\"0\";s:21:\"jet-menu-mega-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:25:\"jet-menu-container-switch\";s:5:\"false\";s:24:\"jet-menu-container-color\";s:7:\"#ffffff\";s:34:\"jet-menu-container-gradient-switch\";s:5:\"false\";s:31:\"jet-menu-container-second-color\";s:0:\"\";s:28:\"jet-menu-container-direction\";s:5:\"right\";s:24:\"jet-menu-container-image\";s:0:\"\";s:27:\"jet-menu-container-position\";s:0:\"\";s:29:\"jet-menu-container-attachment\";s:0:\"\";s:25:\"jet-menu-container-repeat\";s:0:\"\";s:23:\"jet-menu-container-size\";s:0:\"\";s:32:\"jet-menu-container-border-switch\";s:5:\"false\";s:31:\"jet-menu-container-border-style\";s:0:\"\";s:31:\"jet-menu-container-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-container-border-color\";s:0:\"\";s:36:\"jet-menu-container-box-shadow-switch\";s:5:\"false\";s:35:\"jet-menu-container-box-shadow-inset\";s:5:\"false\";s:35:\"jet-menu-container-box-shadow-color\";s:0:\"\";s:31:\"jet-menu-container-box-shadow-h\";s:0:\"\";s:31:\"jet-menu-container-box-shadow-v\";s:0:\"\";s:34:\"jet-menu-container-box-shadow-blur\";s:0:\"\";s:36:\"jet-menu-container-box-shadow-spread\";s:0:\"\";s:27:\"jet-menu-mega-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:29:\"jet-menu-inherit-first-radius\";s:5:\"false\";s:28:\"jet-menu-inherit-last-radius\";s:5:\"false\";s:31:\"jet-menu-sub-panel-width-simple\";s:3:\"200\";s:32:\"jet-menu-sub-panel-simple-switch\";s:5:\"false\";s:31:\"jet-menu-sub-panel-simple-color\";s:7:\"#ffffff\";s:41:\"jet-menu-sub-panel-simple-gradient-switch\";s:5:\"false\";s:38:\"jet-menu-sub-panel-simple-second-color\";s:0:\"\";s:35:\"jet-menu-sub-panel-simple-direction\";s:5:\"right\";s:31:\"jet-menu-sub-panel-simple-image\";s:0:\"\";s:34:\"jet-menu-sub-panel-simple-position\";s:0:\"\";s:36:\"jet-menu-sub-panel-simple-attachment\";s:0:\"\";s:32:\"jet-menu-sub-panel-simple-repeat\";s:0:\"\";s:30:\"jet-menu-sub-panel-simple-size\";s:0:\"\";s:39:\"jet-menu-sub-panel-simple-border-switch\";s:5:\"false\";s:38:\"jet-menu-sub-panel-simple-border-style\";s:0:\"\";s:38:\"jet-menu-sub-panel-simple-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:38:\"jet-menu-sub-panel-simple-border-color\";s:0:\"\";s:43:\"jet-menu-sub-panel-simple-box-shadow-switch\";s:5:\"false\";s:42:\"jet-menu-sub-panel-simple-box-shadow-inset\";s:5:\"false\";s:42:\"jet-menu-sub-panel-simple-box-shadow-color\";s:0:\"\";s:38:\"jet-menu-sub-panel-simple-box-shadow-h\";s:0:\"\";s:38:\"jet-menu-sub-panel-simple-box-shadow-v\";s:0:\"\";s:41:\"jet-menu-sub-panel-simple-box-shadow-blur\";s:0:\"\";s:43:\"jet-menu-sub-panel-simple-box-shadow-spread\";s:0:\"\";s:39:\"jet-menu-sub-panel-border-radius-simple\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:33:\"jet-menu-sub-panel-padding-simple\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:32:\"jet-menu-sub-panel-margin-simple\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-sub-panel-mega-switch\";s:5:\"false\";s:29:\"jet-menu-sub-panel-mega-color\";s:7:\"#ffffff\";s:39:\"jet-menu-sub-panel-mega-gradient-switch\";s:5:\"false\";s:36:\"jet-menu-sub-panel-mega-second-color\";s:0:\"\";s:33:\"jet-menu-sub-panel-mega-direction\";s:5:\"right\";s:29:\"jet-menu-sub-panel-mega-image\";s:0:\"\";s:32:\"jet-menu-sub-panel-mega-position\";s:0:\"\";s:34:\"jet-menu-sub-panel-mega-attachment\";s:0:\"\";s:30:\"jet-menu-sub-panel-mega-repeat\";s:0:\"\";s:28:\"jet-menu-sub-panel-mega-size\";s:0:\"\";s:37:\"jet-menu-sub-panel-mega-border-switch\";s:5:\"false\";s:36:\"jet-menu-sub-panel-mega-border-style\";s:0:\"\";s:36:\"jet-menu-sub-panel-mega-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:36:\"jet-menu-sub-panel-mega-border-color\";s:0:\"\";s:41:\"jet-menu-sub-panel-mega-box-shadow-switch\";s:5:\"false\";s:40:\"jet-menu-sub-panel-mega-box-shadow-inset\";s:5:\"false\";s:40:\"jet-menu-sub-panel-mega-box-shadow-color\";s:0:\"\";s:36:\"jet-menu-sub-panel-mega-box-shadow-h\";s:0:\"\";s:36:\"jet-menu-sub-panel-mega-box-shadow-v\";s:0:\"\";s:39:\"jet-menu-sub-panel-mega-box-shadow-blur\";s:0:\"\";s:41:\"jet-menu-sub-panel-mega-box-shadow-spread\";s:0:\"\";s:37:\"jet-menu-sub-panel-border-radius-mega\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-sub-panel-padding-mega\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-sub-panel-margin-mega\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:23:\"jet-menu-item-max-width\";s:0:\"\";s:19:\"jet-top-menu-switch\";s:5:\"false\";s:24:\"jet-top-menu-font-family\";s:0:\"\";s:19:\"jet-top-menu-subset\";s:0:\"\";s:22:\"jet-top-menu-font-size\";s:0:\"\";s:24:\"jet-top-menu-line-height\";s:0:\"\";s:24:\"jet-top-menu-font-weight\";s:0:\"\";s:27:\"jet-top-menu-text-transform\";s:0:\"\";s:23:\"jet-top-menu-font-style\";s:0:\"\";s:27:\"jet-top-menu-letter-spacing\";s:0:\"\";s:22:\"jet-show-top-menu-desc\";s:5:\"false\";s:24:\"jet-top-menu-desc-switch\";s:5:\"false\";s:29:\"jet-top-menu-desc-font-family\";s:0:\"\";s:24:\"jet-top-menu-desc-subset\";s:0:\"\";s:27:\"jet-top-menu-desc-font-size\";s:0:\"\";s:29:\"jet-top-menu-desc-line-height\";s:0:\"\";s:29:\"jet-top-menu-desc-font-weight\";s:0:\"\";s:32:\"jet-top-menu-desc-text-transform\";s:0:\"\";s:28:\"jet-top-menu-desc-font-style\";s:0:\"\";s:32:\"jet-top-menu-desc-letter-spacing\";s:0:\"\";s:24:\"jet-menu-item-text-color\";s:0:\"\";s:24:\"jet-menu-item-desc-color\";s:0:\"\";s:23:\"jet-menu-top-icon-color\";s:0:\"\";s:24:\"jet-menu-top-arrow-color\";s:0:\"\";s:20:\"jet-menu-item-switch\";s:5:\"false\";s:19:\"jet-menu-item-color\";s:7:\"#ffffff\";s:29:\"jet-menu-item-gradient-switch\";s:5:\"false\";s:26:\"jet-menu-item-second-color\";s:0:\"\";s:23:\"jet-menu-item-direction\";s:5:\"right\";s:19:\"jet-menu-item-image\";s:0:\"\";s:22:\"jet-menu-item-position\";s:0:\"\";s:24:\"jet-menu-item-attachment\";s:0:\"\";s:20:\"jet-menu-item-repeat\";s:0:\"\";s:18:\"jet-menu-item-size\";s:0:\"\";s:27:\"jet-menu-item-border-switch\";s:5:\"false\";s:26:\"jet-menu-item-border-style\";s:0:\"\";s:26:\"jet-menu-item-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:26:\"jet-menu-item-border-color\";s:0:\"\";s:33:\"jet-menu-first-item-border-switch\";s:5:\"false\";s:32:\"jet-menu-first-item-border-style\";s:0:\"\";s:32:\"jet-menu-first-item-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:32:\"jet-menu-first-item-border-color\";s:0:\"\";s:32:\"jet-menu-last-item-border-switch\";s:5:\"false\";s:31:\"jet-menu-last-item-border-style\";s:0:\"\";s:31:\"jet-menu-last-item-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-last-item-border-color\";s:0:\"\";s:31:\"jet-menu-item-box-shadow-switch\";s:5:\"false\";s:30:\"jet-menu-item-box-shadow-inset\";s:5:\"false\";s:30:\"jet-menu-item-box-shadow-color\";s:0:\"\";s:26:\"jet-menu-item-box-shadow-h\";s:0:\"\";s:26:\"jet-menu-item-box-shadow-v\";s:0:\"\";s:29:\"jet-menu-item-box-shadow-blur\";s:0:\"\";s:31:\"jet-menu-item-box-shadow-spread\";s:0:\"\";s:27:\"jet-menu-item-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:21:\"jet-menu-item-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:20:\"jet-menu-item-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-item-text-color-hover\";s:0:\"\";s:30:\"jet-menu-item-desc-color-hover\";s:0:\"\";s:29:\"jet-menu-top-icon-color-hover\";s:0:\"\";s:30:\"jet-menu-top-arrow-color-hover\";s:0:\"\";s:26:\"jet-menu-item-hover-switch\";s:5:\"false\";s:25:\"jet-menu-item-hover-color\";s:7:\"#ffffff\";s:35:\"jet-menu-item-hover-gradient-switch\";s:5:\"false\";s:32:\"jet-menu-item-hover-second-color\";s:0:\"\";s:29:\"jet-menu-item-hover-direction\";s:5:\"right\";s:25:\"jet-menu-item-hover-image\";s:0:\"\";s:28:\"jet-menu-item-hover-position\";s:0:\"\";s:30:\"jet-menu-item-hover-attachment\";s:0:\"\";s:26:\"jet-menu-item-hover-repeat\";s:0:\"\";s:24:\"jet-menu-item-hover-size\";s:0:\"\";s:33:\"jet-menu-item-hover-border-switch\";s:5:\"false\";s:32:\"jet-menu-item-hover-border-style\";s:0:\"\";s:32:\"jet-menu-item-hover-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:32:\"jet-menu-item-hover-border-color\";s:0:\"\";s:39:\"jet-menu-first-item-hover-border-switch\";s:5:\"false\";s:38:\"jet-menu-first-item-hover-border-style\";s:0:\"\";s:38:\"jet-menu-first-item-hover-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:38:\"jet-menu-first-item-hover-border-color\";s:0:\"\";s:38:\"jet-menu-last-item-hover-border-switch\";s:5:\"false\";s:37:\"jet-menu-last-item-hover-border-style\";s:0:\"\";s:37:\"jet-menu-last-item-hover-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:37:\"jet-menu-last-item-hover-border-color\";s:0:\"\";s:37:\"jet-menu-item-hover-box-shadow-switch\";s:5:\"false\";s:36:\"jet-menu-item-hover-box-shadow-inset\";s:5:\"false\";s:36:\"jet-menu-item-hover-box-shadow-color\";s:0:\"\";s:32:\"jet-menu-item-hover-box-shadow-h\";s:0:\"\";s:32:\"jet-menu-item-hover-box-shadow-v\";s:0:\"\";s:35:\"jet-menu-item-hover-box-shadow-blur\";s:0:\"\";s:37:\"jet-menu-item-hover-box-shadow-spread\";s:0:\"\";s:33:\"jet-menu-item-border-radius-hover\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:27:\"jet-menu-item-padding-hover\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:26:\"jet-menu-item-margin-hover\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-item-text-color-active\";s:0:\"\";s:31:\"jet-menu-item-desc-color-active\";s:0:\"\";s:30:\"jet-menu-top-icon-color-active\";s:0:\"\";s:31:\"jet-menu-top-arrow-color-active\";s:0:\"\";s:27:\"jet-menu-item-active-switch\";s:5:\"false\";s:26:\"jet-menu-item-active-color\";s:7:\"#ffffff\";s:36:\"jet-menu-item-active-gradient-switch\";s:5:\"false\";s:33:\"jet-menu-item-active-second-color\";s:0:\"\";s:30:\"jet-menu-item-active-direction\";s:5:\"right\";s:26:\"jet-menu-item-active-image\";s:0:\"\";s:29:\"jet-menu-item-active-position\";s:0:\"\";s:31:\"jet-menu-item-active-attachment\";s:0:\"\";s:27:\"jet-menu-item-active-repeat\";s:0:\"\";s:25:\"jet-menu-item-active-size\";s:0:\"\";s:34:\"jet-menu-item-active-border-switch\";s:5:\"false\";s:33:\"jet-menu-item-active-border-style\";s:0:\"\";s:33:\"jet-menu-item-active-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:33:\"jet-menu-item-active-border-color\";s:0:\"\";s:40:\"jet-menu-first-item-active-border-switch\";s:5:\"false\";s:39:\"jet-menu-first-item-active-border-style\";s:0:\"\";s:39:\"jet-menu-first-item-active-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:39:\"jet-menu-first-item-active-border-color\";s:0:\"\";s:39:\"jet-menu-last-item-active-border-switch\";s:5:\"false\";s:38:\"jet-menu-last-item-active-border-style\";s:0:\"\";s:38:\"jet-menu-last-item-active-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:38:\"jet-menu-last-item-active-border-color\";s:0:\"\";s:38:\"jet-menu-item-active-box-shadow-switch\";s:5:\"false\";s:37:\"jet-menu-item-active-box-shadow-inset\";s:5:\"false\";s:37:\"jet-menu-item-active-box-shadow-color\";s:0:\"\";s:33:\"jet-menu-item-active-box-shadow-h\";s:0:\"\";s:33:\"jet-menu-item-active-box-shadow-v\";s:0:\"\";s:36:\"jet-menu-item-active-box-shadow-blur\";s:0:\"\";s:38:\"jet-menu-item-active-box-shadow-spread\";s:0:\"\";s:34:\"jet-menu-item-border-radius-active\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:28:\"jet-menu-item-padding-active\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:27:\"jet-menu-item-margin-active\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:19:\"jet-sub-menu-switch\";s:5:\"false\";s:24:\"jet-sub-menu-font-family\";s:0:\"\";s:19:\"jet-sub-menu-subset\";s:0:\"\";s:22:\"jet-sub-menu-font-size\";s:0:\"\";s:24:\"jet-sub-menu-line-height\";s:0:\"\";s:24:\"jet-sub-menu-font-weight\";s:0:\"\";s:27:\"jet-sub-menu-text-transform\";s:0:\"\";s:23:\"jet-sub-menu-font-style\";s:0:\"\";s:27:\"jet-sub-menu-letter-spacing\";s:0:\"\";s:22:\"jet-show-sub-menu-desc\";s:5:\"false\";s:24:\"jet-sub-menu-desc-switch\";s:5:\"false\";s:29:\"jet-sub-menu-desc-font-family\";s:0:\"\";s:24:\"jet-sub-menu-desc-subset\";s:0:\"\";s:27:\"jet-sub-menu-desc-font-size\";s:0:\"\";s:29:\"jet-sub-menu-desc-line-height\";s:0:\"\";s:29:\"jet-sub-menu-desc-font-weight\";s:0:\"\";s:32:\"jet-sub-menu-desc-text-transform\";s:0:\"\";s:28:\"jet-sub-menu-desc-font-style\";s:0:\"\";s:32:\"jet-sub-menu-desc-letter-spacing\";s:0:\"\";s:23:\"jet-menu-sub-text-color\";s:0:\"\";s:23:\"jet-menu-sub-desc-color\";s:0:\"\";s:23:\"jet-menu-sub-icon-color\";s:0:\"\";s:24:\"jet-menu-sub-arrow-color\";s:0:\"\";s:19:\"jet-menu-sub-switch\";s:5:\"false\";s:18:\"jet-menu-sub-color\";s:7:\"#ffffff\";s:28:\"jet-menu-sub-gradient-switch\";s:5:\"false\";s:25:\"jet-menu-sub-second-color\";s:0:\"\";s:22:\"jet-menu-sub-direction\";s:5:\"right\";s:18:\"jet-menu-sub-image\";s:0:\"\";s:21:\"jet-menu-sub-position\";s:0:\"\";s:23:\"jet-menu-sub-attachment\";s:0:\"\";s:19:\"jet-menu-sub-repeat\";s:0:\"\";s:17:\"jet-menu-sub-size\";s:0:\"\";s:26:\"jet-menu-sub-border-switch\";s:5:\"false\";s:25:\"jet-menu-sub-border-style\";s:0:\"\";s:25:\"jet-menu-sub-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:25:\"jet-menu-sub-border-color\";s:0:\"\";s:32:\"jet-menu-sub-first-border-switch\";s:5:\"false\";s:31:\"jet-menu-sub-first-border-style\";s:0:\"\";s:31:\"jet-menu-sub-first-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-sub-first-border-color\";s:0:\"\";s:31:\"jet-menu-sub-last-border-switch\";s:5:\"false\";s:30:\"jet-menu-sub-last-border-style\";s:0:\"\";s:30:\"jet-menu-sub-last-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-sub-last-border-color\";s:0:\"\";s:30:\"jet-menu-sub-box-shadow-switch\";s:5:\"false\";s:29:\"jet-menu-sub-box-shadow-inset\";s:5:\"false\";s:29:\"jet-menu-sub-box-shadow-color\";s:0:\"\";s:25:\"jet-menu-sub-box-shadow-h\";s:0:\"\";s:25:\"jet-menu-sub-box-shadow-v\";s:0:\"\";s:28:\"jet-menu-sub-box-shadow-blur\";s:0:\"\";s:30:\"jet-menu-sub-box-shadow-spread\";s:0:\"\";s:26:\"jet-menu-sub-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:20:\"jet-menu-sub-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:19:\"jet-menu-sub-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:29:\"jet-menu-sub-text-color-hover\";s:0:\"\";s:29:\"jet-menu-sub-desc-color-hover\";s:0:\"\";s:29:\"jet-menu-sub-icon-color-hover\";s:0:\"\";s:30:\"jet-menu-sub-arrow-color-hover\";s:0:\"\";s:25:\"jet-menu-sub-hover-switch\";s:5:\"false\";s:24:\"jet-menu-sub-hover-color\";s:7:\"#ffffff\";s:34:\"jet-menu-sub-hover-gradient-switch\";s:5:\"false\";s:31:\"jet-menu-sub-hover-second-color\";s:0:\"\";s:28:\"jet-menu-sub-hover-direction\";s:5:\"right\";s:24:\"jet-menu-sub-hover-image\";s:0:\"\";s:27:\"jet-menu-sub-hover-position\";s:0:\"\";s:29:\"jet-menu-sub-hover-attachment\";s:0:\"\";s:25:\"jet-menu-sub-hover-repeat\";s:0:\"\";s:23:\"jet-menu-sub-hover-size\";s:0:\"\";s:32:\"jet-menu-sub-hover-border-switch\";s:5:\"false\";s:31:\"jet-menu-sub-hover-border-style\";s:0:\"\";s:31:\"jet-menu-sub-hover-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-sub-hover-border-color\";s:0:\"\";s:38:\"jet-menu-sub-first-hover-border-switch\";s:5:\"false\";s:37:\"jet-menu-sub-first-hover-border-style\";s:0:\"\";s:37:\"jet-menu-sub-first-hover-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:37:\"jet-menu-sub-first-hover-border-color\";s:0:\"\";s:37:\"jet-menu-sub-last-hover-border-switch\";s:5:\"false\";s:36:\"jet-menu-sub-last-hover-border-style\";s:0:\"\";s:36:\"jet-menu-sub-last-hover-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:36:\"jet-menu-sub-last-hover-border-color\";s:0:\"\";s:36:\"jet-menu-sub-hover-box-shadow-switch\";s:5:\"false\";s:35:\"jet-menu-sub-hover-box-shadow-inset\";s:5:\"false\";s:35:\"jet-menu-sub-hover-box-shadow-color\";s:0:\"\";s:31:\"jet-menu-sub-hover-box-shadow-h\";s:0:\"\";s:31:\"jet-menu-sub-hover-box-shadow-v\";s:0:\"\";s:34:\"jet-menu-sub-hover-box-shadow-blur\";s:0:\"\";s:36:\"jet-menu-sub-hover-box-shadow-spread\";s:0:\"\";s:32:\"jet-menu-sub-border-radius-hover\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:26:\"jet-menu-sub-padding-hover\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:25:\"jet-menu-sub-margin-hover\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-sub-text-color-active\";s:0:\"\";s:30:\"jet-menu-sub-desc-color-active\";s:0:\"\";s:30:\"jet-menu-sub-icon-color-active\";s:0:\"\";s:31:\"jet-menu-sub-arrow-color-active\";s:0:\"\";s:26:\"jet-menu-sub-active-switch\";s:5:\"false\";s:25:\"jet-menu-sub-active-color\";s:7:\"#ffffff\";s:35:\"jet-menu-sub-active-gradient-switch\";s:5:\"false\";s:32:\"jet-menu-sub-active-second-color\";s:0:\"\";s:29:\"jet-menu-sub-active-direction\";s:5:\"right\";s:25:\"jet-menu-sub-active-image\";s:0:\"\";s:28:\"jet-menu-sub-active-position\";s:0:\"\";s:30:\"jet-menu-sub-active-attachment\";s:0:\"\";s:26:\"jet-menu-sub-active-repeat\";s:0:\"\";s:24:\"jet-menu-sub-active-size\";s:0:\"\";s:33:\"jet-menu-sub-active-border-switch\";s:5:\"false\";s:32:\"jet-menu-sub-active-border-style\";s:0:\"\";s:32:\"jet-menu-sub-active-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:32:\"jet-menu-sub-active-border-color\";s:0:\"\";s:39:\"jet-menu-sub-first-active-border-switch\";s:5:\"false\";s:38:\"jet-menu-sub-first-active-border-style\";s:0:\"\";s:38:\"jet-menu-sub-first-active-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:38:\"jet-menu-sub-first-active-border-color\";s:0:\"\";s:38:\"jet-menu-sub-last-active-border-switch\";s:5:\"false\";s:37:\"jet-menu-sub-last-active-border-style\";s:0:\"\";s:37:\"jet-menu-sub-last-active-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:37:\"jet-menu-sub-last-active-border-color\";s:0:\"\";s:37:\"jet-menu-sub-active-box-shadow-switch\";s:5:\"false\";s:36:\"jet-menu-sub-active-box-shadow-inset\";s:5:\"false\";s:36:\"jet-menu-sub-active-box-shadow-color\";s:0:\"\";s:32:\"jet-menu-sub-active-box-shadow-h\";s:0:\"\";s:32:\"jet-menu-sub-active-box-shadow-v\";s:0:\"\";s:35:\"jet-menu-sub-active-box-shadow-blur\";s:0:\"\";s:37:\"jet-menu-sub-active-box-shadow-spread\";s:0:\"\";s:33:\"jet-menu-sub-border-radius-active\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:27:\"jet-menu-sub-padding-active\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:26:\"jet-menu-sub-margin-active\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:22:\"jet-menu-top-icon-size\";s:0:\"\";s:24:\"jet-menu-top-icon-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-top-icon-ver-position\";s:6:\"center\";s:30:\"jet-menu-top-icon-hor-position\";s:0:\"\";s:23:\"jet-menu-top-icon-order\";s:0:\"\";s:22:\"jet-menu-sub-icon-size\";s:0:\"\";s:24:\"jet-menu-sub-icon-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:30:\"jet-menu-sub-icon-ver-position\";s:0:\"\";s:30:\"jet-menu-sub-icon-hor-position\";s:0:\"\";s:23:\"jet-menu-sub-icon-order\";s:0:\"\";s:29:\"jet-menu-top-badge-text-color\";s:0:\"\";s:25:\"jet-menu-top-badge-switch\";s:5:\"false\";s:30:\"jet-menu-top-badge-font-family\";s:0:\"\";s:25:\"jet-menu-top-badge-subset\";s:0:\"\";s:28:\"jet-menu-top-badge-font-size\";s:0:\"\";s:30:\"jet-menu-top-badge-line-height\";s:0:\"\";s:30:\"jet-menu-top-badge-font-weight\";s:0:\"\";s:33:\"jet-menu-top-badge-text-transform\";s:0:\"\";s:29:\"jet-menu-top-badge-font-style\";s:0:\"\";s:33:\"jet-menu-top-badge-letter-spacing\";s:0:\"\";s:28:\"jet-menu-top-badge-bg-switch\";s:5:\"false\";s:27:\"jet-menu-top-badge-bg-color\";s:7:\"#ffffff\";s:37:\"jet-menu-top-badge-bg-gradient-switch\";s:5:\"false\";s:34:\"jet-menu-top-badge-bg-second-color\";s:0:\"\";s:31:\"jet-menu-top-badge-bg-direction\";s:5:\"right\";s:27:\"jet-menu-top-badge-bg-image\";s:0:\"\";s:30:\"jet-menu-top-badge-bg-position\";s:0:\"\";s:32:\"jet-menu-top-badge-bg-attachment\";s:0:\"\";s:28:\"jet-menu-top-badge-bg-repeat\";s:0:\"\";s:26:\"jet-menu-top-badge-bg-size\";s:0:\"\";s:32:\"jet-menu-top-badge-border-switch\";s:5:\"false\";s:31:\"jet-menu-top-badge-border-style\";s:0:\"\";s:31:\"jet-menu-top-badge-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-top-badge-border-color\";s:0:\"\";s:36:\"jet-menu-top-badge-box-shadow-switch\";s:5:\"false\";s:35:\"jet-menu-top-badge-box-shadow-inset\";s:5:\"false\";s:35:\"jet-menu-top-badge-box-shadow-color\";s:0:\"\";s:31:\"jet-menu-top-badge-box-shadow-h\";s:0:\"\";s:31:\"jet-menu-top-badge-box-shadow-v\";s:0:\"\";s:34:\"jet-menu-top-badge-box-shadow-blur\";s:0:\"\";s:36:\"jet-menu-top-badge-box-shadow-spread\";s:0:\"\";s:32:\"jet-menu-top-badge-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:26:\"jet-menu-top-badge-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:25:\"jet-menu-top-badge-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-top-badge-ver-position\";s:0:\"\";s:31:\"jet-menu-top-badge-hor-position\";s:0:\"\";s:24:\"jet-menu-top-badge-order\";s:0:\"\";s:23:\"jet-menu-top-badge-hide\";s:5:\"false\";s:29:\"jet-menu-sub-badge-text-color\";s:0:\"\";s:25:\"jet-menu-sub-badge-switch\";s:5:\"false\";s:30:\"jet-menu-sub-badge-font-family\";s:0:\"\";s:25:\"jet-menu-sub-badge-subset\";s:0:\"\";s:28:\"jet-menu-sub-badge-font-size\";s:0:\"\";s:30:\"jet-menu-sub-badge-line-height\";s:0:\"\";s:30:\"jet-menu-sub-badge-font-weight\";s:0:\"\";s:33:\"jet-menu-sub-badge-text-transform\";s:0:\"\";s:29:\"jet-menu-sub-badge-font-style\";s:0:\"\";s:33:\"jet-menu-sub-badge-letter-spacing\";s:0:\"\";s:28:\"jet-menu-sub-badge-bg-switch\";s:5:\"false\";s:27:\"jet-menu-sub-badge-bg-color\";s:7:\"#ffffff\";s:37:\"jet-menu-sub-badge-bg-gradient-switch\";s:5:\"false\";s:34:\"jet-menu-sub-badge-bg-second-color\";s:0:\"\";s:31:\"jet-menu-sub-badge-bg-direction\";s:5:\"right\";s:27:\"jet-menu-sub-badge-bg-image\";s:0:\"\";s:30:\"jet-menu-sub-badge-bg-position\";s:0:\"\";s:32:\"jet-menu-sub-badge-bg-attachment\";s:0:\"\";s:28:\"jet-menu-sub-badge-bg-repeat\";s:0:\"\";s:26:\"jet-menu-sub-badge-bg-size\";s:0:\"\";s:32:\"jet-menu-sub-badge-border-switch\";s:5:\"false\";s:31:\"jet-menu-sub-badge-border-style\";s:0:\"\";s:31:\"jet-menu-sub-badge-border-width\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-sub-badge-border-color\";s:0:\"\";s:36:\"jet-menu-sub-badge-box-shadow-switch\";s:5:\"false\";s:35:\"jet-menu-sub-badge-box-shadow-inset\";s:5:\"false\";s:35:\"jet-menu-sub-badge-box-shadow-color\";s:0:\"\";s:31:\"jet-menu-sub-badge-box-shadow-h\";s:0:\"\";s:31:\"jet-menu-sub-badge-box-shadow-v\";s:0:\"\";s:34:\"jet-menu-sub-badge-box-shadow-blur\";s:0:\"\";s:36:\"jet-menu-sub-badge-box-shadow-spread\";s:0:\"\";s:32:\"jet-menu-sub-badge-border-radius\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:26:\"jet-menu-sub-badge-padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:25:\"jet-menu-sub-badge-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-sub-badge-ver-position\";s:0:\"\";s:31:\"jet-menu-sub-badge-hor-position\";s:0:\"\";s:24:\"jet-menu-sub-badge-order\";s:0:\"\";s:23:\"jet-menu-sub-badge-hide\";s:5:\"false\";s:23:\"jet-menu-top-arrow-type\";s:4:\"icon\";s:18:\"jet-menu-top-arrow\";s:13:\"fa-angle-down\";s:22:\"jet-menu-top-arrow-svg\";s:0:\"\";s:23:\"jet-menu-top-arrow-size\";s:0:\"\";s:25:\"jet-menu-top-arrow-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-top-arrow-ver-position\";s:0:\"\";s:31:\"jet-menu-top-arrow-hor-position\";s:0:\"\";s:24:\"jet-menu-top-arrow-order\";s:0:\"\";s:23:\"jet-menu-sub-arrow-type\";s:4:\"icon\";s:18:\"jet-menu-sub-arrow\";s:14:\"fa-angle-right\";s:22:\"jet-menu-sub-arrow-svg\";s:0:\"\";s:23:\"jet-menu-sub-arrow-size\";s:0:\"\";s:25:\"jet-menu-sub-arrow-margin\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}s:31:\"jet-menu-sub-arrow-ver-position\";s:0:\"\";s:31:\"jet-menu-sub-arrow-hor-position\";s:0:\"\";s:24:\"jet-menu-sub-arrow-order\";s:0:\"\";s:20:\"jet-mega-menu-layout\";s:10:\"horizontal\";s:29:\"jet-mega-menu-dropdown-layout\";s:7:\"default\";s:31:\"jet-mega-menu-dropdown-position\";s:5:\"right\";s:31:\"jet-mega-menu-sub-menu-position\";s:5:\"right\";s:27:\"jet-mega-menu-sub-animation\";s:4:\"fade\";s:28:\"jet-mega-menu-sub-menu-event\";s:5:\"hover\";s:30:\"jet-mega-menu-sub-menu-trigger\";s:4:\"item\";s:33:\"jet-mega-menu-dropdown-breakpoint\";s:3:\"768\";s:21:\"jet-mega-menu-roll-up\";s:5:\"false\";s:26:\"jet-mega-menu-roll-up-type\";s:4:\"text\";s:26:\"jet-mega-menu-roll-up-text\";s:3:\"...\";s:26:\"jet-mega-menu-roll-up-icon\";s:0:\"\";s:27:\"jet-mega-menu-dropdown-icon\";s:0:\"\";s:33:\"jet-mega-menu-toggle-default-icon\";s:0:\"\";s:32:\"jet-mega-menu-toggle-opened-icon\";s:0:\"\";s:31:\"jet-mega-menu-use-mobile-render\";s:5:\"false\";s:27:\"jet-mega-menu-mobile-device\";s:6:\"mobile\";s:29:\"jet-mega-menu-container-width\";s:5:\"false\";s:35:\"jet-mega-menu-top-typography-switch\";s:5:\"false\";s:40:\"jet-mega-menu-top-typography-font-family\";s:0:\"\";s:35:\"jet-mega-menu-top-typography-subset\";s:0:\"\";s:38:\"jet-mega-menu-top-typography-font-size\";s:0:\"\";s:40:\"jet-mega-menu-top-typography-line-height\";s:0:\"\";s:40:\"jet-mega-menu-top-typography-font-weight\";s:0:\"\";s:43:\"jet-mega-menu-top-typography-text-transform\";s:0:\"\";s:39:\"jet-mega-menu-top-typography-font-style\";s:0:\"\";s:43:\"jet-mega-menu-top-typography-letter-spacing\";s:0:\"\";s:31:\"jet-mega-menu-items-ver-padding\";s:0:\"\";s:31:\"jet-mega-menu-items-hor-padding\";s:0:\"\";s:23:\"jet-mega-menu-items-gap\";s:0:\"\";s:35:\"jet-mega-menu-sub-typography-switch\";s:5:\"false\";s:40:\"jet-mega-menu-sub-typography-font-family\";s:0:\"\";s:35:\"jet-mega-menu-sub-typography-subset\";s:0:\"\";s:38:\"jet-mega-menu-sub-typography-font-size\";s:0:\"\";s:40:\"jet-mega-menu-sub-typography-line-height\";s:0:\"\";s:40:\"jet-mega-menu-sub-typography-font-weight\";s:0:\"\";s:43:\"jet-mega-menu-sub-typography-text-transform\";s:0:\"\";s:39:\"jet-mega-menu-sub-typography-font-style\";s:0:\"\";s:43:\"jet-mega-menu-sub-typography-letter-spacing\";s:0:\"\";s:26:\"jet-mega-menu-sub-bg-color\";s:0:\"\";s:35:\"jet-mega-menu-sub-items-ver-padding\";s:0:\"\";s:35:\"jet-mega-menu-sub-items-hor-padding\";s:0:\"\";s:27:\"jet-mega-menu-sub-items-gap\";s:0:\"\";s:24:\"jet-mega-menu-icon-color\";s:0:\"\";s:25:\"jet-mega-menu-title-color\";s:0:\"\";s:25:\"jet-mega-menu-badge-color\";s:0:\"\";s:30:\"jet-mega-menu-hover-icon-color\";s:0:\"\";s:31:\"jet-mega-menu-hover-title-color\";s:0:\"\";s:31:\"jet-mega-menu-hover-badge-color\";s:0:\"\";s:31:\"jet-mega-menu-active-icon-color\";s:0:\"\";s:32:\"jet-mega-menu-active-title-color\";s:0:\"\";s:32:\"jet-mega-menu-active-badge-color\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-top-typography-switch\";s:5:\"false\";s:49:\"jet-mega-menu-dropdown-top-typography-font-family\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-top-typography-subset\";s:0:\"\";s:47:\"jet-mega-menu-dropdown-top-typography-font-size\";s:0:\"\";s:49:\"jet-mega-menu-dropdown-top-typography-line-height\";s:0:\"\";s:49:\"jet-mega-menu-dropdown-top-typography-font-weight\";s:0:\"\";s:52:\"jet-mega-menu-dropdown-top-typography-text-transform\";s:0:\"\";s:48:\"jet-mega-menu-dropdown-top-typography-font-style\";s:0:\"\";s:52:\"jet-mega-menu-dropdown-top-typography-letter-spacing\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-top-items-ver-padding\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-top-items-hor-padding\";s:0:\"\";s:36:\"jet-mega-menu-dropdown-top-items-gap\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-sub-typography-switch\";s:5:\"false\";s:49:\"jet-mega-menu-dropdown-sub-typography-font-family\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-sub-typography-subset\";s:0:\"\";s:47:\"jet-mega-menu-dropdown-sub-typography-font-size\";s:0:\"\";s:49:\"jet-mega-menu-dropdown-sub-typography-line-height\";s:0:\"\";s:49:\"jet-mega-menu-dropdown-sub-typography-font-weight\";s:0:\"\";s:52:\"jet-mega-menu-dropdown-sub-typography-text-transform\";s:0:\"\";s:48:\"jet-mega-menu-dropdown-sub-typography-font-style\";s:0:\"\";s:52:\"jet-mega-menu-dropdown-sub-typography-letter-spacing\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-sub-items-ver-padding\";s:0:\"\";s:44:\"jet-mega-menu-dropdown-sub-items-hor-padding\";s:0:\"\";s:36:\"jet-mega-menu-dropdown-sub-items-gap\";s:0:\"\";s:33:\"jet-mega-menu-dropdown-icon-color\";s:0:\"\";s:34:\"jet-mega-menu-dropdown-title-color\";s:0:\"\";s:34:\"jet-mega-menu-dropdown-badge-color\";s:0:\"\";s:36:\"jet-mega-menu-dropdown-item-bg-color\";s:0:\"\";s:39:\"jet-mega-menu-dropdown-hover-icon-color\";s:0:\"\";s:40:\"jet-mega-menu-dropdown-hover-title-color\";s:0:\"\";s:40:\"jet-mega-menu-dropdown-hover-badge-color\";s:0:\"\";s:42:\"jet-mega-menu-dropdown-hover-item-bg-color\";s:0:\"\";s:40:\"jet-mega-menu-dropdown-active-icon-color\";s:0:\"\";s:41:\"jet-mega-menu-dropdown-active-title-color\";s:0:\"\";s:41:\"jet-mega-menu-dropdown-active-badge-color\";s:0:\"\";s:43:\"jet-mega-menu-dropdown-active-item-bg-color\";s:0:\"\";s:34:\"jet-mega-menu-dropdown-toggle-size\";s:0:\"\";s:38:\"jet-mega-menu-dropdown-toggle-distance\";s:0:\"\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("4398", "jet-menu-db-version", "2.0.0", "yes");
INSERT INTO `wp_sa_options` VALUES("4459", "new_admin_email", "designer@abzarwp.com", "yes");
INSERT INTO `wp_sa_options` VALUES("5290", "elementor_font_awesome_pro_kit_id", "", "yes");
INSERT INTO `wp_sa_options` VALUES("5481", "theme_mods_astra", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:50;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1688979498;s:4:\"data\";a:12:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"sidebar-store\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}s:9:\"sidebar-1\";a:0:{}s:13:\"header-widget\";a:0:{}s:15:\"footer-widget-1\";a:0:{}s:15:\"footer-widget-2\";a:0:{}s:24:\"advanced-footer-widget-1\";a:0:{}s:24:\"advanced-footer-widget-2\";a:0:{}s:24:\"advanced-footer-widget-3\";a:0:{}s:24:\"advanced-footer-widget-4\";a:0:{}s:22:\"astra-woo-shop-sidebar\";a:0:{}s:24:\"astra-woo-single-sidebar\";a:0:{}}}}", "no");
INSERT INTO `wp_sa_options` VALUES("5484", "astra-settings", "a:2:{s:18:\"theme-auto-version\";s:5:\"4.1.6\";s:22:\"is_theme_queue_running\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("5839", "duplicator_notifications", "a:4:{s:6:\"update\";i:1716767557;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}", "yes");
INSERT INTO `wp_sa_options` VALUES("5850", "jet_smart_filters_version", "3.2.6", "no");
INSERT INTO `wp_sa_options` VALUES("5955", "duplicator_dismissed_admin_notices", "a:1:{s:14:\"review_request\";a:1:{s:4:\"time\";i:1688985081;}}", "yes");
INSERT INTO `wp_sa_options` VALUES("7555", "dokan-lite_tracking_notice", "hide", "yes");
INSERT INTO `wp_sa_options` VALUES("7564", "wc_blocks_use_blockified_product_grid_block_as_template", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("7565", "wc_blocks_version", "11.8.0-dev", "yes");
INSERT INTO `wp_sa_options` VALUES("7808", "woocommerce_task_list_reminder_bar_hidden", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("7820", "jetpack_options", "a:1:{s:14:\"last_heartbeat\";i:1716721481;}", "yes");
INSERT INTO `wp_sa_options` VALUES("10122", "db_upgraded", "", "yes");
INSERT INTO `wp_sa_options` VALUES("17836", "wp_attachment_pages_enabled", "1", "yes");
INSERT INTO `wp_sa_options` VALUES("24384", "jet-woo-builder-settings", "a:13:{s:24:\"global_available_widgets\";a:5:{s:18:\"jet-woo-categories\";s:5:\"false\";s:21:\"jet-woo-products-list\";s:5:\"false\";s:16:\"jet-woo-products\";s:5:\"false\";s:22:\"jet-woo-taxonomy-tiles\";s:5:\"false\";s:27:\"jet-woo-woocommerce-actions\";s:5:\"false\";}s:32:\"single_product_available_widgets\";a:15:{s:34:\"jet-woo-builder-single-add-to-cart\";s:5:\"false\";s:33:\"jet-woo-builder-single-attributes\";s:5:\"false\";s:30:\"jet-woo-builder-single-content\";s:5:\"false\";s:30:\"jet-woo-builder-single-excerpt\";s:5:\"false\";s:29:\"jet-woo-builder-single-images\";s:5:\"false\";s:27:\"jet-woo-builder-single-meta\";s:5:\"false\";s:28:\"jet-woo-builder-single-price\";s:5:\"false\";s:29:\"jet-woo-builder-single-rating\";s:5:\"false\";s:30:\"jet-woo-builder-single-related\";s:5:\"false\";s:35:\"jet-woo-builder-single-reviews-form\";s:5:\"false\";s:33:\"jet-woo-builder-single-sale-badge\";s:4:\"true\";s:30:\"jet-woo-builder-single-sharing\";s:5:\"false\";s:27:\"jet-woo-builder-single-tabs\";s:5:\"false\";s:28:\"jet-woo-builder-single-title\";s:5:\"false\";s:30:\"jet-woo-builder-single-upsells\";s:5:\"false\";}s:33:\"archive_product_available_widgets\";a:11:{s:35:\"jet-woo-builder-archive-add-to-cart\";s:5:\"false\";s:28:\"jet-woo-builder-archive-cats\";s:5:\"false\";s:39:\"jet-woo-builder-archive-product-excerpt\";s:5:\"false\";s:37:\"jet-woo-builder-archive-product-price\";s:5:\"false\";s:38:\"jet-woo-builder-archive-product-rating\";s:5:\"false\";s:41:\"jet-woo-builder-archive-product-thumbnail\";s:5:\"false\";s:37:\"jet-woo-builder-archive-product-title\";s:5:\"false\";s:34:\"jet-woo-builder-archive-sale-badge\";s:4:\"true\";s:27:\"jet-woo-builder-archive-sku\";s:5:\"false\";s:36:\"jet-woo-builder-archive-stock-status\";s:5:\"false\";s:28:\"jet-woo-builder-archive-tags\";s:5:\"false\";}s:34:\"archive_category_available_widgets\";a:4:{s:38:\"jet-woo-builder-archive-category-count\";s:5:\"false\";s:44:\"jet-woo-builder-archive-category-description\";s:5:\"false\";s:42:\"jet-woo-builder-archive-category-thumbnail\";s:5:\"false\";s:38:\"jet-woo-builder-archive-category-title\";s:5:\"false\";}s:30:\"shop_product_available_widgets\";a:8:{s:36:\"jet-woo-builder-products-description\";s:5:\"false\";s:29:\"jet-woo-builder-products-loop\";s:5:\"false\";s:35:\"jet-woo-builder-products-navigation\";s:5:\"false\";s:32:\"jet-woo-builder-products-notices\";s:5:\"false\";s:33:\"jet-woo-builder-products-ordering\";s:5:\"false\";s:35:\"jet-woo-builder-products-page-title\";s:5:\"false\";s:35:\"jet-woo-builder-products-pagination\";s:5:\"false\";s:37:\"jet-woo-builder-products-result-count\";s:5:\"false\";}s:22:\"cart_available_widgets\";a:5:{s:32:\"jet-woo-builder-cart-cross-sells\";s:5:\"false\";s:34:\"jet-woo-builder-cart-empty-message\";s:5:\"false\";s:35:\"jet-woo-builder-cart-return-to-shop\";s:5:\"false\";s:26:\"jet-woo-builder-cart-table\";s:5:\"false\";s:27:\"jet-woo-builder-cart-totals\";s:5:\"false\";}s:26:\"checkout_available_widgets\";a:7:{s:40:\"jet-woo-builder-checkout-additional-form\";s:5:\"false\";s:32:\"jet-woo-builder-checkout-billing\";s:5:\"false\";s:36:\"jet-woo-builder-checkout-coupon-form\";s:5:\"false\";s:35:\"jet-woo-builder-checkout-login-form\";s:5:\"false\";s:37:\"jet-woo-builder-checkout-order-review\";s:5:\"false\";s:32:\"jet-woo-builder-checkout-payment\";s:5:\"false\";s:38:\"jet-woo-builder-checkout-shipping-form\";s:5:\"false\";}s:26:\"thankyou_available_widgets\";a:3:{s:49:\"jet-woo-builder-thankyou-customer-address-details\";s:4:\"true\";s:38:\"jet-woo-builder-thankyou-order-details\";s:4:\"true\";s:30:\"jet-woo-builder-thankyou-order\";s:4:\"true\";}s:27:\"myaccount_available_widgets\";a:9:{s:41:\"jet-woo-builder-myaccount-account-details\";s:5:\"false\";s:35:\"jet-woo-builder-myaccount-addresses\";s:5:\"false\";s:33:\"jet-woo-builder-myaccount-content\";s:5:\"false\";s:35:\"jet-woo-builder-myaccount-dashboard\";s:5:\"false\";s:35:\"jet-woo-builder-myaccount-downloads\";s:5:\"false\";s:36:\"jet-woo-builder-myaccount-login-form\";s:4:\"true\";s:32:\"jet-woo-builder-myaccount-logout\";s:5:\"false\";s:31:\"jet-woo-builder-myaccount-order\";s:5:\"false\";s:43:\"jet-woo-builder-myaccount-registration-form\";s:4:\"true\";}s:27:\"enable_product_thumb_effect\";s:5:\"false\";s:20:\"product_thumb_effect\";s:10:\"slide-left\";s:30:\"enable_custom_templates_styles\";s:5:\"false\";s:30:\"enable_inline_templates_styles\";s:5:\"false\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("24413", "duplicator_plugin_data_stats", "{\n    \"lastSendTime\": 0,\n    \"identifier\": \"uIj.C;QYi9AjcEWbHFhfxgxXAn+1u3Jwt.hdfQ2RgIJf\",\n    \"plugin\": \"dup-lite\",\n    \"pluginStatus\": \"active\",\n    \"buildCount\": 1,\n    \"buildLastDate\": 1704697277,\n    \"buildFailedCount\": 0,\n    \"buildFailedLastDate\": 0,\n    \"siteSizeMB\": 359.529999999999972715158946812152862548828125,\n    \"siteNumFiles\": 25880,\n    \"siteDbSizeMB\": 19.4200000000000017053025658242404460906982421875,\n    \"siteDbNumTables\": 116\n}", "yes");
INSERT INTO `wp_sa_options` VALUES("24421", "woocommerce_custom_orders_table_created", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("24423", "woocommerce_custom_orders_table_enabled", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("24424", "woocommerce_feature_marketplace_enabled", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("24429", "woocommerce_store_id", "7d9e360a-218c-4bc4-8f23-22a48b82d905", "yes");
INSERT INTO `wp_sa_options` VALUES("24449", "wcpay_was_in_use", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("24612", "duplicator_email_summary_info", "{\"CL_-=_-=\":\"Duplicator\\\\Utils\\\\Email\\\\EmailSummary\",\"manualPackageIds\":[],\"failedPackageIds\":[]}", "yes");
INSERT INTO `wp_sa_options` VALUES("29989", "can_compress_scripts", "0", "yes");
INSERT INTO `wp_sa_options` VALUES("34186", "duplicator_install_info", "a:3:{s:7:\"version\";s:7:\"1.5.5.1\";s:4:\"time\";i:1688648287;s:10:\"updateTime\";i:1716793441;}", "no");
INSERT INTO `wp_sa_options` VALUES("34195", "woocommerce_product_match_featured_image_by_sku", "no", "yes");
INSERT INTO `wp_sa_options` VALUES("34196", "woocommerce_feature_order_attribution_enabled", "yes", "yes");
INSERT INTO `wp_sa_options` VALUES("34197", "woocommerce_remote_variant_assignment", "27", "yes");
INSERT INTO `wp_sa_options` VALUES("34213", "elementor_1_elementor_updater_batch_6062f6c3cf8e7d6d5ed3893a646f", "a:1:{i:0;a:1:{s:8:\"callback\";a:2:{i:0;s:31:\"Elementor\\Core\\Upgrade\\Upgrades\";i:1;s:16:\"_on_each_version\";}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34250", "elementor_pro_install_history", "a:2:{s:6:\"3.14.1\";i:1716803571;s:6:\"3.21.8\";i:1716803572;}", "yes");
INSERT INTO `wp_sa_options` VALUES("34252", "elementor_1_elementor_pro_updater_batch_50fcfccec41bb2bb4d184436", "a:1:{i:0;a:1:{s:8:\"callback\";a:2:{i:0;s:34:\"ElementorPro\\Core\\Upgrade\\Upgrades\";i:1;s:16:\"_on_each_version\";}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34264", "elementor_pro_remote_info_api_data_3.21.0", "a:2:{s:7:\"timeout\";i:1716859400;s:5:\"value\";s:216638:\"{\"stable_version\":\"3.21.3\",\"last_updated\":\"2024-04-30 12:30:35\",\"sections\":\"a:2:{s:11:\\\"description\\\";s:161:\\\"Elementor Pro adds new features to the Elementor Page Builder plugin. Control your conversions, your user engagement, your entire website, from one page builder.\\\";s:9:\\\"changelog\\\";s:201684:\\\"<h2>Elementor Pro - by Elementor.com<\\/h2>\\n<h4>3.21.3 - 2024-05-20<\\/h4>\\n<ul>\\n<li>Security Fix: Improved code security enforcement in Loop Grid widget<\\/li>\\n<li>Fix: License expired affects the Display Conditions functionality in the front end<\\/li>\\n<\\/ul>\\n<h4>3.21.2 - 2024-04-30<\\/h4>\\n<ul>\\n<li>Fix: Special characters are not displayed correctly when using the Excerpt widget in Loop template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25860\\\">#25860<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.21.1 - 2024-04-24<\\/h4>\\n<ul>\\n<li>Fix: Excerpt Length setting doesn\'t function correctly for languages with non-English characters in Post Excerpt widget<\\/li>\\n<\\/ul>\\n<h4>3.21.0 - 2024-04-15<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Taxonomy Query - Enabling the display of post and product categories and tags within Loop Grid and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21372\\\">#21372<\\/a>)<\\/li>\\n<li>Tweak: Optimized Hotspot widget to prevent rendering when no image is provided<\\/li>\\n<li>Tweak: Optimized Blockquote widget to eliminate unnecessary markup when devoid of content<\\/li>\\n<li>Tweak: Optimized Template widget to eliminate unnecessary markup when no template is selected<\\/li>\\n<li>Tweak: Optimized Code Highlight widget to eliminate unnecessary markup when there is no content<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor<\\/li>\\n<li>Tweak: Implemented accessibility improvements in Portfolio widget<\\/li>\\n<li>Tweak: Implemented accessibility improvements of Author Avatar image alt text in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25440\\\">#25440<\\/a>)<\\/li>\\n<li>Tweak: Notes feature merged to version<\\/li>\\n<li>Tweak: Implemented accessibility improvements of Profile Picture alt text in Author widget<\\/li>\\n<li>Fix: Display issue on hover state in WooCommerce Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.20.3 - 2024-04-10<\\/h4>\\n<ul>\\n<li>Fix: Compatibility issue between the My Account widget and other third-party plugins (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20986\\\">#20986<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.20.2 - 2024-03-26<\\/h4>\\n<ul>\\n<li>Security Fix: Improved code security enforcement in Media Carousel widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Form widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Post Navigation widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Gallery widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.20.1 - 2024-03-20<\\/h4>\\n<ul>\\n<li>Fix: Strengthened code integrity in deprecated Woo Single Element widget<\\/li>\\n<li>Fix: PHP error notice appears when using Loop Grid with the Taxonomy Filter widgets<\\/li>\\n<\\/ul>\\n<h4>3.20.0 - 2024-03-11<\\/h4>\\n<ul>\\n<li>Tweak: Implemented OR logic in the Display Conditions feature<\\/li>\\n<li>Tweak: Added X and Threads social networks to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25299\\\">#25299<\\/a>)<\\/li>\\n<li>Tweak: Added Archive Title dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image Title dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image Alt dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image Caption dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Author Bio dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Author Email dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Author Website dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Page Title rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Post Title rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Comments Number rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Archive Author rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added support for WordPress Custom Fields in Display Conditions feature<\\/li>\\n<li>Tweak: Implemented accessibility improvements in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23875\\\">#23875<\\/a>)<\\/li>\\n<li>Tweak: Implemented accessibility improvements in Login widget<\\/li>\\n<li>Tweak: Added additional style controls in the Table of Contents widget<\\/li>\\n<li>Tweak: Added Transition Duration option in Blockquote widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21295\\\">#21295<\\/a>)<\\/li>\\n<li>Tweak: Added Transition Duration to button in Flip Box widget<\\/li>\\n<li>Tweak: Added Transition Duration to button in Author Box widget<\\/li>\\n<li>Tweak: Added Transition Duration to List in Table of Contents widget<\\/li>\\n<li>Tweak: Added Transition Duration to button in Login widget<\\/li>\\n<li>Tweak: Added Transition Duration in Post Navigation widget<\\/li>\\n<li>Tweak: Added Transition Duration Show More in Video Playlist widget<\\/li>\\n<li>Tweak: Added Transition Duration to button in Form widget<\\/li>\\n<li>Tweak: Removed separator-none argument from all Editor controls<\\/li>\\n<li>Tweak: Add <code>&lt;time&gt;<\\/code> wrapper for Date and Time items in Post Info widget<\\/li>\\n<li>Tweak: Page Transitions feature merged to version<\\/li>\\n<li>Tweak: Scroll Snap feature merged to version<\\/li>\\n<li>Tweak: Promoted Display Conditions feature to Beta status and activated for new sites<\\/li>\\n<li>Tweak: Promoted Taxonomy Filter feature to beta status and activated for new sites<\\/li>\\n<li>Fix: Page Transitions feature and Load Font Awesome 4 Support cause a console error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18885\\\">#18885<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19334\\\">#19334<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21082\\\">#21082<\\/a>)<\\/li>\\n<li>Fix: Added better output escaping in Taxonomy Filter widget<\\/li>\\n<\\/ul>\\n<h4>3.19.3 - 2024-02-26<\\/h4>\\n<ul>\\n<li>Tweak: Improved Loop CSS loading structure in Loop Grid item<\\/li>\\n<li>Security Fix: Addressed security weaknesses in Dynamic Tags<\\/li>\\n<\\/ul>\\n<h4>3.19.2 - 2024-02-07<\\/h4>\\n<ul>\\n<li>Fix: Export data inconsistencies when using form actions in Form widget<\\/li>\\n<\\/ul>\\n<h4>3.19.1 - 2024-02-05<\\/h4>\\n<ul>\\n<li>Fix: Enqueuing non-existing Loop Template CSS file in Loop Item template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/24959\\\">#24959<\\/a>)<\\/li>\\n<li>Fix: Improved code security enforcement in Countdown widget<\\/li>\\n<\\/ul>\\n<h4>3.19.0 - 2024-01-29<\\/h4>\\n<ul>\\n<li>New: Introducing Display Conditions for Elements - allowing users to customize content visibility based on specified criteria (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4246\\\">#4246<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21152\\\">#21152<\\/a>)<\\/li>\\n<li>New: Implemented Akismet Integration for enhanced spam protection and security in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11401\\\">#11401<\\/a>)<\\/li>\\n<li>New: Introducing Permissions functionality to Element Manager - providing users with enhanced control over access and management capabilities<\\/li>\\n<li>Tweak: Added styling option for dropdown indicator in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21907\\\">#21907<\\/a>)<\\/li>\\n<li>Tweak: Added additional size units and custom units in all elements<\\/li>\\n<li>Tweak: Implemented CSS logical properties in WordPress Menu widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Reviews widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Countdown widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor Editor<\\/li>\\n<li>Tweak: Updated <code>jquery.smartmenus.js<\\/code> version from 1.1.1 to 1.2.0<\\/li>\\n<li>Fix: Dynamic Background Image does not load on the first Loop Item in a Loop Grid (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21489\\\">#21489<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22368\\\">#22368<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23085\\\">#23085<\\/a>)<\\/li>\\n<li>Fix: History panel deprecation notices in console log<\\/li>\\n<li>Fix: Second Pro rollback installed the latest version instead of the specifically selected older version<\\/li>\\n<li>Fix: Incorrect position of the dropdown content when applying entrance animation in Menu Widget<\\/li>\\n<li>Fix: UX issues when using in-place editing in Menu widget<\\/li>\\n<li>Fix: Pagination with page reload is not working when used with the Taxonomy filter and Loop Grid widget in Archive template<\\/li>\\n<\\/ul>\\n<h4>3.18.2 - 2023-12-20<\\/h4>\\n<ul>\\n<li>Fix: Modified controls sanitization to enforce better security policies in Price List widget<\\/li>\\n<li>Fix: Error messages related to loop filter appear on front when using PHP 8.X and <code>WP_DEBUG<\\/code> is true<\\/li>\\n<\\/ul>\\n<h4>3.18.1 - 2023-12-06<\\/h4>\\n<ul>\\n<li>Fix: No results appeared when reloading the page with deep link and de-selecting terms in Taxonomy Filter widget<\\/li>\\n<li>Fix: No results appeared when filtering the Uncategorized category in Filter Taxonomy widget<\\/li>\\n<li>Fix: Notes still available when the Notes feature is deactivated<\\/li>\\n<\\/ul>\\n<h4>3.18.0 - 2023-12-04<\\/h4>\\n<ul>\\n<li>Tweak: Added the ability to upload files as attachments to emails in the File Upload field in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4868\\\">#4868<\\/a>)<\\/li>\\n<li>Tweak: Introduced the capability to design and edit the empty state in the Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/24261\\\">#24261<\\/a>)<\\/li>\\n<li>Tweak: Implemented the option to close the menu content area with a click anywhere on the screen in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22686\\\">#22686<\\/a>)<\\/li>\\n<li>Tweak: Improve scrolling behavior inside the content area when there is not enough space in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22712\\\">#22712<\\/a>)<\\/li>\\n<li>Tweak: Expanded breakpoint options in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22488\\\">#22488<\\/a>)<\\/li>\\n<li>Tweak: Added Logical Combination control in Taxonomy Filter widget<\\/li>\\n<li>Tweak: Added additional units to Horizontal and Vertical padding for Dropdown in WordPress Menu widget<\\/li>\\n<li>Tweak: Hide navigation arrows when there is only one slide in Loop Carousel and Carousel widgets<\\/li>\\n<li>Tweak: Added various HTML Tag controls in Video Playlist widget<\\/li>\\n<li>Tweak: Added responsive control to navigation size in Slides, Reviews, Media Carousel and Testimonial Carousel widgets<\\/li>\\n<li>Tweak: Added semantic <code>&lt;search&gt;<\\/code> wrapper in Search Form widget<\\/li>\\n<li>Tweak: Added semantic <code>&lt;search&gt;<\\/code> wrapper in Taxonomy Filter widget<\\/li>\\n<li>Tweak: Added Multiple Selection control in Taxonomy Filter widget<\\/li>\\n<li>Fix: Deprecated notice when using ${var} in strings instead of {$var} with PHP 8.2 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23927\\\">#23927<\\/a>)<\\/li>\\n<li>Fix: Dropdown indicator position issue in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23947\\\">#23947<\\/a>)<\\/li>\\n<li>Fix: Dynamic Tags are not available when choosing \'self-hosted\' source in Video widget<\\/li>\\n<li>Fix: Telephone field placeholder is aligned to the left in RTL websites in Form widget<\\/li>\\n<\\/ul>\\n<h4>3.17.1 - 2023-11-01<\\/h4>\\n<ul>\\n<li>Fix: Modified controls sanitization to enforce better security policies in Code Highlight, Form, Lottie, Price List, and Video Playlist widgets<\\/li>\\n<\\/ul>\\n<h4>3.17.0 - 2023-10-25<\\/h4>\\n<ul>\\n<li>Tweak: Added AJAX pagination option or seamless page navigation between content in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1284\\\">#1284<\\/a>)<\\/li>\\n<li>Tweak: Introduced Individual Pagination option when multiple Post widgets are on the same page, providing enhanced control over pagination<\\/li>\\n<li>Tweak: Introduced Individual Pagination option when multiple Loop Grid widgets are on the same page, providing enhanced control over pagination<\\/li>\\n<li>Tweak: Added a None option to the breakpoint options in Menu widget<\\/li>\\n<li>Tweak: Added a horizontal scrolling option in Menu widget<\\/li>\\n<li>Tweak: Upgraded minimum required PHP version to 7.3<\\/li>\\n<li>Tweak: Improved accessibility when minimize button is disabled in Table of Content widget<\\/li>\\n<li>Fix: Table of Content widget without icons displays <code>undefined<\\/code> error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17523\\\">#17523<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17768\\\">#17768<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18463\\\">#18463<\\/a>)<\\/li>\\n<li>Fix: Hover behavior issues on menu items in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23430\\\">#23430<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22431\\\">#22431<\\/a>)<\\/li>\\n<li>Fix: Links inside Loop Carousel are not working on initial load in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23705\\\">#23705<\\/a>)<\\/li>\\n<li>Fix: Popups accessible navigation adds outlines to the wrong first focusable element<\\/li>\\n<li>Fix: Dropdown area aligned to the left side of the screen if contains Tabs widget in Menu widget<\\/li>\\n<li>Fix: Content horizontal position not aligning correctly when used with carousel widgets in Menu widget<\\/li>\\n<li>Fix: Accessibility errors in PageSpeed Insights in Table of Contents widget<\\/li>\\n<\\/ul>\\n<h4>3.16.2 - 2023-09-20<\\/h4>\\n<ul>\\n<li>Fix: Fit to Content dropdown position calculation is incorrect in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23808\\\">#23808<\\/a>)<\\/li>\\n<li>Fix: Reverted hide navigation arrows when there is only one slide in the Loop or Nested carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23804\\\">#23804<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.16.1 - 2023-09-14<\\/h4>\\n<ul>\\n<li>Fix: Dynamic tag for ACF image field is not working as expected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23757\\\">#23757<\\/a>)<\\/li>\\n<li>Fix: Sticky functionality affects padding values in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23758\\\">#23758<\\/a>)<\\/li>\\n<li>Fix: HTML list issues for padding and margin in Menu widget<\\/li>\\n<\\/ul>\\n<h4>3.16.0 - 2023-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Implemented accessibility improvements in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23607\\\">#23607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22554\\\">#22554<\\/a>)<\\/li>\\n<li>Fix: \'Fallback: Recent Posts\' option malfunctions in the Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21436\\\">#21436<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23259\\\">#23259<\\/a>)<\\/li>\\n<li>Tweak: Hide navigation arrows when there is only one slide in the Loop or Nested carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22056\\\">#22056<\\/a>)<\\/li>\\n<li>Tweak: Used appropriate image <code>alt<\\/code> in Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17680\\\">#17680<\\/a>)<\\/li>\\n<li>Tweak: Optimized Scroll Snap functionality when using Container widget<\\/li>\\n<li>Tweak: Enhanced Elementor Role Manager functionality when using Containers<\\/li>\\n<li>Tweak: Added Notes feature to the Editor Top Bar<\\/li>\\n<li>Tweak: Replace CSS <code>float<\\/code> with other layouts in the Editor<\\/li>\\n<li>Tweak: Upgraded HTML Structure for the Menu widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Carousel and Menu widgets<\\/li>\\n<li>Tweak: Added keyboard accessibility to a link in Posts widget<\\/li>\\n<li>Tweak: Loop Builder feature merged to version<\\/li>\\n<li>Fix: Addressed inconsistency in hover effect durations between icon, dropdown indicator colors, and text colors in the Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22376\\\">#22376<\\/a>)<\\/li>\\n<li>Fix: Slides break if the parent container is set to HTML A tag in Loop Carousel and Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22678\\\">#22678<\\/a>)<\\/li>\\n<li>Fix: The icon size setting is not affecting uploaded SVG icons in the Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22372\\\">#22372<\\/a>)<\\/li>\\n<li>Fix: Taxonomy filter does not work with slug in foreign characters (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23315\\\">#23315<\\/a>)<\\/li>\\n<li>Fix: Improved code security enforcement in Dynamic Tags<\\/li>\\n<li>Fix: Sticky container incorrectly adjusts its width when transitioning from a smaller breakpoint to a larger one within the Editor<\\/li>\\n<\\/ul>\\n<h4>3.15.1 - 2023-08-09<\\/h4>\\n<ul>\\n<li>Fix: Improved code security enforcement in Table of Contents widget<\\/li>\\n<\\/ul>\\n<h4>3.15.0 - 2023-07-31<\\/h4>\\n<ul>\\n<li>New: Introducing Taxonomy Filter widget - Empower visitors to seamlessly filter listings in Loop Grids based on taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3140\\\">#3140<\\/a>)<\\/li>\\n<li>Tweak: Added an &quot;Offset Sides&quot; functionality in Carousel and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21114\\\">#21114<\\/a>)<\\/li>\\n<li>Tweak: Modified the size of the Publish button in the Editor Top Bar feature (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22472\\\">#22472<\\/a>)<\\/li>\\n<li>Tweak: Improved Ajax permissions functionality for better security enforcement<\\/li>\\n<li>Tweak: Added option for pagination custom position in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added option for navigation custom position in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added additional styling options for navigation in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added labels to shortcode column in WordPress admin<\\/li>\\n<li>Tweak: Unified the appearance of <code>stretch<\\/code> and <code>center<\\/code> buttons in Menu widget<\\/li>\\n<li>Tweak: Unified the appearance of <code>stretch<\\/code> and <code>center<\\/code> buttons in My Account widget<\\/li>\\n<li>Tweak: Improved panel UI in Video Playlist widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor Editor<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Price List widget<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Slides widget<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Flip Box widget<\\/li>\\n<li>Tweak: Added &quot;Description HTML Tag&quot; in Call To Action widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Share Buttons widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Form widget<\\/li>\\n<li>Fix: WooCommerce Status page failed to recognize Elementor WooCommerce widgets<\\/li>\\n<li>Fix: Pagination does not work inside single templates when using Posts and Loop Grid widgets<\\/li>\\n<li>Fix: Incorrect saving of WooCommerce page settings in Elementor site settings under certain scenarios<\\/li>\\n<\\/ul>\\n<h4>3.14.1 - 2023-06-26<\\/h4>\\n<ul>\\n<li>Tweak: Improved navigation on touch devices in Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22827\\\">#22827<\\/a>)<\\/li>\\n<li>Fix: Missing navigation arrows on lightbox in Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22870\\\">#22870<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.14.0 - 2023-06-19<\\/h4>\\n<ul>\\n<li>New: Introducing Carousel widget - Infinite design possibilities, and nesting capabilities (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2587\\\">#2587<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/219\\\">#219<\\/a>)<\\/li>\\n<li>Tweak: Added Static Item Position functionality to Alternate template in Loop Grid widget<\\/li>\\n<li>Tweak: Added visual indication of Page Parts<\\/li>\\n<li>Tweak: Added dividers option between menu items in Menu widget<\\/li>\\n<li>Tweak: Changed the HTML structure of Pagination and Navigation in Loop Carousel and Nested Carousel widgets<\\/li>\\n<li>Tweak: Added shop page in WooCommerce Pages section in Site Settings<\\/li>\\n<li>Tweak: Added Text Shadow, Box Shadow and Padding control to button in Call to Action widget<\\/li>\\n<li>Tweak: Added Lazy Load support for images in Video Playlist widget<\\/li>\\n<li>Tweak: Added <code>alt<\\/code> attribute to images in Video Playlist widget<\\/li>\\n<li>Tweak: Replaced select control with choose control for Flip Direction control in Flip Box widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Use <code>media_types<\\/code> array in Media controls<\\/li>\\n<li>Fix: Lightbox is still enabled after disabling it in the Site Settings in Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11193\\\">#11193<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19871\\\">#19871<\\/a>)<\\/li>\\n<li>Fix: Responsive settings for templates don\'t work as expected when Additional Custom Breakpoints feature is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16819\\\">#16819<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19394\\\">#19394<\\/a>)<\\/li>\\n<li>Fix: Inner containers are not presented as expected in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21813\\\">#21813<\\/a>)<\\/li>\\n<li>Fix: Popup width does not support percentages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22413\\\">#22413<\\/a>)<\\/li>\\n<li>Fix: PHP 8.x throws errors when using WooCommerce Ajax response (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22199\\\">#22199<\\/a>)<\\/li>\\n<li>Fix: Mini cart template appears as empty in various scenarios in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22789\\\">#22789<\\/a>)<\\/li>\\n<li>Fix: Order by Price doesn\'t work for the Latest products or Manual Selection in Products widget<\\/li>\\n<li>Fix: Dropdown indicator icon is not vertically aligned to the text when using icon in Menu Widget<\\/li>\\n<li>Fix: Mixed content warning in the console for Video Playlist widget<\\/li>\\n<li>Fix: Preview settings are not presented as expected after first save in Loop Template<\\/li>\\n<li>Fix: Not-crawlable link error in Video Playlist widget<\\/li>\\n<li>Fix: Lightbox is still enabled after disabling it in the Site Settings in Logo widget<\\/li>\\n<li>Fix: Focus state issue on page load when using Table of Content widget<\\/li>\\n<\\/ul>\\n<h4>3.13.2 - 2023-05-22<\\/h4>\\n<ul>\\n<li>Fix: Hover settings not working as expected on Touch-Enabled devices in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22258\\\">#22258<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.13.1 - 2023-05-11<\\/h4>\\n<ul>\\n<li>Security Fix: Addressed security weaknesses in access management related functions<\\/li>\\n<li>Fix: Excerpt content pulled from post content is showing with HTML tags in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22367\\\">#22367<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.13.0 - 2023-05-08<\\/h4>\\n<ul>\\n<li>Tweak: Provided an option to assign excerpt automatically from post content in Post Excerpt dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20256\\\">#20256<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21715\\\">#21715<\\/a>)<\\/li>\\n<li>Tweak: Added Display Conditions functionality in Editor Top bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21675\\\">#21675<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22050\\\">#22050<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor_page_id<\\/code> from request URLs in the WC AJAX calls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18675\\\">#18675<\\/a>)<\\/li>\\n<li>Tweak: Added icons to menu items in Mega Menu widget (<a href=\\\"https:\\/\\/github.com\\/orgs\\/elementor\\/discussions\\/21602\\\">#21602<\\/a>)<\\/li>\\n<li>Tweak: Added keyboard accessibility to Toggle Button in WordPress Menu widget (<a href=\\\"https:\\/\\/github.com\\/orgs\\/elementor\\/discussions\\/2348\\\">#2348<\\/a>)<\\/li>\\n<li>Tweak: Added \'Active item state\' to top-level menu items for anchor links in the Menu widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Loop Carousel widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Slides widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Media, Testimonial and Reviews Carousel widgets<\\/li>\\n<li>Tweak: Added keyboard accessibility to Table of Content widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to Search Form widget<\\/li>\\n<li>Tweak: Added accessibility to images in Slides widget<\\/li>\\n<li>Tweak: Added accessibility to images in Call To Action widget<\\/li>\\n<li>Tweak: Added accessibility to images in Media Carousel widget<\\/li>\\n<li>Tweak: Added accessibility to images in Gallery widget<\\/li>\\n<li>Tweak: Added Lazy Load support for avatar image in Post Info widget<\\/li>\\n<li>Tweak: Added Lazy Load support to various Elementor Editor and Admin images<\\/li>\\n<li>Tweak: Added Lazy Load support for author image in Author Box widget<\\/li>\\n<li>Tweak: Added Lazy Load support for images in Price List widget<\\/li>\\n<li>Fix: Content width is affected by the widget\'s width when Content Width is set to Fit to Content in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21842\\\">#21842<\\/a>)<\\/li>\\n<li>Fix: Empty value on Rows field causes an error in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21451\\\">#21451<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.12.2 - 2023-04-09<\\/h4>\\n<ul>\\n<li>Fix: Mini cart template appears as empty in various WordPress themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21836\\\">#21836<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.12.1 - 2023-04-02<\\/h4>\\n<ul>\\n<li>Fix: Default background colors are presented as transparent in Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21824\\\">#21824<\\/a>)<\\/li>\\n<li>Fix: Reverted the tweak of Form Submissions feature merged to the version (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21821\\\">#21821<\\/a>)<\\/li>\\n<li>Fix: Dropdown area is not closing when hovering outside of the content area in Menu widget<\\/li>\\n<\\/ul>\\n<h4>3.12.0 - 2023-03-29<\\/h4>\\n<ul>\\n<li>New: Introducing the Mega Menu with the new Menu widget - empowers you to achieve a much higher level of menu design, customization, and creativity<\\/li>\\n<li>New: Diversify your design with a Loop Alternate template - apply another template within your Loop Grid for design creativity<\\/li>\\n<li>New: Kickstart your workflow with predesigned Loop container-based templates<\\/li>\\n<li>Tweak: Added custom icon controls to various locations in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13678\\\">#13678<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17941\\\">#17941<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19295\\\">#19295<\\/a>)<\\/li>\\n<li>Tweak: Added a spacing control between navigation and slides in the Loop Carousel<\\/li>\\n<li>Tweak: Added responsive control to the \'Gap between slides\' control in the Loop Carousel<\\/li>\\n<li>Tweak: Added Custom CSS section in Loop Item template<\\/li>\\n<li>Tweak: Added an Article class metadata in Loop Item template<\\/li>\\n<li>Tweak: Added Lazy Load support for background images in CTA widget when using the Lazy Load Background Images experiment<\\/li>\\n<li>Tweak: Added Lazy Load support for background images in Flipbox widget when using the Lazy Load Background Images experiment<\\/li>\\n<li>Tweak: Added additional size units and custom units in all elements<\\/li>\\n<li>Tweak: Changed Nav Menu widget name to WordPress Menu widget<\\/li>\\n<li>Tweak: Added &quot;Form Validation&quot; control to Form widget<\\/li>\\n<li>Tweak: Updated custom messages in the Form widget<\\/li>\\n<li>Tweak: Improved accessibility in various elements in Gallery widget<\\/li>\\n<li>Tweak: Form Submissions feature merged to version<\\/li>\\n<li>Tweak: Loop feature promoted to Stable status<\\/li>\\n<li>Tweak: Page Transitions feature promoted to Stable status<\\/li>\\n<li>Tweak: Improved accessibility in filter bar in Gallery widget<\\/li>\\n<li>Tweak: Remove unused <code>aspect-ratio-*<\\/code> CSS classes<\\/li>\\n<li>Fix: Not all active breakpoints appear under &quot;Advanced Rules&quot; in popup publish settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17020\\\">#17020<\\/a>)<\\/li>\\n<li>Fix: Dynamic background image and video is not working with ACF in Loop Grid widget<\\/li>\\n<\\/ul>\\n<h4>3.11.7 - 2023-03-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved code security enforcement in WooCommerce components<\\/li>\\n<\\/ul>\\n<h4>3.11.6 - 2023-03-14<\\/h4>\\n<ul>\\n<li>Tweak: Improved code security enforcement in Author Box and Countdown widgets<\\/li>\\n<\\/ul>\\n<h4>3.11.5 - 2023-03-12<\\/h4>\\n<ul>\\n<li>Fix: Hamburger Menu Toggle not showing if breakpoint is set to Tablet Extra in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21003\\\">#21003<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.4 - 2023-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Prevented SVG file upload for better security enforcement in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.11.3 - 2023-02-26<\\/h4>\\n<ul>\\n<li>Fix: Error message appears when submitting a form placed below Loop Grid and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21432\\\">#21432<\\/a>)<\\/li>\\n<li>Fix: PHP 8.x compatibility issues in various places<\\/li>\\n<\\/ul>\\n<h4>3.11.2 - 2023-02-22<\\/h4>\\n<ul>\\n<li>Fix: Save &amp; Back handle becomes inaccessible in various scenarios cases in Loop Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21316\\\">#21316<\\/a>)<\\/li>\\n<li>Fix: Can\'t edit page when using \'Content Tabs\' and \'Section\' options in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.11.1 - 2023-02-15<\\/h4>\\n<ul>\\n<li>Fix: Featured Image dynamic tag is not working in Background images (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21313\\\">#21313<\\/a>)<\\/li>\\n<li>Fix: Time zone is not correct in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17485\\\">#17485<\\/a>)<\\/li>\\n<li>Fix: File upload field is not working in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21341\\\">#21341<\\/a>)<\\/li>\\n<li>Fix: Post Image Attachments dynamic tag is not working in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21314\\\">#21314<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.0 - 2023-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Carousel widget - Create powerful &amp; repeating loop templates and populate each one with dynamic content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/219\\\">#219<\\/a>)<\\/li>\\n<li>New: Added Date and Time Range option to Advanced Rules in Popup<\\/li>\\n<li>Tweak: Improved accessibility when opening and closing a popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9788\\\">#9788<\\/a>)<\\/li>\\n<li>Tweak: Improved accessibility of full-screen mode in Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19907\\\">#19907<\\/a>)<\\/li>\\n<li>Tweak: Added keyboard accessibility support to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5861\\\">#5861<\\/a>)<\\/li>\\n<li>Tweak: Add <code>aria-label<\\/code> to read more link in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13784\\\">#13784<\\/a>)<\\/li>\\n<li>Tweak: Use <code>aspect-ratio<\\/code> property instead of CSS trick in Media Carousel widget<\\/li>\\n<li>Tweak: Updated translation string in Stripe widget<\\/li>\\n<li>Fix: Masonry and Columns controls are not working as expected with responsive in Posts and Loop Grid widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20670\\\">#20670<\\/a>)<\\/li>\\n<li>Fix: Invalid attributes names in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17400\\\">#17400<\\/a>)<\\/li>\\n<li>Fix: Post Image Attachments dynamic tag is not working as expected in various widgets<\\/li>\\n<li>Fix: Form fields order is not presented correctly when exported to CSV in Form Submissions<\\/li>\\n<li>Fix: Dynamic background image and video are not working with ACF in Loop Grid widget<\\/li>\\n<\\/ul>\\n<h4>3.10.3 - 2023-01-29<\\/h4>\\n<ul>\\n<li>Tweak: Added introduction video to loop item information modal in Theme Builder<\\/li>\\n<li>Fix: PHP 8.x throws errors and notices in some cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21087\\\">#21087<\\/a>)<\\/li>\\n<li>Fix: Infinite Scroll and Load on click pagination are not working as expected in Archive template<\\/li>\\n<li>Fix: Show row even when values do not exist in Form Submissions<\\/li>\\n<\\/ul>\\n<h4>3.10.2 - 2023-01-17<\\/h4>\\n<ul>\\n<li>Fix: Updated compatibility tag for Elementor v3.10<\\/li>\\n<\\/ul>\\n<h4>3.10.1 - 2023-01-09<\\/h4>\\n<p>Fix: Preview Could not be loaded error message appears on pages containing the Loop Grid in a header or footer templates<\\/p>\\n<h4>3.10.0 - 2023-01-09<\\/h4>\\n<ul>\\n<li>New: Added new dynamic tag for due date in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7737\\\">#7737<\\/a>)<\\/li>\\n<li>Tweak: Added <code>modified<\\/code> and <code>comment_count<\\/code> to Order By in posts query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11159\\\">#11159<\\/a>)<\\/li>\\n<li>Tweak: Replaced <code>footer<\\/code> tag in Blockquote and Comments widgets for better semantics<\\/li>\\n<li>Fix: Compatibility issue in Imagify Media Library filters due to <code>_elementor_is_screenshot<\\/code> meta filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19988\\\">#19988<\\/a>)<\\/li>\\n<li>Fix: Hotspot Widget label icon height issues when Inline Font Icons experiment is active<\\/li>\\n<li>Fix: Editing glitch when using two loop grid widgets on the same page with the same loop item template<\\/li>\\n<li>Fix: Equal height is not working when using sections in Loop Grid widget<\\/li>\\n<li>Fix: Large amount of menu items are not appearing correctly on a mobile device in Nav Menu widget<\\/li>\\n<li>Fix: Featured Image does not change dynamically when using infinite\\/click pagination in Loop Grid widget<\\/li>\\n<li>Fix: Removed action call of non-existent <code>display_empty_cart_template()<\\/code> method in Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.9.2 - 2022-12-21<\\/h4>\\n<ul>\\n<li>Fix: JS events do not trigger in Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20708\\\">#20708<\\/a>)<\\/li>\\n<li>Fix: PHP Errors appear when not using the toggle menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18636\\\">#18636<\\/a>)<\\/li>\\n<li>Fix: Popups\' backgrounds disappear when using Lazy Load Background Images experiment<\\/li>\\n<\\/ul>\\n<h4>3.9.1 - 2022-12-14<\\/h4>\\n<ul>\\n<li>Fix: WooCommerce Product Gallery dynamic tag is not working in Basic Gallery, Gallery and Image Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20678\\\">#20678<\\/a>)<\\/li>\\n<li>Fix: Hide Empty option is not working in Menu Cart widget<\\/li>\\n<li>Fix: The Stripe Button widget doesn\'t work in Templates<\\/li>\\n<\\/ul>\\n<h4>3.9.0 - 2022-12-06<\\/h4>\\n<ul>\\n<li>New: Added support for WooCommerce to Loop Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20020\\\">#20020<\\/a>)<\\/li>\\n<li>Tweak: Added more options to \'Show up to X times\' advanced rule in Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8187\\\">#8187<\\/a>)<\\/li>\\n<li>Tweak: Allow saving and reloading a page while editing in-place loop item template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19882\\\">#19882<\\/a>)<\\/li>\\n<li>Tweak: Added <code>$location param<\\/code> to <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18453\\\">#18453<\\/a>)<\\/li>\\n<li>Tweak: Removed redundant labels from group controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11666\\\">#11666<\\/a>)<\\/li>\\n<li>Tweak: Added support to use sections and columns as the layout structure of a Loop item template<\\/li>\\n<li>Tweak: Disabled movement when a repeater item is in focus in edit mode<\\/li>\\n<li>Tweak: Upgrade the autoprefixer package to better minify CSS files<\\/li>\\n<li>Tweak: Removed duplicate SQL queries on every page for better performance<\\/li>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Added more units options to Border Width control in various elements<\\/li>\\n<li>Tweak: Added <code>em<\\/code> units to Border Radius control in various elements<\\/li>\\n<li>Tweak: Added \'Equal height\' functionality to Loop Grid widget<\\/li>\\n<li>Fix: Issue with Related Products widget and WooCommerce Pixel Manager plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16934\\\">#16934<\\/a>)<\\/li>\\n<li>Fix: My Account widget gets hidden when using a single page template with post content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19627\\\">#19627<\\/a>)<\\/li>\\n<li>Fix: Cart is not updated when cache enabled in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19312\\\">#19312<\\/a>)<\\/li>\\n<li>Fix: Entrance animations are not working as expected with Infinite Loop and Load on CLick pagination in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20293\\\">#20293<\\/a>)<\\/li>\\n<li>Fix: Loading page issues in Form Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19973\\\">#19973<\\/a>)<\\/li>\\n<li>Fix: Recently Edited date and time not working as expected in Elementor Overview plugin in WordPress dashboard (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17966\\\">#17966<\\/a>)<\\/li>\\n<li>Fix: Recurring license mismatch error message when using translators plugins<\\/li>\\n<li>Fix: Submenu items triggers page transition instead of opening in Nav Menu widget<\\/li>\\n<li>Fix: Query values of Posts widget are not imported correctly when importing a Kit<\\/li>\\n<li>Fix: Loop items are exceeding the widget boundaries in Loop Grid widget<\\/li>\\n<li>Fix: Order by option is not working as expected when choosing Upsells, Cross-Sells and Related Products query in Products widget<\\/li>\\n<li>Fix: Various widgets disappear in certain scenarios when choosing direction Row or Column in Container<\\/li>\\n<\\/ul>\\n<h4>3.8.2 - 2022-11-20<\\/h4>\\n<ul>\\n<li>Fix: Z-index issues when applying sticky to Container<\\/li>\\n<li>Fix: Error message appears on front with Editor and Shop Manager roles when using the Loop Builder widget<\\/li>\\n<\\/ul>\\n<h4>3.8.1 - 2022-11-06<\\/h4>\\n<ul>\\n<li>Fix: Sticky inner section is not staying in the column when applying sticky option in Sections (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20203\\\">#20203<\\/a>)<\\/li>\\n<li>Fix: Post Title widget located in a loop item template disappears when enabling the hide title option inside page settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20207\\\">#20207<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20255\\\">#20255<\\/a>)<\\/li>\\n<li>Fix: ACF Dynamic data not rendering correctly in various scenarios (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20235\\\">#20235<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20258\\\">#20258<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20277\\\">#20277<\\/a>)<\\/li>\\n<li>Fix: Z-index issues when applying sticky to Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20227\\\">#20227<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.8.0 - 2022-10-30<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Builder as a beta status experiment - Create powerful &amp; repeating loop templates and populate each one with dynamic content and design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4440\\\">#4440<\\/a>)<\\/li>\\n<li>Tweak: Add <code>wp_body_open()<\\/code> to header in Header template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11562\\\">#11562<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15828\\\">#15828<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13089\\\">#13089<\\/a>)<\\/li>\\n<li>Tweak: Added support border-radius option to the Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14316\\\">#14316<\\/a>)<\\/li>\\n<li>Tweak: Import\\/Export CLI and UI mechanisms were merged into a unified service<\\/li>\\n<li>Tweak: User with no permission to Notes cannot be mentioned in a note<\\/li>\\n<li>Tweak: User with no permission to view a post cannot be mentioned in a note<\\/li>\\n<li>Tweak: Notes was added to the right click context-menu<\\/li>\\n<li>Tweak: Notes panel can be resizable<\\/li>\\n<li>Tweak: Notes panel can be dragged outside of the canvas in responsive mode in the editor<\\/li>\\n<li>Tweak: Updated form validation messages translation strings in Form widget<\\/li>\\n<li>Tweak: Updated translators comments<\\/li>\\n<li>Tweak: Theme Builder logo and Title should be clickable<\\/li>\\n<li>Tweak: Reduced API requests and DB calls on non-write setup<\\/li>\\n<li>Tweak: Added media queries to the Table of Contents widget<\\/li>\\n<li>Fix: Sticky option is not working as expected in various scenarios in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19540\\\">#19540<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19618\\\">#19618<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19777\\\">#19777<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19827\\\">#19827<\\/a>)<\\/li>\\n<li>Fix: Mixed Content errors on HTTPS in Video Playlist Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18895\\\">#18895<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18945\\\">#18945<\\/a>)<\\/li>\\n<li>Fix: Note\'s timestamp is being updated according to the last activity in Notes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19123\\\">#19123<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17582\\\">#17582<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in pagination in Posts widget<\\/li>\\n<li>Fix: Share buttons is accessible with keyboard but not clickable<\\/li>\\n<li>Fix: Sub-items icons style is missing in preview with Inline Font Icons experiment in Nav Menu widget<\\/li>\\n<li>Fix: Quotes are appearing as HTML when editing a note in Notes<\\/li>\\n<li>Fix: Label\'s Icon height increases when Inline Font Icons experiment is active in Hotspot Widget<\\/li>\\n<li>Fix: Sub conditions of templates are not overridden when importing a Kit<\\/li>\\n<li>Fix: X\\/Y Anchor Point controls were not visible for Scale and Rotate effects<\\/li>\\n<li>Fix: PHP warning notice appears in some situations when using motion effects<\\/li>\\n<\\/ul>\\n<h4>3.7.7 - 2022-09-20<\\/h4>\\n<ul>\\n<li>Fix: Default Flex Grow affects the layout when the container is set to direction Column in various widgets<\\/li>\\n<\\/ul>\\n<h4>3.7.6 - 2022-09-14<\\/h4>\\n<ul>\\n<li>Fix: Submissions menu item appears at the bottom of Elementor section in WordPress dashboard<\\/li>\\n<\\/ul>\\n<h4>3.7.5 - 2022-08-31<\\/h4>\\n<ul>\\n<li>Fix: Error message appears on front if WooCommerce is activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19553\\\">#19553<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.7.4 - 2022-08-29<\\/h4>\\n<ul>\\n<li>Tweak: PHP 5.6 Is deprecated<\\/li>\\n<li>Fix: Triangle icon is not being displayed in the Select field when Inline Font Icons Experiment is active in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18598\\\">#18598<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19495\\\">#19495<\\/a>)<\\/li>\\n<li>Fix: The page jumps or flickers to the video playlist on page reload in Video Playlist Widget<\\/li>\\n<\\/ul>\\n<h4>3.7.3 - 2022-07-31<\\/h4>\\n<ul>\\n<li>Tweak: Improved license mechanism for correct validation<\\/li>\\n<li>Fix: Sticky option causes unexpected results when using the Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>)<\\/li>\\n<li>Fix: Price list, Portfolio, Flip Box and Gallery widgets disappear when the direction is set to column in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18880\\\">#18880<\\/a>)<\\/li>\\n<li>Fix: Quotes character is showing up as <code>&amp;quot;<\\/code> when editing a note in Notes<\\/li>\\n<\\/ul>\\n<h4>3.7.2 - 2022-06-15<\\/h4>\\n<ul>\\n<li>Tweak: Applied optimized file handling in various modules<\\/li>\\n<li>Fix: Related posts query options are missing in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18633\\\">#18633<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18641\\\">#18641<\\/a>)<\\/li>\\n<li>Fix: Menu Cart Icon is not being displayed on all browsers when Inline Font Icons Experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17705\\\">#17705<\\/a>)<\\/li>\\n<li>Fix: Gallery widget is not working as expected in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18408\\\">#18408<\\/a>)<\\/li>\\n<li>Fix: Flip box is not visible when the direction is set to Row in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18413\\\">#18413<\\/a>)<\\/li>\\n<li>Fix: Portfolio widget is not visible when dragged into &quot;Row&quot; direction Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17653\\\">#17653<\\/a>)<\\/li>\\n<li>Fix: Menu cart is open automatically in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18629\\\">#18629<\\/a>)<\\/li>\\n<li>Fix: PHP error is being shown the license is expired in License screen<\\/li>\\n<\\/ul>\\n<h4>3.7.1 - 2022-05-16<\\/h4>\\n<ul>\\n<li>Fix: Notes icon appears as an empty square in admin top bar for users with permissions lower than Editor<\\/li>\\n<li>Fix: Notes experiment causes a PHP fatal error on some cases<\\/li>\\n<li>Fix: UI glitches in Notes feature<\\/li>\\n<\\/ul>\\n<h4>3.7.0 - 2022-05-10<\\/h4>\\n<ul>\\n<li>New: Introducing Notes - Work collaboratively directly within Elementor<\\/li>\\n<li>New: Stripe Button widget - Collect Stripe payments directly from your site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14748\\\">#14748<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Add to Cart dynamic tag - add products to cart from every widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10607\\\">#10607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11801\\\">#11801<\\/a>)<\\/li>\\n<li>New: Added WooCommerce Product Content dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16367\\\">#16367<\\/a>)<\\/li>\\n<li>Tweak: Added Related, Upsells and Cross-Sells query sources to Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8071\\\">#8071<\\/a>)<\\/li>\\n<li>Tweak: Added custom icon control to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18007\\\">#18007<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14357\\\">#14357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13151\\\">#13151<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11361\\\">#11361<\\/a>)<\\/li>\\n<li>Tweak: Added an option to minimize on Desktop device in Table of Contents widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9933\\\">#9933<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10729\\\">#10729<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10314\\\">#10314<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6691\\\">#6691<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11774\\\">#11774<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9051\\\">#9051<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5760\\\">#5760<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9774\\\">#9774<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom option in various Product widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10263\\\">#10263<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom control in Posts and Archive Posts widgets<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added percentage unit to padding control in Additional Information customize section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added quick link to create new theme parts directly from the Finder<\\/li>\\n<li>Tweak: Added the option to add a custom template to Dashboard screen in My Account widget<\\/li>\\n<li>Tweak: Added spacing control to view cart button in various product widgets<\\/li>\\n<li>Tweak: Added the option to add a custom template to empty cart state in Cart widget<\\/li>\\n<li>Tweak: Adjusted the layout of the Payment Methods screen in the My Account widget<\\/li>\\n<li>Tweak: Added lazy load option to Media Carousel, Reviews and Testimonial Carousel widgets<\\/li>\\n<li>Tweak: Added Site Identity quick link to Logo widget<\\/li>\\n<li>Tweak: Added Site Identity quick link to Site Title widget<\\/li>\\n<li>Tweak: Created an attribute that allows disabling page transition for specific links<\\/li>\\n<li>Tweak: Added dynamic tag controls to Gallery widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Countdown widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Portfolio widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Price Table widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Login widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Blockquote widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Facebook Comments widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post Navigation widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Search Form widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Author Box widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post info widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Posts widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Product Meta widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Products widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Sitemap widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Reviews widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Code Highlight widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to PayPal Button widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added missing PHP documentation to hooks<\\/li>\\n<li>Fix: Scrolling glitches on mobile devices when Sticky Effect is enabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17767\\\">#17767<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18330\\\">#18330<\\/a>)<\\/li>\\n<li>Fix: Only 1st honypot field is validated when using multiple honeypot fields in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18136\\\">#18136<\\/a>)<\\/li>\\n<li>Fix: Checkout button background color is not working as expected in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18289\\\">#18289<\\/a>)<\\/li>\\n<li>Fix: Button labels are not accessible for screen readers in Share buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<li>Fix: Downloads titles controls are not working in responsive in WooCommerce Purchase Summary widget<\\/li>\\n<li>Fix: Excerpt length is not working as expected in Posts and Archive Posts widgets<\\/li>\\n<li>Fix: Titles &amp; Totals weight is not working in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Product image is not appearing on Single Product Page on template load<\\/li>\\n<li>Fix: Additional Information title not editable in some scenarios in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in Cart widget<\\/li>\\n<li>Fix: UI Glitch in Masonry control in Portfolio widget<\\/li>\\n<li>Fix: Custom breakpoints experiment didn\'t work on Single post and page templates<\\/li>\\n<li>Fix: Testimonial carousel &amp; Reviews widgets disregards the <code>alt<\\/code> attribute<\\/li>\\n<li>Fix: Playlist widget deeplink didn\'t send user directly to the widget in the page<\\/li>\\n<li>Fix: Masonry option causes the images to disappear in the Editor in Posts widget<\\/li>\\n<li>Fix: Scrollbar appears after clicking on the dropdown toggle in Nav Menu widget<\\/li>\\n<li>Fix: Custom icons disappear on frontend if the pack name contains numbers<\\/li>\\n<li>Fix: Custom Font disappears if the name contains only numbers<\\/li>\\n<li>Fix: <code>end-section()<\\/code> is missing from Progress Tracker and Facebook Embed widgets<\\/li>\\n<li>Tweak: Added a filter for conditions cache query in Theme Builder<\\/li>\\n<li>Fix: Customizations lost on Ajax refresh in WooCommerce Cart widget<\\/li>\\n<li>Fix: Hello theme Header and Footer experiment is not working when WooCommerce plugin is active<\\/li>\\n<li>Fix: Color controls are not working as expected in Checkout widget<\\/li>\\n<li>Fix: Color controls are not working as expected in My Account widget<\\/li>\\n<li>Fix: Empty state widget preview in the editor is disappearing in various widgets<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in WooCommerce Cart widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-7-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.6.5 - 2022-04-12<\\/h4>\\n<ul>\\n<li>Fix: Compatibility issues for several widgets in iOS 14 and macOS 13 devices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18090\\\">#18090<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15910\\\">#15910<\\/a>)<\\/li>\\n<li>Fix: Button Alignment doesn\'t work in Custom Add To Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17810\\\">#17810<\\/a>)<\\/li>\\n<li>Fix: PHP warning is thrown in some cases in PayPal button widget<\\/li>\\n<li>Fix: PHP 8.1 throws errors and notices in some cases<\\/li>\\n<li>Fix: PHP notice was thrown when Kit Import process initiated without display conditions<\\/li>\\n<li>Fix: Create Account button always opens on the Sign Up screen even if the user has an account in Onboarding process<\\/li>\\n<\\/ul>\\n<h4>3.6.4 - 2022-03-15<\\/h4>\\n<ul>\\n<li>Tweak: Kit import dynamic reference support for templates and dynamic tags<\\/li>\\n<li>Tweak: Updated tested up to version tag to <code>3.6.0<\\/code><\\/li>\\n<li>Fix: Sticky caused scrolling issues after clicking an element that expands the page height (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17821\\\">#17821<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17839\\\">#17839<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18069\\\">#18069<\\/a>)<\\/li>\\n<li>Fix: When saving Global widget JS error is being thrown and editor fails to load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17954\\\">#17954<\\/a>)<\\/li>\\n<li>Fix: Motion effects are missing from Background section under Style tab in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18063\\\">#18063<\\/a>)<\\/li>\\n<li>Fix: Imported Kit doesn\'t appear in the theme builder after successful import in some cases<\\/li>\\n<li>Fix: Added future Pro support to fix the Cart icon that shifted aside in Menu cart widget<\\/li>\\n<\\/ul>\\n<h4>3.6.3 - 2022-02-28<\\/h4>\\n<ul>\\n<li>Fix: Custom Code display conditions modal is not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17865\\\">#17865<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17942\\\">#17942<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17994\\\">#17994<\\/a>)<\\/li>\\n<li>Fix: Share buttons are not accessible for keyboard navigation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.6.2 - 2022-02-14<\\/h4>\\n<ul>\\n<li>Fix: Auto updates mechanism is not working as expected (this version might be also installed automatically)<\\/li>\\n<\\/ul>\\n<h4>3.6.1 - 2022-02-09<\\/h4>\\n<ul>\\n<li>Tweak: Allow connecting via generic source for future feature support<\\/li>\\n<li>Fix: Custom Code doesn\'t work when WooCommerce is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17675\\\">#17675<\\/a>)<\\/li>\\n<li>Fix: Content animation didn\'t work when Improved asset loading experiment is active Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17055\\\">#17055<\\/a>)<\\/li>\\n<li>Fix: PHP warning appears some times when trying to force-check for available updates<\\/li>\\n<li>Fix: Page transitions are being triggered when not needed<\\/li>\\n<li>Fix: Text alignment on Tablet responsive device affects base device in Testimonial Carousel widget<\\/li>\\n<li>Fix: Harden Submissions feature to prevent potential security issues<\\/li>\\n<li>Fix: Page Transitions Icon option Preloader doesn\'t work on frontend<\\/li>\\n<\\/ul>\\n<h4>3.6.0 - 2022-01-31<\\/h4>\\n<ul>\\n<li>New: WooCommerce Purchase Summary widget - Fully customize the content and style of your order summary page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5756\\\">#5756<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15862\\\">#15862<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices styling on Site Settings - Customize the appearance of WooCommerce notices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14570\\\">#14570<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15896\\\">#15896<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices widget - Set the position of WooCommerce notices on your shop pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8124\\\">#8124<\\/a>)<\\/li>\\n<li>Experiment: Page Transitions - Customize the page loading experience, and increase brand recognition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10576\\\">#10576<\\/a>)<\\/li>\\n<li>Tweak: Added WooCommerce &amp; Theme Elements widgets to Improved CSS Loading experiment to save up 126KB per page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17412\\\">#17412<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17337\\\">#17337<\\/a>)<\\/li>\\n<li>Tweak: Added new layout options in WooCommerce Add To Cart and WooCommerce Custom Add To Cart widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5437\\\">#5437<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10617\\\">#10617<\\/a>)<\\/li>\\n<li>Tweak: Added Stroke functionality for typography control in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11158\\\">#11158<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor-section-wrap<\\/code> by adding it to the Optimized DOM Output experiment (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16950\\\">#16950<\\/a>)<\\/li>\\n<li>Tweak: Added style controls for variations in WooCommerce Menu Cart widget<\\/li>\\n<li>Tweak: Added color control to navigation dots in Media Carousel, Reviews, and Slides widgets<\\/li>\\n<li>Tweak: Disabled Vimeo autoplay on edit mode when getting video data in Video Playlist widget<\\/li>\\n<li>Tweak: Added notice about Facebook\'s new EU consent policy in Facebook Button, Facebook Comments, Facebook Embed, and Facebook Page widgets<\\/li>\\n<li>Tweak: Refactor string translation calls to use native WP translation methods<\\/li>\\n<li>Tweak: Convert <code>home_url<\\/code> license API call to <code>get_site_url<\\/code> for better compatibility<\\/li>\\n<li>Tweak: Promoted Default to New Theme Builder and Scroll Snap experiments to Stable status in Experiments screen<\\/li>\\n<li>Tweak: Scroll Snap experiment set to active by default for all websites in Experiments screen<\\/li>\\n<li>Tweak: Scrolling Effects in Header and Section backgrounds are not working as expected when effects are relative to the entire page<\\/li>\\n<li>Tweak: Added &quot;Auto Updates&quot; capability to Pro versions<\\/li>\\n<li>Tweak: Removed sequenced animation hover effect option from Classic skin in Call to Action widget<\\/li>\\n<li>Tweak: Added &quot;Excerpt Length&quot; control in Post Excerpt widget<\\/li>\\n<li>Tweak: Deleted deprecated methods from Query Control module<\\/li>\\n<li>Tweak: Adjusted Inline-CSS Experiment to work with Additional Custom Breakpoints experiment<\\/li>\\n<li>Fix: Automatically open cart functionality didn\'t work in product page in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5921\\\">#5921<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16276\\\">#16276<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16879\\\">#16879<\\/a>)<\\/li>\\n<li>Fix: Buttons are not visible when there are too many products in the cart in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17283\\\">#17283<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13005\\\">#13005<\\/a>)<\\/li>\\n<li>Fix: Mini cart modal z-index is too low in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>)<\\/li>\\n<li>Fix: Side cart buttons are not visible at first glance on mobile in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>)<\\/li>\\n<li>Fix: Read More field recognizes inline HTML elements as plain text in Posts and Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16985\\\">#16985<\\/a>)<\\/li>\\n<li>Fix: Load More functionality caused JS error console in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17036\\\">#17036<\\/a>)<\\/li>\\n<li>Fix: Autoplay is not working as expected when the lazy load is active in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15304\\\">#15304<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16274\\\">#16274<\\/a>)<\\/li>\\n<li>Fix: Right navigation area wasn\'t 100% clickable in Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14252\\\">#14252<\\/a>)<\\/li>\\n<li>Fix: Posts duplicate when there are two Posts widgets inside a page using pagination functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17056\\\">#17056<\\/a>)<\\/li>\\n<li>Fix: Global widget changes are not reflected on frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16820\\\">#16820<\\/a>)<\\/li>\\n<li>Fix: JS Error console message when using the Load More functionality and Post Per Page option in Posts widget<\\/li>\\n<li>Fix: Heading styling is not being loaded when Inline CSS experiment is active in Post and Page Title widgets<\\/li>\\n<li>Fix: Sticky offset not working as expected when changing device mode on the browser<\\/li>\\n<li>Fix: Scroll Snap functionality wasn\'t applied on Templates and Archives<\\/li>\\n<li>Fix: Toggle icon color didn\'t work on hover state when Inline Font Icons experiment is activated in Nav Menu widget<\\/li>\\n<li>Fix: Variations style controls are not working as expected in WooCommerce Add to Cart widget<\\/li>\\n<li>Fix: Display conditions module is not working as expected when using the new Theme Builder UI<\\/li>\\n<li>Fix: Edit header handles <code>z-index<\\/code> issues in Header document<\\/li>\\n<li>Fix: Panel icons UI glitch in Call To Action widget<\\/li>\\n<li>Fix: WordPress 5.9 <code>WP_User_query<\\/code> <code>who<\\/code> argument deprecation adjustments<\\/li>\\n<\\/ul>\\n<h4>3.5.2 - 2021-11-28<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted license mechanism to support trial period<\\/li>\\n<li>Fix: Updates made to Global Widgets do not reflect accordingly to linked widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815\\\">#16815<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle button doesn\'t change to \\u201cclose\\u201d when menu is collapsed in Nav Menu widget when Inline Font Awesome experiment is active<\\/li>\\n<li>Fix: Global Widget cannot be unlinked<\\/li>\\n<\\/ul>\\n<h4>3.5.1 - 2021-11-10<\\/h4>\\n<ul>\\n<li>Fix: Inline HTML elements appear as plain text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16816\\\">#16816<\\/a>)<\\/li>\\n<li>Fix: Dropdown items inherited values from Main Menu space between control in Nav Menu widget (<a href=\\\"(https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815)\\\">#16815<\\/a><\\/li>\\n<li>Fix: Order Summary titles style controls not applying on various devices in Cart widget<\\/li>\\n<li>Fix: Panel &quot;Need Help&quot; link is not correct in WooCommerce section in Site Settings<\\/li>\\n<\\/ul>\\n<h4>3.5.0 - 2021-11-01<\\/h4>\\n<ul>\\n<li>New: WooCommerce Checkout widget - Fully customize the content and style of your checkout page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15990\\\">#15990<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce Cart widget - Style your cart page the way you want with design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce My Account widget - Create a custom design for your my account pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: Progress Tracker widget - Motivate your customers to keep reading your site content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16576\\\">#16576<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Site Settings - Set your store pages within Elementor<\\/li>\\n<li>Experiment: Scroll Snap - Set the scene of every scroll (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10752\\\">#10752<\\/a>)<\\/li>\\n<li>Tweak: Changed infrastructure to prevent rendering bugs in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16354\\\">#16354<\\/a>)<\\/li>\\n<li>Tweak: Added the option to open submission in a new tab in Form Submissions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14967\\\">#14967<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive controls in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1851\\\">#1851<\\/a>)<\\/li>\\n<li>Tweak: Split Title and Price styling controls in Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7688\\\">#7688<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive capabilities to controls in Posts Archive widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Changed admin notice content when Pro installed without Core installed<\\/li>\\n<li>Tweak: Cleanup in <code>wp_options<\\/code> table<\\/li>\\n<li>Tweak: Changed Connect logic in Elementor top bar to simplify the connect process<\\/li>\\n<li>Tweak: Marked new Theme Builder as an Experiment and set to default for new sites<\\/li>\\n<li>Tweak: Enforced better security policies in various widgets and modules<\\/li>\\n<li>Tweak: Added load more button functionality to the Posts Archive widget<\\/li>\\n<li>Tweak: Renamed Elementor\'s responsive SCSS variables<\\/li>\\n<li>Tweak: Added dividers to horizontal layout in Nav Menu widget<\\/li>\\n<li>Tweak: Removed Google+ social network from Share Buttons widget<\\/li>\\n<li>Tweak: Convert usage of old Responsive class to use the new Breakpoints Manager<\\/li>\\n<li>Fix: jQuery in Heading doesn\'t work for not logged in users in Custom Code (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14515\\\">#14515<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14266\\\">#14266<\\/a>)<\\/li>\\n<li>Fix: Menu animation causing page horizontal scroll in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15184\\\">#15184<\\/a>)<\\/li>\\n<li>Fix: Wrong function call in Table of Content &amp; Post Excerpt widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16547\\\">#16547<\\/a>)<\\/li>\\n<li>Fix: Slides to Scroll control can\'t be set to Default if Widescreen mode has a value in Testimonial Carousel widget<\\/li>\\n<li>Fix: Sticky offset not working properly when changing device mode<\\/li>\\n<li>Fix: UTF character issues when exporting CSV file in Form Submissions<\\/li>\\n<li>Fix: Load More functionality doesn\'t work when the Posts widget placed inside an Archive template<\\/li>\\n<li>Fix: UI glitches and editing issues in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.4.2 - 2021-10-12<\\/h4>\\n<ul>\\n<li>Fix: Icons color style conflicts when Font-Awesome Inline experiment is active in Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16435\\\">#16435<\\/a>)<\\/li>\\n<li>Fix: Mini Cart hides page content when closed in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16305\\\">#16305<\\/a>)<\\/li>\\n<li>Fix: UI glitches in the Editor edit mode when inserting Post Content widget and Font-Awesome Inline experiment is active in Single Post template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16358\\\">#16358<\\/a>)<\\/li>\\n<li>Fix: Slides per view controls disappeared from multiple breakpoints in Testimonial Carousel<\\/li>\\n<li>Fix: Product variations UI glitch in Menu Cart widget<\\/li>\\n<li>Fix: Buttons UI glitch on Safari browser in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.1 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Fix: Sticky functionality is not working if the Additional Custom Breakpoints experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16186\\\">#16186<\\/a>)<\\/li>\\n<li>Fix: Slideshow skin UI glitch in Media Carousel widget<\\/li>\\n<li>Fix: Product price typography weight control is not working as expected in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.0 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Tweak: Added new Mini Cart layout type in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11312\\\">#11312<\\/a>)<\\/li>\\n<li>Tweak: Added styling options for Cart, Products, and Cart buttons in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14952\\\">#14952<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to open cart automatically when an item is added in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14119\\\">#14119<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to remove an item from cart without reloading the page with an AJAX request (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9531\\\">#9531<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10875\\\">#10875<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11309\\\">#11309<\\/a>)<\\/li>\\n<li>Tweak: Added Load More AJAX functionality to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1284\\\">#1284<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14557\\\">#14557<\\/a>)<\\/li>\\n<li>Tweak: Added Vimeo support to the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15319\\\">#15319<\\/a>)<\\/li>\\n<li>Tweak: Improved asset loading performance by serving lighter JS files (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>)<\\/li>\\n<li>Tweak: Added query string to the URL only after the first video is played in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15348\\\">#15348<\\/a>)<\\/li>\\n<li>Tweak: Added various layout options with more responsive controls and cart structure options in Menu Cart widget<\\/li>\\n<li>Tweak: Added the option to open the menu cart by click or hover in Menu Cart widget<\\/li>\\n<li>Tweak: Added the ability to choose a specific product to draw data from in WooCommerce Dynamic tags<\\/li>\\n<li>Tweak: Removed auto-scroll to the widget location when arriving from external URL in Video Playlist widget<\\/li>\\n<li>Tweak: Removed the Video Playlist widget from the Experiments list<\\/li>\\n<li>Tweak: Added descriptive error messages for MailChimp action after submit and on form submit in Forms widget<\\/li>\\n<li>Tweak: Added tooltip trigger None and Hover for link in Hotspot widget<\\/li>\\n<li>Tweak: Added responsive controls to Offset and Effects Offset in Sticky options<\\/li>\\n<li>Tweak: Added responsive control to Alignment in Testimonial Carousel widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Added future compatibility to support better loading of <code>eicons<\\/code> font<\\/li>\\n<li>Tweak: Changed Rename Part title and button color in Theme Builder<\\/li>\\n<li>Fix: Products don\'t appear on the cart while editing in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15451\\\">#15451<\\/a>)<\\/li>\\n<li>Fix: Videos always start muted in the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15292\\\">#15292<\\/a>)<\\/li>\\n<li>Fix: Unnecessary spacing if submenu indicator is set to None in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15365\\\">#15365<\\/a>)<\\/li>\\n<li>Fix: MailChimp double opt-in feature doesn\'t work in Forms widget<\\/li>\\n<li>Fix: Fetching MailChimp groups field blocks the loading of the rest of the fields in the Form widget<\\/li>\\n<li>Fix: Missing field IDs causes forms not to be sent in Forms widget<\\/li>\\n<li>Fix: Full Content Skin is not working properly when inserted twice on the same page in Posts widget<\\/li>\\n<li>Fix: Avoid Duplicates option doesn\'t exclude manual selections in Posts widget<\\/li>\\n<li>Fix: Submenu indicator alignment issue in Nav menu widget<\\/li>\\n<li>Fix: Query control deprecated message appears when debug mode is defined<\\/li>\\n<li>Fix: Tweet Button icon incorrect color and size when the icon is rendered as SVG in Blockquote widget<\\/li>\\n<li>Fix: Video icon size is not changing on Active state in Video Playlist widget<\\/li>\\n<li>Fix: Header icon color is not working in Table Of Content widget<\\/li>\\n<li>Fix: Icons style glitches when Font Awesome Inline experiment is active in Video Playlist widget<\\/li>\\n<li>Fix: Bullet markers are not visible on preview mode when Font Awesome Inline experiment is active in Table of Content widget<\\/li>\\n<li>Fix: UI Glitch when Font-Awesome Inline experiment is active in Price Table widget<\\/li>\\n<li>Fix: Submenu Indicator appears larger when Font Awesome Inline experiment is active in Nav Menu widget<\\/li>\\n<li>Fix: Part name is deleted when clicking on the &quot;Change&quot; Button without changing the name in Theme Builder<\\/li>\\n<li>Fix: Redundant pagination queries in the Editor<\\/li>\\n<li>Deprecated: Remove all usages of <code>ElementorUtils::get_create_new_post_url()<\\/code><\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-4-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.3.8 - 2021-08-23<\\/h4>\\n<ul>\\n<li>Fix: Products grid width issue when adjusting columns and rows in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16001\\\">#16001<\\/a>)<\\/li>\\n<li>Fix: Font Awesome Inline experiment causes icons glitch in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16045\\\">#16045<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA v3 <code>z-index<\\/code> is lower than the Section\'s background color<\\/li>\\n<li>Fix: Style missing when Font Awesome inline experiment is active in Post Info widget<\\/li>\\n<li>Fix: Font Awesome icons were not loaded in Post Info widget<\\/li>\\n<li>Fix: Zero character can\'t be used as a placeholder in Number field in Form widget<\\/li>\\n<li>Fix: Carousels are not working properly in the Editor when Additional Custom Breakpoints experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.7 - 2021-08-15<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Additional Custom Breakpoints in Nav Menu widget<\\/li>\\n<li>Tweak: Added support for Additional Custom breakpoints in Motion Effects<\\/li>\\n<li>Fix: Columns didn\'t respond to changes in Gallery widget if Additional Custom Breakpoints Experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.6 - 2021-08-10<\\/h4>\\n<ul>\\n<li>Tweak: Added support for future feature in Nav Menu widget<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Related widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Upsells widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Categories widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.5 - 2021-08-01<\\/h4>\\n<ul>\\n<li>Fix: Responsive layout glitches in Products and Products Archive widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15773\\\">#15773<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA V3 integration conflict with required fields validation in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.3.4 - 2021-07-21<\\/h4>\\n<ul>\\n<li>Fix: Grid layout glitch in WooCommerce Products Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15718\\\">#15718<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.3 - 2021-07-20<\\/h4>\\n<ul>\\n<li>Tweak: Added a descriptive message in Collect Submissions action after submit<\\/li>\\n<li>Tweak: Added future compatibility for Additional Custom Breakpoints for Pro widgets<\\/li>\\n<li>Fix: Some widget style breaks when Improved CSS Loading Experiment is active in certain cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15632\\\">#15632<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15683\\\">#15683<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15660\\\">#15660<\\/a>)<\\/li>\\n<li>Fix: Translation update keep appearing as available after install (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14297\\\">#14297<\\/a>)<\\/li>\\n<li>Fix: Wrong default icon color when using Font Awesome icons as inline SVG in Call to Action widget<\\/li>\\n<\\/ul>\\n<h4>3.3.2 - 2021-07-13<\\/h4>\\n<ul>\\n<li>Tweak: Updated plugin description<\\/li>\\n<li>Fix: MailChimp tags in form widget replaced existing tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Fix: Clicking videos from the items list in edit mode doesn\\u2019t initiate videos properly<\\/li>\\n<li>Fix: User unauthorized message when activated but not connected in Kit Library<\\/li>\\n<li>Fix: Carousel widgets did not support additional custom breakpoint responsive values<\\/li>\\n<li>Fix: Tab border is overridden by the Section background color in Video Playlist widget<\\/li>\\n<li>Fix: Widgets style breaks when Improved CSS Load experiment is active in a Single Page template and Post Content widget<\\/li>\\n<\\/ul>\\n<h4>3.3.1 - 2021-06-20<\\/h4>\\n<ul>\\n<li>Tweak: Added support for more Theme Builder display conditions in Export \\/ Import experiment<\\/li>\\n<li>Tweak: Adjusted License page heading structure for future feature<\\/li>\\n<li>Tweak: Adjusted Font Awesome icon for allowing support for future feature<\\/li>\\n<li>Fix: <code>frontend.min.js<\\/code> file size increased in Elementor Pro 3.3.0 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15278\\\">#15278<\\/a>)<\\/li>\\n<li>Fix: Prevent conditions from being reset when object cache is enabled in site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13299\\\">#13299<\\/a>)<\\/li>\\n<li>Fix: Custom Code publish modal responsiveness issues (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14519\\\">#14519<\\/a>)<\\/li>\\n<li>Fix: Populating fields with options programmatically doesn\'t appear in Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10671\\\">#10671<\\/a>)<\\/li>\\n<li>Fix: Large images are not shown on the Image Carousel widget when set via Toolset dynamic tag<\\/li>\\n<li>Fix: Enable inline editing to the inner content tabs in Video Playlist widget<\\/li>\\n<li>Fix: Clicking on the video list doesn\'t play videos properly in Video Playlist widget<\\/li>\\n<li>Fix: Hide Play Icon control when Image overlay is toggled off in Video Playlist widget<\\/li>\\n<li>Fix: Removed extra space below the player when viewing from mobile view in Video Playlist widget<\\/li>\\n<li>Fix: Import button is not working properly in Theme Builder interface<\\/li>\\n<li>Fix: Preview Dynamic Content as control is not updating preview and throws an error in Popup Builder<\\/li>\\n<\\/ul>\\n<h4>3.3.0 - 2021-06-08<\\/h4>\\n<ul>\\n<li>New: Video Playlist widget - Add Engaging Video Content to Your Website (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11859\\\">#11859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7803\\\">#7803<\\/a>)<\\/li>\\n<li>New: Hotspot widget - Create Interactive Images With Contextually Relevant Information (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7282\\\">#7282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2768\\\">#2768<\\/a>)<\\/li>\\n<li>Tweak: Accessibility improvements for sub-menus in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13859\\\">#13859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13810\\\">#13810<\\/a>)<\\/li>\\n<li>Tweak: MailChimp action after submit can now add new tags to existing subscribers in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/forms\\/record\\/actions_before<\\/code> to filter the record before it sent to Actions After Submit in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14261\\\">#14261<\\/a>)<\\/li>\\n<li>Tweak: Yoast SEO breadcrumbs widget can be used in Elementor without the need of enabling them in Yoast setting<\\/li>\\n<li>Tweak: Added future support for widgets CSS conditional loading (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10329\\\">#10329<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14229\\\">#14229<\\/a>)<\\/li>\\n<li>Tweak: Added future support for Sticky JS library conditional loading<\\/li>\\n<li>Tweak: Added future support for Import \\/ Export experiment<\\/li>\\n<li>Tweak: Preparations and fixes for Import Export Experiment in Pro version<\\/li>\\n<li>Tweak: Added gradient button capabilities to Login widget buttons<\\/li>\\n<li>Tweak: Added gradient button capabilities to Slides widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Price Table widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Flip Box widget button<\\/li>\\n<li>Tweak: Added Code Highlight widget Developers Documentation<\\/li>\\n<li>Tweak: Adjusted Submissions page for future updates<\\/li>\\n<li>Tweak: Added <code>em<\\/code> and <code>%<\\/code> units for padding control in Carousel widgets<\\/li>\\n<li>Tweak: Shorten currency name to currency symbol in PayPal button widget<\\/li>\\n<li>Fix: Custom Fonts URLs should be replaced when replace URL is triggered (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7376\\\">#7376<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10382\\\">#10382<\\/a>)<\\/li>\\n<li>Fix: The currency symbol size changed in the Price Table widget if enabling sale (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13519\\\">#13519<\\/a>)<\\/li>\\n<li>Fix: Nav Menu widget is not loading Font Awesome submenu icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9907\\\">#9907<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle is not working in Nav menu widget<\\/li>\\n<li>Fix: Activation bug for IDN domains<\\/li>\\n<li>Fix: Conditions modal responsive glitches in Custom Code<\\/li>\\n<li>Fix: Duplicated strings in Custom Code module<\\/li>\\n<li>Fix: Enable resize option for code input field in Custom Code<\\/li>\\n<li>Fix: \\u201cSave &amp; Close \\u201cbutton in Custom Code\'s Conditions modal was not visible on small screen sizes<\\/li>\\n<li>Fix: Removing a column from a section in the navigator resulted in an empty section<\\/li>\\n<li>Fix: Recommend option is cut If the layout is not &quot;Standard&quot; in the Facebook Button widget<\\/li>\\n<li>Fix: Video item does not play without adding an image in Media Carousel widget<\\/li>\\n<li>Fix: <code>search-plus<\\/code> icon missing from panel in Media Carousel widget<\\/li>\\n<li>Fix: UI hover state glitch in Media Carousel widget<\\/li>\\n<li>Fix: PHP notice was thrown when trying to import a kit without overrideConditions parameter in Kit Import flow<\\/li>\\n<li>Fix: Templates conditions not imported if there are no conflicts in Import Export Experiment<\\/li>\\n<li>Fix: Non english values are not encoded properly on Submissions export<\\/li>\\n<li>Fix: Theme Builder import is not working properly<\\/li>\\n<li>Fix: UI glitch when no global widgets were found in Editor Panel<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-3-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.2.2 - 2021-05-05<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Expert tier templates in Templates Library<\\/li>\\n<li>Tweak: Updated compatibility tag to support Elementor v3.2.x<\\/li>\\n<li>Tweak: Added compatibility for future Library improvements<\\/li>\\n<li>Fix: Toolset image dynamic field is not working with Gallery widget<\\/li>\\n<\\/ul>\\n<h4>3.2.1 - 2021-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added strings context in PayPal button and Price Table widgets<\\/li>\\n<li>Tweak: Added support for future Import \\/ Export Kit feature<\\/li>\\n<li>Fix: Submissions with over than 191 characters weren\'t indexed properly<\\/li>\\n<\\/ul>\\n<h4>3.2.0 - 2021-03-14<\\/h4>\\n<ul>\\n<li>New: PayPal Button widget - Collect PayPal payments directly from your site<\\/li>\\n<li>Experiment: Submissions - Save all of your form submissions in one place (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1686\\\">#1686<\\/a>)<\\/li>\\n<li>Tweak: Added Stay In Column option to Inner Section element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7956\\\">#7956<\\/a>)<\\/li>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Tweak: Changed descriptive text in Create Custom Code screen<\\/li>\\n<li>Tweak: Added support for dynamic capabilities in Code Highlight widget<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>share-link<\\/code> library<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>dialog<\\/code> library in Popup<\\/li>\\n<li>Tweak: Allow overwriting the assets URL when using a mirror domain<\\/li>\\n<li>Fix: Animation was triggered multiple times when accessing the viewport in certain cases in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13951\\\">#13951<\\/a>)<\\/li>\\n<li>Fix: Location is not being updated after a Custom Code snippet is published (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13971\\\">#13971<\\/a>)<\\/li>\\n<li>Fix: Custom Fonts CSS files were not updated after regenerating CSS files<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: Empty order buttons are displayed in Custom Fonts screen<\\/li>\\n<li>Fix: Typo in \'Reply To\' Email action after submit placeholder in Forms widget<\\/li>\\n<li>Fix: Unnecessary Save Draft button in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Custom Code<\\/li>\\n<li>Fix: Sanitized options in the editor to enforce better security policies<\\/li>\\n<li>Deprecated: See all deprecations to this version in our (<a href=\\\"https:\\/\\/developers.elementor.com\\/v3-2-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.1.1 - 2021-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Fix: Popup event handler is undefined (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11475]\\\">#11475<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10690\\\">#10690<\\/a>)<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Code Highlight widget<\\/li>\\n<li>Fix: Minor UI glitches in Code Highlight widget<\\/li>\\n<li>Fix: Users can\'t get Pro Developer Edition version updates<\\/li>\\n<\\/ul>\\n<h4>3.1.0 - 2021-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Code - Add custom code snippets to your site, including <code>head<\\/code>, <code>body<\\/code> start and <code>body<\\/code> end<\\/li>\\n<li>New: Meet Code Highlight widget - showcase any syntax with highlighted UI (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5815\\\">#5815<\\/a>)<\\/li>\\n<li>Experiment: Improved Pro widgets performance by loading JS and Swiper assets conditionally in frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/experiment-optimized-asset-loading\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Compatibility Tag support in Elementor Pro (<a href=\\\"https:\\/\\/developers.elementor.com\\/compatibility-tag\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Rotating Text animation in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4625\\\">#4625<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added an option to set Selected color for Typing effect in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5403\\\">#5403<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7826\\\">#7826<\\/a>)<\\/li>\\n<li>Tweak: Added animation Loop option for Animated Headline (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9749\\\">#9749<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2457\\\">#2457<\\/a>)<\\/li>\\n<li>Tweak: Added timing options for Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4392\\\">#4392<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added Word Wrap control to Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13577\\\">#13577<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.15.1<\\/li>\\n<li>Tweak: Improved method of loading field mapping repeater in Form widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/how-to-add-a-repeater-control-to-elementor-add-on\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Show on Browsers&quot; Popup Advanced Rule<\\/li>\\n<li>Tweak: Added real-time JS handling to prevent redundant renders in Slides widget and all Carousel widgets<\\/li>\\n<li>Tweak: Import scroll utility from core and remove it from Pro<\\/li>\\n<li>Tweak: Added alignment options for Post Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9757\\\">#9757<\\/a>)<\\/li>\\n<li>Tweak: Changed alignment control to work with selectors in Share Buttons<\\/li>\\n<li>Tweak: Upgraded to Webpack 5, Grunt-Webpack 4 and TerserPlugin instead of UglifyJsPlugin<\\/li>\\n<li>Fix: Steps Divider is not vertically aligned in Multi Step Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12569\\\">#12569<\\/a>)<\\/li>\\n<li>Fix: Slides are playing in an infinite loop mode even when the option is disabled in Slides Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Redundant spacing is added to Share Buttons widget<\\/li>\\n<li>Fix: Step buttons text is not updated without a page reload in Forms widget<\\/li>\\n<li>Fix: Overflow issue in certain animations in Animated Headline widget<\\/li>\\n<li>Fix: When dragging a new Testimonial Carousel there is a console error thrown<\\/li>\\n<li>Fix: Step Buttons are cut in mobile view in Multi Step Form<\\/li>\\n<li>Fix: Submit and Step buttons size differences when using Twenty Twenty theme<\\/li>\\n<li>Fix: Duplicate button Text Color control in Slides widget<\\/li>\\n<li>Fix: JS error is thrown when editing and saving global widgets<\\/li>\\n<li>Fix: <code>get_version<\\/code> API function may fail with Redis \\/ DB cache<\\/li>\\n<li>Fix: Multiple license check requests are created in certain cases<\\/li>\\n<li>Deprecated: Deprecate methods prefixed with an underscore and replace them with unprefixed methods<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-1-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.0.10 - 2021-01-20<\\/h4>\\n<ul>\\n<li>Tweak: Added Editing Handles string translation compatibility with Elementor v3.1.0<\\/li>\\n<\\/ul>\\n<h4>3.0.9 - 2020-12-29<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility to support Elementor 3.1.0<\\/li>\\n<li>Fix: Wrong phrasing of Import template success message in Theme Builder<\\/li>\\n<li>Fix: Border color glitch in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.8 - 2020-11-26<\\/h4>\\n<ul>\\n<li>Fix: Navigation arrows UI glitch in Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13172\\\">#13172<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.0.7 - 2020-11-25<\\/h4>\\n<ul>\\n<li>Fix: Console Error when dragging  Testimonials Carousel widget<\\/li>\\n<li>Fix: Arrows of Testimonial and Reviews Carousel widgets navigate to the wrong direction in RTL websites<\\/li>\\n<li>Fix: Removed the conditional loading of Webpack<\\/li>\\n<li>Fix: Fatal error is thrown after deleting an associated custom taxonomy when Posts widget with Cards skin has a badge<\\/li>\\n<li>Fix: Upload JSON files only when the user allowed to prevent security issues<\\/li>\\n<li>Fix: Gallery not displayed in Theme Builder templates preview<\\/li>\\n<\\/ul>\\n<h4>3.0.6 - 2020-11-04<\\/h4>\\n<ul>\\n<li>Tweak: Updated the embedded post in Facebook Embed widget<\\/li>\\n<li>Fix: Minor UI glitches in Theme Builder\'s conditions screen footer<\\/li>\\n<li>Fix: Template type changes into Single Page after conditions change in Theme Builder<\\/li>\\n<li>Fix: Redundant Custom Caption option in Site Logo widget<\\/li>\\n<li>Fix: Removed unused code in Drip integration<\\/li>\\n<li>Fix: Removed Weibo and WeChat social networks due to website and links inactivity from Share Buttons widget<\\/li>\\n<li>Fix: Removed redundant code from Portfolio and Post Navigation widgets<\\/li>\\n<\\/ul>\\n<h4>3.0.5 - 2020-09-23<\\/h4>\\n<ul>\\n<li>Fix: If the default page layout is set to &quot;Canvas&quot; Headers and Footers cannot be edited<\\/li>\\n<li>Fix: Product Image Dynamic Tag throws an error when no image is set<\\/li>\\n<li>Fix: Missing Single document placeholder in Theme Builder<\\/li>\\n<li>Fix: Document editing handles inherit the <code>font-family<\\/code> from 3rd party source<\\/li>\\n<li>Fix: Can\'t add linebreaks to Textarea input when used as Multi Step Form<\\/li>\\n<li>Fix: Incorrect width in Facebook Page widget<\\/li>\\n<li>Fix: Added compatibility to allow the use of \'get_create_url\' in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.4 - 2020-09-09<\\/h4>\\n<ul>\\n<li>Fix: Autogenerated screenshots appear in WP Media Library modal (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12304\\\">#12304<\\/a>)<\\/li>\\n<li>Fix: Make sure Elementor Posts widget Pagination doesn\'t interfere with 3rd party plugins (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Shrinking conditions indicator in Theme Builder<\\/li>\\n<li>Fix: Column can\'t be dragged and dropped if it populates a Global widget<\\/li>\\n<li>Fix: Styles are missing from Single templates in some edge cases<\\/li>\\n<\\/ul>\\n<h4>3.0.3 - 2020-09-02<\\/h4>\\n<ul>\\n<li>Fix: Pagination doesn\'t work in WordPress 5.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Change delete template action to &quot;Move to Trash&quot; in the new Theme Builder view<\\/li>\\n<\\/ul>\\n<h4>3.0.2 - 2020-08-31<\\/h4>\\n<ul>\\n<li>Tweak: Replaced WordPress &quot;Learn More&quot; links with dynamic links for better control over time (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12312\\\">#12312<\\/a>)<\\/li>\\n<li>Tweak: UI tweaks to the Conditions screen In the new Theme Builder<\\/li>\\n<li>Fix: Motion Effects not working when assigned to a column and throws JS error when DOM optimization is disabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12299\\\">#12299<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12275\\\">#12275<\\/a>)<\\/li>\\n<li>Fix: Multiple Galleries display all the images in the Lightbox slideshow (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11809\\\">#11809<\\/a>)<\\/li>\\n<li>Fix: Old Theme Builder is being opened when accessing through the Finder<\\/li>\\n<li>Fix: Mixed templates import glitch in Theme Builder<\\/li>\\n<li>Fix: Card icon sizes in Theme Builder<\\/li>\\n<li>Fix: Preview button leads to <code>render_mode<\\/code> instead of preview when importing a template from the new Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.1 - 2020-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Keep previous Theme Builder when accessing from the WP Dashboard for legacy support<\\/li>\\n<li>Tweak: Updated video tutorials in Theme Builder<\\/li>\\n<li>Tweak: Don\'t show auto-screenshots in the Media Library (Props <a href=\\\"https:\\/\\/github.com\\/black-eye\\\">@black-eye<\\/a>)<\\/li>\\n<li>Fix: Repeater items throws <code>childView<\\/code> is undefined message in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12239\\\">#12239<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12221\\\">#12221<\\/a>)<\\/li>\\n<li>Fix: Misspelling of the word &quot;occurred&quot; in Form widget default error message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12137\\\">#12137<\\/a>)<\\/li>\\n<li>Fix: Facebook comments not showing up (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12157\\\">#12157<\\/a>)<\\/li>\\n<li>Fix: Check for conflicts in Theme Builder doesn\'t work properly<\\/li>\\n<li>Fix: Minor UI fixes in Theme Builder<\\/li>\\n<li>Fix: Dark mode glitches in Theme Builder<\\/li>\\n<li>Fix: Global Site Part toaster appears when you publish a Popup<\\/li>\\n<li>Fix: Site Parts aren\'t in the correct order in Theme Builder<\\/li>\\n<li>Fix: Date field caused forms to get corrupted in Forms widget<\\/li>\\n<li>Fix: Theme Builder application page is forbidden<\\/li>\\n<\\/ul>\\n<h4>3.0.0 - 2020-08-23<\\/h4>\\n<ul>\\n<li>New: Introducing the new and improved Theme Builder<\\/li>\\n<li>Tweak: Removed <code>.elementor-inner<\\/code> and <code>.elementor-column-wrap<\\/code> from DOM output to improve performance (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7351\\\">#7351<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7817\\\">#7817<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/dom-improvements-ahead-html-wrappers-removal-from-v3-0\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added contextual anchors ID support to Table of Contents widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10052\\\">#10052<\\/a>)<\\/li>\\n<li>Tweak: Added WeChat and Weibo social networks to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11554\\\">#11554<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Redirect after Login\\/Logout in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11343\\\">#11343<\\/a>)<\\/li>\\n<li>Tweak: Added Blend Mode and CSS Filters controls to adjust the Background Overlay in Flipbox widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11653\\\">#11653<\\/a>)<\\/li>\\n<li>Tweak: Added responsive capabilities to Toggle Button styling in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8269\\\">#8269<\\/a>)<\\/li>\\n<li>Tweak: Added responsive Text Alignment control in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11968\\\">#11968<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic content to Ribbon element in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10364\\\">#10364<\\/a>)<\\/li>\\n<li>Tweak: Converted uses of Color and Typography Schemes to Global Colors and Fonts<\\/li>\\n<li>Tweak: Separated Title and Description control fields labels in Call to Action widget<\\/li>\\n<li>Tweak: Removed unnecessary style in WC Product with variations<\\/li>\\n<li>Tweak: Converted Portfolio, Posts and Share Buttons widgets to use CSS Variable-based Elementor Grid (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-dropping-support-ie\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Date Modified option to Posts widget metadata<\\/li>\\n<li>Fix: PHP 7.4 compatibility to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11355\\\">#11355<\\/a>)<\\/li>\\n<li>Fix: Divider alignment issue in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11628\\\">#11628<\\/a>)<\\/li>\\n<li>Fix: Color doesn\\u2019t change in Products Archive Description widget<\\/li>\\n<li>Fix: WC Product variations layout breaks when using Variation Swatches plugin<\\/li>\\n<li>Fix: WC Product variations layout issue<\\/li>\\n<li>Fix: WC Product variations mobile zoom-in glitch<\\/li>\\n<li>Fix: Can\'t edit a Popup after accessing Theme Style<\\/li>\\n<li>Fix: Twitter icon missing in Blockquote widget<\\/li>\\n<li>Fix: Removed redundant default text color from Share Buttons minimal skin<\\/li>\\n<li>Fix: UI glitch in Display Conditions modal<\\/li>\\n<li>Fix: Insert template button UI glitch in Templates Library<\\/li>\\n<li>Fix: Added sanitization to post titles in WordPress dashboard for better security<\\/li>\\n<li>Fix: Show when arriving from search engines rule doesn\'t work in Popup<\\/li>\\n<li>Fix: Child categories are shown with a different parent category in Query control<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.10.3 - 2020-06-29<\\/h4>\\n<ul>\\n<li>Fix: Form not being submitted when using &quot;Progress Bar&quot; and &quot;None&quot; view types in Multi Step Form (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11596\\\">#11596<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11610\\\">#11610<\\/a>)<\\/li>\\n<li>Fix: Missing &quot;for&quot; attribute in Password field label in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8646\\\">#8646<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.2 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Fix: Run step events only when in Multi Step Form mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11644\\\">#11644<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.1 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Changed control labels and ordering in Price Table, Lottie and Form widgets<\\/li>\\n<li>Fix: Popup close button vertical position glitch (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10921\\\">#10921<\\/a>)<\\/li>\\n<li>Fix: Radio field placement glitch when in Multi Step mode in Form widget<\\/li>\\n<li>Fix: Clicking <code>Enter<\\/code> key submits the form in Multi Step Form<\\/li>\\n<li>Fix: Hardened sanitization in Custom Attributes to avoid security issues<\\/li>\\n<\\/ul>\\n<h4>2.10.0 - 2020-06-07<\\/h4>\\n<ul>\\n<li>New: Introducing Multi-Step Forms - Breakdown long forms into simple steps (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5975\\\">#5975<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3911\\\">#3911<\\/a>)<\\/li>\\n<li>New: Introducing Lottie widget - easily add Lottie animations to your site, no coding needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11026\\\">#11026<\\/a>)<\\/li>\\n<li>Tweak: Added spacing option to Posts widget pagination (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5682\\\">#5682<\\/a>)<\\/li>\\n<li>Tweak: Changed texts and logic for administrator plugin renewal notices<\\/li>\\n<li>Tweak: Added new Scroll Util for improved scrolling handling<\\/li>\\n<li>Tweak: Improved Motion Effects animation performance<\\/li>\\n<\\/ul>\\n<h4>2.9.5 - 2020-05-24<\\/h4>\\n<ul>\\n<li>Fix: Added sanitization to Custom Attributes control to avoid security issue<\\/li>\\n<\\/ul>\\n<h4>2.9.4 - 2020-05-07<\\/h4>\\n<ul>\\n<li>Fix: Hardened user role that is allowed to upload icon sets and unzip only allowed files in Custom Icons to prevent security vulnerability<\\/li>\\n<\\/ul>\\n<h4>2.9.3 - 2020-04-19<\\/h4>\\n<ul>\\n<li>Fix: Form shortcode IDs are not wrapped in double-quotes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11023\\\">#11023<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10932\\\">#10932<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10967\\\">#10967<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11000\\\">#11000<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11049\\\">#11049<\\/a>)<\\/li>\\n<li>Fix: Escaped Form records metadata to prevent security vulnerability<\\/li>\\n<li>Fix: Closing &quot;Save Changes&quot; document confirmation modal causes Panel infinite loading<\\/li>\\n<li>Fix: Ken Burns effect not working when there is only one slide in Slides widget<\\/li>\\n<li>Fix: Document handles UI glitch<\\/li>\\n<\\/ul>\\n<h4>2.9.2 - 2020-03-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility with WordPress v5.4 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10745\\\">#10745<\\/a>)<\\/li>\\n<li>Fix: Image ratio number is displayed under the Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10874\\\">#10874<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color setting overrides the Table of Content list style<\\/li>\\n<li>Fix: PHP notice when using dynamic user info <code>id<\\/code><\\/li>\\n<li>Fix: Navigation arrows direction is crossed on first drag in Slides Widget<\\/li>\\n<li>Fix: &quot;No headings were found on this page&quot; message was not displayed in the frontend in Table of Contents widget<\\/li>\\n<li>Fix: Container includes Popup tags by default in Table of Contents widget<\\/li>\\n<li>Fix: Twitter icon display issue when Font Awesome 4 support is disabled in Blockquote widget<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<\\/ul>\\n<h4>2.9.1 - 2020-03-16<\\/h4>\\n<ul>\\n<li>Fix: Can\'t access Elementor Editor when there is Page Title widget in the page<\\/li>\\n<li>Fix: Applying styling to Post Content widget affects the Page and Post editing handles<\\/li>\\n<\\/ul>\\n<h4>2.9.0 - 2020-03-15<\\/h4>\\n<ul>\\n<li>New: Introducing Full Site Editing: Design header, footer, and content all in one place! (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4985\\\">#4985<\\/a>)<\\/li>\\n<li>New: Added Global Custom CSS for Your Entire Site in Theme Style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3345\\\">#3345<\\/a>)<\\/li>\\n<li>New: Added Dynamic Colors tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6485\\\">#6485<\\/a>)<\\/li>\\n<li>Tweak: Added option to set the Site Part HTML Wrapper Tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9293\\\">#9293<\\/a>)<\\/li>\\n<li>Tweak: Added Link Attributes support to Pro widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5716\\\">#5716<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3642\\\">#3642<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9225\\\">#9225<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9079\\\">#9079<\\/a>)<\\/li>\\n<li>Tweak: Added Theme Style support in Theme Builder parts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10564\\\">#10564<\\/a>)<\\/li>\\n<li>Tweak: Avoid creating empty Custom Font<\\/li>\\n<li>Tweak: Added <code>aria-expanded<\\/code> attribute to Menu Cart widget<\\/li>\\n<li>Tweak: Moved Link Actions module to Core plugin<\\/li>\\n<li>Tweak: Changed the name of \\u201cTypeKit Web Fonts by Adobe\\u201d to \\u201cAdobe Fonts\\u201d<\\/li>\\n<li>Tweak: Removed redundant display conditions from Blockquote, Flipbox, Price Table, and Search Form widgets<\\/li>\\n<li>Tweak: Pro widgets are not draggable unless Elementor license has been activated<\\/li>\\n<li>Tweak: Remove redundant <code>label_block<\\/code> parameters from several controls<\\/li>\\n<li>Tweak: Converted controls selectors to CSS variables in Gallery widget<\\/li>\\n<li>Tweak: Replaced Stumbleupon with Mix in Reviews widget recommended icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added Mix to the Share Buttons network list (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Open in new tab&quot; option to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7924\\\">#7924<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.12.0<\\/li>\\n<li>Tweak: Added new Lightbox compatibility for Gallery and Media Carousel widgets<\\/li>\\n<li>Tweak: Expose external API for Swiper instances<\\/li>\\n<li>Tweak: Added compatibility to JS API in Theme Builder, Popups, Form widget and Global widget<\\/li>\\n<li>Tweak: Replaced nerd icons with new Elementor emojis<\\/li>\\n<li>Tweak: Added specific <code>color<\\/code> attribute to header title in Table of Contents widget<\\/li>\\n<li>Fix: Line break issues in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10585\\\">#10585<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color overrides the Table of Content list style<\\/li>\\n<li>Fix: Active state glitches when using Table of contents widget with Sticky mode<\\/li>\\n<li>Fix: &quot;Graphic Element&quot; section appears as empty in case of unmarked Graphic Element in Call to Action widget<\\/li>\\n<li>Fix: Page Title widget render glitches in the Editor<\\/li>\\n<li>Fix: Image ratio parameter visible in some edge cases in Posts widget<\\/li>\\n<li>Fix: Image missing when sharing to Pinterest using Share Buttons widget<\\/li>\\n<li>Fix: Theme Style Link color setting override the list style in Table of Contents widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v2-9-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.8.5 - 2020-03-08<\\/h4>\\n<ul>\\n<li>Tweak: Added new Swiper parameter to all Pro carousels to allow 3rd party integration<\\/li>\\n<li>Fix: Missing closing bracket in Animated Headline widget<\\/li>\\n<li>Fix: Share buttons widgets show Font Awesome 4 icons on first drag in Editor<\\/li>\\n<\\/ul>\\n<h4>2.8.4 - 2020-02-16<\\/h4>\\n<ul>\\n<li>Tweak: Added Lightbox Title &amp; Description support to Gallery widget<\\/li>\\n<li>Tweak: Added RTL support for Slides widget<\\/li>\\n<li>Tweak: Display Lightbox images in Full size in Gallery widget<\\/li>\\n<li>Fix: Template with Slides widget not working properly when placed inside Tabs, Accordion and Toggle widget<\\/li>\\n<li>Fix: Dropdown menu lost styling after Elementor Pro v2.8 upgrade in Nav Menu widget<\\/li>\\n<li>Fix: Indent doesn\'t work on RTL websites in Table of Contents widget<\\/li>\\n<li>Fix: Query Control throws <code>Undefined index: q<\\/code> error<\\/li>\\n<li>Fix: Typography control not affecting dropdown menu in Nav Menu widget<\\/li>\\n<li>Fix: Discord forms integration fails to send submissions in some server configurations<\\/li>\\n<li>Fix: Rotating headlines don\'t align center in Animated Headline widget<\\/li>\\n<li>Fix: Custom secondary color displayed when not needed in Share buttons widget<\\/li>\\n<li>Fix: Motion Effects of certain objects are not functioning properly on Safari browser<\\/li>\\n<li>Fix: Missing eye icon in Single template footer preview button<\\/li>\\n<\\/ul>\\n<h4>2.8.3 - 2020-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Updated Table of Contents widget panel location<\\/li>\\n<li>Fix: ACF URL Dynamic field throws <code>undefined index<\\/code> PHP notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9929\\\">#9929<\\/a>)<\\/li>\\n<li>Fix: Gallery lightbox pagination shows images from all tabs<\\/li>\\n<li>Fix: &quot;Reply To&quot; option not working in Form widget &quot;Email 2&quot; Action<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<li>Fix: Underline option not working in Table of Contents widget Normal state<\\/li>\\n<li>Fix: Query Control <code>Undefined index: autocomplete<\\/code> notice in some cases<\\/li>\\n<li>Fix: Missing display condition to Read More Spacing control in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.8.2 - 2019-12-19<\\/h4>\\n<ul>\\n<li>Tweak: Improved scroll-spy and collapsing functionality in Table of Contents widget<\\/li>\\n<li>Fix: &quot;No products were found&quot; message not being displayed in an empty Products Archive<\\/li>\\n<li>Fix: Redundant <code>&lt;br&gt;<\\/code> tags in Single theme template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9927\\\">#9927<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9928\\\">#9928<\\/a>)<\\/li>\\n<li>Fix: Draft Popup shows up in Dynamic tag dropdown<\\/li>\\n<\\/ul>\\n<h4>2.8.1 - 2019-12-18<\\/h4>\\n<ul>\\n<li>Fix: Share Buttons widget not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9920\\\">#9920<\\/a>)<\\/li>\\n<li>Fix: Redundant <code>&lt;p&gt;<\\/code> tags added to Single Template posts<\\/li>\\n<\\/ul>\\n<h4>2.8.0 - 2019-12-18<\\/h4>\\n<ul>\\n<li>New: Table of Contents Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5171\\\">#5171<\\/a>)<\\/li>\\n<li>New: Added Font Awesome Pro Duotone font family support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added Lazy Load option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9763\\\">#9763<\\/a>)<\\/li>\\n<li>Tweak: Added Random order option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9269\\\">#9269<\\/a>)<\\/li>\\n<li>Tweak: Updated Font Awesome Pro to v5.11.2 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added preselect support for multiple default select values in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9324\\\">#9324<\\/a>)<\\/li>\\n<li>Tweak: Avoid duplicate queries for Custom Icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9579\\\">#9579<\\/a>)<\\/li>\\n<li>Tweak: Major performance improvements to Gallery widget<\\/li>\\n<li>Tweak: Avoid non-existing images in Gallery widget<\\/li>\\n<li>Tweak: Added <code>tabindex<\\/code>, <code>aria-expanded<\\/code>, <code>aria-hidden<\\/code> and <code>role=\\\"navigation\\\"<\\/code> accessibility attributes to Nav Menu widget<\\/li>\\n<li>Tweak: Changed button HTML tag from <code>button<\\/code> to <code>span<\\/code> in Call to Action and Flip Box widgets for better W3C compliance and accessibility<\\/li>\\n<li>Tweak: Removed Google+ from default networks in Share Buttons widget<\\/li>\\n<li>Tweak: Added compatibility for Library Connect<\\/li>\\n<li>Tweak: Added i18n to Toolset date dynamic tag<\\/li>\\n<li>Tweak: Added external link support to Gallery widget<\\/li>\\n<li>Tweak: Changed the link external attributes implementation to use <code>add_link_attributes()<\\/code> in Gallery widget<\\/li>\\n<li>Tweak: Updated references to the new Schemes system location<\\/li>\\n<li>Tweak: Avoid running Gallery handler when the gallery is empty<\\/li>\\n<li>Tweak: UI Tweaks in Editor Panel<\\/li>\\n<li>Tweak: Added responsive capabilities to Pointer Width control in Nav Menu widget<\\/li>\\n<li>Tweak: Added mobile support for responsive controls in Nav Menu widget<\\/li>\\n<li>Tweak: Refactor <code>register_controls()<\\/code> method in Posts widget skin trait<\\/li>\\n<li>Fix: ACF URL &quot;undefined Index&quot; notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7646\\\">#7646<\\/a>)<\\/li>\\n<li>Fix: WooCommerce Mini-Cart widget causes fatal error in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9304\\\">#9304<\\/a>)<\\/li>\\n<li>Fix: <code>PHP Notice: Undefined index<\\/code> display for Author query (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9864\\\">#9864<\\/a>)<\\/li>\\n<li>Fix: Added compatibility for Button widget placed inside Swiper carousel (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/broken-buttons-since-elementor-2-8\\/\\\">Topic<\\/a>)<\\/li>\\n<li>Fix: Avoid empty spaces in Post info widget<\\/li>\\n<li>Tweak: Always show &quot;Custom label&quot; control in Login widget<\\/li>\\n<li>Fix: Nav Menu item typography selector in Nav Menu widget<\\/li>\\n<li>Fix: Facebook Like Button widget causes flickering<\\/li>\\n<li>Fix: WooCommerce mini-cart behaviour when using <code>plain<\\/code> permalinks format<\\/li>\\n<li>Fix: Avoid running Popup triggers when set without conditions<\\/li>\\n<li>Fix: Removed &quot;Date&quot; query from Products widget<\\/li>\\n<li>Fix: Slides widget when used as a Shortcode and is hidden<\\/li>\\n<li>Fix: Custom URL being accessed on swipe in Media Carousel<\\/li>\\n<li>Fix: Media Carousel widget Cube effect glitch<\\/li>\\n<li>Fix: Lightbox shows images from multiple Gallery widgets in the same page<\\/li>\\n<li>Fix: Image <code>alt<\\/code> Text not displayed on overlay in Gallery widget<\\/li>\\n<li>Fix: Gallery widget not visible in Posts widget Full Content skin<\\/li>\\n<li>Fix: WooCommerce mini-cart remove unnecessary hooks registration when WooCommerce integration set to <code>Disable<\\/code><\\/li>\\n<li>Fix: Slides widget button wrapping breaks in mobile view<\\/li>\\n<li>Fix: Dynamic capabilities with the Reviews widget<\\/li>\\n<li>Fix: Disabling autoplay doesn\'t work in Slides widget<\\/li>\\n<li>Fix: Posts widget Full Content skin not working on Single template<\\/li>\\n<li>Fix: Autocomplete not working for &quot;By Author&quot; condition in Display Conditions screen<\\/li>\\n<li>Fix: Posts widget alignment issue<\\/li>\\n<li>Fix: Product Variations Clear button not working in edge cases<\\/li>\\n<li>Fix: Styling issues in Form widget submit button<\\/li>\\n<\\/ul>\\n<h4>2.7.3 - 2019-10-28<\\/h4>\\n<ul>\\n<li>Tweak: Added RTL support to Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9213\\\">#9213<\\/a>)<\\/li>\\n<li>Tweak: Added Custom Icons compatibility for WordPress 5.3<\\/li>\\n<li>Fix: Missing template function declaration causes fatal error in WC mini-cart widget<\\/li>\\n<li>Fix: Pause on hover doesn\'t work in Carousel widgets<\\/li>\\n<li>Fix: Link-actions conflict with <code>?action=<\\/code> parameter in the URL<\\/li>\\n<li>Fix: Lightbox navigation not working in Gallery widget Single mode<\\/li>\\n<li>Fix: Ken burns effect not working on the 1st slide if Infinite Loop option is turned off in Carousel widgets<\\/li>\\n<li>Fix: Popup Advanced Rules detects internal links as external if current URL starts with <code>www<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.7.2 - 2019-10-06<\\/h4>\\n<ul>\\n<li>Fix: Slide Overlay not working when applying Ken burns effect in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9209\\\">#9209<\\/a>)<\\/li>\\n<li>Fix: Content width glitch in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Horizontal Alignment not working when applying custom style per slide in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Missing semicolon in Custom Fonts <code>font-display<\\/code> CSS<\\/li>\\n<\\/ul>\\n<h4>2.7.1 - 2019-09-26<\\/h4>\\n<ul>\\n<li>Fix: Background Overlay layer is over the slide content in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Duplicate images under &quot;All&quot; filter in Multiple Gallery<\\/li>\\n<\\/ul>\\n<h4>2.7.0 - 2019-09-24<\\/h4>\\n<ul>\\n<li>New: Enhanced Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1898\\\">#1898<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3103\\\">#3103<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4279\\\">#4279<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7631\\\">#7631<\\/a>)<\\/li>\\n<li>New: Dynamic Number (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5952\\\">#5952<\\/a>)<\\/li>\\n<li>New: Full content skin for Posts and Archive-posts widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4617\\\">#4617<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic number capability to Price List, Price Table, Counter, Star Rating, Progress Bar widgets<\\/li>\\n<li>Tweak: Added tags support to forms Mailchimp action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5418\\\">#5418<\\/a>)<\\/li>\\n<li>Tweak: User Profile Picture Dynamic Tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7947\\\">#7947<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8740\\\">#8740<\\/a>)<\\/li>\\n<li>Tweak: Added <code>font-display<\\/code> support to custom fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5993\\\">#5993<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-custom-fonts-font-display-support\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Text Shadow control to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8800\\\">#8800<\\/a>)<\\/li>\\n<li>Tweak: Added Re-subscribe support to MailerLite (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8799\\\">#8799<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Facebook Embed widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9030\\\">#9030<\\/a>)<\\/li>\\n<li>Tweak: Use <code>swiper.js<\\/code> instead of <code>slick.js<\\/code> in Slides widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-2-7-moving-sliders-from-slick-to-swiper\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/before_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/after_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic support for Custom field key (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7789\\\">#7789<\\/a>)<\\/li>\\n<li>Tweak: Increased expired license notice bar frequency<\\/li>\\n<li>Tweak: Changed the icon name of Slides widget<\\/li>\\n<li>Tweak: Added designated Finder\'s Icons for Custom icons &amp; Custom fonts<\\/li>\\n<li>Tweak: Use Ken Burns Effect as an external module<\\/li>\\n<li>Tweak: Remove Fontello conflicting CSS on import to Custom Icons sets<\\/li>\\n<li>Tweak: Editor Panel UI tweaks<\\/li>\\n<li>Tweak: Added DOM events on Popup show\\/hide (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-popup-events\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added option to change the variations field width in Add to Cart widget<\\/li>\\n<li>Tweak: Use select control instead of select2 in Menu Cart widget<\\/li>\\n<li>Tweak: Added conditions to the tabs instead of to each control in Share Buttons widget<\\/li>\\n<li>Tweak: Added Typography controls to HTML field in Forms widget<\\/li>\\n<li>Tweak: Allow edit selected Font file in Custom Font<\\/li>\\n<li>Tweak: Changed reCAPTCHA v3 error message<\\/li>\\n<li>Tweak: Remove the &quot;Save as Global&quot; option on Global widget context menu<\\/li>\\n<li>Fix: Corrected selector for <code>removeControlSpinner()<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8790\\\">#8790<\\/a>)<\\/li>\\n<li>Fix: Slides widget navigation icons misplacement (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8533\\\">#8533<\\/a>)<\\/li>\\n<li>Fix: Horizontal Scrollbar when Slider widget is set to Full Width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8527\\\">#8527<\\/a>)<\\/li>\\n<li>Fix: Inconsistent behavior when &quot;Infinite Loop&quot; enabled with &quot;Autoplay&quot; in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Ken Burns effect on Chrome transition glitches (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1671\\\">#1671<\\/a>)<\\/li>\\n<li>Fix: Nothing found message shows up inside the columns set in Posts Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7347\\\">#7347<\\/a>)<\\/li>\\n<li>Fix: Responsive UI glitch in Popup Conditions modal tabs<\\/li>\\n<li>Fix: Removed unnecessary divider in Call to Action widget<\\/li>\\n<li>Fix: Custom Add To Cart * button style (size, position and background color) when <code>quantity<\\/code> is enabled.<\\/li>\\n<li>Fix: Add support for Document\\/PageBase in Theme Builder (Core &gt;=2.7.0)<\\/li>\\n<li>Fix: Ampersand character breaks email link in Share Buttons widget<\\/li>\\n<li>Fix: Correct custom font attachment <code>mime-type<\\/code> to show uploaded Custom Fonts<\\/li>\\n<li>Fix: Mini-Cart not refreshing in Menu Cart widget<\\/li>\\n<li>Fix: Cart drawer not working when WC Subscriptions plugin is activated<\\/li>\\n<li>Fix:  Querying CPT with custom taxonomies does not show the taxonomies before saving<\\/li>\\n<li>Fix: Double rendering on change caused console error in Theme Builder\'s conditions screen<\\/li>\\n<li>Fix: Translations and Strings in Share Buttons widget<\\/li>\\n<li>Fix: Avoid using offset if the source is Manual selection in Query Control<\\/li>\\n<li>Fix: Form being submitted although reCAPTCHA v3 validation failed in Forms widget<\\/li>\\n<\\/ul>\\n<h4>2.6.5 - 2019-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Button style not working when <code>quantity<\\/code> is enabled in Custom Add To Cart widget<\\/li>\\n<li>Fix: Updated minified JS file fixed WhatsApp base URL in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>2.6.4 - 2019-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Changed WhatsApp base URL in Share Buttons widget for cross-device compatibility<\\/li>\\n<li>Fix: Random slides order after several clicks on pagination in Testimonial Carousel widget<\\/li>\\n<\\/ul>\\n<h4>2.6.3 - 2019-08-18<\\/h4>\\n<ul>\\n<li>Fix: Core version rollback to <code>&gt;2.6.0<\\/code> causes a fatal error<\\/li>\\n<li>Fix: Duplicate images when slideshow skin is selected in Media Carousel lightbox<\\/li>\\n<li>Fix: Default bottom margin added to reCAPTCHA V3 badge<\\/li>\\n<li>Fix: Input glitch in reCAPTCHA V3 threshold settings<\\/li>\\n<\\/ul>\\n<h4>2.6.2 - 2019-07-30<\\/h4>\\n<ul>\\n<li>Tweak: Better accessibility support in Search Form widget<\\/li>\\n<li>Fix: UI glitched in Popup publish screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8616\\\">#8616<\\/a>)<\\/li>\\n<li>Fix: &quot;Child of Term&quot; and &quot;Any child of term&quot; conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8695\\\">#8695<\\/a>)<\\/li>\\n<li>Fix: Restored <code>library_widget_templates<\\/code> action hook for 3rd party compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8687\\\">#8687<\\/a>)<\\/li>\\n<li>Fix: Twitter Icon missing in Blockquote widget<\\/li>\\n<li>Fix: Form reCAPTCHA v3 badge position not working<\\/li>\\n<li>Fix: Renewal notice bar appears in wrong situations<\\/li>\\n<li>Fix: Draft Icon Set loads empty Icon Library<\\/li>\\n<\\/ul>\\n<h4>2.6.1 - 2019-07-24<\\/h4>\\n<ul>\\n<li>Fix: Query Control autocomplete not retrieving results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8672\\\">#8672<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8661\\\">#8661<\\/a>)<\\/li>\\n<li>Fix: Price Table features section not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8660\\\">#8660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.6.0 - 2019-07-23<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Icon sets - including Fontello, IcoMoon and Fontastic support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/110\\\">#110<\\/a>)<\\/li>\\n<li>New: Added Font Awesome 5 Pro integration including 5,300+ icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4430\\\">#4430<\\/a>)<\\/li>\\n<li>New: Added reCAPTCHA v3 integration to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8213\\\">#8213<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6039\\\">#6039<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7165\\\">#7165<\\/a>)<\\/li>\\n<li>Tweak: Added Exit Animation for Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7063\\\">#7063<\\/a>)<\\/li>\\n<li>Tweak: Added ACF Dynamic tag support for archive pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5147\\\">#5147<\\/a>)<\\/li>\\n<li>Tweak: Added Navigator Indicators for Custom CSS &amp; Motion Effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2180\\\">#2180<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Form Redirect action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7552\\\">#7552<\\/a>)<\\/li>\\n<li>Tweak: Added Logged In Message styling options for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7928\\\">#7928<\\/a>)<\\/li>\\n<li>Tweak: Added <code>none<\\/code> breakpoint option to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7916\\\">#7916<\\/a>)<\\/li>\\n<li>Tweak: Added option to place Post Terms dynamic tag without links (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8366\\\">#8366<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor\\/query\\/query_results<\\/code> hook to Query Control to allow full control over results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7912\\\">#7912<\\/a>)<\\/li>\\n<li>Tweak: Allow choosing Heading HTML tag in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8090\\\">#8090<\\/a>)<\\/li>\\n<li>Tweak: Show popup on dynamic click even when <code>Avoid Multiple Popups<\\/code> option is selected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8189\\\">#8189<\\/a>)<\\/li>\\n<li>Tweak: Added condition option to all of archive child pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8256\\\">#8256<\\/a>)<\\/li>\\n<li>Tweak: Added <code>Effects Relative To<\\/code> control to Scrolling Effects<\\/li>\\n<li>Tweak: Allow shortcodes in HTML Form field<\\/li>\\n<li>Tweak: Removed donReach integration from Share Buttons widget due to service inconsistent stability<\\/li>\\n<li>Tweak: Changed MailChimp <code>List<\\/code> label to <code>Audience<\\/code><\\/li>\\n<li>Tweak: Improved Entrance and Exit animation behavior in Popup<\\/li>\\n<li>Tweak: Added <code>Deprecated Notice<\\/code> control to <code>Archive Products<\\/code> and <code>Woo Products<\\/code> widgets<\\/li>\\n<li>Tweak: Added default dynamic title for archives in Theme Builder<\\/li>\\n<li>Tweak: Added condition to show <code>Centered Slides<\\/code> control in Media Carousel widget<\\/li>\\n<li>Tweak: Added notice bar in the Editor when the license is expired or not activated<\\/li>\\n<li>Tweak: Replaced <code>select<\\/code> control with <code>choose<\\/code> control in Price List widget<\\/li>\\n<li>Tweak: Removed Font Awesome 4 dependencies from the Editor<\\/li>\\n<li>Tweak: Minor styling tweaks in the Popup publish modal<\\/li>\\n<li>Tweak: Hide ordering form in Products widget on front page<\\/li>\\n<li>Tweak: Removed page title markup when \'Hide Title\' is active<\\/li>\\n<li>Tweak: Added style controls for HTML field in Form widget<\\/li>\\n<li>Fix: Form widget Date picker makes the Popup builder disappear (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7240\\\">#7240<\\/a>)<\\/li>\\n<li>Fix: Sticky element stop point stops working on viewport resize (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7884\\\">#7884<\\/a>)<\\/li>\\n<li>Fix: Copy-Paste style not pasting the Pointer option in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8497\\\">#8497<\\/a>)<\\/li>\\n<li>Fix: Missing Print icon in Share Buttons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8506\\\">#8506<\\/a>)<\\/li>\\n<li>Fix: UI style glitch in Blockquote widget when viewing from iPad<\\/li>\\n<li>Deprecated: <code>DB::save_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<li>Deprecated: <code>DB::get_plain_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.14 - 2019-07-14<\\/h4>\\n<ul>\\n<li>Fix: Better WC Related Product grid support to various themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8555\\\">#8555<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.13 - 2019-07-11<\\/h4>\\n<ul>\\n<li>Fix: Better WC grid support to various themes<\\/li>\\n<\\/ul>\\n<h4>2.5.12 - 2019-07-10<\\/h4>\\n<ul>\\n<li>Fix: Grid for WooCommerce Archive Product widget<\\/li>\\n<li>Fix: Remove redundant <code>whitespace<\\/code> CSS property causes style glitch in iPad<\\/li>\\n<li>Tweak: Added more compatibility for Elementor v2.6<\\/li>\\n<\\/ul>\\n<h4>2.5.11 - 2019-07-02<\\/h4>\\n<ul>\\n<li>Fix: Close icon missing from Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8460\\\">#8460<\\/a>)<\\/li>\\n<li>Fix: Elementor Pro v2.5.10 shows PHP notice regarding notice bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8461\\\">#8461<\\/a>)<\\/li>\\n<li>Fix: Fatal error when deleting used Pods fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8396\\\">#8396<\\/a>)<\\/li>\\n<li>Fix: Missing dropdown icon in conditions screen<\\/li>\\n<\\/ul>\\n<h4>2.5.10 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.6<\\/li>\\n<li>Tweak: Error caused by empty Rows &amp; Columns values in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8261\\\">#8261<\\/a>)<\\/li>\\n<li>Fix: Do not unset <code>product<\\/code> CPT if it\'s not from WooCommerce (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8160\\\">#8160<\\/a>)<\\/li>\\n<li>Fix: Column Spacing not working in WooCommerce Archive Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8285\\\">#8285<\\/a>)<\\/li>\\n<li>Fix: Title styling not working in Products Categories widget<\\/li>\\n<li>Fix: Empty value in Dynamic Pods Gallery dropdown using Safari browser<\\/li>\\n<li>Fix: WooCommerce archives included in &quot;All Archives&quot; condition<\\/li>\\n<\\/ul>\\n<h4>2.5.9 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>auto-confirm<\\/code> control from MailPoet to support new version of MailPoet<\\/li>\\n<li>Fix: Multiple Custom Fonts not rendered in the editor<\\/li>\\n<li>Fix: Products <code>sale<\\/code> query - handle exclude by manual selection.<\\/li>\\n<li>Fix: Product Categories grid row &amp; column style<\\/li>\\n<li>Fix: Form integration AJAX cache override<\\/li>\\n<li>Fix: Removed redundant CSS on Canvas &amp; Header-Footer page templates<\\/li>\\n<\\/ul>\\n<h4>2.5.8 - 2019-05-06<\\/h4>\\n<ul>\\n<li>Fix: Popup entrance animation not working in frontend<\\/li>\\n<li>Fix: Popup Exit Intent trigger activated multiple times<\\/li>\\n<\\/ul>\\n<h4>2.5.7 - 2019-05-05<\\/h4>\\n<ul>\\n<li>Fix: Embedded video keeps playing after a Popup is closed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7875\\\">#7875<\\/a>)<\\/li>\\n<li>Fix: Maximum call stack size exceeded error in Safari (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7824\\\">#7824<\\/a>)<\\/li>\\n<li>Fix: Entrance animations not appearing on Popup reopen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7395\\\">#7395<\\/a>)<\\/li>\\n<li>Fix: WC variations select style glitch in several themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8008\\\">#8008<\\/a>)<\\/li>\\n<li>Fix: Theme Builder taxonomy conditions not retrieving proper results in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.5.6 - 2019-04-29<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>Shortcode<\\/code> dynamic from Image, Gallery and Media control<\\/li>\\n<li>Fix: Popup not inheriting entrance animation in responsive mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7809\\\">#7809<\\/a>)<\\/li>\\n<li>Fix: Terms autocomplete retrieves wrong results in Query Control<\\/li>\\n<li>Fix: Query Control Related by author glitches in edge cases<\\/li>\\n<li>Fix: Query Control using terms for Products widget<\\/li>\\n<li>Fix: Posts cards style glitch in small screens<\\/li>\\n<li>Fix: Display conditions delete icon missing in small screens<\\/li>\\n<li>Fix: Avoid rendering Menu Cart widget in WordPress native editor<\\/li>\\n<\\/ul>\\n<h4>2.5.5 - 2019-04-08<\\/h4>\\n<ul>\\n<li>Tweak: Allow text selection inside a Popup<\\/li>\\n<li>Fix: Added backwards compatibility for <code>tax_query<\\/code> in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7751\\\">#7751<\\/a>)<\\/li>\\n<li>Fix: Missing arguments for <code>widget_title<\\/code> filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7745\\\">#7745<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.4 - 2019-04-03<\\/h4>\\n<ul>\\n<li>Fix: Move Query from using <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<li>Fix: Offset manipulation hook removal in Query control<\\/li>\\n<li>Fix: Missing form field <code>ID<\\/code> in some edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7711\\\">#7711<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7660\\\">#7660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.3 - 2019-03-31<\\/h4>\\n<ul>\\n<li>Tweak: Updated Google Calendar dynamic tag URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7673\\\">#7673<\\/a>)<\\/li>\\n<li>Fix: Missing form field names (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7651\\\">#7651<\\/a>)<\\/li>\\n<li>Fix: PHP 5.4 backward compatibility in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7633\\\">#7633<\\/a>)<\\/li>\\n<li>Fix: <code>products_deprecated<\\/code> Query Control module compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7654\\\">#7654<\\/a>)<\\/li>\\n<li>Fix: Changed query method from <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.2 - 2019-03-27<\\/h4>\\n<ul>\\n<li>Fix: Overwrite parent widget type in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7632\\\">#7632<\\/a>)<\\/li>\\n<li>Fix: Avoid Duplicates option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7635\\\">#7635<\\/a>)<\\/li>\\n<li>Fix: Manual Selection option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7634\\\">#7634<\\/a>)<\\/li>\\n<li>Fix: Incorrect condition caused handlers issues inside popup<\\/li>\\n<\\/ul>\\n<h4>2.5.1 - 2019-03-26<\\/h4>\\n<ul>\\n<li>Fix: Query Control invalid call to deprecated action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7619\\\">#7619<\\/a>)<\\/li>\\n<li>Tweak: Renamed action hook from <code>elementor_pro\\/{$widget_name}\\/query\\/{$query_id}<\\/code> to <code>elementor\\/query\\/{$query_id}<\\/code><\\/li>\\n<li>Tweak: Renamed filter hook from <code>elementor_pro\\/query_control\\/get_query_args\\/current_query<\\/code> to <code>elementor\\/query\\/get_query_args\\/current_query<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.5.0 - 2019-03-26<\\/h4>\\n<ul>\\n<li>New: Introducing Motion Effects including Scrolling &amp; Mouse effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/72\\\">#72<\\/a>)<\\/li>\\n<li>New: Introducing Related Posts for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7306\\\">#7306<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7490\\\">#7490<\\/a>)<\\/li>\\n<li>New: Introducing Date query for Query Control<\\/li>\\n<li>New: Introducing Sticky Posts support for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2501\\\">#2501<\\/a>)<\\/li>\\n<li>Tweak: Added option to open a Popup by a custom selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6871\\\">#6871<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6876\\\">#6876<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Option to count when Popup is closed in &quot;Show up to X times&quot; Advanced Rule<\\/li>\\n<li>Tweak: Added full border radius control options inside Popup<\\/li>\\n<li>Tweak: Changed exit intent icon in Popups<\\/li>\\n<li>Tweak: Show only one popup in its own preview<\\/li>\\n<li>Tweak: Added responsive support to Popup entrance animation control<\\/li>\\n<li>Tweak: Conditions - Singular <code>All Pages<\\/code> string changed to <code>Pages<\\/code><\\/li>\\n<li>Tweak: Added form field shortcode support for Drip tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7000\\\">#7000<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6779\\\">#6779<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6986\\\">#6986<\\/a>)<\\/li>\\n<li>Tweak: Decrease <code>z-index<\\/code> for Nav Menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6869\\\">#6869<\\/a>)<\\/li>\\n<li>Tweak: Changed &quot;Scrolling Effects&quot; section label to &quot;Motion Effects&quot;<\\/li>\\n<li>Tweak: Use filter <code>get_meta_viewport<\\/code> for header templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7043\\\">#7043<\\/a>)<\\/li>\\n<li>Tweak: use filterable <code>Util::get_public_post_types()<\\/code> in Theme Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7172\\\">#7172<\\/a>)<\\/li>\\n<li>Tweak: Added Cloudflare rocket-loader support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7443\\\">#7443<\\/a>)<\\/li>\\n<li>Tweak: Added responsive support to WC Products Columns &amp; Rows Gap controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6913\\\">#6913<\\/a>)<\\/li>\\n<li>Tweak: WC Menu cart &quot;View Cart&quot; &amp; &quot;Checkout&quot; buttons styling<\\/li>\\n<li>Fix: Custom ID reset to default when dragging repeater<\\/li>\\n<li>Fix: Conflict between archive-products widget and WC customizer<\\/li>\\n<li>Fix: Add to Cart widget <code>spacing<\\/code> and <code>space-between<\\/code><\\/li>\\n<li>Fix: Library view when creating a new Header or Footer<\\/li>\\n<li>Fix: Post types labels missing on Add New Template modal<\\/li>\\n<\\/ul>\\n<h4>2.4.8 - 2019-03-11<\\/h4>\\n<ul>\\n<li>Fix: Missing query section in Products widget<\\/li>\\n<li>Fix: Missing Taxonomy controls in Products widget in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.7 - 2019-03-06<\\/h4>\\n<ul>\\n<li>Fix: Compatibility Global Widget with Elementor v2.5.0+<\\/li>\\n<\\/ul>\\n<h4>2.4.6 - 2019-03-04<\\/h4>\\n<ul>\\n<li>Fix: Pods gallery dynamic when empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7127\\\">#7127<\\/a>)<\\/li>\\n<li>Fix: Duplicate call for conditions screen issue<\\/li>\\n<li>Fix: Compatibility with Elementor v2.5.0<\\/li>\\n<\\/ul>\\n<h4>2.4.5 - 2019-02-18<\\/h4>\\n<ul>\\n<li>Fix: Image size issue in Testimonial Carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7058\\\">#7058<\\/a>)<\\/li>\\n<li>Fix: MailChimp groups not saved in a form integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7083\\\">#7083<\\/a>)<\\/li>\\n<li>Fix: Show popup preview only on it\'s own preview<\\/li>\\n<li>Fix: Elementor dashboard templates URL corrupted links in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.4 - 2019-02-11<\\/h4>\\n<ul>\\n<li>Tweak: Added ACF Date Time Picker field support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6690\\\">#6690<\\/a>)<\\/li>\\n<li>Tweak: Changed the term of <code>All Posts<\\/code> condition to <code>Posts<\\/code><\\/li>\\n<li>Fix: Added <code>&lt;IfModule&gt;<\\/code> to avoid 500 error when <code>mod-headers<\\/code> is missing (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7034\\\">#7034<\\/a>)<\\/li>\\n<li>Fix: Include post CSS deletion in Global Widget update (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6856\\\">#6856<\\/a>)<\\/li>\\n<li>Fix: <code>Textarea<\\/code> default value in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6934\\\">#6934<\\/a>)<\\/li>\\n<li>Fix: MailPoet latest version caused fatal error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6996\\\">#6996<\\/a>)<\\/li>\\n<li>Fix: Fatal Error caused by calling MailPoet deleted method<\\/li>\\n<li>Notice: MailPoet <code>Auto Confirm<\\/code> option will now default to &quot;On&quot;<\\/li>\\n<\\/ul>\\n<h4>2.4.3 - 2019-01-30<\\/h4>\\n<ul>\\n<li>Fix: Custom Add to Cart widget responsive alignment settings<\\/li>\\n<li>Fix: Links in Post Info widget<\\/li>\\n<li>Fix: WooCommerce <code>View Cart<\\/code> string translate<\\/li>\\n<li>Fix: Wrapper classes for header\\/footer templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6884\\\">#6884<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.4.2 - 2019-01-25<\\/h4>\\n<ul>\\n<li>Tweak: Added pixel units to Close Button position control in Popups<\\/li>\\n<li>Fix: Exclude error in WC Products widget<\\/li>\\n<\\/ul>\\n<h4>2.4.1 - 2019-01-24<\\/h4>\\n<ul>\\n<li>Tweak: Added CSS classes control to Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6826\\\">#6826<\\/a>)<\\/li>\\n<li>Tweak: Added responsive image size to Testimonial Carousel widget<\\/li>\\n<li>Fix: PHP warning when Toolset Date dynamic is empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6842\\\">#6842<\\/a>)<\\/li>\\n<li>Fix: Support of exclude-ids in WC Products widget<\\/li>\\n<li>Fix: Popup close button not clickable<\\/li>\\n<li>Fix: Alignment justify issue of Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6749\\\">#6749<\\/a>)<\\/li>\\n<li>Fix: Bad anchors breaks the page JS<\\/li>\\n<li>Fix: Popup overlay shown when turned off<\\/li>\\n<\\/ul>\\n<h4>2.4.0 - 2019-01-21<\\/h4>\\n<ul>\\n<li>New: Introducing Popup Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/628\\\">#628<\\/a>)<\\/li>\\n<li>New: Added <code>Popup<\\/code> Dynamic Tag<\\/li>\\n<li>New: Added <code>Popup<\\/code> forms action after submit<\\/li>\\n<li>New: Added User Info dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6322\\\">#6322<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for &quot;Nothing Found&quot; message<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/theme_builder\\/archive\\/escape_nothing_found_message<\\/code> Filter to avoid HTML escaping in &quot;Nothing Found&quot; message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6053\\\">#6053<\\/a>)<\\/li>\\n<li>Tweak: Added <code>add_doc_to_location<\\/code> method to Allow insertion of a document to a location<\\/li>\\n<li>Fix: <code>z-index<\\/code> issue with CTA widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6486\\\">#6486<\\/a>)<\\/li>\\n<li>Fix: Hide the Post Content widget and show it only in a Single document<\\/li>\\n<li>Fix: <code>selector<\\/code> replacement in Custom CSS<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> on the real content only<\\/li>\\n<li>Fix: CSS for WC products selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6559\\\">#6559<\\/a>)<\\/li>\\n<li>Fix: Odnoklassniki share URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6638\\\">#6638<\\/a>)<\\/li>\\n<li>Fix: Custom link new tab in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5766\\\">#5766<\\/a>)<\\/li>\\n<li>Fix: <code>nofollow<\\/code> link in Flip Box &amp; CTA widgets<\\/li>\\n<li>Fix: Post Terms in Post Info widget<\\/li>\\n<li>Fix: Added screen reader to some icons &amp; buttons for better accessibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5386\\\">#5386<\\/a>)<\\/li>\\n<li>Fix: Accessibility labels in Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6630\\\">#6630<\\/a>)<\\/li>\\n<li>Fix: Link to cart page not working when WooCommerce Subscriptions is active<\\/li>\\n<li>Fix: MailChimp Selected list not showing on reloading in Form widget<\\/li>\\n<li>Fix: Sub-menu arrow position in Nav Menu widget<\\/li>\\n<li>Fix: Conflict with WP Security Audit Log plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6648\\\">#6648<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.3.1 - 2018-12-19<\\/h4>\\n<ul>\\n<li>Fix: Template widget search functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6473\\\">#6473<\\/a>)<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> filter to post content in theme builder<\\/li>\\n<\\/ul>\\n<h4>2.3.0 - 2018-12-17<\\/h4>\\n<ul>\\n<li>New: Introducing Discord Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4218\\\">#4218<\\/a>)<\\/li>\\n<li>New: Introducing Slack Integration for Forms<\\/li>\\n<li>New: Introducing MailerLite Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4462\\\">#4462<\\/a>)<\\/li>\\n<li>New: Activate Elementor Pro plugin by connecting to Elementor account<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/utils\\/get_public_post_types<\\/code> filter hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5900\\\">#5900<\\/a>)<\\/li>\\n<li>Tweak: Added <code>loop_start<\\/code> &amp; <code>the_content<\\/code> hooks for Post Content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6173\\\">#6173<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from Page Settings<\\/li>\\n<li>Tweak: Always add the Custom CSS control to the Advanced tab<\\/li>\\n<li>Fix: In sub Term condition false positive in edge cases<\\/li>\\n<li>Fix: ToolSet Dynamic Image fallback<\\/li>\\n<li>Fix: Style glitch with the dropdown color in Nav Menu widget<\\/li>\\n<li>Fix: Style glitch in the Conditions screen in Safari browser<\\/li>\\n<li>Fix: Ribbon in the CTA widget obscures drop down menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6080\\\">#6080<\\/a>)<\\/li>\\n<li>Fix: The color of label won\'t change color in Widget login<\\/li>\\n<\\/ul>\\n<h4>2.2.5 - 2018-12-11<\\/h4>\\n<ul>\\n<li>New: Add Style Tab &amp; Custom CSS for Header &amp; Footer Templates.<\\/li>\\n<li>Tweak: Added a better identifier for subpages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6362\\\">#6362<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from page settings<\\/li>\\n<li>Fix: Yahoo event URL date issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Allow timezone settings in Google event URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Avoid <code>z-index<\\/code> changes by <code>nanocss<\\/code> in build process<\\/li>\\n<li>Fix: Added missing WC upsells products CSS<\\/li>\\n<li>Fix: Nav Menu dropdown losing color on hover<\\/li>\\n<li>Fix: WC Product Add-ons CSS compatibility<\\/li>\\n<\\/ul>\\n<h4>2.2.4 - 2018-12-04<\\/h4>\\n<ul>\\n<li>Fix: Global widget not saving changes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6340\\\">#6340<\\/a>)<\\/li>\\n<li>Fix: Dynamic tags support in Blockquote widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6334\\\">#6334<\\/a>)<\\/li>\\n<li>Fix: Forms Redirect URL action when using form field values with spaces<\\/li>\\n<\\/ul>\\n<h4>2.2.3 - 2018-11-29<\\/h4>\\n<ul>\\n<li>Fix: Missing &quot;Edit Template&quot; in Template widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Follow menu anchors with UTF8 characters in Nav Menu<\\/li>\\n<li>Fix: Show only supported templates in Template widget<\\/li>\\n<li>Fix: Revert conflicting fix for a default order for WC archive<\\/li>\\n<\\/ul>\\n<h4>2.2.2 - 2018-11-28<\\/h4>\\n<ul>\\n<li>Fix: Lightbox dynamic tag crashes the editor<\\/li>\\n<\\/ul>\\n<h4>2.2.1 - 2018-11-28<\\/h4>\\n<ul>\\n<li>New: Added <code>ACF File<\\/code> Dynamic tag to support text controls.<\\/li>\\n<li>Tweak: Added option to hide item count bubble when cart is empty in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6223\\\">#6223<\\/a>)<\\/li>\\n<li>Tweak: Added Actions group for Lightbox and Contact URL tags<\\/li>\\n<li>Tweak: Added filter <code>elementor_pro\\/dynamic_tags\\/shortcode\\/should_escape<\\/code> to avoid escaping in Shortcode dynamic tag<\\/li>\\n<li>Tweak: MailPoet3 integration allow Subscriber to to subscribe to multiple lists<\\/li>\\n<li>Tweak: Added front-end max file size validation for upload fields<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> per Post-Type condition for theme builder<\\/li>\\n<li>Fix: Template widget panel not showing the selected template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Conflict between ACF with Safari browser on Select option in Dynamic tag<\\/li>\\n<li>Fix: Add post classes only for the Single template<\\/li>\\n<li>Fix: Set document type as not editable for unsupported document like Global widget<\\/li>\\n<li>Fix: Avoid duplicate query for current WC product query<\\/li>\\n<li>Fix: Product Archive showing oldest products instead of latest<\\/li>\\n<li>Fix: CSS reset in Posts widget using cards skin<\\/li>\\n<\\/ul>\\n<h4>2.2.0 - 2018-11-19<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/290\\\">#290<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3990\\\">#3990<\\/a>)<\\/li>\\n<li>New: Added evergreen option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4459\\\">#4459<\\/a>)<\\/li>\\n<li>New: Added expire actions option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5242\\\">#5242<\\/a>)<\\/li>\\n<li>New: Introducing Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3854\\\">#3854<\\/a>)<\\/li>\\n<li>New: Introducing Sitemap widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5594\\\">#5594<\\/a>)<\\/li>\\n<li>New: Added Request Parameter dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4934\\\">#4934<\\/a>)<\\/li>\\n<li>New: Added Shortcode dynamic tag<\\/li>\\n<li>New: Added Image and Video Lightbox dynamic tag<\\/li>\\n<li>New: Added Contact URL dynamic tag<\\/li>\\n<li>New: Added Featured Image Data dynamic tag<\\/li>\\n<li>New: Added default value to each field in the Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4268\\\">#4268<\\/a>)<\\/li>\\n<li>New: Added &quot;Any Child Of&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5321\\\">#5321<\\/a>)<\\/li>\\n<li>New: Added &quot;In Child&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5587\\\">#5587<\\/a>)<\\/li>\\n<li>Tweak: Added Form Redirect URL with form values (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2564\\\">#2564<\\/a>)<\\/li>\\n<li>Tweak: Added default post classes to template wrapper (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5959\\\">#5959<\\/a>)<\\/li>\\n<li>Tweak: Better labels for terms in Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6092\\\">#6092<\\/a>)<\\/li>\\n<li>Tweak: Renamed &quot;Child Of&quot; templates condition to &quot;Direct Child Of&quot;<\\/li>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/condition_sub_id<\\/code> filter hook to allow template condition translations<\\/li>\\n<li>Tweak: Load the Template Library widget via Ajax for better performance<\\/li>\\n<li>Tweak: Added 404 page title for Page Title dynamic tag<\\/li>\\n<li>Fix: Menu Cart Toggle has # URL link (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6141\\\">#6141<\\/a>)<\\/li>\\n<li>Fix: Alignment issue in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5790\\\">#5790<\\/a>)<\\/li>\\n<li>Fix: Avoid potential security risk in forms<\\/li>\\n<li>Fix: Template By Author condition conflicts with 404 page<\\/li>\\n<li>Fix: Restored WC Product Content widget in Single Product template<\\/li>\\n<li>Fix: Theme Builder Preview URLs for date archives and 404 pages<\\/li>\\n<li>Fix: Highlight active menu anchor items only when scrolled into view<\\/li>\\n<li>Fix: Carousel Pagination Progress style to support new Swiper version<\\/li>\\n<\\/ul>\\n<h4>2.1.13 - 2018-11-12<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for new brand Finder in v2.3.0<\\/li>\\n<li>Fix: Settings conflict when there are multiple carousels in the page<\\/li>\\n<\\/ul>\\n<h4>2.1.12 - 2018-11-05<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.3<\\/li>\\n<li>Tweak: Better performance for Template Library widget<\\/li>\\n<li>Fix: Fatal error if a taxonomy used in a dynamic field is removed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6029\\\">#6029<\\/a>)<\\/li>\\n<li>Fix: Date Time dynamic tag now respect site language (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6001\\\">#6001<\\/a>)<\\/li>\\n<li>Fix: Custom CSS printed twice in the front-end<\\/li>\\n<li>Fix: ACF Image field PHP warning (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6051\\\">#6051<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.1.11 - 2018-10-22<\\/h4>\\n<ul>\\n<li>New: Added ACF local fields compatibility<\\/li>\\n<li>Tweak: Re-brand TypeKit by Adobe Fonts integration<\\/li>\\n<li>Fix: Exclude <code>is_embed<\\/code> from Singular condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5915\\\">#5915<\\/a>)<\\/li>\\n<li>Fix: Avoid conflict with Ad Blockers and Share Buttons<\\/li>\\n<li>Fix: Current date time dynamic tag now shows local time<\\/li>\\n<li>Fix: Avoid conflict with 3rd party plugins that filter the permalink<\\/li>\\n<li>Fix: Avoid PHP warning when no groups are selected for MailChimp integration<\\/li>\\n<li>Fix: Avoid PHP warning if checkbox field is empty for ACF<\\/li>\\n<li>Fix: Respect password protected for a WC single product template<\\/li>\\n<li>Fix: Respect <code>order<\\/code> settings for WC archive also without pagination<\\/li>\\n<\\/ul>\\n<h4>2.1.10 - 2018-10-09<\\/h4>\\n<ul>\\n<li>Tweak: Added responsive alignment control for Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5821\\\">#5821<\\/a>)<\\/li>\\n<li>Tweak: Added link control to Animated Headline widget<\\/li>\\n<li>Fix: Mobile nav menu jump on RTL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5711\\\">#5711<\\/a>)<\\/li>\\n<li>Fix: Responsive alignment control in Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5830\\\">#5830<\\/a>)<\\/li>\\n<li>Fix: Added IE compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Post Content widget is now shown only on <code>Single<\\/code> templates<\\/li>\\n<li>Fix: Query Control Pagination with offset<\\/li>\\n<\\/ul>\\n<h4>2.1.9 - 2018-09-17<\\/h4>\\n<ul>\\n<li>Tweak: Added Centered Slides option for Slideshow carousel<\\/li>\\n<li>Fix: Allow only public CPT for Manual Selection in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5091\\\">#5091<\\/a>)<\\/li>\\n<li>Fix: ACF Gallery option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: Page scrolling on resize when sticky is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5740\\\">#5740<\\/a>)<\\/li>\\n<li>Fix: Edit custom name for Global Widget in the Navigator (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5689\\\">#5689<\\/a>)<\\/li>\\n<li>Fix: Coverflow transition effect in Carousel<\\/li>\\n<li>Fix: Weird mobile behavior with Cube effect in Carousel<\\/li>\\n<li>Fix: Show the first thumbnail in the Slideshow carousel correctly<\\/li>\\n<\\/ul>\\n<h4>2.1.8 - 2018-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Added styling options for WC Additional Information widget<\\/li>\\n<li>Tweak: Added styling options for \'View Cart\' link in Products widget<\\/li>\\n<li>Fix: 3rd party plugin support for WC single product template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5338\\\">#5338<\\/a>)<\\/li>\\n<li>Fix: Layout of Related Product widget with WC native style<\\/li>\\n<\\/ul>\\n<h4>2.1.7 - 2018-09-03<\\/h4>\\n<ul>\\n<li>New: WC Archive Description widget<\\/li>\\n<li>Tweak: Added blend mode to Slides widget background overlay (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5555\\\">#5555<\\/a>)<\\/li>\\n<li>Tweak: Added \'Current Subcategories\' option to Product Categories widget<\\/li>\\n<li>Fix: Added default vertical alignment in Author Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5589\\\">#5589<\\/a>)<\\/li>\\n<li>Tweak: Added more blend mode options for CTA widget<\\/li>\\n<li>Tweak: Improved plugin updater method based on WordPress version<\\/li>\\n<li>Fix: Improved IE compatibility for Posts and Portfolio widgets<\\/li>\\n<li>Fix: Added default gap for products pagination<\\/li>\\n<li>Fix: Post thumbnail flickering in Safari browser<\\/li>\\n<li>Fix: Close mobile nav menu on click only in full-width mode<\\/li>\\n<li>Fix: Added trailing slash to pagination links in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.1.6 - 2018-08-28<\\/h4>\\n<ul>\\n<li>New: WC Product Category Image widget and Dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5117\\\">#5117<\\/a>)<\\/li>\\n<li>Tweak: Allow HTML in Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5491\\\">#5491<\\/a>)<\\/li>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Tweak: Deprecated Follow option in the Facebook Button widget<\\/li>\\n<li>Fix: Posts widget grid in Safari &amp; IE11 (Depended on Elementor v2.2)<\\/li>\\n<li>Fix: Posts widget CSS when using cards skin in masonry mode<\\/li>\\n<li>Fix: ACF Image &amp; ACF URL option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: WC product gallery links in RTL<\\/li>\\n<li>Fix: Dynamic tags in Call To Action widget<\\/li>\\n<\\/ul>\\n<h4>2.1.5 - 2018-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Fix: Posts Widget layout theme compatibility<\\/li>\\n<li>Fix: Added compatibility for WooCommerce native style<\\/li>\\n<\\/ul>\\n<h4>2.1.4 - 2018-08-19<\\/h4>\\n<ul>\\n<li>Fix: Layout issue compatibility with themes caused by v2.1 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5442\\\">#5442<\\/a>)<\\/li>\\n<li>Fix: Dynamic setting in Pricing Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5460\\\">#5460<\\/a>)<\\/li>\\n<li>Fix: Hide Target URL control if is not necessary in Blockquote widget<\\/li>\\n<li>Fix: Selector specificity for WooCommerce Products widget<\\/li>\\n<li>Fix: WooCommerce conflicts in the editor in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.3 - 2018-08-15<\\/h4>\\n<ul>\\n<li>Fix: Thumbnails in the Posts widget jumping (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5350\\\">#5350<\\/a>)<\\/li>\\n<li>Fix: Responsive grid in the Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5375\\\">#5375<\\/a>)<\\/li>\\n<li>Fix: Added missing <code>setup_postdata<\\/code> for Product Data Tabs widget<\\/li>\\n<li>Fix: Rollback to older version of Flip Box widget to resolve 3D depth issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5399\\\">#5399<\\/a>)<\\/li>\\n<li>Fix: Allowed types in the Upload File field are now case-insensitive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5254\\\">#5254<\\/a>)<\\/li>\\n<li>Fix: Carousel behavior when using a single slide<\\/li>\\n<\\/ul>\\n<h4>2.1.2 - 2018-08-12<\\/h4>\\n<ul>\\n<li>Fix: Error when ACF Pro is not installed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5367\\\">#5367<\\/a>)<\\/li>\\n<li>Fix: Edge cases in Inspector where document is a boolean<\\/li>\\n<li>Fix: Edge cases for incorrect file fields in PODS<\\/li>\\n<\\/ul>\\n<h4>2.1.1 - 2018-08-09<\\/h4>\\n<ul>\\n<li>Fix: Highlighted text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5345\\\">#5345<\\/a>)<\\/li>\\n<li>Fix: Flip Box effect issues<\\/li>\\n<li>Fix: ACF Options page fields support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5329\\\">#5329<\\/a>)<\\/li>\\n<li>Fix: Import Pro templates in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.0 - 2018-08-07<\\/h4>\\n<ul>\\n<li>New: Introducing WooCommerce Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1690\\\">#1690<\\/a>)<\\/li>\\n<li>New: Introducing 12 new dynamic tags &amp; widgets for WooCommerce: Gallery, Image, Price, Rating, Description, Breadcrumbs, Data Tabs, Stock, Related, Upsell, Title &amp; Archive<\\/li>\\n<li>New: Introducing Cart Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4220\\\">#4220<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4600\\\">#4600<\\/a>)<\\/li>\\n<li>New: Added integration with Toolset (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Added integration with Pods (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4129\\\">#4129<\\/a>)<\\/li>\\n<li>New: Added stick to bottom in scrolling effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4799\\\">#4799<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect to Widgets under advanced tab<\\/li>\\n<li>New: Introducing Internal URL Dynamic Tag<\\/li>\\n<li>Tweak: Added a Last Updated Date in the Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4597\\\">#4597<\\/a>)<\\/li>\\n<li>Tweak: Added Redirect after Logout option for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4447\\\">#4447<\\/a>)<\\/li>\\n<li>Tweak: Avoid repeating posts when using more than one in the Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1878\\\">#1878<\\/a>)<\\/li>\\n<li>Tweak: Add Custom Query hook for Query control (<a href=\\\"https:\\/\\/developers.elementor.com\\/custom-query-filter\\/\\\">More Info<\\/a>) (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1748\\\">#1748<\\/a>)<\\/li>\\n<li>Tweak: Added form-message style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for button on the Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for Call to action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4767\\\">#4767<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic Tags support for Google Map field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4602\\\">#4602<\\/a>)<\\/li>\\n<li>Tweak: Added an support for <code>label|value<\\/code> in options field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4594\\\">#4594<\\/a>)<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> condition for theme builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4681\\\">#4681<\\/a>)<\\/li>\\n<li>Tweak: Added Activate\\/Deactivate license key via WP-CLI command (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4149\\\">#4149<\\/a>)<\\/li>\\n<li>Tweak: Added <code>is_scroll<\\/code> trigger to scrolling effect (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4340\\\">#4340<\\/a>)<\\/li>\\n<li>Tweak: Added In Same Term support for Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4177\\\">#4177<\\/a>)<\\/li>\\n<li>Tweak: Added responsive control for Slides To Scroll control in all carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3697\\\">#3697<\\/a>)<\\/li>\\n<li>Tweak: Added style options for Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1335\\\">#1335<\\/a>)<\\/li>\\n<li>Tweak: Added button CSS ID for Forms widget<\\/li>\\n<li>Tweak: Added pixel units to Post-Info divider height control<\\/li>\\n<li>Tweak: Rewrite sticky library to handle with stretch section, auto scroller &amp; more bugs<\\/li>\\n<li>Tweak: Re-organize the panel categories per document type<\\/li>\\n<li>Tweak: Added ACF support for <code>options-page<\\/code> fields<\\/li>\\n<li>Tweak: Added dynamic tag for Animated headlines<\\/li>\\n<li>Tweak: Added dynamic tag for BlockQuote widget<\\/li>\\n<li>Fix: Elementor Full Width template in GeneratePress theme (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4817\\\">#4817<\\/a>)<\\/li>\\n<li>Fix: Checkbox fields can accidentally be set to required (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4324\\\">#4324<\\/a>)<\\/li>\\n<li>Fix: Initial slide in Carousel widget<\\/li>\\n<li>Fix: Stay on current slide while editing in Carousel widget<\\/li>\\n<li>Fix: Default slides per device in Carousel widget<\\/li>\\n<li>Deprecated: Woo Products, Woo Elements &amp; Single elements widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.18 - 2018-07-27<\\/h4>\\n<ul>\\n<li>Fix: Global widget error on saving page<\\/li>\\n<\\/ul>\\n<h4>2.0.17 - 2018-07-26<\\/h4>\\n<ul>\\n<li>Fix: Sub menu indicator direction in Nav Menu widget<\\/li>\\n<li>Fix: Change the title and icon for Global Widget when is moving<\\/li>\\n<li>Fix: CSS wrapper selector for Page Document<\\/li>\\n<\\/ul>\\n<h4>2.0.16 - 2018-07-16<\\/h4>\\n<ul>\\n<li>Tweak: CSS Filter Control module is now included in Elementor<\\/li>\\n<li>Fix: Border gap in Portfolio widget when item gap set as <code>0<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5077\\\">#5077<\\/a>)<\\/li>\\n<li>Fix: Restore current query after get Global Widget data<\\/li>\\n<li>Fix: Add action item in History on unlink Global widget<\\/li>\\n<\\/ul>\\n<h4>2.0.15 - 2018-07-10<\\/h4>\\n<ul>\\n<li>Fix: Dropdown menu items collapsing when activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4996\\\">#4996<\\/a>)<\\/li>\\n<li>Fix: GMT offset in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4997\\\">#4997<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.0.14 - 2018-07-08<\\/h4>\\n<ul>\\n<li>Tweak: Added set method to form record for developers (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4983\\\">#4983<\\/a>)<\\/li>\\n<li>Fix: Autoplay option for Carousels<\\/li>\\n<li>Fix: Close mobile menu on item click in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.13 - 2018-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for Elementor v2.1<\\/li>\\n<\\/ul>\\n<h4>2.0.12 - 2018-07-02<\\/h4>\\n<ul>\\n<li>Fix: Global widget PHP notices<\\/li>\\n<li>Fix: Slides widget active slide lost focus when clicking Editor tabs<\\/li>\\n<li>Fix: Form select field send all selected values on multiple selection<\\/li>\\n<li>Fix: Validate time field only if it\'s not empty<\\/li>\\n<li>Fix: ConvertKit API not saving name field<\\/li>\\n<\\/ul>\\n<h4>2.0.11 - 2018-06-12<\\/h4>\\n<ul>\\n<li>Fix: Theme Builder <code>author<\\/code> archive condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4593\\\">#4593<\\/a>)<\\/li>\\n<li>Fix: Respect password protected posts in Post Content widget<\\/li>\\n<li>Fix: Custom Fonts redirect to post edit screen in edge cases.<\\/li>\\n<\\/ul>\\n<h4>2.0.10 - 2018-06-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> filter hook for multi-language plugins<\\/li>\\n<li>Fix: Dynamic Post Terms missing taxonomies if the taxonomy is registered to more then one post types (#4386)<\\/li>\\n<li>Fix: Fields shortcode missing after removing a field in Form widget<\\/li>\\n<li>Deprecated: <code>get_theme_templates_by_location<\\/code> is replaced by <code>get_location_templates<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.0.9 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Fix: Compatibility for PHP version 5.4<\\/li>\\n<\\/ul>\\n<h4>2.0.8 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added Active state for Nav Menu dropdown<\\/li>\\n<li>Tweak: Added style for &quot;Nothing Found&quot; Message for Archive Posts widget<\\/li>\\n<li>Tweak: Removed caption control in Site Logo widget<\\/li>\\n<li>Tweak: Added option to position currency symbol before\\/after In Price Table widget<\\/li>\\n<li>Fix: Query control manual selection does not show more than 10 items (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4479\\\">#4479<\\/a>)<\\/li>\\n<li>Fix: Styling glitch with terms list in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4342\\\">#4342<\\/a>)<\\/li>\\n<li>Fix: Sub terms missing in Query control in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4527\\\">#4527<\\/a>)<\\/li>\\n<li>Fix: Avoid rendering a template if it\'s not published<\\/li>\\n<li>Fix: 404 Page style not working<\\/li>\\n<li>Fix: Price Table button with hover animation not working in editor<\\/li>\\n<li>Fix: Styling conflict in Call to Action widget<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Adding parent wrapper class to Site Title widget<\\/li>\\n<\\/ul>\\n<h4>2.0.7 - 2018-05-16<\\/h4>\\n<ul>\\n<li>Fix: Content not found on section when single is set to &quot;All Singular&quot;<\\/li>\\n<li>Fix: Open 404 template library for 404 page<\\/li>\\n<li>Tweak: Added CSS prefix for dev files<\\/li>\\n<li>Tweak: Removed product post type from display conditions<\\/li>\\n<\\/ul>\\n<h4>2.0.6 - 2018-05-15<\\/h4>\\n<ul>\\n<li>Tweak: Set type on create new single template<\\/li>\\n<li>Tweak: Always show the conditions dialog in the Draft status<\\/li>\\n<li>Tweak: Added document type <code>widget<\\/code><\\/li>\\n<li>Tweak: Added Post Custom Field tag to URL category<\\/li>\\n<li>Fix: When ACF Field Groups are Empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4428\\\">#4428<\\/a>)<\\/li>\\n<li>Fix: Links inside carousel in edge cases<\\/li>\\n<li>Fix: Responsive issue in My Templates area<\\/li>\\n<li>Fix: Image alignment for post content with text alignment<\\/li>\\n<li>Fix: Post Content widget when preview post is missing<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Style settings for Post \\/ Archive Title widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.5 - 2018-05-08<\\/h4>\\n<ul>\\n<li>Fix: Creating a CPT with name like document-type breaks the editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4203\\\">#4203<\\/a>)<\\/li>\\n<li>Fix: Added support for new version of reCAPTCHA<\\/li>\\n<li>Fix: Added fallback for controls after <code>post_status<\\/code><\\/li>\\n<li>Fix: Required field in forms widget<\\/li>\\n<li>Fix: Media Carousel in the Coverflow skin<\\/li>\\n<li>Fix: 404 Page show wrong template in edge cases<\\/li>\\n<li>Fix: Save the default menu in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.4 - 2018-05-02<\\/h4>\\n<ul>\\n<li>Tweak: Added parent\'s class for extended widgets<\\/li>\\n<li>Tweak: Set entire-site as default to avoid conflict with save without conditions<\\/li>\\n<li>Tweak: Initialize global model when it\'s needed<\\/li>\\n<li>Tweak: Removed some duplicate strings<\\/li>\\n<li>Tweak: Query control now includes empty terms<\\/li>\\n<li>Tweak: Design polish for conditions dialog<\\/li>\\n<li>Tweak: Decreasing <code>minimumInputLength<\\/code> to 1 of select2<\\/li>\\n<li>Fix: Editor not loading for single templates in edge cases<\\/li>\\n<li>Fix: Select2 in Safari takes it\'s time to get the original select width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4310\\\">#4310<\\/a>)<\\/li>\\n<li>Fix: Slides per view not working for some effects<\\/li>\\n<li>Fix: New slides not showing in the editor<\\/li>\\n<li>Fix: Editor for section without a defined location, defaults to content area<\\/li>\\n<\\/ul>\\n<h4>2.0.3 - 2018-04-24<\\/h4>\\n<ul>\\n<li>Tweak: Optimize CSS for Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4214\\\">#4214<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4216\\\">#4216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4225\\\">#4225<\\/a>)<\\/li>\\n<li>Fix: Double render on frontend view in core locations<\\/li>\\n<li>Fix: Masonry not working in edge cases<\\/li>\\n<li>Fix: Added default setting for Author Info tag<\\/li>\\n<\\/ul>\\n<h4>2.0.2 - 2018-04-18<\\/h4>\\n<ul>\\n<li>Fix: Regenerate conditions to include all templates<\\/li>\\n<\\/ul>\\n<h4>2.0.1 - 2018-04-17<\\/h4>\\n<ul>\\n<li>Tweak: Added div wrapper for Nothing Found massage (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4136\\\">#4136<\\/a>)<\\/li>\\n<li>Tweak: Show empty categories in Query Control &amp; Display Conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4127\\\">#4127<\\/a>)<\\/li>\\n<li>Tweak: Added Divider control for Post Info widget<\\/li>\\n<li>Fix: Update admin links in Yoast Breadcrumbs widget<\\/li>\\n<li>Fix: Sticky element conflict with clearfix CSS<\\/li>\\n<li>Fix: Compatibility for PHP version 5.4.32 &amp; 5.5.16 and below<\\/li>\\n<li>Fix: Avoid running <code>wp_head<\\/code> hooks twice<\\/li>\\n<\\/ul>\\n<h4>2.0.0 - 2018-04-16<\\/h4>\\n<ul>\\n<li>New: Introducing Theme Builder - <a href=\\\"https:\\/\\/elementor.com\\/introducing-theme-builder\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/417\\\">#417<\\/a>)<\\/li>\\n<li>New: Introducing Locations API to inject custom location templates<\\/li>\\n<li>New: Introducing Display Conditions for all dynamic templates<\\/li>\\n<li>New: Introducing Dynamic Tag feature - a new way to add dynamic content to your design<\\/li>\\n<li>New: Introducing Role manager to allow &quot;Content Only mode&quot; (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/483\\\">#483<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/653\\\">#653<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/885\\\">#885<\\/a>)<\\/li>\\n<li>New: Introducing 9 new dynamic widgets: Archive Posts, Archive Title, Post Content, Post Info, Post Title, Post Excerpt, Featured Image, Site Logo &amp; Site Name (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Introducing Developers area with guides and API documentation - <a href=\\\"https:\\/\\/elementor.com\\/introducing-elementor-developer-api\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/451\\\">#451<\\/a>)<\\/li>\\n<li>New: Introducing <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor-hello-theme\\\">Elementor Hello Theme<\\/a> - A demonstration theme for developers<\\/li>\\n<li>New: Added new type of templates: Header, Footer, Single and Archive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2761\\\">#2761<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2623\\\">#2623<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2109\\\">#2109<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2061\\\">#2061<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2439\\\">#2439<\\/a>)<\\/li>\\n<li>New: Design 404 page with Single template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1558\\\">#1558<\\/a>)<\\/li>\\n<li>New: Design Search Results with Archive template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3196\\\">#3196<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2590\\\">#2590<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect for sections including <em>Sticky Element<\\/em> per device (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2412\\\">#2412<\\/a>)<\\/li>\\n<li>New: Integration with Custom Fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2054\\\">#2054<\\/a>)<\\/li>\\n<li>New: Partial support for Toolset integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Partial support for Pods integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2169\\\">#2169<\\/a>)<\\/li>\\n<li>New: Partial support for ACF integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2041\\\">#2041<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2059\\\">#2059<\\/a>)<\\/li>\\n<li>Tweak: Add custom fields support for ActiveCampaign (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3531\\\">#3531<\\/a>)<\\/li>\\n<li>Tweak: Allow brackets in Forms Tel field<\\/li>\\n<li>Tweak: Added currency format control for Price Table widget<\\/li>\\n<li>Tweak: Reduced API request for some servers<\\/li>\\n<li>Fix: Dropdown <code>border-radius<\\/code> in Nav Menu widget<\\/li>\\n<li>Fix: Price List widget layout breaks in edge cases<\\/li>\\n<li>Note: This version requires Elementor v2.0.6<\\/li>\\n<\\/ul>\\n<h4>1.15.6 - 2018-03-28<\\/h4>\\n<ul>\\n<li>Fix: Removed duplicate Custom CSS section (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3938\\\">#3938<\\/a>)<\\/li>\\n<li>Fix: <code>box-shadow<\\/code> issue with cards skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3940\\\">#3940<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.5 - 2018-03-27<\\/h4>\\n<ul>\\n<li>Fix: Added global widget compatibility for Elementor v2.0<\\/li>\\n<li>Fix: Reduced API request for some servers<\\/li>\\n<\\/ul>\\n<h4>1.15.4 - 2018-03-26<\\/h4>\\n<ul>\\n<li>Tweak: Allow brackets in phone field<\\/li>\\n<li>Tweak: Added compatibility with Yoast 7.0.+<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Support for multiple carousel setting in editor<\\/li>\\n<li>Fix: <code>on_export<\\/code> issue in forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3890\\\">#3890<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.3 - 2018-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Added unique class to field group div (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3595\\\">#3595<\\/a>)<\\/li>\\n<li>Fix: Screen Options missing when Pro is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3622\\\">#3622<\\/a>)<\\/li>\\n<li>Fix: Allow label styling even when <code>show labels<\\/code> is set hide (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3544\\\">#3544<\\/a>)<\\/li>\\n<li>Fix: Typography control not working in edge cases<\\/li>\\n<li>Fix: Safari compatibility for Search widget<\\/li>\\n<\\/ul>\\n<h4>1.15.2 - 2018-02-27<\\/h4>\\n<ul>\\n<li>Fix: Only add support mine-type if needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3543\\\">#3543<\\/a>)<\\/li>\\n<li>Fix: Better support for Old Typekit kits<\\/li>\\n<\\/ul>\\n<h4>1.15.1 - 2018-02-21<\\/h4>\\n<ul>\\n<li>Tweak: Custom font title placeholder is not <code>enter font family<\\/code><\\/li>\\n<li>Tweak: Custom font title set as required<\\/li>\\n<li>Fix: Custom font, <code>font-face<\\/code> enqueued only once if used in global (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3513\\\">#3513<\\/a>)<\\/li>\\n<li>Fix: Added workaround for upload validation which relies on a PHP extension (fileinfo) with inconsistent reporting behavior.<\\/li>\\n<\\/ul>\\n<h4>1.15.0 - 2018-02-19<\\/h4>\\n<ul>\\n<li>New: Added custom fonts manager for self hosted fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/852\\\">#852<\\/a>)<\\/li>\\n<li>New: Integration with Adobe TypeKit fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/631\\\">#631<\\/a>)<\\/li>\\n<li>Tweak: Clear menu from Nav Menu widget on template export<\\/li>\\n<li>Tweak: Allow zero for GetResponse integration as <code>day of cycle<\\/code><\\/li>\\n<\\/ul>\\n<h4>1.14.2 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Fix: Global widget content that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.14.1 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>none<\\/code> option to content animation in CTA widget<\\/li>\\n<li>Tweak: Added <code>form_id<\\/code> to ActiveCampaign integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3422\\\">#3422<\\/a>)<\\/li>\\n<li>Fix: Page crashed when Global widget not found.<\\/li>\\n<\\/ul>\\n<h4>1.14.0 - 2018-02-12<\\/h4>\\n<ul>\\n<li>New: Added Call to Action widget<\\/li>\\n<li>Tweak: MailPoet pull field mapping from MailPoet instead of hardcoded<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Allow zero (0) to be accepted as a field value<\\/li>\\n<li>Fix: Login form when custom login URL is set<\\/li>\\n<li>Fix: Added Day of cycle control to GetResponse integration<\\/li>\\n<\\/ul>\\n<h4>1.13.2 - 2018-01-23<\\/h4>\\n<ul>\\n<li>Tweak: Added placeholder to Password field<\\/li>\\n<li>Tweak: Removed <code>subscriber_already_exists_message<\\/code> control to prevent potential data leakage<\\/li>\\n<li>Fix: MailPoet Subscriber Already Exists error validation against translated string directly from MailPoet<\\/li>\\n<li>Fix: Changed <code>imagesLoaded()<\\/code> to Vanilla JS to avoid compatibility issues with some themes<\\/li>\\n<li>Fix: Only validate Tel field if not empty<\\/li>\\n<li>Fix: Stop slider while editing<\\/li>\\n<\\/ul>\\n<h4>1.13.1 - 2018-01-16<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with old PHP versions<\\/li>\\n<\\/ul>\\n<h4>1.13.0 - 2018-01-16<\\/h4>\\n<ul>\\n<li>New: Added File Upload field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1482\\\">#1482<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Acceptance field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1693\\\">#1693<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Date field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1868\\\">#1868<\\/a>)<\\/li>\\n<li>New: Added Time field for Forms widget<\\/li>\\n<li>New: Added Password field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2164\\\">#2164<\\/a>)<\\/li>\\n<li>New: Added HTML field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1500\\\">#1500<\\/a>)<\\/li>\\n<li>Tweak: Added characters validation for Tel field<\\/li>\\n<li>Tweak: Added min &amp; max validation for Number field<\\/li>\\n<li>Tweak: Added multiple selection for Select field<\\/li>\\n<li>Tweak: Added donReach integration for Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.12.3 - 2018-01-09<\\/h4>\\n<ul>\\n<li>Fix: Render element plain content instead of parsed content when not needed in global widget<\\/li>\\n<li>Fix: Apply <code>url-encoding<\\/code> to &quot;Tweet&quot; button text in Blockquote widget to prevent unexpected corruption of the tweet text<\\/li>\\n<li>Fix: Removed My Account link from dashboard widget<\\/li>\\n<\\/ul>\\n<h4>1.12.2 - 2018-01-03<\\/h4>\\n<ul>\\n<li>Tweak: Added animation none for Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2964\\\">#2964<\\/a>)<\\/li>\\n<li>Fix: Active license button style<\\/li>\\n<\\/ul>\\n<h4>1.12.1 - 2018-01-02<\\/h4>\\n<ul>\\n<li>Tweak: Removed theme-element widgets from plain content<\\/li>\\n<li>Tweak: Set all theme-element widgets to extend same widget Base<\\/li>\\n<li>Tweak: Removed credit URL in forms meta data<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.9<\\/li>\\n<li>Fix: Validate Get response Error as real error<\\/li>\\n<li>Fix: Removed responsive height control from Facebook Page widget<\\/li>\\n<\\/ul>\\n<h4>1.12.0 - 2017-12-20<\\/h4>\\n<ul>\\n<li>New: Added Drip integration to Forms<\\/li>\\n<li>New: Added ActiveCampaign integration to Forms<\\/li>\\n<li>New: Added ConverKit integration to Forms<\\/li>\\n<li>New: Added GetResponse integration to Forms<\\/li>\\n<li>New: Added form <code>id<\\/code>, <code>name<\\/code> attributes to handle integration with auto collectors like HubSpot<\\/li>\\n<li>New: Added Global API key for MailChimp to improve the workflow<\\/li>\\n<li>Tweak: Better error handling and message display for Forms<\\/li>\\n<li>Fix: PHP notice Undefined variable <code>$cc_header<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2934\\\">#2934<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.11.0 - 2017-12-11<\\/h4>\\n<ul>\\n<li>New: Added a native Comments widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Added an Author Box widget<\\/li>\\n<li>New: Added a Post Navigation widget<\\/li>\\n<li>New: Added a Yoast Breadcrumbs widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2749\\\">#2749<\\/a>)<\\/li>\\n<li>Tweak: Added a close button to search widget under Full Screen skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2762\\\">#2762<\\/a>)<\\/li>\\n<li>Fix: Allow currency symbol to appear even if price isn\'t numeric<\\/li>\\n<li>Fix: Edge cases when the nav menu is empty in a stretched section<\\/li>\\n<li>Fix: Added fallback when you remove the <code>space-between<\\/code> on Swiper carousel<\\/li>\\n<\\/ul>\\n<h4>1.10.2 - 2017-12-03<\\/h4>\\n<ul>\\n<li>Fix: Missing save widget icon (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2878\\\">#2878<\\/a>)<\\/li>\\n<li>Fix: Global widgets not saving edits (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2874\\\">#2874<\\/a>)<\\/li>\\n<li>Fix: Removed <code>white-space: nowrap;<\\/code> property from vertical menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2815\\\">#2815<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.10.1 - 2017-11-30<\\/h4>\\n<ul>\\n<li>Tweak: Added default value for search form<\\/li>\\n<li>Tweak: Order template list A-Z in the library widget<\\/li>\\n<li>Tweak: get_users\\/authors query is now done using AJAX only, for better performance in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2865\\\">#2865<\\/a>)<\\/li>\\n<li>Fix: When adding <code>.00<\\/code> it is not displayed on the front<\\/li>\\n<li>Fix: Make sure space between is numeric for carousel control<\\/li>\\n<li>Fix: Added space for radio &amp; checkbox fields in form widget<\\/li>\\n<\\/ul>\\n<h4>1.10.0 - 2017-11-15<\\/h4>\\n<ul>\\n<li>New: Added native Search form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2576\\\">#2576<\\/a>)<\\/li>\\n<li>Tweak: Added Slides To Scroll &amp; Loop controls to Media Carousel and Testimonials widgets<\\/li>\\n<li>Tweak: Added Inline editing to Blockquote widget<\\/li>\\n<li>Fix: Animated Headline color bug (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2516\\\">#2516<\\/a>)<\\/li>\\n<li>Fix: Animated Headline with Rotating skin<\\/li>\\n<li>Fix: RTL fix for Animated Headline widget in \'typing\' and \'clip\' animations<\\/li>\\n<li>Fix: Empty menu cause jQuery to crash in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2662\\\">#2662<\\/a>)<\\/li>\\n<li>Fix: Custom CSS gone after reloading the editor<\\/li>\\n<\\/ul>\\n<h4>1.9.5 - 2017-10-27<\\/h4>\\n<ul>\\n<li>Fix: Broken Global widget with JS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2639\\\">#2639<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.9.4 - 2017-10-24<\\/h4>\\n<ul>\\n<li>Tweak: Improved UI for notices and license page<\\/li>\\n<li>Fix: Update system conflict with other EDD plugins<\\/li>\\n<li>Fix: WooCommerce frontend hooks on Elementor editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2577\\\">#2577<\\/a>)<\\/li>\\n<li>Fix: Removed default border left in Nav Menu dropdown CSS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2496\\\">#2496<\\/a>)<\\/li>\\n<li>Fix: Increased submenu max-width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2558\\\">#2558<\\/a>)<\\/li>\\n<li>Fix: Save global templates without their defaults<\\/li>\\n<li>Fix: Horizontal scrolling issue with posts grid<\\/li>\\n<\\/ul>\\n<h4>1.9.3 - 2017-10-03<\\/h4>\\n<ul>\\n<li>Fix: Condition slide style that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.9.2 - 2017-10-02<\\/h4>\\n<ul>\\n<li>New: Added integration with MailPoet 3 for Forms actions<\\/li>\\n<li>Fix: Removed height control from Testimonial carousel in mobile editing mode<\\/li>\\n<li>Fix: Removed bottom padding when there\'s no pagination in Testimonial carousel<\\/li>\\n<li>Fix: Added condition for slides style section in skin bubble mode<\\/li>\\n<li>Fix: Slides per view control for mobile editing in Testimonial carousel<\\/li>\\n<li>Fix: Navigation Arrows icons matched with common Elementor Navigation Arrows<\\/li>\\n<\\/ul>\\n<h4>1.9.1 - 2017-09-28<\\/h4>\\n<ul>\\n<li>Fix: Slides per view for slideshow carousel<\\/li>\\n<li>Fix: Final polish for the new Testimonial Carousel widget<\\/li>\\n<li>Fix: Don\'t play video if slide type is not video<\\/li>\\n<li>Fix: Removed slides style section condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2497\\\">#2497<\\/a>)<\\/li>\\n<li>Fix: Set cursor as pointer for slideshow thumbnails<\\/li>\\n<\\/ul>\\n<h4>1.9.0 - 2017-09-26<\\/h4>\\n<ul>\\n<li>New: Added Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/216\\\">#216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/347\\\">#347<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2209\\\">#2209<\\/a>)<\\/li>\\n<li>New: Added Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/715\\\">#715<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.3 - 2017-09-24<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility for WordPress 4.8.2 &amp; 4.7.6<\\/li>\\n<li>Fix: Remove slashes from Form sent data<\\/li>\\n<\\/ul>\\n<h4>1.8.2 - 2017-09-19<\\/h4>\\n<ul>\\n<li>Tweak: Added target URL for the tweet message in Blockquote widget<\\/li>\\n<li>Tweak: Render the slide height before the slider is finished loading<\\/li>\\n<li>Fix: Space between words for Animated Headline widget<\\/li>\\n<li>Fix: RTL compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Italic font style for Animated Headline widget<\\/li>\\n<li>Fix: Excluded Menu widget from the WP Editor text rendering<\\/li>\\n<\\/ul>\\n<h4>1.8.1 - 2017-09-18<\\/h4>\\n<ul>\\n<li>Fix: WCAG Compatible &quot;required&quot; field attribute for W3C validation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2391\\\">#2391<\\/a>)<\\/li>\\n<li>Fix: Print the main menu only when is necessary in Menu widget<\\/li>\\n<li>Fix: Use CSS media query instead of JS to hide items in Menu widget to avoid flickering on page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2381\\\">#2381<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.0 - 2017-09-12<\\/h4>\\n<ul>\\n<li>New: Added Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1406\\\">#1406<\\/a>)<\\/li>\\n<li>Fix: Field ID for checkbox control in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2279\\\">#2279<\\/a>)<\\/li>\\n<li>Fix: Style for Blockquote widget included<\\/li>\\n<\\/ul>\\n<h4>1.7.2 - 2017-09-07<\\/h4>\\n<ul>\\n<li>Tweak: Loading Facebook SDK via JS for better compatibility with caching plugins<\\/li>\\n<li>Fix: Responsive Embed Facebook post widget for Safari iOS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2340\\\">#2340<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.7.1 - 2017-09-05<\\/h4>\\n<ul>\\n<li>Fix: Facebook SDK version<\\/li>\\n<\\/ul>\\n<h4>1.7.0 - 2017-09-05<\\/h4>\\n<ul>\\n<li>New: Added Facebook Button widget for Like, Recommend, Share and Follow<\\/li>\\n<li>New: Added Facebook Embed widget for Post, Video and Comment<\\/li>\\n<li>New: Added Facebook Comments widget<\\/li>\\n<li>New: Added Facebook Page widget (Previously known as Like Box)<\\/li>\\n<li>New: Added Blockquote widget with Tweet button<\\/li>\\n<li>Tweak: Added Facebook SDK integration for all Facebook widgets<\\/li>\\n<li>Fix: Animated headline rotating with long words<\\/li>\\n<\\/ul>\\n<h4>1.6.1 - 2017-08-28<\\/h4>\\n<ul>\\n<li>Fix: Animated Headline marker gets in front of neighboring spans even when &quot;Bring to Front&quot; is not set<\\/li>\\n<li>Fix: Stroke animation in Animated Headline for MS Edge browser<\\/li>\\n<li>Fix: Animated headline with more than 1-word per rotation<\\/li>\\n<li>Fix: Animated Headline in two lines<\\/li>\\n<li>Fix: Some errors in Global widget<\\/li>\\n<\\/ul>\\n<h4>1.6.0 - 2017-08-22<\\/h4>\\n<ul>\\n<li>New: Added Animated Headline widget<\\/li>\\n<li>New: Added Hidden field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2038\\\">#2038<\\/a>)<\\/li>\\n<li>Tweak: Added notice to update Elementor to v1.6.5 or higher<\\/li>\\n<li>Fix: CSS Animations names no longer minified, in order to prevent unexpected conflicts<\\/li>\\n<\\/ul>\\n<h4>1.5.9 - 2017-08-16<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.7<\\/li>\\n<li>Fix: Portfolio compatibility for GeneratePress theme<\\/li>\\n<li>Fix: Portfolio filter compatibility for RTL<\\/li>\\n<li>Fix: Pagination apply for all posts widget in the page<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.8 - 2017-07-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.6<\\/li>\\n<li>Fix: Improved backward compatibility for query control rename<\\/li>\\n<\\/ul>\\n<h4>1.5.7 - 2017-07-24<\\/h4>\\n<ul>\\n<li>Tweak: Moved JS render of reCAPTCHA to a separate file<\\/li>\\n<li>Tweak: Display the label in the reCAPTCHA field for better experience<\\/li>\\n<li>Tweak: Rename <code>panel-posts-control<\\/code> to <code>query-control<\\/code> and added fallback support<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor with history feature<\\/li>\\n<li>Fix: reCAPTCHA preview on the editor<\\/li>\\n<li>Fix: Manual selection (query control) has stopped working after saving (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2000\\\">#2000<\\/a>)<\\/li>\\n<li>Fix: Added condition for icon size control in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.5.6 - 2017-07-12<\\/h4>\\n<ul>\\n<li>Fix: Query Control correction for taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1963\\\">#1963<\\/a>)<\\/li>\\n<li>Fix: Custom CSS override scheme color in the editor<\\/li>\\n<li>Fix: Added order by Menu Order for Query Control in WC widget<\\/li>\\n<li>Fix: Glitch with Flip Box background overlay<\\/li>\\n<\\/ul>\\n<h4>1.5.5 - 2017-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Moved reCAPTCHA render to handler &amp; load only if a form is exist<\\/li>\\n<li>Fix: MailChimp integration: Default number of items returned by API increased to 999<\\/li>\\n<li>Fix: MailChimp integration: Refresh the groups list if API is changed<\\/li>\\n<li>Fix: Sorted items in filter bar by A-Z<\\/li>\\n<li>Fix: Editor glitch with Elementor v1.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1927\\\">#1927<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.5.4 - 2017-06-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved compatibility for Elementor v1.5<\\/li>\\n<li>Fix: URL default for Add To Cart widget<\\/li>\\n<li>Fix: Allowed <code>date<\\/code> and <code>birthday<\\/code> fields as text for MailChimp integration<\\/li>\\n<\\/ul>\\n<h4>1.5.3 - 2017-06-19<\\/h4>\\n<ul>\\n<li>Tweak: Make flip-box height responsive control<\\/li>\\n<li>Fix: Facebook share count now gets retrieved by Elementor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1829\\\">#1829<\\/a>)<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.2 - 2017-06-13<\\/h4>\\n<ul>\\n<li>Fix: Custom CSS panel location compatibility for the old versions<\\/li>\\n<\\/ul>\\n<h4>1.5.1 - 2017-06-12<\\/h4>\\n<ul>\\n<li>Fix: MailChimp update existing user registration<\\/li>\\n<li>Fix: Global widget with JS in the editor mode<\\/li>\\n<li>Fix: Label section condition in Login widget<\\/li>\\n<li>Fix: Changes to unlinked global widget do not appear in the editor<\\/li>\\n<\\/ul>\\n<h4>1.5.0 - 2017-05-23<\\/h4>\\n<ul>\\n<li>New: Added Cards, a new skin for Posts widget<\\/li>\\n<li>New: Added Exclude option to post query control group<\\/li>\\n<li>Tweak: Added <code>post_class()<\\/code> for each post in the loop<\\/li>\\n<li>Tweak: Added <code>.elementor-posts-masonry<\\/code> class when Masonry layout is enabled<\\/li>\\n<li>Tweak: Added compatibility for the next release of Elementor v1.5.0<\\/li>\\n<li>Tweak: CSS <code>autoprefixer<\\/code> now supports last 5 versions of browsers<\\/li>\\n<li>Tweak: Added <code>imageLoaded<\\/code> library for Posts &amp; Portfolio widgets<\\/li>\\n<\\/ul>\\n<h4>1.4.4 - 2017-05-18<\\/h4>\\n<ul>\\n<li>Fix: Force Mailchimp API to return all lists and not just 10 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1683\\\">#1683<\\/a>)<\\/li>\\n<li>Fix: Added <code>.elementor-form<\\/code> class to Login form to fix style glitch<\\/li>\\n<\\/ul>\\n<h4>1.4.3 - 2017-05-14<\\/h4>\\n<ul>\\n<li>Tweak: Added Redirect After Login option to Login widget<\\/li>\\n<li>Tweak: Stay in the current page after logout in Login widget<\\/li>\\n<li>Tweak: Preparation for Elementor settings tabs in future version<\\/li>\\n<li>Fix: Pinterest in Share Buttons widget now sharing the URL alone<\\/li>\\n<li>Fix: Bug with <code>active<\\/code> class in portfolio filter item<\\/li>\\n<li>Fix: Higher specific list-style-type <code>none<\\/code> for filter items to override some theme style<\\/li>\\n<\\/ul>\\n<h4>1.4.2 - 2017-05-06<\\/h4>\\n<ul>\\n<li>Fix: Temporary patch for form field shortcode in some servers<\\/li>\\n<\\/ul>\\n<h4>1.4.1 - 2017-05-03<\\/h4>\\n<ul>\\n<li>Fix: Bug with custom success message in form widget<\\/li>\\n<li>Fix: Bug with meta data in email action<\\/li>\\n<\\/ul>\\n<h4>1.4.0 - 2017-05-03<\\/h4>\\n<ul>\\n<li>New: Forms: integration with MailChimp<\\/li>\\n<li>New: Forms: integration with MailPoet<\\/li>\\n<li>New: Forms: Added Email 2 action for email confirmation<\\/li>\\n<li>New: Forms: Added shortcodes for fields<\\/li>\\n<li>New: Forms: Added custom ID for fields<\\/li>\\n<li>New: Forms: Added option to edit email HTML template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>New: Added Login widget<\\/li>\\n<li>Tweak: Move <code>send_html<\\/code> control to <code>email_content_type<\\/code><\\/li>\\n<li>Fix: Email still sent even if validation failed in form widget<\\/li>\\n<\\/ul>\\n<h4>1.3.2 - 2017-05-01<\\/h4>\\n<ul>\\n<li>New: Added action <code>elementor_pro\\/init<\\/code> for better integration with Elementor Pro<\\/li>\\n<li>Fix: Posts without featured image in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1234\\\">#1234<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1382\\\">#1382<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA &amp; Honeypot fields with new method<\\/li>\\n<li>Fix: Added border width control in Share Buttons to avoid a glitch on Chrome browser<\\/li>\\n<li>Fix: Border radius glitch on hover in Share Buttons<\\/li>\\n<\\/ul>\\n<h4>1.3.1 - 2017-04-25<\\/h4>\\n<ul>\\n<li>Fix: Conflict update with revision history module<\\/li>\\n<\\/ul>\\n<h4>1.3.0 - 2017-04-25<\\/h4>\\n<ul>\\n<li>New: Added Share Buttons widget (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/social-sharing-buttons-is-it-possible\\/\\\">Topic<\\/a>)<\\/li>\\n<li>New: Added Custom CSS for Page Settings<\\/li>\\n<li>New: Added Masonry layout for Portfolio widget<\\/li>\\n<li>New: Added Cc &amp; Bcc options to email action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1181\\\">#1181<\\/a>)<\\/li>\\n<li>New: Introduced <code>ElementorProModulesFormsClassesAction_Base<\\/code> class for better 3rd party integration for forms<\\/li>\\n<li>Tweak: Debugger module now also shows errors from Pro<\\/li>\\n<li>Tweak: Added options for Elementor Library<\\/li>\\n<li>Tweak: New base posts module for optimized performance<\\/li>\\n<li>Tweak: Adjusting Posts \\/ Portfolio to the new structure<\\/li>\\n<li>Fix: Export for posts \\/ portfolio<\\/li>\\n<li>Fix: Duplicate repeater field with switcher control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1442\\\">#1442<\\/a>)<\\/li>\\n<li>Fix: Post per Page in the query control<\\/li>\\n<li>Fix: Metadata does not come through on form emails (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1566\\\">#1566<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.2.6 - 2017-04-19<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with WooCommerce 3.0 - Products &amp; Add to Cart widgets<\\/li>\\n<\\/ul>\\n<h4>1.2.5 - 2017-04-18<\\/h4>\\n<ul>\\n<li>Fix: Offset query for posts widgets (Posts, Portfolio and Products)<\\/li>\\n<\\/ul>\\n<h4>1.2.4 - 2017-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added Indian Rupee sign to Price Table widget<\\/li>\\n<li>Fix: Portfolio grid for IE11<\\/li>\\n<li>Fix: Link target blank in Price List widget<\\/li>\\n<li>Fix: Active item for filter bar in Portfolio widget<\\/li>\\n<\\/ul>\\n<h4>1.2.3 - 2017-03-06<\\/h4>\\n<ul>\\n<li>Tweak: Fully compatible with Elementor v1.3.0<\\/li>\\n<li>Tweak: Added trigger for after form submission in Forms widget<\\/li>\\n<li>Tweak: Changed handle name in reCAPTCHA field to avoid conflict with other contact forms<\\/li>\\n<li>Fix: Portfolio filter syntax in Non-Latin languages<\\/li>\\n<li>Fix: Added <code>no-repeat<\\/code> property for slide with <code>background-size:contain<\\/code><\\/li>\\n<li>Fix: Condition control &amp; Import value in Posts widgets<\\/li>\\n<li>Fix: Offset and Pagination in WordPress (<a href=\\\"https:\\/\\/codex.wordpress.org\\/Making_Custom_Queries_using_Offset_and_Pagination\\\">More Info<\\/a>)<\\/li>\\n<li>Fix: Submit handler bubbling for custom events in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.2.2 - 2017-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Change name from Side A\\/B to Front and Back in Flip Box widget<\\/li>\\n<li>Fix: Error when saving third party widgets in the global widget<\\/li>\\n<li>Fix: Image position &quot;none&quot; remains visible in editor preview (Posts)<\\/li>\\n<li>Fix: Hide the pagination when there are no links<\\/li>\\n<\\/ul>\\n<h4>1.2.1 - 2017-02-21<\\/h4>\\n<ul>\\n<li>Fix: Firefox Flip Box 3D compatibility<\\/li>\\n<\\/ul>\\n<h4>1.2.0 - 2017-02-21<\\/h4>\\n<ul>\\n<li>New: Added Flip Box widget<\\/li>\\n<li>New: Added Ken Burns effect for slides<\\/li>\\n<li>New: Added Masonry layout for Posts widget<\\/li>\\n<li>New: Added Pagination option for Posts widget<\\/li>\\n<li>Tweak: Added background size contain to slides<\\/li>\\n<li>Tweak: Improve Query control by preload items<\\/li>\\n<li>Fix: Text color for Checkbox and Radio fields<\\/li>\\n<\\/ul>\\n<h4>1.1.2 - 2017-02-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>aria-required<\\/code> for better accessibility in forms widget<\\/li>\\n<li>Fix: Conflict Call to <code>undefined<\\/code> method in Posts &amp; Portfolio widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1271\\\">#1271<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1266\\\">#1266<\\/a>)<\\/li>\\n<li>Fix: Submit button HTML after error sending<\\/li>\\n<li>Fix: Success message for <code>skip_email<\\/code> function<\\/li>\\n<li>Notice: Elementor 1.2.0 or later now required<\\/li>\\n<\\/ul>\\n<h4>1.1.1 - 2017-01-24<\\/h4>\\n<ul>\\n<li>Fix: Can\'t save global widgets when <code>WP_DEBUG<\\/code> is <code>true<\\/code><\\/li>\\n<li>Fix: Undefined variable in WC widgets<\\/li>\\n<li>Fix: Removed duplicate strings<\\/li>\\n<\\/ul>\\n<h4>1.1.0 - 2017-01-24<\\/h4>\\n<ul>\\n<li>New: Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/102\\\">#102<\\/a>)<\\/li>\\n<li>New: WooCommerce Add to Cart widget<\\/li>\\n<li>New: WooCommerce Categories widget<\\/li>\\n<li>New: WooCommerce Elements widget<\\/li>\\n<li>New: Honeypot field for Forms widgets<\\/li>\\n<li>Tweak: Added inline options for taxonomies &amp; authors if is less than 15 items<\\/li>\\n<li>Tweak: Added Required Mark for fields in Forms widget<\\/li>\\n<li>Fix: CSS selectors priority in Slides widget<\\/li>\\n<li>Fix: CSS bug in Price List widget<\\/li>\\n<li>Fix: Update all Post CSS files that includes specific Global Widget<\\/li>\\n<\\/ul>\\n<h4>1.0.9 - 2017-01-18<\\/h4>\\n<ul>\\n<li>Fix: Auto complete bug in query controls<\\/li>\\n<li>Fix: Render template with escaping slashes<\\/li>\\n<li>Fix: Reply-to field in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.0.8 - 2017-01-11<\\/h4>\\n<ul>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Removed go pro link from plugins page in admin<\\/li>\\n<\\/ul>\\n<h4>1.0.7 - 2017-01-05<\\/h4>\\n<ul>\\n<li>Tweak: Added filter by featured \\/ sale for WC Products widget<\\/li>\\n<li>Tweak: Added author control in Portfolio widget<\\/li>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Added support for empty image ratio<\\/li>\\n<li>Fix: Avoid nesting a sidebar within a template that will appear in the sidebar itself<\\/li>\\n<\\/ul>\\n<h4>1.0.6 - 2017-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Added Auto-updates for local translation files<\\/li>\\n<li>Fix: Custom CSS for Global widgets<\\/li>\\n<li>Fix: Remove <code>nonce<\\/code> field (Fix some cache plugins)<\\/li>\\n<\\/ul>\\n<h4>1.0.5 - 2016-12-27<\\/h4>\\n<ul>\\n<li>Fix: Slide element bug fix - \'Link apply on\' logic<\\/li>\\n<li>Fix: Removed unique wrapper for Custom CSS in order to allow media queries (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1086\\\">#1086<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.0.4 - 2016-12-21<\\/h4>\\n<ul>\\n<li>Tweak: Mobile Editing for fields in the form widget<\\/li>\\n<li>Tweak: Mobile Editing for posts<\\/li>\\n<li>Tweak: Allow send form as HTML<\\/li>\\n<li>Tweak: Improved auto upgrades for Multisite installation<\\/li>\\n<li>Tweak: Improve editor rendering experience for Portfolio widget<\\/li>\\n<li>Fix: Posts widget check if image exist<\\/li>\\n<li>Fix: Changed the clone method for global widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1042\\\">#1042<\\/a>)<\\/li>\\n<li>Fix: Bug slides in RTL (removed direction control)<\\/li>\\n<li>Fix: Slides with no height jumps when changing slides<\\/li>\\n<\\/ul>\\n<h4>1.0.3 - 2016-12-13<\\/h4>\\n<ul>\\n<li>Fix: Added escape placeholder for HTML Entities in form widget<\\/li>\\n<li>Fix: Countdown widget RTL bug<\\/li>\\n<li>Fix: Remove redundant #elementor selector for control style<\\/li>\\n<li>Fix: Added prefixing with \'0\' for one digit number in Countdown widget<\\/li>\\n<\\/ul>\\n<h4>1.0.2 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: Page layout collapses when inserting reCAPTCHA field in Form<\\/li>\\n<\\/ul>\\n<h4>1.0.1 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: WordPress widgets disappear from Editor when Elementor Pro active<\\/li>\\n<\\/ul>\\n<h4>1.0.0 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Initial release<\\/li>\\n<\\/ul>\\\";}\",\"new_version\":\"3.21.3\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.5.3\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/package_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNzE2ODAwNTkyLCJleHAiOjE3MTY4ODY5OTJ9.E80sG0OhioCEZXDVH8Ml83bbmP8WcdS1EEL1I3DAA-E\\/package_download\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/package_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNzE2ODAwNTkyLCJleHAiOjE3MTY4ODY5OTJ9.E80sG0OhioCEZXDVH8Ml83bbmP8WcdS1EEL1I3DAA-E\\/package_download\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"},\"canary_deployment\":{\"plugin_info\":{\"new_version\":\"3.7.0\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.5.3\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/previous_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ2ZXJzaW9uIjoiMy43LjAiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJpYXQiOjE3MTY4MDA1OTIsImV4cCI6MTcxNjg4Njk5Mn0.Fr693o3aInUBiLBtxgt1CSJvjIOlAG-IEh1J3jyxis8\\/previous_download\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/previous_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ2ZXJzaW9uIjoiMy43LjAiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJpYXQiOjE3MTY4MDA1OTIsImV4cCI6MTcxNjg4Njk5Mn0.Fr693o3aInUBiLBtxgt1CSJvjIOlAG-IEh1J3jyxis8\\/previous_download\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"}},\"conditions\":[[{\"type\":\"language\",\"languages\":[\"he_IL\",\"nl_NL\",\"en_GB\",\"en_NZ\",\"en_ZA\",\"en_AU\",\"en_CA\",\"sv_SE\",\"da_DK\",\"fr_FR\",\"nl_NL\",\"nb_NO\",\"de_AT\",\"fi\",\"it_IT\",\"nn_NO\",\"de_CH\",\"en_GB\",\"is_IS\",\"ga\",\"fr_BE\",\"nl_BE\",\"ast\",\"lb_LU\",\"es_ES\",\"pt_PT\",\"mlt\"],\"operator\":\"in\"}]]},\"translations\":[{\"language\":\"fa_IR\",\"updated\":\"2024-04-29 14:12:39+0000\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/translation\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJsYW5ndWFnZSI6ImZhX0lSIiwiaWF0IjoxNzE2ODAwNTkyfQ.1PgSWtpuVPYqT2nTctGzSj_cwM7B179t8_NKWDGMpLQ\\/translation\"}],\"cloud\":false}\";}", "no");
INSERT INTO `wp_sa_options` VALUES("34285", "appsero_68e00d332046d4314331c2d5be13cdc3_manage_license", "a:7:{s:3:\"key\";s:10:\"**********\";s:6:\"status\";s:8:\"activate\";s:9:\"source_id\";s:8:\"business\";s:9:\"remaining\";s:1:\"5\";s:16:\"activation_limit\";s:1:\"5\";s:11:\"expiry_days\";b:0;s:9:\"recurring\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("34286", "dokan_pro_license", "a:7:{s:3:\"key\";s:10:\"**********\";s:6:\"status\";s:8:\"activate\";s:9:\"source_id\";s:8:\"business\";s:9:\"remaining\";s:1:\"5\";s:16:\"activation_limit\";s:1:\"5\";s:11:\"expiry_days\";b:0;s:9:\"recurring\";b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("34287", "_elementor_global_css", "a:6:{s:4:\"time\";i:1716803757;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;b:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("34290", "_elementor_assets_data", "a:1:{s:3:\"css\";a:1:{s:7:\"widgets\";a:22:{s:5:\"image\";a:2:{s:7:\"content\";s:269:\"<style>/*! elementor - v3.21.0 - 26-05-2024 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>\";s:7:\"version\";s:6:\"3.21.8\";}s:15:\"theme-site-logo\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.0\";}s:14:\"theme-elements\";a:2:{s:7:\"content\";s:140:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-theme-elements-rtl.min.css\">\";s:7:\"version\";s:6:\"3.21.0\";}s:6:\"button\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:7:\"heading\";a:2:{s:7:\"content\";s:673:\"<style>/*! elementor - v3.21.0 - 26-05-2024 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>\";s:7:\"version\";s:6:\"3.21.8\";}s:9:\"icon-list\";a:2:{s:7:\"content\";s:131:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">\";s:7:\"version\";s:6:\"3.21.8\";}s:13:\"jet-mega-menu\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:11:\"text-editor\";a:2:{s:7:\"content\";s:720:\"<style>/*! elementor - v3.21.0 - 26-05-2024 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>\";s:7:\"version\";s:6:\"3.21.8\";}s:4:\"icon\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:6:\"slides\";a:2:{s:7:\"content\";s:2401:\"<style>/*! elementor-pro - v3.21.0 - 15-04-2024 */\n.elementor-slides .swiper-slide-bg{background-size:cover;background-position:50%;background-repeat:no-repeat;min-width:100%;min-height:100%}.elementor-slides .swiper-slide-inner{background-repeat:no-repeat;background-position:50%;position:absolute;top:0;left:0;bottom:0;right:0;padding:50px;margin:auto}.elementor-slides .swiper-slide-inner,.elementor-slides .swiper-slide-inner:hover{color:#fff;display:flex}.elementor-slides .swiper-slide-inner .elementor-background-overlay{position:absolute;z-index:0;top:0;bottom:0;left:0;right:0}.elementor-slides .swiper-slide-inner .elementor-slide-content{position:relative;z-index:1;width:100%}.elementor-slides .swiper-slide-inner .elementor-slide-heading{font-size:35px;font-weight:700;line-height:1}.elementor-slides .swiper-slide-inner .elementor-slide-description{font-size:17px;line-height:1.4}.elementor-slides .swiper-slide-inner .elementor-slide-description:not(:last-child),.elementor-slides .swiper-slide-inner .elementor-slide-heading:not(:last-child){margin-bottom:30px}.elementor-slides .swiper-slide-inner .elementor-slide-button{border:2px solid #fff;color:#fff;background:transparent;display:inline-block}.elementor-slides .swiper-slide-inner .elementor-slide-button,.elementor-slides .swiper-slide-inner .elementor-slide-button:hover{background:transparent;color:inherit;text-decoration:none}.elementor--v-position-top .swiper-slide-inner{align-items:flex-start}.elementor--v-position-bottom .swiper-slide-inner{align-items:flex-end}.elementor--v-position-middle .swiper-slide-inner{align-items:center}.elementor--h-position-left .swiper-slide-inner{justify-content:flex-end}.elementor--h-position-right .swiper-slide-inner{justify-content:flex-start}.elementor--h-position-center .swiper-slide-inner{justify-content:center}body.rtl .elementor-widget-slides .elementor-swiper-button-next{left:10px;right:auto}body.rtl .elementor-widget-slides .elementor-swiper-button-prev{right:10px;left:auto}.elementor-slides-wrapper div:not(.swiper-slide)>.swiper-slide-inner{display:none}@media (max-width:767px){.elementor-slides .swiper-slide-inner{padding:30px}.elementor-slides .swiper-slide-inner .elementor-slide-heading{font-size:23px;line-height:1;margin-bottom:15px}.elementor-slides .swiper-slide-inner .elementor-slide-description{font-size:13px;line-height:1.4;margin-bottom:15px}}</style>\";s:7:\"version\";s:6:\"3.21.0\";}s:34:\"jet-woo-builder-archive-sale-badge\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:25:\"jet-listing-dynamic-field\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:16:\"jet-listing-grid\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:9:\"image-box\";a:2:{s:7:\"content\";s:1424:\"<style>/*! elementor - v3.21.0 - 26-05-2024 */\n.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:end;flex-direction:row}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:start;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style>\";s:7:\"version\";s:6:\"3.21.8\";}s:8:\"template\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.0\";}s:7:\"divider\";a:2:{s:7:\"content\";s:4311:\"<style>/*! elementor - v3.21.0 - 26-05-2024 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-block-end:0;flex-grow:1;border-block-start:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider--element-align-start .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-start .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-start .elementor-divider__element{margin-inline-start:0}.elementor-widget-divider--element-align-end .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-end .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-end .elementor-divider__element{margin-inline-end:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-block-start:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>\";s:7:\"version\";s:6:\"3.21.8\";}s:9:\"countdown\";a:2:{s:7:\"content\";s:1304:\"<style>/*! elementor-pro - v3.21.0 - 15-04-2024 */\n.elementor-widget-countdown .elementor-countdown-expire--message{display:none;padding:20px;text-align:center}.elementor-widget-countdown .elementor-countdown-wrapper{flex-direction:row-reverse}.elementor-widget-countdown .elementor-countdown-item{padding:20px 0;text-align:center;color:#fff}.elementor-widget-countdown .elementor-countdown-digits,.elementor-widget-countdown .elementor-countdown-label{line-height:1}.elementor-widget-countdown .elementor-countdown-digits{font-size:69px}.elementor-widget-countdown .elementor-countdown-label{font-size:19px}.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-wrapper{display:flex;justify-content:center;margin-right:auto;margin-left:auto}.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-digits,.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-label{display:block}.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-item{flex-basis:0;flex-grow:1}.elementor-widget-countdown.elementor-countdown--label-inline{text-align:center}.elementor-widget-countdown.elementor-countdown--label-inline .elementor-countdown-item{display:inline-block;padding-left:5px;padding-right:5px}</style>\";s:7:\"version\";s:6:\"3.21.0\";}s:25:\"jet-listing-dynamic-image\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:24:\"jet-listing-dynamic-link\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.21.8\";}s:12:\"social-icons\";a:2:{s:7:\"content\";s:5051:\"<style>/*! elementor - v3.21.0 - 26-05-2024 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em));height:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-threads{background-color:#000}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-x-twitter{background-color:#000}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>\";s:7:\"version\";s:6:\"3.21.8\";}s:8:\"icon-box\";a:2:{s:7:\"content\";s:130:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">\";s:7:\"version\";s:6:\"3.21.8\";}s:8:\"nav-menu\";a:2:{s:7:\"content\";s:134:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-nav-menu-rtl.min.css\">\";s:7:\"version\";s:6:\"3.21.0\";}}}}", "yes");
INSERT INTO `wp_sa_options` VALUES("34291", "_elementor_notifications_data", "a:2:{s:7:\"timeout\";i:1716819987;s:5:\"value\";s:11629:\"[{\"id\":\"loop-taxonomy-query-3.21\",\"title\":\"Create Engaging Listings for Categories and Tags\",\"description\":\"Design beautiful Loop Grids & Carousels to consistently display your dynamic content.\",\"topic\":\"New in Elementor Pro 3.21\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/loop-taxonomy-query-3.21.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-321-taxonomy-query-performance-improvement\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"loop-taxonomy-query-3.21\",\"title\":\"Create Engaging Listings for Categories and Tags\",\"description\":\"Design beautiful Loop Grids & Carousels to consistently display your dynamic content.\",\"topic\":\"New in Elementor Pro 3.21\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/loop-taxonomy-query-3.21.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-321-taxonomy-query-performance-improvement\\/\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-taxonomy-query\\/\"},{\"id\":\"performance-boost-3.21\",\"title\":\"Speed Up Your Website by Updating to Elementor\",\"description\":\"Version 3.21 includes significant performance improvements that speed up loading time and boost Google performance scores.\",\"topic\":\"New in Elementor 3.21\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/performance-boost-3.21.png\",\"chipTags\":[\"Performance\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-320-display-conditions-enhacments-peformance-improvements\\/\",\"readMoreText\":\"Learn More\"},{\"id\":\"performance-boost-3.21\",\"title\":\"Speed Up Your Website by Updating to Elementor\",\"description\":\"Version 3.21 includes significant performance improvements that speed up loading time and boost Google performance scores.\",\"topic\":\"New in Elementor 3.21\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/performance-boost-3.21.png\",\"chipTags\":[\"Performance\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-320-display-conditions-enhacments-peformance-improvements\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"ai-personal-assistant-3.21\",\"title\":\"Meet Your Personal AI Assistant\",\"description\":\"Copilot suggests container layouts, blending your personal style with industry best practices.\",\"topic\":\"Elementor AI\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/ai-personal-assistant-3.21.png\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-ai-copilot\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"introduction_meta\",\"meta\":\"ai_get_started\"}]],\"cta\":\"Start Free Trial\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant\\/\"},{\"id\":\"ai-personal-assistant-3.21\",\"title\":\"Meet Your Personal AI Assistant\",\"description\":\"Copilot suggests container layouts, blending your personal style with industry best practices.\",\"topic\":\"Elementor AI\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/ai-personal-assistant-3.21.png\",\"chipTags\":[\"New Feature\"],\"cta\":\"Start Free Trial\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-web-based-container\\/\"},{\"id\":\"display-conditions-dynamic-content-3.20\",\"title\":\"Display Conditions for Dynamic Content\",\"description\":\"Transform your single post and page templates into dynamic designs that fit their content by setting display conditions based on Dynamic Tags including native WordPress Custom Fields.\",\"topic\":\"New in Elementor Pro 3.20\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/dynamic-content-pro-3.20.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-320-display-conditions-enhacments-peformance-improvements\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"display-conditions-or-logic-3.20\",\"title\":\"Connect Display Conditions - OR Logic\",\"description\":\"Create condition groups of one or more conditions and connect them with the OR logic to display an element when either groups conditions are met.\",\"topic\":\"New in Elementor Pro 3.20\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/display-conditions-3.20.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-320-display-conditions-enhacments-peformance-improvements\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"display-conditions-dynamic-content-3.20\",\"title\":\"Display Content on Your Terms: Decide When, Where, and by Who the Content is Viewed\",\"description\":\"Tailor the content on your page to visitors based on various rules to create a powerful experience.\",\"topic\":\"New in Elementor Pro 3.20\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/display-conditions-3.20.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-320-display-conditions-enhacments-peformance-improvements\\/\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-dispaly-conditions\\/\"},{\"id\":\"display-conditions-or-logic-3.20\",\"title\":\"Discover the Professional Way to Create Dynamic Content Websites\",\"description\":\"All the tools you need to turn the content you store on WordPress into pixel perfect websites that maintain a consistent, professional design.\",\"topic\":\"Dynamic Content\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/dynamic-content-3.20.gif\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/youtu.be\\/QSpCwj5dl5g?si=OpSNnnIyqCSOPzTF\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-dynamic-content\\/\"},{\"id\":\"5-star-rating-prompt\",\"title\":\"Love the New Features? Let Us Know with 5 Stars!\",\"description\":\"Help spread the word by telling the world what you love about Elementor.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/5-star-rating-prompt.png\",\"cta\":\"Leave a Review\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/wp-dash-notification-five-stars\\/\"},{\"id\":\"element-manager-permissions-3.19\",\"title\":\"Streamline Collaboration by Setting Permissions to Widgets in the Element Manager\",\"description\":\"Customize the widgets displayed in the Widget Panel for each user based on their assigned roles.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/element-manager-role-permissions-3.19.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"element-manager-permissions-3.19\",\"title\":\"Streamline Collaboration by Setting Permissions to Widgets in the Element Manager\",\"description\":\"Customize the widgets displayed in the Widget Panel for each user based on their assigned roles.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/element-manager-role-permissions-3.19.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-element-manager-permission\\/\"},{\"id\":\"akismet-3.19\",\"title\":\"Protect Forms From Spam by Seamlessly Integrating Akismet Spam Filter\",\"description\":\"Akismet works in the background, using AI technology to detect spam with 99.9 percent accuracy without any additional interactions required by your visitors.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/akismet-3.19.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"akismet-3.19\",\"title\":\"Protect Forms From Spam by Seamlessly Integrating Akismet Spam Filter\",\"description\":\"Akismet works in the background, using AI technology to detect spam with 99.9 percent accuracy without any additional interactions required by your visitors.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/akismet-3.19.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-akismet\\/\"},{\"id\":\"image-optimizer-3.19\",\"title\":\"Effortlessly optimize images for a stunning, high-speed website with the Image Optimizer plugin.\",\"description\":\"Image Optimizer perfectly balances between image quality and performance to boost your website.  Resize, compress, and convert images to WebP, for faster loading times and and better user experience.\",\"topic\":\"Image Optimizer Plugin by Elementor\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/image-optimizer-3.19.png\",\"chipTags\":[\"New plugin\"],\"cta\":\"Get the Image Optimizer\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/io-notification-wp-dash-learn-more\\/\",\"conditions\":[[{\"type\":\"plugin\",\"operator\":\"!=\",\"plugin\":\"image-optimization\\/image-optimization.php\"}]]},{\"id\":\"ai-variations-in-template-library-3.19\",\"title\":\"Inspire Your Creation with Web-Based Container Generation\",\"description\":\"Use a URL address to generate containers based on a reference from the open web.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/ai-variations-in-template-library-3.19.png\",\"chipPlan\":\"Elementor AI\",\"chipTags\":[\"New Feature\"],\"conditions\":[[{\"type\":\"introduction_meta\",\"meta\":\"ai_get_started\"}]],\"cta\":\"Get Elementor AI\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-web-based-container\\/\"},{\"id\":\"ai-variations-in-template-library-3.19\",\"title\":\"Inspire Your Creation with Web-Based Container Generation\",\"description\":\"Use a URL address to generate containers based on a reference from the open web.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/ai-variations-in-template-library-3.19.png\",\"chipPlan\":\"Elementor AI\",\"chipTags\":[\"New Feature\"],\"cta\":\"Start Free Trial\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-web-based-container\\/\"},{\"id\":\"taxonomy-filter-multi-select-3.18\",\"title\":\"Enhance the Visitor Experience of Listings with Taxonomy Filter Multi-Select Capabilities\",\"description\":\"Help visitors find the products and posts they\'re looking for by filter listings based on multiple categories or tags from the same taxonomy filter.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/taxonomy-filter-multi-select-3.18.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-318-element-manager-multi-selection-taxonomy-filter\\/#:~:text=%5BPro%5D%20Enhanced%20Taxonomy%20Filter%20with%20Multi%2DSelection\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"taxonomy-filter-multi-select-3.18\",\"title\":\"Enhance the Visitor Experience of Listings with Taxonomy Filter Multi-Select Capabilities\",\"description\":\"Help visitors find the products and posts they\'re looking for by filter listings based on multiple categories or tags from the same taxonomy filter.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/taxonomy-filter-multi-select-3.18.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/elementor.com\\/blog\\/elementor-318-element-manager-multi-selection-taxonomy-filter\\/#:~:text=%5BPro%5D%20Enhanced%20Taxonomy%20Filter%20with%20Multi%2DSelection\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-taxonomy-filter\\/\"}]\";}", "no");
INSERT INTO `wp_sa_options` VALUES("34326", "_transient_timeout_woocommerce_blocks_asset_api_script_data_ssl", "1719397110", "no");
INSERT INTO `wp_sa_options` VALUES("34327", "_transient_woocommerce_blocks_asset_api_script_data_ssl", "{\"script_data\":{\"assets\\/client\\/blocks\\/wc-settings.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-settings.js\",\"version\":\"07c2f0675ddd247d2325\",\"dependencies\":[\"wp-hooks\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-types.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-types.js\",\"version\":\"bda84b1be3361607d04a\",\"dependencies\":[\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-blocks-middleware.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-middleware.js\",\"version\":\"ca04183222edaf8a26be\",\"dependencies\":[\"wp-api-fetch\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-blocks-data.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-data.js\",\"version\":\"60c91d7c9ae3e7b1782f\",\"dependencies\":[\"wc-blocks-registry\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-data\",\"wp-data-controls\",\"wp-deprecated\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-notices\",\"wp-polyfill\",\"wp-url\"]},\"assets\\/client\\/blocks\\/wc-blocks-vendors.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-vendors.js\",\"version\":\"2410cce05bdd293b156e\",\"dependencies\":[\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-blocks-registry.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-registry.js\",\"version\":\"1c879273bd5c193cad0a\",\"dependencies\":[\"react\",\"wp-data\",\"wp-deprecated\",\"wp-element\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-blocks.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks.js\",\"version\":\"77dab254f29f2c0d3754\",\"dependencies\":[\"react\",\"wc-types\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-dom-ready\",\"wp-element\",\"wp-hooks\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/wc-blocks-shared-context.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-shared-context.js\",\"version\":\"6eb6865831aa5a75475d\",\"dependencies\":[\"react\",\"wp-element\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-blocks-shared-hocs.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-shared-hocs.js\",\"version\":\"4f21a9f43ea5bfa7f02e\",\"dependencies\":[\"react\",\"wc-blocks-data-store\",\"wc-blocks-shared-context\",\"wc-types\",\"wp-data\",\"wp-element\",\"wp-is-shallow-equal\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/price-format.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/price-format.js\",\"version\":\"eb7a7398126f71912b09\",\"dependencies\":[\"wc-settings\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-blocks-vendors-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-blocks-vendors-frontend.js\",\"version\":\"949f22f1c695b856640f\",\"dependencies\":[\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/blocks-checkout.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/blocks-checkout.js\",\"version\":\"2f6584939b81642eea35\",\"dependencies\":[\"lodash\",\"react\",\"react-dom\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/blocks-components.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/blocks-components.js\",\"version\":\"bbc727a1a447bffcb70d\",\"dependencies\":[\"lodash\",\"react\",\"react-dom\",\"wc-blocks-data-store\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/wc-interactivity-dropdown.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-interactivity-dropdown.js\",\"version\":\"a46837eebd1872303b4b\",\"dependencies\":[\"wc-interactivity\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/wc-interactivity-checkbox-list.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-interactivity-checkbox-list.js\",\"version\":\"c1d99df3ef00991aa5e3\",\"dependencies\":[\"wc-interactivity\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/active-filters.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/active-filters.js\",\"version\":\"c21201a5265dd28cf635\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/active-filters-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/active-filters-frontend.js\",\"version\":\"d8a4bc0899333ceb5c49\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-data\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/all-products.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/all-products.js\",\"version\":\"b1e714a10604343e8eed\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-blocks-shared-context\",\"wc-blocks-shared-hocs\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-api-fetch\",\"wp-autop\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-escape-html\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/all-products-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/all-products-frontend.js\",\"version\":\"6908ac1cc3a93bcb085a\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-blocks-shared-context\",\"wc-blocks-shared-hocs\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-autop\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/all-reviews.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/all-reviews.js\",\"version\":\"d7cbc0441c4fc74f7bd7\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-element\",\"wp-escape-html\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/reviews-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/reviews-frontend.js\",\"version\":\"f3d6394ada3be0a041c6\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-settings\",\"wp-a11y\",\"wp-api-fetch\",\"wp-element\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/attribute-filter.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/attribute-filter.js\",\"version\":\"55b29c772b7a1a9346d2\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/attribute-filter-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/attribute-filter-frontend.js\",\"version\":\"cbe835a87f9c40396d91\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/breadcrumbs.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/breadcrumbs.js\",\"version\":\"e6700491157b8ee1f584\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/catalog-sorting.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/catalog-sorting.js\",\"version\":\"48fb1bccbfd2a97adf03\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/legacy-template.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/legacy-template.js\",\"version\":\"a1ac73c01032ce808a42\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-core-data\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-notices\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/classic-shortcode.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/classic-shortcode.js\",\"version\":\"d294303a21cd7c97bbf7\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-notices\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/coming-soon.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/coming-soon.js\",\"version\":\"8da527fc4f6166ee2fce\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-i18n\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/coming-soon-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/coming-soon-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/customer-account.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/customer-account.js\",\"version\":\"f379e63e7570da4ee4f5\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/featured-category.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/featured-category.js\",\"version\":\"f5f5f363395b41bde771\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\"]},\"assets\\/client\\/blocks\\/featured-product.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/featured-product.js\",\"version\":\"befd1ed352d3e80e9ccc\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\"]},\"assets\\/client\\/blocks\\/filter-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/filter-wrapper.js\",\"version\":\"50a6242ac235c1b3a641\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/filter-wrapper-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/filter-wrapper-frontend.js\",\"version\":\"210b71c0298ec6582477\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/handpicked-products.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/handpicked-products.js\",\"version\":\"871ed1427c773403bf8f\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/mini-cart.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart.js\",\"version\":\"6ede2ad4b8c029b5c930\",\"dependencies\":[\"react\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-data\",\"wp-dom\",\"wp-element\",\"wp-hooks\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/mini-cart-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-frontend.js\",\"version\":\"eba896c62201a23c4175\",\"dependencies\":[\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-i18n\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/store-notices.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/store-notices.js\",\"version\":\"8a6edc1d0aa52e135c99\",\"dependencies\":[\"lodash\",\"react\",\"wp-a11y\",\"wp-block-editor\",\"wp-blocks\",\"wp-compose\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/price-filter.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/price-filter.js\",\"version\":\"abff65a760d2df5372f9\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/price-filter-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/price-filter-frontend.js\",\"version\":\"743859bad26c2ffe31b1\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-best-sellers.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-best-sellers.js\",\"version\":\"c4e80371232a32167331\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-button.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-button.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/product-button-interactivity-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-button-interactivity-frontend.js\",\"version\":\"da5a527ee368f98c1d89\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-data-store\",\"wc-interactivity\",\"wp-a11y\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/product-categories.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-categories.js\",\"version\":\"6f171cb2817861f98c56\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\"]},\"assets\\/client\\/blocks\\/product-category.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-category.js\",\"version\":\"d9824e0f1608a2a740db\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-collection.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-collection.js\",\"version\":\"f056853fc46d187d36ac\",\"dependencies\":[\"react\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-core-data\",\"wp-data\",\"wp-editor\",\"wp-element\",\"wp-escape-html\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-collection-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-collection-frontend.js\",\"version\":\"d16596ebcc6cdaf77991\",\"dependencies\":[\"wc-interactivity\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/product-collection-no-results.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-collection-no-results.js\",\"version\":\"b89726b531be277e04e8\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/product-gallery.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-gallery.js\",\"version\":\"fc60780f06f2202cf65d\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/product-gallery-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-gallery-frontend.js\",\"version\":\"c340254c6c31444370fb\",\"dependencies\":[\"wc-interactivity\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/product-gallery-large-image.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-gallery-large-image.js\",\"version\":\"1098a53083964af1b161\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/product-gallery-large-image-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-gallery-large-image-frontend.js\",\"version\":\"dd8201c48d0f0223ee5a\",\"dependencies\":[\"wc-interactivity\",\"wp-polyfill\"]},\"assets\\/client\\/blocks\\/product-new.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-new.js\",\"version\":\"b9b62444245764f20313\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-on-sale.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-on-sale.js\",\"version\":\"958774d5405979f99474\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-template.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-template.js\",\"version\":\"b5a53f9953860e1fcfc2\",\"dependencies\":[\"react\",\"wc-blocks-shared-context\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-core-data\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-query.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-query.js\",\"version\":\"2adf75f2d7c94b792f6e\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-escape-html\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-query-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-query-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/product-results-count.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-results-count.js\",\"version\":\"150fbd3db81abb326ea2\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/product-search.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-search.js\",\"version\":\"49af1c07f1aeead4fa1f\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/product-summary.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-summary.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/product-tag.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-tag.js\",\"version\":\"cdf19f1d98c8e84c74a5\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/product-title.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-title.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/product-title-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-title-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/product-top-rated.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/product-top-rated.js\",\"version\":\"5334996a542191f094e5\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/products-by-attribute.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/products-by-attribute.js\",\"version\":\"af1eeeedafa1191498e8\",\"dependencies\":[\"react\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-server-side-render\",\"wp-url\"]},\"assets\\/client\\/blocks\\/rating-filter.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/rating-filter.js\",\"version\":\"95b2bd040e117c53a3bc\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/reviews-by-category.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/reviews-by-category.js\",\"version\":\"c4e8ee1cf8d1a522c0e8\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-settings\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/reviews-by-product.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/reviews-by-product.js\",\"version\":\"40ed1df52bf758b0e58d\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-element\",\"wp-escape-html\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]},\"assets\\/client\\/blocks\\/single-product.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/single-product.js\",\"version\":\"5a02dddac2c56730d369\",\"dependencies\":[\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-blocks-shared-context\",\"wc-blocks-shared-hocs\",\"wc-price-format\",\"wc-settings\",\"wc-store-data\",\"wc-types\",\"wp-api-fetch\",\"wp-autop\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-element\",\"wp-escape-html\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/stock-filter.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/stock-filter.js\",\"version\":\"7a08aab2ccf36301f4c4\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/stock-filter-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/stock-filter-frontend.js\",\"version\":\"1006346f86e006c1cc92\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\"]},\"assets\\/client\\/blocks\\/page-content-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/page-content-wrapper.js\",\"version\":\"615b8690b0d7a150c14c\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-status.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-status.js\",\"version\":\"5ca2869154d04d878202\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-summary.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-summary.js\",\"version\":\"6467e58defef4baebebf\",\"dependencies\":[\"react\",\"wc-price-format\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-date\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-totals.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-totals.js\",\"version\":\"343da2292a0400a17c23\",\"dependencies\":[\"react\",\"wc-price-format\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-totals-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-totals-wrapper.js\",\"version\":\"0cc690578257b3c420c3\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-downloads.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-downloads.js\",\"version\":\"bac8a6118bcebd8fe26b\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-downloads-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-downloads-wrapper.js\",\"version\":\"3e5e29c4365c68251bbd\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-billing-address.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-billing-address.js\",\"version\":\"b50dd62d5e5c5d2b45bc\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-shipping-address.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-shipping-address.js\",\"version\":\"323a974805ed2c94bb39\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-billing-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-billing-wrapper.js\",\"version\":\"e0861305cd16d101a65e\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-shipping-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-shipping-wrapper.js\",\"version\":\"c2cfa5f76e0293add73a\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-additional-information.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-additional-information.js\",\"version\":\"11a2aeeb97775ce97598\",\"dependencies\":[\"react\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-additional-fields-wrapper.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-additional-fields-wrapper.js\",\"version\":\"515b3f747dfbbd8f9bb2\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/order-confirmation-additional-fields.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/order-confirmation-additional-fields.js\",\"version\":\"c592dc8d9d7eaea45a45\",\"dependencies\":[\"react\",\"wc-settings\",\"wp-block-editor\",\"wp-blocks\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\"]},\"assets\\/client\\/blocks\\/cart.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart.js\",\"version\":\"b220d5318bc2095b5b5f\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-blocks-shared-context\",\"wc-blocks-shared-hocs\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-api-fetch\",\"wp-autop\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-core-data\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-editor\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-notices\",\"wp-plugins\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-warning\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/cart-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-frontend.js\",\"version\":\"ce77c098508847de57b9\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-blocks-shared-context\",\"wc-blocks-shared-hocs\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-api-fetch\",\"wp-autop\",\"wp-blocks\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-plugins\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-warning\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-accepted-payment-methods-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-accepted-payment-methods-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-accepted-payment-methods-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-accepted-payment-methods-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-products-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-products-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-products-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-products-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-cross-sells-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-express-payment-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-express-payment-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-express-payment-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-express-payment-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-items-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-items-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-items-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-items-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-line-items-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-line-items-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-line-items-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-line-items-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-order-summary-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-order-summary-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-order-summary-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-order-summary-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-totals-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-totals-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-totals-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-totals-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/empty-cart-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/empty-cart-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/empty-cart-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/empty-cart-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/filled-cart-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/filled-cart-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/filled-cart-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/filled-cart-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-coupon-form-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-coupon-form-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-coupon-form-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-coupon-form-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-discount-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-discount-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-discount-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-discount-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-fee-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-fee-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-fee-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-fee-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-heading-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-heading-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-heading-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-heading-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-shipping-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-shipping-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-shipping-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-shipping-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-subtotal-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-subtotal-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-subtotal-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-subtotal-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-taxes-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-taxes-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-taxes-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-taxes-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-totals-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-totals-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/order-summary-totals-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/order-summary-totals-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/proceed-to-checkout-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/proceed-to-checkout-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/proceed-to-checkout-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/proceed-to-checkout-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-taxes-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-taxes-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-subtotal-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-subtotal-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-totals-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-totals-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/filled-cart-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/filled-cart-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/empty-cart-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/empty-cart-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-totals-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-totals-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-items-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-items-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-line-items-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-line-items-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-express-payment-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-express-payment-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/proceed-to-checkout-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/proceed-to-checkout-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-accepted-payment-methods-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-accepted-payment-methods-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-coupon-form-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-coupon-form-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-discount-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-discount-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-fee-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-fee-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-heading-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-heading-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-order-summary-shipping-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-order-summary-shipping-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-cross-sells-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-cross-sells-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-cross-sells-products-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-cross-sells-products-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout.js\",\"version\":\"2545516bfa7f687fda23\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-api-fetch\",\"wp-autop\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-core-data\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-editor\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-notices\",\"wp-plugins\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/checkout-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-frontend.js\",\"version\":\"4015b8a0128637e324d5\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-blocks-shared-hocs\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-api-fetch\",\"wp-autop\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-plugins\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/checkout-blocks\\/actions-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/actions-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/actions-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/actions-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/additional-information-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/additional-information-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/additional-information-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/additional-information-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/billing-address-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/billing-address-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/billing-address-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/billing-address-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/contact-information-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/contact-information-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/contact-information-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/contact-information-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/express-payment-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/express-payment-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/fields-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/fields-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/fields-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/fields-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-note-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-note-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-cart-items-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-cart-items-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-cart-items-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-cart-items-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-coupon-form-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-coupon-form-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-coupon-form-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-coupon-form-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-discount-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-discount-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-discount-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-discount-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-fee-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-fee-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-fee-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-fee-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-shipping-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-shipping-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-shipping-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-shipping-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-subtotal-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-subtotal-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-subtotal-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-subtotal-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-taxes-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-taxes-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-taxes-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/order-summary-taxes-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/payment-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/payment-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/payment-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/payment-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/pickup-options-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/pickup-options-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/pickup-options-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/pickup-options-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/shipping-address-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/shipping-address-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/shipping-address-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/shipping-address-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/shipping-method-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/shipping-method-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/shipping-methods-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/shipping-methods-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/shipping-methods-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/shipping-methods-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/shipping-method-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/shipping-method-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/terms-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/terms-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/terms-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/terms-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/totals-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/totals-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-blocks\\/totals-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-blocks\\/totals-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-express-payment--checkout-blocks\\/express-payment-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-express-payment--checkout-blocks\\/express-payment-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-actions-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-actions-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-additional-information-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-additional-information-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-billing-address-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-billing-address-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-contact-information-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-contact-information-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-express-payment-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-express-payment-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-fields-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-fields-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-note-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-note-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-cart-items-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-cart-items-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-coupon-form-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-coupon-form-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-discount-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-discount-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-fee-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-fee-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-shipping-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-shipping-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-subtotal-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-subtotal-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-taxes-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-taxes-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-order-summary-totals-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-order-summary-totals-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-payment-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-payment-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-shipping-address-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-shipping-address-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-shipping-methods-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-shipping-methods-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-shipping-method-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-shipping-method-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-pickup-options-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-pickup-options-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-terms-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-terms-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/checkout-totals-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/checkout-totals-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents.js\",\"version\":\"e524c5cb4d0df929aa7e\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-autop\",\"wp-block-editor\",\"wp-blocks\",\"wp-components\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\",\"wp-warning\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/empty-mini-cart-contents-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/empty-mini-cart-contents-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/filled-mini-cart-contents-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/filled-mini-cart-contents-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-footer-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-footer-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-items-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-items-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-products-table-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-products-table-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-shopping-button-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-shopping-button-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-cart-button-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-cart-button-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-checkout-button-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-checkout-button-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-title-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-title-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-title-items-counter-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-title-items-counter-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-title-label-block.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-title-label-block.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-component-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-component-frontend.js\",\"version\":\"5b608950d98d84121ece\",\"dependencies\":[\"lodash\",\"react\",\"wc-blocks-checkout\",\"wc-blocks-components\",\"wc-blocks-data-store\",\"wc-blocks-registry\",\"wc-price-format\",\"wc-settings\",\"wc-types\",\"wp-a11y\",\"wp-autop\",\"wp-compose\",\"wp-data\",\"wp-deprecated\",\"wp-dom\",\"wp-element\",\"wp-hooks\",\"wp-html-entities\",\"wp-i18n\",\"wp-is-shallow-equal\",\"wp-keycodes\",\"wp-polyfill\",\"wp-primitives\",\"wp-style-engine\",\"wp-url\",\"wp-warning\",\"wp-wordcount\"]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/cart-button-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/cart-button-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/cart-button-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/cart-button-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/checkout-button-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/checkout-button-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/checkout-button-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/checkout-button-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/empty-cart-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/empty-cart-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/empty-cart-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/empty-cart-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/filled-cart-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/filled-cart-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/filled-cart-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/filled-cart-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/footer-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/footer-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/footer-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/footer-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/items-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/items-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/items-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/items-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/products-table-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/products-table-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/shopping-button-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/shopping-button-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/shopping-button-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/shopping-button-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-items-counter-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-items-counter-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-items-counter-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-items-counter-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-label-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-label-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-label-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-label-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-style.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/mini-cart-contents-block\\/title-style.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/cart-blocks\\/cart-line-items--mini-cart-contents-block\\/products-table-frontend.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/cart-blocks\\/cart-line-items--mini-cart-contents-block\\/products-table-frontend.js\",\"version\":\"wc-8.9.1\",\"dependencies\":[]},\"assets\\/client\\/blocks\\/wc-shipping-method-pickup-location.js\":{\"src\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/plugins\\/woocommerce\\/assets\\/client\\/blocks\\/wc-shipping-method-pickup-location.js\",\"version\":\"051671265f34a6d7f584\",\"dependencies\":[\"react\",\"react-dom\",\"wc-settings\",\"wc-types\",\"wp-api-fetch\",\"wp-components\",\"wp-data\",\"wp-element\",\"wp-i18n\",\"wp-polyfill\",\"wp-primitives\",\"wp-url\"]}},\"version\":\"wc-8.9.1\",\"hash\":\"8ad987b474a230703c2dee4a97b05450\"}", "no");
INSERT INTO `wp_sa_options` VALUES("34330", "_transient_timeout_wp_rocket_pricing", "1716847948", "no");
INSERT INTO `wp_sa_options` VALUES("34331", "_transient_wp_rocket_pricing", "O:8:\"stdClass\":3:{s:8:\"licenses\";O:8:\"stdClass\":3:{s:6:\"single\";O:8:\"stdClass\":2:{s:6:\"prices\";O:8:\"stdClass\":3:{s:7:\"regular\";i:59;s:4:\"sale\";d:47.2000000000000028421709430404007434844970703125;s:7:\"renewal\";O:8:\"stdClass\":4:{s:14:\"is_grandfather\";d:47.2000000000000028421709430404007434844970703125;s:14:\"is_grandmother\";i:59;s:15:\"not_grandfather\";i:59;s:10:\"is_expired\";i:59;}}s:8:\"websites\";i:1;}s:4:\"plus\";O:8:\"stdClass\":2:{s:6:\"prices\";O:8:\"stdClass\":4:{s:7:\"regular\";i:119;s:4:\"sale\";d:95.2000000000000028421709430404007434844970703125;s:11:\"from_single\";O:8:\"stdClass\":2:{s:7:\"regular\";i:60;s:4:\"sale\";i:48;}s:7:\"renewal\";O:8:\"stdClass\":4:{s:14:\"is_grandfather\";d:95.2000000000000028421709430404007434844970703125;s:14:\"is_grandmother\";i:119;s:15:\"not_grandfather\";i:119;s:10:\"is_expired\";i:119;}}s:8:\"websites\";i:3;}s:8:\"infinite\";O:8:\"stdClass\":2:{s:6:\"prices\";O:8:\"stdClass\":5:{s:7:\"regular\";i:299;s:4:\"sale\";d:239.19999999999998863131622783839702606201171875;s:11:\"from_single\";O:8:\"stdClass\":2:{s:7:\"regular\";i:240;s:4:\"sale\";i:192;}s:9:\"from_plus\";O:8:\"stdClass\":2:{s:7:\"regular\";i:180;s:4:\"sale\";i:144;}s:7:\"renewal\";O:8:\"stdClass\":4:{s:14:\"is_grandfather\";d:239.19999999999998863131622783839702606201171875;s:14:\"is_grandmother\";i:299;s:15:\"not_grandfather\";i:299;s:10:\"is_expired\";i:299;}}s:8:\"websites\";s:9:\"unlimited\";}}s:8:\"renewals\";O:8:\"stdClass\":4:{s:10:\"extra_days\";i:15;s:16:\"grandfather_date\";i:1640995200;s:16:\"grandmother_date\";i:315532800;s:16:\"discount_percent\";O:8:\"stdClass\":3:{s:14:\"is_grandfather\";i:20;s:15:\"not_grandfather\";i:0;s:10:\"is_expired\";i:0;}}s:5:\"promo\";O:8:\"stdClass\":4:{s:4:\"name\";s:6:\"Spring\";s:16:\"discount_percent\";i:20;s:10:\"start_date\";i:1709769600;s:8:\"end_date\";i:1711065599;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34334", "_transient_woocommerce_webhook_ids_status_active", "a:0:{}", "yes");
INSERT INTO `wp_sa_options` VALUES("34335", "_transient_wc_attribute_taxonomies", "a:2:{i:0;O:8:\"stdClass\":6:{s:12:\"attribute_id\";s:1:\"1\";s:14:\"attribute_name\";s:5:\"brand\";s:15:\"attribute_label\";s:8:\"برند\";s:14:\"attribute_type\";s:6:\"select\";s:17:\"attribute_orderby\";s:10:\"menu_order\";s:16:\"attribute_public\";s:1:\"0\";}i:1;O:8:\"stdClass\":6:{s:12:\"attribute_id\";s:1:\"2\";s:14:\"attribute_name\";s:5:\"color\";s:15:\"attribute_label\";s:6:\"رنگ\";s:14:\"attribute_type\";s:6:\"select\";s:17:\"attribute_orderby\";s:10:\"menu_order\";s:16:\"attribute_public\";s:1:\"0\";}}", "yes");
INSERT INTO `wp_sa_options` VALUES("34337", "_transient_timeout_dokan_dokan_i18n-dokan-1716803732-fa_ir", "1717409549", "no");
INSERT INTO `wp_sa_options` VALUES("34338", "_transient_dokan_dokan_i18n-dokan-1716803732-fa_ir", "a:2:{s:6:\"domain\";s:5:\"dokan\";s:11:\"locale_data\";a:1:{s:5:\"dokan\";a:5859:{s:0:\"\";a:3:{s:6:\"domain\";s:5:\"dokan\";s:4:\"lang\";s:5:\"fa_IR\";s:12:\"plural_forms\";s:34:\"nplurals=2; plural=(n==0 || n==1);\";}i:0;a:1:{i:0;s:18:\" ) بین رزرو\";}i:1;a:1:{i:0;s:13:\" ويرايش\";}i:2;a:1:{i:0;s:292:\" کد های تخفیف درهر اقلام فقط زمانی کار میکنند که اقلام موردنظر در حراج نباشد. کد های تخفیف در هر سبد خرید فقط زمانی کار میکنند که هیچ اقلام حراجی در سبد خرید نباشد.\";}i:3;a:1:{i:0;s:24:\" مشاهده بیشتر\";}i:4;a:1:{i:0;s:19:\" نوشتن نظر \";}i:5;a:1:{i:0;s:14:\" و متغیر\";}i:6;a:1:{i:0;s:41:\" با موفقیت فعال شده است\";}i:7;a:1:{i:0;s:47:\" با موفقیت غیرفعال شده است\";}i:8;a:1:{i:0;s:7:\" تکه\";}i:9;a:1:{i:0;s:30:\"\"%s\" جداسازی شرایط\";}i:10;a:1:{i:0;s:38:\"\"{product_title}\" لغو شده است\";}i:11;a:1:{i:0;s:23:\"# تعداد افراد\";}i:12;a:1:{i:0;s:3:\"#%s\";}i:13;a:1:{i:0;s:67:\"#%s &ndash; SKU متغیرباید منحصر به فرد باشد.\";}i:14;a:1:{i:0;s:27:\"% تکمیل پروفایل\";}i:15;a:1:{i:0;s:12:\"% هزینه\";}i:16;a:1:{i:0;s:55:\"%1$1s - سفارش  %2$2s, زیر سفارش از %3$3s\";}i:17;a:1:{i:0;s:64:\"‫%1$d سفارش از مجموع %2$d بررسی شده است\";}i:18;a:1:{i:0;s:75:\"‫%1$d%% <br>برای %2$s <br> در حداقل مقدار سفارش %3$s\";}i:19;a:1:{i:0;s:9:\"%1$s %2$s\";}i:20;a:1:{i:0;s:28:\"کیف پول %1$s %2$s %3$s\";}i:21;a:1:{i:0;s:18:\"کارت %1$s %2$s\";}i:22;a:1:{i:0;s:62:\"%1$s &#8220;%2$s&#8221; درحال حاضر وجود دارد.\";}i:23;a:1:{i:0;s:12:\"%1$s (#%2$s)\";}i:24;a:1:{i:0;s:11:\"%1$s (%2$s)\";}i:25;a:1:{i:0;s:22:\"%1$s - سفارش %2$s\";}i:26;a:1:{i:0;s:51:\"%1$s - سفارش  %2$s, زیرسفارش از %3$s\";}i:27;a:1:{i:0;s:11:\"%1$s / %2$s\";}i:28;a:1:{i:0;s:86:\"%1$s <br /><small>(فقط %2$s با <strong>%3$s</strong> فاصله دارد)</small>\";}i:29;a:1:{i:0;s:18:\"%1$s @ %2$s : %3$s\";}i:30;a:1:{i:0;s:235:\"خطای %1$s: استرداد خودکار برای این سفارش امکان پذیر نیست. دلیل: هیچ شناسه پرداخت پی پال یافت نشد. شناسه بازپرداخت: %2$s، شناسه سفارش: %3$s\";}i:31;a:1:{i:0;s:235:\"خطای %1$s: استرداد خودکار برای این سفارش امکان پذیر نیست. دلیل: هیچ شناسه پرداخت پی پال یافت نشد. شناسه بازپرداخت: %2$s، شناسه سفارش: %3$s\";}i:32;a:1:{i:0;s:14:\"%1$s در %2$s\";}i:33;a:1:{i:0;s:30:\"%1$s از نوع %2$s نیست\";}i:34;a:1:{i:0;s:94:\"برای استفاده از ماژول %2$s باید افزونه %1$s غیرفعال شود!\";}i:35;a:2:{i:0;s:73:\"‫%1$s %2$d سفارش (%3$d مورد) بازپرداخت شده است.\";i:1;s:73:\"‫%1$s %2$d سفارش (%3$d مورد) بازپرداخت شده است.\";}i:36;a:1:{i:0;s:32:\"%1$s به %2$s نیاز دارد\";}i:37;a:1:{i:0;s:122:\"%1$s به حداکثر مقدار %2$s نیاز دارد. شما در حال حاضر %3$d در سبد خرید دارید\";}i:38;a:1:{i:0;s:122:\"%1$s به حداکثر تعداد %2$d نیاز دارد. شما در حال حاضر %3$d در سبد خرید دارید\";}i:39;a:1:{i:0;s:120:\"%1$s به حداقل مقدار %2$s نیاز دارد. شما در حال حاضر %3$d در سبد خرید دارید\";}i:40;a:1:{i:0;s:120:\"%1$s به حداقل تعداد %2$d نیاز دارد. شما در حال حاضر %3$d در سبد خرید دارید\";}i:41;a:1:{i:0;s:85:\"%1$s از طریق %2$s  در %3$s با شماره پیگیری %4$s ارسال شد.\";}i:42;a:1:{i:0;s:120:\"ارسال %1$s به کلید %2$s نیاز دارد. لطفاً کلید API خود را در %3$s تنظیم کنید.\";}i:43;a:1:{i:0;s:286:\"%1$s تا زمانی که اطلاعات مورد نیاز را ارائه نکنید برای مشتریان شما قابل مشاهده نخواهد بود. دستورالعمل هایی را که Stripe به آدرس ایمیل شما ارسال کرده است دنبال کنید.\";}i:44;a:1:{i:0;s:39:\"%1$s: خطای استرداد API: %2$s\";}i:45;a:1:{i:0;s:101:\"%1$s: استرداد خودکار برای سفارش ناموفق بود: %2$s. یادداشت: %3$s\";}i:46;a:1:{i:0;s:52:\"%1$s: استرداد خودکار انجام نشد.\";}i:47;a:1:{i:0;s:74:\"%1$s: استرداد خودکار انجام نشد. وضعیت: %2$s.%3$s\";}i:48;a:1:{i:0;s:175:\"%1$s: استرداد خودکار برای این سفارش امکان پذیر نیست. استرداد انتقالی اجازه استرداد جزئی را نمی دهد.\";}i:49;a:1:{i:0;s:48:\"%1$s: پرداخت سفارش از طریق %2$s\";}i:50;a:1:{i:0;s:126:\"%1$s: این استرداد مجاز به تأیید نیست، شناسه استرداد : %2$d، شناسه سفارش: %3$d\";}i:51;a:1:{i:0;s:35:\"%1$s: شناسه تراکنش: %2$s\";}i:52;a:1:{i:0;s:76:\"%1$s: هزینه پردازش برای زیر سفارش %2$s ، %3$s است\";}i:53;a:1:{i:0;s:127:\"%1$sهنگام تهیه فرم پرداخت خطایی روی داد. لطفا بعدا دوباره امتحان کنید.%2$s\";}i:54;a:1:{i:0;s:131:\"%1$sایجاد یک برنامه%2$s.اگر یکی ندارید شناسه برنامه و سکرت را در زیر پر کنید.\";}i:55;a:1:{i:0;s:233:\"%1$sخطا!%2$s نمی‌توان محصول %3$s را به سبد خرید اضافه کرد، این محصول/فروشنده واجد شرایط پرداخت با %4$s نیست که تنها روش پرداخت موجود است.\";}i:56;a:1:{i:0;s:544:\"‫%1$sحالت آزمایشی:%2$s از کارت ویزای آزمایشی با شماره 4242424242424242 و هر تاریخ انقضاء و CVC استفاده کنید. روش‌های پرداخت دیگر ممکن است به صفحه آزمایشی Stripe هدایت شوند تا پرداخت را تأیید کنند. به عنوان مثال، 4000002500003155 یک کارت آزمایشی با امنیت سه‌بعدی است. شماره‌های بیشتر کارت آزمایشی در %3$sاینجا%4$s لیست شده‌اند.\";}i:57;a:1:{i:0;s:186:\"%4$sاین محصول را برای: <strong>%1$s</strong> تبلیغ کنید، هزینه تبلیغات: <strong>%2$s</strong>، جایگاه باقیمانده: <strong>%3$s</strong>\";}i:58;a:1:{i:0;s:19:\"%d %s برای %s; \";}i:59;a:2:{i:0;s:20:\"%d نشان جدید\";i:1;s:20:\"%d نشان جدید\";}i:60;a:2:{i:0;s:22:\"%d روش پرداخت\";i:1;s:22:\"%d روش پرداخت\";}i:61;a:1:{i:0;s:2:\"%s\";}i:62;a:1:{i:0;s:7:\"%s (%d)\";}i:63;a:1:{i:0;s:12:\"%s / &infin;\";}i:64;a:1:{i:0;s:52:\"%s یک گزارش تخلف جدید ارسال شد\";}i:65;a:1:{i:0;s:13:\"%s تخفیف\";}i:66;a:1:{i:0;s:13:\"%s سفارش\";}i:67;a:1:{i:0;s:13:\"%s محصول\";}i:68;a:1:{i:0;s:17:\"تنظیمات %s\";}i:69;a:1:{i:0;s:17:\"%s فروشنده\";}i:70;a:1:{i:0;s:15:\"%s برداشت\";}i:71;a:1:{i:0;s:9:\"%s قبل\";}i:72;a:1:{i:0;s:52:\"میانگین فروش ناخالص روزانه %s\";}i:73;a:1:{i:0;s:52:\"میانگین فروش ناخالص ماهانه %s\";}i:74;a:1:{i:0;s:48:\"میانگین فروش خالص روزانه %s\";}i:75;a:1:{i:0;s:48:\"میانگین فروش خالص ماهانه %s\";}i:76;a:1:{i:0;s:58:\"%s هزینه‌ی صرف شده برای حمل و نقل\";}i:77;a:2:{i:0;s:20:\"%s نظر مشتری\";i:1;s:20:\"%s نظر مشتری\";}i:78;a:2:{i:0;s:12:\"%s‌ روز\";i:1;s:12:\"%s‌ روز\";}i:79;a:1:{i:0;s:45:\"فروش ناخالص %s در این دوره\";}i:80;a:1:{i:0;s:73:\"%s به تازگی فروشگاه شما را دنبال کرده است.\";}i:81;a:1:{i:0;s:75:\"%s به تازگی فروشگاه شما را آنفالو کرده است.\";}i:82;a:1:{i:0;s:47:\"%s به مکالمه پاسخ داده است: \";}i:83;a:1:{i:0;s:20:\"%s ضروری است\";}i:84;a:1:{i:0;s:35:\"%s اقلام خریداری شده\";}i:85;a:1:{i:0;s:57:\"ماژول %s در سیستم شما موجود نیست.\";}i:86;a:1:{i:0;s:41:\"فروش خالص %s در این دوره\";}i:87;a:1:{i:0;s:18:\"%s یا بیشتر\";}i:88;a:1:{i:0;s:35:\"%s سفارشات ارائه شده\";}i:89;a:1:{i:0;s:47:\"%s پارامتر در توکن یافت نشد\";}i:90;a:2:{i:0;s:36:\"%s محصول درون ریزی شد\";i:1;s:36:\"%s محصول درون ریزی شد\";}i:91;a:2:{i:0;s:37:\"%s محصول بروزرسانی شد\";i:1;s:37:\"%s محصول بروزرسانی شد\";}i:92;a:2:{i:0;s:23:\"%s محصول رد شد\";i:1;s:23:\"%s محصول رد شد\";}i:93;a:1:{i:0;s:60:\"اسلات زمانی %s نمی تواند خالی باشد\";}i:94;a:1:{i:0;s:63:\"%s به عنوان آرگومان درخواست ثبت نشد.\";}i:95;a:1:{i:0;s:44:\"%s ارزش تخفیف استفاده شده\";}i:96;a:1:{i:0;s:73:\"%s, آخرین بروزرسانی ها از %s را مشاهده کنید\";}i:97;a:1:{i:0;s:6:\"%s: %d\";}i:98;a:1:{i:0;s:6:\"%s: %s\";}i:99;a:1:{i:0;s:8:\"%sمین\";}i:100;a:1:{i:0;s:8:\"%sمین\";}i:101;a:1:{i:0;s:8:\"%sمین\";}i:102;a:1:{i:0;s:8:\"%sمین\";}i:103;a:1:{i:0;s:7:\"&laquo;\";}i:104;a:1:{i:0;s:16:\"&laquo; قبلی\";}i:105;a:1:{i:0;s:33:\"&rarr; بازگشت به لیست\";}i:106;a:1:{i:0;s:19:\"&nbsp; ویرایش\";}i:107;a:1:{i:0;s:7:\"&raquo;\";}i:108;a:1:{i:0;s:8:\"( %1$s )\";}i:109;a:1:{i:0;s:35:\"(بر اساس برنامه شما)\";}i:110;a:1:{i:0;s:71:\"(افزودن پاسخ، تیکت را دوباره باز می کند)\";}i:111;a:1:{i:0;s:17:\"(بدون نام)\";}i:112;a:1:{i:0;s:14:\"(اجباری)\";}i:113;a:1:{i:0;s:38:\"(واحد نگهداری موجودی)\";}i:114;a:1:{i:0;s:48:\"(این مورد باید استفاده شود)\";}i:115;a:1:{i:0;s:354:\"(این تنها زمانی کار می کند که امنیت 3D و SCA غیرفعال باشد) در صورت فعال بودن ، این گزینه به جای فیلدهای کارت اعتباری مستقیماً در صفحه ، دکمه \"پرداخت\" و فرم کارت اعتباری معین را در تسویه حساب نشان می دهد.\";}i:116;a:1:{i:0;s:21:\"(بدون تاریخ)\";}i:117;a:1:{i:0;s:17:\"(بدون نام)\";}i:118;a:1:{i:0;s:21:\"(بدون سفارش)\";}i:119;a:1:{i:0;s:15:\"(بدون پک)\";}i:120;a:1:{i:0;s:25:\"(بدون فروشگاه)\";}i:121;a:1:{i:0;s:1:\")\";}i:122;a:1:{i:0;s:37:\"+ افزودن یک دسته بندی\";}i:123;a:1:{i:0;s:21:\"+ ایجاد نشان\";}i:124;a:1:{i:0;s:9:\"+123456..\";}i:125;a:1:{i:0;s:27:\"— بدون تغییر —\";}i:126;a:1:{i:0;s:27:\"- انتخاب فیلتر -\";}i:127;a:1:{i:0;s:30:\"- انتخاب یک مکان -\";}i:128;a:1:{i:0;s:16:\"- انتخاب -\";}i:129;a:1:{i:0;s:27:\"-- تغییر وضعیت --\";}i:130;a:1:{i:0;s:27:\"-- انتخاب قیمت --\";}i:131;a:1:{i:0;s:38:\"-- انتخاب برچسب قیمت --\";}i:132;a:1:{i:0;s:32:\"-- انتخاب یک پکیج --\";}i:133;a:1:{i:0;s:32:\"-- انتخاب یک پکیج --\";}i:134;a:1:{i:0;s:27:\"--انتخاب استان--\";}i:135;a:1:{i:0;s:1:\"0\";}i:136;a:1:{i:0;s:4:\"0.00\";}i:137;a:1:{i:0;s:2:\"۳\";}i:138;a:1:{i:0;s:20:\"امنیت 3D و SCA\";}i:139;a:1:{i:0;s:124:\"اگر ویژگی گفتگوی زنده وجود نداشته باشد ، 77% o از مشتریان خرید نمی کنند\";}i:140;a:1:{i:0;s:40:\"<a href=\"%s\">#%s</a> توسط %s در %s\";}i:141;a:1:{i:0;s:85:\"<a target=\"_blank\" href=\"%s\">برای مشاهده جزئیات کلیک کنید</a>\";}i:142;a:1:{i:0;s:90:\"<p><b>برای تایید ایمیل <a href=\'%s\'>اینجا کلیک کنید</a></b></p>\";}i:143;a:1:{i:0;s:106:\"<strong>%1$s</strong> <small>( بعدی در %2$s )</small> تا <strong>%3$s</strong> <small>%4$s</small>\";}i:144;a:1:{i:0;s:253:\"<strong>خطا!</strong> %1$s از بیش از 10 محصول فروشنده در سبد خرید پشتیبانی نمی کند. لطفاً برخی از محصولات فروشنده را حذف کنید تا به خرید با %1$s ادامه دهید\";}i:145;a:1:{i:0;s:176:\"<strong>خطا!</strong> هزینه تبلیغات با قیمت فهرست مطابقت ندارد. لطفاً <strong>%1$s</strong> را از سبد خرید حذف کنید.\";}i:146;a:1:{i:0;s:174:\"<strong>خطا!</strong> اعتبار آگهی با فهرست انقضا مطابقت ندارد. لطفاً <strong>%1$s</strong> را از سبد خرید حذف کنید.\";}i:147;a:1:{i:0;s:190:\"<strong>خطا!</strong> نمی‌توان محصول %1$s را به سبد خرید اضافه کرد، محصول اشتراک هنوز واجد شرایط پرداخت با %2$s نیست.\";}i:148;a:1:{i:0;s:189:\"<strong>خطا!</strong> نمی‌توان محصول %1$s را به سبد خرید اضافه کرد، این محصول/فروشنده واجد شرایط پرداخت با %2$s نیست\";}i:149;a:1:{i:0;s:221:\"<strong>خطا!</strong> نمی‌توان محصول <strong>%1$s</strong> را به سبد خرید اضافه کرد. تبلیغات محصول به همراه سایر محصولات قابل خرید نمی باشد.\";}i:150;a:1:{i:0;s:210:\"<strong>خطا!</strong> نمی‌توان محصول <strong>%1$s</strong> را به سبد خرید اضافه کرد. ویژگی خرید تبلیغات محصول توسط مدیر محدود شده است.\";}i:151;a:1:{i:0;s:190:\"<strong>خطا!</strong> ویژگی خرید تبلیغات محصول توسط مدیر محدود شده است. لطفاً <strong>%1$s</strong> را از سبد خرید حذف کنید.\";}i:152;a:1:{i:0;s:185:\"<strong>خطا!</strong> محصول %s را حذف و پرداخت را ادامه دهید، این محصول/فروشنده واجد شرایط پرداخت با پی پال نیست\";}i:153;a:1:{i:0;s:191:\"<strong>خطا!</strong> محصول %s را حذف کنید و پرداخت را ادامه دهید، این محصول/فروشنده واجد شرایط پرداخت با Razorpay نیست\";}i:154;a:1:{i:0;s:184:\"<strong>خطا!</strong> اطلاعات مورد نیاز برای خرید این آگهی یافت نشد. لطفاً <strong>%1$s</strong> را از سبد خرید حذف کنید.\";}i:155;a:1:{i:0;s:270:\"<strong>خطا!</strong>تا زمانی که <strong>%1$s</strong> حساب Wirecard را به عنوان درگاه پرداخت فعال نکند ، نمی توانید خرید خود را انجام دهید. لطفاً %2$s را برای ادامه حذف کنید.\";}i:156;a:1:{i:0;s:267:\"<strong> خطا! </strong> تا زمانی که <strong>%s</strong>  استریپ را به عنوان درگاه پرداخت فعال نکنید ، نمی توانید خرید خود را انجام دهید. لطفاً برای ادامه %s را حذف کنید.\";}i:157;a:1:{i:0;s:56:\"<strong>خطای API بازار پی پال:</strong> %s\";}i:158;a:1:{i:0;s:71:\"<strong>واحد های پولی پشتیبانی شده: </strong> %s.\";}i:159;a:1:{i:0;s:64:\"مقدار \"شناسه مشتری استریپ\" لازم است.\";}i:160;a:1:{i:0;s:99:\"یک افزودنی افزونه دکان برای شخصی سازی رنگ داشبورد دکان\";}i:161;a:1:{i:0;s:49:\"یک پاسخ جدید در تیکت #{ticket_id}\";}i:162;a:1:{i:0;s:65:\"یک پاسخ جدید در مورد تیکت #{ticket_id} شما\";}i:163;a:1:{i:0;s:39:\"یک تیکت پشتیبانی جدید\";}i:164;a:1:{i:0;s:56:\"یک تیکت پشتیبانی جدید ایجاد شد.\";}i:165;a:1:{i:0;s:180:\"یک وب هوک Payin با شناسه منبع %s دریافت شده و از آنجا که سفارش قبلاً پردازش شده است، کنار گذاشته شده است.\";}i:166;a:1:{i:0;s:24:\"یک روش پرداخت\";}i:167;a:1:{i:0;s:56:\"اشتراک توسط {vendor_name} لغو می‌شود\";}i:168;a:1:{i:0;s:152:\"رزرواسیون توسط %s  انجام شده است و منتظر تأیید شما است. جزئیات این رزرو به شرح زیر است:\";}i:169;a:1:{i:0;s:63:\"مشتری برای عمده فروشی درخواست دارد\";}i:170;a:1:{i:0;s:163:\"یک مشتری برای عمده فروشی درخواست کرده است. و منتظر تایید شما است. جزئیات این به شرح زیر است:\";}i:171;a:1:{i:0;s:49:\"لیستی از محصولات تبلیغ شده.\";}i:172;a:1:{i:0;s:70:\"لیستی از نشان‌های کسب شده فروشگاه شما.\";}i:173;a:1:{i:0;s:124:\"ماژولی که فروشنده های متعددی را برای فروش یک محصول واحد ارائه می دهد.\";}i:174;a:1:{i:0;s:79:\"یک اطلاعیه جدید در سایت {site_name} ایجاد شده است\";}i:175;a:1:{i:0;s:111:\"رزرو جدید توسط %s انجام شده است. جزئیات این رزرو به شرح زیر است:\";}i:176;a:1:{i:0;s:57:\"کد تخفیف جدید برای شما ایجاد شد.\";}i:177;a:1:{i:0;s:70:\"یک استعلام جدید برای محصول شما %s ثبت شد\";}i:178;a:1:{i:0;s:83:\"درخواست عودت وجه و بازگشت جدید توسط %s ایجاد شد\";}i:179;a:1:{i:0;s:79:\"یک پاسخ جدید توسط %s به مکالمه افزوده شده است\";}i:180;a:1:{i:0;s:104:\"یک پاسخ جدید به درخواست بازپرداخت یا بازگشت اضافه می‌شود\";}i:181;a:1:{i:0;s:197:\"درخواست جدیدی برای استرداد برای تأیید سرپرست ارسال شد - شناسه درخواست استرداد: #%1$s - مبلغ استرداد: %2$s - دلیل: %3$s\";}i:182;a:1:{i:0;s:86:\"یک تیکت پشتیبانی جدید در فروشگاه ایجاد شده است: \";}i:183;a:1:{i:0;s:132:\"یک ایمیل تأیید جدید به ایمیل شما ارسال شده است. لطفا برای ورود تایید کنید.\";}i:184;a:1:{i:0;s:84:\"یک درخواست تأیید جدید توسط %1$s %2$s ایجاد شده است.\";}i:185;a:1:{i:0;s:77:\"یک درخواست تأیید جدید توسط %s ایجاد شده است.\";}i:186;a:1:{i:0;s:323:\"در تلاشی برای پرداخت این سفارش از پرداخت با شناسه %s استفاده شد. این شناسه هدف پرداخت با هیچ پرداختی برای این سفارش مطابقت ندارد، بنابراین نادیده گرفته شد و سفارش به‌روزرسانی نشد.\";}i:187;a:1:{i:0;s:117:\"پلتفرمی که در آن به فروشندگان با فعالیت هایشان نشان داده می‌شود.\";}i:188;a:1:{i:0;s:99:\"افزونه ای برای مدیریت فروشگاه از طریق کارکنان فروشنده.\";}i:189;a:1:{i:0;s:105:\"افزونه ای برای تجزیه و تحلیل فروشگاه و محصول برای فروشنده.\";}i:190;a:1:{i:0;s:112:\"افزونه ای که به مشتریان امکان می دهد به فروشندگان امتیاز دهند.\";}i:191;a:1:{i:0;s:113:\"افزونه ای که حراج ساده ووکامرس و افزونه دکان را ترکیب کرده است.\";}i:192;a:1:{i:0;s:54:\"یک محصول در سایت شما به روز شد.\";}i:193;a:1:{i:0;s:52:\"محصول با این شناسه وجود دارد.\";}i:194;a:1:{i:0;s:90:\"محصولی با این SKU از قبل در فروشنده دیگری وجود دارد.\";}i:195;a:1:{i:0;s:71:\"یک محصول با این SKU در حال حاضر وجود دارد.\";}i:196;a:1:{i:0;s:412:\"یک ناحیه حمل و نقل یک منطقه جغرافیایی است که مجموعه ای از روش های حمل و نقل ارائه می‌شود. ما یک مشتری را به یک منطقه واحد با استفاده از آدرس حمل و نقل خود مطابقت خواهیم داد و روش های حمل و نقل را در آن منطقه به آنها ارائه خواهیم داد.\";}i:197;a:1:{i:0;s:47:\"اشتراکی توسط %s لغو شده است\";}i:198;a:1:{i:0;s:227:\"اشتراک از سبد خرید شما حذف شده است. به دلیل محدودیت های درگاه پرداخت ، محصولات مختلف اشتراک به طور همزمان قابل خریداری نیستند.\";}i:199;a:1:{i:0;s:223:\"اشتراک از سبد خرید شما حذف شده است. با توجه به محدودیت دروازه پرداخت، محصولات و اشتراک ها را نمی توان در یک زمان خریداری کرد.\";}i:200;a:1:{i:0;s:161:\"اشتراک از سبد خرید شما حذف شده است. محصولات و اشتراک ها به طور همزمان قابل خریداری نیستند.\";}i:201;a:1:{i:0;s:104:\"درخواست پشتیبانی توسط مشتری در فروشگاه شما ساخته شده است \";}i:202;a:1:{i:0;s:110:\"یک درخواست پشتیبانی توسط مشتری در فروشگاه شما ایجاد شده است: \";}i:203;a:1:{i:0;s:118:\"هنگام اتصال به سرور، خطای تایم‌اوت رخ داد. لطفا دوباره تلاش کنید.\";}i:204;a:1:{i:0;s:313:\"کاربری از قبل با ایمیل مرتبط با صورت‌حساب وجود دارد. اگر این ایمیل متعلق به شماست، لطفا ابتدا وارد حساب کاربری خود شوید. در غیر این صورت سعی کنید از ایمیل دیگری استفاده کنید.\";}i:205;a:1:{i:0;s:64:\"یک درخواست عمده در انتظار تأیید است\";}i:206;a:1:{i:0;s:3:\"ABA\";}i:207;a:1:{i:0;s:16:\"اعتبار API\";}i:208;a:1:{i:0;s:12:\"کلید API\";}i:209;a:1:{i:0;s:21:\"رمز‌عبور API\";}i:210;a:1:{i:0;s:12:\"سکرت API\";}i:211;a:1:{i:0;s:12:\"امضا API\";}i:212;a:1:{i:0;s:23:\"نام کاربری API\";}i:213;a:1:{i:0;s:16:\"اعتبار API\";}i:214;a:1:{i:0;s:10:\"صعودی\";}i:215;a:1:{i:0;s:6:\"قطع\";}i:216;a:1:{i:0;s:34:\"درباره فروشگاه شما\";}i:217;a:1:{i:0;s:32:\"بالای زبانه محصول\";}i:218;a:1:{i:0;s:46:\"بالای زبانه های محصول تکی\";}i:219;a:1:{i:0;s:8:\"مطلق\";}i:220;a:1:{i:0;s:23:\"گزارشات تخلف\";}i:221;a:1:{i:0;s:30:\"شناسه گزارش تخلف\";}i:222;a:1:{i:0;s:213:\"پرداخت های کارت اعتباری را بپذیرید و به فروشندگان خود اجازه دهید تا از طریق Razorpay پرداخت خودکار را در دکان دریافت کنند.\";}i:223;a:1:{i:0;s:223:\"پرداخت های کارت اعتباری را بپذیرید و به فروشندگان خود اجازه دهید تقسیم پرداخت خودکار را در دکان از طریق استریپ دریافت کنند.\";}i:224;a:1:{i:0;s:232:\"کارت‌های نقدی و اعتباری را با ارزهای مختلف، روش‌هایی مانند iDEAL و کیف‌پول‌هایی مانند Google Pay یا Apple Pay با پرداخت یک‌لمسی بپذیرید.\";}i:225;a:1:{i:0;s:111:\"مقدار پذیرفته شده برای %1$s مقدار -1 یا عدد صحیح مثبت غیر صفر است\";}i:226;a:1:{i:0;s:22:\"دسترسی رد شد\";}i:227;a:1:{i:0;s:25:\"انقضای دسترسی\";}i:228;a:1:{i:0;s:10:\"اسکان\";}i:229;a:1:{i:0;s:25:\"رزرو اقامتگاه\";}i:230;a:1:{i:0;s:97:\"با توجه به جستجوی شما، سیستم هیچ نتیجه ای دریافت نکرد.\";}i:231;a:1:{i:0;s:19:\"ایمیل حساب\";}i:232;a:1:{i:0;s:26:\"آدرس صاحب حساب\";}i:233;a:1:{i:0;s:26:\"کشور صاحب حساب\";}i:234;a:1:{i:0;s:28:\"نام دارنده حساب\";}i:235;a:1:{i:0;s:28:\"استان صاحب حساب\";}i:236;a:1:{i:0;s:23:\"اطلاعات حساب\";}i:237;a:1:{i:0;s:28:\"نام حساب کاربری\";}i:238;a:1:{i:0;s:28:\"شماره شبا / حساب\";}i:239;a:1:{i:0;s:19:\"شماره حساب\";}i:240;a:1:{i:0;s:12:\"حساب SID\";}i:241;a:1:{i:0;s:15:\"نوع حساب\";}i:242;a:1:{i:0;s:41:\"حساب با موفقیت متصل شد.\";}i:243;a:1:{i:0;s:38:\"حساب با موفقیت قطع شد\";}i:244;a:1:{i:0;s:39:\"حساب با موفقیت قطع شد.\";}i:245;a:1:{i:0;s:88:\"حساب به MangoPay متصل نیست. لطفا حساب خود را وصل کنید.\";}i:246;a:1:{i:0;s:365:\"حساب‌های ایجاد شده با استفاده از کلیدهای حالت تست می‌توانند در هر زمانی حذف شوند.%1$s%2$sحساب‌های %3$sStripe Express ایجاد شده با استفاده از کلیدهای حالت زنده فقط زمانی قابل حذف هستند که تمام موجودی‌ها صفر شوند.\";}i:247;a:1:{i:0;s:23:\"سطوح کسب شده:\";}i:248;a:1:{i:0;s:22:\"نشان کسب شده\";}i:249;a:1:{i:0;s:33:\"نشان و سطح کسب شده:\";}i:250;a:1:{i:0;s:40:\"شناسه سطح نشان کسب شده\";}i:251;a:1:{i:0;s:32:\"وضعیت سطح کسب شده.\";}i:252;a:1:{i:0;s:41:\"شناسه فروشنده کسب کرده\";}i:253;a:1:{i:0;s:19:\"تاریخ کسب: \";}i:254;a:1:{i:0;s:6:\"عمل\";}i:255;a:1:{i:0;s:14:\"اقدامات\";}i:256;a:1:{i:0;s:19:\"فعال‌سازی\";}i:257;a:1:{i:0;s:46:\"فعال سازی لایسنس دکان پرو\";}i:258;a:1:{i:0;s:29:\"فعالسازی لایسنس\";}i:259;a:1:{i:0;s:30:\"فعال سازی اشتراک\";}i:260;a:1:{i:0;s:37:\"فعال کردن این افزونه\";}i:261;a:1:{i:0;s:15:\"فعال شده\";}i:262;a:1:{i:0;s:17:\"فعال کردن\";}i:263;a:1:{i:0;s:161:\"فعال کردن این ویژگی مقدار حداقل و حداکثر را برای محصولات و دسته بندی انتخابی تعیین می کند\";}i:264;a:1:{i:0;s:134:\"با فعال کردن این، مقدار حداقل و حداکثر برای محصولات انتخابی تعیین می‌شود.\";}i:265;a:1:{i:0;s:166:\"فعال کردن این ویژگی مقدار حداقل و حداکثر را برای محصولات و دسته بندی انتخاب شده تنظیم می کند\";}i:266;a:1:{i:0;s:134:\"با فعال کردن این، مقدار حداقل و حداکثر برای محصولات انتخابی تعیین می‌شود.\";}i:267;a:1:{i:0;s:33:\"در حال فعال سازی ...\";}i:268;a:1:{i:0;s:8:\"فعال\";}i:269;a:1:{i:0;s:20:\"فعال (لغو %s)\";}i:270;a:1:{i:0;s:40:\"فعال <span class=\'count\'>(%s)</span>\";}i:271;a:1:{i:0;s:30:\"فعال کردن دروازه\";}i:272;a:1:{i:0;s:23:\"کاربران فعال\";}i:273;a:1:{i:0;s:27:\"فروشندگان فعال\";}i:274;a:2:{i:0;s:33:\"فعال برای %d پرداخت\";i:1;s:33:\"فعال برای %d پرداخت\";}i:275;a:1:{i:0;s:51:\"فعال برای پرداختهای نامحدود\";}i:276;a:1:{i:0;s:32:\"فعال برای x پرداخت\";}i:277;a:1:{i:0;s:36:\"روش های پرداخت فعال.\";}i:278;a:1:{i:0;s:12:\"افزودن\";}i:279;a:1:{i:0;s:53:\"افزودن %1$s برای کسب %2$s%% پیشرفت\";}i:280;a:1:{i:0;s:27:\"افزودن اطلاعیه\";}i:281;a:1:{i:0;s:83:\"برای دستیابی به پیشرفت %s%% بنر خود را وارد کنید\";}i:282;a:1:{i:0;s:48:\"اضافه کردن محصول قابل رزرو\";}i:283;a:1:{i:0;s:21:\"افزودن رزرو\";}i:284;a:1:{i:0;s:32:\"افزودن محصول رزرو\";}i:285;a:1:{i:0;s:35:\"افزودن دسته بندی ها\";}i:286;a:1:{i:0;s:30:\"افزودن دسته بندی\";}i:287;a:1:{i:0;s:28:\"افزودن کد تخفیف\";}i:288;a:1:{i:0;s:34:\"افزودن قانون فاصله\";}i:289;a:1:{i:0;s:21:\"افزودن فیلد\";}i:290;a:1:{i:0;s:21:\"افزودن فایل\";}i:291;a:1:{i:0;s:23:\"افزودن تصویر\";}i:292;a:1:{i:0;s:39:\"اضافه کردن سواچ تصویر\";}i:293;a:1:{i:0;s:93:\"برای دستیابی به پیشرفت %s%% لینکداین خود را وارد کنید\";}i:294;a:1:{i:0;s:25:\"افزودن موقعیت\";}i:295;a:1:{i:0;s:98:\"برای دستیابی به پیشرفت %s%% موقعیت نقشه خود را وارد کنید\";}i:296;a:1:{i:0;s:23:\"افزودن بیشتر\";}i:297;a:1:{i:0;s:21:\"افزودن جدید\";}i:298;a:1:{i:0;s:32:\"افزودن تبلیغ جدید\";}i:299;a:1:{i:0;s:36:\"افزودن اطلاعیه جدید\";}i:300;a:1:{i:0;s:54:\"افزودن مقادیر ویژگی‌های جدید\";}i:301;a:1:{i:0;s:43:\"افزودن محصول حراجی جدید\";}i:302;a:1:{i:0;s:41:\"افزودن محصول رزرو جدید\";}i:303;a:1:{i:0;s:39:\"افزودن دسته بندی جدید\";}i:304;a:1:{i:0;s:30:\"افزودن مظنه جدید\";}i:305;a:1:{i:0;s:34:\"افزودن قوانین جدید\";}i:306;a:1:{i:0;s:32:\"افزودن پرسنل جدید\";}i:307;a:1:{i:0;s:32:\"افزودن موضوع جدید\";}i:308;a:1:{i:0;s:28:\"افزودن نظر جدید\";}i:309;a:1:{i:0;s:27:\"افزودن یادداشت\";}i:310;a:1:{i:0;s:23:\"افزودن گزینه\";}i:311;a:1:{i:0;s:26:\"افزودن نوع شخص\";}i:312;a:1:{i:0;s:85:\"برای دستیابی به پیشرفت %s%% تلفن خود را وارد کنید\";}i:313;a:1:{i:0;s:23:\"افزودن محصول\";}i:314;a:1:{i:0;s:104:\"برای دستیابی به پیشرفت %s%% تصویر پروفایل خود را اضافه کنید\";}i:315;a:1:{i:0;s:25:\"افزودن محدوده\";}i:316;a:1:{i:0;s:21:\"افزودن پاسخ\";}i:317;a:1:{i:0;s:60:\"ورودی برداشت معکوس را اضافه کنید.\";}i:318;a:1:{i:0;s:54:\"ورودی برداشت معکوس اضافه شود؟\";}i:319;a:1:{i:0;s:36:\"افزودن روش حمل و نقل\";}i:320;a:1:{i:0;s:36:\"افزودن نرخ حمل و نقل\";}i:321;a:1:{i:0;s:98:\"برای دستیابی به پیشرفت %s%% نام فروشگاه خود را وارد کنید\";}i:322;a:1:{i:0;s:32:\"افزودن به فروشگاه\";}i:323;a:1:{i:0;s:30:\"افزودن کد رهگیری\";}i:324;a:1:{i:0;s:89:\"برای دستیابی به پیشرفت %s%% توئیتر خود را وارد کنید\";}i:325;a:1:{i:0;s:16:\"افزودن UBO\";}i:326;a:1:{i:0;s:23:\"افزودن متغیر\";}i:327;a:1:{i:0;s:89:\"برای دستیابی به پیشرفت %s%% یوتیوب خود را وارد کنید\";}i:328;a:1:{i:0;s:96:\"برای دستیابی به پیشرفت %s%% روش پرداخت خود را وارد کنید\";}i:329;a:1:{i:0;s:85:\"برای دستیابی به پیشرفت %s%% آدرس خود را وارد کنید\";}i:330;a:1:{i:0;s:23:\"افزودن ویژگی\";}i:331;a:1:{i:0;s:32:\"افزودن محصول حراج\";}i:332;a:1:{i:0;s:34:\"افزودن محصول حراجی\";}i:333;a:1:{i:0;s:32:\"افزودن محصول رزرو\";}i:334;a:1:{i:0;s:53:\"افزودن وضعیت حمل و نقل سفارشی\";}i:335;a:1:{i:0;s:27:\"افزودن توضیحات\";}i:336;a:1:{i:0;s:89:\"برای دستیابی به پیشرفت %s%% فیسبوک خود را وارد کنید\";}i:337;a:1:{i:0;s:112:\"برای دریافت اطلاعات بیشتر از مشتریان ، فیلدهایی را اضافه کنید\";}i:338;a:1:{i:0;s:34:\"افزودن تصویر گالری\";}i:339;a:1:{i:0;s:21:\"افزودن ساعت\";}i:340;a:1:{i:0;s:53:\"چندین دلیل سفارشی اضافه کنید.\";}i:341;a:1:{i:0;s:21:\"افزودن جدید\";}i:342;a:1:{i:0;s:37:\"افزودن کد تخفیف جدید\";}i:343;a:1:{i:0;s:30:\"افزودن منبع جدید\";}i:344;a:1:{i:0;s:32:\"افزودن پرسنل جدید\";}i:345;a:1:{i:0;s:27:\"افزودن یادداشت\";}i:346;a:1:{i:0;s:49:\"افزودن در تنظیمات گارانتی: \";}i:347;a:1:{i:0;s:23:\"افزودن محصول\";}i:348;a:1:{i:0;s:413:\"کشورهایی که محصولات‌تان را به آنجا تحویل میدهید اضاف کنید. همچنین میتوانید استان ها را نیز تعیین کنید. اگر غیر از بعضی کشورها/استان ها مبلغ حمل و نقل یکسان است، گزینه‌ی <strong>هرجای دیگر<strong/>وجود دارد، میتوانید از آن استفاده کنید.\";}i:349;a:1:{i:0;s:26:\"افزودن به مظنه\";}i:350;a:1:{i:0;s:24:\"افزودن به سبد\";}i:351;a:1:{i:0;s:26:\"افزودن به مظنه\";}i:352;a:1:{i:0;s:91:\"روش حمل و نقل خود را برای منطقه مورد نظر اضافه کنید\";}i:353;a:1:{i:0;s:24:\"افزودن&nbsp;متا\";}i:354;a:1:{i:0;s:44:\"افزودنی با موفقیت حذف شد\";}i:355;a:1:{i:0;s:29:\"فیلدهای افزودنی\";}i:356;a:1:{i:0;s:48:\"افزودنی با موفقیت ذخیره شد\";}i:357;a:1:{i:0;s:21:\"افزودنی‌ها\";}i:358;a:1:{i:0;s:28:\"گروه افزودنی ها\";}i:359;a:1:{i:0;s:32:\"افزودن/لینک منابع\";}i:360;a:1:{i:0;s:25:\"اطلاعات اضافی\";}i:361;a:1:{i:0;s:21:\"منابع اضافی\";}i:362;a:1:{i:0;s:32:\"افزودنی های اضافی\";}i:363;a:1:{i:0;s:23:\"محتوای اضافه\";}i:364;a:1:{i:0;s:26:\"هزینه‌ی اضافی\";}i:365;a:1:{i:0;s:19:\"افزودنی ها\";}i:366;a:1:{i:0;s:8:\"آدرس\";}i:367;a:1:{i:0;s:9:\"آدرس \";}i:368;a:1:{i:0;s:10:\"آدرس 1\";}i:369;a:1:{i:0;s:26:\"آدرس 1 خالی است\";}i:370;a:1:{i:0;s:10:\"آدرس 2\";}i:371;a:1:{i:0;s:26:\"آدرس 2 خالی است\";}i:372;a:1:{i:0;s:21:\"جزییات آدرس\";}i:373;a:1:{i:0;s:19:\"تایید آدرس\";}i:374;a:1:{i:0;s:28:\"آدرس الزامی است\";}i:375;a:1:{i:0;s:9:\"آدرس:\";}i:376;a:1:{i:0;s:151:\"پشتیبانی چاپ برچسب ShipStation را به دکان اضافه می کند. نیاز به پشتیبانی DomDocument سرور دارد.\";}i:377;a:1:{i:0;s:96:\"هنگام خرید این محصول یک کادر تأیید سن را اضافه می کند.\";}i:378;a:1:{i:0;s:21:\"بافر مجاور؟\";}i:379;a:1:{i:0;s:19:\"تنظیم قیمت\";}i:380;a:1:{i:0;s:8:\"مدیر\";}i:381;a:1:{i:0;s:23:\"کمیسیون مدیر\";}i:382;a:1:{i:0;s:30:\"نرخ کمیسیون مدیر\";}i:383;a:1:{i:0;s:57:\"کمیسیون مدیریت از این دسته بندی\";}i:384;a:1:{i:0;s:30:\"نوع کمیسیون مدیر\";}i:385;a:1:{i:0;s:30:\"کمیسیون های مدیر\";}i:386;a:1:{i:0;s:79:\"مدیر یک کد تخفیف برای فروشگاه شما ایجاد کرد.\";}i:387;a:1:{i:0;s:37:\"مدیر به اشتراک گذاشت\";}i:388;a:1:{i:0;s:22:\"اشتراک مدیر \";}i:389;a:1:{i:0;s:53:\"مبلغ کد تخفیف مشترک توسط مدیر\";}i:390;a:1:{i:0;s:206:\"ادمین می تواند با اجازه دادن به فروشندگان برای تبلیغ محصولات خود و ارائه نمایش مناسب به آنها درآمد بیشتری کسب کند.\";}i:391;a:1:{i:0;s:163:\"مدیر می‌تواند چندین زمان‌بندی را فعال کند، اما فروشنده می‌تواند تنها از یکی استفاده کند\";}i:392;a:1:{i:0;s:161:\"ادمین می تواند یکی یا هر دو را فعال کند و فروشنده از آن که برایش مناسب است،  استفاده می کند\";}i:393;a:1:{i:0;s:23:\"کمیسیون مدیر\";}i:394;a:1:{i:0;s:47:\"کمیسیون فلت مدیر لازم است.\";}i:395;a:1:{i:0;s:49:\"کمیسیون درصد مدیر لازم است.\";}i:396;a:1:{i:0;s:225:\"سرپرست تصمیم خواهد گرفت که آیا سرپرست به صورت دستی بازپرداخت را صادر کند یا از طریق درگاه پرداخت شما از طریق API به طور خودکار.\";}i:397;a:1:{i:0;s:29:\"تنظیمات پیشرفته\";}i:398;a:1:{i:0;s:21:\"تبلیغ محصول\";}i:399;a:1:{i:0;s:182:\"این محصول را برای: <strong>%1$s</strong> تبلیغ کنید، هزینه تبلیغات: <strong>%2$s</strong>، جایگاه باقیمانده: <strong>%3$s</strong>\";}i:400;a:1:{i:0;s:32:\"محصولات تبلیغ شده\";}i:401;a:1:{i:0;s:165:\"وضعیت محصول تبلیغ شده، 0 برای دریافت همه وضعیت، 1 برای تبلیغات فعال و 2 برای تبلیغات غیر فعال\";}i:402;a:1:{i:0;s:25:\"هزینه تبلیغات\";}i:403;a:1:{i:0;s:28:\"قیمت لیست تبلیغ\";}i:404;a:1:{i:0;s:27:\"اسلات تبلیغاتی\";}i:405;a:1:{i:0;s:44:\"تبلیغ با موفقیت اضافه شد\";}i:406;a:1:{i:0;s:41:\"تبلیغ با موفقیت حذف شد.\";}i:407;a:1:{i:0;s:56:\"تاریخ انقضای تبلیغات این محصول\";}i:408;a:1:{i:0;s:45:\"تبلیغ با موفقیت منقضی شد.\";}i:409;a:1:{i:0;s:138:\"تبلیغات این محصول هم اکنون در حال انجام است. لطفا محصول دیگری را انتخاب کنید.\";}i:410;a:1:{i:0;s:14:\"تبلیغات\";}i:411;a:1:{i:0;s:29:\"محصولات تبلیغات\";}i:412;a:1:{i:0;s:45:\"پس از زبانه های محصول تکی\";}i:413;a:1:{i:0;s:55:\"بعد از تخفیف های قبل از مالیات.\";}i:414;a:1:{i:0;s:43:\"کنترل جستجوی زنده آجاکس\";}i:415;a:1:{i:0;s:32:\"موضوع ایمیل هشدار\";}i:416;a:1:{i:0;s:30:\"بدنه ایمیل هشدار\";}i:417;a:1:{i:0;s:8:\"چینش\";}i:418;a:1:{i:0;s:6:\"همه\";}i:419;a:1:{i:0;s:11:\"همه (%d)\";}i:420;a:1:{i:0;s:38:\"همه <span class=\'count\'>(%s)</span>\";}i:421;a:1:{i:0;s:30:\"همه محصولات رزرو\";}i:422;a:1:{i:0;s:29:\"همه دسته بندی ها\";}i:423;a:1:{i:0;s:20:\"همه روزه ها\";}i:424;a:1:{i:0;s:23:\"همه رویدادها\";}i:425;a:1:{i:0;s:22:\"همه گزارش ها\";}i:426;a:1:{i:0;s:21:\"همه محصولات\";}i:427;a:1:{i:0;s:26:\"همه درخواست ها\";}i:428;a:1:{i:0;s:17:\"همه نظرات\";}i:429;a:1:{i:0;s:26:\"همه فروشگاه ها\";}i:430;a:1:{i:0;s:24:\"همه اشتراک ها\";}i:431;a:1:{i:0;s:33:\"همه بسته اشتراک ها\";}i:432;a:1:{i:0;s:20:\"همه تیکت ها\";}i:433;a:1:{i:0;s:21:\"همه موضوعات\";}i:434;a:1:{i:0;s:21:\"همه کاربران\";}i:435;a:1:{i:0;s:27:\"تمام فروشندگان\";}i:436;a:1:{i:0;s:25:\"همه فروشندگان\";}i:437;a:1:{i:0;s:45:\"تمام بلوک ها رزرو شده است\";}i:438;a:1:{i:0;s:81:\"تمامی قابلیت ها به کاربر اختصاص داده شده است.\";}i:439;a:1:{i:0;s:28:\"تمام تاریخ ها ...\";}i:440;a:1:{i:0;s:16:\"انجام شد.\";}i:441;a:1:{i:0;s:197:\"همه فیلد ها باید دارای عنوان و یا نام گزینه باشند. لطفاً تنظیمات هایلایت شده در حاشیه (border) قرمز را بررسی کنید.\";}i:442;a:1:{i:0;s:78:\"کلیه قوانین تطبیق برای رزرو اعمال خواهد شد.\";}i:443;a:1:{i:0;s:93:\"تمام سفارشات بررسی شد و هیچ سفارش تکراری یافت نشد. %s\";}i:444;a:1:{i:0;s:120:\"همه سفارش‌ها بررسی می‌شوند و ما تعدادی سفارش تکراری پیدا کردیم. %s\";}i:445;a:1:{i:0;s:30:\"همه زمانبندی‌ها\";}i:446;a:1:{i:0;s:231:\"همه کسب و کارها به این نوع ملزم هستند و فرآیند تأیید بر این اساس اعمال خواهد شد. در صورت عدم نیاز به محدودیت، \"همه\" را انتخاب کنید.\";}i:447;a:1:{i:0;s:59:\"تمام صفحات پیش فرض ایجاد شده است!\";}i:448;a:1:{i:0;s:208:\"همه فروشندگان ملزم به این نوع هستند و بر این اساس تأیید می شوند. در صورت عدم نیاز به محدودیت، «هر دو» را انتخاب کنید.\";}i:449;a:1:{i:0;s:123:\"همه فروشندگان که به طور فعال فروش می کنند در این فهرست فیلتر می شوند.\";}i:450;a:1:{i:0;s:19:\"اجازه دادن\";}i:451;a:1:{i:0;s:39:\"اجازه‌ی سفارشات قبلی\";}i:452;a:1:{i:0;s:39:\"اجازه‌ی سفارشات قبل؟\";}i:453;a:1:{i:0;s:40:\"اجازه ردیابی حمل و نقل\";}i:454;a:1:{i:0;s:52:\"اجازه کارت اعتباری بدون مارک\";}i:455;a:1:{i:0;s:40:\"اجازه تنظیمات فروشنده\";}i:456;a:1:{i:0;s:81:\"اجازه پرداخت های کارت اعتباری و نقدی پیشرفته\";}i:457;a:1:{i:0;s:39:\"اجازه‌ی سفارشات قبل؟\";}i:458;a:1:{i:0;s:54:\"اجازه بده اما مشتری را مطلع کن\";}i:459;a:1:{i:0;s:161:\"به مشتریان اجازه دهید پرسش کرده و از طریق ویژگی چت زنده در فروشگاه شما، تعامل داشته باشند\";}i:460;a:1:{i:0;s:109:\"اجازه به مشتریان برای درخواست تخفیف به عنوان اعتبار فروشگاه\";}i:461;a:1:{i:0;s:81:\"اجازه به مشتریان برای ثبت درخواست بازگشت وجه\";}i:462;a:1:{i:0;s:121:\"مجاز کردن فیلدهای ورودی اضافی برای صورتحساب مشتری و آدرس حمل و نقل.\";}i:463;a:1:{i:0;s:217:\"فیلدهای ورودی اضافی را برای اطلاعات فروشنده مجاز کنید. علامت فیلدهایی را که برای فروشندگان در دسترس نخواهد بود بردارید.\";}i:464;a:1:{i:0;s:108:\"اجازه دهید فقط یک تعداد از این محصول در یک سفارش خریداری شود\";}i:465;a:1:{i:0;s:88:\"سفارش محصولات از فروشندگان غیر متصل را مجاز کنید\";}i:466;a:1:{i:0;s:91:\"خدمات ردیابی حمل و نقل را برای فروشندگان مجاز کنید\";}i:467;a:1:{i:0;s:76:\"به فروشنده اجازه دهید کالای خود را کپی کند\";}i:468;a:1:{i:0;s:65:\"اجازه به فروشندگان برای لغو تنظیمات\";}i:469;a:1:{i:0;s:133:\"به فروشندگان اجازه دهید مقادیر جدیدی به ویژگی از پیش تعریف شده اضافه کنند\";}i:470;a:1:{i:0;s:121:\"اجازه به فروشندگان برای ایجاد برچسب محصول جدید از داشبورد فروشنده.\";}i:471;a:1:{i:0;s:122:\"به فروشندگان خود اجازه دهید تا محصولات فروشنده های دیگر را بفروشند.\";}i:472;a:1:{i:0;s:54:\"اجازه بده اما مشتری را مطلع کن\";}i:473;a:1:{i:0;s:30:\"انواع محصول مجاز\";}i:474;a:1:{i:0;s:33:\"دسته بندی های مجاز\";}i:475;a:1:{i:0;s:227:\"تقریباً آنجا!\n\nسفارش شما قبلاً ایجاد شده است ، تنها کاری که هنوز باید انجام شود این است که مجوز پرداخت را با بانک خود صادر کنید.\";}i:476;a:1:{i:0;s:26:\"قبلا تکثیر شده\";}i:477;a:1:{i:0;s:35:\"قبلاً شرکت کرده است\";}i:478;a:1:{i:0;s:94:\"قبلا عودت وجه ارسال شده است. منتظر تایید مدیر بمانید\";}i:479;a:1:{i:0;s:39:\"قبلا ارتقا یافته اید؟\";}i:480;a:1:{i:0;s:259:\"همچنین، باید یک حساب بانکی فعال اضافه کنید. اگر هر یک از این موارد ناقص یا نامعتبر باشد، درگاه پرداخت MangoPay برای فروشگاه شما در دسترس نخواهد بود.\";}i:481;a:1:{i:0;s:71:\"یا مسیر فایل CSV را در سرور خود وارد کنید:\";}i:482;a:1:{i:0;s:10:\"مقدار\";}i:483;a:1:{i:0;s:11:\"مقدار \";}i:484;a:1:{i:0;s:20:\"کسر مبلغ از\";}i:485;a:1:{i:0;s:47:\"مقدار قبلا استردادشده است\";}i:486;a:1:{i:0;s:91:\"مبلغ از حساب فروشنده razorpay معکوس شد. شناسه انتقال: %s\";}i:487;a:1:{i:0;s:92:\"مبلغ معکوس از حساب استریپ فروشنده. شناسه انتقال: %1$s\";}i:488;a:1:{i:0;s:114:\"مبلغی که از فروش هم در درصد و هم در هزینه ثابت دریافت خواهید کرد\";}i:489;a:1:{i:0;s:88:\"مبلغی که از فروش با نرخ ثابت دریافت خواهید کرد (+5)\";}i:490;a:1:{i:0;s:94:\"مبلغی که از فروش به صورت درصدی دریافت خواهید کرد  (10%)\";}i:491;a:1:{i:0;s:44:\"یک درخواست HTTP ناموفق بود\";}i:492;a:1:{i:0;s:144:\"یک درخواست HTTP توسط کامپیوتر کاربر مسدود شده است (احتمالاً به دلیل یک آنتی ویروس)\";}i:493;a:1:{i:0;s:123:\"یک افزونه چند فروشندگی برای وردپرس. پشتیبانی شده توسط ووکامرس و weDevs.\";}i:494;a:1:{i:0;s:175:\"زمانی که فروشنده یا مشتری بسته به تنظیمات تیکت را پاسخ می‌دهد، ایمیلی برای مدیریت ارسال می‌شود.\";}i:495;a:1:{i:0;s:102:\"هنگام اتصال به سرور خطایی روی داد. لطفا دوباره تلاش کنید.\";}i:496;a:1:{i:0;s:58:\"هنگام پردازش کارت خطایی روی داد.\";}i:497;a:1:{i:0;s:130:\"هنگام آماده سازی فرم پرداخت خطایی روی داد. لطفا بعدا دوباره امتحان کنید.\";}i:498;a:1:{i:0;s:12:\"آنالیز\";}i:499;a:1:{i:0;s:27:\"پروفایل آنالیز\";}i:500;a:1:{i:0;s:26:\"اعلان این نشان\";}i:501;a:1:{i:0;s:14:\"اطلاعیه\";}i:502;a:1:{i:0;s:21:\"فاصله اعلان\";}i:503;a:1:{i:0;s:29:\"تنظیمات اطلاعیه\";}i:504;a:1:{i:0;s:35:\"زمان تاریخ اعلام از\";}i:505;a:1:{i:0;s:35:\"تاریخ اعلام زمان به\";}i:506;a:1:{i:0;s:55:\"اطلاعیه با موفقیت پیش‌نویس شد\";}i:507;a:1:{i:0;s:38:\"وضعیت خواندن اعلامیه\";}i:508;a:1:{i:0;s:92:\"وضعیت خواندن اعلامیه، این یک ویژگی فقط فروشنده است\";}i:509;a:1:{i:0;s:73:\"وضعیت اعلامیه، این یک ویژگی فقط مدیر است\";}i:510;a:1:{i:0;s:46:\"عنوان اطلاعیه الزامی است.\";}i:511;a:1:{i:0;s:74:\"اعلامیه: هنگام جستجوی داده مشکلی پیش آمد.\";}i:512;a:1:{i:0;s:19:\"اطلاعیه ها\";}i:513;a:1:{i:0;s:4:\"هر\";}i:514;a:1:{i:0;s:13:\"هر متنی\";}i:515;a:1:{i:0;s:22:\"هر دسته بندی\";}i:516;a:1:{i:0;s:15:\"هر کلاسی\";}i:517;a:1:{i:0;s:24:\"همه نوع محصول\";}i:518;a:1:{i:0;s:53:\"آپارتمان، سوئیت، واحد و غیره.\";}i:519;a:1:{i:0;s:16:\"اپلیکیشن\";}i:520;a:1:{i:0;s:27:\"شناسه اپلیکیشن\";}i:521;a:1:{i:0;s:27:\"شناسه اپلیکیشن\";}i:522;a:1:{i:0;s:25:\"سکرت اپلیکیشن\";}i:523;a:1:{i:0;s:34:\"تنظیمات برنامه اپل\";}i:524;a:1:{i:0;s:73:\"محتوای کلیدی اپل (شامل خطوط شروع و پایان)\";}i:525;a:1:{i:0;s:26:\"شناسه کلید اپل\";}i:526;a:1:{i:0;s:11:\"اپل پی\";}i:527;a:1:{i:0;s:20:\"اپل پی (Stripe)\";}i:528;a:1:{i:0;s:73:\"تأیید دامنه اپل پی با خطای زیر انجام نشد!\";}i:529;a:1:{i:0;s:52:\"تأیید دامنه اپل پی انجام نشد!\";}i:530;a:1:{i:0;s:28:\"شناسه سرویس اپل\";}i:531;a:1:{i:0;s:24:\"شناسه تیم اپل\";}i:532;a:1:{i:0;s:30:\"شرایط سطح اعمالی\";}i:533;a:1:{i:0;s:10:\"اعمال\";}i:534;a:1:{i:0;s:43:\"اعمال برای محصولات جدید\";}i:535;a:1:{i:0;s:89:\"قانون حداقل سفارش را قبل از تخفیف کوپن اعمال کنید\";}i:536;a:1:{i:0;s:37:\"اعمال در همه محصولات\";}i:537;a:1:{i:0;s:37:\"اعمال در همه محصولات\";}i:538;a:1:{i:0;s:32:\"درخواست مظنه برای\";}i:539;a:1:{i:0;s:10:\"تایید\";}i:540;a:1:{i:0;s:24:\"تایید نقل قول\";}i:541;a:1:{i:0;s:32:\"پذیرش این درخواست\";}i:542;a:1:{i:0;s:17:\"تایید شده\";}i:543;a:1:{i:0;s:22:\"تائیده شده  (\";}i:544;a:1:{i:0;s:10:\"آپریل\";}i:545;a:1:{i:0;s:23:\"تقلب میکنید؟\";}i:546;a:1:{i:0;s:80:\"آیا مطمئنید که می خواهید اشتراک را لغو کنید؟\";}i:547;a:1:{i:0;s:67:\"آیا مطمئن هستید که می خواهید حذف کنید\";}i:548;a:1:{i:0;s:64:\"آیا از حذف این گزینه اطمینان دارید؟\";}i:549;a:1:{i:0;s:275:\"مطمئنید که می خواهید نشان های انتخابی را به پیش‌نویس منتقل کنید؟ توجه داشته باشید که نشان پیش‌نویس شده از صفحه پروفایل فروشنده قابل مشاهده نخواهد بود.\";}i:550;a:1:{i:0;s:77:\"آیا از حذف این فیلد افزودنی اطمینان دارید؟\";}i:551;a:1:{i:0;s:96:\"آیا مطمئن هستید که می خواهید این محصول را تبلیغ کنید؟\";}i:552;a:1:{i:0;s:344:\"آیا مطمئنید که می‌خواهید فرآیند فعلی معارفه را لغو کنید؟ توجه داشته باشید که این فرآیند دائمی است و نمی‌توانید این عمل را بازگردانید. با این حال، می‌توانید دوباره فرآیند ورود را شروع کنید.\";}i:553;a:1:{i:0;s:322:\"مطمئنید که می خواهید نشان انتخابی را حذف کنید؟ توجه داشته باشید که این عمل دائمی است. تمام داده‌های سطح نشان، داده‌های کسب‌شده فروشنده مربوط به نشان‌های انتخابی حذف خواهند شد.\";}i:554;a:1:{i:0;s:102:\"آیا مطمئنید که می خواهید تبلیغات انتخاب شده را حذف کنید؟\";}i:555;a:1:{i:0;s:85:\"آیا مطمئنید که می خواهید این تبلیغ را حذف کنید؟\";}i:556;a:1:{i:0;s:99:\"آیا مطمئن هستید که می خواهید این دسته بندی را حذف کنید؟\";}i:557;a:1:{i:0;s:89:\"آیا مطمئن هستید که میخواهید این مورد را حذف کنید؟\";}i:558;a:1:{i:0;s:243:\"آیا مطمئن هستید که می خواهید این محصول را حذف کنید؟ با این کار محصول برای همیشه حذف می‌شود و دیگر نمی توانید این محصول را بازیابی کنید.\";}i:559;a:1:{i:0;s:90:\"آیا مطمئن هستید که می خواهید این گزارش را حذف کنید\";}i:560;a:1:{i:0;s:106:\"آیا مطمئنید که می خواهید تبلیغات انتخاب شده را منقضی کنید؟\";}i:561;a:1:{i:0;s:89:\"آیا مطمئنید که می خواهید این تبلیغ را منقضی کنید؟\";}i:562;a:1:{i:0;s:248:\"مطمئنید که می خواهید نشان های انتخابی را منتشر کنید؟ توجه داشته باشید که به محض انتشار، نشان به فروشندگان واجد شرایط اختصاص داده می‌شود.\";}i:563;a:1:{i:0;s:337:\"آیا مطمئن هستید که می خواهید موارد انتخاب شده را حذف کنید؟ اگر قبلاً موجودی این مورد را کاهش داده اید یا این سفارش توسط مشتری ارسال شده است ، باید موجودی کالا را به صورت دستی بازیابی کنید.\";}i:564;a:1:{i:0;s:87:\"آیا مطمئن هستید که میخواهید این شخص را حذف کنید؟\";}i:565;a:1:{i:0;s:89:\"آیا مطمئن هستید که میخواهید این منبع را حذف کنید؟\";}i:566;a:1:{i:0;s:53:\"آیا از حذف این متغیر مطمئنید؟\";}i:567;a:1:{i:0;s:229:\"آیا مطمئنید که می خواهید داده‌های نشان را بروز کنید؟ توجه داشته باشید که این اقدام همه نشان های فروشنده موجود را به روز می کند.\";}i:568;a:1:{i:0;s:152:\"آیا مطمئن هستید که میخواهید این بازگشت وجه را حذف کنید؟ این عملیات برگشت ناپذیر است.\";}i:569;a:1:{i:0;s:156:\"آیا مطمئن هستید که میخواهید این بازگشت وجه را انجام دهید؟ این عملیات برگشت ناپذیر است.\";}i:570;a:1:{i:0;s:77:\"آیا مطمئنید، می خواهید این نظر را حذف کنید!\";}i:571;a:1:{i:0;s:91:\"مطمئنید؟ می‌خواهید همه داده‌ها را بازنشانی کنید!\";}i:572;a:1:{i:0;s:16:\"اساسنامه\";}i:573;a:1:{i:0;s:21:\"بعنوان مدیر\";}i:574;a:1:{i:0;s:27:\"بعنوان فروشنده\";}i:575;a:1:{i:0;s:89:\"برای یادآوری، جزئیات سفارش شما در اینجا آمده است:\";}i:576;a:1:{i:0;s:35:\"درخواست اعتبارسنجی\";}i:577;a:1:{i:0;s:37:\"ترتیب صعودی یا نزولی\";}i:578;a:1:{i:0;s:27:\"اختصاص محصولات\";}i:579;a:1:{i:0;s:34:\"اختصاص پکیج اشتراک\";}i:580;a:1:{i:0;s:61:\"محصول را به فروشندگان اختصاص دهید\";}i:581;a:1:{i:0;s:98:\"این رزرو را به یک سفارش موجود با این شناسه اختصاص دهید:\";}i:582;a:1:{i:0;s:18:\"در یک نگاه\";}i:583;a:1:{i:0;s:95:\"تلاش برای به روزرسانی مشتری استریپ بدون شناسه مشتری.\";}i:584;a:1:{i:0;s:268:\"جذب فروشندگان خود با مدیریت فروشگاه بهتر. با ماژول مدیریت کارکنان فروشنده شروع کنید تا بتوانید فروشگاه خود را با تعداد نامحدود کارکنان مدیریت کنید.\";}i:585;a:1:{i:0;s:10:\"ویژگی\";}i:586;a:1:{i:0;s:22:\"شناسه ویژگی.\";}i:587;a:1:{i:0;s:17:\"نام ویژگی\";}i:588;a:1:{i:0;s:18:\"نام ویژگی.\";}i:589;a:1:{i:0;s:15:\"ویژگی ها\";}i:590;a:1:{i:0;s:10:\"حراجی\";}i:591;a:1:{i:0;s:30:\"تاریخ پایان حراج\";}i:592;a:1:{i:0;s:19:\"ادغام حراج\";}i:593;a:1:{i:0;s:91:\"تکامل حراجی نیاز به نصب و فعال‌سازی افزونه %s دارد!\";}i:594;a:1:{i:0;s:21:\"محصول حراجی\";}i:595;a:1:{i:0;s:28:\"تاریخ شروع حراج\";}i:596;a:1:{i:0;s:15:\"نوع حراج\";}i:597;a:1:{i:0;s:10:\"حراجی\";}i:598;a:1:{i:0;s:23:\"فعالیت حراجی\";}i:599;a:1:{i:0;s:10:\"آگوست\";}i:600;a:1:{i:0;s:23:\"پست استرالیا\";}i:601;a:1:{i:0;s:25:\"دلار استرالیا\";}i:602;a:1:{i:0;s:13:\"توکن Auth\";}i:603;a:1:{i:0;s:19:\"احراز هویت\";}i:604;a:1:{i:0;s:28:\"کلید احراز هویت\";}i:605;a:1:{i:0;s:45:\"کلید احراز هویت لازم است!\";}i:606;a:1:{i:0;s:14:\"نویسنده\";}i:607;a:1:{i:0;s:17:\"خطای مجوز\";}i:608;a:1:{i:0;s:42:\"مجوز پشتیبانی نمی‌شود.\";}i:609;a:1:{i:0;s:35:\"تاییدیه پرداخت &raquo;\";}i:610;a:1:{i:0;s:12:\"خودكار\";}i:611;a:1:{i:0;s:73:\"بارگذاری خودکار جایگزین محتوای فعلی شود\";}i:612;a:1:{i:0;s:97:\"پرداخت تمدید خودکار به دلیل نیاز به تاییدیه انجام نشد\";}i:613;a:1:{i:0;s:62:\"به صورت خودکار اختصاص داده می‌شود\";}i:614;a:1:{i:0;s:12:\"دسترسی\";}i:615;a:1:{i:0;s:26:\"نشان های موجود\";}i:616;a:1:{i:0;s:26:\"تعداد در دسترس\";}i:617;a:1:{i:0;s:58:\"عنوان منطقه نمایش فروشنده موجود\";}i:618;a:1:{i:0;s:58:\"موقعیت نمایش بخش سایر فروشندگان\";}i:619;a:1:{i:0;s:33:\"موجود در پیش سفارش\";}i:620;a:1:{i:0;s:42:\"متن پیش فرض های موجود: %s\";}i:621;a:1:{i:0;s:41:\"میانگین مدت‌زمان سیژن\";}i:622;a:1:{i:0;s:47:\"میانگین میزان فروش ناخالص\";}i:623;a:1:{i:0;s:43:\"میانگین مقدار خالص فروش\";}i:624;a:1:{i:0;s:38:\"میانگین امتیاز محصول\";}i:625;a:1:{i:0;s:23:\"متوسط امتیاز\";}i:626;a:1:{i:0;s:12:\"اجتناب\";}i:627;a:1:{i:0;s:33:\"اجتناب از شرایط بد\";}i:628;a:1:{i:0;s:31:\"در انتظار پرداخت.\";}i:629;a:1:{i:0;s:19:\"انقضا کارت\";}i:630;a:1:{i:0;s:31:\"برگشتن به تیکت ها\";}i:631;a:1:{i:0;s:28:\"بازگشت به منطقه\";}i:632;a:1:{i:0;s:37:\"بازگشت به لیست منطقه\";}i:633;a:1:{i:0;s:35:\"بازگشت به لیست ادان\";}i:634;a:1:{i:0;s:43:\"بازگشت به همه‌ اعلان ها\";}i:635;a:1:{i:0;s:35:\"بازگشت به همه پرسنل\";}i:636;a:1:{i:0;s:26:\"بازگشت به لیست\";}i:637;a:1:{i:0;s:40:\"بازگشت به لیست تیکت ها\";}i:638;a:1:{i:0;s:25:\"سفارشات قبلی؟\";}i:639;a:1:{i:0;s:8:\"نشان\";}i:640;a:1:{i:0;s:26:\"نشان دریافت شد\";}i:641;a:1:{i:0;s:43:\"نشان با موفقیت اضافه شد.\";}i:642;a:1:{i:0;s:21:\"رویداد نشان\";}i:643;a:1:{i:0;s:19:\"شناسه نشان\";}i:644;a:1:{i:0;s:19:\"لوگوی نشان\";}i:645;a:1:{i:0;s:108:\"لوگوی نشان خام، شناسه تصویر پیوست یا نام فایل نشان پیش‌فرض.\";}i:646;a:1:{i:0;s:15:\"نام نشان\";}i:647;a:1:{i:0;s:19:\"تصویر نشان\";}i:648;a:1:{i:0;s:23:\"وضعیت نشان: %s\";}i:649;a:1:{i:0;s:44:\"نشان با موفقیت به روز شد.\";}i:650;a:1:{i:0;s:46:\"داده های به دست آمده نشان.\";}i:651;a:1:{i:0;s:31:\"داده رویداد نشان.\";}i:652;a:1:{i:0;s:116:\"شناسه رویداد نشان نامعتبر است. لطفا درخواست api خود را بررسی کنید.\";}i:653;a:1:{i:0;s:28:\"نوع رویداد نشان\";}i:654;a:1:{i:0;s:139:\"نشان با نوع رویداد داده شده وجود دارد، لطفاً نوع رویداد دیگری را انتخاب کنید.\";}i:655;a:1:{i:0;s:61:\"شناسه نشان این سطح با آن مرتبط است\";}i:656;a:1:{i:0;s:20:\"شناسه نشان.\";}i:657;a:1:{i:0;s:34:\"داده‌های سطح نشان.\";}i:658;a:1:{i:0;s:66:\"سطح نشان توسط فروشنده مشاهده می‌شود\";}i:659;a:1:{i:0;s:15:\"نام نشان\";}i:660;a:1:{i:0;s:107:\"عکس نشان پس از انتخاب یک رویداد نشان، در اینجا ظاهر می‌شود.\";}i:661;a:1:{i:0;s:19:\"وضعیت نشان\";}i:662;a:1:{i:0;s:15:\"نشان‌ها\";}i:663;a:1:{i:0;s:15:\"نام نشان\";}i:664;a:1:{i:0;s:12:\"موجودی\";}i:665;a:1:{i:0;s:23:\"تاریخ موجودی\";}i:666;a:1:{i:0;s:19:\"حساب بانکی\";}i:667;a:1:{i:0;s:26:\"نام حساب بانکی\";}i:668;a:1:{i:0;s:30:\"شماره حساب بانکی\";}i:669;a:1:{i:0;s:26:\"نوع حساب بانکی\";}i:670;a:1:{i:0;s:17:\"شعبه بانک\";}i:671;a:1:{i:0;s:18:\"کد IFSC بانک\";}i:672;a:1:{i:0;s:23:\"اطلاعات بانک\";}i:673;a:1:{i:0;s:15:\"نام بانک\";}i:674;a:1:{i:0;s:21:\"پرداخت بانک\";}i:675;a:1:{i:0;s:49:\"حساب بانکی از قبل وجود دارد\";}i:676;a:1:{i:0;s:53:\"حساب بانکی با موفقیت ایجاد شد\";}i:677;a:1:{i:0;s:51:\"حساب بانکی با موفقیت فعال شد\";}i:678;a:1:{i:0;s:28:\"مالک حساب بانکی\";}i:679;a:1:{i:0;s:6:\"بنر\";}i:680;a:1:{i:0;s:19:\"هزینه پایه\";}i:681;a:1:{i:0;s:32:\"واحدهای قیمت پایه\";}i:682;a:1:{i:0;s:126:\"وضعیت محصول تبلیغ پایه منتشر نشده است. لطفا با ادمین سایت تماس بگیرید.\";}i:683;a:1:{i:0;s:19:\"هزینه پایه\";}i:684;a:1:{i:0;s:150:\"هزینه پایه برای قانون، بدون احتساب مالیات. سایر محاسبات به این هزینه اضافه می‌شود.\";}i:685;a:1:{i:0;s:60:\"نام اصلی ماژول به عنوان آرایه است\";}i:686;a:1:{i:0;s:53:\"نام اقدام دسته ای برای پردازش\";}i:687;a:1:{i:0;s:77:\"اقدام دسته ای برای ادامه آیتم های تبلیغاتی\";}i:688;a:1:{i:0;s:43:\"اعلامیه های حذف دسته ای.\";}i:689;a:1:{i:0;s:47:\"اعلامیه های زباله دسته ای.\";}i:690;a:1:{i:0;s:54:\"اعلامیه های حذف دسته ای زباله.\";}i:691;a:1:{i:0;s:274:\"زیرا نیازی نیست که از ابتدا کار خود را شروع کرده و با استفاده از ماژول برون ریزی / درون ریزی، میتوانند محصولات خود را در عرض چند دقیقه ایجاد یا وارد کنند.\";}i:692;a:1:{i:0;s:39:\"مشتری عمده فروشی شوید\";}i:693;a:1:{i:0;s:39:\"مشتری عمده فروشی شوید\";}i:694;a:1:{i:0;s:161:\"قبل از افزودن تغییرات، بعضی ویژگی‌ها را در زبانه <strong>ویژگی‌ها<strong/> افزوده و ذخیره کنید.\";}i:695;a:1:{i:0;s:53:\"قبل از ارسال ایمیل به فروشنده\";}i:696;a:1:{i:0;s:55:\"قبل از تخفیف های قبل از مالیات.\";}i:697;a:1:{i:0;s:145:\"قبل از اینکه بتوانید فایل درون ریزی خود را آپلود کنید، باید خطای زیر را رفع کنید:\";}i:698;a:1:{i:0;s:12:\"پرفروش\";}i:699;a:1:{i:0;s:34:\"پرفروش‌ترین محصول\";}i:700;a:1:{i:0;s:27:\"محصولات پرفروش\";}i:701;a:1:{i:0;s:45:\"عنوان پرفروش‌ترین محصول\";}i:702;a:1:{i:0;s:27:\"بهترین فروشنده\";}i:703;a:1:{i:0;s:23:\"دوچرخه سواری\";}i:704;a:1:{i:0;s:14:\"پیشنهاد\";}i:705;a:1:{i:0;s:27:\"افزایش پیشنهاد\";}i:706;a:1:{i:0;s:28:\"آدرس صورت‌حساب\";}i:707;a:1:{i:0;s:21:\"چرخه پرداخت\";}i:708;a:1:{i:0;s:30:\"توقف چرخه پرداخت\";}i:709;a:1:{i:0;s:16:\"بیوگرافی\";}i:710;a:1:{i:0;s:22:\"شهر محل تولد\";}i:711;a:1:{i:0;s:24:\"کشور محل تولد\";}i:712;a:1:{i:0;s:44:\"دو هفته ای (دو بار در ماه)\";}i:713;a:1:{i:0;s:32:\"زمانبندی دو هفتگی\";}i:714;a:1:{i:0;s:19:\"هزینه بلوک\";}i:715;a:1:{i:0;s:19:\"هزینه بلوک\";}i:716;a:1:{i:0;s:19:\"تعداد بلوک\";}i:717;a:1:{i:0;s:20:\"بدنه ایمیل.\";}i:718;a:1:{i:0;s:12:\"بو بله!\";}i:719;a:1:{i:0;s:8:\"رزرو\";}i:720;a:1:{i:0;s:17:\"قابل رزرو\";}i:721;a:1:{i:0;s:28:\"محصول قابل رزرو\";}i:722;a:1:{i:0;s:26:\"محصول رزرو شده\";}i:723;a:1:{i:0;s:32:\"محصولات رزرو شده: \";}i:724;a:1:{i:0;s:24:\"رزرو شده توسط\";}i:725;a:1:{i:0;s:18:\"رزرو شد:  %s\";}i:726;a:1:{i:0;s:8:\"رزرو\";}i:727;a:1:{i:0;s:10:\"رزرو #\";}i:728;a:1:{i:0;s:24:\"داده های رزرو\";}i:729;a:1:{i:0;s:22:\"جزییات رزرو\";}i:730;a:1:{i:0;s:30:\"تاریخ پایان رزرو\";}i:731;a:1:{i:0;s:31:\"تاریخ پایان رزرو:\";}i:732;a:1:{i:0;s:35:\"تاریخ پایان رزرو : %s\";}i:733;a:1:{i:0;s:19:\"شناسه رزرو\";}i:734;a:1:{i:0;s:24:\"شناسه رزرو:  %s\";}i:735;a:1:{i:0;s:27:\"شماره رزرو: #%1$d.\";}i:736;a:1:{i:0;s:76:\"شماره رزرو: #%1$d. شماره سفارش:<a href=\"%2$s\"> #%3$d </a>\";}i:737;a:1:{i:0;s:65:\"تخفیف رزرو شخص (تخفیف به ازای هر نفر)\";}i:738;a:1:{i:0;s:28:\"تاریخ شروع رزرو\";}i:739;a:1:{i:0;s:29:\"تاریخ شروع رزرو:\";}i:740;a:1:{i:0;s:33:\"تاریخ شروع رزرو : %s\";}i:741;a:1:{i:0;s:19:\"وضعیت رزرو\";}i:742;a:1:{i:0;s:20:\"وضعیت رزرو:\";}i:743;a:1:{i:0;s:15:\"نوع رزرو\";}i:744;a:1:{i:0;s:19:\"نوع رزرو: %s\";}i:745;a:1:{i:0;s:36:\"محصول رزرو اقامتگاه\";}i:746;a:1:{i:0;s:39:\"رزرو می تواند لغو شود \";}i:747;a:1:{i:0;s:26:\"زمان ورود رزرو\";}i:748;a:1:{i:0;s:26:\"زمان خروج رزرو\";}i:749;a:1:{i:0;s:24:\"مدت زمان رزرو\";}i:750;a:1:{i:0;s:28:\"رزرو براساس روز\";}i:751;a:1:{i:0;s:28:\"رزرو براساس ماه\";}i:752;a:1:{i:0;s:28:\"گردی حاشیه (Border)\";}i:753;a:1:{i:0;s:8:\"هردو\";}i:754;a:1:{i:0;s:162:\"نام و نام خانوادگی برای ثبت نام ضروری است. لطفاً ابتدا <a href=\"%s\">پروفایل</a> خود را تکمیل کنید.\";}i:755;a:1:{i:0;s:10:\"پایین\";}i:756;a:1:{i:0;s:76:\"محدوده پایین و بالا برای شرایط انتخاب شده.\";}i:757;a:1:{i:0;s:26:\"نرخ بونوس (Bounce)\";}i:758;a:1:{i:0;s:13:\"کد شعبه\";}i:759;a:1:{i:0;s:8:\"برند\";}i:760;a:1:{i:0;s:34:\"حالت انتخاب برندها\";}i:761;a:1:{i:0;s:19:\"رئال برزیل\";}i:762;a:1:{i:0;s:10:\"شکستن\";}i:763;a:1:{i:0;s:261:\"شکست در این نقطه. برای نرخ هر سفارش، هیچ نرخی غیر از این ارائه نخواهد شد. برای نرخ‌های محاسبه‌شده، با این کار تطبیق نرخ‌های بیشتر متوقف می‌شود.\";}i:764;a:1:{i:0;s:12:\"مرورگر\";}i:765;a:1:{i:0;s:103:\"مرورگر از برقراری تماس های cross-origin آجاکس پشتیبانی نمی کند\";}i:766;a:1:{i:0;s:21:\"اعمال گروهی\";}i:767;a:1:{i:0;s:23:\"ویرایش گروهی\";}i:768;a:1:{i:0;s:10:\"تجارت\";}i:769;a:1:{i:0;s:31:\"اطلاعات کسب و کار\";}i:770;a:1:{i:0;s:31:\"الزامات کسب و کار\";}i:771;a:1:{i:0;s:16:\"کسب و کار\";}i:772;a:1:{i:0;s:8:\"دکمه\";}i:773;a:1:{i:0;s:24:\"پس زمینه دکمه\";}i:774;a:1:{i:0;s:28:\"حاشیه (Border) دکمه\";}i:775;a:1:{i:0;s:17:\"هاور دکمه\";}i:776;a:1:{i:0;s:33:\"پس زمینه هاور دکمه\";}i:777;a:1:{i:0;s:37:\"حاشیه (Border) هاور دکمه\";}i:778;a:1:{i:0;s:24:\"متن هاور دکمه\";}i:779;a:1:{i:0;s:19:\"برچسب دکمه\";}i:780;a:1:{i:0;s:24:\"مکان های دکمه\";}i:781;a:1:{i:0;s:21:\"اندازه دکمه\";}i:782;a:1:{i:0;s:15:\"متن دکمه\";}i:783;a:1:{i:0;s:13:\"تم دکمه\";}i:784;a:1:{i:0;s:15:\"نوع دکمه\";}i:785;a:1:{i:0;s:15:\"متن دکمه\";}i:786;a:1:{i:0;s:8:\"خرید\";}i:787;a:1:{i:0;s:8:\"خرید\";}i:788;a:1:{i:0;s:31:\"خرید به قیمت الان\";}i:789;a:1:{i:0;s:19:\"خرید محصول\";}i:790;a:1:{i:0;s:20:\"بر اساس روز\";}i:791;a:1:{i:0;s:19:\"با فروشنده\";}i:792;a:1:{i:0;s:20:\"بر اساس سال\";}i:793;a:1:{i:0;s:37:\"توسط محصول قابل رزرو\";}i:794;a:1:{i:0;s:193:\"با انتخاب هر یک از این پالت های رنگی برای رنگ آمیزی داشبورد فروشنده شما؛ این یک ابزار صرفه جویی در زمان است.\";}i:795;a:1:{i:0;s:121:\"به طور پیش فرض مدیر/ مالک سایت هزینه پردازش استریپ را پرداخت می کند.\";}i:796;a:1:{i:0;s:104:\"به طور پیش فرض فروشنده هزینه پردازش Razorpay را پرداخت می کند.\";}i:797;a:1:{i:0;s:201:\"به طور پیش فرض دوره بافر در آینده از یک رزرو پیش بینی می‌شود. فعال کردن این گزینه به صورت مجزا (قبل و بعد از رزرو)\";}i:798;a:1:{i:0;s:24:\"بر اساس منابع\";}i:799;a:1:{i:0;s:8:\"بسته\";}i:800;a:1:{i:0;s:14:\"شماره CPF\";}i:801;a:1:{i:0;s:34:\"شماره CPF الزامی است\";}i:802;a:1:{i:0;s:50:\"تعداد CPF باید 11 کاراکتر باشد\";}i:803;a:1:{i:0;s:36:\"تأیید CSRF ناموفق بود.\";}i:804;a:1:{i:0;s:20:\"جداکننده CSV\";}i:805;a:1:{i:0;s:3:\"CVV\";}i:806;a:1:{i:0;s:65:\"محاسبه قیمت های پایه به صورت خودکار.\";}i:807;a:1:{i:0;s:57:\"محاسبه قیمت واحد به صورت خودکار\";}i:808;a:1:{i:0;s:56:\"نرخ های محاسبه شده برای هر آیتم\";}i:809;a:1:{i:0;s:65:\"نرخ‌های محاسبه‌شده برای هر آیتم خط\";}i:810;a:1:{i:0;s:62:\"نرخ محاسبه شده در هر کلاس حمل و نقل\";}i:811;a:1:{i:0;s:12:\"محاسبه\";}i:812;a:1:{i:0;s:19:\"نوع محاسبه\";}i:813;a:1:{i:0;s:19:\"نوع محاسبه\";}i:814;a:1:{i:0;s:10:\"تقویم\";}i:815;a:1:{i:0;s:30:\"نمایش دائم تقویم\";}i:816;a:1:{i:0;s:30:\"حالت نمایش تقویم\";}i:817;a:1:{i:0;s:27:\"آدرسی فراخوانی\";}i:818;a:1:{i:0;s:31:\"می تواند لغو شود؟\";}i:819;a:1:{i:0;s:121:\"به دلیل سفارش نامعتبر امکان ایجاد پان اشتراک تحت پی پال وجود ندارد.\";}i:820;a:1:{i:0;s:113:\"نمی توان اعلان ایمیل را فعال کرد، زیرا تنظیمات عمومی خاموش است\";}i:821;a:1:{i:0;s:19:\"پست کانادا\";}i:822;a:1:{i:0;s:21:\"دلار کانادا\";}i:823;a:1:{i:0;s:6:\"لغو\";}i:824;a:1:{i:0;s:19:\"لغو معارفه\";}i:825;a:1:{i:0;s:21:\"لغو معارفه؟\";}i:826;a:1:{i:0;s:15:\"لغو پاسخ\";}i:827;a:1:{i:0;s:21:\"لغو درخواست\";}i:828;a:1:{i:0;s:19:\"لغو اشتراک\";}i:829;a:1:{i:0;s:15:\"لغو الان\";}i:830;a:1:{i:0;s:26:\"لغو زمان‌بندی\";}i:831;a:1:{i:0;s:19:\"لغو اشتراک\";}i:832;a:1:{i:0;s:13:\"لغو شده\";}i:833;a:1:{i:0;s:26:\"بدنه ایمیل لغو\";}i:834;a:1:{i:0;s:28:\"موضوع ایمیل لغو\";}i:835;a:1:{i:0;s:41:\"%s موجود ایجاد نمی‌شود.\";}i:836;a:1:{i:0;s:43:\"تجزیه XML امکان پذیر نیست\";}i:837;a:1:{i:0;s:19:\"نام قابلیت\";}i:838;a:1:{i:0;s:33:\"ضبط دستی پرداخت ها\";}i:839;a:1:{i:0;s:43:\"شماره CVV کارت معتبر نیست\";}i:840;a:1:{i:0;s:19:\"شماره کارت\";}i:841;a:1:{i:0;s:32:\"شماره امنیتی کارت\";}i:842;a:1:{i:0;s:15:\"نوع کارت\";}i:843;a:1:{i:0;s:28:\"کارت غیرفعال شد\";}i:844;a:1:{i:0;s:50:\"تاریخ انقضا کارت معتبر نیست\";}i:845;a:1:{i:0;s:39:\"شماره کارت معتبر نیست\";}i:846;a:1:{i:0;s:26:\"خطای ثبت کارت: \";}i:847;a:1:{i:0;s:15:\"سبد خرید\";}i:848;a:1:{i:0;s:14:\"کاتالوگ\";}i:849;a:1:{i:0;s:28:\"کاتالوگ و جستجو\";}i:850;a:1:{i:0;s:22:\"دسته بندی ها\";}i:851;a:1:{i:0;s:17:\"دسته بندی\";}i:852;a:1:{i:0;s:19:\"دسته بندی :\";}i:853;a:1:{i:0;s:24:\"نام دسته بندی\";}i:854;a:1:{i:0;s:32:\"قوانین دسته بندی: \";}i:855;a:1:{i:0;s:44:\"قوانین دسته بندی: استثنا\";}i:856;a:1:{i:0;s:18:\"دسته بندی:\";}i:857;a:1:{i:0;s:21:\"دسته‌بندی: \";}i:858;a:1:{i:0;s:8:\"مرکز\";}i:859;a:1:{i:0;s:19:\"تغییر آدرس\";}i:860;a:1:{i:0;s:30:\"تغییر زمان‌بندی\";}i:861;a:1:{i:0;s:21:\"تغییر وضعیت\";}i:862;a:1:{i:0;s:32:\"تغییر بنر فروشگاه\";}i:863;a:1:{i:0;s:32:\"تغییر عکس فروشگاه\";}i:864;a:1:{i:0;s:32:\"تغییر جزئیات شرکت\";}i:865;a:1:{i:0;s:16:\"تغییر به:\";}i:866;a:1:{i:0;s:72:\"متن دکمه فروش این مورد خود را تغییر دهید\";}i:867;a:1:{i:0;s:109:\"نرخ های مختلف را براساس شرایط تعریف شده توسط کاربر شارژ کنید\";}i:868;a:1:{i:0;s:44:\"دکمه گفتگو در صفحه محصول\";}i:869;a:1:{i:0;s:42:\"دکمه چت در صفحه فروشنده\";}i:870;a:1:{i:0;s:19:\"گفتگو زنده\";}i:871;a:1:{i:0;s:26:\"ارائه دهنده چت\";}i:872;a:1:{i:0;s:25:\"بررسی سفارشات\";}i:873;a:1:{i:0;s:67:\"بررسی تغییرات جدید در نسخه پرو دکان %s\";}i:874;a:1:{i:0;s:47:\"بررسی برای سفارشات تکراری\";}i:875;a:1:{i:0;s:95:\"اگر رویداد از چندین سطح پشتیبانی می کند، انتخاب کنید\";}i:876;a:1:{i:0;s:39:\"بررسی دوباره قوانین...\";}i:877;a:1:{i:0;s:41:\"بررسی لیست کدهای تخفیف\";}i:878;a:1:{i:0;s:184:\"در صورت لغو رزرو توسط مشتری پس از خرید ، این کادر را علامت بزنید. عودت وجه به طور خودکار ارسال نمی‌شود.\";}i:879;a:1:{i:0;s:167:\"اگر رزرو به تأیید شما نیاز دارد ، این کادر را علامت بزنید. پرداخت در حین بررسی انجام نمی‌شود.\";}i:880;a:1:{i:0;s:106:\"اگر کد تخفیف مناسب اقلام حراج نیست، این گزینه را تیک بزنید.\";}i:881;a:1:{i:0;s:155:\"اگر می‌خواهید این کد تخفیف را برای همه فروشندگان اعمال کنید، این کادر را علامت بزنید.\";}i:882;a:1:{i:0;s:171:\"اگر می خواهید به طور خودکار این تخفیف را برای محصولات جدید اعمال کنید، این کادر را علامت بزنید.\";}i:883;a:1:{i:0;s:136:\"اگر می‌خواهید به فروشندگان انتخاب شده اطلاع دهید، این کادر را علامت بزنید.\";}i:884;a:1:{i:0;s:159:\"اگر می‌خواهید تخفیف ها را در صفحه فروشگاه فروشندگان نشان دهید، این کادر را علامت بزنید.\";}i:885;a:1:{i:0;s:152:\"اگر میخواهید این کد های تخفیف را در صفحه‌ی فروشگاه نشان دهید این گزینه را تیک بزنید.\";}i:886;a:1:{i:0;s:155:\"اگر می‌خواهید این کد تخفیف را برای همه فروشندگان اعمال کنید، این کادر را علامت بزنید.\";}i:887;a:1:{i:0;s:126:\"اگر قصد فعالسازی حمل و نقل برای فروشگاه‌تان را دارید این را تیک بزنید\";}i:888;a:1:{i:0;s:147:\"اگر می خواهید کاربر آدرس ایمیل خود را هنگام ثبت نام تأیید کند، این را انتخاب کنید.\";}i:889;a:1:{i:0;s:168:\"برای اجازه دادن به ورود/ثبت نام با شبکه اجتماعی برای مشتریان و فروشندگان، این را علامت بزنید.\";}i:890;a:1:{i:0;s:251:\"این را علامت بزنید تا فروشندگان بتوانند تنظیمات تحویل را لغو و سفارشی کنند. در غیر این صورت تنظیمات پیکربندی شده توسط ادمین اعمال خواهد شد.\";}i:891;a:1:{i:0;s:116:\"برای افزودن پشتیبانی درخواست مظنه برای محصولات خود انتخاب کنید.\";}i:892;a:1:{i:0;s:107:\"برای غیرفعال کردن روش ارسال در صورت تطبیق قانون، تیک بزنید.\";}i:893;a:1:{i:0;s:98:\"برای مخفی کردن قیمت محصول از محصولات خود، انتخاب کنید.\";}i:894;a:1:{i:0;s:114:\"برای ادامه ندادن قوانین پردازش زیر قانون انتخابی، علامت بزنید.\";}i:895;a:1:{i:0;s:110:\"برای حذف گزینه افزودن به سبد خرید از محصولات خود علامت بزنید.\";}i:896;a:1:{i:0;s:8:\"ورود\";}i:897;a:1:{i:0;s:17:\"زمان ورود\";}i:898;a:1:{i:0;s:23:\"زمان ورود: %1$s\";}i:899;a:1:{i:0;s:8:\"خروج\";}i:900;a:1:{i:0;s:17:\"زمان خروج\";}i:901;a:1:{i:0;s:23:\"زمان خروج: %1$s\";}i:902;a:1:{i:0;s:13:\"چک باکس\";}i:903;a:1:{i:0;s:13:\"چک باکس\";}i:904;a:1:{i:0;s:139:\"فیلدهای علامت زده شده به عنوان فیلدهای اضافی برای مشتریان استفاده خواهند شد.\";}i:905;a:1:{i:0;s:143:\"فیلدهای علامت زده شده به عنوان فیلدهای اضافی برای فروشندگان استفاده خواهند شد.\";}i:906;a:1:{i:0;s:17:\"زمان ورود\";}i:907;a:1:{i:0;s:50:\"بررسی تکرار در حال پردازش ...\";}i:908;a:1:{i:0;s:123:\"بررسی منبع پرداخت: پردازش پرداخت انجام نشد. لطفا دوباره امتحان کنید.\";}i:909;a:1:{i:0;s:32:\"برچسب دکمه پرداخت\";}i:910;a:1:{i:0;s:23:\"تصویر پرداخت\";}i:911;a:1:{i:0;s:17:\"زمان خروج\";}i:912;a:1:{i:0;s:67:\"کارتهای اعتباری موجود را انتخاب کنید\";}i:913;a:1:{i:0;s:74:\"خدمات پرداخت مستقیم موجود را انتخاب کنید\";}i:914;a:1:{i:0;s:37:\"انتخاب زمان بسته شدن\";}i:915;a:1:{i:0;s:53:\"روش های پرداخت را انتخاب کنید\";}i:916;a:1:{i:0;s:34:\"انتخاب پکیج اشتراک\";}i:917;a:1:{i:0;s:21:\"انتخاب زمان\";}i:918;a:1:{i:0;s:74:\"یک فایل CSV را از کامپیوتر خود انتخاب کنید:\";}i:919;a:1:{i:0;s:43:\"انتخاب دسته بندی ها&hellip;\";}i:920;a:1:{i:0;s:21:\"انتخاب فایل\";}i:921;a:1:{i:0;s:230:\"نحوه محاسبه قیمت را انتخاب کنید: بدون در نظر گرفتن مقدار ، شارژ هر مقدار سفارش داده شده یا درصدی از کل ، هزینه ثابت را اعمال کنید\";}i:922;a:1:{i:0;s:86:\"ارائه دهندگان حمل و نقل شخص ثالث را انتخاب کنید.\";}i:923;a:1:{i:0;s:21:\"انتخاب رنگ: \";}i:924;a:1:{i:0;s:164:\"ارتفاع تصویر بنر فروشنده خود را که در صفحه فروشگاه فروشنده نمایش داده می‌شود، انتخاب کنید\";}i:925;a:1:{i:0;s:210:\"روش حمل و نقلی را که می خواهید اضافه کنید انتخاب کنید. فقط روش های حمل و نقل که از مناطق پشتیبانی می کنند لیست شده است.\";}i:926;a:1:{i:0;s:159:\"عرض تصویر بنر فروشنده خود را که در صفحه فروشگاه فروشنده نمایش داده می‌شود، انتخاب کنید.\";}i:927;a:1:{i:0;s:122:\"زمانی را که می خواهید وجوه را به فروشندگان پرداخت کنید، انتخاب کنید\";}i:928;a:1:{i:0;s:124:\"محل نمایش دکمه پشتیبانی را انتخاب کنید تا مشتریان از آن استفاده کنند\";}i:929;a:1:{i:0;s:107:\"محل قرار دادن نقشه موقعیت مکانی فروشگاه خود را انتخاب کنید.\";}i:930;a:1:{i:0;s:283:\"انتخاب کنید که آیا می خواهید وجوه را فوراً به فروشندگان پرداخت کنید یا وجوه را نگه دارید. نگهداری وجوه به شما زمان می‌دهد تا بررسی‌های بیشتری را انجام دهید.\";}i:931;a:1:{i:0;s:67:\"قالب ایمیل برای ارسال را انتخاب کنید.\";}i:932;a:1:{i:0;s:176:\"نوع محصول خود را انتخاب کنید و دکمه برون بری را کلیک کنید تا تمام اطلاعات را در فرم XML خروجی بگیرید\";}i:933;a:1:{i:0;s:6:\"شهر\";}i:934;a:1:{i:0;s:15:\"لینک شهر\";}i:935;a:1:{i:0;s:26:\"شهر الزامی است\";}i:936;a:1:{i:0;s:53:\"شهری که از آنجا ارسال می کنید.\";}i:937;a:1:{i:0;s:8:\"کلاس\";}i:938;a:1:{i:0;s:28:\"اولویت های کلاس\";}i:939;a:1:{i:0;s:15:\"پاک کردن\";}i:940;a:1:{i:0;s:24:\"پاک‌کردن همه\";}i:941;a:1:{i:0;s:143:\"روی دکمه Browse کلیک کنید و یک فایل XML را که میخواهید درون ریزی کنید را انتخاب کنید.\";}i:942;a:1:{i:0;s:17:\"کلیک کنید\";}i:943;a:1:{i:0;s:68:\"برای پیگیری سفارش خود اینجا کلیک کنید\";}i:944;a:1:{i:0;s:117:\"برای ویرایش یا بروز رسانی تصویر نشان، روی تصویر زیر کلیک کنید یا \";}i:945;a:1:{i:0;s:28:\"اینجا کلیک کنید\";}i:946;a:1:{i:0;s:89:\"برای افزودن خط مشی های حمل و نقل ، اینجا کلیک کنید\";}i:947;a:1:{i:0;s:37:\"برای تغییر کلیک کنید\";}i:948;a:1:{i:0;s:94:\"کلیک این دکمه صفحات ضروری افزونه را ایجاد خواهد کرد.\";}i:949;a:1:{i:0;s:21:\"شناسه مشتری\";}i:950;a:1:{i:0;s:38:\"شناسه مشتری خالی است.\";}i:951;a:1:{i:0;s:124:\"شناسه مشتری کاراکترهای بسیار کمی دارد. حداقل 2 کاراکتر مورد نیاز است.\";}i:952;a:1:{i:0;s:53:\"شناسه مشتری با URL سازگار نیست.\";}i:953;a:1:{i:0;s:19:\"سکرت مشتری\";}i:954;a:1:{i:0;s:27:\"کپی کردن ممنوع.\";}i:955;a:1:{i:0;s:98:\"شبیه سازی این کلاس می تواند باعث ایجادمشکلات زیاد شود!\";}i:956;a:1:{i:0;s:17:\"بستن تیکت\";}i:957;a:1:{i:0;s:19:\"بستن تاپیک\";}i:958;a:1:{i:0;s:15:\"بستن همه\";}i:959;a:1:{i:0;s:17:\"بستن تیکت\";}i:960;a:1:{i:0;s:8:\"بسته\";}i:961;a:2:{i:0;s:40:\"<span class=\"count\">(%s)</span> بسته\";i:1;s:40:\"<span class=\"count\">(%s)</span> بسته\";}i:962;a:1:{i:0;s:24:\"تیکت های بسته\";}i:963;a:1:{i:0;s:13:\"بسته در\";}i:964;a:1:{i:0;s:13:\"بسته در\";}i:965;a:1:{i:0;s:21:\"استایل بستن\";}i:966;a:1:{i:0;s:75:\"زمان بسته شدن باید بیشتر از زمان باز باشد.\";}i:967;a:1:{i:0;s:4:\"کد\";}i:968;a:1:{i:0;s:37:\"سفارشی کننده طرح رنگ\";}i:969;a:1:{i:0;s:11:\"رنگ ها\";}i:970;a:1:{i:0;s:21:\"تنظیمات رنگ\";}i:971;a:1:{i:0;s:57:\"فاصله داخلی(Padding) بسته بندی ستون\";}i:972;a:1:{i:0;s:10:\"ترکیب\";}i:973;a:1:{i:0;s:114:\"about,an,are,as,at,be,by,com,for,from,how,in,is,it,of,on,or,that,the,this,to,was,what,when,where,who,will,with,www\";}i:974;a:1:{i:0;s:6:\"نظر\";}i:975;a:1:{i:0;s:31:\"کادر نظر خالی است\";}i:976;a:1:{i:0;s:10:\"نظرها\";}i:977;a:1:{i:0;s:8:\"نظر: \";}i:978;a:1:{i:0;s:14:\"کمیسیون\";}i:979;a:1:{i:0;s:39:\"درآمد کمیسیون این ماه\";}i:980;a:1:{i:0;s:41:\"درآمد کمیسیون این دوره\";}i:981;a:1:{i:0;s:21:\"نوع کمیسیون\";}i:982;a:1:{i:0;s:8:\"شرکت\";}i:983;a:1:{i:0;s:9:\"شرکت \";}i:984;a:1:{i:0;s:30:\"شماره شناسه شرکت\";}i:985;a:1:{i:0;s:15:\"نام شرکت\";}i:986;a:1:{i:0;s:19:\"شماره شرکت\";}i:987;a:1:{i:0;s:39:\"شماره شرکت الزامی است\";}i:988;a:1:{i:0;s:106:\"الگوی شماره شرکت نادرست است. لطفا یک مورد معتبر ارائه دهید.\";}i:989;a:1:{i:0;s:19:\"تایید شرکت\";}i:990;a:1:{i:0;s:23:\"تکمیل معارفه\";}i:991;a:1:{i:0;s:17:\"تکمیل شده\";}i:992;a:1:{i:0;s:279:\"هنگام فروش محصولات در بازار خود با این ادغام، دستورالعمل های اتحادیه اروپا را رعایت کنید. فیلدهایی را برای نمایش یا اجباری کردن در سایت خود پیکربندی کنید.\";}i:993;a:1:{i:0;s:10:\"شرایط\";}i:994;a:1:{i:0;s:20:\"شرایط و سطح\";}i:995;a:1:{i:0;s:36:\"شرایط در مقابل مقصد.\";}i:996;a:1:{i:0;s:16:\"پیکربندی\";}i:997;a:1:{i:0;s:175:\"دکان را پیکربندی کنید تا به فروشندگان توانایی اندازه‌گیری و ردیابی عملکرد فروشگاه خود را بدهید.\";}i:998;a:1:{i:0;s:70:\"پیکربندی فیلدهای انطباق اتحادیه اروپا\";}i:999;a:1:{i:0;s:72:\"پیکربندی گزارش های سوء استفاده از محصول\";}i:1000;a:1:{i:0;s:41:\"پیکربندی تنظیمات مظنه \";}i:1001;a:1:{i:0;s:35:\"پیکربندی Api اجتماعی\";}i:1002;a:1:{i:0;s:80:\"Twilio را پیکربندی کنید و به سایت خود متصل شوید.\";}i:1003;a:1:{i:0;s:80:\"Vonage را پیکربندی کنید و به سایت خود متصل شوید.\";}i:1004;a:1:{i:0;s:111:\"نحوه و زمان انتقال/پرداخت وجوه به فروشندگان را پیکربندی کنید.\";}i:1005;a:1:{i:0;s:195:\"تنظیمات بازار را برای اجازه دادن به فروشندگان برای ایجاد محصولات اشتراک برای فروشگاه هایشان پیکربندی کنید.\";}i:1006;a:1:{i:0;s:156:\"تنظیمات را برای فروشنده خود پیکربندی کنید تا محصولات خود را در صفحات فروشگاه نشان دهد.\";}i:1007;a:1:{i:0;s:120:\"محیط پرداخت را پیکربندی کنید تا نحوه پرداخت مشتریان را کنترل کنید.\";}i:1008;a:1:{i:0;s:366:\"انواع فروشنده ها را پیکربندی کنید. انواع فروشندگانی که قرار است از درگاه استفاده کنند را مشخص می کند. به این ترتیب می‌توانید انواع فروشنده‌ها را که بر اساس آن‌ها فرآیند تأیید اعمال می‌شود، محدود کنید.\";}i:1009;a:1:{i:0;s:102:\"تنظیمات API اپل خود را پیکربندی کنید. %1$sدریافت راهنمایی%2$s\";}i:1010;a:1:{i:0;s:203:\"تنظیمات زمان تحویل خود را پیکربندی کنید و دسترسی به سایت خود را کنترل کنید. حداقل یک تاریخ تحویل باید انتخاب شود.\";}i:1011;a:1:{i:0;s:109:\"تنظیمات API فیس بوک خود را پیکربندی کنید. %1$sدریافت راهنمایی%2$s\";}i:1012;a:1:{i:0;s:116:\"درگاه خود را از %1$s اینجا %2$s پیکربندی کنید و جزئیات زیر را پر کنید\";}i:1013;a:1:{i:0;s:114:\"درگاه خود را از %1s اینجا %2s پیکربندی کنید و جزئیات زیر را پر کنید\";}i:1014;a:1:{i:0;s:104:\"تنظیمات API گوگل خود را پیکربندی کنید. %1$sدریافت راهنمایی%2$s\";}i:1015;a:1:{i:0;s:112:\"تنظیمات API لینکداین خود را پیکربندی کنید. %1$sدریافت راهنمایی%2$s\";}i:1016;a:1:{i:0;s:194:\"بازار خود را برای اطمینان از ایمنی و صداقت با اجازه دادن به مشتریان برای گزارش محصولات تقلبی پیکربندی کنید.\";}i:1017;a:1:{i:0;s:173:\"تنظیمات ویژگی مظنه خود را پیکربندی کنید و دسترسی به ویژگی های محصول مظنه سایت خود را کنترل کنید.\";}i:1018;a:1:{i:0;s:153:\"تنظیمات صفحه مظنه خود را پیکربندی کنید و دسترسی به محصول مظنه سایت خود را کنترل کنید.\";}i:1019;a:1:{i:0;s:139:\"تنظیمات اجتماعی سایت خود را پیکربندی کنید و دسترسی به سایت خود را کنترل کنید.\";}i:1020;a:1:{i:0;s:108:\"تنظیمات API توئیتر خود را پیکربندی کنید. %1$sدریافت راهنمایی%2$s\";}i:1021;a:1:{i:0;s:10:\"تأیید\";}i:1022;a:1:{i:0;s:44:\"تایید ثبت نام عمده فروشی\";}i:1023;a:1:{i:0;s:60:\"تبریک ، پروفایل شما تکمیل شده است\";}i:1024;a:1:{i:0;s:14:\"تبریک %s!\";}i:1025;a:1:{i:0;s:11:\"تبریک!\";}i:1026;a:1:{i:0;s:10:\"اتصال\";}i:1027;a:1:{i:0;s:11:\"اتصال \";}i:1028;a:1:{i:0;s:19:\"اتصال حساب\";}i:1029;a:1:{i:0;s:28:\"اتصال حساب Razorpay\";}i:1030;a:1:{i:0;s:24:\"اتصال با Wirecard\";}i:1031;a:1:{i:0;s:22:\"اتصال به اپل\";}i:1032;a:1:{i:0;s:28:\"اتصال به فیسبوک\";}i:1033;a:1:{i:0;s:24:\"اتصال به گوگل\";}i:1034;a:1:{i:0;s:32:\"اتصال به لینکداین\";}i:1035;a:1:{i:0;s:20:\"اتصال به MOIP\";}i:1036;a:1:{i:0;s:36:\"خطای اتصال به پی پال\";}i:1037;a:1:{i:0;s:22:\"اتصال به Twilio\";}i:1038;a:1:{i:0;s:28:\"اتصال به توییتر\";}i:1039;a:1:{i:0;s:22:\"اتصال به Vonage\";}i:1040;a:1:{i:0;s:15:\"اتصال با\";}i:1041;a:1:{i:0;s:22:\"اتصال با Stripe\";}i:1042;a:1:{i:0;s:46:\"با موفقیت به Razorpay متصل شد.\";}i:1043;a:1:{i:0;s:20:\"کلید  مشتری\";}i:1044;a:1:{i:0;s:28:\"کلید سکرت مشتری\";}i:1045;a:1:{i:0;s:28:\"تماس با فروشنده\";}i:1046;a:1:{i:0;s:10:\"محتوا\";}i:1047;a:1:{i:0;s:13:\"AI محتوا\";}i:1048;a:1:{i:0;s:27:\"محتوای اطلاعیه\";}i:1049;a:1:{i:0;s:10:\"ادامه\";}i:1050;a:1:{i:0;s:138:\"کنترل می کند که آیا محصول به عنوان \"موجود\" یا \"موجود نیست\" در فرانتد قرار گیرد.\";}i:1051;a:1:{i:0;s:159:\"کنترل این است که آیا تغییرات به عنوان \"موجود در انبار \" یا \"ناموجود\" در فرانت لیست شده است.\";}i:1052;a:1:{i:0;s:37:\"گفتگو برای ذخیره شده\";}i:1053;a:1:{i:0;s:11:\"گفتگو:\";}i:1054;a:1:{i:0;s:14:\"گفتگوها\";}i:1055;a:1:{i:0;s:26:\"تبدیل به سفارش\";}i:1056;a:1:{i:0;s:17:\"تبدیل شده\";}i:1057;a:1:{i:0;s:26:\"تبدیل شده توسط\";}i:1058;a:1:{i:0;s:31:\"کد تخفیف لازم است\";}i:1059;a:1:{i:0;s:10:\"هزینه\";}i:1060;a:1:{i:0;s:44:\"هزینه در هر فاصله / دقیقه\";}i:1061;a:1:{i:0;s:67:\"هزینه نمی تواند خالی یا کمتر از 0 باشد\";}i:1062;a:1:{i:0;s:58:\"هزینه ارسال سفارش ، شامل مالیات.\";}i:1063;a:1:{i:0;s:102:\"هزینه هر تبلیغ. 0 (صفر) را برای خرید بدون هزینه تنظیم کنید.\";}i:1064;a:1:{i:0;s:188:\"هزینه هر واحد مسافت، یا هزینه در دقیقه برای کل زمان سفر، بدون احتساب مالیات. به هزینه پایه اضافه می‌شود.\";}i:1065;a:1:{i:0;s:49:\"هزینه هر آیتم، شامل مالیات.\";}i:1066;a:1:{i:0;s:37:\"هزینه در هر واحد وزن.\";}i:1067;a:1:{i:0;s:15:\"هزینه ها\";}i:1068;a:1:{i:0;s:54:\"نمی‌توان درخواست تأیید کرد: %s\";}i:1069;a:1:{i:0;s:96:\"نمی‌توان روش پرداخت را به مشتری پیوست کرد: %1$s. خطا: %2$s\";}i:1070;a:1:{i:0;s:40:\"سند KYC ایجاد نشد. خطا: %s\";}i:1071;a:1:{i:0;s:73:\"کاربر Mangopay برای شناسه %s ایجاد نشد. خطا: %s.\";}i:1072;a:1:{i:0;s:49:\"کاربر Mangopay ایجاد نشد. خطا: %s\";}i:1073;a:1:{i:0;s:60:\"کیف پول Mangopay برای کاربر ایجاد نشد\";}i:1074;a:1:{i:0;s:50:\"استرداد Payin ایجاد نشد. خطا: %s\";}i:1075;a:1:{i:0;s:38:\"حساب ایجاد نشد. خطا: %s\";}i:1076;a:1:{i:0;s:49:\"حساب بانکی ایجاد نشد. خطا: %s\";}i:1077;a:1:{i:0;s:50:\"لینک حساب مشتری ایجاد نشد: %s\";}i:1078;a:1:{i:0;s:45:\"کد تخفیف ایجاد نشد. خطا: %s\";}i:1079;a:1:{i:0;s:64:\"اعلان برای کاربر ایجاد نشد: %s. خطا: %s\";}i:1080;a:1:{i:0;s:64:\"المان برای اعلان ایجاد نشد: %s. خطا: %s\";}i:1081;a:1:{i:0;s:73:\"لینک ورود برای حساب ایجاد نشد: %1$s. خطا: %2$s\";}i:1082;a:1:{i:0;s:70:\"امکان ایجاد بازگشت وجه جدید وجود ندارد\";}i:1083;a:1:{i:0;s:67:\"صفحاتی برای سند ایجاد نشد: %1$ss. خطا: %2$s\";}i:1084;a:1:{i:0;s:49:\"هدف پرداخت ایجاد نشد. خطا: %s\";}i:1085;a:1:{i:0;s:94:\"هدف پرداخت ایجاد نشد. خطا: مقدار نمی تواند منفی باشد.\";}i:1086;a:1:{i:0;s:49:\"روش پرداخت ایجاد نشد. خطا: %s\";}i:1087;a:1:{i:0;s:58:\"هدف راه‌اندازی ایجاد نشد. خطا: %s\";}i:1088;a:1:{i:0;s:75:\"کیف پول برای نوع کاربر ناشناس ایجاد نشد: %s\";}i:1089;a:1:{i:0;s:31:\"وب هوک ایجاد نشد: \";}i:1090;a:1:{i:0;s:51:\"وب هوک ایجاد نشد: %1$s. پیام: %2$s\";}i:1091;a:1:{i:0;s:52:\"داده‌های نشان حذف نشد. خطا: %s\";}i:1092;a:1:{i:0;s:46:\"نمی توان محصول را حذف کرد.\";}i:1093;a:1:{i:0;s:57:\"امکان حذف بازگشت وجه وجود ندارد\";}i:1094;a:1:{i:0;s:27:\"وب هوک حذف نشد: \";}i:1095;a:1:{i:0;s:47:\"وب هوک حذف نشد: %1$s. پیام: %2$s\";}i:1096;a:1:{i:0;s:45:\"روش پرداخت جدا نشد. خطا: %s\";}i:1097;a:1:{i:0;s:64:\"پرداخت به کاربر: %s انجام نشد. پیام: %s\";}i:1098;a:1:{i:0;s:126:\"پرداخت به کاربر: %s انجام نشد. هیچ حساب بانکی فعالی برای کاربر پیدا نشد.\";}i:1099;a:1:{i:0;s:88:\"پرداخت به کاربر: %s انجام نشد. کاربر mangopay پیدا نشد.\";}i:1100;a:1:{i:0;s:92:\"پرداخت به کاربر: %s انجام نشد. سفارش معتبری پیدا نشد.\";}i:1101;a:1:{i:0;s:84:\"پرداخت به کاربر: %s انجام نشد. کیف پولی پیدا نشد.\";}i:1102;a:1:{i:0;s:116:\"پرداخت به کاربر: %s انجام نشد. تنظیمات پرداخت برای کاربر ناقص است.\";}i:1103;a:1:{i:0;s:43:\"هیچ فروشنده ای پیدا نشد.\";}i:1104;a:1:{i:0;s:26:\"سفارش پیدا نشد\";}i:1105;a:1:{i:0;s:74:\"استرداد برای انتقال پردازش نشد: %s. پیام: %s\";}i:1106;a:1:{i:0;s:98:\"پردازش انتقال کیف پول: %s به کیف پول: %s انجام نشد. پیام: %s\";}i:1107;a:1:{i:0;s:39:\"این بررسی بازیابی نشد\";}i:1108;a:1:{i:0;s:55:\"نمی توان حساب را بازیابی کرد: %s\";}i:1109;a:1:{i:0;s:47:\"مشخصات کشور بازیابی نشد: %s\";}i:1110;a:1:{i:0;s:68:\"درخواست برای اعلان ارسال نشد: %s. خطا: %s\";}i:1111;a:1:{i:0;s:44:\"حساب بروز نشد: %1$s. خطا: %2$s\";}i:1112;a:1:{i:0;s:69:\"داده‌های نشان به‌روزرسانی نشد. خطا: %s\";}i:1113;a:1:{i:0;s:49:\"سند به‌روزرسانی نشد. خطا: %s\";}i:1114;a:1:{i:0;s:77:\"المان برای اعلان به‌روزرسانی نشد: %s. خطا: %s\";}i:1115;a:1:{i:0;s:69:\"امکان بروزرسانی بازگشت وجه وجود ندارد\";}i:1116;a:1:{i:0;s:41:\"وضعیت به‌روزرسانی نشد\";}i:1117;a:1:{i:0;s:49:\"وب هوک بروز نشد: %1$s. پیام: %2$s\";}i:1118;a:1:{i:0;s:60:\"حذف نشد، لطفا دوباره امتحان کنید!\";}i:1119;a:1:{i:0;s:10:\"تعداد\";}i:1120;a:1:{i:0;s:58:\"افراد را به عنوان رزرو حساب کنید\";}i:1121;a:1:{i:0;s:8:\"کشور\";}i:1122;a:1:{i:0;s:28:\"کشور الزامی است\";}i:1123;a:1:{i:0;s:55:\"کشوری که از آنجا ارسال می کنید.\";}i:1124;a:1:{i:0;s:15:\"کد تخفیف\";}i:1125;a:1:{i:0;s:25:\"مقدار تخفیف: %s\";}i:1126;a:1:{i:0;s:31:\"پس زمینه کد تخفیف\";}i:1127;a:1:{i:0;s:15:\"کد تخفیف\";}i:1128;a:1:{i:0;s:18:\"کدتخفیف: %s\";}i:1129;a:1:{i:0;s:36:\"کد تخفیف: <strong>%s</strong>\";}i:1130;a:1:{i:0;s:39:\"استایل داخلی کد تخفیف\";}i:1131;a:1:{i:0;s:39:\"استایل خارجی کد تخفیف\";}i:1132;a:1:{i:0;s:24:\"قیمت کد تخفیف\";}i:1133;a:1:{i:0;s:26:\"کسر قیمت تخفیف\";}i:1134;a:1:{i:0;s:31:\"کسر قیمت تخفیف از\";}i:1135;a:1:{i:0;s:19:\"عنوان کوپن\";}i:1136;a:1:{i:0;s:22:\"نوع کد تخفیف\";}i:1137;a:1:{i:0;s:26:\"مقدار کد تخفیف\";}i:1138;a:1:{i:0;s:44:\"مقدار کد تخفیف ضروری است\";}i:1139;a:1:{i:0;s:16:\"کد تخفیف.\";}i:1140;a:1:{i:0;s:31:\"توضیحات کد تخفیف.\";}i:1141;a:1:{i:0;s:95:\"کد تخفیف با موفقیت ایجاد شد و به ایمیل مشتری ارسال شد\";}i:1142;a:1:{i:0;s:45:\"کد تخفیف باموفقیت حذف شد!\";}i:1143;a:1:{i:0;s:49:\"کد تخفیف باموفقیت ذخیره شد!\";}i:1144;a:1:{i:0;s:57:\"کد تخفیف باموفقیت بروزرسانی شد!\";}i:1145;a:1:{i:0;s:31:\"کد تخفیف یافت نشد\";}i:1146;a:1:{i:0;s:56:\"عنوان کد تخفیف از قبل وجود دارد\";}i:1147;a:1:{i:0;s:22:\"نوع کد تخفیف\";}i:1148;a:1:{i:0;s:37:\"کد تخفیف استفاده شده\";}i:1149;a:1:{i:0;s:15:\"کد تخفیف\";}i:1150;a:1:{i:0;s:10:\"ایجاد\";}i:1151;a:1:{i:0;s:26:\"ایجاد کد تخفیف\";}i:1152;a:1:{i:0;s:19:\"ایجاد جدید\";}i:1153;a:1:{i:0;s:39:\"ایجاد محصول جدید حراج\";}i:1154;a:1:{i:0;s:39:\"ایجاد محصول جدید رزرو\";}i:1155;a:1:{i:0;s:32:\"ایجاد محموله جدید\";}i:1156;a:1:{i:0;s:34:\"ایجاد افزودنی جدید\";}i:1157;a:1:{i:0;s:21:\"ایجاد سفارش\";}i:1158;a:1:{i:0;s:23:\"ایجاد محموله\";}i:1159;a:1:{i:0;s:212:\"یک سفارش متناظر جدید برای این رزرو جدید ایجاد کنید. توجه - رزرو تا زمانی که سفارش پردازش یا تکمیل نشود فعال نخواهد بود.\";}i:1160;a:1:{i:0;s:52:\"ایجاد یک موضوع پشتیبانی جدید\";}i:1161;a:1:{i:0;s:30:\"ایجاد افزودنی ها\";}i:1162;a:1:{i:0;s:30:\"ایجاد یک اعلان UBO\";}i:1163;a:1:{i:0;s:24:\"ایجاد یک حساب\";}i:1164;a:1:{i:0;s:73:\"کد کوتاه بسته اشتراک محصول را ایجاد کنید\";}i:1165;a:1:{i:0;s:21:\"ایجاد پرسنل\";}i:1166;a:1:{i:0;s:17:\"ایجاد شده\";}i:1167;a:1:{i:0;s:22:\"ایجاد شده در\";}i:1168;a:1:{i:0;s:23:\"ایجاد شده در:\";}i:1169;a:1:{i:0;s:22:\"ایجاد شده با\";}i:1170;a:1:{i:0;s:59:\"ایجاد شده با تبدیل مظنه به سفارش.\";}i:1171;a:1:{i:0;s:36:\"تاریخ ایجاد اطلاعیه\";}i:1172;a:1:{i:0;s:45:\"تاریخ ایجاد اعلامیه در GMT\";}i:1173;a:1:{i:0;s:26:\"ایجاد این دوره\";}i:1174;a:1:{i:0;s:28:\"ایجاد نشان جدید\";}i:1175;a:1:{i:0;s:54:\"اعتبار برای حساب سندباکس MangoPay\";}i:1176;a:1:{i:0;s:39:\"اعتبار حساب اصلی MangoPay\";}i:1177;a:1:{i:0;s:8:\"کاهش\";}i:1178;a:1:{i:0;s:23:\"کارت اعتباری\";}i:1179;a:1:{i:0;s:30:\"نوع کارت اعتباری\";}i:1180;a:1:{i:0;s:54:\"اطلاعات کارت اعتباری یافت نشد\";}i:1181;a:1:{i:0;s:39:\"کارت اعتباری پیدا نشد\";}i:1182;a:1:{i:0;s:23:\"کارت اعتباری\";}i:1183;a:1:{i:0;s:34:\"کارت اعتباری / دبیت\";}i:1184;a:1:{i:0;s:30:\"انتقال برون مرزی\";}i:1185;a:1:{i:0;s:60:\"نقل و انتقالات برون مرزی و معارفه\";}i:1186;a:1:{i:0;s:35:\"فروش متقابل (Cross-sells)\";}i:1187;a:1:{i:0;s:145:\"فروش متقابل محصولاتی هستند که شما بر اساس محصول فعلی در سبد خرید تبلیغ می کنید، .\";}i:1188;a:1:{i:0;s:8:\"فعلی\";}i:1189;a:1:{i:0;s:21:\"موجودی فعلی\";}i:1190;a:1:{i:0;s:19:\"وضعیت فعلی\";}i:1191;a:1:{i:0;s:29:\"زمان تحویل فعلی:\";}i:1192;a:1:{i:0;s:30:\"زمان تحویل فعلی: \";}i:1193;a:1:{i:0;s:29:\"زمان تحویل فعلی:\";}i:1194;a:1:{i:0;s:30:\"زمان تحویل فعلی: \";}i:1195;a:1:{i:0;s:58:\"اشتراک فعلی این اجازه را نمی دهد\";}i:1196;a:1:{i:0;s:29:\"قیمت فعلی متغیر.\";}i:1197;a:1:{i:0;s:33:\"پکیج فعال شده فعلی\";}i:1198;a:1:{i:0;s:12:\"سفارشی\";}i:1199;a:1:{i:0;s:26:\"ویژگی‌ سفارشی\";}i:1200;a:1:{i:0;s:32:\"برچسب دکمه سفارشی\";}i:1201;a:1:{i:0;s:28:\"پالت رنگ سفارشی\";}i:1202;a:1:{i:0;s:26:\"نام روش سفارشی\";}i:1203;a:1:{i:0;s:26:\"نوع روش سفارشی\";}i:1204;a:1:{i:0;s:40:\"تنظیمات پرداخت سفارشی\";}i:1205;a:1:{i:0;s:40:\"تنظیمات پرداخت سفارشی\";}i:1206;a:1:{i:0;s:29:\"حمل و نقل سفارشی\";}i:1207;a:1:{i:0;s:86:\"نوع روش برداشت سفارشی.مثال، ایمیل یا شماره تلفن\";}i:1208;a:1:{i:0;s:10:\"مشتری\";}i:1209;a:1:{i:0;s:36:\"صورتحساب بانک مشتری\";}i:1210;a:1:{i:0;s:21:\"مبنای مشتری\";}i:1211;a:1:{i:0;s:37:\"قیمت تعیین شده مشتری\";}i:1212;a:1:{i:0;s:23:\"جزئیات مشتری\";}i:1213;a:1:{i:0;s:21:\"ایمیل مشتری\";}i:1214;a:1:{i:0;s:37:\"فیلد های اضافی مشتری\";}i:1215;a:1:{i:0;s:21:\"آی پی مشتری:\";}i:1216;a:1:{i:0;s:25:\"اطلاعات مشتری\";}i:1217;a:1:{i:0;s:30:\"فرم مهاجرت مشتری\";}i:1218;a:1:{i:0;s:17:\"نام مشتری\";}i:1219;a:1:{i:0;s:18:\"نام مشتری:\";}i:1220;a:1:{i:0;s:24:\"یاداشت مشتری:\";}i:1221;a:1:{i:0;s:44:\"نشان‌های مرتبط با مشتری\";}i:1222;a:1:{i:0;s:17:\"نظر مشتری\";}i:1223;a:1:{i:0;s:80:\"مشتری می تواند یک مظنه را به سفارش تبدیل کند.\";}i:1224;a:1:{i:0;s:49:\"بلوک های تعریف شده مشتری از\";}i:1225;a:1:{i:0;s:21:\"ایمیل مشتری\";}i:1226;a:1:{i:0;s:58:\"ایمیل مشتری نمی تواند خالی باشد!\";}i:1227;a:1:{i:0;s:23:\"ایمیل مشتری: \";}i:1228;a:1:{i:0;s:25:\"اطلاعات مشتری\";}i:1229;a:1:{i:0;s:31:\"مشتری الزامی است.\";}i:1230;a:1:{i:0;s:17:\"نام مشتری\";}i:1231;a:1:{i:0;s:54:\"نام مشتری نمی تواند خالی باشد!\";}i:1232;a:1:{i:0;s:19:\"نام مشتری: \";}i:1233;a:1:{i:0;s:105:\"مشتری برای تبدیل شدن به مشتری عمده نیاز به تأیید مدیر دارد\";}i:1234;a:1:{i:0;s:26:\"مشتری یافت نشد\";}i:1235;a:1:{i:0;s:27:\"مشتری یافت نشد.\";}i:1236;a:1:{i:0;s:23:\"یاداشت مشتری\";}i:1237;a:1:{i:0;s:28:\"مشتری انتخاب شد\";}i:1238;a:1:{i:0;s:166:\"منابع انتخاب شده توسط مشتری به مشتریان این امکان را می دهد تا یکی از فرم رزرو را انتخاب کنند.\";}i:1239;a:1:{i:0;s:96:\"مشتری این اطلاعات را در ایمیل سفارش خود دریافت می کند\";}i:1240;a:1:{i:0;s:11:\"مشتری:\";}i:1241;a:1:{i:0;s:74:\"سفارشی کردن برچسب دکمه پشتیبانی فروشگاه.\";}i:1242;a:1:{i:0;s:54:\"سفارشی کردن متن دکمه پشتیبانی\";}i:1243;a:1:{i:0;s:96:\"سفارشی کردن پیام پاپ آپ برای تحویل پیام تأیید ناموفق.\";}i:1244;a:1:{i:0;s:88:\"سفارشی کردن پیام پاپ آپ در تأیید تحویل پیام موفق.\";}i:1245;a:1:{i:0;s:67:\"تم و ظاهر المان پرداخت را سفارشی کنید\";}i:1246;a:1:{i:0;s:96:\"سفارشی کردن نامی که برای \"فرستنده\" نمایش داده می‌شود.\";}i:1247;a:1:{i:0;s:13:\"کرون چک\";}i:1248;a:1:{i:0;s:132:\"خطای پرس و جوی پایگاه داده در هنگام دریافت داده‌های بازپرداخت فروشنده: %s\";}i:1249;a:1:{i:0;s:10:\"نزولی\";}i:1250;a:1:{i:0;s:3:\"DHL\";}i:1251;a:1:{i:0;s:6:\"DHL US\";}i:1252;a:1:{i:0;s:3:\"DPD\";}i:1253;a:1:{i:0;s:21:\"فروش روزانه\";}i:1254;a:1:{i:0;s:16:\"دانمارکی\";}i:1255;a:1:{i:0;s:23:\"کرون دانمارک\";}i:1256;a:1:{i:0;s:10:\"تاریک\";}i:1257;a:1:{i:0;s:15:\"آبی تیره\";}i:1258;a:1:{i:0;s:14:\"داشبورد\";}i:1259;a:1:{i:0;s:70:\"پس‌زمینه منوی فعال نوار کناری داشبورد\";}i:1260;a:1:{i:0;s:68:\"متن منوی نوار کناری داشبورد فعال/هاور\";}i:1261;a:1:{i:0;s:50:\"پس زمینه نوار کناری داشبورد\";}i:1262;a:1:{i:0;s:50:\"متن منوی نوار کناری داشبورد\";}i:1263;a:1:{i:0;s:34:\"خطای پایگاه داده: %s\";}i:1264;a:1:{i:0;s:86:\"خطای پایگاه داده: لطفا با مدیر سایت تماس بگیرید.\";}i:1265;a:1:{i:0;s:45:\"خطای کوئری پایگاه داده: %s\";}i:1266;a:1:{i:0;s:10:\"تاریخ\";}i:1267;a:1:{i:0;s:71:\"تاریخ و زمان بر اساس زمان فعلی سایت است.\";}i:1268;a:1:{i:0;s:23:\"محدوده تاریخ\";}i:1269;a:1:{i:0;s:35:\"محدود تاریخ با زمان\";}i:1270;a:1:{i:0;s:21:\"تاریخ ارسال\";}i:1271;a:1:{i:0;s:19:\"تاریخ دقیق\";}i:1272;a:1:{i:0;s:28:\"تاریخ بستن دقیق\";}i:1273;a:1:{i:0;s:19:\"تاریخ تولد\";}i:1274;a:1:{i:0;s:23:\"محدوده تاریخ\";}i:1275;a:1:{i:0;s:6:\"روز\";}i:1276;a:1:{i:0;s:19:\"مشاهده روز\";}i:1277;a:1:{i:0;s:6:\"روز\";}i:1278;a:1:{i:0;s:6:\"روز\";}i:1279;a:1:{i:0;s:168:\"روزها، (سفارش را کامل کنید تا درخواست برداشت بدهید) <br> مقدار \"0\" این گزینه را غیرفعال خواهد کرد\";}i:1280;a:1:{i:0;s:71:\"غیرفعال کردن حداقل حداکثر تعداد / مقدار\";}i:1281;a:1:{i:0;s:54:\"غیرفعال کردن برای همه تغییرات\";}i:1282;a:1:{i:0;s:36:\"غیرفعال سازی افزونه\";}i:1283;a:1:{i:0;s:21:\"غیرفعال شده\";}i:1284;a:1:{i:0;s:38:\"با موفقیت غیرفعال شد.\";}i:1285;a:1:{i:0;s:23:\"غیرفعال کردن\";}i:1286;a:1:{i:0;s:25:\"غیرفعال سازی..\";}i:1287;a:1:{i:0;s:14:\"غیرفعال\";}i:1288;a:1:{i:0;s:45:\"غیرفعال<span class=\'count\'>(%s)</span>\";}i:1289;a:1:{i:0;s:158:\"مشترک گرامی ، اشتراک شما منقضی شده است. لطفاً برای ادامه استفاده پکیج خود را تمدید کنید.\";}i:1290;a:1:{i:0;s:189:\"مشترک گرامی ، اشتراک شما به زودی پایان می یابد. لطفاً برای ادامه استفاده ، پکیج خود را به موقع تمدید کنید.\";}i:1291;a:1:{i:0;s:12:\"افزایش\";}i:1292;a:1:{i:0;s:32:\"گزارش اشکال زدایی\";}i:1293;a:1:{i:0;s:12:\"دسامبر\";}i:1294;a:1:{i:0;s:58:\"اعلان با اطلاعات UBO مطابقت ندارد\";}i:1295;a:1:{i:0;s:13:\"رد کردن\";}i:1296;a:1:{i:0;s:34:\"کاهش قیمت پیشنهادی\";}i:1297;a:1:{i:0;s:63:\"کاهش قیمت موجود با (مقدار ثابت یا %):\";}i:1298;a:1:{i:0;s:81:\"کاهش قیمت فروش ویژه موجود با (مقدار ثابت یا %):\";}i:1299;a:1:{i:0;s:31:\"کاهش موجودی توسط:\";}i:1300;a:1:{i:0;s:15:\"پیش‌فرض\";}i:1301;a:1:{i:0;s:19:\"پیشفرض (40px)\";}i:1302;a:1:{i:0;s:23:\"عنوان پیشفرض\";}i:1303;a:1:{i:0;s:25:\"موقعیت پیشفرض\";}i:1304;a:1:{i:0;s:39:\"قیمت حمل و نقل پیش فرض\";}i:1305;a:1:{i:0;s:35:\"لوگوی نشان پیش‌فرض\";}i:1306;a:1:{i:0;s:57:\"مکان پیش فرض را نمی توان حذف کرد\";}i:1307;a:1:{i:0;s:109:\"مکان پیش فرض را نمی توان ویرایش کرد زیرا قبلاً تأیید شده است!\";}i:1308;a:1:{i:0;s:33:\"روش پرداخت پیش فرض\";}i:1309;a:1:{i:0;s:35:\"انتخاب‌های پیشفرض:\";}i:1310;a:1:{i:0;s:67:\"برچسب دکمه پشتیبانی فروشگاه پیش‌فرض\";}i:1311;a:1:{i:0;s:57:\"تعریف حداقل/حداکثر مبلغ و تعداد\";}i:1312;a:1:{i:0;s:94:\"تعریف اینکه آیا متغیر در صفحه محصول قابل مشاهده است.\";}i:1313;a:1:{i:0;s:206:\"تنظیماتی را تعریف کنید تا فروشندگان بتوانند از پروفایل های اجتماعی خود برای ثبت نام یا ورود فروشگاه استفاده کنند.\";}i:1314;a:1:{i:0;s:215:\"وقتی سفارشی از طریق ShipStation ارسال شد ، وضعیت سفارشی را که می خواهید به روز کنید ، تعیین کنید. به طور پیش فرض تکمیل شده است.\";}i:1315;a:1:{i:0;s:123:\"وضعیت های سفارشی را که می خواهید به ShipStation برون ریزی کنید تعیین کنید.\";}i:1316;a:1:{i:0;s:34:\"تعیین دوره آزمایشی\";}i:1317;a:1:{i:0;s:66:\"نرخ مسافت خود را در اینجا تعریف کنید.\";}i:1318;a:1:{i:0;s:100:\"نرخ های جدول خود را در اینجا به ترتیب اولویت تعریف کنید.\";}i:1319;a:1:{i:0;s:19:\"دوره تاخیر\";}i:1320;a:1:{i:0;s:28:\"دوره تاخیر (روز)\";}i:1321;a:1:{i:0;s:15:\"با تاخیر\";}i:1322;a:1:{i:0;s:6:\"حذف\";}i:1323;a:1:{i:0;s:15:\"حذف حساب\";}i:1324;a:1:{i:0;s:24:\"حذف دسته بندی\";}i:1325;a:1:{i:0;s:17:\"حذف دائمی\";}i:1326;a:1:{i:0;s:28:\"حذف محصول حراجی\";}i:1327;a:1:{i:0;s:26:\"حذف محصول رزرو\";}i:1328;a:1:{i:0;s:13:\"حذف نظر\";}i:1329;a:1:{i:0;s:17:\"حذف تصویر\";}i:1330;a:1:{i:0;s:21:\"حذف یادداشت\";}i:1331;a:1:{i:0;s:17:\"حذف دائمی\";}i:1332;a:1:{i:0;s:32:\"حذف نشان انتخابی؟\";}i:1333;a:1:{i:0;s:37:\"حذف ردیف های انتخابی\";}i:1334;a:1:{i:0;s:37:\"حذف نرخ های انتخابی؟\";}i:1335;a:1:{i:0;s:24:\"محصول حذف شده\";}i:1336;a:1:{i:0;s:37:\"نظر با موفقیت حذف شد!\";}i:1337;a:1:{i:0;s:18:\"در حال حذف\";}i:1338;a:1:{i:0;s:96:\"محصولات را در زمان مناسب، با پرداخت مناسب تحویل دهید.\";}i:1339;a:1:{i:0;s:17:\"تحویل شده\";}i:1340;a:1:{i:0;s:10:\"تحویل\";}i:1341;a:1:{i:0;s:16:\"تحویل #%1$s\";}i:1342;a:1:{i:0;s:37:\"بافر مسدود شده تحویل\";}i:1343;a:1:{i:0;s:34:\"اطلاعات جعبه تحویل\";}i:1344;a:1:{i:0;s:21:\"تاریخ تحویل\";}i:1345;a:1:{i:0;s:32:\"برچسب تاریخ تحویل\";}i:1346;a:1:{i:0;s:22:\"تاریخ تحویل:\";}i:1347;a:1:{i:0;s:23:\"تاریخ تحویل: \";}i:1348;a:1:{i:0;s:23:\"روزهای تحویل\";}i:1349;a:1:{i:0;s:47:\"راه اندازی زمانبندی تحویل\";}i:1350;a:1:{i:0;s:27:\"پشتیبانی تحویل\";}i:1351;a:1:{i:0;s:19:\"زمان تحویل\";}i:1352;a:1:{i:0;s:53:\"زمان تحویل و تحویل از فروشگاه\";}i:1353;a:1:{i:0;s:34:\"تنظیمات زمان تحویل\";}i:1354;a:1:{i:0;s:32:\"اسلات زمانی تحویل\";}i:1355;a:1:{i:0;s:37:\"بافر مسدود شده تحویل\";}i:1356;a:1:{i:0;s:94:\"بافر مسدود شده تحویل نمی تواند خالی یا کمتر از 0 باشد\";}i:1357;a:1:{i:0;s:54:\"تعداد بافرهای مسدود شده تحویل\";}i:1358;a:1:{i:0;s:70:\"اطلاعات جعبه تحویل نمی تواند خالی باشد\";}i:1359;a:1:{i:0;s:68:\"برچسب تاریخ تحویل نمی تواند خالی باشد\";}i:1360;a:1:{i:0;s:22:\"تاریخ تحویل:\";}i:1361;a:1:{i:0;s:23:\"جزئیات تحویل\";}i:1362;a:1:{i:0;s:60:\"تنظیمات تحویل با موفقیت ذخیره شد!\";}i:1363;a:1:{i:0;s:27:\"پشتیبانی تحویل\";}i:1364;a:1:{i:0;s:55:\"زمان تحویل نمی تواند خالی باشد\";}i:1365;a:1:{i:0;s:20:\"زمان تحویل:\";}i:1366;a:1:{i:0;s:26:\"نوع حساب سپرده\";}i:1367;a:1:{i:0;s:14:\"توضیحات\";}i:1368;a:1:{i:0;s:16:\"توضيحات: \";}i:1369;a:1:{i:0;s:12:\"جزئیات\";}i:1370;a:1:{i:0;s:37:\"جزئیات استعلام شما...\";}i:1371;a:1:{i:0;s:14:\"جزئیات: \";}i:1372;a:1:{i:0;s:64:\"نوع تخفیف اعمال شده را تعیین می کند.\";}i:1373;a:1:{i:0;s:8:\"داکا\";}i:1374;a:1:{i:0;s:38:\"ایمیل دریافت نکردید؟\";}i:1375;a:1:{i:0;s:40:\"انواع مختلف فروشندگان\";}i:1376;a:1:{i:0;s:81:\"انواع مختلف این محصول (برای مثال اندازه، رنگ)\";}i:1377;a:1:{i:0;s:16:\"دیجیتالی\";}i:1378;a:1:{i:0;s:10:\"ابعاد\";}i:1379;a:1:{i:0;s:30:\"ابعاد (L&times;W&times;H)\";}i:1380;a:1:{i:0;s:12:\"مستقیم\";}i:1381;a:1:{i:0;s:36:\"انتقال مستقیم بانکی\";}i:1382;a:1:{i:0;s:25:\"پرداخت مستقیم\";}i:1383;a:1:{i:0;s:34:\"غیرفعال سازی حراجی\";}i:1384;a:1:{i:0;s:39:\"غیرفعالسازی حمل و نقل\";}i:1385;a:1:{i:0;s:50:\"غیرفعالسازی زبانه حمل و نقل\";}i:1386;a:1:{i:0;s:76:\"غیرفعال کردن قابلیت حراج برای این فروشنده\";}i:1387;a:1:{i:0;s:66:\"غیرفعالسازی حمل و نقل برای این محصول\";}i:1388;a:1:{i:0;s:80:\"غیرفعالسازی زبانه حمل و نقل در صفحه تک محصول\";}i:1389;a:1:{i:0;s:63:\"غیرفعالسازی تخفیف سرتاسری فروشگاه\";}i:1390;a:1:{i:0;s:14:\"غیرفعال\";}i:1391;a:1:{i:0;s:33:\"فروشندگان غیرفعال\";}i:1392;a:1:{i:0;s:17:\"عدم تایید\";}i:1393;a:1:{i:0;s:21:\"پرداخت وجوه\";}i:1394;a:1:{i:0;s:32:\"دوره تاخیر پرداخت\";}i:1395;a:1:{i:0;s:21:\"حالت پرداخت\";}i:1396;a:1:{i:0;s:30:\"زمان بندی پرداخت\";}i:1397;a:1:{i:0;s:17:\"قطع اتصال\";}i:1398;a:1:{i:0;s:18:\"قطع اتصال \";}i:1399;a:1:{i:0;s:28:\"قطع اتصال کاربر\";}i:1400;a:1:{i:0;s:50:\"قطع اتصال حساب استریپ کاربر\";}i:1401;a:1:{i:0;s:48:\"قطع اتصال حساب کاربری Wirecard\";}i:1402;a:1:{i:0;s:10:\"تخفیف\";}i:1403;a:1:{i:0;s:11:\"تخفیف \";}i:1404;a:1:{i:0;s:12:\"تخفیف %\";}i:1405;a:1:{i:0;s:23:\"ویرایش تخفیف\";}i:1406;a:1:{i:0;s:28:\"گزینه های تخفیف\";}i:1407;a:1:{i:0;s:19:\"درصد تخفیف\";}i:1408;a:1:{i:0;s:18:\"جمع تخفیف:\";}i:1409;a:1:{i:0;s:17:\"نوع تخفیف\";}i:1410;a:1:{i:0;s:45:\"نادیده گرفتن این اطلاعیه\";}i:1411;a:1:{i:0;s:39:\"چشم پوشی از این اعلان.\";}i:1412;a:1:{i:0;s:55:\"نمایش محصول تبلیغ شده در بالا؟\";}i:1413;a:1:{i:0;s:17:\"نمایش خطی\";}i:1414;a:1:{i:0;s:36:\"فاصله نمایش اطلاعیه\";}i:1415;a:1:{i:0;s:60:\"نمایش اطلاعیه برای اتصال فروشنده\";}i:1416;a:1:{i:0;s:64:\"نمایش اعلان برای فروشندگان غیرمتصل\";}i:1417;a:1:{i:0;s:38:\"نمایش گزینه پشتیبانی\";}i:1418;a:1:{i:0;s:23:\"نمایش بعنوان\";}i:1419;a:1:{i:0;s:41:\"نمایش تقویم هنگام کلیک\";}i:1420;a:1:{i:0;s:21:\"نمایش هزینه\";}i:1421;a:1:{i:0;s:53:\"نمایش در فرم ثبت نام فروشنده؟\";}i:1422;a:1:{i:0;s:53:\"نمایش در داخل زبانه های محصول\";}i:1423;a:1:{i:0;s:40:\"نام نمایشی برای کاربر.\";}i:1424;a:1:{i:0;s:39:\"نمایش در جزئیات سفارش\";}i:1425;a:1:{i:0;s:35:\"نمایش در صفحه محصول\";}i:1426;a:1:{i:0;s:81:\"نمایش دکمه پشتیبانی فروشگاه در صفحه تک محصول\";}i:1427;a:1:{i:0;s:109:\"نمایش دکمه پشتیبانی فروشگاه در صفحه جزئیات سفارش برای مشتری\";}i:1428;a:1:{i:0;s:109:\"برچسب بالا را روی دکمه سفارشی نمایش دهید،مثال \"درخواست مظنه\"\";}i:1429;a:1:{i:0;s:99:\"فقط تبلیغ های فروشنده را در صفحه تک فروشگاه نمایش دهید.\";}i:1430;a:1:{i:0;s:96:\"نمایش فیلدهای اضافی فروشندگان در فرم ثبت نام فروشنده\";}i:1431;a:1:{i:0;s:10:\"فاصله\";}i:1432;a:1:{i:0;s:54:\"کلید API برای Distance Matrix فعال است.\";}i:1433;a:1:{i:0;s:17:\"نرخ فاصله\";}i:1434;a:1:{i:0;s:19:\"واحد فاصله\";}i:1435;a:1:{i:0;s:83:\"نرخ مسافت ارسال به کلید API نقشه گوگل نیاز دارد.\";}i:1436;a:1:{i:0;s:59:\"نرخ های مسافت با موفقیت ذخیره شد!\";}i:1437;a:1:{i:0;s:17:\"اجازه نده\";}i:1438;a:1:{i:0;s:17:\"اجازه نده\";}i:1439;a:1:{i:0;s:73:\"آیا واقعاً می خواهید اشتراک را لغو کنید؟\";}i:1440;a:1:{i:0;s:14:\"مستندات\";}i:1441;a:1:{i:0;s:13:\"نوع سند\";}i:1442;a:1:{i:0;s:60:\"سند با داده های حساب مطابقت ندارد\";}i:1443;a:1:{i:0;s:62:\"سند با داده های کاربر مطابقت ندارد\";}i:1444;a:1:{i:0;s:27:\"سند جعل شده است\";}i:1445;a:1:{i:0;s:24:\"سند منقضی شده\";}i:1446;a:1:{i:0;s:15:\"سند ناقص\";}i:1447;a:1:{i:0;s:18:\"سند گم شده\";}i:1448;a:1:{i:0;s:30:\"سند غیرقابل قبول\";}i:1449;a:1:{i:0;s:13:\"نوع سند\";}i:1450;a:1:{i:0;s:21:\"سند ناخوانا\";}i:1451;a:1:{i:0;s:32:\"مستندات مورد نیاز\";}i:1452;a:1:{i:0;s:8:\"دکان\";}i:1453;a:1:{i:0;s:285:\"<strong> ماژول مکان یابی </strong> دکان به کلید API نقشه گوگل یا اکسس توکن مپ باکس نیاز دارد. لطفاً کلید یا کد API خود را در <strong>تنظیمات مدیریت دکان > ظاهر</strong> تنظیم کنید.\";}i:1454;a:1:{i:0;s:36:\"داشبورد مدیریت دکان\";}i:1455;a:1:{i:0;s:76:\"بروزرسانی زمان تحویل سفارش توسط مدیر دکان\";}i:1456;a:1:{i:0;s:23:\"اطلاعیه دکان\";}i:1457;a:1:{i:0;s:84:\"ماژول یکپارچه سازی حراج دکان تقریبا آماده است!\";}i:1458;a:1:{i:0;s:44:\"لغو رزرو توسط مشتری دکان\";}i:1459;a:1:{i:0;s:47:\"کارت اعتباری دکان (استریپ)\";}i:1460;a:1:{i:0;s:53:\"خطای API نرخ فاصله باربری دکان!\";}i:1461;a:1:{i:0;s:66:\"ماژول المنتور دکان تقریبا آماده است!\";}i:1462;a:1:{i:0;s:72:\"ماژول المنتور دکان به حداقل %s نیاز دارد.\";}i:1463;a:1:{i:0;s:114:\"برای استفاده از ماژول المنتور دکان باید%1$s و %2$s هر دو فعال باشند\";}i:1464;a:1:{i:0;s:30:\"تایید ایمیل دکان\";}i:1465;a:1:{i:0;s:63:\"ماژول Geolocation دکان تقریبا آماده است!\";}i:1466;a:1:{i:0;s:30:\"جستجوی زنده دکان\";}i:1467;a:1:{i:0;s:24:\"مانگو پی دکان\";}i:1468;a:1:{i:0;s:49:\"هشدار وب هوک بانک MangoPay دکان\";}i:1469;a:1:{i:0;s:28:\"سفارشات دكان من\";}i:1470;a:1:{i:0;s:26:\"رزرو جدید دکان\";}i:1471;a:1:{i:0;s:48:\"درخواست عودت وجه جدید دکان\";}i:1472;a:1:{i:0;s:43:\"بررسی فروشگاه جدید دکان\";}i:1473;a:1:{i:0;s:43:\"تیکت پشتیبانی جدید دکان\";}i:1474;a:1:{i:0;s:63:\"تیکت پشتیبانی جدید برای ادمین دکان\";}i:1475;a:1:{i:0;s:51:\"ثبت نام عمده فروشی جدید دکان\";}i:1476;a:1:{i:0;s:21:\"سفارش دکان# \";}i:1477;a:1:{i:0;s:40:\"مارکت پلیس پی پال دکان\";}i:1478;a:1:{i:0;s:188:\"مارکت پلیس پی پال دکان از واحد پولی فروشگاه شما پشتیبانی نمی کند.<strong>واحد های پولی پشتیبانی شده:</strong> %1$s\";}i:1479;a:1:{i:0;s:113:\"پی پال مارکتپلیس دکان: جایگزینی مدرن برای دروازه تطبیقی پی پال\";}i:1480;a:1:{i:0;s:46:\"پرداخت تطبیقی پی پال دکان\";}i:1481;a:1:{i:0;s:15:\"دکان پرو\";}i:1482;a:1:{i:0;s:28:\"لایسنس دکان پرو\";}i:1483;a:1:{i:0;s:73:\"ماژول ادان محصول دکان تقریباً آماده است!\";}i:1484;a:1:{i:0;s:116:\"افزودنی محصول دکان به افزونه %s نیاز دارد تا ابتدا نصب و فعال شود!\";}i:1485;a:1:{i:0;s:36:\"استعلام محصول دوکان\";}i:1486;a:1:{i:0;s:41:\"گزارش تخلف محصول دوکان\";}i:1487;a:1:{i:0;s:75:\"ماژول اشتراک محصول دکان تقریبا آماده است!\";}i:1488;a:1:{i:0;s:70:\"ماژول سئو رنک مث دکان تقریبا آماده است!\";}i:1489;a:1:{i:0;s:24:\"رازور پی دکان\";}i:1490;a:1:{i:0;s:371:\"خطای Razorpay دکان: سفارش از حساب ادمین Razorpay مسترد شده است، اما نمی تواند به طور خودکار مبلغ منتقل شده را از حساب فروشنده Razorpay برگرداند. معکوس کردن دستی مورد نیاز است. (شناسه بازپرداخت: %1$s، شناسه انتقال Razorpay: %2$s)\";}i:1491;a:1:{i:0;s:61:\"درگاه پرداخت Razorpay دکان غیرفعال شد\";}i:1492;a:1:{i:0;s:127:\"خطای استرداد Razorpay دکان: استرداد خودکار برای این سفارش امکان پذیر نیست.\";}i:1493;a:1:{i:0;s:235:\"خطای استرداد Razorpay دکان: استرداد در Razorpay End انجام نشد. بازپرداخت دستی مورد نیاز است. شناسه استرداد : %1$d، شناسه سفارش: %2$d، پیام خطا: %3$s\";}i:1494;a:1:{i:0;s:94:\"Razorpay دکان از واحد پولی فروشگاه شما پشتیبانی نمی کند.\";}i:1495;a:1:{i:0;s:35:\"استرداد دکان لغو شد\";}i:1496;a:1:{i:0;s:51:\"عودت وجه دکان پردازش شده است\";}i:1497;a:1:{i:0;s:91:\"پاسخ به تیکت پشتیبانی مدیر از فروشنده و مشتری دکان\";}i:1498;a:1:{i:0;s:63:\"پاسخ به تیکت پشتیبانی فروشگاه دکان\";}i:1499;a:1:{i:0;s:59:\"پاسخ دکان به تیکت پشتیبانی کاربر\";}i:1500;a:1:{i:0;s:28:\"گزارش تخلف دکان\";}i:1501;a:1:{i:0;s:41:\"درخواست مظنه جدید دکان\";}i:1502;a:1:{i:0;s:33:\"درخواست مظنه دکان.\";}i:1503;a:1:{i:0;s:52:\"درخواست بروز رسانی مظنه دکان\";}i:1504;a:1:{i:0;s:56:\"درخواست بازگشت و گارانتی دوکان\";}i:1505;a:1:{i:0;s:34:\"تأیید فروشنده دکان\";}i:1506;a:1:{i:0;s:53:\"ارسال کد تخیف برای مشتری دکان\";}i:1507;a:1:{i:0;s:130:\"دکان اعلان مکالمه درخواست بازپرداخت را به فروشنده و مشتری ارسال می‌کند\";}i:1508;a:1:{i:0;s:70:\"ارسال درخواست عودت وجه به فروشنده دکان\";}i:1509;a:1:{i:0;s:37:\"راه اندازی سریع دکان\";}i:1510;a:1:{i:0;s:25:\"حمل و نقل دکان\";}i:1511;a:1:{i:0;s:48:\"چند فروشندگی تک محصول دکان\";}i:1512;a:1:{i:0;s:57:\"لیست چند فروشندگی تک محصول دکان\";}i:1513;a:1:{i:0;s:45:\"سفارش جدید کارمندان دکان\";}i:1514;a:1:{i:0;s:61:\"به روز رسانی رمزعبور کارکنان دکان\";}i:1515;a:1:{i:0;s:49:\"فیلتر محصولات فروشگاه دکان\";}i:1516;a:1:{i:0;s:69:\"ماژول پشتیبانی فروشگاه دکان فعال نیست\";}i:1517;a:1:{i:0;s:130:\"خطای عودت 3ds عودت استریپ: عودت وجه خودکار برای این سفارش امکان پذیر نیست.\";}i:1518;a:1:{i:0;s:32:\"اتصال استریپ دکان\";}i:1519;a:1:{i:0;s:69:\"ماژول اتصال Stripe دکان تقریبا آماده است!\";}i:1520;a:1:{i:0;s:75:\"تاییدیه فاکتور اشتراک استریپ اکسپرس دکان\";}i:1521;a:1:{i:0;s:85:\"احراز هویت سفارش تمدید Stripe Express دکان درخواست شد\";}i:1522;a:1:{i:0;s:66:\"تاییدیه SCA تمدید اشتراک Stripe Express دکان\";}i:1523;a:1:{i:0;s:244:\"خطای عودت وجه استریپ دکان: عودت خودکار برای این سفارش امکان پذیر نیست. دلیل: شناسه شارژ فروشنده یافت نشد. شناسه عودت: %1$s، شناسه سفارش: %2$s\";}i:1524;a:1:{i:0;s:252:\"خطای عودت استریپ دکان: عودت وجه خودکار برای این سفارش موفقیت آمیز نبود. بازپرداخت دستی الزامی است دلیل:%1$s شناسه عودت وجه: %2$s، شناسه سفارش:%3$s\";}i:1525;a:1:{i:0;s:36:\"تنظیمات استریپ دکان\";}i:1526;a:1:{i:0;s:21:\"اشتراک دکان\";}i:1527;a:1:{i:0;s:33:\"اشتراک دکان لغو شد\";}i:1528;a:1:{i:0;s:34:\"فاکتور اشتراک دکان\";}i:1529;a:1:{i:0;s:78:\"ماژول ارسال نرخ جدول دکان تقریبا آماده است!\";}i:1530;a:1:{i:0;s:48:\"انتظار محصول بروز شده دکان\";}i:1531;a:1:{i:0;s:77:\"بروزرسانی فروشگاه برای دنبال کنندگان دکان\";}i:1532;a:1:{i:0;s:49:\"غیرفعال کردن فروشندگی دکان\";}i:1533;a:1:{i:0;s:43:\"فعال کردن فروشندگی دکان\";}i:1534;a:1:{i:0;s:71:\"دنبال کننده فروشگاه جدید فروشنده دوکان\";}i:1535;a:1:{i:0;s:115:\"محصول اشتراک فروشنده دکان نیاز به نصب و فعال سازی افزونه %s دارد!\";}i:1536;a:1:{i:0;s:38:\"اشتراک فروشنده دکان: \";}i:1537;a:1:{i:0;s:82:\"بروزرسانی زمان تحویل سفارش توسط فروشنده دکان\";}i:1538;a:1:{i:0;s:42:\"ثبت نام عمده فروشی دکان\";}i:1539;a:1:{i:0;s:28:\"اتصال Wirecard دکان\";}i:1540;a:1:{i:0;s:32:\"تنظیمات Wirecard دکان\";}i:1541;a:1:{i:0;s:99:\"ماژول یکپارچه سازی رزرو ووکامرس دکان تقریبا آماده است!\";}i:1542;a:1:{i:0;s:109:\"رزرو ووکامرس دکان برای نصب و فعال سازی نیاز به افزونه %s دارد!\";}i:1543;a:1:{i:0;s:63:\"افزودنی دکان برای تایید فروشندگان.\";}i:1544;a:1:{i:0;s:28:\"زمان تحویل دکان\";}i:1545;a:1:{i:0;s:28:\"زمان تحویل دکان\";}i:1546;a:1:{i:0;s:23:\"محصول دکان #%s\";}i:1547;a:1:{i:0;s:80:\"تخفیف سفارش فروشنده دکان با موفقیت اعمال شد.\";}i:1548;a:1:{i:0;s:93:\"تخفیف مقدار محصول فروشنده دوکان با موفقیت اعمال شد.\";}i:1549;a:1:{i:0;s:41:\"دکان: محصولات تبلیغاتی\";}i:1550;a:1:{i:0;s:40:\"دکان: فرم فیلتر موقعیت\";}i:1551;a:1:{i:0;s:33:\"دکان: موقعیت محصول\";}i:1552;a:1:{i:0;s:33:\"دکان: نشان فروشنده\";}i:1553;a:1:{i:0;s:52:\"دکان: ناحیه پشتیبانی فروشگاه\";}i:1554;a:1:{i:0;s:20:\"دکان: تایید\";}i:1555;a:1:{i:0;s:50:\"فایل ارتباط دامنه به روز شد.\";}i:1556;a:1:{i:0;s:17:\"نمایش نده\";}i:1557;a:1:{i:0;s:13:\"لغو نکن\";}i:1558;a:1:{i:0;s:35:\"اشتراک را لغو نکنید\";}i:1559;a:1:{i:0;s:148:\"وقتی کالاهای دیگری در سبد خرید وجود دارد، این محصول را در قوانین سفارش حساب نکنید.\";}i:1560;a:1:{i:0;s:63:\"برای این رزرو ، سفارشی ایجاد نکنید.\";}i:1561;a:1:{i:0;s:8:\"اهدا\";}i:1562;a:1:{i:0;s:15:\"انجام شد\";}i:1563;a:1:{i:0;s:31:\"تایید دو مرحله ای\";}i:1564;a:1:{i:0;s:26:\"انقضای دانلود:\";}i:1565;a:1:{i:0;s:28:\"محدودیت دانلود:\";}i:1566;a:1:{i:0;s:25:\"انقضای دانلود\";}i:1567;a:1:{i:0;s:27:\"محدودیت دانلود\";}i:1568;a:1:{i:0;s:33:\"دانلود فایل نمونه.\";}i:1569;a:1:{i:0;s:21:\"قابل دانلود\";}i:1570;a:1:{i:0;s:39:\"فایل‌های قابل دانلود\";}i:1571;a:1:{i:0;s:41:\"مجوز محصول قابل دانلود\";}i:1572;a:1:{i:0;s:39:\"فایل‌های قابل دانلود\";}i:1573;a:2:{i:0;s:29:\"%s بار دانلود شده\";i:1;s:29:\"%s بار دانلود شده\";}i:1574;a:1:{i:0;s:16:\"دانلودها\";}i:1575;a:1:{i:0;s:37:\"دانلودهای باقیمانده\";}i:1576;a:1:{i:0;s:15:\"پیش نویس\";}i:1577;a:1:{i:0;s:20:\"پیش نویس (%d)\";}i:1578;a:1:{i:0;s:43:\"پیش‌نویس نشان انتخابی؟\";}i:1579;a:1:{i:0;s:29:\"کشیدن و رها کردن\";}i:1580;a:1:{i:0;s:107:\"بکشید و رها کنید یا برای اجرای ترتیب تغییر مدیریت کلیک کنید\";}i:1581;a:1:{i:0;s:14:\"رانندگی\";}i:1582;a:1:{i:0;s:33:\"گواهینامه رانندگی\";}i:1583;a:1:{i:0;s:15:\"کرکره ای\";}i:1584;a:1:{i:0;s:15:\"کرکره ای\";}i:1585;a:1:{i:0;s:6:\"کپی\";}i:1586;a:1:{i:0;s:17:\"کپی محصول\";}i:1587;a:1:{i:0;s:32:\"کالای حراج تکراری\";}i:1588;a:1:{i:0;s:37:\"کپی ردیف های انتخابی\";}i:1589;a:1:{i:0;s:37:\"کپی نرخ های انتخابی؟\";}i:1590;a:1:{i:0;s:15:\"مدت زمان\";}i:1591;a:1:{i:0;s:7:\"مدت:\";}i:1592;a:1:{i:0;s:10:\"هلندی\";}i:1593;a:1:{i:0;s:34:\"کیف پول الکترونیکی\";}i:1594;a:1:{i:0;s:10:\"ایمیل\";}i:1595;a:1:{i:0;s:53:\"فیلدهای انطباق اتحادیه اروپا\";}i:1596;a:1:{i:0;s:105:\"پشتیبانی از فیلد های مطابقت اتحادیه اروپا برای فروشندگان.\";}i:1597;a:1:{i:0;s:53:\"تنظیمات انطباق اتحادیه اروپا\";}i:1598;a:1:{i:0;s:10:\"درآمد\";}i:1599;a:1:{i:0;s:70:\"در صورت درخواست شما درآمد حاصل می‌شود.\";}i:1600;a:1:{i:0;s:12:\"ویرایش\";}i:1601;a:1:{i:0;s:27:\"ویرایش افزودنی\";}i:1602;a:1:{i:0;s:27:\"ویرایش اطلاعیه\";}i:1603;a:1:{i:0;s:36:\"ویرایش محصولات حراج\";}i:1604;a:1:{i:0;s:21:\"ویرایش رزرو\";}i:1605;a:1:{i:0;s:32:\"ویرایش محصول رزرو\";}i:1606;a:1:{i:0;s:30:\"ویرایش دسته بندی\";}i:1607;a:1:{i:0;s:28:\"ویرایش کد تخفیف\";}i:1608;a:1:{i:0;s:21:\"ویرایش مظنه\";}i:1609;a:1:{i:0;s:21:\"ویرایش منبع\";}i:1610;a:1:{i:0;s:19:\"ویرایش نظر\";}i:1611;a:1:{i:0;s:23:\"ویرایش قانون\";}i:1612;a:1:{i:0;s:25:\"ویرایش برنامه\";}i:1613;a:1:{i:0;s:36:\"ویرایش روش حمل و نقل\";}i:1614;a:1:{i:0;s:21:\"ویرایش قطعه\";}i:1615;a:1:{i:0;s:23:\"ویرایش پرسنل\";}i:1616;a:1:{i:0;s:23:\"ویرایش موضوع\";}i:1617;a:1:{i:0;s:38:\"ویرایش برنامه برداشت\";}i:1618;a:1:{i:0;s:34:\"ویرایش محصول حراجی\";}i:1619;a:1:{i:0;s:32:\"ویرایش محصول رزرو\";}i:1620;a:1:{i:0;s:19:\"ویرایش نظر\";}i:1621;a:1:{i:0;s:21:\"ویرایش نشان\";}i:1622;a:1:{i:0;s:23:\"موسسه آموزشی\";}i:1623;a:1:{i:0;s:9:\"هر دو\";}i:1624;a:1:{i:0;s:14:\"المنتور\";}i:1625;a:1:{i:0;s:68:\"ابزارک های صفحه ساز المنتور برای دکان\";}i:1626;a:1:{i:0;s:10:\"ایمیل\";}i:1627;a:1:{i:0;s:19:\"آدرس ایمیل\";}i:1628;a:1:{i:0;s:21:\"عنوان ایمیل\";}i:1629;a:1:{i:0;s:52:\"عنوان ایمیل (در انتظار تأیید)\";}i:1630;a:1:{i:0;s:26:\"اطلاعیه ایمیل:\";}i:1631;a:1:{i:0;s:34:\"محدودیت‌های ایمیل\";}i:1632;a:1:{i:0;s:21:\"تایید ایمیل\";}i:1633;a:1:{i:0;s:36:\"تنظیمات تایید ایمیل\";}i:1634;a:1:{i:0;s:49:\"فیلد آدرس ایمیل الزامی است.\";}i:1635;a:1:{i:0;s:45:\"ایمیل با موفقیت ارسال شد.\";}i:1636;a:1:{i:0;s:21:\"عنوان ایمیل\";}i:1637;a:1:{i:0;s:39:\"ایمیل باید ضروری باشد\";}i:1638;a:1:{i:0;s:60:\"اعلان ایمیل %1$s با موفقیت ارسال شد\";}i:1639;a:1:{i:0;s:34:\"محدودیت‌های ایمیل\";}i:1640;a:1:{i:0;s:45:\"ایمیل با موفقیت ارسال شد!\";}i:1641;a:1:{i:0;s:17:\"نوع ایمیل\";}i:1642;a:1:{i:0;s:11:\"ایمیل:\";}i:1643;a:1:{i:0;s:24:\"سبد خرید خالی\";}i:1644;a:1:{i:0;s:84:\"احراز هویت مشتری سه بعدی امن و قوی را فعال کنید\";}i:1645;a:1:{i:0;s:50:\"فعال کردن تبلیغات در اشتراک\";}i:1646;a:1:{i:0;s:55:\"فعال کردن افزودن به مظنه آجاکس\";}i:1647;a:1:{i:0;s:60:\"فعال کردن محدوده انتخابگر تقویم؟\";}i:1648;a:1:{i:0;s:44:\"فعال کردن تبدیل به سفارش\";}i:1649;a:1:{i:0;s:55:\"فعال سازی درخواست های کد تخفیف\";}i:1650;a:1:{i:0;s:38:\"فعال سازی Distance Matrix API \";}i:1651;a:1:{i:0;s:58:\"فعال سازی مارکت پلیس پی پال دکان\";}i:1652;a:1:{i:0;s:35:\"فعال کردن Razorpay دکان\";}i:1653;a:1:{i:0;s:50:\"فعال سازی اطلاع رسانی ایمیل\";}i:1654;a:1:{i:0;s:39:\"فعال سازی تایید ایمیل\";}i:1655;a:1:{i:0;s:69:\"فعال سازی پشتیبانی Germanized برای فروشنده\";}i:1656;a:1:{i:0;s:37:\"فعال سازی گفتگو زنده\";}i:1657;a:1:{i:0;s:39:\"فعال کردن پرداخت MangoPay\";}i:1658;a:1:{i:0;s:41:\"فعال سازی سندباکس Mangopay\";}i:1659;a:1:{i:0;s:52:\"فعال سازی قانون حداقل حداکثر\";}i:1660;a:1:{i:0;s:84:\"قانون حداقل حداکثر برای این محصول را فعال کنید\";}i:1661;a:1:{i:0;s:55:\"فعال سازی حداقل و حداکثر مقدار\";}i:1662;a:1:{i:0;s:63:\"فعال‌سازی حداقل/حداکثر مبلغ محصول\";}i:1663;a:1:{i:0;s:65:\"فعال‌سازی حداقل/حداکثر تعداد محصول\";}i:1664;a:1:{i:0;s:55:\"فعال سازی حداقل و حداکثر تعداد\";}i:1665;a:1:{i:0;s:44:\"فعال کردن سندباکس پی پال\";}i:1666;a:1:{i:0;s:90:\"دکمه های درخواست پرداخت را فعال کنید. (Apple Pay/Google Pay)\";}i:1667;a:1:{i:0;s:37:\"فعال نمایش مبدل مظنه\";}i:1668;a:1:{i:0;s:65:\"فعال کردن مظنه برای محصولات ناموجود\";}i:1669;a:1:{i:0;s:42:\"فعال سازی سند باکس Razorpay\";}i:1670;a:1:{i:0;s:59:\"فعال سازی درخواست های بازگشت وجه\";}i:1671;a:1:{i:0;s:58:\"فعال کردن پشتیبانی درخواست مظنه\";}i:1672;a:1:{i:0;s:27:\"فعالسازی نظرات\";}i:1673;a:1:{i:0;s:39:\"فعال کردن انتقال مسیر\";}i:1674;a:1:{i:0;s:36:\"فعال‌سازی حمل و نقل\";}i:1675;a:1:{i:0;s:64:\"فعال سازی چند فروشنده برای یک محصول\";}i:1676;a:1:{i:0;s:77:\"فعال سازی عملکرد چند فروشنده برای یک محصول\";}i:1677;a:1:{i:0;s:46:\"فعال کردن حالت فروشنده تک\";}i:1678;a:1:{i:0;s:55:\"فعال کردن ورود با شبکه اجتماعی\";}i:1679;a:1:{i:0;s:174:\"پرداخت‌های تقسیم، پرداخت‌های چند فروشنده و همه ویژگی‌های پلتفرم تجارت پی پال (PCP) را فعال کنید.\";}i:1680;a:1:{i:0;s:30:\"فعال سازی استریپ\";}i:1681;a:1:{i:0;s:43:\"فعال سازی پرداخت استریپ\";}i:1682;a:1:{i:0;s:43:\"فعال کردن استریپ اکسپرس\";}i:1683;a:1:{i:0;s:26:\"فعال سازی حالت\";}i:1684;a:1:{i:0;s:56:\"فعال سازی اشتراک در فرم ثبت نام\";}i:1685;a:1:{i:0;s:34:\"فعال کردن پشتیبانی\";}i:1686;a:1:{i:0;s:64:\"فعال کردن پشتیبانی در صفحه تک محصول\";}i:1687;a:1:{i:0;s:54:\"فعال کردن پشتیبانی در فروشگاه\";}i:1688;a:1:{i:0;s:41:\"فعالسازی شرایط و ضوابط\";}i:1689;a:1:{i:0;s:38:\"حالت تست را فعال کنید\";}i:1690;a:1:{i:0;s:41:\"فعال سازی دوره آزمایشی\";}i:1691;a:1:{i:0;s:44:\"فعالسازی اشتراک فروشنده\";}i:1692;a:1:{i:0;s:26:\"فعال کردن Wirecard\";}i:1693;a:1:{i:0;s:76:\"فعالسازی لیست دوباره خودکار برای این حراج\";}i:1694;a:1:{i:0;s:36:\"فعالسازی تخفیف عمده\";}i:1695;a:1:{i:0;s:121:\"فعال کردن نمایش \"تبدیل مظنه توسط\" در صفحه جزئیات مظنه حساب من مشتری.\";}i:1696;a:1:{i:0;s:114:\"ایمیل را برای ارسال مدرک تأیید فروشنده، توسط فروشنده فعال کنید\";}i:1697;a:1:{i:0;s:120:\"فعال کردن ایمیل برای به‌روزرسانی وضعیت تأیید فروشنده توسط سرپرست\";}i:1698;a:1:{i:0;s:52:\"فعال کردن برای همه فروشندگان\";}i:1699;a:1:{i:0;s:48:\"فعال کردن حالت پرداخت فوری\";}i:1700;a:1:{i:0;s:362:\"پرداخت فوری را فعال کنید تا پرداخت در عرض 25 ثانیه پردازش شود، در حالی که پرداخت های استاندارد ظرف 48 ساعت پردازش می شوند. این ویژگی محدود است و نیاز به برخی پیش نیازها دارد. لطفاً الزامات %s را بررسی کنید.\";}i:1701;a:1:{i:0;s:73:\"فعال سازی گفتگو زنده بین مشتری و فروشنده\";}i:1702;a:1:{i:0;s:37:\"فعال سازی گزارش گیری\";}i:1703;a:1:{i:0;s:125:\"در پایان انقضا پکیج ، اطلاعیه را از طریق ایمیل برای فروشنده فعال کنید\";}i:1704;a:1:{i:0;s:157:\"معارفه را برای فروشندگان خارج از کشور/منطقه بازار در داخل اتحادیه اروپا و SEPA فعال کنید.\";}i:1705;a:1:{i:0;s:68:\"فعال یا غیرفعال کردن اعلان برای ادمین\";}i:1706;a:1:{i:0;s:80:\"اعلان بروز شدن زمان تحویل سفارش را فعال کنید\";}i:1707;a:1:{i:0;s:80:\"اعلان ایمیل بروز شدن زمان سفارش را فعال کنید\";}i:1708;a:1:{i:0;s:382:\"پرداخت از طریق Apple Pay و Google Pay را فعال کنید. %1$sبا استفاده از Apple Pay، با شرایط خدمات %2$s و %3$s موافقت می‌کنید. (تأیید دامنه Apple Pay به طور خودکار در حالت زنده انجام می‌شود؛ پیکربندی را می توان در داشبورد %4$sStripe%5$s پیدا کرد.)\";}i:1709;a:1:{i:0;s:78:\"فعال کردن پرداخت از طریق کارت های ذخیره شده\";}i:1710;a:1:{i:0;s:39:\"فعال سازی انواع افراد\";}i:1711;a:1:{i:0;s:42:\"فعالسازی نظرات محصولات\";}i:1712;a:1:{i:0;s:81:\"پیشنهادات پراکسی این محصول حراج را فعال کنید\";}i:1713;a:1:{i:0;s:56:\"کارت های ذخیره شده را فعال کنید\";}i:1714;a:1:{i:0;s:86:\"پیشنهادات بسته شده این محصول حراجی را فعال کنید\";}i:1715;a:1:{i:0;s:49:\"فعال‌سازی عملکرد حمل و نقل\";}i:1716;a:1:{i:0;s:110:\"امکان انتخاب یک یا چند نام تجاری برای فروشندگان را فعال کنید.\";}i:1717;a:1:{i:0;s:46:\"فعال کردن حالت فروشنده تک\";}i:1718;a:1:{i:0;s:215:\"پرداخت های تقسیم شده، پرداخت های چند فروشنده، اپل پی، گوگل پی، iDEAL و سایر ویژگی های بازار موجود در Stripe Express را فعال کنید.\";}i:1719;a:1:{i:0;s:188:\"پرداخت های تقسیم شده، پرداخت های چند فروشنده، و سایر ویژگی های فروشگاه ارائه شده توسط MangoPay را فعال کنید.\";}i:1720;a:1:{i:0;s:71:\"مدیریت موجودی را در سطح محصول فعال کنید\";}i:1721;a:1:{i:0;s:57:\"فعالسازی تخفیف سرتاسری فروشگاه\";}i:1722;a:1:{i:0;s:59:\"اشتراک را برای فروشنده فعال کنید\";}i:1723;a:1:{i:0;s:99:\"فعال سازی پکیج اشتراک برای فروشندگان جدید در فرم عضویت\";}i:1724;a:1:{i:0;s:113:\"چکباکس پذیرش شرایط و ضوابط را در فرم ثبت نام فروشنده فعال کنید.\";}i:1725;a:1:{i:0;s:35:\"فعال سازی این ایمیل\";}i:1726;a:1:{i:0;s:52:\"فعال‌سازی این اطلاعیه ایمیل\";}i:1727;a:1:{i:0;s:100:\"اگر محصول قابل رزرو اقامتگاه دکان است، این را فعال کنید\";}i:1728;a:1:{i:0;s:124:\"اگر کالایی ارسال نمی‌شود یا هزینه حمل ندارد ، این گزینه را فعال کنید\";}i:1729;a:1:{i:0;s:142:\"در صورت دسترسی به فایل قابل دانلود هنگام خرید یک محصول ، این گزینه را فعال کنید\";}i:1730;a:1:{i:0;s:154:\"اگر دسترسی به فایل قابل دانلود پس از خرید یک محصول داده می‌شود این گزینه را فعال کنید\";}i:1731;a:1:{i:0;s:224:\"این گزینه را فعال کنید تا اگر این ردیف با هر آیتم/خط/کلاسی که نقل‌شده مطابقت دارد، همه نرخ‌ها/این روش ارسال را غیرفعال کنید.\";}i:1732;a:1:{i:0;s:123:\"برای فعال کردن مدیریت موجودی در سطح تغییرات ، این گزینه را فعال کنید\";}i:1733;a:1:{i:0;s:135:\"این را فعال کنید تا کل هزینه رزرو (هزینه بلوک و پایه) در تعداد افراد ضرب شود.\";}i:1734;a:1:{i:0;s:122:\"فروشندگان را فعال کنید تا از صفحه فروشگاه به مشتریان پشتیبانی کنند.\";}i:1735;a:1:{i:0;s:136:\"قادر ساختن فروشندگان به منظور تنظیم هزینه‌ی حمل و نقل در هر محصول و هر کشور\";}i:1736;a:1:{i:0;s:58:\"فروش عمده این محصول را فعال کنید\";}i:1737;a:1:{i:0;s:45:\"فعال‌سازی/غیرفعال‌سازی\";}i:1738;a:1:{i:0;s:72:\"فعال /غیرفعال کردن افزودن به مظنه آجاکس.\";}i:1739;a:1:{i:0;s:93:\"فعال سازی / غیرفعال سازی استعلام برای کاربران مهمان\";}i:1740;a:1:{i:0;s:188:\"فعال/غیرفعال کردن دکمه مظنه برای محصولات ناموجود در انبار. (توجه: فقط با محصولات ساده و متغیر سازگار است)\";}i:1741;a:1:{i:0;s:8:\"فعال\";}i:1742;a:1:{i:0;s:27:\"فروشندگان فعال\";}i:1743;a:1:{i:0;s:264:\"فعال کردن این گزینه، آیکن های اجتماعی را در فرم ثبت نام اضافه می کند تا کاربران بتوانند با استفاده از پروفایل های اجتماعی وارد شده یا ثبت نام کنند.\";}i:1744;a:1:{i:0;s:213:\"با فعال کردن این، یک ایمیل تأیید ارسال می‌شود تا کاربران بتوانند آدرس ایمیل خود را پس از ارسال فرم ثبت نام تأیید کنند.\";}i:1745;a:1:{i:0;s:10:\"پایان\";}i:1746;a:1:{i:0;s:21:\"تاریخ پایان\";}i:1747;a:1:{i:0;s:22:\"تاریخ پایان:\";}i:1748;a:1:{i:0;s:51:\"تاریخ پایان قیمت حراج، در GMT.\";}i:1749;a:1:{i:0;s:78:\"تاریخ پایان قیمت حراج، در منطقه زمانی سایت.\";}i:1750;a:1:{i:0;s:14:\"انگلیسی\";}i:1751;a:1:{i:0;s:26:\"خلاصه استعلام:\";}i:1752;a:1:{i:0;s:53:\"استعلام کالای خاص به فروشنده.\";}i:1753;a:1:{i:0;s:208:\"شماره \"واتساپ\" یا \"واتساپ تجاری\" را با کد کشور وارد کنید\n(مثلا +13214125218 - در اینجا 1+ کد کشور است، 3214125218 شماره موبایل است)\";}i:1754;a:1:{i:0;s:215:\"شماره \"واتساپ\" یا \"واتساپ تجاری\" را با کد کشور وارد کنید (مثال +13214125218 - در اینجا 1+ کد کشور است، 3214125218 شماره تلفن همراه است)\";}i:1755;a:1:{i:0;s:70:\"-1 را برای عدم انقضای تبلیغات وارد کنید.\";}i:1756;a:1:{i:0;s:76:\"برای تبلیغات نامحدود محصول -1 را وارد کنید.\";}i:1757;a:1:{i:0;s:136:\"برای این تغییر یک SKU وارد کنید یا برای استفاده از SKU محصول اصلی خالی بگذارید.\";}i:1758;a:1:{i:0;s:349:\"هزینه (بدون مالیات) یا مبلغ را وارد کنید، مثلا <code> 10.00 * [qty] </code>. <code> [qty] </code> برای تعداد اقلام، <code> [cost] </code> برای کل هزینه اقلام، و <code> [fee percentage = \'10 \'min_fee = \'20\' max_fee = \'\'] </code> برای هزینه های مبتنی بر درصد.\";}i:1759;a:1:{i:0;s:102:\"برای این قانون هزینه وارد کنید.هر بلوک رزرو  اعمال میشود.\";}i:1760;a:1:{i:0;s:119:\"برای این قانون هزینه وارد کنید. به طور کلی برای رزرو اعمال می‌شود.\";}i:1761;a:1:{i:0;s:92:\"حداقل و حداکثر مقدار را برای دامنه محدود وارد کنید.\";}i:1762;a:1:{i:0;s:56:\"یک نام برای منبع جدید وارد کنید\";}i:1763;a:1:{i:0;s:215:\"برای فعالسازی مدیریت موجودی انبار در سطح تغییر مقداری وارد کنید یا برای استفاده از گزینه‌های محصول اصلی خالی بگذارید.\";}i:1764;a:1:{i:0;s:139:\"وزنی برای این متغیر وارد کنید یا برای استفاده از وزن محصول اصلی خالی بگذارید.\";}i:1765;a:1:{i:0;s:33:\"آدرس 1 را وارد کنید\";}i:1766;a:1:{i:0;s:33:\"آدرس 2 را وارد کنید\";}i:1767;a:1:{i:0;s:38:\"گزینه ای را وارد کنید\";}i:1768;a:1:{i:0;s:68:\"عنوان پرفروش‌ترین محصول را وارد کنید\";}i:1769;a:1:{i:0;s:107:\"متن بدنه ایمیل اطلاع رسانی برای اشتراک لغو شده را وارد کنید\";}i:1770;a:1:{i:0;s:95:\"بدنه ایمیل اطلاع رسانی هنگام اتمام پکیج را وارد کنید\";}i:1771;a:1:{i:0;s:57:\"عنوان محصولات ویژه را وارد کنید\";}i:1772;a:1:{i:0;s:145:\"چند روز محصول ویژه می‌شود، اگر نمی‌خواهید دوره انقضا تنظیم کنید -1 را وارد کنید.\";}i:1773;a:1:{i:0;s:146:\"چند روز محصول ویژه می‌شود، اگر نمی‌خواهید دوره انقضا تنظیم کنید -1 را وارد کنید. \";}i:1774;a:1:{i:0;s:121:\"تعداد محصولات قابل تبلیغ را وارد کنید، -1 را بدون محدودیت وارد کنید.\";}i:1775;a:1:{i:0;s:59:\"عنوان آخرین محصولات را وارد کنید\";}i:1776;a:1:{i:0;s:40:\"عنوان روش را وارد کنید\";}i:1777;a:1:{i:0;s:144:\"شماره اسلات تبلیغاتی این بسته را وارد کنید. -1 را برای تبلیغات نامحدود وارد کنید \";}i:1778;a:1:{i:0;s:70:\"روزهای فعال بودن این پکیج را مشخص کنید \";}i:1779;a:1:{i:0;s:363:\"عدد را به درصد وارد کنید تا قیمت پیشنهادی از قیمت استاندارد محصول کاهش یابد. برای قیمت استاندارد خالی بگذارید. توجه: قیمت پیشنهادی با توجه به تنظیمات سبد خرید نمایش داده می‌شود. (مثال: شامل/بدون مالیات)\";}i:1780;a:1:{i:0;s:40:\"قیمت را وارد نمایید (%s)\";}i:1781;a:1:{i:0;s:40:\"نام محصول را وارد کنید\";}i:1782;a:1:{i:0;s:42:\"عنوان مظنه را وارد کنید\";}i:1783;a:1:{i:0;s:130:\"برای این ایمیل گیرندگان را وارد کنید (با کاما از هم جدا شود). پیش فرض به %s.\";}i:1784;a:1:{i:0;s:160:\"گیرندگان (از هم جدا شده با کاما) را برای این ایمیل وارد کنید.پیش فرض به <code>vendor@ofthe.product</code>.\";}i:1785;a:1:{i:0;s:44:\"عنوان قانون را وارد کنید\";}i:1786;a:1:{i:0;s:53:\"قیمت فروش ویژه را وارد کنید(%s)\";}i:1787;a:1:{i:0;s:114:\"به وسیله‌ی جداسازی مقادیربا \"%s\"، تعدادی ویژگی یا متن وارد کنید.\";}i:1788;a:1:{i:0;s:102:\"موضوع ایمیل اطلاع رسانی برای اشتراک لغو شده را وارد کنید\";}i:1789;a:1:{i:0;s:97:\"عنوان ایمیل اطلاع رسانی هنگام اتمام پکیج را وارد کنید\";}i:1790;a:1:{i:0;s:63:\"آدرس خارجی را برای محصول وارد کنید.\";}i:1791;a:1:{i:0;s:334:\"نامی را که مشتریان شما در تراکنش های خود خواهند دید را وارد کنید. از یک نام قابل تشخیص استفاده کنید -مثال. نام شخص حقوقی یا آدرس وب سایت - برای جلوگیری از اختلافات احتمالی و استرداد هزینه.\";}i:1792;a:1:{i:0;s:86:\"تعداد محصولات قابل ثبت با این پکیج را مشخص کنید.\";}i:1793;a:1:{i:0;s:143:\"تعداد روزی را وارد کنید که قبل از آن لینک دانلود منقضی می‌شود، یا خالی بگذارید.\";}i:1794;a:1:{i:0;s:57:\"عنوان محصولات برتر را وارد کنید\";}i:1795;a:1:{i:0;s:182:\"برای باز کردن قفل ویژگی های تعلیق و لغو اشتراک ، اعتبار API PayPal خود را وارد کنید.%1$sاطلاعات بیشتر &raquo;%2$s\";}i:1796;a:1:{i:0;s:20:\"اینترپرایز\";}i:1797;a:1:{i:0;s:15:\"مساوی با\";}i:1798;a:1:{i:0;s:6:\"خطا\";}i:1799;a:1:{i:0;s:11:\"کد خطا\";}i:1800;a:1:{i:0;s:15:\"پیام خطا\";}i:1801;a:1:{i:0;s:24:\"خطایی روی داد\";}i:1802;a:1:{i:0;s:49:\"خطا در حذف کارکنان فروشنده.\";}i:1803;a:1:{i:0;s:84:\"خطا در حین بروزرسانی داده‌های کسب‌شده نشان: %s\";}i:1804;a:1:{i:0;s:84:\"خطا در هنگام به‌روزرسانی داده‌های سطح نشان: %s\";}i:1805;a:1:{i:0;s:115:\"خطا در حین بروزرسانی داده‌های سطح نشان کسب‌شده توسط فروشنده: %s\";}i:1806;a:1:{i:0;s:36:\"خطا در گرفتن پرداخت.\";}i:1807;a:1:{i:0;s:48:\"خطا در دریافت سفارش پی پال.\";}i:1808;a:1:{i:0;s:48:\"خطا در اعلام حذف سطل زباله.\";}i:1809;a:1:{i:0;s:61:\"خطا در به روز رسانی داده های محصول\";}i:1810;a:1:{i:0;s:68:\"خطا هنگام افزودن اعلان به حذف شده‌ها.\";}i:1811;a:1:{i:0;s:70:\"خطا هنگام ایجاد سفارش اشتراک پی پال: %1$s\";}i:1812;a:1:{i:0;s:57:\"خطا هنگام ایجاد سفارش پی پال: %1$s\";}i:1813;a:1:{i:0;s:67:\"خطا هنگام حذف داده های تبلیغات. خطا: %s\";}i:1814;a:1:{i:0;s:40:\"خطا هنگام حذف اعلامیه.\";}i:1815;a:1:{i:0;s:47:\"خطا هنگام حذف وضعیت اعلان.\";}i:1816;a:1:{i:0;s:82:\"خطا هنگام به‌روزرسانی داده‌های تبلیغ. خطا: %s\";}i:1817;a:1:{i:0;s:64:\"خطا هنگام به‌روزرسانی وضعیت اعلان.\";}i:1818;a:1:{i:0;s:7:\"خطا!\";}i:1819;a:1:{i:0;s:100:\"خطا! لطفاً داده های صحیح را برای همه محموله ها وارد کنید\";}i:1820;a:1:{i:0;s:46:\"خطا! این درخواست شما نیست.\";}i:1821;a:1:{i:0;s:106:\"خطا! حساب شما برای فروش فعال نیست، لطفا با مدیر تماس بگیرید\";}i:1822;a:1:{i:0;s:46:\"خطا! این درخواست شما نیست.\";}i:1823;a:1:{i:0;s:8:\"خطا: \";}i:1824;a:1:{i:0;s:127:\"خطا: %1$s. برای فعال کردن اپل پی، فایل مرتبط دامنه باید در %2$s میزبانی شود.\";}i:1825;a:1:{i:0;s:30:\"خطا: %s الزامی است\";}i:1826;a:1:{i:0;s:38:\"خطا: افزودنی یافت نشد\";}i:1827;a:1:{i:0;s:34:\"خطا: آیتم ایجاد نشد\";}i:1828;a:1:{i:0;s:36:\"خطا: سفارش ایجاد نشد\";}i:1829;a:1:{i:0;s:37:\"خطا : تایید انجام نشد\";}i:1830;a:1:{i:0;s:53:\"خطا: خطای به روزرسانی پرداخت: \";}i:1831;a:1:{i:0;s:8:\"یورو\";}i:1832;a:1:{i:0;s:30:\"متن شرایط رویداد\";}i:1833;a:1:{i:0;s:22:\"داده رویداد.\";}i:1834;a:1:{i:0;s:27:\"توضیحات رویداد\";}i:1835;a:1:{i:0;s:21:\"گروه رویداد\";}i:1836;a:1:{i:0;s:28:\"متن هاور رویداد\";}i:1837;a:1:{i:0;s:34:\"کلاس CSS آیکن رویداد\";}i:1838;a:1:{i:0;s:36:\"آدرس url لوگوی رویداد\";}i:1839;a:1:{i:0;s:23:\"عنوان رویداد\";}i:1840;a:1:{i:0;s:87:\"هر محصول دوم از همان نوع با این قیمت شارژ می‌شود\";}i:1841;a:1:{i:0;s:9:\"توسط \";}i:1842;a:1:{i:0;s:41:\"مستثنی کردن اقلام حراج\";}i:1843;a:1:{i:0;s:34:\"فروشنده های مستثنی\";}i:1844;a:1:{i:0;s:34:\"افزودنی های استثنا\";}i:1845;a:1:{i:0;s:36:\"مستثنی کردن محصولات\";}i:1846;a:1:{i:0;s:61:\"شناسه‌های فروشنده را مستثنی کنید\";}i:1847;a:1:{i:0;s:72:\"مستثنی کردن این محصول را از قوانین دسته.\";}i:1848;a:1:{i:0;s:27:\"اختصاصی پلتفرم\";}i:1849;a:1:{i:0;s:30:\"حساب موجود Razorpay: \";}i:1850;a:1:{i:0;s:177:\"محصولات موجود که با شناسه یا SKU مطابقت دارند به روز می شوند. محصولاتی که وجود ندارند ، رد خواهند شد.\";}i:1851;a:1:{i:0;s:17:\"گسترش همه\";}i:1852;a:1:{i:0;s:10:\"انقضا\";}i:1853;a:1:{i:0;s:21:\"تاریخ انقضا\";}i:1854;a:1:{i:0;s:10:\"انقضا\";}i:1855;a:1:{i:0;s:48:\"پس از چند روز منقضی می‌شود\";}i:1856;a:1:{i:0;s:21:\"تاریخ انقضا\";}i:1857;a:1:{i:0;s:17:\"منقضی شده\";}i:1858;a:1:{i:0;s:10:\"انقضا\";}i:1859;a:1:{i:0;s:22:\"انقضا در روز\";}i:1860;a:1:{i:0;s:19:\"انقضا در: %s\";}i:1861;a:1:{i:0;s:29:\"در %s منقضی میشود\";}i:1862;a:1:{i:0;s:23:\"تاریخ انقضا: \";}i:1863;a:1:{i:0;s:21:\"تاریخ انقضا\";}i:1864;a:1:{i:0;s:17:\"برون‌بری\";}i:1865;a:1:{i:0;s:28:\"خروجی گرفتن همه\";}i:1866;a:1:{i:0;s:19:\"برون بری CSV\";}i:1867;a:1:{i:0;s:33:\"برون ریزی گزارش ها\";}i:1868;a:1:{i:0;s:55:\"وضعیت برون ریزی سفارش خالی است\";}i:1869;a:1:{i:0;s:46:\"وضعیت های برون ریزی سفارش\";}i:1870;a:1:{i:0;s:30:\"برون بری محصولات\";}i:1871;a:1:{i:0;s:19:\"برون بری XML\";}i:1872;a:1:{i:0;s:38:\"برون بری تمام ستون ها\";}i:1873;a:1:{i:0;s:37:\"برون بری همه محصولات\";}i:1874;a:1:{i:0;s:39:\"برون بری متای سفارشی؟\";}i:1875;a:1:{i:0;s:50:\"برونر یزی محصولات به فایل CSV\";}i:1876;a:1:{i:0;s:36:\"%s سفارش برون ریزی شد\";}i:1877;a:1:{i:0;s:23:\"خارجی/وابسته\";}i:1878;a:1:{i:0;s:34:\"محصول خارجی/وابسته\";}i:1879;a:1:{i:0;s:28:\"گزینه های اضافی\";}i:1880;a:1:{i:0;s:12:\"فیسبوک\";}i:1881;a:1:{i:0;s:44:\"تنظیمات اپلیکیشن فیسبوک\";}i:1882;a:1:{i:0;s:29:\"توضیحات فیسبوک :\";}i:1883;a:1:{i:0;s:25:\"تصویر فیسبوک :\";}i:1884;a:1:{i:0;s:32:\"شناسه صفحه فیسبوک\";}i:1885;a:1:{i:0;s:132:\"SDK فیسبوک یافت نشد، یا توسط مرورگر مسدود شد. نمی توان چت را راه اندازی کرد.\";}i:1886;a:1:{i:0;s:25:\"عنوان فیسبوک :\";}i:1887;a:1:{i:0;s:125:\"تسهیل سفارشات عمده بین بازرگانان و مشتریان با گزینه قیمت های نقل شده.\";}i:1888;a:1:{i:0;s:12:\"ناموفق\";}i:1889;a:1:{i:0;s:62:\"به دلیل فهرست نشدن مجدد ناموفق بود\";}i:1890;a:1:{i:0;s:38:\"روش پرداخت اضافه نشد.\";}i:1891;a:1:{i:0;s:30:\"کارت غیرفعال نشد\";}i:1892;a:1:{i:0;s:21:\"نظر حذف نشد!\";}i:1893;a:1:{i:0;s:45:\"درون ریزی %1$s %2$s انجام نشد\";}i:1894;a:1:{i:0;s:53:\"خطا در درون ریزی %1$s &#8220;%2$s&#8221;\";}i:1895;a:2:{i:0;s:43:\"خطا در درون ریزی %s محصول\";i:1;s:43:\"خطا در درون ریزی %s محصول\";}i:1896;a:1:{i:0;s:98:\"درون ریزی &#8220;%1$s&#8221;انجام نشد : نوع فایل %2$s نامعتبر است\";}i:1897;a:1:{i:0;s:56:\"درون ریزی دسته بندی %s انجام نشد\";}i:1898;a:1:{i:0;s:56:\"درون ریزی برچسب پست %s انجام نشد\";}i:1899;a:1:{i:0;s:35:\"درج داده ناموفق بود\";}i:1900;a:1:{i:0;s:108:\"تمدید سفارش %s انجام نشد. شناسه مشتری Stripe در سفارش وجود ندارد\";}i:1901;a:1:{i:0;s:38:\"روش پرداخت ذخیره نشد.\";}i:1902;a:1:{i:0;s:56:\"به روز رسانی داده ها ناموفق بود\";}i:1903;a:1:{i:0;s:13:\"ناموفق!\";}i:1904;a:1:{i:0;s:38:\"ناموفق! مشکلی پیش آمد\";}i:1905;a:1:{i:0;s:13:\"ناموفق!\";}i:1906;a:1:{i:0;s:12:\"افتادن\";}i:1907;a:1:{i:0;s:37:\"فست وی آفریقای جنوبی\";}i:1908;a:1:{i:0;s:8:\"ویژه\";}i:1909;a:1:{i:0;s:23:\"محصولات ویژه\";}i:1910;a:1:{i:0;s:34:\"عنوان محصولات ویژه\";}i:1911;a:1:{i:0;s:28:\"فروشنده‌ی ویژه\";}i:1912;a:1:{i:0;s:28:\"فروشنده‌ی ویژه\";}i:1913;a:1:{i:0;s:27:\"فروشندگان ویژه\";}i:1914;a:1:{i:0;s:10:\"فوریه\";}i:1915;a:1:{i:0;s:13:\"FedEx Sameday\";}i:1916;a:1:{i:0;s:8:\"فدکس\";}i:1917;a:1:{i:0;s:10:\"هزینه\";}i:1918;a:1:{i:0;s:17:\"نام هزینه\";}i:1919;a:1:{i:0;s:185:\"کارمزد بدون احتساب مالیات. مقداری را وارد کنید،مثال 2.50 یا یک درصد، مثال. 5%. به هزینه پایه اضافه می‌شود.\";}i:1920;a:1:{i:0;s:42:\"هزینه دریافت شده توسط %s\";}i:1921;a:1:{i:0;s:8:\"کشتی\";}i:1922;a:1:{i:0;s:48:\"واکشی فایل ضمیمه فعال نیست\";}i:1923;a:1:{i:0;s:18:\"هش فایل MD5.\";}i:1924;a:1:{i:0;s:15:\"نام فایل\";}i:1925;a:1:{i:0;s:17:\"آدرس فایل\";}i:1926;a:1:{i:0;s:18:\"آدرس فایل.\";}i:1927;a:1:{i:0;s:19:\"آپلود فایل\";}i:1928;a:1:{i:0;s:16:\"نام فایل.\";}i:1929;a:1:{i:0;s:13:\"فایل ها\";}i:1930;a:1:{i:0;s:10:\"فیلتر\";}i:1931;a:1:{i:0;s:23:\"فیلتر رزروها\";}i:1932;a:1:{i:0;s:59:\"فیلتر نشان بر اساس شناسه فروشنده\";}i:1933;a:1:{i:0;s:43:\"فیلتر براساس ایجاد توسط\";}i:1934;a:1:{i:0;s:34:\"فیلتر براساس تاریخ\";}i:1935;a:1:{i:0;s:33:\"مرتبط سازی بر اساس\";}i:1936;a:1:{i:0;s:35:\"فیلتر بر اساس محصول\";}i:1937;a:1:{i:0;s:51:\"فیلتر بر اساس مشتری ثبت‌شده\";}i:1938;a:1:{i:0;s:44:\"فیلتر بر اساس دلیل گزارش\";}i:1939;a:1:{i:0;s:53:\"فیلتر بر اساس نوع رویداد نشان\";}i:1940;a:1:{i:0;s:40:\"فیلتر بر اساس نام نشان\";}i:1941;a:1:{i:0;s:44:\"فیلتر بر اساس وضعیت نشان\";}i:1942;a:1:{i:0;s:34:\"فیلتر براساس مشتری\";}i:1943;a:1:{i:0;s:35:\"فیلتر بر اساس تاریخ\";}i:1944;a:1:{i:0;s:45:\"فیلتر براساس تاریخ انقضا\";}i:1945;a:1:{i:0;s:35:\"فیلتر بر اساس محصول\";}i:1946;a:1:{i:0;s:35:\"فیلتر بر اساس وضعیت\";}i:1947;a:1:{i:0;s:38:\"فیلتر براساس فروشگاه\";}i:1948;a:1:{i:0;s:46:\"فیلتر بر اساس بسته اشتراک\";}i:1949;a:1:{i:0;s:39:\"فیلتر بر اساس فروشنده\";}i:1950;a:1:{i:0;s:59:\"نحوه ایجاد تبلیغات را فیلتر کنید\";}i:1951;a:1:{i:0;s:14:\"فنلاندی\";}i:1952;a:1:{i:0;s:32:\"آرگومان های فینتر\";}i:1953;a:1:{i:0;s:10:\"اولین\";}i:1954;a:1:{i:0;s:6:\"نام\";}i:1955;a:1:{i:0;s:35:\"نام باید ضروری باشد\";}i:1956;a:1:{i:0;s:20:\"سه ماهه اول\";}i:1957;a:1:{i:0;s:73:\"اولین آدرس جایی که از آنجا ارسال می کنید.\";}i:1958;a:1:{i:0;s:37:\"اولین بلوک شروع در ...\";}i:1959;a:1:{i:0;s:27:\"نام برای کاربر.\";}i:1960;a:1:{i:0;s:15:\"هفته اول\";}i:1961;a:1:{i:0;s:8:\"ثابت\";}i:1962;a:1:{i:0;s:19:\"هزینه ثابت\";}i:1963;a:1:{i:0;s:29:\"بلوک های ثابت از\";}i:1964;a:1:{i:0;s:35:\"تخفیف ثابت سبد خرید\";}i:1965;a:1:{i:0;s:30:\"تخفیف ثابت محصول\";}i:1966;a:1:{i:0;s:6:\"فلت\";}i:1967;a:1:{i:0;s:13:\"نرخ فلت\";}i:1968;a:1:{i:0;s:13:\"نرخ فلت\";}i:1969;a:1:{i:0;s:8:\"ساعت\";}i:1970;a:1:{i:0;s:10:\"دقیقه\";}i:1971;a:1:{i:0;s:6:\"ماه\";}i:1972;a:1:{i:0;s:6:\"سال\";}i:1973;a:1:{i:0;s:6:\" تا \";}i:1974;a:1:{i:0;s:5:\"ق.ظ\";}i:1975;a:1:{i:0;s:5:\"ب.ظ\";}i:1976;a:1:{i:0;s:37:\"برای تغییر کلیک کنید\";}i:1977;a:1:{i:0;s:34:\"اسکرول برای افزایش\";}i:1978;a:1:{i:0;s:8:\"هفته\";}i:1979;a:1:{i:0;s:10:\"آپریل\";}i:1980;a:1:{i:0;s:10:\"آگوست\";}i:1981;a:1:{i:0;s:12:\"دسامبر\";}i:1982;a:1:{i:0;s:10:\"فوریه\";}i:1983;a:1:{i:0;s:12:\"ژانویه\";}i:1984;a:1:{i:0;s:10:\"جولای\";}i:1985;a:1:{i:0;s:8:\"ژوئن\";}i:1986;a:1:{i:0;s:8:\"مارس\";}i:1987;a:1:{i:0;s:4:\"می\";}i:1988;a:1:{i:0;s:12:\"نوامبر\";}i:1989;a:1:{i:0;s:10:\"اکتبر\";}i:1990;a:1:{i:0;s:14:\"سپتامبر\";}i:1991;a:1:{i:0;s:8:\"جمعه\";}i:1992;a:1:{i:0;s:12:\"دوشنبه\";}i:1993;a:1:{i:0;s:8:\"شنبه\";}i:1994;a:1:{i:0;s:12:\"یکشنبه\";}i:1995;a:1:{i:0;s:17:\"پنج‌شنبه\";}i:1996;a:1:{i:0;s:15:\"سه‌شنبه\";}i:1997;a:1:{i:0;s:16:\"چهارشنبه\";}i:1998;a:1:{i:0;s:10:\"آپریل\";}i:1999;a:1:{i:0;s:10:\"آگوست\";}i:2000;a:1:{i:0;s:12:\"دسامبر\";}i:2001;a:1:{i:0;s:10:\"فوریه\";}i:2002;a:1:{i:0;s:12:\"ژانویه\";}i:2003;a:1:{i:0;s:10:\"جولای\";}i:2004;a:1:{i:0;s:8:\"ژوئن\";}i:2005;a:1:{i:0;s:8:\"مارس\";}i:2006;a:1:{i:0;s:4:\"می\";}i:2007;a:1:{i:0;s:12:\"نوامبر\";}i:2008;a:1:{i:0;s:10:\"اکتبر\";}i:2009;a:1:{i:0;s:14:\"سپتامبر\";}i:2010;a:1:{i:0;s:8:\"جمعه\";}i:2011;a:1:{i:0;s:12:\"دوشنبه\";}i:2012;a:1:{i:0;s:8:\"شنبه\";}i:2013;a:1:{i:0;s:12:\"یکشنبه\";}i:2014;a:1:{i:0;s:14:\"پنجشنبه\";}i:2015;a:1:{i:0;s:15:\"سه‌شنبه\";}i:2016;a:1:{i:0;s:16:\"چهارشنبه\";}i:2017;a:1:{i:0;s:32:\"کلمه کلیدی کانونی\";}i:2018;a:1:{i:0;s:19:\"دنبال کردن\";}i:2019;a:1:{i:0;s:34:\"دنبال کردن فروشگاه\";}i:2020;a:1:{i:0;s:22:\"دنبال شده در\";}i:2021;a:1:{i:0;s:38:\"در mysql timestamp دنبال شده\";}i:2022;a:1:{i:0;s:38:\"آدرس URL آواتار فالوور\";}i:2023;a:1:{i:0;s:41:\"آدرس URL آواتار 2x فالوور\";}i:2024;a:1:{i:0;s:19:\"نام فالوور\";}i:2025;a:1:{i:0;s:28:\"نام کامل فالوور\";}i:2026;a:1:{i:0;s:36:\"نام خانوادگی فالوور\";}i:2027;a:1:{i:0;s:25:\"دنبال کنندگان\";}i:2028;a:1:{i:0;s:19:\"دنبال کردن\";}i:2029;a:1:{i:0;s:8:\"برای\";}i:2030;a:1:{i:0;s:205:\"برای پرداخت به حساب‌های گیگابایت، نام دارنده حساب باید با نام و نام خانوادگی حساب کاربری Mangopay مطابقت داشته باشد.\";}i:2031;a:1:{i:0;s:438:\"برای این درگاه پرداخت، <strong>گیرنده هزینه ارسال</strong> و دریافت کننده <strong>هزینه مالیات بر</strong> روی <strong>فروشنده</strong> تنظیم می‌شود. در غیر این صورت، در صورت بازپرداخت جزئی، نمی توانید هزینه حمل و نقل یا مالیات را از کمیسیون مدیریت بازپرداخت کنید.\";}i:2032;a:1:{i:0;s:93:\"برای این روش پرداخت ، به اعتبار برنامه احتیاج دارید\";}i:2033;a:1:{i:0;s:154:\"برای این سیستم لطفاً در حساب توسعه دهنده وارد شوید و اعتبار برنامه خود را دریافت کنید\";}i:2034;a:2:{i:0;s:79:\"برای قیمت عمده، <strong>%d</strong> واحد بیشتر بخرید\";i:1;s:79:\"برای قیمت عمده، <strong>%d</strong> واحد بیشتر بخرید\";}i:2035;a:1:{i:0;s:31:\"اعلان حذف اجباری.\";}i:2036;a:1:{i:0;s:71:\"فرم هیچ داده ای برای به روز رسانی ندارد.\";}i:2037;a:1:{i:0;s:19:\"عنوان قالب\";}i:2038;a:1:{i:0;s:35:\"وضعیت نشان فرمت شده\";}i:2039;a:1:{i:0;s:42:\"متن هاور فرمت‌بندی شده\";}i:2040;a:1:{i:0;s:57:\"وضعیت سطح کسب شده قالب بندی شده.\";}i:2041;a:1:{i:0;s:51:\"لوگوی نشان فرمت شده پیش‌فرض\";}i:2042;a:1:{i:0;s:71:\"تاریخ کسب در سطح فروشنده قالب‌بندی شده\";}i:2043;a:1:{i:0;s:24:\"سه ماهه چهارم\";}i:2044;a:1:{i:0;s:19:\"هفته چهارم\";}i:2045;a:1:{i:0;s:12:\"رایگان\";}i:2046;a:1:{i:0;s:21:\"خرید رایگان\";}i:2047;a:1:{i:0;s:29:\"حمل و نقل رایگان\";}i:2048;a:1:{i:0;s:27:\"آزمایشی رایگان\";}i:2049;a:1:{i:0;s:25:\"ارسال رایگان؟\";}i:2050;a:1:{i:0;s:27:\"آزمایشی رایگان\";}i:2051;a:1:{i:0;s:14:\"فرانسوی\";}i:2052;a:1:{i:0;s:8:\"جمعه\";}i:2053;a:1:{i:0;s:4:\"از\";}i:2054;a:1:{i:0;s:5:\"از \";}i:2055;a:1:{i:0;s:15:\"از شماره\";}i:2056;a:1:{i:0;s:17:\"از: %1$s - %2$s\";}i:2057;a:1:{i:0;s:14:\"از: مدیر\";}i:2058;a:1:{i:0;s:17:\"از: مدیر %s\";}i:2059;a:1:{i:0;s:11:\"کل روز\";}i:2060;a:1:{i:0;s:15:\"نام کامل\";}i:2061;a:1:{i:0;s:35:\"انتقال وجه و پرداخت\";}i:2062;a:1:{i:0;s:4:\"GTIN\";}i:2063;a:1:{i:0;s:23:\"درگاه پرداخت\";}i:2064;a:1:{i:0;s:50:\"هزینه درگاه پرداخت شده توسط\";}i:2065;a:1:{i:0;s:30:\"درگاه غيرفعال شد\";}i:2066;a:1:{i:0;s:10:\"عمومی\";}i:2067;a:1:{i:0;s:23:\"جزئیات عمومی\";}i:2068;a:1:{i:0;s:25:\"تنظیمات عمومی\";}i:2069;a:1:{i:0;s:14:\"تولید CSV\";}i:2070;a:1:{i:0;s:31:\"موقعیت جغرافیایی\";}i:2071;a:1:{i:0;s:30:\"فرم فیلتر موقعیت\";}i:2072;a:1:{i:0;s:42:\"تنظیمات مکان جغرافیایی\";}i:2073;a:1:{i:0;s:12:\"آلمانی\";}i:2074;a:1:{i:0;s:45:\"تایید دومرحله ای ووکامرس\";}i:2075;a:1:{i:0;s:23:\"گرفتن دسترسی\";}i:2076;a:1:{i:0;s:23:\"دریافت فاصله\";}i:2077;a:1:{i:0;s:45:\"دریافت شناسه صفحه فیسبوک\";}i:2078;a:1:{i:0;s:72:\"دریافت اسکیمای آیتم دنبال کردن فروشگاه.\";}i:2079;a:1:{i:0;s:29:\"دریافت راهنمایی\";}i:2080;a:1:{i:0;s:12:\"دریافت\";}i:2081;a:1:{i:0;s:29:\"دریافت پشتیبانی\";}i:2082;a:1:{i:0;s:85:\"محصولات تبلیغاتی را تا تاریخ انقضا دریافت کنید\";}i:2083;a:1:{i:0;s:46:\"دریافت نشان با شناسه نشان\";}i:2084;a:1:{i:0;s:39:\"دریافت نتایج به ترتیب\";}i:2085;a:1:{i:0;s:87:\"کلیدهای API خود را از حساب استریپ خود دریافت کنید.\";}i:2086;a:1:{i:0;s:47:\"دریافت شناسه اپلیکیشن شما\";}i:2087;a:1:{i:0;s:45:\"دریافت سکرت اپلیکیشن شما\";}i:2088;a:1:{i:0;s:120:\"شناسه مشتری خود را از حساب استریپ خود ، منوی برنامه ها دریافت کنید.\";}i:2089;a:1:{i:0;s:104:\"کلید API  تولید خود را از حساب wirecard خود دریافت کنید. (ضروری**)\";}i:2090;a:1:{i:0;s:104:\"توکن API  تولید خود را از حساب wirecard خود دریافت کنید. (ضروری**)\";}i:2091;a:1:{i:0;s:120:\"کلیدهای API عمومی تولید خود را از حساب wirecard خود دریافت کنید. (ضروری**)\";}i:2092;a:1:{i:0;s:105:\"کلیدهای API تست خود را از حساب wirecard خود دریافت کنید. (ضروری**)\";}i:2093;a:1:{i:0;s:101:\"توکن حساب API خود را از حساب wirecard خود دریافت کنید. (ضروری**)\";}i:2094;a:1:{i:0;s:116:\"کلیدهای تست عمومی API خود را از حساب wirecard خود دریافت کنید. (ضروری**)\";}i:2095;a:1:{i:0;s:115:\"سکرت امضای وب هوک خود را از بخش webhooks در حساب stripe خود دریافت کنید.\";}i:2096;a:1:{i:0;s:115:\"به بازدیدکنندگان اطلاعات دقیقی در مورد موضوع فروشگاه خود بدهید\";}i:2097;a:1:{i:0;s:10:\"برگرد\";}i:2098;a:1:{i:0;s:35:\"رفتن به داشبورد &rarr;\";}i:2099;a:1:{i:0;s:28:\"رفتن به تنظیمات\";}i:2100;a:1:{i:0;s:30:\"به تعطیلات بروید\";}i:2101;a:1:{i:0;s:28:\"رفتن به فروشگاه\";}i:2102;a:1:{i:0;s:40:\"تنظیمات اپلیکیشن گوگل\";}i:2103;a:1:{i:0;s:57:\"کلید API نقشه گوگل تنظیم نشده است\";}i:2104;a:1:{i:0;s:13:\"گوگل پی\";}i:2105;a:1:{i:0;s:22:\"گوگل پی (Stripe)\";}i:2106;a:1:{i:0;s:21:\"فروش ناخالص\";}i:2107;a:1:{i:0;s:30:\"مبلغ ناخالص فروش\";}i:2108;a:1:{i:0;s:17:\"کلید گروه\";}i:2109;a:1:{i:0;s:21:\"محصول گروهی\";}i:2110;a:1:{i:0;s:19:\"عنوان گروه\";}i:2111;a:1:{i:0;s:10:\"گروهی\";}i:2112;a:1:{i:0;s:25:\"محصولات گروهی\";}i:2113;a:1:{i:0;s:10:\"مهمان\";}i:2114;a:1:{i:0;s:40:\"استعلام محصولات مهمان\";}i:2115;a:1:{i:0;s:4:\"HTML\";}i:2116;a:1:{i:0;s:25:\"هزینه هندلینگ\";}i:2117;a:1:{i:0;s:52:\"هزینه هندلینگ به ازای [item_label]\";}i:2118;a:1:{i:0;s:40:\"به قابلیت  دسترسی دارد\";}i:2119;a:1:{i:0;s:21:\"دارای افراد\";}i:2120;a:1:{i:0;s:21:\"دارای منابع\";}i:2121;a:1:{i:0;s:18:\"لذت ببرید!\";}i:2122;a:1:{i:0;s:93:\"از مشتریان خود بخواهید با کارت اعتباری پرداخت کنند.\";}i:2123;a:1:{i:0;s:10:\"عنوان\";}i:2124;a:1:{i:0;s:50:\"دکان نیاز به تازه سازی دارد!\";}i:2125;a:1:{i:0;s:12:\"ارتفاع\";}i:2126;a:1:{i:0;s:17:\"ارتفاع (%s)\";}i:2127;a:1:{i:0;s:14:\"سلام %1$s,\";}i:2128;a:1:{i:0;s:11:\"سلام %s\";}i:2129;a:1:{i:0;s:12:\"سلام %s,\";}i:2130;a:1:{i:0;s:8:\"سلام\";}i:2131;a:1:{i:0;s:19:\"سلام عزیز،\";}i:2132;a:1:{i:0;s:112:\"سلام {store_name}، در ارتباط با فروشگاه شما به آدرس {store_url} سوال دارم\";}i:2133;a:1:{i:0;s:11:\"سلام ،\";}i:2134;a:1:{i:0;s:130:\"در اینجا باید حداقل یک سیستم بازپرداخت وجود داشته باشد که باید فعال شود.\";}i:2135;a:1:{i:0;s:8:\"سلام\";}i:2136;a:1:{i:0;s:9:\"سلام \";}i:2137;a:1:{i:0;s:19:\"سلام %1$s, %2$s\";}i:2138;a:1:{i:0;s:13:\"سلام %s،\";}i:2139;a:1:{i:0;s:10:\"سلام،\";}i:2140;a:1:{i:0;s:14:\"سلام, %1$s\";}i:2141;a:1:{i:0;s:21:\"سلام، %1$s, %2$s\";}i:2142;a:1:{i:0;s:12:\"سلام, %s\";}i:2143;a:1:{i:0;s:8:\"مخفی\";}i:2144;a:1:{i:0;s:10:\"پنهان\";}i:2145;a:1:{i:0;s:9:\"مخفی \";}i:2146;a:1:{i:0;s:44:\"پنهان کردن افزودن به سبد\";}i:2147;a:1:{i:0;s:43:\"مخفی کردن اطلاعات مشتری\";}i:2148;a:1:{i:0;s:28:\"پنهان کردن قیمت\";}i:2149;a:1:{i:0;s:35:\"پنهان کردن متن قیمت\";}i:2150;a:1:{i:0;s:41:\"مخفی کردن گزینه برداشت\";}i:2151;a:1:{i:0;s:125:\"افزودنیهای اضافی را که ممکن است برای این محصول اعمال شوند پنهان کنید.\";}i:2152;a:1:{i:0;s:50:\"مخفی سازی گزینه های پیشرفته\";}i:2153;a:1:{i:0;s:46:\"پنهان‌کردن افزودن به سبد\";}i:2154;a:1:{i:0;s:111:\"اطلاعات مشتری را از جزئیات سفارشات برای فروشندگان پنهان کنید\";}i:2155;a:1:{i:0;s:305:\"موارد ناموجود در انبار را از لیست تبلیغات مخفی کنید. توجه داشته باشید که اگر تنظیم ووکامرس برای نمایان بودن ناموجود علامت زده شود، محصول با وجود این تنظیم مخفی خواهد شد.\";}i:2156;a:1:{i:0;s:30:\"پنهان‌کردن قیمت\";}i:2157;a:1:{i:0;s:37:\"پنهان‌کردن متن قیمت\";}i:2158;a:1:{i:0;s:146:\"مخفی کردن گزینه برداشت (هنگامی که فروشنده به صورت خودکار کمیسیون دریافت می‌کند) \";}i:2159;a:1:{i:0;s:19:\"بزرگراه ها\";}i:2160;a:1:{i:0;s:26:\"تحویل درب منزل\";}i:2161;a:1:{i:0;s:26:\"تحویل درب منزل\";}i:2162;a:1:{i:0;s:304:\"تحویل در خانه به این اشاره دارد که شما مکان تعیین شده را به کاربران تحویل خواهید داد. وانت فروشگاه به این معنی است که مشتریان به محل شما می آیند و سفارش را تحویل می گیرند.\";}i:2163;a:1:{i:0;s:24:\"دلار هنگ‌کنگ\";}i:2164;a:1:{i:0;s:8:\"ساعت\";}i:2165;a:1:{i:0;s:8:\"ساعت\";}i:2166;a:1:{i:0;s:42:\"شماره خانه و نام خیابان\";}i:2167;a:1:{i:0;s:8:\"هاور\";}i:2168;a:1:{i:0;s:33:\"نحوه برگشت داده ها\";}i:2169;a:1:{i:0;s:127:\"تاریخ تحویل چند روز از تاریخ فعلی مسدود شده است؟ 0 برای بدون بافر بلوکی\";}i:2170;a:1:{i:0;s:126:\"چند سفارش را می توانید در یک اسلات پردازش کنید؟ 0 برای سفارشات نامحدود\";}i:2171;a:1:{i:0;s:79:\"چند بار کد تخیف را می توان در کل استفاده کرد.\";}i:2172;a:1:{i:0;s:96:\"چند بار کد تخفیف را می توان برای هر مشتری استفاده کرد.\";}i:2173;a:1:{i:0;s:44:\"چطور می تونم کمکتون کنم؟\";}i:2174;a:1:{i:0;s:73:\"چه مقدار (%) از هر سفارش دریافت خواهید کرد\";}i:2175;a:1:{i:0;s:97:\"نحوه ایجاد این تبلیغ، مقادیر ممکن سفارش یا مدیر هستند\";}i:2176;a:1:{i:0;s:50:\"زمان ایجاد خوانا برای انسان\";}i:2177;a:1:{i:0;s:63:\"زمان قابل‌خواندن‌انسان دنبال شدن\";}i:2178;a:1:{i:0;s:29:\"فورینت مجارستان\";}i:2179;a:1:{i:0;s:24:\"من مشتری هستم\";}i:2180;a:1:{i:0;s:28:\"من فروشنده هستم\";}i:2181;a:1:{i:0;s:111:\"من %1$sقوانین و مقررات%2$s موجود برای MangoPay را خوانده و پذیرفته ام\";}i:2182;a:1:{i:0;s:79:\"من %1$sقوانین و مقررات%2$s را خوانده و می پذیرم.\";}i:2183;a:1:{i:0;s:44:\"من درخواستی دارم برای یک\";}i:2184;a:1:{i:0;s:49:\"من قبلا یک حساب کاربری دارم\";}i:2185;a:1:{i:0;s:17:\"شماره شبا\";}i:2186;a:1:{i:0;s:10:\"شناسه\";}i:2187;a:1:{i:0;s:19:\"تأیید هویت\";}i:2188;a:1:{i:0;s:39:\"شناسه محصول تبلیغ شده\";}i:2189;a:1:{i:0;s:30:\"شناسه مالک محصول\";}i:2190;a:1:{i:0;s:12:\"شناسه: \";}i:2191;a:1:{i:0;s:59:\"اشتراک IPN فعال شد. شناسه اشتراک: %s\";}i:2192;a:1:{i:0;s:29:\"اشتراک IPN لغو شد.\";}i:2193;a:1:{i:0;s:57:\"پایان دوره اشتراک IPN برای سفارش.\";}i:2194;a:1:{i:0;s:74:\"پرداخت اشتراک IPN تکمیل شد. شناسه تراکنش: %s\";}i:2195;a:1:{i:0;s:50:\"پرداخت اشتراک IPN ناموفق بود.\";}i:2196;a:1:{i:0;s:50:\"پرداخت اشتراک IPN ناموفق بود.\";}i:2197;a:1:{i:0;s:74:\"اشتراک آزمایشی IPN فعال شد. شناسه اشتراک: %s\";}i:2198;a:1:{i:0;s:8:\"آیکن\";}i:2199;a:1:{i:0;s:19:\"اثبات هویت\";}i:2200;a:1:{i:0;s:70:\"در صورت نمایش اطلاعیه به اتصال فروشنده\";}i:2201;a:1:{i:0;s:437:\"اگر تنظیم ارسال اعلان به اتصال فروشنده فعال باشد، فروشندگان غیرمتصل اعلانی برای اتصال حساب MangoPay خود را هفته ای یک بار به طور پیش فرض دریافت می کنند. از اینجا می توانید فاصله نمایش اعلان ها را کنترل کنید. مقدار فاصله در روز در نظر گرفته می‌شود.\";}i:2202;a:1:{i:0;s:368:\"اگر تنظیم ارسال اعلان به اتصال فروشنده فعال باشد، فروشندگان غیرمتصل اعلانی برای اتصال حساب پی پال خود را هفته ای یک بار به طور پیش فرض دریافت می کنند. از اینجا می توانید فاصله نمایش اعلان ها را کنترل کنید.\";}i:2203;a:1:{i:0;s:376:\"اگر تنظیم ارسال اطلاعیه به اتصال فروشنده فعال باشد، فروشندگان غیرمتصل اطلاعیه ای برای اتصال حساب Razorpay خود را هفته ای یک بار به طور پیش فرض دریافت می کنند. از اینجا می توانید فاصله نمایش اعلان ها را کنترل کنید.\";}i:2204;a:1:{i:0;s:449:\"اگر تنظیم ارسال اطلاعیه برای اتصال فروشنده فعال باشد، فروشندگان غیرمتصل اعلان ثبت نام برای حساب Stripe Express را هفته ای یک بار به طور پیش فرض دریافت خواهند کرد. از اینجا می توانید فاصله نمایش اعلان ها را کنترل کنید. مقدار بازه به روز در نظر گرفته می‌شود.\";}i:2205;a:1:{i:0;s:183:\"اگر مشتری بیش از یک نوع محصول از فروشگاه شما بخرد ، اولین محصول از هر نوع دوم، با این قیمت شارژ می‌شود\";}i:2206;a:1:{i:0;s:176:\"اگر فعال شود ، فروشندگان به جای مدیر / صاحب سایت در حالت 3DS ، هزینه پردازش استریپ را پرداخت می کنند.\";}i:2207;a:1:{i:0;s:146:\"در صورت فعال شدن، فروشندگان هزینه پردازش Stripe را به جای مدیر/مالک سایت می پردازند.\";}i:2208;a:1:{i:0;s:165:\"اگر علامت زده شود، فروشندگان غیرمتصل اعلانی برای اتصال حساب MangoPay خود را دریافت خواهند کرد. \";}i:2209;a:1:{i:0;s:163:\"اگر علامت زده شود، فروشندگان غیرمتصل اعلانی برای اتصال حساب پی پال خود دریافت خواهند کرد. \";}i:2210;a:1:{i:0;s:167:\"در صورت علامت زدن، فروشندگان غیرمتصل اطلاعیه ای برای اتصال حساب Razorpay خود دریافت خواهند کرد. \";}i:2211;a:1:{i:0;s:215:\"در صورت علامت گذاری ، فروشندگان غیر متصل اطلاعیه اخطار را دریافت می کنند تا هفته ای یک بار حساب استریپ خود را متصل کنند.\";}i:2212;a:1:{i:0;s:182:\"در صورت علامت گذاری ، فروشندگان غیر متصل اطلاعیه اخطار را برای اتصال حساب استریپ خود دریافت می کنند. \";}i:2213;a:1:{i:0;s:176:\"اگر علامت زده شود، فروشندگان غیرمتصل اعلانی برای ثبت نام برای یک حساب Stripe Express دریافت خواهند کرد. \";}i:2214;a:1:{i:0;s:184:\"اگر علامت زده شود، فروشندگان غیرمتصل اعلانی برای اتصال حساب MangoPay خود در داشبورد فروشنده خود می بینند.\";}i:2215;a:1:{i:0;s:187:\"اگر علامت زده شود، فروشندگان غیرمتصل اعلانی برای اتصال حساب پی پال خود در داشبورد فروشنده خود می بینند.\";}i:2216;a:1:{i:0;s:195:\"اگر علامت زده شود، فروشندگان غیرمتصل اطلاعیه ای برای اتصال حساب Razorpay خود در داشبورد فروشنده خود خواهند دید.\";}i:2217;a:1:{i:0;s:200:\"اگر علامت زده شود، فروشندگان غیرمتصل اعلانی برای ثبت نام برای یک حساب Stripe Express در داشبورد فروشنده خود می بینند.\";}i:2218;a:1:{i:0;s:139:\"در صورت علامت زدن، فروشنده فقط پس از اشتراک در یک بسته ثبت نام را تکمیل می کند\";}i:2219;a:1:{i:0;s:402:\"در صورت فعال بودن و اگر فروشگاه در داخل اتحادیه اروپا یا SEPA باشد، فروشندگان می توانند کشور خود را از بین کشورهای پشتیبانی شده انتقال در هنگام ثبت نام انتخاب کنند. کشورهای موجود توسط Stripe بر اساس کشور فروشگاه تعیین خواهند شد.\";}i:2220;a:1:{i:0;s:238:\"اگر فعال باشد، مشتریان می‌توانند کارت‌ها را در حین تسویه‌حساب ذخیره کنند. داده های کارت در سرور MangoPay ذخیره می‌شود، نه در فروشگاه.\";}i:2221;a:1:{i:0;s:227:\"اگر فعال باشد، مشتریان می‌توانند کارت‌ها را در حین پرداخت ذخیره کنند. داده های کارت در سرور Stripe ذخیره می‌شود، نه در فروشگاه.\";}i:2222;a:1:{i:0;s:167:\"اگر فعال باشد، درآمد حاصل از فروش پس از تعداد روزهای ذکر شده به موجودی فروشنده اضافه می‌شود.\";}i:2223;a:1:{i:0;s:385:\"در صورت فعال بودن، کاربران می‌توانند با استفاده از Apple Pay یا درخواست پرداخت کروم در صورت پشتیبانی مرورگر، پرداخت کنند. بسته به پیکربندی مرورگر وب و کیف پول، مشتریان شما Apple Pay یا Google Pay را خواهند دید، اما نه هر دو را.\";}i:2224;a:1:{i:0;s:274:\"در صورت فعال بودن ، کاربران می توانند در هنگام تسویه حساب با کارت ذخیره شده پرداخت کنند. جزئیات کارت در سرورهای استریپ ذخیره می شوند ، نه در فروشگاه شما.\";}i:2225;a:1:{i:0;s:124:\"اگر ندارید، شناسه مشتری و سکرت را در زیر پر کنید. %1$sایجاد یک برنامه%2$s\";}i:2226;a:1:{i:0;s:127:\"در صورت مدیریت موجودی ، این در صورت مجاز بودن سفارشات قبل کنترل می کند.\";}i:2227;a:1:{i:0;s:136:\"اگر قابل رزرو نباشد، کاربر نمی توانید این بلوک را برای رزروشان انتخاب کنند.\";}i:2228;a:1:{i:0;s:119:\"در صورت بازگرداندن یک اعلان واحد، شناسه اعلان در دسترس خواهد بود .\";}i:2229;a:1:{i:0;s:123:\"در صورت بازگرداندن یک اعلان واحد، شناسه فروشنده در دسترس خواهد بود .\";}i:2230;a:1:{i:0;s:120:\"در صورت تنظیم، بر مقدار تعیین شده در تنظیمات کلی اولویت خواهد داشت\";}i:2231;a:1:{i:0;s:140:\"در صورت تنظیم ، روزهای آستانه برداشت عمومی را برای این فروشنده رونویسی می کند\";}i:2232;a:1:{i:0;s:108:\"در صورت تنظیم، اعلامیه فروشنده مشخص شده برگردانده خواهد شد.\";}i:2233;a:1:{i:0;s:194:\"اگر محصول در حال فروش است، میتوانید یک برچسب قیمت را درست قبل از خروجی قیمت جدید برای اطلاع مشتری نشان دهید.\";}i:2234;a:1:{i:0;s:215:\"اگر محصول در حال فروش ویژه است، میتوانید یک برچسب قیمت را درست قبل از خروجی قیمت قدیمی نشان دهید تا به مشتری اطلاع دهید.\";}i:2235;a:1:{i:0;s:237:\"اگر هزینه‌ی حمل و نقل برای تمام استان ها برابر است، از این فیلد استفاده کنید. در غیر این صورت، در زیر استان به صورت دستی وارد نمایید\";}i:2236;a:1:{i:0;s:49:\"اگر متغیر قابل دانلود باشد.\";}i:2237;a:1:{i:0;s:38:\"اگر متغیر مجازی باشد.\";}i:2238;a:1:{i:0;s:182:\"اگر ترکیبی از کلاس‌ها وجود داشته باشد، از کلاسی با کمترین اولویت (تعریف شده در بالا) استفاده می‌شود.\";}i:2239;a:1:{i:0;s:230:\"در صورت فعال بودن این ، مشتریان می توانند محصولات را از فروشندگان غیر متصل سفارش دهند. پرداخت به حساب استریپ مدیر ارسال می‌شود.\";}i:2240;a:1:{i:0;s:279:\"اگر این فعال باشد و اتصال استریپ دکان تنها درگاه موجود باشد ، فروشندگان غیر متصل هفته ای یک بار اطلاعیه اخطار را برای اتصال حساب استریپ خود دریافت می کنند.\";}i:2241;a:1:{i:0;s:164:\"اگر این فعال باشد، فروشندگان غیرمتصل اعلانی برای اتصال حساب MangoPay خود را دریافت خواهند کرد.\";}i:2242;a:1:{i:0;s:218:\"اگر این فعال باشد، فروشندگان غیرمتصل به صورت پیش‌فرض هفته‌ای یک‌بار اعلانی برای اتصال حساب پی پال خود دریافت می‌کنند.\";}i:2243;a:1:{i:0;s:217:\"اگر این فعال باشد، فروشندگان غیرمتصل اطلاعیه ای برای اتصال حساب Razorpay خود را هفته ای یک بار به طور پیش فرض دریافت می کنند.\";}i:2244;a:1:{i:0;s:182:\"اگر این فعال باشد، فروشندگان غیرمتصل اطلاعیه ای برای ثبت نام برای یک حساب Stripe Express دریافت خواهند کرد.\";}i:2245;a:1:{i:0;s:184:\"اگر این فعال باشد، فروشندگان غیرمتصل اعلانی برای اتصال حساب MangoPay خود در داشبورد فروشنده خود می بینند.\";}i:2246;a:1:{i:0;s:187:\"اگر این فعال باشد، فروشندگان غیرمتصل اعلانی برای اتصال حساب پی پال خود در داشبورد فروشنده خود می بینند.\";}i:2247;a:1:{i:0;s:191:\"اگر این فعال باشد، فروشندگان غیرمتصل اطلاعیه ای برای اتصال حساب Razorpay خود در داشبورد فروشنده خود می بینند.\";}i:2248;a:1:{i:0;s:195:\"اگر این فعال باشد، فروشندگان غیرمتصل اعلانی برای ثبت نام برای حساب Stripe Express در داشبورد فروشنده خود می بینند.\";}i:2249;a:1:{i:0;s:200:\"اگر درست باشد و روش حمل و نقل رایگان نیاز به یک کد تخفیف داشته باشد، این کد تخفیف حمل و نقل رایگان را فعال میکند.\";}i:2250;a:1:{i:0;s:216:\"اگر درست باشد، کد تخفیف تنها می تواند به صورت جداگانه استفاده شود. کد تخفیف های دیگر اعمال شده از سبد خرید حذف خواهند شد.\";}i:2251;a:1:{i:0;s:142:\"اگر درست باشد، این کد تخفیف به اقلامی که دارای قیمت حراج هستند اعمال نخواهد شد.\";}i:2252;a:1:{i:0;s:159:\"اگر علامت را بردارید، مدیر/مالک سایت هزینه پردازش Razorpay را به جای فروشنده پرداخت می‌کند.\";}i:2253;a:1:{i:0;s:207:\"اگر vendor_id تنظیم شده باشد، تعداد سطح کسب شده برای آن فروشنده، در غیر این صورت کل سطوح به دست آمده توسط همه فروشندگان.\";}i:2254;a:1:{i:0;s:267:\"اگر این کادر را علامت بزنید، محصول تبلیغ شده به عنوان ویژه علامت‌گذاری می‌شود. پس از انقضای آگهی، محصولات به طور خودکار از لیست ویژه حذف خواهند شد.\";}i:2255;a:1:{i:0;s:261:\"اگر این چک باکس را علامت بزنید، محصولات تبلیغ شده در بالای فهرست کاتالوگ نمایش داده می شوند، به عنوان مثال: صفحه فروشگاه، صفحه فروشگاه تک و غیره.\";}i:2256;a:1:{i:0;s:224:\"اگر این کادر را علامت بزنید، فروشنده می‌تواند محصولات خود را بدون هیچ هزینه اضافی بر اساس طرحی که در آن مشترک است تبلیغ کند.\";}i:2257;a:1:{i:0;s:192:\"اگر این کادر را علامت بزنید، فروشندگان می‌توانند آگهی را از فهرست محصول و صفحه ویرایش محصول خریداری کنند.\";}i:2258;a:1:{i:0;s:126:\"اگر ندارید، شناسه برنامه و سکرت را در زیر پر کنید. %1$sایجاد یک برنامه%2$s\";}i:2259;a:1:{i:0;s:124:\"اگر ندارید، شناسه مشتری و سکرت را در زیر پر کنید. %1$sایجاد یک برنامه%2$s\";}i:2260;a:1:{i:0;s:124:\"اگر ندارید، شناسه مشتری و سکرت را در زیر پر کنید. %1$sایجاد یک برنامه%2$s\";}i:2261;a:1:{i:0;s:173:\"اگر این تنظیم را فعال کنید، هر فروشنده می‌تواند شماره فاکتور را برای سفارش‌های خود سفارشی کند.\";}i:2262;a:1:{i:0;s:158:\"اگر نیاز دارید دوباره به راه انداز سریع دسترسی پیدا کنید ، لطفاً روی دکمه زیر کلیک کنید.\";}i:2263;a:1:{i:0;s:233:\"اگر می‌خواهید شناسه‌های نویسنده متغیرهای محصول متغیر را بر اساس محصولات متغیر والد بازسازی کنید، لطفاً روی دکمه زیر کلیک کنید.\";}i:2264;a:1:{i:0;s:94:\"اگر می خواهید حمل و نقل منطقی منطقه را پیکربندی کنید\";}i:2265;a:1:{i:0;s:156:\"اگر می خواهید این محصول را به صورت عمده بفروشید ، تنظیمات خود را به روش صحیح تنظیم کنید\";}i:2266;a:1:{i:0;s:90:\"اگر می خواهید از سیستم حمل و نقل قبلی استفاده کنید\";}i:2267;a:1:{i:0;s:274:\"اگر آدرس صورتحساب شما برای روش های پرداخت ذخیره شده تغییر کرده است ، مطمئن باشید که هر%1$s روش پرداخت ذخیره شده %2$s را در فایل حذف کرده و دوباره اضافه کنید.\";}i:2268;a:1:{i:0;s:6:\"عکس\";}i:2269;a:1:{i:0;s:22:\"شناسه تصویر.\";}i:2270;a:1:{i:0;s:20:\"آدرس تصویر.\";}i:2271;a:1:{i:0;s:33:\"متن جایگزین تصویر.\";}i:2272;a:1:{i:0;s:18:\"نام تصویر.\";}i:2273;a:1:{i:0;s:81:\"موقعیت تصویر. 0 بدین معناست که تصویر ویژه است.\";}i:2274;a:1:{i:0;s:12:\"تصاویر\";}i:2275;a:1:{i:0;s:8:\"فوری\";}i:2276;a:1:{i:0;s:18:\"امپراتوری\";}i:2277;a:1:{i:0;s:19:\"درون‌ریزی\";}i:2278;a:1:{i:0;s:23:\"درون‌ریزی CSV\";}i:2279;a:1:{i:0;s:33:\"درون ریزی داده دمو\";}i:2280;a:1:{i:0;s:32:\"درون ریزی محصولات\";}i:2281;a:1:{i:0;s:21:\"درون ریزی XML\";}i:2282;a:1:{i:0;s:34:\"درون ریزی تکمیل شد!\";}i:2283;a:1:{i:0;s:64:\"درون ریزی محصولات از طریق یک فایل CSV\";}i:2284;a:1:{i:0;s:15:\"در انبار\";}i:2285;a:1:{i:0;s:12:\"موجود؟\";}i:2286;a:1:{i:0;s:314:\"پرداخت دوره ای خودکار برای سفارش %1$s از %2$s انجام نشد. به مشتری ایمیلی مبنی بر درخواست تاییدیه ارسال شد. اگر مشتری پرداخت را تأیید نکند، دوباره از طریق ایمیل %3$s درخواست می‌شود.\";}i:2287;a:1:{i:0;s:132:\"در صورت پیدا نشدن فروشگاه جستجو شده ، مکان پیش فرض روی نقشه تنظیم می‌شود.\";}i:2288;a:1:{i:0;s:9:\"در هر\";}i:2289;a:1:{i:0;s:16:\"در هر  %d %s\";}i:2290;a:1:{i:0;s:256:\"پرداخت خودکار برای تمدید اشتراک شما با %1$s انجام نشد. برای فعال کردن مجدد اشتراک، لطفاً وارد شوید و از صفحه حساب خود مجوز تمدید را صادر کنید: %2$s\";}i:2291;a:1:{i:0;s:185:\"برای استفاده در هنگام تسویه حساب، روش پرداخت باید واحد پول فروشگاه را روی یکی از موارد زیر تنظیم کند: %s\";}i:2292;a:1:{i:0;s:10:\"موجود\";}i:2293;a:1:{i:0;s:12:\"موجود؟\";}i:2294;a:1:{i:0;s:570:\"در این نوع حراج ، همه پیشنهاد دهندگان به طور همزمان پیشنهادات مهر و موم شده را ارائه می دهند تا هیچ پیشنهاد دهنده ای پیشنهاد دیگر شرکت کنندگان را نداند. بالاترین پیشنهاد دهنده قیمتی را که ارسال کرده است پرداخت می کند. اگر دو پیشنهاد با ارزش یکسان به حراج ارسال شود ، پیشنهادی که در ابتدا قرار داده شد برنده مزایده است.\";}i:2295;a:1:{i:0;s:15:\"غیر فعال\";}i:2296;a:1:{i:0;s:21:\"صندوق ورودی\";}i:2297;a:1:{i:0;s:19:\"تکمیل نشده\";}i:2298;a:1:{i:0;s:67:\"افزایش قیمت موجود با (مقدار ثابت یا %):\";}i:2299;a:1:{i:0;s:85:\"افزایش قیمت فروش ویژه موجود با (مقدار ثابت یا %):\";}i:2300;a:1:{i:0;s:35:\"افزایش موجودی توسط:\";}i:2301;a:1:{i:0;s:17:\"روپیه هند\";}i:2302;a:1:{i:0;s:8:\"فردی\";}i:2303;a:1:{i:0;s:10:\"افراد\";}i:2304;a:1:{i:0;s:61:\"اطلاعات مربوط به انتقال بانکی شما\";}i:2305;a:1:{i:0;s:40:\"اطلاعات به روز شده است\";}i:2306;a:1:{i:0;s:35:\"پارامترهای ورودی: %s\";}i:2307;a:1:{i:0;s:48:\"شناسه اپلیکیشن را درج کنید\";}i:2308;a:1:{i:0;s:46:\"سکرت اپلیکیشن را درج کنید\";}i:2309;a:1:{i:0;s:27:\"درج شماره تلفن.\";}i:2310;a:1:{i:0;s:15:\"درج مدرک\";}i:2311;a:1:{i:0;s:26:\"درج کد اس ام اس\";}i:2312;a:1:{i:0;s:37:\"قرار دادن نشانی فایل\";}i:2313;a:1:{i:0;s:26:\"درج متغیر قطعه\";}i:2314;a:1:{i:0;s:157:\"برای رتبه بندی بهتر صفحه فروشگاه خود ، برخی از کلمات کلیدی جدا شده با کاما را وارد کنید.\";}i:2315;a:1:{i:0;s:30:\"داخل زبانه محصول\";}i:2316;a:1:{i:0;s:60:\"داخل زبانه محصول اطلاعات فروشنده\";}i:2317;a:1:{i:0;s:26:\"نصب صفحات دکان\";}i:2318;a:1:{i:0;s:15:\"نصب الان\";}i:2319;a:1:{i:0;s:15:\"نصب‌شده\";}i:2320;a:1:{i:0;s:20:\"درحال نصب...\";}i:2321;a:1:{i:0;s:16:\"بلافاصله\";}i:2322;a:1:{i:0;s:25:\"بستن بلافاصله\";}i:2323;a:1:{i:0;s:21:\"شماره موسسه\";}i:2324;a:1:{i:0;s:68:\"امتیاز ناکافی برای درون ریزی محصولات.\";}i:2325;a:1:{i:0;s:66:\"رزرو ووکامرس را با دکان ادغام می کند.\";}i:2326;a:1:{i:0;s:39:\"بررسی اینترپل فعال شد\";}i:2327;a:1:{i:0;s:26:\"شناسه نامعتبر.\";}i:2328;a:1:{i:0;s:32:\"کد IFSC نامعتبر است.\";}i:2329;a:1:{i:0;s:25:\"سفارش نامعتبر\";}i:2330;a:1:{i:0;s:51:\"اطلاعات سفارش نامعتبر است. %s\";}i:2331;a:1:{i:0;s:49:\"آیتم سفارش نامعتبر پیدا شد.\";}i:2332;a:1:{i:0;s:127:\"منبع پرداخت نامعتبر: پردازش پرداخت انجام نشد. لطفا دوباره امتحان کنید.\";}i:2333;a:1:{i:0;s:53:\"داده پرداخت Razorpay نامعتبر است.\";}i:2334;a:1:{i:0;s:29:\"درخواست نامعتبر\";}i:2335;a:1:{i:0;s:34:\"شناسه منبع نامعتبر\";}i:2336;a:1:{i:0;s:59:\"پرسنل نامعتبر هستند. لطفا ببینید\";}i:2337;a:1:{i:0;s:25:\"وضعیت نامعتبر\";}i:2338;a:1:{i:0;s:142:\"شناسه مالیاتی نامعتبر است، لطفاً با یک شناسه مالیاتی معتبر دوباره امتحان کنید\";}i:2339;a:1:{i:0;s:54:\"نام کاربری یا رمزعبور نامعتبر\";}i:2340;a:1:{i:0;s:38:\"نام حساب نامعتبر است.\";}i:2341;a:1:{i:0;s:42:\"شماره حساب نامعتبر است.\";}i:2342;a:1:{i:0;s:61:\"شناسه محصول تبلیغاتی نامعتبر است.\";}i:2343;a:1:{i:0;s:43:\"کلید احراز هویت نامعتبر\";}i:2344;a:1:{i:0;s:146:\"داده‌های نشان نامعتبر ارائه شده است. لطفاً داده های درخواست api خود را بررسی کنید.\";}i:2345;a:1:{i:0;s:49:\"نام حساب بانکی نامعتبر است.\";}i:2346;a:1:{i:0;s:123:\"محصول تبلیغاتی پایه نامعتبر پیدا شد. لطفا با ادمین سایت تماس بگیرید.\";}i:2347;a:1:{i:0;s:121:\"شناسه محصول تبلیغ پایه نامعتبر است. لطفا با ادمین سایت تماس بگیرید.\";}i:2348;a:1:{i:0;s:46:\"نام کسب و کار نامعتبر است.\";}i:2349;a:1:{i:0;s:46:\"نوع کسب و کار نامعتبر است.\";}i:2350;a:1:{i:0;s:118:\"کد کشور نامعتبر است، لطفاً با یک کد کشور معتبر دوباره امتحان کنید\";}i:2351;a:1:{i:0;s:130:\"شناسه مشتری نامعتبر است. \"شناسه مشتری استریپ\" معتبر باید با \"cus_\" آغاز شود.\";}i:2352;a:1:{i:0;s:44:\"ایمیل مشتری نامعتبر است.\";}i:2353;a:1:{i:0;s:65:\"تاریخ نامعتبر برای تقویم زمان تحویل\";}i:2354;a:1:{i:0;s:45:\"محدوده تاریخ نامعتبر است\";}i:2355;a:1:{i:0;s:114:\"آدرس ایمیل نامعتبر است ، لطفاً تصحیح کنید و دوباره امتحان کنید.\";}i:2356;a:1:{i:0;s:42:\"آدرس ایمیل نامعتبر است.\";}i:2357;a:1:{i:0;s:30:\"نوع فایل نامعتبر\";}i:2358;a:1:{i:0;s:30:\"نامعتبر از تاریخ\";}i:2359;a:1:{i:0;s:43:\"ایندکس مورد نامعتبر است\";}i:2360;a:1:{i:0;s:45:\"پارامتر مورد نامعتبر است\";}i:2361;a:1:{i:0;s:49:\"شناسه %d مورد خط نامعتبر است\";}i:2362;a:1:{i:0;s:67:\"مقدار آیتم خط برای آیتم %s نامعتبر است\";}i:2363;a:1:{i:0;s:23:\"فعلا نامعتبر\";}i:2364;a:1:{i:0;s:37:\"SKU نامعتبر یا تکراری.\";}i:2365;a:1:{i:0;s:25:\"سفارش نامعتبر\";}i:2366;a:1:{i:0;s:61:\"شناسه سفارش نامعتبر ارائه شده است\";}i:2367;a:1:{i:0;s:40:\"شناسه سفارش نامعتبر: %s\";}i:2368;a:1:{i:0;s:37:\"شناسه سفارش نامعتبر.\";}i:2369;a:1:{i:0;s:85:\"شناسه سفارش نامعتبر است. لطفا دوباره تلاش کنید.\";}i:2370;a:1:{i:0;s:83:\"کلید سفارش نامعتبر است. لطفا دوباره تلاش کنید.\";}i:2371;a:1:{i:0;s:74:\"سفارش نامعتبر است. لطفا دوباره تلاش کنید.\";}i:2372;a:1:{i:0;s:103:\"روش پرداخت نامعتبر است. لطفاً شماره کارت جدیدی وارد کنید.\";}i:2373;a:1:{i:0;s:35:\"شماره تلفن نامعتبر.\";}i:2374;a:1:{i:0;s:79:\"شناسه محصول برای ایجاد تغییرات نامعتبر است.\";}i:2375;a:1:{i:0;s:97:\"شناسه محصول نامعتبر است. لطفا ورودی خود را بررسی کنید.\";}i:2376;a:1:{i:0;s:85:\"پرداخت razorpay نامعتبر است. لطفا دوباره تلاش کنید.\";}i:2377;a:1:{i:0;s:44:\"شناسه برگشت وجه نامعتبر.\";}i:2378;a:1:{i:0;s:55:\"آبجکت سفارش تمدید نامعتبر است.\";}i:2379;a:1:{i:0;s:44:\"سفارش تمدید نامعتبر است.\";}i:2380;a:1:{i:0;s:29:\"درخواست نامعتبر\";}i:2381;a:1:{i:0;s:64:\"شناسه درخواست نامعتبر است. پیدا نشد\";}i:2382;a:1:{i:0;s:23:\"پاسخ نامعتبر\";}i:2383;a:1:{i:0;s:115:\"عملکرد ردیف نامعتبر است. اقدامات پشتیبانی شده منقضی و حذف هستند\";}i:2384;a:1:{i:0;s:146:\"عملکرد ردیف نامعتبر است. اقدامات پشتیبانی شده عبارتند از انتشار، پیش‌نویس و حذف\";}i:2385;a:1:{i:0;s:154:\"شناسه منبع نامعتبر است.  \"شناسه منبع استریپ\" یک منبع معتبر باید با \"src_\" یا \"card_\" آغاز شود.\";}i:2386;a:1:{i:0;s:156:\"شناسه منبع نامعتبر است. منبع معتبر \"شناسه منبع استریپ\" باید با \"src_\"، \"pm_\" یا \"card_\" شروع شود.\";}i:2387;a:1:{i:0;s:59:\"پرسنل نامعتبر هستند. لطفا ببینید\";}i:2388;a:1:{i:0;s:84:\"شناسه فروشگاه نامعتبر است. فروشگاه وجود ندارد.\";}i:2389;a:1:{i:0;s:41:\"طول اشتراک نامعتبر است\";}i:2390;a:1:{i:0;s:74:\"مقدار استرداد مجموع نامعتبر برای محصول %s\";}i:2391;a:1:{i:0;s:74:\"مبلغ استرداد مالیات نامعتبر برای محصول %s\";}i:2392;a:1:{i:0;s:35:\"نامعتبر تا به امروز\";}i:2393;a:1:{i:0;s:25:\"مقدار نامعتبر\";}i:2394;a:1:{i:0;s:29:\"فروشنده نامعتبر\";}i:2395;a:1:{i:0;s:40:\"فیلد vendor_id نامعتبر است\";}i:2396;a:1:{i:0;s:119:\"شناسه وب هوک نامعتبر ارائه شده است، لطفاً ورودی خود را بررسی کنید.\";}i:2397;a:1:{i:0;s:104:\"کد پستی نامعتبر است، لطفا تصحیح کنید و دوباره امتحان کنید\";}i:2398;a:1:{i:0;s:12:\"موجودی\";}i:2399;a:1:{i:0;s:32:\"فرمت شماره فاکتور\";}i:2400;a:1:{i:0;s:28:\"فاکتور پیدا نشد\";}i:2401;a:1:{i:0;s:39:\"آیا ماژول SPMV فعال است.\";}i:2402;a:1:{i:0;s:182:\"آیا این api از فرانت‌اند صدازده می‌شود؟ اگر پارامتر vendor_id تنظیم شده باشد، این پارامتر فایده ای ندارد.\";}i:2403;a:1:{i:0;s:48:\"آیا پرداخت برداشت فعال است\";}i:2404;a:1:{i:0;s:32:\"شیکل جدید اسرائیل\";}i:2405;a:1:{i:0;s:92:\"در هنگام تسویه حساب مجوز صادر کنید و بعداً ضبط کنید\";}i:2406;a:1:{i:0;s:283:\"<strong> به شدت توصیه می‌شود که این آدرس ایمیل را تغییر ندهید  <strong/> اگر اشتراک های فعال با PayPal داشته باشید. انجام این کار می تواند اشتراک های فعلی را از بین ببرد.\";}i:2407;a:1:{i:0;s:123:\"اطلاعات مشتری را از بخش \"جزئیات عمومی\" صفحه جزئیات سفارش مخفی می کند.\";}i:2408;a:1:{i:0;s:128:\"مبلغی که مدیر کمیسیون پیش فرض از هر فروش دریافت می کند را رونویسی میکند\";}i:2409;a:1:{i:0;s:18:\"ایتالیایی\";}i:2410;a:1:{i:0;s:8:\"مورد\";}i:2411;a:1:{i:0;s:54:\"مورد %s محصول قابل حمل نیست. رد.\";}i:2412;a:1:{i:0;s:19:\"تعداد مورد\";}i:2413;a:1:{i:0;s:19:\"شرایط آیتم\";}i:2414;a:1:{i:0;s:19:\"هزینه آیتم\";}i:2415;a:1:{i:0;s:19:\"تعداد آیتم\";}i:2416;a:1:{i:0;s:39:\"تعداد آیتم (همان کلاس)\";}i:2417;a:1:{i:0;s:41:\"ایندکس مورد موجود نیست\";}i:2418;a:1:{i:0;s:43:\"پارامتر مورد موجود نیست\";}i:2419;a:1:{i:0;s:30:\"موارد فروخته شده\";}i:2420;a:1:{i:0;s:26:\"مقدار کل موارد\";}i:2421;a:1:{i:0;s:89:\"آیتم‌ها باید آرایه‌ای از شناسه‌های گزارش باشند\";}i:2422;a:1:{i:0;s:120:\"مواردی که از طریق %1$s در%2$s با شماره پیگیری  %3$s ارسال شده است (ShipStation).\";}i:2423;a:1:{i:0;s:12:\"ژانویه\";}i:2424;a:1:{i:0;s:10:\"ژاپنی\";}i:2425;a:1:{i:0;s:13:\"ین ژاپن\";}i:2426;a:1:{i:0;s:10:\"ژولای\";}i:2427;a:1:{i:0;s:8:\"ژوئن\";}i:2428;a:1:{i:0;s:27:\"فقط تایپ کنید...\";}i:2429;a:1:{i:0;s:16:\"جاستیفای\";}i:2430;a:1:{i:0;s:75:\"KYC با موفقیت ارسال شد و درخواست اعتبار کرد\";}i:2431;a:1:{i:0;s:120:\"دکمه افزودن به سبد خرید را نگه دارید و یک دکمه مظنه جدید اضافه کنید\";}i:2432;a:1:{i:0;s:128:\"درخواست های ShipStation API را که توسط فروشندگان ارائه می‌شود را پیگیری کنید.\";}i:2433;a:1:{i:0;s:19:\"شناسه کلید\";}i:2434;a:1:{i:0;s:17:\"کلید سکرت\";}i:2435;a:1:{i:0;s:16:\"کلیدواژه\";}i:2436;a:1:{i:0;s:14:\"کیلومتر\";}i:2437;a:1:{i:0;s:5:\"L/W/H\";}i:2438;a:1:{i:0;s:3:\"LLP\";}i:2439;a:1:{i:0;s:10:\"برچسب\";}i:2440;a:1:{i:0;s:83:\"برچسب روش حمل و نقل که به کاربر ارائه خواهد شد.\";}i:2441;a:1:{i:0;s:12:\"برچسب: \";}i:2442;a:1:{i:0;s:295:\"زبانی برای نمایش مودال پرداخت استریپ . خودکار را مشخص کنید تا در صورت موجود بودن ، پرداخت را به زبان ترجیحی کاربر نمایش دهد. انگلیسی به طور پیش فرض استفاده خواهد شد.\";}i:2443;a:1:{i:0;s:15:\"بزرگ (56px)\";}i:2444;a:1:{i:0;s:15:\"7 روز قبل\";}i:2445;a:1:{i:0;s:25:\"آخرین تغییرات\";}i:2446;a:1:{i:0;s:23:\"نام خانوادگی\";}i:2447;a:1:{i:0;s:52:\"نام خانوادگی باید ضروری باشد\";}i:2448;a:1:{i:0;s:30:\"آخرین بروز رسانی\";}i:2449;a:1:{i:0;s:31:\"آخرین بروزرسانی :\";}i:2450;a:1:{i:0;s:17:\"ماه گذشته\";}i:2451;a:1:{i:0;s:44:\"نام خانوادگی برای کاربر.\";}i:2452;a:1:{i:0;s:19:\"هفته گذشته\";}i:2453;a:1:{i:0;s:25:\"آخرین اطلاعیه\";}i:2454;a:1:{i:0;s:25:\"آخرین محصولات\";}i:2455;a:1:{i:0;s:42:\"عنوان جدیدترین محصولات\";}i:2456;a:1:{i:0;s:42:\"آخرین بروزرسانی ها از %s\";}i:2457;a:1:{i:0;s:25:\"اطلاعات بیشتر\";}i:2458;a:1:{i:0;s:24:\"ارسال یک پاسخ\";}i:2459;a:1:{i:0;s:100:\"برای نامحدود بودن دانلود مجدد این کادر را خالی بگذارید.\";}i:2460;a:1:{i:0;s:4:\"چپ\";}i:2461;a:1:{i:0;s:13:\"منوی چپ\";}i:2462;a:1:{i:0;s:6:\"طول\";}i:2463;a:1:{i:0;s:11:\"طول (%s)\";}i:2464;a:1:{i:0;s:15:\"طول مدت: \";}i:2465;a:1:{i:0;s:19:\"مقدار طول: \";}i:2466;a:1:{i:0;s:8:\"طول: \";}i:2467;a:1:{i:0;s:13:\"کمتر از\";}i:2468;a:1:{i:0;s:230:\"به مشتریان خود اجازه دهید با ماژول چت زنده در زمان واقعی با فروشندگان ارتباط برقرار کنند. بیشتر از هر زمان دیگری مشتری جذب کنید.\";}i:2469;a:1:{i:0;s:112:\"به مشتری اجازه دهید تاریخ و زمان تحویل سفارش خود را انتخاب کند\";}i:2470;a:1:{i:0;s:105:\"به مشتریان اجازه دهید محصولات تقلبی یا جعلی را گزارش دهند.\";}i:2471;a:1:{i:0;s:209:\"زمانی که یک فروشگاه فروشنده باز است یا فروشنده در تعطیلات است با ماژول تعطیلات فروشندگان به مشتریان خود اطلاع دهید.\";}i:2472;a:1:{i:0;s:171:\"به مشتریان خود اجازه دهید بدون خروج از فروشگاه شما با کارت های اعتباری و نقدی اصلی پرداخت کنند.\";}i:2473;a:1:{i:0;s:185:\"به کاربران اجازه دهید تاریخ شروع و پایان را روی تقویم انتخاب کنند. مدت به صورت اتوماتیک محاسبه می‌شود.\";}i:2474;a:1:{i:0;s:93:\"به شما امکان می دهد برای حمل و نقل هزینه ای بپردازید\";}i:2475;a:1:{i:0;s:9:\"سطح %d\";}i:2476;a:1:{i:0;s:8:\"سطح 1\";}i:2477;a:1:{i:0;s:8:\"سطح 2\";}i:2478;a:1:{i:0;s:42:\"آیکن ورودی فیلد شرط سطح\";}i:2479;a:1:{i:0;s:28:\"مقدار شرایط سطح\";}i:2480;a:1:{i:0;s:59:\"آیکن ورودی فیلد ورود اطلاعات سطح\";}i:2481;a:1:{i:0;s:10:\"سطح: %d\";}i:2482;a:1:{i:0;s:17:\"سطح %d از %d\";}i:2483;a:1:{i:0;s:12:\"لایسنس\";}i:2484;a:1:{i:0;s:66:\"لایسنس منقضی شد! نیاز به تمدید دارید.\";}i:2485;a:1:{i:0;s:21:\"مادام العمر\";}i:2486;a:1:{i:0;s:47:\"دارای گارانتی مادام العمر\";}i:2487;a:1:{i:0;s:31:\"بسته مادام العمر.\";}i:2488;a:1:{i:0;s:8:\"روشن\";}i:2489;a:1:{i:0;s:26:\"روشن-خط بیرونی\";}i:2490;a:1:{i:0;s:23:\"کدپستی محدود\";}i:2491;a:1:{i:0;s:36:\"محدودیت طول کاراکتر\";}i:2492;a:1:{i:0;s:36:\"محدودیت محدوده قیمت\";}i:2493;a:1:{i:0;s:38:\"محدودیت محدوده تعداد\";}i:2494;a:1:{i:0;s:89:\"نتیجه محدود برای منابع با یک کد خاص تنظیم شده است.\";}i:2495;a:1:{i:0;s:51:\"کدپستی خاص خود را محدود کنید\";}i:2496;a:1:{i:0;s:10:\"محدود\";}i:2497;a:1:{i:0;s:13:\"آیتم خط\";}i:2498;a:1:{i:0;s:85:\"مقدار تعداد برای مورد %2$s نباید از %1$d بیشتر باشد\";}i:2499;a:1:{i:0;s:88:\"مجموع خط سفارش نباید از %1$s برای مورد %1$s تجاوز کند\";}i:2500;a:1:{i:0;s:8:\"لینک\";}i:2501;a:1:{i:0;s:13:\"لینک به\";}i:2502;a:1:{i:0;s:43:\"پیوند دادن تمام تغییرات\";}i:2503;a:1:{i:0;s:25:\"محصولات مرتبط\";}i:2504;a:1:{i:0;s:16:\"لینکداین\";}i:2505;a:1:{i:0;s:48:\"تنظیمات اپلیکیشن لینکداین\";}i:2506;a:1:{i:0;s:25:\"لیست ویژگی ها.\";}i:2507;a:1:{i:0;s:81:\"لیست شناسه های دسته بندی برای اعمال کد تخفیف.\";}i:2508;a:1:{i:0;s:103:\"لیست شناسه های دسته بندی که کد تخفیف به آن اعمال نمی‌شود.\";}i:2509;a:1:{i:0;s:47:\"لیست فایل های قابل دانلود.\";}i:2510;a:1:{i:0;s:111:\"لیست آدرس های ایمیل که می توانند از این کد تخفیف استفاده کنند.\";}i:2511;a:1:{i:0;s:110:\"لیست شناسه های محصول که کد تخفیف را می توان در آن استفاده کرد.\";}i:2512;a:1:{i:0;s:112:\"لیست شناسه های محصول که کد تخفیف را نمی توان در آن استفاده کرد.\";}i:2513;a:1:{i:0;s:39:\"لیست منابع به روز شده.\";}i:2514;a:1:{i:0;s:133:\"لیست شناسه های کاربری (یا ایمیل های مهمان) که از کد تخفیف استفاده کرده اند.\";}i:2515;a:1:{i:0;s:8:\"زنده\";}i:2516;a:1:{i:0;s:13:\"چت زنده\";}i:2517;a:1:{i:0;s:50:\"چت زنده بین فروشنده و مشتری.\";}i:2518;a:1:{i:0;s:28:\"تنظیمات چت زنده\";}i:2519;a:1:{i:0;s:21:\"جستجوی زنده\";}i:2520;a:1:{i:0;s:34:\"تنظیمات جستجو زنده\";}i:2521;a:1:{i:0;s:36:\"تنظیمات جستجوی زنده\";}i:2522;a:1:{i:0;s:36:\"اعتبارنامه های زنده\";}i:2523;a:1:{i:0;s:72:\"جستجوی محصول زنده برای فروشگاه ووکامرس.\";}i:2524;a:1:{i:0;s:16:\"بارگذاری\";}i:2525;a:1:{i:0;s:74:\"بارگیری داده های تبلیغات. لطفا صبر کنید...\";}i:2526;a:1:{i:0;s:17:\"وانت محلی\";}i:2527;a:1:{i:0;s:12:\"موقعیت\";}i:2528;a:1:{i:0;s:30:\"موقعیت نقشه مکان\";}i:2529;a:1:{i:0;s:15:\"نام مکان\";}i:2530;a:1:{i:0;s:142:\"مکانی که محصولات از آنجا برای تحویل حمل و نقل میشوند. معمولا مشابه فروشگاه است.\";}i:2531;a:1:{i:0;s:15:\"نام مکان\";}i:2532;a:1:{i:0;s:8:\"ورود\";}i:2533;a:1:{i:0;s:53:\"درخواست ShipStation API را وارد کنید\";}i:2534;a:1:{i:0;s:63:\"تمام تعاملات API ShipStation را وارد کنید.\";}i:2535;a:1:{i:0;s:390:\"رویدادهای درگاه مانند درخواست‌های وبهوک، عملیات پرداخت و غیره را در %s ثبت کنید. توجه: این ممکن است اطلاعات شخصی را ثبت کند. توصیه می کنیم از این فقط برای اهداف اشکال زدایی استفاده کنید و پس از اتمام لاگ ها را حذف کنید.\";}i:2536;a:1:{i:0;s:15:\"وارد شده\";}i:2537;a:1:{i:0;s:8:\"ورود\";}i:2538;a:1:{i:0;s:23:\"اطلاعیه ورود\";}i:2539;a:1:{i:0;s:36:\"نام ورود برای کاربر.\";}i:2540;a:1:{i:0;s:8:\"خروج\";}i:2541;a:1:{i:0;s:19:\"متن طولانی\";}i:2542;a:1:{i:0;s:30:\"آستانه موجودی کم\";}i:2543;a:1:{i:0;s:115:\"کارمزدهای MANGOPAY Payin با اعلام شده برای شناسه منبع: %1$s مطابقت ندارد\";}i:2544;a:1:{i:0;s:3:\"MPN\";}i:2545;a:1:{i:0;s:28:\"حفظ موجودی رزرو\";}i:2546;a:1:{i:0;s:28:\"حفظ موجودی رزرو\";}i:2547;a:1:{i:0;s:13:\"فعال کن\";}i:2548;a:1:{i:0;s:89:\"وضعیت حراج را برای فروشنده جدید ثبت شده فعال کنید\";}i:2549;a:1:{i:0;s:98:\"انتخاب تاریخ و زمان تحویل را برای مشتریان اجباری کنید.\";}i:2550;a:1:{i:0;s:43:\"این فروشنده را تأیید کن.\";}i:2551;a:1:{i:0;s:23:\"رینگیت مالزی\";}i:2552;a:1:{i:0;s:12:\"مدیریت\";}i:2553;a:1:{i:0;s:54:\"مدیریت تبلیغات برای این محصول\";}i:2554;a:1:{i:0;s:26:\"مدیریت رزرو ها\";}i:2555;a:1:{i:0;s:26:\"مدیریت مجوز ها\";}i:2556;a:1:{i:0;s:38:\"مدیریت تبلیغات محصول\";}i:2557;a:1:{i:0;s:23:\"مدیریت منابع\";}i:2558;a:1:{i:0;s:43:\"مدیریت بازگشت و گارانتی\";}i:2559;a:1:{i:0;s:53:\"مدیریت سئوی محصولات با رنک مث\";}i:2560;a:1:{i:0;s:46:\"مدیریت سئو برای این محصول\";}i:2561;a:1:{i:0;s:40:\"مدیریت وضعیت حمل و نقل\";}i:2562;a:1:{i:0;s:25:\"مدیریت موجودی\";}i:2563;a:1:{i:0;s:27:\"مدیریت موجودی؟\";}i:2564;a:1:{i:0;s:41:\"مدیریت پلن‌های اشتراک\";}i:2565;a:1:{i:0;s:66:\"مدیریت فیلدهای اضافی برای این محصول.\";}i:2566;a:1:{i:0;s:28:\"مدیریت ویژگی ها\";}i:2567;a:1:{i:0;s:87:\"مدیریت ویژگی‌ها و تغییرات برای این محصول متغیر.\";}i:2568;a:1:{i:0;s:55:\"مدیریت ویژگی ها برای این حراجی\";}i:2569;a:1:{i:0;s:67:\"مدیریت ویژگی‌ها برای این محصول ساده.\";}i:2570;a:1:{i:0;s:32:\"مدیریت تقویم رزرو\";}i:2571;a:1:{i:0;s:45:\"مدیریت محصولات قابل رزرو\";}i:2572;a:1:{i:0;s:36:\"مدیریت منابع رزروها\";}i:2573;a:1:{i:0;s:25:\"مدیریت رزروها\";}i:2574;a:1:{i:0;s:119:\"فیلدهای انطباق اضافی اتحادیه اروپا را برای این محصول مدیریت کنید.\";}i:2575;a:1:{i:0;s:64:\"مدیریت موجودی برای این کالا. موجودی\";}i:2576;a:1:{i:0;s:95:\"گزینه های حداقل/حداکثر برای این محصول را مدیریت کنید\";}i:2577;a:1:{i:0;s:75:\"مدیریت بازگشت و گارانتی از پایان فروشنده.\";}i:2578;a:1:{i:0;s:63:\"مدیریت حمل و نقل و مالیات این محصول\";}i:2579;a:1:{i:0;s:27:\"مدیریت موجودی؟\";}i:2580;a:1:{i:0;s:38:\"مدیریت تیکت پشتیبانی\";}i:2581;a:1:{i:0;s:52:\"مدیریت مالیات برای این محصول\";}i:2582;a:1:{i:0;s:51:\"مدیریت پرداخت و پرداخت وجوه.\";}i:2583;a:1:{i:0;s:69:\"داده های محصول حراج خود را مدیریت کنید\";}i:2584;a:1:{i:0;s:15:\"مانگو پی\";}i:2585;a:1:{i:0;s:151:\"شناسه منبع MangoPay Payin: %1$s مرجع شناسه سفارش ووکامرس: %2$s که توسط سیم بانک پرداخت نشده است\";}i:2586;a:1:{i:0;s:133:\"شناسه منبع MangoPay Payin: %1$s به اشتباه در شناسه سفارش ووکامرس ارجاع داده است: %2$s\";}i:2587;a:1:{i:0;s:118:\"وجوه بدهکار MangoPay Payin با اعلام شده برای شناسه منبع: %1$s مطابقت ندارد\";}i:2588;a:1:{i:0;s:144:\"MangoPay Payin برای شناسه منبع موفق نشد: %1$s مربوط به شناسه سفارش ووکامرس: %2$s با پاسخ: %3$s\";}i:2589;a:1:{i:0;s:65:\"MangoPay Payin برای شناسه منبع: %1$s یافت نشد\";}i:2590;a:1:{i:0;s:136:\"MangoPay Payin با وبهوک %1$s دارای مرجع شناسه سفارش ووکامرس برای شناسه منبع نیست: %2$s\";}i:2591;a:1:{i:0;s:23:\"سندباکس Mangopay\";}i:2592;a:1:{i:0;s:30:\"تنظیمات مانگو پی\";}i:2593;a:1:{i:0;s:610:\"MangoPay هزینه های پلت‌فرم را از صاحب فروشگاه دریافت می کند. این بدان معناست که تمام هزینه‌های پلتفرم از کمیسیون شما جمع آوری می‌شود. اگر به اطلاعاتی درباره مبلغی که به عنوان کارمزد پلتفرم دریافت می‌شود نیاز دارید، لطفاً %1$s را اینجا ببینید. همچنین، اگر می‌خواهید بدانید هزینه‌های پلتفرم چگونه جمع‌آوری می‌شود، لطفاً %2$s آنها را بخوانید.\";}i:2594;a:1:{i:0;s:102:\"سندباکس MangoPay می تواند برای آزمایش پرداخت ها استفاده شود.\";}i:2595;a:1:{i:0;s:99:\"وب هوک Mangopay Payin نتوانست پرداخت سفارش را تکمیل کند:%1$s. %2$s\";}i:2596;a:1:{i:0;s:8:\"دستی\";}i:2597;a:1:{i:0;s:21:\"پردازش دستی\";}i:2598;a:1:{i:0;s:21:\"برداشت دستی\";}i:2599;a:1:{i:0;s:102:\"رزرو دستی نمی تواند ایجاد شود زیرا ادان جهانی RMA فعال است\";}i:2600;a:1:{i:0;s:54:\"اشتراک دستی فروشنده توسط مدیر\";}i:2601;a:1:{i:0;s:8:\"نقشه\";}i:2602;a:1:{i:0;s:34:\"سطح بزرگنمایی نقشه\";}i:2603;a:1:{i:0;s:21:\"موقعیت نقشه\";}i:2604;a:1:{i:0;s:8:\"مارس\";}i:2605;a:1:{i:0;s:18:\"فاصله(Margin)\";}i:2606;a:1:{i:0;s:77:\"علامت گذاری محصول تبلیغ شده به عنوان ویژه؟\";}i:2607;a:1:{i:0;s:29:\"نشانگذاری تایید\";}i:2608;a:1:{i:0;s:34:\"نشانگذاری غیر اسپم\";}i:2609;a:1:{i:0;s:36:\"نشانگذاری در انتظار\";}i:2610;a:1:{i:0;s:27:\"نشانگذاری اسپم\";}i:2611;a:1:{i:0;s:36:\"نشانگذاری سطل زباله\";}i:2612;a:1:{i:0;s:41:\"کدهای تخفیف مارکت پلیس\";}i:2613;a:1:{i:0;s:30:\"لوگوی مارکت پلیس\";}i:2614;a:1:{i:0;s:12:\"حداکثر\";}i:2615;a:1:{i:0;s:83:\"حداکثر تصویر که فروشنده می تواند بارگذاری کند\";}i:2616;a:1:{i:0;s:23:\"حداکثر مقدار\";}i:2617;a:1:{i:0;s:40:\"حداکثر رزرو در هر بلوک\";}i:2618;a:1:{i:0;s:135:\"حداکثر تعداد موارد موجود در سبد خرید که کد تخفیف را می توان به آن اعمال کرد.\";}i:2619;a:1:{i:0;s:23:\"حداکثر افراد\";}i:2620;a:1:{i:0;s:21:\"حداكثر قيمت\";}i:2621;a:1:{i:0;s:23:\"حداکثر مقدار\";}i:2622;a:1:{i:0;s:23:\"حداکثر مقدار\";}i:2623;a:1:{i:0;s:43:\"حداکثر مقدار برای سفارش\";}i:2624;a:1:{i:0;s:50:\"حداکثر هزینه به ازای [item_label]\";}i:2625;a:1:{i:0;s:23:\"حداکثر تصویر\";}i:2626;a:1:{i:0;s:23:\"حداکثر تعداد\";}i:2627;a:1:{i:0;s:43:\"حداکثر تعداد برای سفارش\";}i:2628;a:1:{i:0;s:40:\"حداکثر هزینه حمل و نقل\";}i:2629;a:1:{i:0;s:43:\"حداکثر مقدار مجاز %f است.\";}i:2630;a:1:{i:0;s:43:\"حداکثر مقدار برای سفارش\";}i:2631;a:1:{i:0;s:50:\"حداکثر مقدار برای ثبت سفارش\";}i:2632;a:1:{i:0;s:25:\"حداکثر مقدار: \";}i:2633;a:1:{i:0;s:50:\"حداکثر پنجره رزرو (به آینده)\";}i:2634;a:1:{i:0;s:139:\"حداکثر مقدار شرط، برای بدون محدودیت بودن خالی بگذارید. زمان سفر بر حسب دقیقه.\";}i:2635;a:1:{i:0;s:19:\"حداکثر مدت\";}i:2636;a:1:{i:0;s:112:\"حداکثر تعداد آیتمهایی که باید در مجموعه نتیجه برگردانده شوند.\";}i:2637;a:1:{i:0;s:63:\"حداکثر تعداد شب های مجاز در یک رزرو\";}i:2638;a:1:{i:0;s:34:\"حداکثر تعداد صفحات\";}i:2639;a:1:{i:0;s:96:\"مقدار مجاز حداکثر سفارش در هنگام استفاده از کد تخفیف.\";}i:2640;a:1:{i:0;s:91:\"حداکثر سفارش ها در هر اسلات. 0 برای سفارشات نامحدود\";}i:2641;a:1:{i:0;s:61:\"حداکثر تعداد محصول برای ثبت سفارش\";}i:2642;a:1:{i:0;s:70:\"حداکثر تعداد برای %1$s برای سفارش %2$s است.\";}i:2643;a:1:{i:0;s:43:\"حداکثر تعداد برای سفارش\";}i:2644;a:1:{i:0;s:25:\"حداکثر تعداد: \";}i:2645;a:1:{i:0;s:29:\"حداکثر اندازه: %s\";}i:2646;a:1:{i:0;s:4:\"می\";}i:2647;a:1:{i:0;s:10:\"متوسط\";}i:2648;a:1:{i:0;s:17:\"متوسط (48px)\";}i:2649;a:1:{i:0;s:19:\"مدیریت منو\";}i:2650;a:1:{i:0;s:34:\"تنظیمات مدیریت منو\";}i:2651;a:1:{i:0;s:100:\"ترتیب منو،برای مرتب سازی سفارشی محصولات استفاده میشود.\";}i:2652;a:1:{i:0;s:17:\"مرچنت کد: \";}i:2653;a:1:{i:0;s:8:\"پیام\";}i:2654;a:1:{i:0;s:11:\"پیغام:\";}i:2655;a:1:{i:0;s:45:\"پیام نمی تواند خالی باشد!\";}i:2656;a:1:{i:0;s:24:\"پیام خالی است\";}i:2657;a:1:{i:0;s:42:\"پیام با موفقیت ارسال شد\";}i:2658;a:1:{i:0;s:10:\"مسنجر\";}i:2659;a:1:{i:0;s:17:\"رنگ مسنجر\";}i:2660;a:1:{i:0;s:23:\"توضیحات متا :\";}i:2661;a:1:{i:0;s:18:\"شناسه متا.\";}i:2662;a:1:{i:0;s:30:\"کلمات کلیدی متا :\";}i:2663;a:1:{i:0;s:16:\"داده متا.\";}i:2664;a:1:{i:0;s:21:\"توضیحات متا\";}i:2665;a:1:{i:0;s:16:\"کلید متا.\";}i:2666;a:1:{i:0;s:18:\"مقدار متا.\";}i:2667;a:1:{i:0;s:17:\"عنوان روش\";}i:2668;a:1:{i:0;s:65:\"فعال یا غیرفعال کردن روش کار نمی کند\";}i:2669;a:1:{i:0;s:49:\"نام روش نمی تواند خالی باشد\";}i:2670;a:1:{i:0;s:25:\"روش فعال نیست.\";}i:2671;a:1:{i:0;s:17:\"عنوان روش\";}i:2672;a:1:{i:0;s:49:\"نوع روش نمی تواند خالی باشد\";}i:2673;a:1:{i:0;s:10:\"متریک\";}i:2674;a:1:{i:0;s:17:\"پزو مکزیک\";}i:2675;a:1:{i:0;s:8:\"مایل\";}i:2676;a:1:{i:0;s:10:\"حداقل\";}i:2677;a:1:{i:0;s:37:\"حداقل و حداکثر تعداد\";}i:2678;a:1:{i:0;s:47:\"حداقل حداکثر تعداد / مقدار\";}i:2679;a:1:{i:0;s:21:\"حداقل مقدار\";}i:2680;a:1:{i:0;s:21:\"حداقل افراد\";}i:2681;a:1:{i:0;s:19:\"حداقل قیمت\";}i:2682;a:1:{i:0;s:21:\"حداقل مقدار\";}i:2683;a:1:{i:0;s:29:\"حداقل&ndash;حداکثر\";}i:2684;a:1:{i:0;s:41:\"گزینه های حداقل/حداکثر\";}i:2685;a:1:{i:0;s:15:\"حداقل سن\";}i:2686;a:1:{i:0;s:21:\"حداقل مقدار\";}i:2687;a:1:{i:0;s:41:\"حداقل مقدار برای سفارش\";}i:2688;a:1:{i:0;s:48:\"حداقل هزینه به ازای [item_label]\";}i:2689;a:1:{i:0;s:32:\"حداقل مقدار سفارش\";}i:2690;a:1:{i:0;s:62:\"حداقل مبلغ سفارش برای اعمال تخفیف.\";}i:2691;a:1:{i:0;s:21:\"حداقل تعداد\";}i:2692;a:1:{i:0;s:41:\"حداقل تعداد برای سفارش\";}i:2693;a:1:{i:0;s:21:\"حداقل تعداد\";}i:2694;a:1:{i:0;s:51:\"حداقل تعداد برای عمده فروشی \";}i:2695;a:1:{i:0;s:43:\"حداقل تعداد عمده فروشی: \";}i:2696;a:1:{i:0;s:28:\"لیست حداقل مبلغ\";}i:2697;a:1:{i:0;s:37:\"حداقل مبلغ مورد نیاز\";}i:2698;a:1:{i:0;s:46:\"حداقل مبلغ انتخاب شده است\";}i:2699;a:1:{i:0;s:41:\"حداقل مقدار برای سفارش\";}i:2700;a:1:{i:0;s:48:\"حداقل مقدار برای ثبت سفارش\";}i:2701;a:1:{i:0;s:23:\"حداقل مقدار: \";}i:2702;a:1:{i:0;s:48:\"حداقل پنجره رزرو (به آینده)\";}i:2703;a:1:{i:0;s:137:\"حداقل مقدار شرط، برای بدون محدودیت بودن خالی بگذارید. زمان سفر بر حسب دقیقه.\";}i:2704;a:1:{i:0;s:17:\"حداقل مدت\";}i:2705;a:1:{i:0;s:61:\"حداقل تعداد شب های مجاز در یک رزرو\";}i:2706;a:1:{i:0;s:52:\"حداقل مبلغ برای ارسال رایگان\";}i:2707;a:1:{i:0;s:115:\"مقدار حداقل سفارش مورد نیاز در سبد خرید قبل از استفاده کد تخفیف.\";}i:2708;a:1:{i:0;s:33:\"حداقل سفارش 0.50 است\";}i:2709;a:1:{i:0;s:59:\"حداقل تعداد محصول برای ثبت سفارش\";}i:2710;a:1:{i:0;s:21:\"حداقل تعداد\";}i:2711;a:1:{i:0;s:68:\"حداقل مقدار برای %1$s برای سفارش %2$s است.\";}i:2712;a:1:{i:0;s:41:\"حداقل تعداد برای سفارش\";}i:2713;a:1:{i:0;s:23:\"حداقل تعداد: \";}i:2714;a:1:{i:0;s:10:\"دقیقه\";}i:2715;a:1:{i:0;s:10:\"دقیقه\";}i:2716;a:1:{i:0;s:10:\"دقیقه\";}i:2717;a:1:{i:0;s:41:\"زمان‌بندی ازدست‌رفته\";}i:2718;a:1:{i:0;s:46:\"ورودی ShipNotify XML وجود ندارد.\";}i:2719;a:1:{i:0;s:94:\"برنامه افزودنی SimpleXML برای تجزیه ShipStation XML وجود ندارد.\";}i:2720;a:1:{i:0;s:14:\"UBO گمشده\";}i:2721;a:1:{i:0;s:20:\"داده گمشده.\";}i:2722;a:1:{i:0;s:74:\"شناسه سفارش برای تأیید پرداخت موجود نیست\";}i:2723;a:1:{i:0;s:45:\"شناسه پارامتر موجود نیست\";}i:2724;a:1:{i:0;s:38:\"پارامتر موجود نیست: %s\";}i:2725;a:1:{i:0;s:57:\"پارامتر شناسه محصول موجود نیست.\";}i:2726;a:1:{i:0;s:44:\"پارامتر دلیل وجود ندارد.\";}i:2727;a:1:{i:0;s:49:\"پارامتر ضروری وجود ندارد: %s\";}i:2728;a:1:{i:0;s:94:\"با کلیک بر روی<a href=\"%s\"> اینجا </a>، محصول را متعادل کنید\";}i:2729;a:1:{i:0;s:15:\"ماژول ها\";}i:2730;a:1:{i:0;s:12:\"دوشنبه\";}i:2731;a:1:{i:0;s:19:\"مشاهده ماه\";}i:2732;a:1:{i:0;s:6:\"ماه\";}i:2733;a:1:{i:0;s:12:\"ماهانه\";}i:2734;a:1:{i:0;s:29:\"زمانبندی ماهانه\";}i:2735;a:1:{i:0;s:6:\"ماه\";}i:2736;a:1:{i:0;s:15:\"بیشتر از\";}i:2737;a:1:{i:0;s:27:\"بیشترین نظردهی\";}i:2738;a:1:{i:0;s:38:\"انتقال به زباله‌ دان\";}i:2739;a:1:{i:0;s:37:\"انتقال به زباله‌دان\";}i:2740;a:1:{i:0;s:15:\"چند قسمت\";}i:2741;a:1:{i:0;s:14:\"چندگانه\";}i:2742;a:1:{i:0;s:27:\"انتخاب چندگانه\";}i:2743;a:1:{i:0;s:27:\"انتخاب چندگانه\";}i:2744;a:1:{i:0;s:27:\"موقعیت چندگانه\";}i:2745;a:1:{i:0;s:72:\"تمام هزینه ها را در تعداد افراد ضرب کنید\";}i:2746;a:1:{i:0;s:22:\"نشان‌های من\";}i:2747;a:1:{i:0;s:26:\"کدهای تخفیف من\";}i:2748;a:1:{i:0;s:22:\"سفارش های من\";}i:2749;a:1:{i:0;s:6:\"هیچ\";}i:2750;a:1:{i:0;s:3:\"NGO\";}i:2751;a:1:{i:0;s:17:\"ارسال نشد\";}i:2752;a:1:{i:0;s:6:\"نام\";}i:2753;a:1:{i:0;s:15:\"نام بانک\";}i:2754;a:1:{i:0;s:17:\"نام قانون\";}i:2755;a:1:{i:0;s:39:\"نام دسته بندی فروشگاه\";}i:2756;a:1:{i:0;s:22:\"نام روی کارت\";}i:2757;a:1:{i:0;s:8:\"نام :\";}i:2758;a:1:{i:0;s:29:\"نام: %1$s %2$s, مهمان\";}i:2759;a:1:{i:0;s:44:\"نام: %1$s %2$s, نام کاربری: %3$s\";}i:2760;a:1:{i:0;s:24:\"نام: %1$s, مهمان\";}i:2761;a:1:{i:0;s:39:\"نام: %1$s, نام کاربری: %2$s\";}i:2762;a:1:{i:0;s:17:\"شماره ملی\";}i:2763;a:1:{i:0;s:8:\"ملیت\";}i:2764;a:1:{i:0;s:33:\"نیاز به کمک دارید؟\";}i:2765;a:1:{i:0;s:44:\"نیاز به تایید برای مشتری\";}i:2766;a:1:{i:0;s:70:\"در صورت فروش بر اساس واحد مورد نیاز است\";}i:2767;a:1:{i:0;s:28:\"مقدار خالص فروش\";}i:2768;a:1:{i:0;s:31:\"فروش خالص این ماه\";}i:2769;a:1:{i:0;s:33:\"فروش خالص این دوره\";}i:2770;a:1:{i:0;s:8:\"هرگز\";}i:2771;a:1:{i:0;s:8:\"جدید\";}i:2772;a:1:{i:0;s:23:\"اطلاعیه جدید\";}i:2773;a:1:{i:0;s:33:\"اطلاعیه جدید - {title}\";}i:2774;a:1:{i:0;s:40:\"کد تخفیف جدید ایجاد شد\";}i:2775;a:1:{i:0;s:23:\"محصولات جدید\";}i:2776;a:1:{i:0;s:17:\"مظنه جدید\";}i:2777;a:1:{i:0;s:30:\"قوانین مظنه جدید\";}i:2778;a:1:{i:0;s:49:\"درخواست وجه جدید از {seller_name}\";}i:2779;a:1:{i:0;s:50:\"درخواست مظنه جدید : #{quote_number}\";}i:2780;a:1:{i:0;s:17:\"منبع جدید\";}i:2781;a:1:{i:0;s:30:\"دلار جدید تایوان\";}i:2782;a:1:{i:0;s:19:\"موضوع جدید\";}i:2783;a:1:{i:0;s:23:\"کاربران جدید\";}i:2784;a:1:{i:0;s:25:\"دلار نیوزیلند\";}i:2785;a:1:{i:0;s:286:\"هنگامی که رزرو جدید ایجاد و پرداخت می‌شود، ایمیل های جدید رزرو به مدیر ارسال می‌شود. این ایمیل زمانی دریافت می‌شود که یک رزرو در انتظار تائید ایجاد شده باشد.\";}i:2786;a:1:{i:0;s:286:\"هنگامی که رزرو جدید ایجاد و پرداخت می‌شود، ایمیل های جدید رزرو به مدیر ارسال می‌شود. این ایمیل زمانی دریافت می‌شود که یک رزرو در انتظار تائید ایجاد شده باشد.\";}i:2787;a:1:{i:0;s:30:\"سفارش مشتری جدید\";}i:2788;a:1:{i:0;s:178:\"هنگامی که یک بررسی فروشگاه جدید ارسال می‌شود، ایمیل های جدید برای گیرنده(های) منتخب ارسال می‌شود.\";}i:2789;a:1:{i:0;s:121:\"با ثبت نام عمده فروشی جدید ، ایمیل های جدید برای مدیر ارسال می‌شود.\";}i:2790;a:1:{i:0;s:142:\"با دریافت سفارش جدید ، ایمیل های سفارش جدید به گیرنده (های) منتخب ارسال می‌شود.\";}i:2791;a:1:{i:0;s:145:\"هنگام ایجاد یک مظنه جدید، ایمیل های مظنه جدید به گیرنده(های) منتخب ارسال می‌شود.\";}i:2792;a:1:{i:0;s:156:\"ایمیل های مظنه جدید به گیرنده(های) منتخب زمانی که یک مظنه به روز می‌شود، ارسال می‌شود.\";}i:2793;a:1:{i:0;s:61:\"درخواست عودت وجه جدید برای سفارش #\";}i:2794;a:1:{i:0;s:81:\"درخواست مظنه جدید #{quote_number} در {site_title} - {quote_date}\";}i:2795;a:1:{i:0;s:15:\"نظر جدید\";}i:2796;a:1:{i:0;s:38:\"بررسی جدید در #{store_name}\";}i:2797;a:1:{i:0;s:60:\"محموله جدید به سفارش شما ایجاد شد\";}i:2798;a:1:{i:0;s:162:\"ایمیل‌های تیکت پشتیبانی جدید به گیرنده (های) منتخب هنگام دریافت تیکت جدید ارسال می‌شوند.\";}i:2799;a:1:{i:0;s:182:\"ایمیل ‌های تیکت پشتیبانی جدید به گیرنده(های) منتخب هنگام دریافت پاسخ به تیکت فروشگاه ارسال می‌شوند.\";}i:2800;a:1:{i:0;s:178:\"ایمیل‌های تیکت پشتیبانی جدید به گیرنده (های) منتخب هنگام دریافت پاسخ به تیکت کاربر ارسال می‌شوند.\";}i:2801;a:1:{i:0;s:137:\"ایمیل های تیکت پشتیبانی جدید با دریافت تیکت جدید به مدیر سایت ارسال می‌شود.\";}i:2802;a:1:{i:0;s:43:\"حراجی فعال فروشنده جدید\";}i:2803;a:1:{i:0;s:39:\"مشتری عمده فروشی جدید\";}i:2804;a:1:{i:0;s:8:\"بعدی\";}i:2805;a:1:{i:0;s:16:\"بعدی &raquo;\";}i:2806;a:1:{i:0;s:21:\"پرداخت بعدی\";}i:2807;a:1:{i:0;s:79:\"شماره فاکتور بعدی (بدون پیشوند/پسوند و غیره)\";}i:2808;a:1:{i:0;s:25:\"زمانبندی بعدی\";}i:2809;a:1:{i:0;s:6:\"خیر\";}i:2810;a:1:{i:0;s:42:\"هیچ اطلاعیه ای یافت نشد\";}i:2811;a:1:{i:0;s:42:\"هیچ اطلاعیه ای یافت نشد\";}i:2812;a:1:{i:0;s:65:\"هیچ اطلاعیه ای در سطل آشغال یافت نشد\";}i:2813;a:1:{i:0;s:54:\"هیچ فعالیت مزایده ای یافت نشد!\";}i:2814;a:1:{i:0;s:33:\"هیچ رزروی پیدا نشد\";}i:2815;a:1:{i:0;s:30:\"بدون تاریخ پایان\";}i:2816;a:1:{i:0;s:26:\"آیتمی یافت نشد\";}i:2817;a:1:{i:0;s:147:\"کیف پول MangoPay پیدا نشد. لطفاً بررسی کنید که تمام فیلدهای مورد نیاز تکمیل شده باشند.\";}i:2818;a:1:{i:0;s:41:\"هیچ حساب Mangopay پیدا نشد!\";}i:2819;a:1:{i:0;s:76:\"هیچ کاربر Mangopay برای ایجاد کیف پول پیدا نشد\";}i:2820;a:1:{i:0;s:80:\"کاربر Mangopay پیدا نشد. لطفا ابتدا ثبت نام کنید.\";}i:2821;a:1:{i:0;s:37:\"هیچ اعلانی یافت نشد; \";}i:2822;a:1:{i:0;s:58:\"هیچ شناسه سفارشی ارائه نشده است.\";}i:2823;a:1:{i:0;s:57:\"هیچ شناسه سفارش پی پال پیدا نشد.\";}i:2824;a:1:{i:0;s:57:\"هیچ محصولی اختصاص داده نشده است\";}i:2825;a:1:{i:0;s:46:\"هنوز امتیازی ثبت نشده است\";}i:2826;a:1:{i:0;s:26:\"منبعی یافت نشد\";}i:2827;a:1:{i:0;s:39:\"هیچ نتیجه ای یافت نشد!\";}i:2828;a:1:{i:0;s:31:\"نتیجه ای یافت نشد\";}i:2829;a:1:{i:0;s:24:\"نظری یافت نشد\";}i:2830;a:1:{i:0;s:24:\"نظری یافت نشد\";}i:2831;a:1:{i:0;s:101:\"هیچ برنامه اجتماعی از سوی مدیر وبسایت پیکربندی نشده است\";}i:2832;a:1:{i:0;s:28:\"بدون تاریخ شروع\";}i:2833;a:1:{i:0;s:38:\"هیچ اعلان UBO یافت نشد!\";}i:2834;a:1:{i:0;s:84:\"هیچ کاربری با شناسه تجاری داده شده پیدا نشد: %1$s\";}i:2835;a:1:{i:0;s:23:\"بدون گارانتی\";}i:2836;a:1:{i:0;s:38:\"هیچ افزودنی یافت نشد.\";}i:2837;a:1:{i:0;s:92:\"هیچ داده تبلیغاتی با شناسه تبلیغ داده شده یافت نشد.\";}i:2838;a:1:{i:0;s:36:\"هیچ تبلیغی پیدا نشد.\";}i:2839;a:1:{i:0;s:172:\"هیچ جایگاه تبلیغاتی با اشتراک شما در دسترس نیست. با این حال می توانید این تبلیغ را خریداری کنید.\";}i:2840;a:1:{i:0;s:145:\"هیچ جایگاه تبلیغاتی موجود نیست. لطفا برای سوالات بیشتر با مدیر سایت تماس بگیرید.\";}i:2841;a:1:{i:0;s:42:\"هیچ اطلاعیه ای یافت نشد\";}i:2842;a:1:{i:0;s:75:\"هیچ اطلاعیه ای با شناسه داده شده یافت نشد.\";}i:2843;a:1:{i:0;s:43:\"هیچ اطلاعیه ای پیدا نشد.\";}i:2844;a:1:{i:0;s:77:\"هیچ داده نشانی با نوع رویداد مشخص یافت نشد.\";}i:2845;a:1:{i:0;s:91:\"هیچ نشانی با شناسه داده شده یافت نشد، شناسه نشان: %d\";}i:2846;a:1:{i:0;s:50:\"هنوز هیچ نشانی کسب نشده است.\";}i:2847;a:1:{i:0;s:27:\"نشانی یافت نشد.\";}i:2848;a:1:{i:0;s:42:\"هیچ حساب بانکی پیدا نشد\";}i:2849;a:1:{i:0;s:137:\"هیچ حساب بانکی پیدا نشد. لطفاً یک حساب برای دریافت پرداخت خودکار ایجاد کنید.\";}i:2850;a:1:{i:0;s:53:\"آدرس صورتحساب تنظیم نشده است.\";}i:2851;a:1:{i:0;s:40:\"هیچ دسته بندی یافت نشد\";}i:2852;a:1:{i:0;s:87:\"هیچ شناسه شارژی برای پردازش سفارش یافت نمی‌شود!\";}i:2853;a:1:{i:0;s:17:\"بدون کلاس\";}i:2854;a:1:{i:0;s:30:\"گفتگویی یافت نشد\";}i:2855;a:1:{i:0;s:41:\"هیچ کد تخفیفی یافت نشد!\";}i:2856;a:1:{i:0;s:29:\"داده ای یافت نشد\";}i:2857;a:1:{i:0;s:76:\"هیچ موردی برای به روز رسانی گروهی یافت نشد\";}i:2858;a:1:{i:0;s:32:\"داده‌ای یافت نشد!\";}i:2859;a:1:{i:0;s:30:\"داده ای یافت نشد.\";}i:2860;a:1:{i:0;s:48:\"هیچ داده ای ارائه نشده است!\";}i:2861;a:1:{i:0;s:58:\"تاریخ یا شناسه فروشنده پیدا نشد.\";}i:2862;a:1:{i:0;s:22:\"بدون پیش فرض\";}i:2863;a:1:{i:0;s:28:\"جزئیات یافت نشد\";}i:2864;a:1:{i:0;s:15:\"بدون خطا\";}i:2865;a:1:{i:0;s:95:\"هیچ داده رویدادی با شناسه رویداد داده شده یافت نشد: %s\";}i:2866;a:1:{i:0;s:65:\"هیچ فایلی برای آپلود محصول یافت نشد.\";}i:2867;a:1:{i:0;s:46:\"هیچ نوع فایلی انتخاب نشده\";}i:2868;a:1:{i:0;s:39:\"هیچ فایلی انتخاب نشده\";}i:2869;a:1:{i:0;s:40:\"هیچ اطلاعاتی پیدا نشد.\";}i:2870;a:1:{i:0;s:65:\"هیچ قصدی برای پردازش سفارش یافت نشد!\";}i:2871;a:1:{i:0;s:55:\"هیچ آیتمی در سبد مظنه یافت نشد.\";}i:2872;a:1:{i:0;s:54:\"موردی پیدا نشد -حمل کل سفارش %d.\";}i:2873;a:1:{i:0;s:69:\"هیچ موردی برای اقدامات انبوه یافت نشد.\";}i:2874;a:1:{i:0;s:76:\"هیچ موردی برای به روز رسانی گروهی یافت نشد\";}i:2875;a:1:{i:0;s:50:\"هیچ موردی برای حذف یافت نشد.\";}i:2876;a:1:{i:0;s:54:\"هیچ موردی برای انقضا یافت نشد.\";}i:2877;a:1:{i:0;s:31:\"هیچ سطحی یافت نشد\";}i:2878;a:1:{i:0;s:101:\"از زمان شروع نظارت در %s، هیچ وب هوک زنده دریافت نشده است.\";}i:2879;a:1:{i:0;s:26:\"مکانی پیدا نشد\";}i:2880;a:1:{i:0;s:36:\"هیچ گزارشی یافت نشد.\";}i:2881;a:1:{i:0;s:28:\"دیگر موجود نیست\";}i:2882;a:1:{i:0;s:82:\"هیچ محصول منطبقی برای به روزرسانی وجود ندارد.\";}i:2883;a:1:{i:0;s:31:\"هیچ روشی یافت نشد\";}i:2884;a:1:{i:0;s:75:\"هیچ اطلاعیه ای با شناسه داده شده یافت نشد.\";}i:2885;a:1:{i:0;s:26:\"تعداد فروشنده:\";}i:2886;a:1:{i:0;s:85:\"تعداد فروشندگانی که این سطح را به دست آورده اند\";}i:2887;a:1:{i:0;s:28:\"سفارشی یافت نشد\";}i:2888;a:1:{i:0;s:67:\"هیچ سفارشی برای این درخواست یافت نشد.\";}i:2889;a:1:{i:0;s:58:\"هیچ سفارشی برای پردازش یافت نشد!\";}i:2890;a:1:{i:0;s:51:\"سفارشی برای پردازش یافت نشد!\";}i:2891;a:1:{i:0;s:48:\"روش پرداختی ارائه نشده است\";}i:2892;a:1:{i:0;s:28:\"محصولی پیدا نشد\";}i:2893;a:1:{i:0;s:125:\"محصولی با شناسه محصول مشخص شده یافت نشد. لطفا ورودی خود را بررسی کنید.\";}i:2894;a:1:{i:0;s:36:\"هیچ محصولی یافت نشد.\";}i:2895;a:1:{i:0;s:70:\"هیچ محصولی در محدوده داده شده یافت نشد.\";}i:2896;a:1:{i:0;s:55:\"هیچ محصولی برای ذخیره یافت نشد\";}i:2897;a:1:{i:0;s:67:\"هیچ محصولی برای این فروشنده یافت نشد!\";}i:2898;a:1:{i:0;s:31:\"نقل قولی پیدا نشد\";}i:2899;a:1:{i:0;s:30:\"مظنه ای پیدا نشد.\";}i:2900;a:1:{i:0;s:59:\"هنوز هیچ نقل قولی انجام نشده است.\";}i:2901;a:1:{i:0;s:40:\"شناسه مظنه ای پیدا نشد\";}i:2902;a:1:{i:0;s:70:\"هیچ محصول مظنه ای برای افزودن یافت نشد.\";}i:2903;a:1:{i:0;s:49:\"هنوز امتیازی پیدا نشده است!\";}i:2904;a:1:{i:0;s:47:\"هیچ سفارش مرتبطی یافت نشد.\";}i:2905;a:1:{i:0;s:128:\"هیچ گزارشی با شناسه های داده شده یافت نشد. لطفا ورودی خود را بررسی کنید.\";}i:2906;a:1:{i:0;s:32:\"درخواستی یافت نشد\";}i:2907;a:1:{i:0;s:52:\"درخواستی برای گفتگو یافت نشد\";}i:2908;a:1:{i:0;s:40:\"هیچ درخواستی پیدا نشد.\";}i:2909;a:1:{i:0;s:41:\"شناسه درخواست یافت نشد\";}i:2910;a:1:{i:0;s:31:\"نتیجه ای یافت نشد\";}i:2911;a:1:{i:0;s:31:\"هیچ نظری یافت نشد\";}i:2912;a:1:{i:0;s:40:\"هیچ شناسه نظر پیدا نشد\";}i:2913;a:1:{i:0;s:82:\"هیچ وضعیت بررسی برای به روزرسانی نظر یافت نشد\";}i:2914;a:1:{i:0;s:25:\"نظری یافت نشد.\";}i:2915;a:1:{i:0;s:46:\"هیچ شناسه قانونی پیدا نشد\";}i:2916;a:1:{i:0;s:44:\"هیچ فروشنده‌ای پیدا نشد\";}i:2917;a:1:{i:0;s:78:\"هیچ محموله ای برای این سفارش اضافه نشده است\";}i:2918;a:1:{i:0;s:33:\"محموله ای یافت نشد\";}i:2919;a:1:{i:0;s:53:\"آدرس حمل و نقل تنظیم نشده است.\";}i:2920;a:1:{i:0;s:34:\"بدون کلاس حمل و نقل\";}i:2921;a:1:{i:0;s:41:\"بدون کلاس حمل و نقل  (%s0)\";}i:2922;a:1:{i:0;s:45:\"بدون هزینه کلاس حمل و نقل\";}i:2923;a:1:{i:0;s:126:\"هیچ کلاس حمل و نقلی وجود ندارد - می توانید این گزینه را نادیده بگیرید :)\";}i:2924;a:1:{i:0;s:70:\"هیچ روش حمل و نقلی برای افزودن یافت نشد\";}i:2925;a:1:{i:0;s:185:\"هیچ منطقه حمل و نقل برای پیکربندی یافت نشد. لطفاً برای مدیریت حمل و نقل فروشگاه خود با مدیر تماس بگیرید\";}i:2926;a:1:{i:0;s:37:\"هیچ کارمندی یافت نشد\";}i:2927;a:1:{i:0;s:66:\"هیچ وضعیتی برای به روزرسانی یافت نشد\";}i:2928;a:1:{i:0;s:32:\"فروشگاهی یافت نشد\";}i:2929;a:1:{i:0;s:49:\"هیچ مکان فروشگاهی پیدا نشد!\";}i:2930;a:1:{i:0;s:30:\"اشتراکی یافت نشد\";}i:2931;a:1:{i:0;s:31:\"اشتراکی یافت نشد.\";}i:2932;a:1:{i:0;s:47:\"اشتراکی برای حذف یافت نشد.\";}i:2933;a:1:{i:0;s:59:\"اشتراکی برای بروزرسانی یافت نشد.\";}i:2934;a:1:{i:0;s:47:\"هیچ پکیج اشتراکی یافت نشد!\";}i:2935;a:1:{i:0;s:47:\"هیچ پکیج اشتراکی یافت نشد.\";}i:2936;a:1:{i:0;s:38:\"چنین محصولی یافت نشد!\";}i:2937;a:1:{i:0;s:105:\"از زمان شروع نظارت در %s هیچ وب هوک آزمایشی دریافت نشده است.\";}i:2938;a:1:{i:0;s:34:\"هیچ تیکتی پیدا نشد!\";}i:2939;a:1:{i:0;s:34:\"هیچ تیکتی پیدا نشد.\";}i:2940;a:1:{i:0;s:33:\"هیچ کاربر یافت نشد\";}i:2941;a:1:{i:0;s:81:\"هیچ کاربری برای شناسه حساب استریپ %s پیدا نشد.\";}i:2942;a:1:{i:0;s:73:\"هیچ کاربری برای شناسه ارائه شده پیدا نشد\";}i:2943;a:1:{i:0;s:29:\"کاربری پیدا نشد!\";}i:2944;a:1:{i:0;s:43:\"تعطیلاتی تعیین نشده است\";}i:2945;a:1:{i:0;s:50:\"کیف پول معتبر Mangopay پیدا نشد.\";}i:2946;a:1:{i:0;s:56:\"هیچ حساب بانکی معتبری پیدا نشد!\";}i:2947;a:1:{i:0;s:40:\"سفارش معتبری پیدا نشد!\";}i:2948;a:1:{i:0;s:82:\"هیچ محصول اشتراک معتبری برای پردازش یافت نشد.\";}i:2949;a:1:{i:0;s:39:\"کاربر معتبری پیدا نشد\";}i:2950;a:1:{i:0;s:40:\"کاربر معتبری پیدا نشد!\";}i:2951;a:1:{i:0;s:40:\"کاربر معتبری پیدا نشد.\";}i:2952;a:1:{i:0;s:45:\"هیچگونه متغیری اضافه نشد\";}i:2953;a:1:{i:0;s:44:\"هیچ فروشنده‌ای یافت نشد\";}i:2954;a:1:{i:0;s:89:\"هیچ فروشنده ای برای تعیین این پرسنل پیدا نشده است\";}i:2955;a:1:{i:0;s:86:\"هیچ فروشنده‌ای برای به روزرسانی وضعیت یافت نشد\";}i:2956;a:1:{i:0;s:77:\"هیچ فروشنده‌ای با شناسه داده شده پیدا نشد.\";}i:2957;a:1:{i:0;s:36:\"فروشنده ای پیدا نشد!\";}i:2958;a:1:{i:0;s:99:\"فروشنده ای پیدا نشد. لطفاً درخواست جستجو را تغییر دهید.\";}i:2959;a:1:{i:0;s:41:\"شناسه فروشنده یافت نشد\";}i:2960;a:1:{i:0;s:65:\"هیچ فروشنده ای صاحب همین محصول نیست.\";}i:2961;a:1:{i:0;s:23:\"بدون گارانتی\";}i:2962;a:1:{i:0;s:148:\"هیچ روش برداشتی در دسترس نیست. لطفاً روش پرداخت خود را برای برداشت وجه به روز کنید.\";}i:2963;a:1:{i:0;s:13:\"نه، لغو\";}i:2964;a:1:{i:0;s:76:\"خیر، هزینه‌ها را بدون مالیات وارد می‌کنم\";}i:2965;a:1:{i:0;s:24:\"نه، نگهدارید!\";}i:2966;a:1:{i:0;s:32:\"تعداد اسلات موجود\";}i:2967;a:1:{i:0;s:21:\"تعداد روزها\";}i:2968;a:1:{i:0;s:26:\"تعداد فروشنده:\";}i:2969;a:1:{i:0;s:29:\"تعداد فروشندگان\";}i:2970;a:1:{i:0;s:30:\"تعداد فروشندگان:\";}i:2971;a:1:{i:0;s:31:\"تعداد فروشندگان: \";}i:2972;a:1:{i:0;s:19:\"غیر تکراری\";}i:2973;a:1:{i:0;s:34:\"فروشندگان غیر متصل\";}i:2974;a:1:{i:0;s:35:\"تأیید Nonde شکست خورد.\";}i:2975;a:1:{i:0;s:19:\"عدم موفقیت\";}i:2976;a:1:{i:0;s:27:\"دسترسی نامعتبر\";}i:2977;a:1:{i:0;s:46:\"اعتبار سنجی Nonce انجام نشد.\";}i:2978;a:1:{i:0;s:34:\"تأیید Nonde شکست خورد\";}i:2979;a:1:{i:0;s:35:\"تأیید Nonde شکست خورد!\";}i:2980;a:1:{i:0;s:125:\"اگر تأیید نشد، لطفاً صفحه فعلی را بازخوانی کنید و دوباره امتحان کنید.\";}i:2981;a:1:{i:0;s:35:\"تأیید Nonde شکست خورد.\";}i:2982;a:1:{i:0;s:60:\"تأیید Nonce انجام نشد. تقلب می کنید؟\";}i:2983;a:1:{i:0;s:6:\"هیچ\";}i:2984;a:1:{i:0;s:8:\"عادی\";}i:2985;a:1:{i:0;s:10:\"نروژی\";}i:2986;a:1:{i:0;s:17:\"کرون نروژ\";}i:2987;a:1:{i:0;s:24:\"در دسترس نیست\";}i:2988;a:1:{i:0;s:19:\"تنظیم نشده\";}i:2989;a:1:{i:0;s:17:\"بدون اسپم\";}i:2990;a:1:{i:0;s:38:\"هنوز ثبت نام نشده است\";}i:2991;a:1:{i:0;s:64:\"یک کاربر معتبر برای عمده فروشی نیست\";}i:2992;a:1:{i:0;s:15:\"یافت نشد\";}i:2993;a:1:{i:0;s:38:\"در زباله دان یافت نشد\";}i:2994;a:1:{i:0;s:28:\"هنوز آپلود نشده\";}i:2995;a:1:{i:0;s:19:\"تحویل نشده\";}i:2996;a:1:{i:0;s:14:\"یادداشت\";}i:2997;a:1:{i:0;s:9:\"توجه:\";}i:2998;a:1:{i:0;s:289:\"توجه: تراکنش سه بعدی امن و آماده SCA تنها زمانی پشتیبانی می‌شود که هم پلتفرم شما و هم حساب متصل (فروشنده) در یک منطقه باشند: هر دو در اروپا یا هر دو در ایالات متحده.\";}i:2999;a:1:{i:0;s:10:\"اعلان\";}i:3000;a:1:{i:0;s:32:\"اطلاع رسانی مشتری\";}i:3001;a:1:{i:0;s:33:\"اطلاعیه فروشندگان\";}i:3002;a:1:{i:0;s:56:\"جزئیات اطلاعیه محموله به مشتری\";}i:3003;a:1:{i:0;s:12:\"نوامبر\";}i:3004;a:1:{i:0;s:8:\"الان\";}i:3005;a:1:{i:0;s:23:\"تعداد فیلدها\";}i:3006;a:1:{i:0;s:41:\"تعداد اقلام فروخته شده\";}i:3007;a:1:{i:0;s:25:\"تعداد سفارشات\";}i:3008;a:1:{i:0;s:25:\"تعداد محصولات\";}i:3009;a:1:{i:0;s:116:\"تعداد روزها تا زمانی که دسترسی به فایلهای قابل دانلود منقضی شود.\";}i:3010;a:1:{i:0;s:41:\"تعداد اقلام فروخته شده\";}i:3011;a:1:{i:0;s:54:\"تعداد سطح موجود برای این نشان.\";}i:3012;a:1:{i:0;s:25:\"تعداد سفارشات\";}i:3013;a:1:{i:0;s:25:\"تعداد محصولات\";}i:3014;a:1:{i:0;s:45:\"تعداد محصولات برای نمایش\";}i:3015;a:1:{i:0;s:37:\"تعداد اتاق های موجود\";}i:3016;a:1:{i:0;s:109:\"تعداد دفعات دانلود فایل ها که می توان بعد از خرید دانلود کرد.\";}i:3017;a:1:{i:0;s:96:\"تعداد دفعاتی که کد تخفیف مورد استفاده قرار گرفته است.\";}i:3018;a:1:{i:0;s:104:\"تعداد واحدهای شامل به ازای قیمت پیش‌فرض محصول. مثال: 1000 ml.\";}i:3019;a:1:{i:0;s:205:\"تعداد واحدهای شامل به ازای قیمت پیش‌فرض محصول. مثال: 1000 میلی لیتر. برای استفاده از مقدار والد، آن را خالی بگذارید.\";}i:3020;a:1:{i:0;s:78:\"تعداد فروشندگانی که این نشان را کسب میکنند.\";}i:3021;a:1:{i:0;s:4:\"یا\";}i:3022;a:1:{i:0;s:28:\"نسخه سیستم عامل\";}i:3023;a:1:{i:0;s:10:\"اکتبر\";}i:3024;a:1:{i:0;s:23:\"قیمت پیشنهاد\";}i:3025;a:1:{i:0;s:21:\"جمع پیشنهاد\";}i:3026;a:1:{i:0;s:147:\"به هر مشتری پیشنهاد خرید محصول به عنوان قیمت عمده فروشی از هر فروشنده ای را بدهید.\";}i:3027;a:1:{i:0;s:167:\"اگر مجموع سفارش بالاتر از حداقل مقدار واحد باشد، به مشتریان فروشگاه تخفیف بیشتری ارائه دهید\";}i:3028;a:1:{i:0;s:60:\"قیمت پیشنهادی نمی تواند صفر باشد.\";}i:3029;a:1:{i:0;s:73:\"تعداد محصول پیشنهادی نمی تواند صفر باشد.\";}i:3030;a:1:{i:0;s:120:\"با توجه به عملکرد فروشنده ها، انواع نشان‌ها را به آنها ارائه دهید.\";}i:3031;a:1:{i:0;s:25:\"قیمت پیشنهادی\";}i:3032;a:1:{i:0;s:36:\"مجموع قیمت پیشنهادی\";}i:3033;a:1:{i:0;s:29:\"قیمت پیشنهادی: %s\";}i:3034;a:1:{i:0;s:27:\"مجموع پیشنهادی\";}i:3035;a:1:{i:0;s:31:\"مجموع پیشنهادی: %s\";}i:3036;a:1:{i:0;s:72:\"متاسفیم! ظاهرا لایسنس شما منقضی شده است.\";}i:3037;a:1:{i:0;s:8:\"باشه\";}i:3038;a:1:{i:0;s:26:\"در تکیمل سفارش\";}i:3039;a:1:{i:0;s:19:\"در آزمایشی\";}i:3040;a:1:{i:0;s:24:\"در پیش‌سفارش\";}i:3041;a:1:{i:0;s:26:\"در تکمیل سفارش\";}i:3042;a:1:{i:0;s:28:\"در تکمیل پرداخت\";}i:3043;a:1:{i:0;s:11:\"در راه\";}i:3044;a:1:{i:0;s:64:\"این قانون به چه شرطی باید اعمال شود.\";}i:3045;a:1:{i:0;s:120:\"در چه وضعیت سفارش مشتری می تواند ازاسترداد یا گارانتی استفاده کند.\";}i:3046;a:1:{i:0;s:134:\"در چه وضعیت سفارش مشتری می تواند از تسهیلات بازگشت یا گارانتی استفاده کند.\";}i:3047;a:1:{i:0;s:17:\"در انتظار\";}i:3048;a:1:{i:0;s:6:\"OnTrac\";}i:3049;a:1:{i:0;s:38:\"فرآیند معارفه لغو شد.\";}i:3050;a:1:{i:0;s:56:\"فرآیند معارفه با موفقیت لغو شد.\";}i:3051;a:1:{i:0;s:43:\"یکبار هزینه رزو برای کل.\";}i:3052;a:1:{i:0;s:16:\"آنلاین(%d)\";}i:3053;a:1:{i:0;s:26:\"فقط آدرس ايميل\";}i:3054;a:1:{i:0;s:15:\"فقط آیکن\";}i:3055;a:1:{i:0;s:15:\"فقط حروف\";}i:3056;a:1:{i:0;s:34:\"فقط حروف و شماره ها\";}i:3057;a:1:{i:0;s:22:\"فقط شماره ها\";}i:3058;a:1:{i:0;s:34:\"فقط زمانیکه موجودی\";}i:3059;a:1:{i:0;s:30:\"فقط مشتریان عمده\";}i:3060;a:1:{i:0;s:737:\"فقط مدیر می‌تواند دسته بندی‌های فروشگاه را از داشبورد -> فروشندگان -> دسته‌ بندی های فروشگاه برای اختصاص دسته‌ها از صفحه فهرست فروشنده ایجاد کند. اگر تکی را انتخاب کنید، فروشنده فقط یک دسته را در حین راه اندازی فروشگاه یا هنگام پیمایش به داشبورد فروشنده -> فروشگاه -> دسته‌های فروشگاه در دسترس خواهد داشت. اگر چندگانه را انتخاب کنید، چندین دسته در دسترس خواهند بود. اگر هم نمی خواهید هیچ کدام را انتخاب نکنید.\";}i:3061;a:1:{i:0;s:386:\"فقط کارت ها از ضبط دستی پشتیبانی می کنند. وقتی فعال باشد، همه روش‌های پرداخت دیگر از تسویه حساب پنهان می‌شوند. هزینه باید در صفحه جزئیات سفارش ظرف 7 روز پس از تأیید ثبت شود، در غیر این صورت مجوز و سفارش لغو خواهد شد.\";}i:3062;a:1:{i:0;s:75:\"فقط کاربران وارد شده می توانند گزارش دهند\";}i:3063;a:1:{i:0;s:74:\"فقط فروشنده می تواند این عمل را انجام دهد\";}i:3064;a:1:{i:0;s:83:\"فقط زمانی که موجودی <strong>%1$s</strong> یا بیشتر باشد.\";}i:3065;a:1:{i:0;s:92:\"اوه! هیچ المانی یافت نشد. کوئری جستجو را تغییر دهید.\";}i:3066;a:1:{i:0;s:6:\"باز\";}i:3067;a:2:{i:0;s:38:\"<span class=\"count\">(%s)</span> باز\";i:1;s:38:\"<span class=\"count\">(%s)</span> باز\";}i:3068;a:1:{i:0;s:17:\"الان بازه\";}i:3069;a:1:{i:0;s:18:\"الان بازه:\";}i:3070;a:1:{i:0;s:42:\"باز کردن راه انداز سریع\";}i:3071;a:1:{i:0;s:22:\"تیکت های باز\";}i:3072;a:1:{i:0;s:38:\"وضعیت باز و بسته بودن\";}i:3073;a:1:{i:0;s:6:\"باز\";}i:3074;a:1:{i:0;s:25:\"موجودی افتتاح\";}i:3075;a:1:{i:0;s:24:\"الگوی باز شدن\";}i:3076;a:1:{i:0;s:83:\"زمان باز شدن باید بزرگتر از زمان بسته شدن باشد\";}i:3077;a:1:{i:0;s:17:\"بازشدن در\";}i:3078;a:1:{i:0;s:19:\"سیستم عامل\";}i:3079;a:1:{i:0;s:10:\"گزینه\";}i:3080;a:1:{i:0;s:13:\"گزینه...\";}i:3081;a:1:{i:0;s:14:\"اختیاری\";}i:3082;a:1:{i:0;s:40:\"توضیحات کوتاه اختیاری\";}i:3083;a:1:{i:0;s:37:\"متن دلیل لغو اختیاری\";}i:3084;a:1:{i:0;s:93:\"به صورت اختیاری یک برچسب برای دکمه پرداخت وارد کنید\";}i:3085;a:1:{i:0;s:207:\"به صورت اختیاری آدرس یک تصویر 128x128px از برند یا محصول خود را وارد کنید.مثال <code>https://yoursite.com/wp-content/uploads/2013/09/yourimage.jpg</code>\";}i:3086;a:1:{i:0;s:4:\"یا\";}i:3087;a:1:{i:0;s:10:\"سفارش\";}i:3088;a:1:{i:0;s:60:\"سفارش %1$d پرداخت خودکار از طریق %2$s\";}i:3089;a:1:{i:0;s:110:\"پرداخت سفارش %1$s از طریق %2$s با شناسه شارژ زیر به پایان رسید: %3$s\";}i:3090;a:1:{i:0;s:76:\"پرداخت سفارش %1$s از طریق %2$s تکمیل شد (%3$s: %4$s)\";}i:3091;a:1:{i:0;s:92:\"پرداخت سفارش %1$s از طریق %2$s تکمیل شد. (شناسه شارژ: %3$s)\";}i:3092;a:1:{i:0;s:115:\"پرداخت سفارش  %1$s از طریق امنیت 3 بعدی %2$s انجام شد. (شناسه شارژ: %3$s)\";}i:3093;a:1:{i:0;s:93:\"پرداخت سفارش  %1$s از طریق %2$s انجام شد. (شناسه شارژ: %3$s)\";}i:3094;a:1:{i:0;s:93:\"پرداخت سفارش  %1$s از طریق %2$s انجام شد. (شناسه شارژ: %3$s)\";}i:3095;a:1:{i:0;s:126:\"پرداخت سفارش %1$s از طریق %2$s با امنیت سه بعدی در (شناسه شارژ: %3$s) تکمیل شد\";}i:3096;a:1:{i:0;s:96:\"سفارش %1$s پرداخت از طریق %2$s تکمیل شد. (شناسه پرداخت: %3$s)\";}i:3097;a:1:{i:0;s:62:\"پرداخت خودکار سفارش %d از طریق MangoPay\";}i:3098;a:1:{i:0;s:85:\"سفارش %d با پرداخت خودکار از طریق کارت Wirecard دکان\";}i:3099;a:1:{i:0;s:13:\"سفارش %s\";}i:3100;a:1:{i:0;s:30:\"%s سفارش یافت نشد.\";}i:3101;a:1:{i:0;s:57:\"سفارش %s برای ثبت تمدید ایجاد شد.\";}i:3102;a:1:{i:0;s:42:\"پرداخت سفارش %s انجام شد\";}i:3103;a:1:{i:0;s:43:\"پرداخت سفارش %s انجام شد.\";}i:3104;a:1:{i:0;s:172:\"وضعیت سفارش %s  اکنون تکمیل شده است زیرا اختلاف از طریق %s  به نفع شما حل شده است (شناسه های شارژ:%s )\";}i:3105;a:1:{i:0;s:137:\"وضعیت سفارش %s  اکنون به دلیل اختلاف از طریق %s متوقف شده است (شناسه های شارژ:%s)\";}i:3106;a:1:{i:0;s:24:\"ترتیب بر اساس\";}i:3107;a:1:{i:0;s:45:\"کمیسیون سفارش بازسازی شد\";}i:3108;a:1:{i:0;s:22:\"تاریخ سفارش:\";}i:3109;a:1:{i:0;s:22:\"تاریخ سفارش:\";}i:3110;a:1:{i:0;s:21:\"تخفیف سفارش\";}i:3111;a:1:{i:0;s:22:\"تخفیف سفارش:\";}i:3112;a:1:{i:0;s:23:\"تخفیف سفارش: \";}i:3113;a:1:{i:0;s:21:\"شناسه سفارش\";}i:3114;a:1:{i:0;s:23:\"شناسه سفارش :\";}i:3115;a:1:{i:0;s:24:\"شناسه سفارش : \";}i:3116;a:1:{i:0;s:33:\"شناسه سفارش : %1$s %2$s\";}i:3117;a:1:{i:0;s:58:\"شناسه سفارش: <a target=\"_blank\" href=\"%s\">%s</a>\";}i:3118;a:1:{i:0;s:48:\"شناسه سفارش برای فیلتر فرم\";}i:3119;a:1:{i:0;s:21:\"اقلام سفارش\";}i:3120;a:1:{i:0;s:21:\"شماره سفارش\";}i:3121;a:1:{i:0;s:31:\"سفارش در هر اسلات\";}i:3122;a:1:{i:0;s:44:\"نشان‌های مرتبط با سفارش\";}i:3123;a:1:{i:0;s:21:\"وضعیت سفارش\";}i:3124;a:1:{i:0;s:21:\"مجموع سفارش\";}i:3125;a:1:{i:0;s:22:\"مرتب سازی با\";}i:3126;a:1:{i:0;s:43:\"سفارش توسط مشتری لغو شد.\";}i:3127;a:1:{i:0;s:75:\"کمیسیون های سفارش با موفقیت بازسازی شدند.\";}i:3128;a:1:{i:0;s:81:\"سفارش ایجاد شده برای ثبت اشتراک تمدید برای %s.\";}i:3129;a:1:{i:0;s:59:\"سفارش به Shipstation برون ریزی شده است\";}i:3130;a:1:{i:0;s:58:\"سفارش #{order_id} توسط {admin_name} بروز شد\";}i:3131;a:1:{i:0;s:73:\"شناسه سفارش #{order_id} توسط {seller_name} به روز شد\";}i:3132;a:1:{i:0;s:37:\"شناسه سفارش یافت نشد\";}i:3133;a:1:{i:0;s:50:\"شناسه سفارش محصول تبلیغ شده\";}i:3134;a:1:{i:0;s:26:\"سفارش پیدا نشد\";}i:3135;a:1:{i:0;s:85:\"پرداخت سفارش از طریق استریپ با امنیت 3D تکمیل شد\";}i:3136;a:1:{i:0;s:31:\"سفارش در هر اسلات\";}i:3137;a:1:{i:0;s:88:\"سفارش در هر اسلات نمی تواند خالی یا کمتر از 0 باشد\";}i:3138;a:1:{i:0;s:25:\"قوانین سفارش: \";}i:3139;a:1:{i:0;s:46:\"قوانین سفارش: حساب نمیشود\";}i:3140;a:1:{i:0;s:14:\"سفارشات\";}i:3141;a:1:{i:0;s:32:\"سفارشات پردازش شد\";}i:3142;a:1:{i:0;s:71:\"سفارشات قرار داده شده در این دوره زمانی\";}i:3143;a:1:{i:0;s:12:\"سازمان\";}i:3144;a:1:{i:0;s:45:\"نمودار سازمانی مورد نیاز\";}i:3145;a:1:{i:0;s:17:\"سازمان ها\";}i:3146;a:1:{i:0;s:8:\"سایر\";}i:3147;a:1:{i:0;s:38:\"سایر فروشندگان موجود\";}i:3148;a:1:{i:0;s:23:\"تنظیمات دیگر\";}i:3149;a:1:{i:0;s:26:\"استان های دیگر\";}i:3150;a:1:{i:0;s:8:\"سایر\";}i:3151;a:1:{i:0;s:21:\"تاریخ گذشته\";}i:3152;a:1:{i:0;s:24:\"خارج از انبار\";}i:3153;a:1:{i:0;s:40:\"قابلیت مشاهده ناموجود\";}i:3154;a:1:{i:0;s:14:\"ناموجود\";}i:3155;a:1:{i:0;s:39:\"شماره فاکتور لغو شود؟\";}i:3156;a:1:{i:0;s:27:\"ابطال حمل و نقل\";}i:3157;a:1:{i:0;s:100:\"رونویسی تنظیمات پیشفرض گارانتی و بازگشت برای این محصول\";}i:3158;a:1:{i:0;s:121:\"هزینه حمل و نقل پیش فرض فروشگاه خود را برای این محصول نادیده بگیرید\";}i:3159;a:1:{i:0;s:23:\"بررسی اجمالی\";}i:3160;a:1:{i:0;s:17:\"آدرس مالک\";}i:3161;a:1:{i:0;s:29:\"بررسی PEPS فعال شد\";}i:3162;a:1:{i:0;s:21:\"اعتبار پکیج\";}i:3163;a:1:{i:0;s:19:\"شناسه پکیج\";}i:3164;a:1:{i:0;s:17:\"پکیـج هـا\";}i:3165;a:1:{i:0;s:31:\"فاصله داخلی (Padding)\";}i:3166;a:1:{i:0;s:15:\"نصب صفحه\";}i:3167;a:1:{i:0;s:17:\"مسیر برگه\";}i:3168;a:1:{i:0;s:19:\"عنوان صفحه\";}i:3169;a:1:{i:0;s:21:\"بازدید صفحه\";}i:3170;a:1:{i:0;s:20:\"پرداخت با %s\";}i:3171;a:1:{i:0;s:19:\"پارسل فورس\";}i:3172;a:1:{i:0;s:8:\"والد\";}i:3173;a:1:{i:0;s:23:\"اطلاعیه اصلی\";}i:3174;a:1:{i:0;s:17:\"آیتم والد\";}i:3175;a:1:{i:0;s:27:\"تا حدی تحویل شد\";}i:3176;a:1:{i:0;s:10:\"شراکت\";}i:3177;a:1:{i:0;s:14:\"پاسپورت\";}i:3178;a:1:{i:0;s:14:\"رمزعبور\";}i:3179;a:1:{i:0;s:16:\"رمزعبور :\";}i:3180;a:1:{i:0;s:78:\"رمز عبور برای کاربر (هرگز گنجانده نشده است).\";}i:3181;a:1:{i:0;s:224:\"داده های فرم برون ریزی شده را در اینجا جای گذاری کنید و سپس برای وارد کردن فیلدها ذخیره کنید. فیلد های وارد شده پیوست می شوند.\";}i:3182;a:1:{i:0;s:12:\"پرداخت\";}i:3183;a:1:{i:0;s:21:\"پرداخت الان\";}i:3184;a:1:{i:0;s:49:\"پرداخت با پی پال مارکت پلیس\";}i:3185;a:1:{i:0;s:26:\"پرداخت با Razorpay\";}i:3186;a:1:{i:0;s:150:\"با Razorpay از طریق کارت اعتباری یا نقدی یا بانکداری اینترنتی به صورت ایمن پرداخت کنید.\";}i:3187;a:1:{i:0;s:26:\"پرداخت با MangoPay\";}i:3188;a:1:{i:0;s:179:\"پرداخت از طریق مارکت پلیس پی پال؛ اگر حساب پی پال ندارید، می توانید با کارت اعتباری خود پرداخت کنید\";}i:3189;a:1:{i:0;s:43:\"پرداخت با استریپ اکسپرس\";}i:3190;a:1:{i:0;s:35:\"پرداخت با SEPA Direct Debit\";}i:3191;a:1:{i:0;s:50:\"پرداخت با کارت اعتباری/دبیت\";}i:3192;a:1:{i:0;s:104:\"با روش های مختلف پرداخت از طریق استریپ اکسپرس پرداخت کنید\";}i:3193;a:1:{i:0;s:23:\"پرداخت با iDEAL\";}i:3194;a:1:{i:0;s:79:\"با کارت اعتباری خود از طریق Stripe پرداخت کنید.\";}i:3195;a:1:{i:0;s:11:\"پی پال\";}i:3196;a:1:{i:0;s:31:\"مارکت پلیس پی پال\";}i:3197;a:1:{i:0;s:44:\"شناسه همکار/مرچنت پی پال\";}i:3198;a:1:{i:0;s:33:\"شناسه سفارش پی پال\";}i:3199;a:1:{i:0;s:235:\"پس از راه‌اندازی حساب PayPal Marketplace خود، شناسه ارجاع شریک پی پال به شما داده می‌شود. اگر هیچکدام را ندارید، پیش فرض استفاده خواهد شد.\";}i:3200;a:1:{i:0;s:42:\"شناسه ارجاع شریک پی پال\";}i:3201;a:1:{i:0;s:48:\"شناسه سفارش سندباکس پی پال\";}i:3202;a:1:{i:0;s:50:\"شناسه تراکنش سندباکس پی پال\";}i:3203;a:1:{i:0;s:35:\"شناسه تراکنش پی پال\";}i:3204;a:1:{i:0;s:51:\"حساب پی پال با موفقیت قطع شد.\";}i:3205;a:1:{i:0;s:48:\"پی پال در حال بارگیری است...\";}i:3206;a:1:{i:0;s:45:\"هزینه پردازش پی پال %s است\";}i:3207;a:1:{i:0;s:26:\"سندباکس پی پال\";}i:3208;a:1:{i:0;s:201:\"برای تست پرداخت می توان از سندباکس پی پال استفاده کرد. برای یک حساب توسعه دهنده در <a href=\"%s\"> اینجا </a> ثبت نام کنید.\";}i:3209;a:1:{i:0;s:28:\"نوع دکمه پرداخت\";}i:3210;a:1:{i:0;s:32:\"ظاهر المان پرداخت\";}i:3211;a:1:{i:0;s:23:\"درگاه پرداخت\";}i:3212;a:1:{i:0;s:60:\"هدف پرداخت برای سفارش  #%s یافت نشد\";}i:3213;a:1:{i:0;s:19:\"روش پرداخت\";}i:3214;a:1:{i:0;s:20:\"روش پرداخت:\";}i:3215;a:1:{i:0;s:28:\"روش‌های پرداخت\";}i:3216;a:1:{i:0;s:27:\"تنظیمات پرداخت\";}i:3217;a:1:{i:0;s:36:\"درخواست پرداخت (Stripe)\";}i:3218;a:1:{i:0;s:43:\"دکمه های درخواست پرداخت\";}i:3219;a:1:{i:0;s:70:\"گزینه های درخواست پرداخت (Apple Pay / Google Pay)\";}i:3220;a:1:{i:0;s:47:\"راه اندازی تنظیمات پرداخت\";}i:3221;a:1:{i:0;s:34:\"پرداخت و بازپرداخت\";}i:3222;a:1:{i:0;s:557:\"ایمیل‌های درخواستی تاییدیه پرداخت زمانی به گیرندگان انتخابی ارسال می‌شوند که تلاش برای پردازش خودکار پرداخت تمدید اشتراک با شکست مواجه می‌شود، زیرا تراکنش به تأیید SCA نیاز دارد، از مشتری درخواست می‌شود تا پرداخت را تأیید کند، و یک قانون تلاش مجدد برای اطلاع دادن در یک بازه زمانی مشخص به آن اعمال شده است.\";}i:3223;a:1:{i:0;s:127:\"تاییدیه پرداخت برای سفارش تمدید ناموفق بود، لطفاً دوباره امتحان کنید.\";}i:3224;a:1:{i:0;s:89:\"تاییدیه پرداخت برای تمدید سفارش {order_number} لازم است\";}i:3225;a:1:{i:0;s:25:\"خطای پرداخت: %s\";}i:3226;a:1:{i:0;s:63:\"خطای پرداخت: پرداخت MangoPay ایجاد نشد.\";}i:3227;a:1:{i:0;s:63:\"خطای پرداخت: سفارش معتبری پیدا نشد.\";}i:3228;a:1:{i:0;s:26:\"پرداخت ناموفق.\";}i:3229;a:1:{i:0;s:67:\"پرداخت ناموفق. لطفا دوباره تلاش کنید.\";}i:3230;a:1:{i:0;s:34:\"پرداخت انجام نشد: %s\";}i:3231;a:1:{i:0;s:23:\"درگاه پرداخت\";}i:3232;a:1:{i:0;s:51:\"هزینه پردازش درگاه پرداخت  %s\";}i:3233;a:1:{i:0;s:39:\"شناسه پرداخت پیدا نشد\";}i:3234;a:1:{i:0;s:39:\"شناسه پرداخت پیدا نشد\";}i:3235;a:1:{i:0;s:54:\"روش پرداخت با موفقیت اضافه شد.\";}i:3236;a:1:{i:0;s:55:\"اطلاعات اضافی روش‌های پرداخت.\";}i:3237;a:1:{i:0;s:35:\"فرآیند پرداخت رد شد\";}i:3238;a:1:{i:0;s:83:\"پردازش پرداخت انجام نشد. لطفا دوباره سعی کنید.\";}i:3239;a:1:{i:0;s:271:\"پردازش پرداخت انجام نشد. لطفاً با کارت دیگری دوباره امتحان کنید. اگر کارت ذخیره شده است ، <a href=\"%s\" target=\"_blank\"> ابتدا آن را حذف کنید </a> و دوباره امتحان کنید.\";}i:3240;a:1:{i:0;s:152:\"انواع پرداخت مشخص شده با ستاره (*) باید برای حساب شما فعال شود. لطفاً با %s تماس بگیرید.\";}i:3241;a:1:{i:0;s:37:\"پرداخت ناموفق. خطا: %s\";}i:3242;a:1:{i:0;s:36:\"خطای تأیید پرداخت: %s\";}i:3243;a:1:{i:0;s:21:\"حالت پرداخت\";}i:3244;a:1:{i:0;s:199:\"پرداخت به حساب بانکی شما انجام نشد. لطفاً در صورت نیاز، حساب بانکی خود و سایر مراحل تأیید را به‌روزرسانی کنید.\";}i:3245;a:1:{i:0;s:46:\"تنظیمات مارکت پلیس پی پال\";}i:3246;a:1:{i:0;s:23:\"دسترسی مسدود\";}i:3247;a:1:{i:0;s:21:\"اجازه رد شد!\";}i:3248;a:1:{i:0;s:17:\"در انتظار\";}i:3249;a:1:{i:0;s:19:\"در انتظار (\";}i:3250;a:1:{i:0;s:24:\"در انتظار لغو\";}i:3251;a:1:{i:0;s:30:\"پرداخت در انتظار\";}i:3252;a:1:{i:0;s:187:\"وقتی محصول منتشر شده توسط فروشندگان به روز می‌شود ، ایمیل های موجود به گیرنده (های) منتخب ارسال می شوند.\";}i:3253;a:1:{i:0;s:28:\"بررسی در انتظار\";}i:3254;a:1:{i:0;s:33:\"در انتظار بررسی (%d)\";}i:3255;a:1:{i:0;s:41:\"فروشندگان در حال بررسی\";}i:3256;a:1:{i:0;s:34:\"در انتظار فعالسازی\";}i:3257;a:1:{i:0;s:49:\"قیمت اضافی به ازای هر محصول\";}i:3258;a:1:{i:0;s:49:\"قیمت به ازای هر تعداد اضافی\";}i:3259;a:1:{i:0;s:107:\"براساس هر کلاس: هزینه حمل و نقل برای هر کلاس به صورت جداگانه\";}i:3260;a:1:{i:0;s:20:\"در هر سفارش\";}i:3261;a:1:{i:0;s:121:\"براساس هر سفارش: هزینه حمل و نقل برای کلاس حمل و نقل گران ترین محصول\";}i:3262;a:1:{i:0;s:19:\"هزینه درصد\";}i:3263;a:1:{i:0;s:10:\"درصدی\";}i:3264;a:1:{i:0;s:22:\"بر اساس درصد\";}i:3265;a:1:{i:0;s:21:\"تخفیف درصدی\";}i:3266;a:1:{i:0;s:37:\"درصد از کل برای شارژ.\";}i:3267;a:1:{i:0;s:17:\"حذف دائمی\";}i:3268;a:1:{i:0;s:21:\"اجازه رد شد!\";}i:3269;a:1:{i:0;s:64:\"به روزرسانی مجوز با موفقیت انجام شد\";}i:3270;a:1:{i:0;s:20:\"نام نوع شخص\";}i:3271;a:1:{i:0;s:21:\"تعداد افراد\";}i:3272;a:1:{i:0;s:17:\"انواع شخص\";}i:3273;a:1:{i:0;s:228:\"انواع افراد به شما امکان می دهد هزینه های مختلف رزرو را برای انواع مختلف افراد ، به عنوان مثال بزرگسالان و کودکان ، ارائه دهید.\";}i:3274;a:1:{i:0;s:10:\"افراد\";}i:3275;a:1:{i:0;s:12:\"افراد :\";}i:3276;a:1:{i:0;s:10:\"افراد\";}i:3277;a:1:{i:0;s:21:\"پزو فیلیپین\";}i:3278;a:1:{i:0;s:8:\"تلفن\";}i:3279;a:1:{i:0;s:19:\"شماره تلفن\";}i:3280;a:1:{i:0;s:19:\"شماره تلفن\";}i:3281;a:1:{i:0;s:20:\"شماره تلفن \";}i:3282;a:1:{i:0;s:23:\"تایید موبایل\";}i:3283;a:1:{i:0;s:40:\"شماره تلفن برای کاربر.\";}i:3284;a:1:{i:0;s:39:\"شماره تلفن الزامی است\";}i:3285;a:1:{i:0;s:9:\"تلفن:\";}i:3286;a:1:{i:0;s:17:\"شناسه عکس\";}i:3287;a:1:{i:0;s:18:\"شناسه عکس \";}i:3288;a:1:{i:0;s:12:\"فیزیکی\";}i:3289;a:1:{i:0;s:21:\"تحویل گرفتن\";}i:3290;a:1:{i:0;s:10:\"تحویل\";}i:3291;a:1:{i:0;s:21:\"تاریخ تحویل\";}i:3292;a:1:{i:0;s:23:\"تاریخ تحویل: \";}i:3293;a:1:{i:0;s:17:\"محل تحویل\";}i:3294;a:1:{i:0;s:32:\"اسلات زمانی تحویل\";}i:3295;a:1:{i:0;s:22:\"تاریخ تحویل:\";}i:3296;a:1:{i:0;s:57:\"مکان تحویل نمی‌تواند خالی باشد\";}i:3297;a:1:{i:0;s:18:\"محل تحویل:\";}i:3298;a:1:{i:0;s:90:\"محصولات را از محل فروشگاه دلخواه خود تحویل بگیرید\";}i:3299;a:1:{i:0;s:33:\"اسلات زمانی تحویل:\";}i:3300;a:1:{i:0;s:17:\"ثبت سفارش\";}i:3301;a:1:{i:0;s:17:\"مکان مظنه\";}i:3302;a:1:{i:0;s:17:\"ثبت سفارش\";}i:3303;a:1:{i:0;s:122:\"با استفاده از کلیدهای تست API ، درگاه پرداخت را در حالت تست قرار دهید.\";}i:3304;a:1:{i:0;s:28:\"نگه دارنده مکان\";}i:3305;a:1:{i:0;s:15:\"متن ساده\";}i:3306;a:1:{i:0;s:6:\"پلن\";}i:3307;a:1:{i:0;s:31:\"هزینه های پلت فرم\";}i:3308;a:1:{i:0;s:259:\"لطفاً برای باز کردن قفل ویژگی های بیشتر ، پشتیبانی پرمیوم و به روزرسانی های آینده ، لایسنس معتبر <strong> دکان پرو </strong> خود را <a href=\"%s\"> وارد کنید </a>.\";}i:3309;a:1:{i:0;s:46:\"برای گفتگو لطفا وارد شوید\";}i:3310;a:1:{i:0;s:49:\"برای ادامه ، لطفا وارد شوید\";}i:3311;a:1:{i:0;s:91:\"برای ارسال استعلام در رابطه با این محصول وارد شوید\";}i:3312;a:1:{i:0;s:133:\"لطفا برای اضافه کردن گزینه های اضافی (افراد یا منابع)، محصول را ذخیره کنید\";}i:3313;a:1:{i:0;s:68:\"لطفا ابتدا قوانین و مقررات را بپذیرید\";}i:3314;a:1:{i:0;s:86:\"لطفاً حداقل یک تعداد محصول پیشنهادی اضافه کنید.\";}i:3315;a:1:{i:0;s:71:\"لطفا حداقل موجودی برداشت را بررسی کنید.\";}i:3316;a:1:{i:0;s:54:\"لطفا مقدار رزرو را بررسی کنید.\";}i:3317;a:1:{i:0;s:219:\"لطفاً %1$sگزارش%2$s را برای جزئیات بیشتر در مورد این مشکل بررسی کنید. برای مشاهده گزارش‌های ثبت‌شده، لاگ (log) باید فعال باشد.\";}i:3318;a:1:{i:0;s:96:\"برای فعال سازی اشتراک آزمایشی این گزینه را تیک بزنید.\";}i:3319;a:1:{i:0;s:138:\"اگر می خواهید سیستم پرداخت دوره ای را فعال کنید ، لطفاً این مورد را تیک بزنید\";}i:3320;a:1:{i:0;s:102:\"برای محدودسازی آپلود گالری تصویر این گزینه را فعال کنید.\";}i:3321;a:1:{i:0;s:119:\"لطفا ایمیل خود را چک کنید و تأیید ایمیل را انجام دهید تا وارد شوید.\";}i:3322;a:1:{i:0;s:47:\"لطفاً یک نام انتخاب کنید!!!\";}i:3323;a:1:{i:0;s:64:\"لطفا محصول قابل رزرو را انتخاب کنید\";}i:3324;a:1:{i:0;s:56:\"لطفا تاریخ رزرو را انتخاب کنید.\";}i:3325;a:1:{i:0;s:59:\"لطفا یک دسته بندی را انتخاب کنید!\";}i:3326;a:1:{i:0;s:93:\"لطفا %1$s تایید دومرحله ای ووکامرس %2$s را غیرفعال کنید\";}i:3327;a:1:{i:0;s:61:\"لطفاً یک نام نشان معتبر وارد کنید.\";}i:3328;a:1:{i:0;s:71:\"لطفاً یک قیمت پیشنهادی معتبر وارد کنید.\";}i:3329;a:1:{i:0;s:46:\"لطفا قیمت معتبر وارد کنید\";}i:3330;a:1:{i:0;s:53:\"لطفا یک تعداد معتبر وارد کنید\";}i:3331;a:1:{i:0;s:54:\"لطفا یک تعداد معتبر وارد کنید.\";}i:3332;a:1:{i:0;s:48:\"لطفا متن دکمه را وارد کنید.\";}i:3333;a:1:{i:0;s:55:\"لطفاً جزئیات کارت را وارد کنید\";}i:3334;a:1:{i:0;s:57:\"لطفا متن مخفی قیمت را وارد کنید.\";}i:3335;a:1:{i:0;s:53:\"لطفا عنوان محصول را وارد کنید\";}i:3336;a:1:{i:0;s:50:\"لطفا نام قانون را وارد کنید.\";}i:3337;a:1:{i:0;s:66:\"لطفاً برای ارسال پیام متنی وارد کنید\";}i:3338;a:1:{i:0;s:155:\"لطفاً آدرسی را که ارسال می‌کنید از زیر وارد کنید تا فاصله مشتری از محل ارسال مشخص شود.\";}i:3339;a:1:{i:0;s:42:\"لطفا مقدار را وارد کنید\";}i:3340;a:1:{i:0;s:58:\"لطفا عنوان کد تخفیف را وارد کنید\";}i:3341;a:1:{i:0;s:68:\"لطفا شناسه حساب Razorpay خود را وارد کنید.\";}i:3342;a:1:{i:0;s:62:\"لطفا تمام داده های لازم را پر کنید.\";}i:3343;a:1:{i:0;s:49:\"لطفا تمام فیلدها را پر کنید\";}i:3344;a:1:{i:0;s:64:\"لطفاً تمام فیلدهای ضروری را پر کنید\";}i:3345;a:1:{i:0;s:86:\"لطفاً ابتدا فیلدهای لازم برای پرداخت را پر کنید\";}i:3346;a:1:{i:0;s:52:\"لطفا اطلاعات کارت را پر کنید!\";}i:3347;a:1:{i:0;s:51:\"لطفا کد IFSC بانک خود را بدهید.\";}i:3348;a:1:{i:0;s:68:\"لطفا نام حساب بانکی خود را ارائه دهید.\";}i:3349;a:1:{i:0;s:72:\"لطفا شماره حساب بانکی خود را ارائه دهید.\";}i:3350;a:1:{i:0;s:65:\"لطفا نام کسب و کار خود را ارائه دهید.\";}i:3351;a:1:{i:0;s:65:\"لطفا نوع کسب و کار خود را ارائه دهید.\";}i:3352;a:1:{i:0;s:61:\"لطفا ایمیل حساب razorpay خود را بدهید.\";}i:3353;a:1:{i:0;s:66:\"لطفا نام حساب razorpay خود را ارائه دهید.\";}i:3354;a:1:{i:0;s:101:\"لطفاً برای استفاده از حالت %3$s، اعتبار %1$s %2$s را وارد کنید\";}i:3355;a:1:{i:0;s:95:\"لطفا مطمئن شوید که حداقل یک روز تحویل انتخاب شده است!\";}i:3356;a:1:{i:0;s:106:\"لطفاً مطمئن شوید که سفارش در هر اسلات خالی ، کمتر از 0 نباشد\";}i:3357;a:1:{i:0;s:157:\"لطفا مطمئن شوید که تمام مشخصات را به درستی وارد کرده اید. اطلاعات را نمی توان تغییر داد.\";}i:3358;a:1:{i:0;s:105:\"لطفا مطمئن شوید که زمان بسته شدن بیشتر از زمان باز شدن است!\";}i:3359;a:1:{i:0;s:144:\"لطفاً مطمئن شوید که دقیقه  زمان خالی ، کمتر از 10 دقیقه یا بیشتر از 1440 دقیقه نباشد\";}i:3360;a:1:{i:0;s:102:\"لطفاً مطمئن شوید که تاریخ %1$s را برای %2$s انتخاب کرده‌اید.\";}i:3361;a:1:{i:0;s:97:\"لطفاً مطمئن شوید که زمان تحویل %1$s را انتخاب کرده‌اید.\";}i:3362;a:1:{i:0;s:121:\"لطفاً مطمئن شوید که مکان تحویل فروشگاه را برای %1$s انتخاب کرده‌اید.\";}i:3363;a:1:{i:0;s:176:\"لطفاً برای جلوگیری از لغو اشتراک %1$sفاکتور اشتراک%2$s را پرداخت کنید و روش پرداخت خود را تأیید کنید.\";}i:3364;a:1:{i:0;s:213:\"لطفاً <a href=\"%s\" target=\"_blank\" > صورتحساب اشتراک </a> را پرداخت کرده و روش پرداخت خود را تأیید کنید تا از لغو اشتراک جلوگیری کنید.\";}i:3365;a:1:{i:0;s:116:\"لطفاً صورتحساب اشتراک را پرداخت کرده و روش پرداخت را تأیید کنید.\";}i:3366;a:1:{i:0;s:28:\"لطفا ارائه کنید\";}i:3367;a:1:{i:0;s:54:\"لطفا روش برداشت را ارائه دهید.\";}i:3368;a:1:{i:0;s:43:\"لطفا یک کشور ارائه دهید!\";}i:3369;a:1:{i:0;s:50:\"لطفا یک نام مکان ارائه دهید!\";}i:3370;a:1:{i:0;s:51:\"لطفاً یک نام منبع ارائه دهید\";}i:3371;a:1:{i:0;s:67:\"لطفاً یک نام عملیات معتبر ارائه دهید.\";}i:3372;a:1:{i:0;s:76:\"لطفاً یک نوع رویداد نشان معتبر ارائه دهید.\";}i:3373;a:1:{i:0;s:55:\"لطفاً یک نشان معتبر ارائه دهید\";}i:3374;a:1:{i:0;s:67:\"لطفاً یک شناسه نشان معتبر ارائه دهید.\";}i:3375;a:1:{i:0;s:63:\"لطفاً یک نام نشان معتبر ارائه دهید.\";}i:3376;a:1:{i:0;s:73:\"لطفاً یک نوع حساب بانکی معتبر ارائه دهید\";}i:3377;a:1:{i:0;s:73:\"لطفاً یک شناسه فروشنده معتبر ارائه دهید.\";}i:3378;a:1:{i:0;s:76:\"لطفا تمام اطلاعات مورد نیاز را ارائه دهید.\";}i:3379;a:1:{i:0;s:47:\"لطفا داده ها را ارائه دهید\";}i:3380;a:1:{i:0;s:85:\"لطفاً شناسه نشان و فروشنده معتبر را ارائه دهید.\";}i:3381;a:1:{i:0;s:60:\"لطفا شناسه نشان معتبر ارائه دهید.\";}i:3382;a:1:{i:0;s:75:\"لطفاً داده‌های سطح نشان معتبر ارائه دهید\";}i:3383;a:1:{i:0;s:76:\"لطفاً داده‌های سطح نشان معتبر ارائه دهید.\";}i:3384;a:1:{i:0;s:105:\"لطفاً برای ادامه، شرایط و ضوابط MangoPay را بخوانید و بپذیرید.\";}i:3385;a:1:{i:0;s:69:\"لطفا از فهرست زیر استان را انتخاب کنید\";}i:3386;a:1:{i:0;s:49:\"لطفا یک دسته را انتخاب کنید\";}i:3387;a:1:{i:0;s:67:\"لطفا از فهرست زیر کشور را انتخاب کنید\";}i:3388;a:1:{i:0;s:62:\"لطفا ابتدا یک محصول را انتخاب کنید\";}i:3389;a:1:{i:0;s:64:\"لطفا یک روش حمل و نقل را انتخاب کنید\";}i:3390;a:1:{i:0;s:66:\"لطفا ابتدا یک فروشگاه را انتخاب کنید\";}i:3391;a:1:{i:0;s:71:\"لطفاً یک رویداد نشان معتبر انتخاب کنید.\";}i:3392;a:1:{i:0;s:53:\"لطفا یک فایل xml را انتخاب کنید\";}i:3393;a:1:{i:0;s:52:\"لطفا یک گزینه را انتخاب کنید!\";}i:3394;a:1:{i:0;s:69:\"لطفا حداقل یک دسته بندی را انتخاب کنید\";}i:3395;a:1:{i:0;s:61:\"لطفا حداقل یک قیمت را انتخاب کنید.\";}i:3396;a:1:{i:0;s:63:\"لطفا حداقل یک محصول را انتخاب کنید.\";}i:3397;a:1:{i:0;s:70:\"لطفا حداقل یک نقش کاربر را انتخاب کنید.\";}i:3398;a:1:{i:0;s:122:\"لطفاً یک محصول یا دسته را انتخاب کنید تا حداقل/حداکثر را تنظیم کنید.\";}i:3399;a:1:{i:0;s:81:\"لطفا برای ارسال درخواست آیتمی را انتخاب کنید\";}i:3400;a:1:{i:0;s:52:\"لطفا چند مورد را انتخاب کنید.\";}i:3401;a:1:{i:0;s:133:\"لطفاً قبل از افزودن این محصول به سبد خرید، چند گزینه محصول را انتخاب کنید.\";}i:3402;a:1:{i:0;s:57:\"لطفا ابتدا %s خود را انتخاب کنید.\";}i:3403;a:1:{i:0;s:74:\"لطفاً کشور خود را برای ادامه انتخاب کنید.\";}i:3404;a:1:{i:0;s:57:\"لطفا شناسه محصولات را مشخص کنید\";}i:3405;a:1:{i:0;s:44:\"لطفا محصولی را مشخص کنید\";}i:3406;a:1:{i:0;s:138:\"لطفاً انتخاب برنامه برداشت خود را برای دریافت خودکار پرداخت بروزرسانی کنید.\";}i:3407;a:1:{i:0;s:33:\"لطفا ارتقا دهید به\";}i:3408;a:1:{i:0;s:52:\"لطفا حداقل یک سند آپلود کنید.\";}i:3409;a:1:{i:0;s:87:\"لطفاً منتظر بمانید تا پرداخت شما را پردازش کنیم.\";}i:3410;a:1:{i:0;s:27:\"لطفا صبر کنید...\";}i:3411;a:1:{i:0;s:57:\"ارائه دهندگان حمل و نقل لهستانی\";}i:3412;a:1:{i:0;s:23:\"زلوتی لهستان\";}i:3413;a:1:{i:0;s:25:\"محصولات محبوب\";}i:3414;a:1:{i:0;s:12:\"موقعيت\";}i:3415;a:1:{i:0;s:15:\"موضوع ها\";}i:3416;a:1:{i:0;s:10:\"موضوع\";}i:3417;a:1:{i:0;s:17:\"آدرس پستی\";}i:3418;a:1:{i:0;s:12:\"کدپستی\";}i:3419;a:1:{i:0;s:33:\"کد پستی الزامی است\";}i:3420;a:1:{i:0;s:68:\"کدهای پستی باید با کاما از هم جدا شوند\";}i:3421;a:1:{i:0;s:25:\"پوند استرلینگ\";}i:3422;a:1:{i:0;s:45:\"پالت رنگ از پیش تنطیم شده\";}i:3423;a:1:{i:0;s:38:\"پیام های از پیش آماده\";}i:3424;a:1:{i:0;s:32:\"روش پرداخت ترجیحی\";}i:3425;a:1:{i:0;s:43:\"زمان بندی پرداخت ترجیحی\";}i:3426;a:1:{i:0;s:12:\"پیشوند\";}i:3427;a:1:{i:0;s:19:\"پیش‌نمایش\";}i:3428;a:1:{i:0;s:32:\"جزئیات تحویل قبلی\";}i:3429;a:1:{i:0;s:24:\"کل سفارش قبلی\";}i:3430;a:1:{i:0;s:92:\"جزئیات تحویل قبلی : تاریخ - %1$s, اسلات - %2$s, نوع - %3$s. %4$s\";}i:3431;a:1:{i:0;s:39:\"محل تحویل قبلی : %1$s. %2$s\";}i:3432;a:1:{i:0;s:30:\"جزئیات مظنه قبلی\";}i:3433;a:1:{i:0;s:8:\"قیمت\";}i:3434;a:1:{i:0;s:9:\"قیمت:\";}i:3435;a:1:{i:0;s:26:\"قیمت پنهان است\";}i:3436;a:1:{i:0;s:10:\"قیمت: \";}i:3437;a:1:{i:0;s:12:\"قیمت: %s\";}i:3438;a:1:{i:0;s:12:\"اولویت\";}i:3439;a:1:{i:0;s:21:\"خصوصی محدود\";}i:3440;a:1:{i:0;s:25:\"یادداشت خصوصی\";}i:3441;a:1:{i:0;s:104:\"مشکلی در ایجاد اشتراک با استریپ وجود دارد. جزئیات بیشتر: %s\";}i:3442;a:1:{i:0;s:24:\"ادامه با MangoPay\";}i:3443;a:1:{i:0;s:56:\"ادامه به پرداخت از طریق اپل پی؟\";}i:3444;a:1:{i:0;s:24:\"در حال پردازش\";}i:3445;a:1:{i:0;s:112:\"پاسخ پردازش: پردازش پرداخت انجام نشد. لطفا دوباره امتحان کنید.\";}i:3446;a:1:{i:0;s:21:\"زمان پردازش\";}i:3447;a:1:{i:0;s:62:\"هزینه پردازش توسط %s پرداخت می‌شود\";}i:3448;a:1:{i:0;s:27:\"هزینه پردازش: %s\";}i:3449;a:1:{i:0;s:10:\"محصول\";}i:3450;a:1:{i:0;s:30:\"گزارش تخلف محصول\";}i:3451;a:1:{i:0;s:25:\"افزودنی محصول\";}i:3452;a:1:{i:0;s:32:\"افزودنی های محصول\";}i:3453;a:1:{i:0;s:40:\"تنظیمات تبلیغات محصول\";}i:3454;a:1:{i:0;s:25:\"تبلیغات محصول\";}i:3455;a:1:{i:0;s:39:\"دسته بندی های محصولات\";}i:3456;a:1:{i:0;s:41:\"انتخاب دسته بندی محصول\";}i:3457;a:1:{i:0;s:26:\"داده های محصول\";}i:3458;a:1:{i:0;s:25:\"استعلام محصول\";}i:3459;a:1:{i:0;s:48:\"فیلد شناسه محصول ضروری است\";}i:3460;a:1:{i:0;s:85:\"شناسه محصول که متغیرها برای آن مدیریت خواهد شد.\";}i:3461;a:1:{i:0;s:27:\"شناسه‌ی محصول:\";}i:3462;a:1:{i:0;s:34:\"شناسه‌های محصولات\";}i:3463;a:1:{i:0;s:48:\"شناسه محصول برای فیلتر فرم\";}i:3464;a:1:{i:0;s:23:\"موقعیت محصول\";}i:3465;a:1:{i:0;s:34:\"زبانه موقعیت محصول\";}i:3466;a:1:{i:0;s:17:\"نام محصول\";}i:3467;a:1:{i:0;s:39:\"نگه دارنده مکان محصول\";}i:3468;a:1:{i:0;s:23:\"انتشار محصول\";}i:3469;a:1:{i:0;s:46:\"تخفیف بر اساس تعداد محصول\";}i:3470;a:1:{i:0;s:44:\"نشان‌های مرتبط با محصول\";}i:3471;a:1:{i:0;s:30:\"گزارش تخلف محصول\";}i:3472;a:1:{i:0;s:45:\"تنظیمات تخلف گزارش محصول\";}i:3473;a:1:{i:0;s:28:\"شناسه (SKU) محصول:\";}i:3474;a:1:{i:0;s:21:\"وضعیت محصول\";}i:3475;a:1:{i:0;s:23:\"اشتراک محصول\";}i:3476;a:1:{i:0;s:27:\"برچسبهای محصول\";}i:3477;a:1:{i:0;s:23:\"مالیات محصول\";}i:3478;a:1:{i:0;s:23:\"آدرس محصولات\";}i:3479;a:1:{i:0;s:23:\"لینک محصول: %s\";}i:3480;a:1:{i:0;s:25:\"واحدهای محصول\";}i:3481;a:1:{i:0;s:25:\"فروشنده محصول\";}i:3482;a:1:{i:0;s:65:\"محصول با موفقیت به فروشگاه اضافه شد!\";}i:3483;a:1:{i:0;s:141:\"تبلیغات محصول در حال حاضر ادامه دارد. آگهی در تاریخ: <strong>%s</strong> به پایان می رسد\";}i:3484;a:1:{i:0;s:35:\"دسته بندی های محصول\";}i:3485;a:1:{i:0;s:39:\"لیست دسته‌بندی محصول\";}i:3486;a:1:{i:0;s:28:\"محصول ایجاد نشد\";}i:3487;a:1:{i:0;s:26:\"محصول بروز نشد\";}i:3488;a:1:{i:0;s:41:\"محصول با موفقیت حذف شد.\";}i:3489;a:1:{i:0;s:55:\"محصول به سبد خرید شما اضافه شد.\";}i:3490;a:1:{i:0;s:45:\"محصول با موفقیت تبلیغ شد.\";}i:3491;a:1:{i:0;s:36:\"محصول گارانتی ندارد\";}i:3492;a:1:{i:0;s:21:\"شناسه محصول\";}i:3493;a:1:{i:0;s:130:\"شناسه محصول به فروشنده داده شده تعلق ندارد. لطفا ورودی خود را بررسی کنید\";}i:3494;a:1:{i:0;s:85:\"شناسه محصول برای شبیه سازی محصول مورد نیاز است.\";}i:3495;a:1:{i:0;s:21:\"شناسه محصول\";}i:3496;a:1:{i:0;s:21:\"تصویر محصول\";}i:3497;a:1:{i:0;s:109:\"محصول هنوز منتشر نشده است. این از لیست تبلیغات پنهان می‌شود.\";}i:3498;a:1:{i:0;s:19:\"لینک محصول\";}i:3499;a:1:{i:0;s:17:\"نام محصول\";}i:3500;a:1:{i:0;s:19:\"نام محصول..\";}i:3501;a:1:{i:0;s:39:\"محصول دیگر موجود نیست\";}i:3502;a:1:{i:0;s:26:\"محصول یافت نشد\";}i:3503;a:1:{i:0;s:27:\"محصول یافت نشد!\";}i:3504;a:1:{i:0;s:27:\"محصول یافت نشد.\";}i:3505;a:1:{i:0;s:87:\"قیمت محصول نمی تواند کمتر از هزینه فروشنده باشد!\";}i:3506;a:1:{i:0;s:32:\"تعداد نظرات محصول\";}i:3507;a:1:{i:0;s:85:\"وضعیت محصول وقتی اعتبار پکیج فروشنده منقضی شود\";}i:3508;a:1:{i:0;s:39:\"محصول باموفقیت کپی شد\";}i:3509;a:1:{i:0;s:46:\"محصول با موفقیت به روز شد.\";}i:3510;a:1:{i:0;s:17:\"نوع محصول\";}i:3511;a:1:{i:0;s:45:\"محصول با موفقیت به روز شد\";}i:3512;a:1:{i:0;s:37:\"متغیر محصول یافت نشد\";}i:3513;a:1:{i:0;s:27:\"متغیرهای محصول\";}i:3514;a:1:{i:0;s:32:\"نام فروشنده محصول\";}i:3515;a:1:{i:0;s:57:\"محصول با شناسه (%d) یافت نمی‌شود.\";}i:3516;a:1:{i:0;s:14:\"محصول: %s\";}i:3517;a:1:{i:0;s:19:\"کلید تولید\";}i:3518;a:1:{i:0;s:30:\"کلید تولید عمومی\";}i:3519;a:1:{i:0;s:19:\"توکن تولید\";}i:3520;a:1:{i:0;s:23:\"اعتبار تولید\";}i:3521;a:1:{i:0;s:14:\"محصولات\";}i:3522;a:1:{i:0;s:15:\"محصولات:\";}i:3523;a:1:{i:0;s:32:\"محصولات منتشر شده\";}i:3524;a:1:{i:0;s:163:\"محصولات از سبد خرید شما حذف شده است. محصولات و اشتراک ها به طور همزمان قابل خریداری نیستند.\";}i:3525;a:1:{i:0;s:201:\"محصولاتی که تخفیف روی آنها اعمال می‌شود یا باید در سبد خرید وجود داشته باشند تا \"تخفیف سبد خرید ثابت\" اعمال شود.\";}i:3526;a:1:{i:0;s:194:\"محصولاتی که تخفیف روی آنها اعمال نمی‌شود یا نمی توانند در سبد خرید باشند تا \"تخفیف سبد خرید ثابت\" اعمال شود.\";}i:3527;a:1:{i:0;s:13:\"حرفه ای\";}i:3528;a:1:{i:0;s:25:\"تصویر پروفایل\";}i:3529;a:1:{i:0;s:37:\"پروفایل 100% کامل نیست\";}i:3530;a:1:{i:0;s:41:\"لیست پروفایل به روز شد!\";}i:3531;a:1:{i:0;s:14:\"تبلیغات\";}i:3532;a:1:{i:0;s:137:\"هنگام ایجاد فروشگاه در سایت خود، شرایط و ضوابط را برای فروشندگان بررسی کنید\";}i:3533;a:1:{i:0;s:21:\"تایید سکونت\";}i:3534;a:1:{i:0;s:21:\"تایید سکونت\";}i:3535;a:1:{i:0;s:12:\"مالکیت\";}i:3536;a:1:{i:0;s:105:\"یک برنامه زمانبندی برای تنظیم به عنوان پیش فرض ارائه کنید.\";}i:3537;a:1:{i:0;s:165:\"نوع رویداد ارائه شده از قبل در پایگاه داده وجود دارد. لطفاً نوع رویداد دیگری را انتخاب کنید.\";}i:3538;a:1:{i:0;s:28:\"نام ارائه دهنده\";}i:3539;a:1:{i:0;s:12:\"پروکسی\";}i:3540;a:1:{i:0;s:21:\"عمومی محدود\";}i:3541;a:1:{i:0;s:12:\"انتشار\";}i:3542;a:1:{i:0;s:21:\"انتشار نشان\";}i:3543;a:1:{i:0;s:27:\"انتشار محصولات\";}i:3544;a:1:{i:0;s:38:\"انتشار نشان انتخابی؟\";}i:3545;a:1:{i:0;s:30:\"کلید قابل انتشار\";}i:3546;a:1:{i:0;s:46:\"کلید قابل انتشار برای Stripe\";}i:3547;a:1:{i:0;s:17:\"منتشر شده\";}i:3548;a:1:{i:0;s:12:\"پرداخت\";}i:3549;a:1:{i:0;s:23:\"یادداشت خرید\";}i:3550;a:1:{i:0;s:65:\"خرید تبلیغ توسط ادمین محدود می باشد.\";}i:3551;a:1:{i:0;s:59:\"برای محصولات نامحدود -1 قرار دهید\";}i:3552;a:1:{i:0;s:10:\"تعداد\";}i:3553;a:1:{i:0;s:10:\"تعداد\";}i:3554;a:1:{i:0;s:11:\"تعداد \";}i:3555;a:1:{i:0;s:24:\"بر اساس تعداد\";}i:3556;a:1:{i:0;s:22:\"تعداد تخفیف:\";}i:3557;a:1:{i:0;s:23:\"تعداد تخفیف: \";}i:3558;a:1:{i:0;s:35:\"تعداد در دسترس نیست\";}i:3559;a:1:{i:0;s:22:\"تعداد محصول.\";}i:3560;a:1:{i:0;s:14:\"تعداد: %s\";}i:3561;a:1:{i:0;s:22:\"سه ماه یکبار\";}i:3562;a:1:{i:0;s:21:\"برنامه فصلی\";}i:3563;a:1:{i:0;s:21:\"ویرایش سریع\";}i:3564;a:1:{i:0;s:8:\"مظنه\";}i:3565;a:1:{i:0;s:10:\"مظنه #\";}i:3566;a:1:{i:0;s:11:\"مظنه#: \";}i:3567;a:1:{i:0;s:43:\"تنظیمات ویژگی‌های مظنه\";}i:3568;a:1:{i:0;s:19:\"تاریخ مظنه\";}i:3569;a:1:{i:0;s:21:\"تاریخ مظنه: \";}i:3570;a:1:{i:0;s:21:\"جزئیات مظنه\";}i:3571;a:1:{i:0;s:15:\"نام مظنه\";}i:3572;a:1:{i:0;s:21:\"قوانین مظنه\";}i:3573;a:1:{i:0;s:23:\"تنظیمات مظنه\";}i:3574;a:1:{i:0;s:19:\"وضعیت مظنه\";}i:3575;a:1:{i:0;s:21:\"وضعیت مظنه: \";}i:3576;a:1:{i:0;s:19:\"عنوان مظنه\";}i:3577;a:1:{i:0;s:37:\"عنوان مظنه الزامیست.\";}i:3578;a:1:{i:0;s:39:\"مظنه با موفقیت حذف شد.\";}i:3579;a:1:{i:0;s:24:\"مظنه خالی است\";}i:3580;a:1:{i:0;s:51:\"مظنه برای “%s” در دسترس نیست\";}i:3581;a:1:{i:0;s:33:\"کلید مظنه خالی است\";}i:3582;a:1:{i:0;s:19:\"مجموع مظنه\";}i:3583;a:1:{i:0;s:25:\"مظنه به روز شد\";}i:3584;a:1:{i:0;s:19:\"مظنه کاربر\";}i:3585;a:1:{i:0;s:15:\"مظنه‌ها\";}i:3586;a:1:{i:0;s:17:\"لیست مظنه\";}i:3587;a:1:{i:0;s:37:\"گارانتی و بازگشت وجه\";}i:3588;a:1:{i:0;s:45:\"تنظیمات گارانتی و بازگشت\";}i:3589;a:1:{i:0;s:28:\"شرایط عودت وجه: \";}i:3590;a:1:{i:0;s:18:\"تنظیمات RMA\";}i:3591;a:1:{i:0;s:23:\"دکمه رادیویی\";}i:3592;a:1:{i:0;s:8:\"گردی\";}i:3593;a:1:{i:0;s:45:\"شعاع جستجو - حداکثر فاصله\";}i:3594;a:1:{i:0;s:43:\"شعاع جستجو - حداقل فاصله\";}i:3595;a:1:{i:0;s:30:\"شعاع جستجو - واحد\";}i:3596;a:1:{i:0;s:12:\"محدوده\";}i:3597;a:1:{i:0;s:19:\"محدوده روز\";}i:3598;a:1:{i:0;s:19:\"محدوده ماه\";}i:3599;a:1:{i:0;s:21:\"محدوده هفته\";}i:3600;a:1:{i:0;s:19:\"نوع محدوده\";}i:3601;a:1:{i:0;s:20:\"سئوی رنک مث\";}i:3602;a:1:{i:0;s:21:\"امتیاز %d از5\";}i:3603;a:1:{i:0;s:11:\"نرخ ها\";}i:3604;a:1:{i:0;s:12:\"امتیاز\";}i:3605;a:1:{i:0;s:13:\"امتیاز:\";}i:3606;a:1:{i:0;s:14:\"امتیاز: \";}i:3607;a:1:{i:0;s:15:\"رازور پی\";}i:3608;a:1:{i:0;s:43:\"شناسه حساب Razorpay;مثال: acc_\";}i:3609;a:1:{i:0;s:19:\"خطای Razorpay: \";}i:3610;a:1:{i:0;s:485:\"خطای Razorpay: حساب Razorpay از قبل وجود دارد. لطفا یک حساب کاربری جدید با آدرس ایمیل دیگری ایجاد کنید. سپس با آدرس ایمیل جدید در اینجا ارتباط برقرار کنید. دلیل: Razorpay از همان ایمیل پشتیبانی نمی کند. یا اگر قبلاً یک بار وصل شده اید، روی گزینه \"من قبلا یک حساب کاربری دارم\" کلیک کنید.\";}i:3611;a:1:{i:0;s:23:\"تنظیمات Razorpay\";}i:3612;a:1:{i:0;s:43:\"شناسه تراکنش رازورپی: %s.\";}i:3613;a:1:{i:0;s:44:\"انتقال Razorpay نامعتبر است.\";}i:3614;a:1:{i:0;s:76:\"انتقال Razorpay نامعتبر است. انتقالی پیدا نشد.\";}i:3615;a:1:{i:0;s:50:\"حساب Razorpay با موفقیت متصل شد.\";}i:3616;a:1:{i:0;s:48:\"حساب Razorpay با موفقیت قطع شد.\";}i:3617;a:1:{i:0;s:79:\"سفارش Razorpay ایجاد نشد. لطفا دوباره تلاش کنید.\";}i:3618;a:1:{i:0;s:24:\"سند باکس Razorpay\";}i:3619;a:1:{i:0;s:200:\"سند باکس Razorpay می تواند برای آزمایش پرداخت ها استفاده شود. برای یک حساب توسعه دهنده <a href=\"%s\">اینجا</a> ثبت نام کنید.\";}i:3620;a:1:{i:0;s:34:\"بازکردن مجدد تاپیک\";}i:3621;a:1:{i:0;s:138:\"دستیابی به 500 میلیون مشتری و بیش از 20 میلیون کسب و کار در سراسر اتحادیه اروپا.\";}i:3622;a:1:{i:0;s:30:\"فعال کردن دوباره\";}i:3623;a:1:{i:0;s:19:\"ادامه مطلب\";}i:3624;a:1:{i:0;s:30:\"آماده برای تحویل\";}i:3625;a:1:{i:0;s:17:\"آماده حمل\";}i:3626;a:1:{i:0;s:8:\"دلیل\";}i:3627;a:1:{i:0;s:11:\"علت - %s\";}i:3628;a:1:{i:0;s:10:\"دلیل: \";}i:3629;a:1:{i:0;s:21:\"جزئیات دلیل\";}i:3630;a:1:{i:0;s:23:\"جزئیات دلیل: \";}i:3631;a:1:{i:0;s:15:\"دلیل خطا\";}i:3632;a:1:{i:0;s:38:\"دلیل عودت وجه(دلخواه)\";}i:3633;a:1:{i:0;s:10:\"علت: %s\";}i:3634;a:1:{i:0;s:39:\"دلایل برای گزارش تخلف\";}i:3635;a:1:{i:0;s:57:\"دلایل برای گارانتی و بازگشت وجه\";}i:3636;a:1:{i:0;s:16:\"گیرندگان\";}i:3637;a:1:{i:0;s:80:\"اندازه تصویر توصیه شده 60X65 پیکسل، JPG، PNG یا SVG.\";}i:3638;a:1:{i:0;s:10:\"تکرار\";}i:3639;a:1:{i:0;s:21:\"پرداخت مجدد\";}i:3640;a:1:{i:0;s:467:\"اشتراک دوره‌ای نیاز به پیکربندی وب‌هوک دارد. به <a href=\"%1$s\" target=\"_blank\">وب‌هوک</a> بروید و آدرس وب‌هوک خود را به <code>%2$s</code><span class=\"dokan-copy-to-clipboard\" data-copy=\"%3$s\"></span> تنظیم کنید (اگر به طور خودکار تنظیم نشده باشد). در غیر این صورت، پرداخت دوره‌ای به طور خودکار کار نخواهد کرد.\";}i:3641;a:1:{i:0;s:28:\"آدرس تغییر مسیر\";}i:3642;a:1:{i:0;s:28:\"آدرس تغییر مسیر\";}i:3643;a:1:{i:0;s:39:\"ریدایکرت به صفحه مظنه\";}i:3644;a:1:{i:0;s:139:\"پس از اینکه یک محصول با موفقیت به مظنه اضافه شد، به صفحه مظنه تغییر مسیر دهید.\";}i:3645;a:1:{i:0;s:23:\"سفارش مرجع #%s\";}i:3646;a:1:{i:0;s:52:\"درحال تازه کردن لیست پروفایل\";}i:3647;a:1:{i:0;s:15:\"عودت وجه\";}i:3648;a:1:{i:0;s:26:\"استرداد %s دستی\";}i:3649;a:1:{i:0;s:29:\"استرداد %1$s با %2$s\";}i:3650;a:1:{i:0;s:26:\"مقدار عودت وجه\";}i:3651;a:1:{i:0;s:28:\"مقدار عودت وجه: \";}i:3652;a:1:{i:0;s:37:\"مقدار استرداد : %1$s %2$s\";}i:3653;a:1:{i:0;s:24:\"عودت وجه دستی\";}i:3654;a:1:{i:0;s:22:\"روش عودت وجه\";}i:3655;a:1:{i:0;s:26:\"سیاست عودت وجه\";}i:3656;a:1:{i:0;s:88:\"استرداد از طریق %1$s پردازش شد ( شناسه استرداد : %2$s )\";}i:3657;a:1:{i:0;s:102:\"استرداد از طریق داشبورد MangoPay پردازش شد (شناسه استرداد: %s)\";}i:3658;a:1:{i:0;s:111:\"استرداد از طریق داشبورد پی پال پردازش شد (شناسه بازپرداخت: %1$s)\";}i:3659;a:1:{i:0;s:110:\"عودت وجه از طریق حساب استریپ فروشنده پردازش شد (شناسه عودت: %s)\";}i:3660;a:1:{i:0;s:128:\"استرداد از طریق %1$s پردازش شد – دلیل: %2$s - زیرسفارش %3$d - تایید شده توسط %4$s\";}i:3661;a:1:{i:0;s:24:\"دلیل عودت وجه\";}i:3662;a:1:{i:0;s:26:\"دلیل عودت وجه: \";}i:3663;a:1:{i:0;s:35:\"دلیل استرداد : %1$s %2$s\";}i:3664;a:1:{i:0;s:28:\"دلایل عودت وجه: \";}i:3665;a:1:{i:0;s:112:\"درخواست استرداد برای زیر سفارش #%1$s - مبلغ %2$s – دلیل: %3$s - لغو شد.\";}i:3666;a:1:{i:0;s:87:\"درخواست استرداد برای مبلغ: %1$s – دلیل: %2$s - لغو شد.\";}i:3667;a:1:{i:0;s:38:\"درخواست‌های استرداد\";}i:3668;a:1:{i:0;s:26:\"مقدار عودت وجه\";}i:3669;a:1:{i:0;s:66:\"درخواست عودت وجه باید بیشتر از 0 باشد\";}i:3670;a:1:{i:0;s:76:\"درخواست بازگشت وجه باید بیشتر از صفر باشد.\";}i:3671;a:1:{i:0;s:59:\"عودت وجه به عنوان اعتبار فروشگاه\";}i:3672;a:1:{i:0;s:143:\"سیاست استرداد برای همه فروشگاه ها. فروشنده می تواند این قوانین را بازنویسی کند.\";}i:3673;a:1:{i:0;s:70:\"پردازش استرداد برای سفارش #%d انجام نشد.\";}i:3674;a:1:{i:0;s:76:\"پردازش استرداد برای زیرسفارش #%d انجام نشد.\";}i:3675;a:1:{i:0;s:64:\"درخواست بازگشت وجه توسط %1$s تایید شد\";}i:3676;a:1:{i:0;s:59:\"درخواست استرداد تأیید نشد. خطا: %s\";}i:3677;a:1:{i:0;s:104:\"درخواست استرداد برای شناسه سفارش #{order_id} در وضعیت {status} است\";}i:3678;a:1:{i:0;s:66:\"درخواست عودت وجه برای {order_id} هست {status}\";}i:3679;a:1:{i:0;s:21:\"شناسه سفارش\";}i:3680;a:1:{i:0;s:26:\"مقدار عودت وجه\";}i:3681;a:1:{i:0;s:47:\"درخواست عودت وجه ارسال شد.\";}i:3682;a:1:{i:0;s:93:\"درخواست استرداد با موفقیت برای تأیید مدیر ارسال شد.\";}i:3683;a:1:{i:0;s:312:\"درخواست عودت وجه به دلیل عدم تطابق گزینه های برداشت با تنظیمات مدیر امکان پذیر نیست. لطفاً گزینه سفارش وضعیت برای برداشت را از دکان -> تنظیمات -> گزینه های برداشتن بررسی کنید.\";}i:3684;a:1:{i:0;s:26:\"وضعیت عودت وجه\";}i:3685;a:1:{i:0;s:20:\"عودت وجه با\";}i:3686;a:1:{i:0;s:53:\"عودت وجه از طریق درگاه پرداخت\";}i:3687;a:1:{i:0;s:15:\"عودت شده\";}i:3688;a:1:{i:0;s:49:\"استرداد %1$s با %2$s – دلیل: %3$s \";}i:3689;a:1:{i:0;s:72:\"مسترد %1$s%2$s از طریق %3$s - شناسه استرداد: %4$s\";}i:3690;a:1:{i:0;s:31:\"استرداد از طریق %s\";}i:3691;a:1:{i:0;s:40:\"استرداد از طریق پی پال\";}i:3692;a:1:{i:0;s:33:\"عودت شده با استریپ\";}i:3693;a:1:{i:0;s:37:\"عودت شده با استریپ 3DS\";}i:3694;a:1:{i:0;s:104:\"استرداد از حساب razorpay ادمین: %1$s. شناسه استرداد: %2$s. دلیل - %3$s\";}i:3695;a:1:{i:0;s:111:\"از حساب استریپ مدیر عودت می‌شود: %1$s %2$s - شناسه عودت وجه: %3$s - %4$s\";}i:3696;a:1:{i:0;s:15:\"عودت وجه\";}i:3697;a:1:{i:0;s:18:\"عودت وجه %s\";}i:3698;a:1:{i:0;s:107:\"درخواست عودت وجه و بازگشت جدید توسط ({customer_name}) ارسال شده است\";}i:3699;a:1:{i:0;s:11:\"رد شده\";}i:3700;a:1:{i:0;s:36:\"با احترام,<br>Admin,<br>%1$s\";}i:3701;a:1:{i:0;s:14:\"بازسازی\";}i:3702;a:1:{i:0;s:38:\"بازسازی کمسیون سفارش\";}i:3703;a:1:{i:0;s:88:\"بازسازی شناسه‌های نویسنده متغیرهای محصول متغیر\";}i:3704;a:1:{i:0;s:785:\"مقدار کمیسیون سفارش را بر اساس داده های ذخیره شده بازسازی کنید. وقتی سفارشی ثبت می‌شود، داده‌های مربوط به کمیسیون، مانند نرخ کمیسیون، نوع کمیسیون، و هزینه اضافی برای کمیسیون ترکیبی، در داده‌های خط محصول مربوطه در زیر جدول `woocommerce_order_itemmeta` ذخیره می‌شوند. با کلیک بر روی دکمه بازسازی، کمیسیون سفارش بر اساس این مقادیر ذخیره شده مجددا محاسبه می شود. توجه داشته باشید که سفارشات بازپرداخت شده به طور کامل یا جزئی نادیده گرفته خواهند شد.\";}i:3705;a:1:{i:0;s:16:\"ناحیه(ها)\";}i:3706;a:1:{i:0;s:15:\"ثبت‌نام\";}i:3707;a:1:{i:0;s:13:\"عضو شده\";}i:3708;a:1:{i:0;s:22:\"کارت ثبت شده\";}i:3709;a:1:{i:0;s:24:\"تاریخ ثبت شده\";}i:3710;a:1:{i:0;s:25:\"ثبت نام شده از\";}i:3711;a:1:{i:0;s:28:\"اطلاعیه ثبت نام\";}i:3712;a:1:{i:0;s:24:\"اثبات ثبت نام\";}i:3713;a:1:{i:0;s:101:\"تاریخ ثبت نام برای کاربر در قالب قابل خواندن توسط انسان.\";}i:3714;a:1:{i:0;s:45:\"تاریخ ثبت نام برای کاربر.\";}i:3715;a:1:{i:0;s:22:\"قیمت معمولی:\";}i:3716;a:1:{i:0;s:29:\"حمل و نقل معمولی\";}i:3717;a:1:{i:0;s:30:\"قیمت واحد معمولی\";}i:3718;a:1:{i:0;s:17:\"قیمت عادی\";}i:3719;a:1:{i:0;s:4:\"رد\";}i:3720;a:1:{i:0;s:11:\"رد شده\";}i:3721;a:1:{i:0;s:25:\"سفارشات مرتبط\";}i:3722;a:1:{i:0;s:12:\"ارتباط\";}i:3723;a:1:{i:0;s:12:\"وابسته\";}i:3724;a:1:{i:0;s:57:\"لیست کردن مجدد تاریخ پایان حراج\";}i:3725;a:1:{i:0;s:55:\"لیست کردن مجدد تاریخ شروع حراج\";}i:3726;a:1:{i:0;s:47:\"لیست مجدد حراجی پس از ساعت\";}i:3727;a:1:{i:0;s:81:\"لیست مجددا ،چنانچه بعد از چندساعت ناموفق بود\";}i:3728;a:1:{i:0;s:81:\"لیست مجددا ،چنانچه بعد از چندساعت پرداخت نشد\";}i:3729;a:1:{i:0;s:57:\"فایل راه دور اندازه درستی ندارد\";}i:3730;a:1:{i:0;s:80:\"فایل از راه دور بیش از حد بزرگ است، حد مجاز: %s\";}i:3731;a:1:{i:0;s:49:\"سرور راه دور هیچ جوابی نداد\";}i:3732;a:1:{i:0;s:79:\"سرور از راه دور پاسخ خطای %1$d %2$s را بازگرداند\";}i:3733;a:1:{i:0;s:6:\"حذف\";}i:3734;a:1:{i:0;s:22:\"حذف سطح نشان\";}i:3735;a:1:{i:0;s:24:\"حذف این تصویر\";}i:3736;a:1:{i:0;s:22:\"حذف این آیتم\";}i:3737;a:1:{i:0;s:42:\"پاک کردن متای این آیتم؟\";}i:3738;a:1:{i:0;s:10:\"تمدید\";}i:3739;a:1:{i:0;s:20:\"تمدید الان!\";}i:3740;a:1:{i:0;s:17:\"تمدید پلن\";}i:3741;a:1:{i:0;s:108:\"اکنون تمدید کنید تا دسترسی فوری به این ویژگی را به دست آورید\";}i:3742;a:1:{i:0;s:33:\"باز کردن مجدد تیکت\";}i:3743;a:1:{i:0;s:134:\"منوهای داشبورد فروشنده خود را ترتیب مجدد، تغییر نام ، فعال و غیرفعال کنید.\";}i:3744;a:1:{i:0;s:14:\"جایگزین\";}i:3745;a:1:{i:0;s:94:\"دکمه افزودن به سبد خرید را با دکمه مظنه جایگزین کنید\";}i:3746;a:1:{i:0;s:13:\"پاسخ به\";}i:3747;a:1:{i:0;s:31:\"گزارش سوءاستفاده\";}i:3748;a:1:{i:0;s:26:\"گزارش یافت نشد\";}i:3749;a:1:{i:0;s:41:\"گزارش با موفقیت حذف شد.\";}i:3750;a:1:{i:0;s:22:\"گزارش شده در\";}i:3751;a:1:{i:0;s:28:\"محصول گزارش شده\";}i:3752;a:1:{i:0;s:22:\"گزارش شده در\";}i:3753;a:1:{i:0;s:26:\"گزارش شده توسط\";}i:3754;a:1:{i:0;s:15:\"گزارش ها\";}i:3755;a:1:{i:0;s:31:\"جزئیات درخواست: %s\";}i:3756;a:1:{i:0;s:131:\"درخواست با شناسه #<mark>%s</mark> در سفارش #<mark>%s</mark> در حال حاضر <mark>%s</mark> می باشد\";}i:3757;a:1:{i:0;s:23:\"درخواست مظنه\";}i:3758;a:1:{i:0;s:34:\"درخواست وضعیت مظنه\";}i:3759;a:1:{i:0;s:23:\"درخواست مظنه\";}i:3760;a:1:{i:0;s:30:\"درخواست عودت وجه\";}i:3761;a:1:{i:0;s:23:\"نوع درخواست :\";}i:3762;a:1:{i:0;s:25:\"نوع درخواست: %s\";}i:3763;a:1:{i:0;s:29:\"درخواست گارانتی\";}i:3764;a:1:{i:0;s:29:\"درخواست گارانتی\";}i:3765;a:1:{i:0;s:32:\"درخواست برای مظنه\";}i:3766;a:1:{i:0;s:37:\"درخواست برای نقل قول\";}i:3767;a:1:{i:0;s:48:\"درخواست با موفقیت ارسال شد\";}i:3768;a:1:{i:0;s:53:\"درخواست با این شناسه یافت نشد\";}i:3769;a:1:{i:0;s:34:\"شناسه درخواست مظنه\";}i:3770;a:1:{i:0;s:34:\"وضعیت درخواست مظنه\";}i:3771;a:1:{i:0;s:41:\"نوع درخواست الزامی است\";}i:3772;a:1:{i:0;s:34:\"مظنه‌های درخواستی\";}i:3773;a:1:{i:0;s:69:\"جزئیات درخواستی را نمی توان ذخیره کرد.\";}i:3774;a:1:{i:0;s:31:\"درخواست تایید شد!\";}i:3775;a:1:{i:0;s:27:\"درخواست لغو شد!\";}i:3776;a:1:{i:0;s:27:\"درخواست حذف شد!\";}i:3777;a:1:{i:0;s:47:\"نیاز به تاریخ و زمان تحویل\";}i:3778;a:1:{i:0;s:44:\"نیاز به یک دوره بافر از ( \";}i:3779;a:1:{i:0;s:315:\"قابلیت های مورد نیاز در کشور انتخاب شده در حال حاضر پشتیبانی نمی‌شود. لطفاً یک کشور پشتیبانی شده را انتخاب کنید. برای فهرست کشورهای پشتیبانی شده، %1$sاسناد استریپ%2$s را ببینید.\";}i:3780;a:1:{i:0;s:21:\"فیلد اجباری\";}i:3781;a:1:{i:0;s:25:\"نیازمند تایید\";}i:3782;a:1:{i:0;s:24:\"نیاز به بررسی\";}i:3783;a:1:{i:0;s:33:\"واحد پول مورد نیاز\";}i:3784;a:1:{i:0;s:48:\"موجودی رزرو انتخاب شده است\";}i:3785;a:1:{i:0;s:24:\"قیمت رزرو شده\";}i:3786;a:1:{i:0;s:8:\"ریست\";}i:3787;a:1:{i:0;s:15:\"ریست همه\";}i:3788;a:1:{i:0;s:23:\"بازنشانی همه\";}i:3789;a:1:{i:0;s:56:\"تنظیم مجدد شماره فاکتور سالانه\";}i:3790;a:1:{i:0;s:10:\"منبع #\";}i:3791;a:1:{i:0;s:19:\"عنوان منبع\";}i:3792;a:1:{i:0;s:17:\"نام منبع..\";}i:3793;a:1:{i:0;s:12:\"منابع :\";}i:3794;a:1:{i:0;s:10:\"منابع\";}i:3795;a:1:{i:0;s:291:\"اگر چندین مورد قابل رزرو دارید ، از منابع استفاده می‌شود ، به عنوان مثال انواع اتاق ، مربیان یا انواع بلیط. در دسترس بودن منابع در کل محصولات قابل رزرو جهانی است.\";}i:3796;a:1:{i:0;s:24:\"منابع هستند...\";}i:3797;a:1:{i:0;s:40:\"بازگردانی موارد انبار\";}i:3798;a:1:{i:0;s:53:\"موجود کردن موارد عودت وجه شده\";}i:3799;a:1:{i:0;s:18:\"بازگردانی\";}i:3800;a:1:{i:0;s:38:\"محدودیت کشورها/مناطق\";}i:3801;a:1:{i:0;s:49:\"محدودیت آپلود گالری تصاویر\";}i:3802;a:1:{i:0;s:106:\"محدود کردن ویژگی استفاده محصول فقط برای کاربران وارد شده‌\";}i:3803;a:1:{i:0;s:159:\"رزروها را محدود کنید تا فقط در روزهای خاصی از هفته شروع شوند. در دسترس بودن تاثیری ندارد.\";}i:3804;a:1:{i:0;s:98:\"مشتریان را از خرید همزمان از چندین فروشنده محدود کنید.\";}i:3805;a:1:{i:0;s:66:\"روزهای شروع و پایان را محدود میکنید؟\";}i:3806;a:1:{i:0;s:14:\"محدودیت\";}i:3807;a:1:{i:0;s:19:\"محدودیت ها\";}i:3808;a:1:{i:0;s:27:\"درخواست بازگشت\";}i:3809;a:1:{i:0;s:57:\"درخواست بازگشت با موفقیت حذف شد\";}i:3810;a:1:{i:0;s:34:\"درخواست های بازگشت\";}i:3811;a:1:{i:0;s:32:\"بازگشت به فروشگاه\";}i:3812;a:1:{i:0;s:37:\"گارانتی و بازگشت وجه\";}i:3813;a:1:{i:0;s:41:\"درخواست بازگشت و ضمانت\";}i:3814;a:1:{i:0;s:37:\"بازگشت به پرداخت‌ها\";}i:3815;a:1:{i:0;s:34:\"بازگشت و بازپرداخت\";}i:3816;a:1:{i:0;s:10:\"درآمد\";}i:3817;a:1:{i:0;s:10:\"معکوس\";}i:3818;a:1:{i:0;s:21:\"وضعیت بررسی\";}i:3819;a:1:{i:0;s:37:\"محتوای نظر ضروری است\";}i:3820;a:1:{i:0;s:22:\"محتوی بررسی.\";}i:3821;a:1:{i:0;s:31:\"بررسی غیرفعال شد.\";}i:3822;a:1:{i:0;s:23:\"امتیاز بررسی\";}i:3823;a:1:{i:0;s:31:\"امتیاز نظر (0 تا 5).\";}i:3824;a:1:{i:0;s:35:\"عنوان نظر ضروری است\";}i:3825;a:1:{i:0;s:22:\"عنوان بررسی.\";}i:3826;a:1:{i:0;s:26:\"بررسی شده توسط\";}i:3827;a:1:{i:0;s:28:\"بررسی شده توسط: \";}i:3828;a:1:{i:0;s:29:\"ایمیل نظر دهنده.\";}i:3829;a:1:{i:0;s:24:\"نام نظردهنده.\";}i:3830;a:1:{i:0;s:26:\"در حال بازبینی\";}i:3831;a:1:{i:0;s:10:\"بررسی\";}i:3832;a:1:{i:0;s:19:\"لغو دسترسی\";}i:3833;a:1:{i:0;s:8:\"راست\";}i:3834;a:1:{i:0;s:11:\"نقش ها\";}i:3835;a:1:{i:0;s:168:\"انتقال مسیر هنوز در داشبورد Razorpay فعال نشده است. لطفاً برای ادامه با ادمین ارتباط برقرار کنید.\";}i:3836;a:1:{i:0;s:19:\"هزینه ردیف\";}i:3837;a:1:{i:0;s:17:\"رویال میل\";}i:3838;a:1:{i:0;s:23:\"اولویت قانون\";}i:3839;a:1:{i:0;s:21:\"وضعیت قانون\";}i:3840;a:1:{i:0;s:60:\"قانون برای کاربران اعمال می‌شود.\";}i:3841;a:1:{i:0;s:37:\"نام قانون الزامی است\";}i:3842;a:1:{i:0;s:23:\"اولویت قانون\";}i:3843;a:1:{i:0;s:27:\"تنظیمات قوانین\";}i:3844;a:1:{i:0;s:231:\"قوانینی که تعداد آنها کمتر است ابتدا اجرا می شوند. قوانینی که در پایین این جدول قرار دارند با همان اولویت نیز ابتدا اجرا می شوند.\";}i:3845;a:1:{i:0;s:19:\"روبل روسیه\";}i:3846;a:1:{i:0;s:8:\"ساپو\";}i:3847;a:1:{i:0;s:6:\"سئو\";}i:3848;a:1:{i:0;s:17:\"عنوان سئو\";}i:3849;a:1:{i:0;s:19:\"عنوان سئو :\";}i:3850;a:1:{i:0;s:111:\"عنوان سئو به صورت عنوان صفحه‌ی فروشگاه‌تان نمایش داده میشود\";}i:3851;a:1:{i:0;s:30:\"پرداخت SEPA Direct Debit\";}i:3852;a:1:{i:0;s:17:\"شماره شبا\";}i:3853;a:1:{i:0;s:43:\"SEPA IBAN که به %s ختم می‌شود\";}i:3854;a:1:{i:0;s:16:\"شناسه (SKU)\";}i:3855;a:1:{i:0;s:17:\"شناسه (SKU):\";}i:3856;a:1:{i:0;s:30:\"نوع کد اس‌ام‌اس\";}i:3857;a:1:{i:0;s:30:\"خطای ارسال پیامک\";}i:3858;a:1:{i:0;s:44:\"پیامک با موفقیت ارسال شد\";}i:3859;a:1:{i:0;s:17:\"متن پیامک\";}i:3860;a:1:{i:0;s:15:\"کد پیامک\";}i:3861;a:1:{i:0;s:86:\"پیامک ارسال شد. لطفا کد تائیدیه خود را وارد کنید\";}i:3862;a:1:{i:0;s:19:\"تنظیمات SPMV\";}i:3863;a:1:{i:0;s:8:\"فروش\";}i:3864;a:1:{i:0;s:17:\"مبلغ فروش\";}i:3865;a:1:{i:0;s:51:\"نشان های مربوط به میزان فروش\";}i:3866;a:1:{i:0;s:28:\"برچسب فروش ویژه\";}i:3867;a:1:{i:0;s:17:\"قیمت حراج\";}i:3868;a:1:{i:0;s:18:\"قیمت حراج:\";}i:3869;a:1:{i:0;s:32:\"برچسب فروش معمولی\";}i:3870;a:1:{i:0;s:35:\"قیمت واحد فروش ویژه\";}i:3871;a:1:{i:0;s:30:\"تاریخ پایان فروش\";}i:3872;a:1:{i:0;s:31:\"تاریخ پایان فروش:\";}i:3873;a:1:{i:0;s:17:\"قیمت حراج\";}i:3874;a:1:{i:0;s:28:\"تاریخ شروع فروش\";}i:3875;a:1:{i:0;s:29:\"تاریخ شروع فروش:\";}i:3876;a:1:{i:0;s:13:\"فروش ها\";}i:3877;a:1:{i:0;s:29:\"فروش‌ها طبق روز\";}i:3878;a:1:{i:0;s:144:\"شناسه SKU یکسان را نمی توان برای چندین محصول تنظیم کرد! SKU به قبلی بازیابی شده است.\";}i:3879;a:1:{i:0;s:19:\"مشابه والد\";}i:3880;a:1:{i:0;s:19:\"مشابه والد\";}i:3881;a:1:{i:0;s:23:\"همان فروشگاه\";}i:3882;a:1:{i:0;s:49:\"بررسی لیست تحریم ها فعال شد\";}i:3883;a:1:{i:0;s:27:\"کلید API سندباکس\";}i:3884;a:1:{i:0;s:36:\"شناسه مشتری سندباکس\";}i:3885;a:1:{i:0;s:34:\"سکرت مشتری سندباکس\";}i:3886;a:1:{i:0;s:8:\"شنبه\";}i:3887;a:1:{i:0;s:10:\"ذخیره\";}i:3888;a:1:{i:0;s:25:\"ذخیره تغییرات\";}i:3889;a:1:{i:0;s:19:\"ذخيره مکان\";}i:3890;a:1:{i:0;s:21:\"ذخیره محصول\";}i:3891;a:1:{i:0;s:19:\"ذخیره منبع\";}i:3892;a:1:{i:0;s:30:\"ذخیره‌ی تنظیمات\";}i:3893;a:1:{i:0;s:41:\"ذخیره بعنوان پیش‌نویس\";}i:3894;a:1:{i:0;s:26:\"ذخیره‌ی ویژگی\";}i:3895;a:1:{i:0;s:28:\"ذخیره ویژگی‌ها\";}i:3896;a:1:{i:0;s:101:\"اطلاعات خرید را برای خریدهای بعدی در حساب من ذخیره کنید.\";}i:3897;a:1:{i:0;s:33:\"کارت های ذخیره شده\";}i:3898;a:1:{i:0;s:33:\"کارت های ذخیره شده\";}i:3899;a:1:{i:0;s:187:\"روش پرداخت ذخیره شده برای این خرید کار نمی کند. لطفاً جزئیات کارت جدیدی ارائه دهید و دوباره امتحان کنید.\";}i:3900;a:1:{i:0;s:22:\"در حال ذخیره\";}i:3901;a:1:{i:0;s:14:\"ذخیره ...\";}i:3902;a:1:{i:0;s:21:\"برنامه ریزی\";}i:3903;a:1:{i:0;s:30:\"زمان بندی پرداخت\";}i:3904;a:1:{i:0;s:31:\"توضیحات زمانبندی\";}i:3905;a:1:{i:0;s:34:\"زمانبندی انتخاب شد\";}i:3906;a:1:{i:0;s:27:\"عنوان زمانبندی\";}i:3907;a:1:{i:0;s:28:\"برنامه ریزی شده\";}i:3908;a:1:{i:0;s:10:\"جستجو\";}i:3909;a:1:{i:0;s:27:\"جستجوی اطلاعیه\";}i:3910;a:1:{i:0;s:55:\"جستجو بر اساس حراج، نام، ایمیل\";}i:3911;a:1:{i:0;s:30:\"جستجوی دسته بندی\";}i:3912;a:1:{i:0;s:32:\"جستجوی دسته‌بندی\";}i:3913;a:1:{i:0;s:26:\"جستجو در اینجا\";}i:3914;a:1:{i:0;s:23:\"جستجوی محصول\";}i:3915;a:1:{i:0;s:27:\"جستجوی محصولات\";}i:3916;a:1:{i:0;s:96:\"جستجوی محصولات و فروشندگان بر اساس موقعیت جغرافیایی.\";}i:3917;a:1:{i:0;s:30:\"جستجوی فروشگاه...\";}i:3918;a:1:{i:0;s:23:\"جستجوی موضوع\";}i:3919;a:1:{i:0;s:29:\"جستجو فروشندگان\";}i:3920;a:1:{i:0;s:49:\"جستجو محصولات یا فروشندگان\";}i:3921;a:1:{i:0;s:33:\"جستجو بر اساس نشان\";}i:3922;a:1:{i:0;s:40:\"جستجو بر اساس نام نشان\";}i:3923;a:1:{i:0;s:39:\"جستجو بر اساس فروشنده\";}i:3924;a:1:{i:0;s:73:\"جستجو بر اساس شناسه سفارش یا نام فروشگاه\";}i:3925;a:1:{i:0;s:51:\"جستجو بر اساس محصول یا سفارش\";}i:3926;a:1:{i:0;s:39:\"جستجو برای زمان تحویل\";}i:3927;a:1:{i:0;s:23:\"جستجوی محصول\";}i:3928;a:1:{i:0;s:40:\"جستجوی برای محصول&hellip;\";}i:3929;a:1:{i:0;s:35:\"جستجوی فروشنده&hellip;\";}i:3930;a:1:{i:0;s:56:\"طرح مورد محصولات را جستجو کنید.\";}i:3931;a:1:{i:0;s:36:\"جستجوی زنده محصولات\";}i:3932;a:1:{i:0;s:19:\"جستجوی نظر\";}i:3933;a:1:{i:0;s:73:\"محصولات مشابه را در این بازار جستجو کنید\";}i:3934;a:1:{i:0;s:21:\"جستجوی تیکت\";}i:3935;a:1:{i:0;s:31:\"جستجوی فروشندگان\";}i:3936;a:1:{i:0;s:43:\"جستجو با جعبه پیشنهادها\";}i:3937;a:1:{i:0;s:43:\"در حال جستجوی فروشندگان\";}i:3938;a:1:{i:0;s:10:\"ثانیه\";}i:3939;a:1:{i:0;s:20:\"سه ماهه دوم\";}i:3940;a:1:{i:0;s:73:\"دومین آدرس جایی که از آنجا ارسال می کنید.\";}i:3941;a:1:{i:0;s:15:\"هفته دوم\";}i:3942;a:1:{i:0;s:17:\"کلید سکرت\";}i:3943;a:1:{i:0;s:17:\"کلید سکرت\";}i:3944;a:1:{i:0;s:24:\"کلید سکرت Stripe\";}i:3945;a:1:{i:0;s:35:\"تنظیمات چت زنده امن\";}i:3946;a:1:{i:0;s:55:\"اعتبار سنجی امنیتی ناموفق بود!\";}i:3947;a:1:{i:0;s:24:\"مشاهده‌ی همه\";}i:3948;a:1:{i:0;s:35:\"نمایش همه ماژول‌ها\";}i:3949;a:1:{i:0;s:19:\"مشاهده همه\";}i:3950;a:1:{i:0;s:48:\"نمایش همه ماژول های پرمیوم\";}i:3951;a:1:{i:0;s:62:\"جزئیات را با رفتن به اینجا ببینید: \";}i:3952;a:1:{i:0;s:12:\"انتخاب\";}i:3953;a:1:{i:0;s:19:\"انتخاب همه\";}i:3954;a:1:{i:0;s:26:\"انتخاب دسته ها\";}i:3955;a:1:{i:0;s:30:\"انتخاب دسته بندی\";}i:3956;a:1:{i:0;s:21:\"انتخاب کشور\";}i:3957;a:1:{i:0;s:36:\"انتخاب محدوده تاریخ\";}i:3958;a:1:{i:0;s:46:\"زمان تحویل را انتخاب کنید\";}i:3959;a:1:{i:0;s:25:\"انتخاب رویداد\";}i:3960;a:1:{i:0;s:45:\"نوع شناسه را انتخاب کنید:\";}i:3961;a:1:{i:0;s:28:\"انتخاب گزینه ها\";}i:3962;a:1:{i:0;s:34:\"انتخاب شناسه سفارش\";}i:3963;a:1:{i:0;s:46:\"برچسب قیمت را انتخاب کنید\";}i:3964;a:1:{i:0;s:23:\"انتخاب محصول\";}i:3965;a:1:{i:0;s:27:\"انتخاب محصولات\";}i:3966;a:1:{i:0;s:23:\"انتخاب استان\";}i:3967;a:1:{i:0;s:27:\"انتخاب فروشگاه\";}i:3968;a:1:{i:0;s:46:\"دوره زمانی را انتخاب کنید\";}i:3969;a:1:{i:0;s:34:\"انتخاب فروشنده‌ها\";}i:3970;a:1:{i:0;s:77:\"دسته‌بندی‌های فروشگاه خود را انتخاب کنید\";}i:3971;a:1:{i:0;s:24:\"انتخاب یک روش\";}i:3972;a:1:{i:0;s:49:\"انتخاب یک محصول قابل رزرو...\";}i:3973;a:1:{i:0;s:61:\"انتخاب نوع دسته بندی برای محصولات\";}i:3974;a:1:{i:0;s:74:\"یک پالت رنگ برای فروشگاه خود انتخاب کنید.\";}i:3975;a:1:{i:0;s:40:\"یک کشور را انتخاب کنید\";}i:3976;a:1:{i:0;s:24:\"انتخاب یک روش\";}i:3977;a:1:{i:0;s:26:\"انتخاب یک دلیل\";}i:3978;a:1:{i:0;s:26:\"انتخاب استان...\";}i:3979;a:1:{i:0;s:45:\"انتخاب دسته بندی فروشگاه\";}i:3980;a:1:{i:0;s:119:\"برای فروشندگان نوع محصولی را که فقط می توانند بفروشند انتخاب کنید\";}i:3981;a:1:{i:0;s:19:\"انتخاب همه\";}i:3982;a:1:{i:0;s:28:\"انتخاب یک گزینه\";}i:3983;a:1:{i:0;s:35:\"انتخاب دسته بندی ها\";}i:3984;a:1:{i:0;s:43:\"انتخاب دسته بندی ها&hellip;\";}i:3985;a:1:{i:0;s:126:\"کشورهایی را انتخاب کنید که فروشندگان نمی‌توانند از آنها معارفه شوند.\";}i:3986;a:1:{i:0;s:23:\"انتخاب تاریخ\";}i:3987;a:1:{i:0;s:48:\"تاریخ تحویل را انتخاب کنید\";}i:3988;a:1:{i:0;s:77:\"چندین ارائه دهنده حمل و نقل را انتخاب کنید.\";}i:3989;a:1:{i:0;s:28:\"انتخاب هیچ کدام\";}i:3990;a:1:{i:0;s:26:\"انتخاب یک مورد\";}i:3991;a:1:{i:0;s:99:\"یک گزینه را که در کادر جستجو اعمال می‌شود، انتخاب کنید\";}i:3992;a:1:{i:0;s:100:\"یک گزینه را که در کادر جستجو اعمال می‌شود، انتخاب کنید.\";}i:3993;a:1:{i:0;s:196:\"نحوه نمایش محصولات دارای چند فروشنده را مشخص کنید. \"نمایش همه محصولات\" همه محصولات تکراری را نمایش خواهد داد.\";}i:3994;a:1:{i:0;s:28:\"انتخاب گزینه ها\";}i:3995;a:1:{i:0;s:23:\"انتخاب صفحات\";}i:3996;a:1:{i:0;s:48:\"تاریخ تحویل را انتخاب کنید\";}i:3997;a:1:{i:0;s:32:\"انتخاب برند محصول\";}i:3998;a:1:{i:0;s:32:\"انتخاب برند محصول\";}i:3999;a:1:{i:0;s:44:\"انتخاب دسته‌ بندی محصول\";}i:4000;a:1:{i:0;s:43:\"انتخاب برچسب‌های محصول\";}i:4001;a:1:{i:0;s:146:\"نوع محصولات مجاز در این پکیج را مشخص کنید. برای فعال بودن همه نوع ها خالی بگذارید.\";}i:4002;a:1:{i:0;s:58:\"انتخاب علت برای درخواست گارانتی\";}i:4003;a:1:{i:0;s:151:\"دسته بندی های مجاز در این پکیج را مشخص کنید. برای فعال بودن همه دسته ها خالی بگذارید.\";}i:4004;a:1:{i:0;s:48:\"محل فروشگاه را انتخاب کنید\";}i:4005;a:1:{i:0;s:63:\"تاریخ تحویل فروشگاه را انتخاب کنید\";}i:4006;a:1:{i:0;s:32:\"انتخاب پکیج عضویت\";}i:4007;a:1:{i:0;s:143:\"برنامه زمانبندی مناسب برای فرآیند برداشت خودکار برای فروشندگان را انتخاب کنید\";}i:4008;a:1:{i:0;s:144:\"برنامه زمانبندی مناسب برای فرآیند برداشت خودکار برای فروشندگان را انتخاب کنید.\";}i:4009;a:1:{i:0;s:91:\"فرآیند برداشت مناسب را برای فروشندگان انتخاب کنید\";}i:4010;a:1:{i:0;s:140:\"روز مناسب هفته را برای اجرای برنامه زمانبندی برداشت خودکار هفتگی انتخاب کنید\";}i:4011;a:1:{i:0;s:157:\"ماه ها، هفته ها و روزهای هفته مناسب را برای زمان بندی فصلی برداشت خودکار را انتخاب کنید\";}i:4012;a:1:{i:0;s:125:\"هفته مناسب را برای اجرای برنامه دوهفته‌ای برداشت خودکار انتخاب کنید\";}i:4013;a:1:{i:0;s:165:\"هفته ها و روزهای هفته مناسب را برای اجرای برنامه زمانبندی برداشت خودکار ماهانه انتخاب کنید\";}i:4014;a:1:{i:0;s:23:\"انتخاب برچسب\";}i:4015;a:1:{i:0;s:23:\"انتخاب شرایط\";}i:4016;a:1:{i:0;s:89:\"تم دکمه ای را که می خواهید نشان دهید، انتخاب کنید.\";}i:4017;a:1:{i:0;s:91:\"نوع دکمه ای را که می خواهید نشان دهید، انتخاب کنید.\";}i:4018;a:1:{i:0;s:126:\"صفحه ای را که می خواهید بسته های اشتراک را در آن نشان دهید انتخاب کنید.\";}i:4019;a:1:{i:0;s:49:\"اندازه دکمه را انتخاب کنید.\";}i:4020;a:1:{i:0;s:75:\"تم مورد نظر برای المان Stripe را انتخاب کنید.\";}i:4021;a:1:{i:0;s:101:\"نوع محصولی را که فروشنده می تواند بفروشد را انتخاب کنید.\";}i:4022;a:1:{i:0;s:46:\"بازه زمانی را انتخاب کنید\";}i:4023;a:1:{i:0;s:111:\"محل نمایش دکمه پشتیبانی فروشگاه را در صفحه محصول انتخاب کنید.\";}i:4024;a:1:{i:0;s:108:\"محل نمایش بخش فروشنده موجود در صفحه تک محصول را انتخاب کنید.\";}i:4025;a:1:{i:0;s:81:\"جایی را انتخاب کنید که فقط نقشه نشان داده شود\";}i:4026;a:1:{i:0;s:133:\"جایی که می‌خواهید دکمه‌های درخواست پرداخت نمایش داده شود را انتخاب کنید\";}i:4027;a:1:{i:0;s:112:\"شناسه ردیابی Google Analytics را که می خواهید ادغام کنید، انتخاب کنید\";}i:4028;a:1:{i:0;s:204:\"انتخاب کنید که این افزودنی برای کدام دسته ها در نظر گرفته شود. هنگام ویرایش آن ، برای یک محصول افزودنی ایجاد کنید.\";}i:4029;a:1:{i:0;s:97:\"انتخاب کنید درکدام صفحات نقشه فروشگاه نمایش داده شود.\";}i:4030;a:1:{i:0;s:106:\"افرادی را که هزینه تراکنش Wirecard را تحمل می کنند انتخاب کنید.\";}i:4031;a:1:{i:0;s:73:\"درگاه اس ام اس دلخواه خود را انتخاب کنید.\";}i:4032;a:1:{i:0;s:48:\"پروفایل خود را انتخاب کنید\";}i:4033;a:1:{i:0;s:127:\"دلایل عودت وجه خود را که در پایان مشتری نشان داده می‌شود ، انتخاب کنید\";}i:4034;a:1:{i:0;s:68:\"روزهای باز فروشگاه خود را انتخاب کنید\";}i:4035;a:1:{i:0;s:39:\"فروشنده‌ی انتخاب شده\";}i:4036;a:1:{i:0;s:56:\"تبلیغ انتخابی با موفقیت حذف شد.\";}i:4037;a:1:{i:0;s:60:\"تبلیغ انتخابی با موفقیت منقضی شد.\";}i:4038;a:1:{i:0;s:49:\"نام ویژگی شرایط انتخاب شده.\";}i:4039;a:1:{i:0;s:67:\"نشان‌های انتخابی با موفقیت حذف شدند.\";}i:4040;a:1:{i:0;s:94:\"نشان‌های انتخابی با موفقیت به پیش‌نویس منتقل شدند.\";}i:4041;a:1:{i:0;s:67:\"نشان‌های انتخابی با موفقیت منتشر شد.\";}i:4042;a:1:{i:0;s:200:\"کشور انتخاب شده توسط پی پال پشتیبانی نمی‌شود. لطفا کشور خود را از داشبورد فروشنده --> تنظیمات --> کشور تغییر دهید\";}i:4043;a:1:{i:0;s:64:\"رویداد انتخابی قبلاً ایجاد شده است.\";}i:4044;a:1:{i:0;s:145:\"در صورت برآورده شدن شرایط، روش‌های پرداخت انتخابی در تسویه‌حساب ظاهر می‌شوند.\";}i:4045;a:1:{i:0;s:33:\"متن دکمه فروش آیتم\";}i:4046;a:1:{i:0;s:24:\"فروش این مورد\";}i:4047;a:1:{i:0;s:31:\"نشان (badge) فروشنده\";}i:4048;a:1:{i:0;s:48:\"نشان‌های مرتبط با فروشنده\";}i:4049;a:1:{i:0;s:41:\"تیکت های پشتیبانی فروش\";}i:4050;a:1:{i:0;s:29:\"تعطیلات فروشنده\";}i:4051;a:1:{i:0;s:25:\"تأیید فروشنده\";}i:4052;a:1:{i:0;s:56:\"درخواست تایید فروشنده ارسال شد\";}i:4053;a:1:{i:0;s:87:\"درخواست تأیید فروشنده توسط {store_name} ارسال شده است\";}i:4054;a:1:{i:0;s:40:\"تنظیمات تأیید فروشنده\";}i:4055;a:1:{i:0;s:53:\"وضعیت تأیید فروشنده به روز شد\";}i:4056;a:1:{i:0;s:278:\"نشان‌های فروشنده کمک میکند تا فروشندگانی را با سابقه فروش خوب در فروشگاه شناسایی کنیم. مشتریان می توانند نشان‌های شما را که با تلاش کسب کردید را ببینند. \";}i:4057;a:1:{i:0;s:141:\"فروشنده می تواند فروشگاه‌های خود را به طور موقت ببندد و پیامی به مشتریان بدهد\";}i:4058;a:1:{i:0;s:73:\"شناسه فروشنده برای سفارش order_id %d پیدا نشد\";}i:4059;a:1:{i:0;s:61:\"فروشنده هزینه پردازش را می پردازد\";}i:4060;a:1:{i:0;s:86:\"فروشنده هزینه پردازش را در حالت 3DS پرداخت می کند\";}i:4061;a:1:{i:0;s:34:\"انواع فروش محصولات\";}i:4062;a:1:{i:0;s:10:\"ارسال\";}i:4063;a:1:{i:0;s:43:\"فاصله زمانی ارسال اعلان\";}i:4064;a:1:{i:0;s:30:\"ارسال اطلاعیه به\";}i:4065;a:1:{i:0;s:60:\"ارسال اطلاعیه برای اتصال فروشنده\";}i:4066;a:1:{i:0;s:64:\"ارسال اطلاعیه به فروشندگان غیرمتصل\";}i:4067;a:1:{i:0;s:26:\"ارسال کد تخفیف\";}i:4068;a:1:{i:0;s:21:\"ارسال ایمیل\";}i:4069;a:1:{i:0;s:19:\"ارسال پیام\";}i:4070;a:1:{i:0;s:26:\"ارسال عودت وجه\";}i:4071;a:1:{i:0;s:41:\"ارسال درخواست عودت وجه\";}i:4072;a:1:{i:0;s:25:\"ارسال درخواست\";}i:4073;a:1:{i:0;s:14:\"ارسال UBO\";}i:4074;a:1:{i:0;s:64:\"ارسال اطلاعیه گزارش تخلف برای مدیر.\";}i:4075;a:1:{i:0;s:23:\"ارسال دوباره\";}i:4076;a:1:{i:0;s:75:\"ارسال اطلاعیه به: این یک قسمت فقط مدیر است\";}i:4077;a:1:{i:0;s:137:\"اگر فروشنده رمز عبور خود را به روز کرد، به کارکنان فروشنده ایمیل ارسال کنید.\";}i:4078;a:1:{i:0;s:94:\"در صورت استعلام محصول ، به فروشنده ایمیل ارسال کنید.\";}i:4079;a:1:{i:0;s:187:\"ارسال ایمیل به فروشنده هنگامی که یک دنبال کننده فروشگاه جدید وجود دارد یا شخصی فروشنده را آنفالو میکند.\";}i:4080;a:1:{i:0;s:127:\"در هنگام بروزرسانی فروشگاه موردعلاقه ، برای مشتریان ایمیل ارسال کنید.\";}i:4081;a:1:{i:0;s:87:\"ارسال بروزرسانی های فروشگاه برای دنبال کنندگان.\";}i:4082;a:1:{i:0;s:28:\"نام ارسال کننده\";}i:4083;a:1:{i:0;s:24:\"درحال ارسال...\";}i:4084;a:1:{i:0;s:15:\"ارسال به\";}i:4085;a:1:{i:0;s:262:\"زمانی که تمدید ناموفق باشد، برای مشتری ارسال می‌شود زیرا تراکنش به تأیید SCA نیاز دارد. این ایمیل حاوی اطلاعات سفارش تمدید و لینک‌های پرداخت است.\";}i:4086;a:1:{i:0;s:17:\"جدا کننده\";}i:4087;a:1:{i:0;s:14:\"سپتامبر\";}i:4088;a:1:{i:0;s:17:\"شروع سیژن\";}i:4089;a:1:{i:0;s:10:\"جلسات\";}i:4090;a:1:{i:0;s:37:\"تنظیم محدوده دسترسی:\";}i:4091;a:1:{i:0;s:44:\"تنظیم گزینه های در دسترس\";}i:4092;a:1:{i:0;s:32:\"تنظیم منابع موجود\";}i:4093;a:1:{i:0;s:37:\"تنظیم پیش‌نویس نشان\";}i:4094;a:1:{i:0;s:44:\"تنظیم گزینه های هزینه ها\";}i:4095;a:1:{i:0;s:69:\"حداکثر مقدار را برای سفارش تنظیم کنید.\";}i:4096;a:1:{i:0;s:80:\"حداکثر تعداد محصول را برای سفارش تنظیم کنید.\";}i:4097;a:1:{i:0;s:67:\"حداقل مقدار را برای سفارش تنظیم کنید.\";}i:4098;a:1:{i:0;s:78:\"حداقل تعداد محصول را برای سفارش تنظیم کنید.\";}i:4099;a:1:{i:0;s:35:\"تنظیم گزینه های فرد\";}i:4100;a:1:{i:0;s:64:\"دسته بندی های فروشگاه را تنظیم کنید\";}i:4101;a:1:{i:0;s:57:\"دسته بندی فروشگاه را تنظیم کنید\";}i:4102;a:1:{i:0;s:34:\"تنظیم پیام تعطیلات\";}i:4103;a:1:{i:0;s:132:\"حداقل یا حداکثر مقدار یا مقدار خرید را برای محصولات بازار خود تعیین کنید.\";}i:4104;a:1:{i:0;s:137:\"حداقل یا حداکثر مقدار یا تعداد خرید را برای محصولات فروشگاه خود تعیین کنید. \";}i:4105;a:1:{i:0;s:39:\"تنظیم به عنوان پیشفرض\";}i:4106;a:1:{i:0;s:78:\"حداکثر فاصله را برای شعاع جستجو تنظیم کنید.\";}i:4107;a:1:{i:0;s:76:\"حداقل فاصله را برای شعاع جستجو تنظیم کنید.\";}i:4108;a:1:{i:0;s:107:\"حداقل یا حداکثر محدودیت سفارش را برای موارد خاص تنظیم کنید.\";}i:4109;a:1:{i:0;s:39:\"تنظیم گزینه های بیشتر\";}i:4110;a:1:{i:0;s:119:\"نوع کمیسیون مدیر را که از این محصول دریافت خواهد کرد را تنظیم کنید\";}i:4111;a:1:{i:0;s:108:\"نوع کمیسیون که مدیر از این اشتراک بدست می آورد را تنظیم کنید\";}i:4112;a:1:{i:0;s:67:\"حداکثر فاصله واحد شعاع را تنظیم کنید.\";}i:4113;a:1:{i:0;s:65:\"حداقل فاصله واحد شعاع را تنظیم کنید.\";}i:4114;a:1:{i:0;s:83:\"واحد اندازه گیری را برای شعاع نقشه تنظیم کنید.\";}i:4115;a:1:{i:0;s:89:\"تنظیم روی قیمت معمولی کاهش یافته (مقدار ثابت یا %):\";}i:4116;a:1:{i:0;s:138:\"افزودنی هایی را تنظیم کنید که برای همه محصولات یا دسته های خاص اعمال می‌شود.\";}i:4117;a:1:{i:0;s:95:\"پرداخت های کارت اعتباری و نقدی پیشرفته را تنظیم کنید\";}i:4118;a:1:{i:0;s:667:\"تنظیم گزینه‌های پرداخت پیشرفته در صفحه پرداخت خود، به نحوی که خریداران شما بتوانند با کارت‌های اعتباری و بدهی، پی‌پال و روش‌های پرداخت جایگزین پرداخت کنند. <strong>کشورهای پشتیبانی شده:</strong> %1$s. لطفاً توجه داشته باشید که برای استفاده از این ویژگی نیاز به دریافت مجوز محصول پی‌پال به عنوان <strong>PPCP</strong> دارید. همچنین این ویژگی با نوع محصول <strong>EXPRESS_CHECKOUT</strong> سازگار نیست.\";}i:4119;a:1:{i:0;s:115:\"تنظیمات پیشرفته را برای مدیریت برخی گزینه های اضافی تنظیم کنید.\";}i:4120;a:1:{i:0;s:146:\"مجوز ریدایرکت %1$s خود را در %2$sتنظیمات برنامه%3$s حساب Stripe برای ریدایرکت تنظیم کنید.\";}i:4121;a:1:{i:0;s:293:\"آدرس بازگرداندن مجوز خود را در <code>%s</code><span class=\"dokan-copy-to-clipboard\" data-copy=\"%s\"></span>در تنظیمات برنامه Stripe خود برای بازگرداندها تنظیم کنید. (<a href=\"%s\" target=\"_blank\">تنظیمات برنامه</a>)\";}i:4122;a:1:{i:0;s:69:\"تخفیف‌تان برای این محصول را قرار دهید\";}i:4123;a:1:{i:0;s:138:\"موقعیت نمایش خود را برای نمایش بخش فروشنده موجود در صفحه تک محصول تنظیم کنید\";}i:4124;a:1:{i:0;s:73:\"گزینه‌های اضافی محصول‌تان را قرار دهید\";}i:4125;a:1:{i:0;s:335:\"نوع فیلد خود را برای افزودنی های محصول تنظیم کنید که برای همه محصول یا گروه خاص محصول در سطح عمومی قابل استفاده باشد. این تنظیم را می توانید به صورت جداگانه از محصولات جداگانه کنترل کنید\";}i:4126;a:1:{i:0;s:114:\"عنوان خود را برای بخش فروشنده موجود در صفحه محصول تک تنظیم کنید\";}i:4127;a:1:{i:0;s:111:\"محصولات مرتبط خود را برای فروش متقابل و آپ سل (Upsells) تنظیم کنید\";}i:4128;a:1:{i:0;s:118:\"حداقل تعداد خود را برای اعمال قیمت عمده به صورت خودکار تنظیم کنید\";}i:4129;a:1:{i:0;s:30:\"تنظیم کدپستی خود\";}i:4130;a:1:{i:0;s:136:\"تنظیمات بازگشت و گارانتی خود برای جایگزینی با تنظیمات پیشفرض را تنظیم کنید\";}i:4131;a:1:{i:0;s:225:\"تنظیمات موردنظر خود برای گارانتی و بازگشت محصولات خود را مشخص کنید. این تنظیمات به صورت عمومی روی محصولات شما تاثیر می گذارد\";}i:4132;a:1:{i:0;s:60:\"قیمت عمده فروشی خود را تنظیم کنید\";}i:4133;a:1:{i:0;s:14:\"تنظیمات\";}i:4134;a:1:{i:0;s:30:\"زیر منوی تنظیمات\";}i:4135;a:1:{i:0;s:48:\"تنظیمات با موفقیت ذخیره شد\";}i:4136;a:1:{i:0;s:48:\"تنظیمات با موفقیت ذخیره شد\";}i:4137;a:1:{i:0;s:23:\"تنظیم آنالیز\";}i:4138;a:1:{i:0;s:49:\"راه اندازی چت مسنجر فیس بوک\";}i:4139;a:1:{i:0;s:25:\"اشتراک‌گذاری\";}i:4140;a:1:{i:0;s:96:\"تجربه خود را با <a href=\'%s\' target=\'_blank\'>%s</a> به اشتراک بگذارید\";}i:4141;a:1:{i:0;s:37:\"به اشتراک گذاشته شده\";}i:4142;a:1:{i:0;s:28:\"نوع مقدار مشترک\";}i:4143;a:1:{i:0;s:37:\"اظهارنامه سهامداران\";}i:4144;a:1:{i:0;s:55:\"اظهارنامه سهامداران مورد نیاز\";}i:4145;a:1:{i:0;s:15:\"ارسال به\";}i:4146;a:1:{i:0;s:22:\"مورد ShipNotify : \";}i:4147;a:1:{i:0;s:16:\"ShipNotify XML: \";}i:4148;a:1:{i:0;s:39:\"مرکز حمل و نقل (ShipStation)\";}i:4149;a:1:{i:0;s:22:\"ادغام ShipStation\";}i:4150;a:1:{i:0;s:212:\"ShipStation به شما امکان می دهد تا سفارشات را بازیابی و مدیریت کنید ، سپس برچسب ها و برگه های بسته بندی را به راحتی چاپ کنید.\";}i:4151;a:1:{i:0;s:12:\"محموله\";}i:4152;a:1:{i:0;s:47:\"محموله با موفقیت به روز شد\";}i:4153;a:1:{i:0;s:56:\"تایم لاین بروزرسانی های محموله\";}i:4154;a:1:{i:0;s:17:\"محموله ها\";}i:4155;a:1:{i:0;s:62:\"%1$d  از  %2$d مورد در سفارش %3$s ارسال شد\";}i:4156;a:1:{i:0;s:39:\"وضعیت سفارش ارسال شده\";}i:4157;a:1:{i:0;s:55:\"وضعیت سفارش ارسال شده خالی است\";}i:4158;a:1:{i:0;s:29:\"تاریخ حمل و نقل: \";}i:4159;a:1:{i:0;s:29:\"وضعیت حمل و نقل: \";}i:4160;a:1:{i:0;s:16:\"حمل و نقل\";}i:4161;a:1:{i:0;s:30:\"آدرس ارسال محصول\";}i:4162;a:1:{i:0;s:25:\"کلاس حمل و نقل\";}i:4163;a:1:{i:0;s:36:\"هزینه کلاس حمل و نقل\";}i:4164;a:1:{i:0;s:32:\"قاره های حمل و نقل\";}i:4165;a:1:{i:0;s:35:\"هزینه‌ی حمل و نقل : \";}i:4166;a:1:{i:0;s:31:\"کشورهای حمل و نقل\";}i:4167;a:1:{i:0;s:23:\"روش حمل و نقل\";}i:4168;a:1:{i:0;s:23:\"نام حمل و نقل\";}i:4169;a:1:{i:0;s:27:\"سیاست حمل و نقل\";}i:4170;a:1:{i:0;s:38:\"ارائه کننده حمل و نقل\";}i:4171;a:1:{i:0;s:40:\"ارائه کننده حمل و نقل: \";}i:4172;a:1:{i:0;s:54:\"ارائه دهنده حمل و نقل: %1$s تا %2$s\";}i:4173;a:1:{i:0;s:45:\"ارائه دهنده های حمل و نقل\";}i:4174;a:1:{i:0;s:31:\"تنظیمات حمل و نقل\";}i:4175;a:1:{i:0;s:34:\"استان های حمل و نقل\";}i:4176;a:1:{i:0;s:21:\"وضعیت ارسال\";}i:4177;a:1:{i:0;s:69:\"اطلاع رسانی وضعیت حمل و نقل برای مشتری\";}i:4178;a:1:{i:0;s:42:\"تنظیمات وضعیت حمل و نقل\";}i:4179;a:1:{i:0;s:29:\"مالیات حمل و نقل\";}i:4180;a:1:{i:0;s:25:\"مبلغ حمل و نقل\";}i:4181;a:1:{i:0;s:32:\"حمل و نقل و مالیات\";}i:4182;a:1:{i:0;s:25:\"کلاس حمل و نقل\";}i:4183;a:1:{i:0;s:37:\"شناسه کلاس حمل و نقل.\";}i:4184;a:1:{i:0;s:37:\"اسلاگ کلاس حمل و نقل.\";}i:4185;a:1:{i:0;s:83:\"کلاس حمل و نقل این نرخ برای آنها اعمال می‌شود.\";}i:4186;a:1:{i:0;s:26:\"کلاس حمل و نقل:\";}i:4187;a:1:{i:0;s:280:\"کلاس های حمل و نقل توسط روش های حمل و نقل خاصی برای گروه بندی محصولات مشابه استفاده می‌شود. قبل از افزودن محصول، لطفاً %1$s تنظیمات ارسال %2$s را پیکربندی کنید\";}i:4188;a:1:{i:0;s:43:\"تاریخ حمل و نقل: %1$s تا %2$s\";}i:4189;a:1:{i:0;s:99:\"قابلیت حمل و نقل در حال حاضر توسط مالک سایت غیرفعال است\";}i:4190;a:1:{i:0;s:57:\"روش حمل و نقل با موفقیت اضافه شد\";}i:4191;a:1:{i:0;s:35:\"روش حمل و نقل حذف شد\";}i:4192;a:1:{i:0;s:61:\"روش حمل و نقل با موفقیت غیرفعال شد\";}i:4193;a:1:{i:0;s:55:\"روش حمل و نقل با موفقیت فعال شد\";}i:4194;a:1:{i:0;s:59:\"روش حمل و نقل با موفقیت اضافه نشد\";}i:4195;a:1:{i:0;s:37:\"روش حمل و نقل حذف نشد\";}i:4196;a:1:{i:0;s:41:\"روش حمل و نقلی یافت نشد\";}i:4197;a:1:{i:0;s:29:\"شماره حمل و نقل: \";}i:4198;a:1:{i:0;s:43:\"شماره حمل و نقل: %1$s تا %2$s\";}i:4199;a:1:{i:0;s:23:\"فقط حمل و نقل\";}i:4200;a:1:{i:0;s:69:\"گزینه‌های حمل و نقل باموفقیت ذخیره شد\";}i:4201;a:1:{i:0;s:59:\"هزینه‌ی حمل و نقل برای این استان\";}i:4202;a:1:{i:0;s:43:\"وضعیت حمل و نقل: %1$s تا %2$s\";}i:4203;a:1:{i:0;s:53:\"عنوان حمل و نقل الزامی میباشد\";}i:4204;a:1:{i:0;s:43:\"منطقه حمل و نقل یافت نشد\";}i:4205;a:1:{i:0;s:18:\"حمل و نقل: \";}i:4206;a:1:{i:0;s:22:\"حمل و نقل از:\";}i:4207;a:1:{i:0;s:21:\"نام فروشگاه\";}i:4208;a:1:{i:0;s:23:\"صفحه فروشگاه\";}i:4209;a:1:{i:0;s:23:\"آدرس فروشگاه\";}i:4210;a:1:{i:0;s:27:\"چیدمان فروشگاه\";}i:4211;a:1:{i:0;s:25:\"توضیحات کوتاه\";}i:4212;a:1:{i:0;s:17:\"متن کوتاه\";}i:4213;a:1:{i:0;s:52:\"توضیحات کوتاه درباره محصول...\";}i:4214;a:1:{i:0;s:10:\"نمایش\";}i:4215;a:1:{i:0;s:50:\"نمایش فرم فیلتر موقعیت دکان\";}i:4216;a:1:{i:0;s:58:\"نمایش دکمه پشتیبانی فروشگاه کان\";}i:4217;a:1:{i:0;s:59:\"نمایش فیلترها قبل از نقشه موقعیت\";}i:4218;a:1:{i:0;s:19:\"نمایش نقشه\";}i:4219;a:1:{i:0;s:30:\"نمایش محصولات SPMV\";}i:4220;a:1:{i:0;s:21:\"نمایش عنوان\";}i:4221;a:1:{i:0;s:29:\"نمایش فروشندگان\";}i:4222;a:1:{i:0;s:63:\"نمایش قیمت عمده در بایگانی فروشگاه\";}i:4223;a:1:{i:0;s:43:\"نمایش گزینه های پیشرفته\";}i:4224;a:1:{i:0;s:47:\"نمایش بخش محصولات تبلیغات\";}i:4225;a:1:{i:0;s:32:\"نمایش همه محصولات\";}i:4226;a:1:{i:0;s:35:\"نمایش متن هاور نشان\";}i:4227;a:1:{i:0;s:37:\"نمایش تعداد سطح نشان\";}i:4228;a:1:{i:0;s:55:\"نمایش دکمه گفتگو در صفحه محصول\";}i:4229;a:1:{i:0;s:59:\"نمایش دکمه گفتگو در صفحه فروشنده\";}i:4230;a:1:{i:0;s:28:\"نشان دادن فاصله\";}i:4231;a:1:{i:0;s:26:\"نمایش مدت زمان\";}i:4232;a:1:{i:0;s:33:\"نمایش در ستون قیمت\";}i:4233;a:1:{i:0;s:60:\"نمایش زبانه مکان در صفحه تک محصول\";}i:4234;a:1:{i:0;s:30:\"نمایش در فروشگاه\";}i:4235;a:1:{i:0;s:35:\"نمایش در فروشگاه ها\";}i:4236;a:1:{i:0;s:79:\"نمایش اطلاعات موقعیت محصول در صفحه هر محصول\";}i:4237;a:1:{i:0;s:57:\"نمایش دکمه پشتیبانی در تک محصول\";}i:4238;a:1:{i:0;s:67:\"نمایش دکمه پشتیبانی در صفحه تک محصول.\";}i:4239;a:1:{i:0;s:56:\"نمایش دکمه پشتیبانی در فروشگاه\";}i:4240;a:1:{i:0;s:91:\"نشان دادن فاصله در کنار هزینه حمل و نقل برای مشتری.\";}i:4241;a:1:{i:0;s:90:\"نشان دادن مدت زمان در کنار هزینه ارسال برای مشتری.\";}i:4242;a:1:{i:0;s:84:\"اگر سفارشات قبلی مجاز باشد ، نشان داده می‌شود.\";}i:4243;a:1:{i:0;s:100:\"نشان می دهد که آیا نظردهنده محصول را خریداری کرده یا نه.\";}i:4244;a:1:{i:0;s:85:\"نشان می دهد که آیا می توان متغیر را خریداری کرد.\";}i:4245;a:1:{i:0;s:71:\"اگر متغیر در سفارش قبلی است نشان می دهد.\";}i:4246;a:1:{i:0;s:67:\"اگر این متغیر در حراچ است نشان می دهد.\";}i:4247;a:1:{i:0;s:15:\"ثبت‌نام\";}i:4248;a:1:{i:0;s:24:\"هزینه ثبت نام\";}i:4249;a:1:{i:0;s:30:\"هزینه ثبت نام  (%s)\";}i:4250;a:1:{i:0;s:29:\"ثبت نام این دوره\";}i:4251;a:1:{i:0;s:8:\"ساده\";}i:4252;a:1:{i:0;s:32:\"محصول اشتراک ساده\";}i:4253;a:1:{i:0;s:21:\"اشتراک ساده\";}i:4254;a:1:{i:0;s:17:\"چینی ساده\";}i:4255;a:1:{i:0;s:23:\"دلار سنگاپور\";}i:4256;a:1:{i:0;s:4:\"تک\";}i:4257;a:1:{i:0;s:37:\"چند فروشنده یک محصول\";}i:4258;a:1:{i:0;s:48:\"لیست چند فروشندگی تک محصول\";}i:4259;a:1:{i:0;s:54:\"تنظیمات چند فروشنده تک محصولی\";}i:4260;a:1:{i:0;s:45:\"فروشنده چندگانه تک محصول\";}i:4261;a:1:{i:0;s:19:\"تک فروشگاه\";}i:4262;a:1:{i:0;s:19:\"عنوان سایت\";}i:4263;a:1:{i:0;s:17:\"آدرس سایت\";}i:4264;a:1:{i:0;s:17:\"آدرس سایت\";}i:4265;a:1:{i:0;s:20:\"اسکریل(Skrill)\";}i:4266;a:1:{i:0;s:21:\"تنظیمات Skrill\";}i:4267;a:1:{i:0;s:8:\"نامک\";}i:4268;a:1:{i:0;s:41:\"دکمه های پرداخت هوشمند\";}i:4269;a:1:{i:0;s:74:\"نوع دکمه های پرداخت هوشمند توصیه می‌شود.\";}i:4270;a:1:{i:0;s:49:\"پیکربندی درگاه پیامک تأیید\";}i:4271;a:1:{i:0;s:26:\"پیش نمایش قطعه\";}i:4272;a:1:{i:0;s:23:\"کد API اجتماعی\";}i:4273;a:1:{i:0;s:29:\"پروفایل اجتماعی\";}i:4274;a:1:{i:0;s:38:\"پروفایل‌های اجتماعی\";}i:4275;a:1:{i:0;s:47:\"تنظیمات شبکه‌های اجتماعی\";}i:4276;a:1:{i:0;s:229:\"پروفایل های اجتماعی به شما کمک می کنند اعتماد بیشتری کسب کنید. برای تعامل بهتر کاربر ، پیوندهای شبکه اجتماعی خود را اضافه کنید.\";}i:4277;a:1:{i:0;s:10:\"جامعه\";}i:4278;a:1:{i:0;s:23:\"فروش جداگانه\";}i:4279;a:1:{i:0;s:32:\"فروش به صورت تکی ؟\";}i:4280;a:1:{i:0;s:8:\"تاجر\";}i:4281;a:1:{i:0;s:8:\"املا\";}i:4282;a:1:{i:0;s:65:\"شخصی فروشگاه شما را آنفالو کرده است!\";}i:4283;a:1:{i:0;s:76:\"اشتباهی رخ داده است. لطفا دوباره تلاش کنید\";}i:4284;a:1:{i:0;s:24:\"مشکلی پیش آمد\";}i:4285;a:1:{i:0;s:70:\"مشکلی پیش آمد و سفارش قابل پردازش نیست!\";}i:4286;a:1:{i:0;s:48:\"مشکلی در اتصال Razorpay رخ داد.\";}i:4287;a:1:{i:0;s:117:\"هنگام درج اطلاعات تبلیغ مشکلی پیش آمد. لطفا با ادمین تماس بگیرید.\";}i:4288;a:1:{i:0;s:59:\"هنگام پردازش سفارش مشکلی پیش آمد\";}i:4289;a:1:{i:0;s:32:\"خطایی رخ داده است!\";}i:4290;a:1:{i:0;s:111:\"مشکلی پیش آمد! حساب ایجاد نشد. لطفاً بعداً دوباره امتحان کنید.\";}i:4291;a:1:{i:0;s:87:\"مشکلی رخ داده است!. لطفا بعدا دوباره امتحان کنید.\";}i:4292;a:1:{i:0;s:70:\"مشکلی پیش آمد. لطفا دوباره امتحان کنید.\";}i:4293;a:1:{i:0;s:58:\"مشکلی پیش آمد! مظنه شما بروز نشد.\";}i:4294;a:1:{i:0;s:60:\"مشکلی پیش آمد! مظنه شما ذخیره نشد.\";}i:4295;a:1:{i:0;s:72:\"مشکلی پیش آمده است! لطفا مجدا سعی نمایید\";}i:4296;a:1:{i:0;s:32:\"خطایی رخ داده است.\";}i:4297;a:1:{i:0;s:29:\"مشکلی وجود دارد:\";}i:4298;a:1:{i:0;s:30:\"مشکلی وجود دارد: \";}i:4299;a:1:{i:0;s:203:\"متاسفیم ! هیچ حساب Razorpay برای شناسه حساب پیدا نشد. لطفا یک حساب کاربری جدید ایجاد کنید یا یک حساب razorpay معتبر بدهید.\";}i:4300;a:1:{i:0;s:175:\"با عرض پوزش ، اشتراک شما از محدودیت بسته شما فراتر رفته است ، لطفاً اشتراک بسته خود را به روز کنید\";}i:4301;a:1:{i:0;s:13:\"متاسفم!\";}i:4302;a:1:{i:0;s:175:\"متاسفیم! شما نمی توانید هیچ محصولی اضافه یا منتشر کنید. لطفا <a href=\"%s\">پکیج خود را بروزرسانی کنید</a>.\";}i:4303;a:1:{i:0;s:77:\"متاسفیم! شما نمی توانید رزرو را اضافه کنید!\";}i:4304;a:1:{i:0;s:88:\"با عرض پوزش، برای ارسال نظر باید وارد سیستم شوید!\";}i:4305;a:1:{i:0;s:51:\"متاسفیم، مشکلی پیش آمده است!\";}i:4306;a:1:{i:0;s:77:\"با عرض پوزش ، مشکلی پیش آمد! تیکت ایجاد نشد.\";}i:4307;a:1:{i:0;s:97:\"متأسفیم، مکان حمل و نقل فراتر از شعاع حمل و نقل ما است.\";}i:4308;a:1:{i:0;s:104:\"متأسفیم، مکان حمل و نقل بیشتر از زمان سفر حمل و نقل ما است.\";}i:4309;a:1:{i:0;s:129:\"متأسفیم ، حداقل مقدار مجاز سفارش %1$s  برای استفاده از این روش پرداخت است.\";}i:4310;a:1:{i:0;s:124:\"متأسفیم، کل هزینه سفارش بیشتر از آن چیزی است که می توانیم ارسال کنیم.\";}i:4311;a:1:{i:0;s:124:\"متأسفیم، تعداد کل اقلام بیشتر از آن چیزی است که می توانیم ارسال کنیم.\";}i:4312;a:1:{i:0;s:147:\"متأسفیم، وزن کل اقلام انتخابی شما بیشتر از آن چیزی است که ما می توانیم ارسال کنیم.\";}i:4313;a:1:{i:0;s:48:\"متأسفم ، خطایی رخ داده است.\";}i:4314;a:1:{i:0;s:68:\"با عرض پوزش، این محصول قابل خرید نیست.\";}i:4315;a:1:{i:0;s:129:\"با عرض پوزش، این محصول در دسترس نیست. لطفا ترکیب متفاوتی را انتخاب کنید.\";}i:4316;a:1:{i:0;s:162:\"متأسفیم ، در حال حاضر نمی توانیم پرداخت شما را پردازش کنیم. لطفا بعداً دوباره امتحان کنید.\";}i:4317;a:1:{i:0;s:99:\"متأسفیم، در حال حاضر کارت های پیش پرداخت را نمی پذیریم.\";}i:4318;a:1:{i:0;s:228:\"متأسفیم، در حال حاضر کارت های پیش پرداخت را نمی پذیریم. کارت اعتباری شما شارژ نشده است. لطفا با روش پرداخت جایگزین امتحان کنید.\";}i:4319;a:1:{i:0;s:100:\"متأسفیم ، با پی پال نمی توانید پلن اشتراک را تغییر دهید.\";}i:4320;a:1:{i:0;s:140:\"با عرض پوزش ، شما نمی توانید بیش از یک محصول فروشنده را در سبد خرید اضافه کنید.\";}i:4321;a:1:{i:0;s:113:\"با عرض پوزش ، شما نمی توانید همزمان از چندین فروشنده خرید کنید.\";}i:4322;a:1:{i:0;s:140:\"با عرض پوزش، شما اجازه ندارید این کار را انجام دهید. از آنجا که محصول شما نیست.\";}i:4323;a:1:{i:0;s:85:\"با عرض پوزش، حساب فروشندگی شما غیرفعال شده است.\";}i:4324;a:1:{i:0;s:15:\"کد ترتیب\";}i:4325;a:1:{i:0;s:47:\"مرتب سازی بر اساس محصولات.\";}i:4326;a:1:{i:0;s:10:\"سفارش\";}i:4327;a:1:{i:0;s:8:\"منبع\";}i:4328;a:1:{i:0;s:24:\"پلت‌فرم منبع\";}i:4329;a:1:{i:0;s:8:\"اسپم\";}i:4330;a:1:{i:0;s:10:\"اسپم (\";}i:4331;a:1:{i:0;s:18:\"اسپانیایی\";}i:4332;a:1:{i:0;s:15:\"مورد خاص\";}i:4333;a:1:{i:0;s:58:\"مورد خاص، لطفا با ما تماس بگیرید\";}i:4334;a:1:{i:0;s:279:\"مشخص کنید پس از چند روز وجوه به فروشنده مربوطه پرداخت می‌شود. حداکثر مدت نگهداری 29 روز است. پس از 29 روز، وجه به طور خودکار به فروشنده مربوطه پرداخت می‌شود.\";}i:4335;a:1:{i:0;s:220:\"مشخص کنید پس از چند روز وجوه به فروشنده مربوطه پرداخت می‌شود. وجوه پس از این مدت به صورت خودکار به فروشندگان منتقل می‌شود\";}i:4336;a:1:{i:0;s:264:\"مشخص کنید پس از چند روز وجوه به فروشنده مربوطه پرداخت می‌شود. بدون حداکثر روزهای برگزاری. پس از روزهای معین، وجه به فروشنده مربوطه پرداخت می‌شود.\";}i:4337;a:1:{i:0;s:36:\"تنظیمات SPMV طرح آیتم.\";}i:4338;a:1:{i:0;s:10:\"پرسنل\";}i:4339;a:1:{i:0;s:77:\"کارکنان را نمی توان به سطل زباله منتقل کرد.\";}i:4340;a:1:{i:0;s:40:\"پرسنل با موفقیت حذف شد\";}i:4341;a:1:{i:0;s:34:\"کارکنان وجود ندارد\";}i:4342;a:1:{i:0;s:18:\"استاندارد\";}i:4343;a:1:{i:0;s:27:\"دکمه استاندارد\";}i:4344;a:1:{i:0;s:43:\"نرخ پایه اتاق استاندارد\";}i:4345;a:1:{i:0;s:43:\"نرخ بلوک اتاق استاندارد\";}i:4346;a:1:{i:0;s:8:\"شروع\";}i:4347;a:1:{i:0;s:19:\"تاریخ شروع\";}i:4348;a:1:{i:0;s:20:\"تاریخ شروع:\";}i:4349;a:1:{i:0;s:36:\"شروع آزمایشی رایگان\";}i:4350;a:1:{i:0;s:17:\"قیمت شروع\";}i:4351;a:1:{i:0;s:19:\"شروع تایید\";}i:4352;a:1:{i:0;s:49:\"تاریخ شروع قیمت حراج، در GMT.\";}i:4353;a:1:{i:0;s:76:\"تاریخ شروع قیمت حراج، در منطقه زمانی سایت.\";}i:4354;a:1:{i:0;s:110:\"برای به دست آوردن پیشرفت پروفایل ، با افزودن یک بنر شروع کنید\";}i:4355;a:1:{i:0;s:8:\"شروع\";}i:4356;a:1:{i:0;s:10:\"استان\";}i:4357;a:1:{i:0;s:30:\"استان الزامی است\";}i:4358;a:1:{i:0;s:17:\"نام استان\";}i:4359;a:1:{i:0;s:10:\"استان\";}i:4360;a:1:{i:0;s:57:\"استانی که از آنجا ارسال می کنید.\";}i:4361;a:1:{i:0;s:12:\"بیانیه\";}i:4362;a:1:{i:0;s:8:\"ثابت\";}i:4363;a:1:{i:0;s:10:\"وضعیت\";}i:4364;a:1:{i:0;s:11:\"وضعيت:\";}i:4365;a:1:{i:0;s:30:\"وضعیت معتبر نیست\";}i:4366;a:1:{i:0;s:46:\"وضعیت با موفقیت تغییر کرد\";}i:4367;a:1:{i:0;s:46:\"وضعیت برای آبجکت فروشگاه.\";}i:4368;a:1:{i:0;s:41:\"وضعیت مشتری عمده فروشی\";}i:4369;a:1:{i:0;s:67:\"وضعیت بروزرسانی نشد، مجددا تلاش کنید\";}i:4370;a:1:{i:0;s:145:\"وضعیت محصول به این معنی است که آیا قبلاً اضافه شده است یا می توان آن را اضافه کرد.\";}i:4371;a:1:{i:0;s:108:\"وضعیت تبلیغ محصول، 1 برای فعال و 2 برای دریافت تبلیغ غیر فعال\";}i:4372;a:1:{i:0;s:25:\"وضعیت اطلاعیه\";}i:4373;a:1:{i:0;s:20:\"وضعیت مظنه.\";}i:4374;a:1:{i:0;s:22:\"وضعیت قانون.\";}i:4375;a:1:{i:0;s:72:\"پارامتر وضعیت باید فعال یا غیرفعال باشد\";}i:4376;a:1:{i:0;s:10:\"چسبان\";}i:4377;a:1:{i:0;s:12:\"موجودی\";}i:4378;a:1:{i:0;s:23:\"تعداد موجودی\";}i:4379;a:1:{i:0;s:24:\"تعداد موجودی:\";}i:4380;a:1:{i:0;s:23:\"وضعیت موجودی\";}i:4381;a:1:{i:0;s:49:\"مدیریت موجودی در سطح متغیر.\";}i:4382;a:1:{i:0;s:34:\"مقدار موجودی انبار\";}i:4383;a:1:{i:0;s:21:\"تعداد موجود\";}i:4384;a:1:{i:0;s:24:\"موجودی انبار.\";}i:4385;a:1:{i:0;s:23:\"وضعیت موجودی\";}i:4386;a:1:{i:0;s:16:\"موجودی: %d\";}i:4387;a:1:{i:0;s:14:\"فروشگاه\";}i:4388;a:1:{i:0;s:21:\"بنر فروشگاه\";}i:4389;a:1:{i:0;s:34:\"ارتفاع بنر فروشگاه\";}i:4390;a:1:{i:0;s:28:\"عرض بنر فروشگاه\";}i:4391;a:1:{i:0;s:53:\"پرفروش‌ترین محصولات فروشگاه\";}i:4392;a:1:{i:0;s:39:\"دسته بندی های فروشگاه\";}i:4393;a:1:{i:0;s:34:\"دسته‌بندی فروشگاه\";}i:4394;a:1:{i:0;s:43:\"سفارشی سازی رنگ فروشگاه\";}i:4395;a:1:{i:0;s:28:\"رنگ های فروشگاه\";}i:4396;a:1:{i:0;s:36:\"کدهای تخفیف فروشگاه\";}i:4397;a:1:{i:0;s:42:\"فروشگاه ساختگی محصولات\";}i:4398;a:1:{i:0;s:38:\"محصولات ویژه فروشگاه\";}i:4399;a:1:{i:0;s:43:\"دکمه دنبال کردن فروشگاه\";}i:4400;a:1:{i:0;s:40:\"دنبال کنندگان فروشگاه\";}i:4401;a:1:{i:0;s:29:\"اطلاعات فروشگاه\";}i:4402;a:1:{i:0;s:40:\"آخرین محصولات فروشگاه\";}i:4403;a:1:{i:0;s:23:\"لیست فروشگاه\";}i:4404;a:1:{i:0;s:23:\"لیست فروشگاه\";}i:4405;a:1:{i:0;s:45:\"دکمه گفتگوی زنده فروشگاه\";}i:4406;a:1:{i:0;s:27:\"موقعیت فروشگاه\";}i:4407;a:1:{i:0;s:41:\"راه اندازی محل فروشگاه\";}i:4408;a:1:{i:0;s:30:\"مکان های فروشگاه\";}i:4409;a:1:{i:0;s:21:\"نام فروشگاه\";}i:4410;a:1:{i:0;s:23:\"نام فروشگاه: \";}i:4411;a:1:{i:0;s:30:\"تحویل از فروشگاه\";}i:4412;a:1:{i:0;s:36:\"تحویل از فروشگاه #%1$s\";}i:4413;a:1:{i:0;s:37:\"تاریخ تحویل فروشگاه:\";}i:4414;a:1:{i:0;s:39:\"زمان تحویل از فروشگاه\";}i:4415;a:1:{i:0;s:40:\"فیلتر محصولات فروشگاه\";}i:4416;a:1:{i:0;s:25:\"نظرات فروشگاه\";}i:4417;a:1:{i:0;s:45:\"نظرات فروشگاه توسط مشتری\";}i:4418;a:1:{i:0;s:23:\"سئوی فروشگاه\";}i:4419;a:1:{i:0;s:47:\"دکمه اشتراک گذاری فروشگاه\";}i:4420;a:1:{i:0;s:44:\"پروفایل اجتماعی فروشگاه\";}i:4421;a:1:{i:0;s:31:\"پشتیبانی فروشگاه\";}i:4422;a:1:{i:0;s:44:\"پشتیبانی فروشگاه %1$s%2$s%3$s\";}i:4423;a:1:{i:0;s:40:\"دکمه پشتیبانی فروشگاه\";}i:4424;a:1:{i:0;s:42:\"تعداد پشتیبانی فروشگاه\";}i:4425;a:1:{i:0;s:44:\"مدیریت پشتیبانی فروشگاه\";}i:4426;a:1:{i:0;s:46:\"تنظیمات پشتیبانی فروشگاه\";}i:4427;a:1:{i:0;s:38:\"محتوای زبانه فروشگاه\";}i:4428;a:1:{i:0;s:41:\"آیتم های زبانه فروشگاه\";}i:4429;a:1:{i:0;s:23:\"زمان فروشگاه\";}i:4430;a:1:{i:0;s:38:\"محصولات برتر فروشگاه\";}i:4431;a:1:{i:0;s:29:\"تعطیلات فروشگاه\";}i:4432;a:1:{i:0;s:38:\"پیام تعطیلات فروشگاه\";}i:4433;a:1:{i:0;s:42:\"بازدید کنندگان فروشگاه\";}i:4434;a:1:{i:0;s:37:\"دسته بندی فروشگاه ها\";}i:4435;a:1:{i:0;s:52:\"فروشگاه دارای چندین مکان است\";}i:4436;a:1:{i:0;s:25:\"شناسه فروشگاه\";}i:4437;a:1:{i:0;s:38:\"تحویل در محل فروشگاه:\";}i:4438;a:1:{i:0;s:39:\"تحویل در محل فروشگاه: \";}i:4439;a:1:{i:0;s:29:\"موقعیت فروشگاه: \";}i:4440;a:1:{i:0;s:50:\"نام فروشگاه محصول تبلیغ شده\";}i:4441;a:1:{i:0;s:25:\"نظرات فروشگاه\";}i:4442;a:1:{i:0;s:140:\"پیام تعطیلات فروشگاه تنظیم شده در داشبورد فروشنده در اینجا نشان داده می‌شود.\";}i:4443;a:1:{i:0;s:28:\"لیست فروشگاه ها\";}i:4444;a:1:{i:0;s:38:\"تخفیف سراسری فروشگاه\";}i:4445;a:1:{i:0;s:12:\"استریپ\";}i:4446;a:1:{i:0;s:48:\"خطای Stripe API در واکشی حساب: %s\";}i:4447;a:1:{i:0;s:25:\"پرداخت استریپ\";}i:4448;a:1:{i:0;s:34:\"پرداخت محلی استریپ\";}i:4449;a:1:{i:0;s:23:\"اتصال استریپ\";}i:4450;a:1:{i:0;s:25:\"استریپ اکسپرس\";}i:4451;a:1:{i:0;s:40:\"تنظیمات استریپ اکسپرس\";}i:4452;a:1:{i:0;s:38:\"خطای پرداخت استریپ: %s\";}i:4453;a:1:{i:0;s:55:\"احراز هویت استریپ SCA انجام نشد.\";}i:4454;a:1:{i:0;s:68:\"احراز هویت استریپ SCA انجام نشد. دلیل: %s\";}i:4455;a:1:{i:0;s:45:\"شناسه تراکنش Stripe سندباکس\";}i:4456;a:1:{i:0;s:20:\"تنظیمات Strip\";}i:4457;a:1:{i:0;s:30:\"شناسه تراکنش Stripe\";}i:4458;a:1:{i:0;s:198:\"شارژ استرریپ مجاز است (شناسه شارژ: %s). برای برداشتن پرداخت ، پردازش را انجام دهید یا برای حذف پیش مجوز لغو کنید.\";}i:4459;a:1:{i:0;s:88:\"شارژ استریپ در انتظار تأیید اعتبار توسط کاربر: %s.\";}i:4460;a:1:{i:0;s:57:\"شارژ استریپ در انتظار پرداخت: %s.\";}i:4461;a:1:{i:0;s:63:\"شارژ استریپ کامل است (شناسه شارژ: %s)\";}i:4462;a:1:{i:0;s:86:\"شارژ استریپ%s در انتظار تأیید اعتبار توسط کاربر.\";}i:4463;a:1:{i:0;s:100:\"کلید دسترسی اتصال استریپ برای شناسه فروشنده %d یافت نشد.\";}i:4464;a:1:{i:0;s:40:\"هزینه پردازش Stripe %s است\";}i:4465;a:1:{i:0;s:104:\"حالت تست Stripe را می توان برای آزمایش پرداخت ها استفاده کرد.\";}i:4466;a:1:{i:0;s:187:\"استریپ با افزودن فیلد های کارت اعتباری در تسویه حساب و سپس ارسال جزئیات برای تأیید به استریپ کار می کند.\";}i:4467;a:1:{i:0;s:10:\"موضوع\";}i:4468;a:1:{i:0;s:41:\"موضوع (در انتظار تأیید)\";}i:4469;a:1:{i:0;s:12:\"موضوع :\";}i:4470;a:1:{i:0;s:22:\"عنوان ایمیل.\";}i:4471;a:1:{i:0;s:10:\"ارسال\";}i:4472;a:1:{i:0;s:25:\"ارسال استعلام\";}i:4473;a:1:{i:0;s:40:\"ثبت درخواست عودت وجه %s\";}i:4474;a:1:{i:0;s:19:\"ارسال پاسخ\";}i:4475;a:1:{i:0;s:25:\"ارسال درخواست\";}i:4476;a:1:{i:0;s:23:\"ارسال شده در \";}i:4477;a:1:{i:0;s:10:\"ارسال\";}i:4478;a:1:{i:0;s:12:\"اشتراک\";}i:4479;a:1:{i:0;s:20:\"بسته مشترک:\";}i:4480;a:1:{i:0;s:34:\"لیست فروشنده مشترک\";}i:4481;a:1:{i:0;s:12:\"اشتراک\";}i:4482;a:1:{i:0;s:16:\"اشتراک #%s\";}i:4483;a:1:{i:0;s:28:\"اشتراک  %1$s در %2$s\";}i:4484;a:1:{i:0;s:25:\"اشتراک لغو شد.\";}i:4485;a:1:{i:0;s:26:\"جزئیات اشتراک:\";}i:4486;a:1:{i:0;s:53:\"اشتراک به زودی به پایان میرسد\";}i:4487;a:1:{i:0;s:34:\"یادداشت های اشتراک\";}i:4488;a:1:{i:0;s:21:\"پکیج اشتراک\";}i:4489;a:1:{i:0;s:21:\"پک اشتراک: %s\";}i:4490;a:1:{i:0;s:50:\"اطلاع رسانی لغو پکیج اشتراک\";}i:4491;a:1:{i:0;s:40:\"اشتراک دوباره فعال شد.\";}i:4492;a:1:{i:0;s:27:\"اشتراک فروشنده\";}i:4493;a:1:{i:0;s:25:\"برنامه اشتراک\";}i:4494;a:1:{i:0;s:24:\"وضعیت اشتراک:\";}i:4495;a:1:{i:0;s:69:\"اشتراک توسط ادمین به حالت تعلیق درآمد.\";}i:4496;a:1:{i:0;s:72:\"اشتراک توسط فروشنده به حالت تعلیق درآمد\";}i:4497;a:1:{i:0;s:81:\"اشتراک از داشبورد پی پال به حالت تعلیق درآمد.\";}i:4498;a:1:{i:0;s:70:\"اشتراک آزمایشی فعال شد. شناسه اشتراک: %s\";}i:4499;a:1:{i:0;s:20:\"نوع اشتراک:\";}i:4500;a:1:{i:0;s:30:\"اشتراک به روز شد.\";}i:4501;a:1:{i:0;s:27:\"اشتراک فعال شد.\";}i:4502;a:1:{i:0;s:55:\"اشتراک فعال شد. شناسه اشتراک: %s\";}i:4503;a:1:{i:0;s:55:\"اشتراک فعال شد. شناسه فاکتور: %s\";}i:4504;a:2:{i:0;s:12:\"‫%s روز\";i:1;s:6:\"روز\";}i:4505;a:2:{i:0;s:9:\"%s ماه\";i:1;s:6:\"ماه\";}i:4506;a:2:{i:0;s:11:\"%s هفته\";i:1;s:8:\"هفته\";}i:4507;a:2:{i:0;s:9:\"%s سال\";i:1;s:6:\"سال\";}i:4508;a:1:{i:0;s:54:\"امکان ایجاد اشتراک وجود ندارد\";}i:4509;a:1:{i:0;s:94:\"اشتراك ایجاد نمی‌شود ، زیرا شناسه پلن یافت نمی‌شود\";}i:4510;a:1:{i:0;s:41:\"اشتراک با پی پال لغو شد\";}i:4511;a:1:{i:0;s:33:\"انقضا اشتراک پس از\";}i:4512;a:1:{i:0;s:33:\"اشتراک لغو شده است\";}i:4513;a:1:{i:0;s:21:\"انقضای بعدی\";}i:4514;a:1:{i:0;s:8:\"1 روز\";}i:4515;a:1:{i:0;s:8:\"1 ماه\";}i:4516;a:1:{i:0;s:10:\"1 هفته\";}i:4517;a:1:{i:0;s:8:\"1 سال\";}i:4518;a:1:{i:0;s:157:\"در حالی که فروشگاه در حالت استیجینگ است، اشتراک به تمدید دستی قفل شد. روش پرداخت زنده: %s\";}i:4519;a:1:{i:0;s:30:\"اشتراک ایجاد نشد\";}i:4520;a:1:{i:0;s:74:\"افزودنی بسته اشتراک برای فروشندگان دکان.\";}i:4521;a:1:{i:0;s:21:\"قیمت اشتراک\";}i:4522;a:1:{i:0;s:40:\"اشتراک دوباره فعال شد.\";}i:4523;a:1:{i:0;s:30:\"اشتراک به روز شد.\";}i:4524;a:1:{i:0;s:17:\"اشتراک ها\";}i:4525;a:1:{i:0;s:41:\"اشتراک ایجاد نمی‌شود: \";}i:4526;a:1:{i:0;s:8:\"جمعا\";}i:4527;a:1:{i:0;s:27:\"جمع (استاندارد)\";}i:4528;a:1:{i:0;s:27:\"جمع (استاندارد)\";}i:4529;a:1:{i:0;s:25:\"مجموع استرداد\";}i:4530;a:1:{i:0;s:8:\"موفق\";}i:4531;a:1:{i:0;s:19:\"وضعیت موفق\";}i:4532;a:1:{i:0;s:9:\"موفق!\";}i:4533;a:1:{i:0;s:9:\"موفق.\";}i:4534;a:1:{i:0;s:47:\"پرداخت با موفقیت انجام شد!\";}i:4535;a:1:{i:0;s:31:\"با موفقیت بسته شد\";}i:4536;a:1:{i:0;s:78:\"با موفقیت از لیست مشتریان عمده فروشی حذف شد\";}i:4537;a:1:{i:0;s:55:\"محموله جدید با موفقیت ایجاد شد\";}i:4538;a:1:{i:0;s:10:\"پسوند\";}i:4539;a:1:{i:0;s:27:\"خلاصه کد تخفیف:\";}i:4540;a:1:{i:0;s:20:\"خلاصه مظنه:\";}i:4541;a:1:{i:0;s:42:\"خلاصه درخواست عودت وجه:\";}i:4542;a:1:{i:0;s:34:\"خلاصه‌ای از محصول:\";}i:4543;a:1:{i:0;s:13:\"یک شنبه\";}i:4544;a:1:{i:0;s:16:\"پشتیبانی\";}i:4545;a:1:{i:0;s:36:\"برچسب دکمه پشتیبانی\";}i:4546;a:1:{i:0;s:32:\"متن دکمه پشتیبانی\";}i:4547;a:1:{i:0;s:32:\"تیکت های پشتیبانی\";}i:4548;a:1:{i:0;s:51:\"موضوعات پشتیبانی توسط مشتری\";}i:4549;a:1:{i:0;s:279:\"انواع پشتیبانی شده: فقط pdf، .jpeg، .jpg، .gif و png. حداقل اندازه فایل 1KB (32KB برای اثبات هویت) و حداکثر اندازه فایل 10MB است. فایل های متعدد در صورت لزوم پذیرفته می‌شود\";}i:4550;a:1:{i:0;s:10:\"سوئدی\";}i:4551;a:1:{i:0;s:17:\"کرون سوئد\";}i:4552;a:1:{i:0;s:21:\"فرانک سوئیس\";}i:4553;a:1:{i:0;s:17:\"تغییر پلن\";}i:4554;a:1:{i:0;s:30:\"تمدید همگام سازی\";}i:4555;a:1:{i:0;s:10:\"سیستم\";}i:4556;a:1:{i:0;s:197:\"حالت تست فعال شده است. در حالت تست، می توانید از شماره کارت 4012001037141112 با هر CVC و تاریخ انقضا معتبر استفاده کنید.\";}i:4557;a:1:{i:0;s:369:\"حالت تست فعال شده است. در حالت تست ، می توانید از شماره کارت 424242424242424242 و 4000002500003155 برای آزمایش امنیت 3D با هر CVC و تاریخ انقضا معتبر استفاده کنید یا %1$sمستندات استریپ تست%2$s را برای شماره کارت بیشتر بررسی کنید.\";}i:4558;a:1:{i:0;s:41:\"تی ان تی اکسپرس (consignment)\";}i:4559;a:1:{i:0;s:39:\"تی ان تی اکسپرس (reference)\";}i:4560;a:1:{i:0;s:15:\"نرخ جدول\";}i:4561;a:1:{i:0;s:32:\"نرخ جدول حمل و نقل\";}i:4562;a:1:{i:0;s:64:\"ماژول ارسال نرخ جدول دکان فعال نیست\";}i:4563;a:1:{i:0;s:22:\"نرخ های جدول\";}i:4564;a:1:{i:0;s:50:\"نرخ جدول با موفقیت ذخیره شد!\";}i:4565;a:1:{i:0;s:17:\"برچسب‌ها\";}i:4566;a:1:{i:0;s:67:\"دریافت هزینه های پردازش از فروشندگان\";}i:4567;a:1:{i:0;s:28:\"شرکت در نظرسنجی\";}i:4568;a:1:{i:0;s:6:\"TalkJS\";}i:4569;a:1:{i:0;s:7:\"Tawk.to\";}i:4570;a:1:{i:0;s:28:\"شناسه ویژگی TawkTo\";}i:4571;a:1:{i:0;s:30:\"شناسه ابزارک TawkTo\";}i:4572;a:1:{i:0;s:28:\"شناسه ویژگی TawkTo\";}i:4573;a:1:{i:0;s:30:\"شناسه ابزارک TawkTo\";}i:4574;a:1:{i:0;s:12:\"مالیات\";}i:4575;a:1:{i:0;s:21:\"کلاس مالیات\";}i:4576;a:1:{i:0;s:28:\"عودت وجه مالیات\";}i:4577;a:1:{i:0;s:23:\"وضعیت مالیات\";}i:4578;a:1:{i:0;s:23:\"مجموع مالیات\";}i:4579;a:1:{i:0;s:21:\"کلاس مالیات\";}i:4580;a:1:{i:0;s:24:\"کلاس مالیاتی.\";}i:4581;a:1:{i:0;s:24:\"کلاس مالیاتی:\";}i:4582;a:1:{i:0;s:54:\"مالیات شامل در هزینه حمل و نقل\";}i:4583;a:1:{i:0;s:23:\"وضعیت مالیات\";}i:4584;a:1:{i:0;s:6:\"هیچ\";}i:4585;a:1:{i:0;s:26:\"وضعیت مالیاتی.\";}i:4586;a:1:{i:0;s:23:\"مشمول مالیات\";}i:4587;a:1:{i:0;s:69:\"جزئیات مربوط به مشکل خود را اعلام کنید\";}i:4588;a:1:{i:0;s:28:\"قوانین و مقررات\";}i:4589;a:1:{i:0;s:28:\"قوانین و مقررات\";}i:4590;a:1:{i:0;s:6:\"تست\";}i:4591;a:1:{i:0;s:28:\"تست شناسه مشتری\";}i:4592;a:1:{i:0;s:44:\"Test Distance Matrix API (نقشه گوگل)\";}i:4593;a:1:{i:0;s:15:\"کلید تست\";}i:4594;a:1:{i:0;s:26:\"شناسه کلید تست\";}i:4595;a:1:{i:0;s:24:\"سکرت کلید تست\";}i:4596;a:1:{i:0;s:15:\"حالت تست\";}i:4597;a:1:{i:0;s:26:\"کلید عمومی تست\";}i:4598;a:1:{i:0;s:37:\"تست کلید قابل انتشار\";}i:4599;a:1:{i:0;s:53:\"کلید قابل انتشار تست برای Stripe\";}i:4600;a:1:{i:0;s:24:\"تست کلید سکرت\";}i:4601;a:1:{i:0;s:24:\"کلید سکرت تست\";}i:4602;a:1:{i:0;s:40:\"کلید سکرت تست برای Stripe\";}i:4603;a:1:{i:0;s:15:\"تست توکن\";}i:4604;a:1:{i:0;s:27:\"سکرت وب هوک تست\";}i:4605;a:1:{i:0;s:19:\"تست اعتبار\";}i:4606;a:1:{i:0;s:141:\"آزمایش کنید که آیا Distance Matrix API برای روش ارسال نرخ فاصله دکان کار می‌کند یا خیر.\";}i:4607;a:1:{i:0;s:15:\"حالت تست\";}i:4608;a:1:{i:0;s:13:\"رنگ متن\";}i:4609;a:1:{i:0;s:216:\"این متن در پنجره چت واتساپ نمایش داده خواهد شد. از متغییرهای {store_name}, {store_url} برای نام فروشگاه و لینک فروشگاه استفاده کنید\";}i:4610;a:1:{i:0;s:82:\"متنی که در زیر محتوای ایمیل اصلی ظاهر می‌شود.\";}i:4611;a:1:{i:0;s:19:\"بات تایلند\";}i:4612;a:1:{i:0;s:48:\"از درخواست مظنه شما متشکرم\";}i:4613;a:1:{i:0;s:125:\"با تشکر از سفارش شما، لطفا برای پرداخت با Razorpay روی دکمه زیر کلیک کنید.\";}i:4614;a:1:{i:0;s:32:\"از نظر شما متشکرم.\";}i:4615;a:1:{i:0;s:62:\"با تشکر، تیکت شما با موفقیت ثبت شد!\";}i:4616;a:1:{i:0;s:77:\"برای استفاده از <a href=\"{site_url}\">{site_name} متشکریم!\";}i:4617;a:1:{i:0;s:55:\"برای استفاده از {site_url} متشکریم!\";}i:4618;a:1:{i:0;s:28:\"%s قابل حذف نیست.\";}i:4619;a:1:{i:0;s:69:\"CVV موجود نیست یا در طول/فرمت مناسب نیست\";}i:4620;a:1:{i:0;s:237:\"دکمه درخواست پرداخت در %s پشتیبانی نمی‌شود زیرا برخی از فیلدهای ضروری تأیید نشدند. لطفاً به صفحه پرداخت بروید و دوباره امتحان کنید.\";}i:4621;a:1:{i:0;s:64:\"مبلغ استرداد برای خط %s عدد منفی است.\";}i:4622;a:1:{i:0;s:92:\"مبلغ مالیات استرداد بیش از مقدار مجاز برای خط %s است\";}i:4623;a:1:{i:0;s:76:\"مبلغ مالیات استرداد برای خط %s عدد منفی است\";}i:4624;a:1:{i:0;s:51:\"منبع با موفقیت بروزرسانی شد.\";}i:4625;a:1:{i:0;s:158:\"شناسه کلید تست را می توان از داشبورد Razorpay --> تنظیمات <a href=\"%1$s\" target=\"_blank\">اینجا</a> ایجاد کرد.\";}i:4626;a:1:{i:0;s:156:\"سکرت کلید تست را می توان از داشبورد Razorpay --> تنظیمات <a href=\"%1$s\" target=\"_blank\">اینجا</a> ایجاد کرد.\";}i:4627;a:1:{i:0;s:319:\"مدیر، زمان‌بندی برداشت شما را که به‌عنوان زمان‌بندی پرداخت ترجیحی خود تنظیم کرده بودید، غیرفعال کرده است. لطفاً آن را از صفحه برداشت داشبورد فروشنده، دوباره زمان‌بندی کنید.\";}i:4628;a:1:{i:0;s:108:\"مقدار تخفیف همیشه باید عددی باشد، حتی اگر یک درصد تنظیم شود.\";}i:4629;a:1:{i:0;s:96:\"مبلغ مورد درخواست برای عودت وجه. همیشه باید عددی باشد\";}i:4630;a:1:{i:0;s:47:\"اعلامیه قبلاً حذف شده است.\";}i:4631;a:1:{i:0;s:132:\"کشور صورتحساب توسط SOFORT پذیرفته نمی‌شود. لطفاً کشور دیگری را امتحان کنید.\";}i:4632;a:1:{i:0;s:43:\"رزرو با موفقیت اضافه شد.\";}i:4633;a:1:{i:0;s:34:\"کارت منقضی شده است.\";}i:4634;a:1:{i:0;s:36:\"شماره کارت ناقص است.\";}i:4635;a:1:{i:0;s:40:\"شماره کارت نادرست است.\";}i:4636;a:1:{i:0;s:40:\"شماره کارت معتبر نیست.\";}i:4637;a:1:{i:0;s:53:\"شماره کارت در فرمت معتبر نیست\";}i:4638;a:1:{i:0;s:19:\"کارت رد شد.\";}i:4639;a:1:{i:0;s:47:\"تاریخ انقضا کارت ناقص است.\";}i:4640;a:1:{i:0;s:49:\"ماه انقضا کارت نامعتبر است.\";}i:4641;a:1:{i:0;s:53:\"تاریخ انقضا کارت در گذشته است\";}i:4642;a:1:{i:0;s:49:\"سال انقضا کارت نامعتبر است.\";}i:4643;a:1:{i:0;s:43:\"کد امنیتی کارت ناقص است.\";}i:4644;a:1:{i:0;s:43:\"کد امنیتی کارت ناقص است.\";}i:4645;a:1:{i:0;s:49:\"کد امنیتی کارت نامعتبر است.\";}i:4646;a:1:{i:0;s:41:\"کد پستی کارت تأیید نشد.\";}i:4647;a:1:{i:0;s:78:\"اتصال به سرور قطع شد. لطفا دوباره تلاش کنید.\";}i:4648;a:1:{i:0;s:20:\"محتوای نظر.\";}i:4649;a:1:{i:0;s:276:\"هزینه به کاربر در فرانت نمایش داده می‌شود. خالی بگذارید تا برای شما محاسبه شود. اگر رزرو هزینه های متفاوتی داشته باشد ، پیشوند این عبارت با کلمه \"از:\" است.\";}i:4650;a:1:{i:0;s:47:\"کشوری که به آن ارسال میشود\";}i:4651;a:1:{i:0;s:185:\"مقدار تخفیف سپس کمیسیون مدیریت و درآمد فروشنده را محاسبه می کند، این همان عملکرد کد تخفیف فروشنده است.\";}i:4652;a:1:{i:0;s:45:\"کد تخفیف از قبل وجود دارد\";}i:4653;a:1:{i:0;s:52:\"کد تخفیف نمی تواند خالی باشد.\";}i:4654;a:1:{i:0;s:159:\"قیمت کد تخفیف به ازای هر مقدار کد تخفیف مشترک از درآمد مدیر و درآمد فروشنده کسر خواهد شد.\";}i:4655;a:1:{i:0;s:63:\"مشتری برای عمده فروشی غیر فعال است.\";}i:4656;a:1:{i:0;s:107:\"حساب مشتری از طریق eCheck تأمین می‌شود که هنوز تسویه نشده است.\";}i:4657;a:1:{i:0;s:103:\"تاریخ درخواست عودت وجه در منطقه زمانی سایت ایجاد شده است.\";}i:4658;a:1:{i:0;s:51:\"تاریخ انقضای کد تخفیف، در GMT.\";}i:4659;a:1:{i:0;s:78:\"تاریخ انقضای کد تخفیف، در منطقه زمانی سایت.\";}i:4660;a:1:{i:0;s:47:\"تاریخ ایجاد کد تخفیف در GMT.\";}i:4661;a:1:{i:0;s:88:\"تاریخ کد تخفیف ایجاد شده در منطقه زمانی سایت است.\";}i:4662;a:1:{i:0;s:57:\"تاریخ آخرین تغییر کد تخفیف درGMT.\";}i:4663;a:1:{i:0;s:85:\"تاریخ آخرین تغییر کد تخفیف در منطقه زمانی سایت.\";}i:4664;a:1:{i:0;s:44:\"تاریخ ایجاد تصویر ،در GMT.\";}i:4665;a:1:{i:0;s:72:\"تاریخ عکس ایجاد شده در منطقه زمانی سایت.\";}i:4666;a:1:{i:0;s:54:\"تاریخ آخرین تغییر تصویر ،درGMT.\";}i:4667;a:1:{i:0;s:80:\"تاریخ آخرین تغییر تصویر در منطقه زمانی سایت.\";}i:4668;a:1:{i:0;s:73:\"تاریخ انتشار آبجکت، در منطقه زمانی سایت.\";}i:4669;a:1:{i:0;s:41:\"تاریخ ایجاد نظر ، در GMT.\";}i:4670;a:1:{i:0;s:68:\"تاریخ ایجاد نظر ، در منطقه زمانی سایت.\";}i:4671;a:1:{i:0;s:71:\"تاریخ ایجاد متغیر، در منطقه زمانی سایت.\";}i:4672;a:1:{i:0;s:82:\"تاریخ آخرین اصلاح متغیر، در منطقه زمانی سایت.\";}i:4673;a:1:{i:0;s:156:\"توضیحات به طور پیش فرض برجسته نیست با این حال، برخی از قالب ها ممکن است آن را نشان دهند.\";}i:4674;a:1:{i:0;s:40:\"آدرس ایمیل برای کاربر.\";}i:4675;a:1:{i:0;s:41:\"تاریخ انقضا معتبر نیست\";}i:4676;a:1:{i:0;s:73:\"فایل وجود ندارد، لطفاً دوباره تلاش کنید.\";}i:4677;a:1:{i:0;s:32:\"فایل معتبر نیست: %s\";}i:4678;a:1:{i:0;s:161:\"رزرواسیون زیر توسط مشتری لغو شده است. جزئیات رزرو لغو شده را می توانید در زیر مشاهده کنید.\";}i:4679;a:1:{i:0;s:79:\"وضعیت محموله زیر به سفارش شما اضافه شده است:\";}i:4680;a:1:{i:0;s:83:\"قیمت کامل کدتخفیف از درآمد ادمین کسر خواهد شد.\";}i:4681;a:1:{i:0;s:88:\"قیمت کامل کد تخفیف از درآمد فروشنده کسر خواهد شد.\";}i:4682;a:1:{i:0;s:217:\"اشتراک هدف <span>%1$s</span> به دلیل عدم پرداخت غیرفعال است. لطفاً <a href=\"?add-to-cart=%2$s\">اکنون پرداخت کنید</a> تا دوباره آن را فعال کنید.\";}i:4683;a:1:{i:0;s:151:\"شناسه کلید را می توان از داشبورد Razorpay --> تنظیمات <a href=\"%1$s\" target=\"_blank\">اینجا</a> ایجاد کرد.\";}i:4684;a:1:{i:0;s:149:\"کلید سکرت را می توان از داشبورد Razorpay --> تنظیمات <a href=\"%1$s\" target=\"_blank\">اینجا</a> ایجاد کرد.\";}i:4685;a:1:{i:0;s:112:\"اگر توسط مشتری منبع مشخص شده  ، برچسب در فرانت نشان داده میشود.\";}i:4686;a:1:{i:0;s:416:\"هرچه تعداد اولویت کمتر باشد ، این قانون زودتر اعمال می‌شود. به طور پیش فرض ، قوانین عمومی بر قوانین محصول که از قوانین منابع اولویت دارند ، اولویت دارند. با استفاده از شماره اولویت می توانید قوانینی را در ترتیب های مختلف اجرا کنید.\";}i:4687;a:1:{i:0;s:54:\"حداکثر تعداد افراد در هر رزرو.\";}i:4688;a:1:{i:0;s:260:\"توضیح متا اغلب به صورت متن مشکی زیر عنوان نتیجه‌ی جستجو نشان داده میشود. برای کار کردن باید شامل کلمات کلیدی جستجو شده و کمتر از 156 کاراکتر باشد.\";}i:4689;a:1:{i:0;s:52:\"حداقل تعداد افراد در هر رزرو.\";}i:4690;a:1:{i:0;s:63:\"حداقل هزینه برای این کد تخفیف %s است\";}i:4691;a:1:{i:0;s:104:\"جدیدترین وب هوک زنده، با مهر زمانی %s، با موفقیت پردازش شد.\";}i:4692;a:1:{i:0;s:110:\"جدیدترین وب هوک آزمایشی، با مهر زمانی %s، با موفقیت پردازش شد.\";}i:4693;a:1:{i:0;s:25:\"نام دسته بندی.\";}i:4694;a:1:{i:0;s:40:\"نام مستعار برای کاربر.\";}i:4695;a:1:{i:0;s:300:\"اطلاعیه به اطلاع شما می‌رساند که رمزعبور شما برای %1$s توسط فروشنده تغییر کرده است. لطفاً با فروشنده خود تماس بگیرید تا رمز عبور را برای دسترسی به حساب خود دریافت کنید.\";}i:4696;a:1:{i:0;s:33:\"سفارش %s معتبر نیست\";}i:4697;a:1:{i:0;s:52:\"سفارش با حساب شما مرتبط نیست!\";}i:4698;a:1:{i:0;s:78:\"کل سفارش برای این روش پرداخت بسیار زیاد است\";}i:4699;a:1:{i:0;s:74:\"کل سفارش برای این روش پرداخت بسیار کم است\";}i:4700;a:1:{i:0;s:176:\"برای ثبت سفارش نمی توان از روش پرداخت استفاده کرد. لطفاً روش دیگری را انتخاب و دوباره امتحان کنید.\";}i:4701;a:1:{i:0;s:94:\"پست سطل زباله را پشتیبانی نمی کند. تنظیم \'%s\' برای حذف.\";}i:4702;a:1:{i:0;s:44:\"این پست قبلا حذف شده است.\";}i:4703;a:1:{i:0;s:44:\"محصول باموفقیت ذخیره شد.\";}i:4704;a:1:{i:0;s:52:\"محصول باموفقیت بروزرسانی شد.\";}i:4705;a:1:{i:0;s:80:\"محصول در حال حاضر در حالت \"در حال انتظار\" است.\";}i:4706;a:1:{i:0;s:82:\"محصول در حال حاضر در وضعیت \"در حال انتظار\" است.\";}i:4707;a:1:{i:0;s:44:\"مظنه را نمی توان حذف کرد.\";}i:4708;a:1:{i:0;s:28:\"مظنه به روز نشد.\";}i:4709;a:1:{i:0;s:90:\"مبلغ استرداد %1$s بیشتر از مقدار مجاز برای خط %2$s است\";}i:4710;a:1:{i:0;s:70:\"درخواست عودت وجه وضعیت در انتظار ندارد\";}i:4711;a:1:{i:0;s:48:\"سفارش تمدید به شرح زیر است:\";}i:4712;a:1:{i:0;s:32:\"نظر قابل حذف نیست.\";}i:4713;a:1:{i:0;s:26:\"تنها بلوک شروع\";}i:4714;a:1:{i:0;s:49:\"استانی که به آن ارسال میشود\";}i:4715;a:1:{i:0;s:113:\"وضعیت یک محصول زمانی که یک فروشنده آن را ایجاد یا به روز می کند.\";}i:4716;a:1:{i:0;s:79:\"زمان موردنیاز قبل از ارسال محصول برای تحویل\";}i:4717;a:1:{i:0;s:107:\"مهر زمانی در وب هوک بیش از پنج دقیقه با زمان سایت متفاوت بود\";}i:4718;a:1:{i:0;s:121:\"کاربر حساب کاربری موجود دارد اما از %1$s قطع شده است.%2$sشناسه حساب: %3$s.\";}i:4719;a:1:{i:0;s:136:\"کاربر معارفه خود را برای %s کامل نکرده است. برای اتصال باید معارفه تکمیل شود.\";}i:4720;a:1:{i:0;s:67:\"کاربر به %1$s متصل است.%2$sشناسه حساب: %3$s.\";}i:4721;a:1:{i:0;s:37:\"کاربر به %s متصل نیست.\";}i:4722;a:1:{i:0;s:63:\"وب هوک دریافت شده از Stripe نیامده است\";}i:4723;a:1:{i:0;s:97:\"امضای وب هوک وجود نداشت یا به اشتباه قالب بندی شده بود\";}i:4724;a:1:{i:0;s:67:\"بدنه مورد انتظار در وب هوک وجود نداشت\";}i:4725;a:1:{i:0;s:71:\"هدرهای مورد انتظار در وب هوک وجود نداشت\";}i:4726;a:1:{i:0;s:81:\"وب هوک با رمز امضای مورد انتظار امضا نشده است\";}i:4727;a:1:{i:0;s:137:\"روش برداشتی که به عنوان پیش‌فرض تنظیم کرده‌اید توسط ادمین غیرفعال شده است.\";}i:4728;a:1:{i:0;s:190:\"\"نامک\" نسخه ای مناسب از نام نشانی اینترنتی است. و معمولا همه حروف کوچک است و تنها شامل حروف، اعداد و خط است.\";}i:4729;a:1:{i:0;s:4:\"تم\";}i:4730;a:1:{i:0;s:78:\"در حال حاضر هیچ جایگاه تبلیغاتی موجود نیست.\";}i:4731;a:1:{i:0;s:80:\"هنوز هیچ یادداشتی برای این سفارش وجود ندارد.\";}i:4732;a:1:{i:0;s:113:\"یک درخواست عودت وجه معلق وجود دارد که همراه با order_id %d وجود دارد\";}i:4733;a:1:{i:0;s:119:\"در حال حاضر یک درخواست استرداد در انتظار برای این سفارش وجود دارد.\";}i:4734;a:1:{i:0;s:67:\"هیچ تحلیلی برای فروشگاه شما یافت نشد.\";}i:4735;a:1:{i:0;s:66:\"هیچ کارتی روی مشتری نیست که شارژ شود.\";}i:4736;a:1:{i:0;s:69:\"هنگام افزودن روش پرداخت مشکلی پیش آمد.\";}i:4737;a:1:{i:0;s:212:\"مشکلی در پردازش پرداخت وجود داشت. لطفاً صندوق ورودی ایمیل خود را بررسی کنید و صفحه را رفرش کنید تا دوباره امتحان کنید.\";}i:4738;a:1:{i:0;s:127:\"این هزینه ها به صورت اختیاری بر اساس کلاس حمل و نقل محصول اضافه می گردد\";}i:4739;a:1:{i:0;s:125:\"این ایمیل ها به فروشنده ای ارسال می‌شود كه در اطلاعیه انتخاب می‌شود \";}i:4740;a:1:{i:0;s:206:\"هنگامی که فروشنده یک درخواست برای درخواست وجه را ارسال می کند، این ایمیل ها به گیرنده های انتخاب شده ارسال می‌شود\";}i:4741;a:1:{i:0;s:155:\"زمانی که درخواست استرداد فروشنده لغو می‌شود، این ایمیل ها برای فروشنده ارسال می‌شود\";}i:4742;a:1:{i:0;s:169:\"هنگامی که یک درخواست عودت وجه فروشنده پردازش می‌شود، این ایمیل ها به فروشنده فرستاده می‌شود\";}i:4743;a:1:{i:0;s:86:\"این محصولات به مکان موردنظرتان ارسال نمیشوند: %s\";}i:4744;a:1:{i:0;s:20:\"سه ماهه سوم\";}i:4745;a:1:{i:0;s:15:\"هفته سوم\";}i:4746;a:1:{i:0;s:51:\"این %s هنوز پشتیبانی نمی‌شود\";}i:4747;a:1:{i:0;s:201:\"این رزرو در انتظار تأیید شما است. لطفاً آن را بررسی کنید و در صورت موجود بودن یا نبودن تاریخ به مشتری اطلاع دهید.\";}i:4748;a:1:{i:0;s:64:\"این محتوا حاوی اطلاعات خصوصی من است\";}i:4749;a:1:{i:0;s:66:\"این محتوا کپی رایت من را نقض کرده است\";}i:4750;a:1:{i:0;s:44:\"این محتوا توهین آمیز است\";}i:4751;a:1:{i:0;s:39:\"این محتوا هرزنامه است\";}i:4752;a:1:{i:0;s:31:\"این محتوا خشن است\";}i:4753;a:1:{i:0;s:59:\"این محتوا برای بزرگسالان می باشد\";}i:4754;a:1:{i:0;s:126:\"این محتوا نشان می دهد نویسنده ممکن است در معرض آسیب رساندن به خود باشد\";}i:4755;a:1:{i:0;s:147:\"این محتوا به عنوان توضیحات کوتاه محصول در تسویه حساب و ایمیل ها نشان داده می‌شود.\";}i:4756;a:1:{i:0;s:120:\"این توضیحی را که کاربر هنگام تسویه حساب مشاهده می کند کنترل می کند.\";}i:4757;a:1:{i:0;s:205:\"این موضوع ایمیل برای تأیید رزروهای در انتظار را کنترل می کند. برای استفاده از موضوع پیش فرض خالی بگذارید:<code>%s</code>.\";}i:4758;a:1:{i:0;s:156:\"این خط موضوع ایمیل را کنترل می کندبرای استفاده از موضوع پیش فرض خالی بگذارید: <code>%s</code>.\";}i:4759;a:1:{i:0;s:245:\"این عنوان اصلی موجود در اطلاعیه ایمیل برای تأیید رزروهای در انتظار را کنترل می کند. برای استفاده از عنوان پیش فرض خالی بگذارید:<code>%s</code>.\";}i:4760;a:1:{i:0;s:193:\"این عنوان اصلی موجود در اطلاعیه ایمیل را کنترل می کند. برای استفاده از عنوان پیش فرض خالی بگذارید: <code>%s</code>.\";}i:4761;a:1:{i:0;s:106:\"این عنوانی را کنترل میکند که کاربر در طی تسویه حساب میبیند.\";}i:4762;a:1:{i:0;s:253:\"این عنوانی را که کاربر در حین پرداخت می بیند، کنترل می کند. این عنوان تنها زمانی نشان داده می‌شود که چندین روش پرداخت برای Stripe Express فعال باشد\";}i:4763;a:1:{i:0;s:130:\"این کوپن تخفیفی است که توسط فروشنده بر اساس مجموع سفارشات ارائه می‌شود.\";}i:4764;a:1:{i:0;s:160:\"این کوپن تخفیفی است که فروشنده بر اساس تعداد خریداری شده بر روی محصولات خود ارائه می دهد.\";}i:4765;a:1:{i:0;s:184:\"این ترتیب را در صورت وجود چندین افزونه تعیین می کند. افزودنی های تک محصولات برای ترتیب 10 تنظیم شده است.\";}i:4766;a:1:{i:0;s:125:\"این ایمیل هنگام لغو رزرو توسط مشتری برای مدیر و فروشنده ارسال می‌شود\";}i:4767;a:1:{i:0;s:165:\"هنگامی که مشتری به عنوان مشتری عمده فروشی ثبت نام می کند ، این ایمیل برای مدیر ارسال می‌شود\";}i:4768;a:1:{i:0;s:147:\"زمانی که فروشندگان اشتراک خود را لغو می کنند، این ایمیل برای سرپرست ارسال می‌شود\";}i:4769;a:1:{i:0;s:164:\"این ایمیل زمانی برای مشتری تنظیم می‌شود که وضعیت حمل و نقل جدید را به سفارش او اضافه می کند\";}i:4770;a:1:{i:0;s:156:\"این ایمیل برای یک فروشنده تنظیم می‌شود که برای تمدید اشتراک `اقدام پرداختی لازم باشد`.\";}i:4771;a:1:{i:0;s:144:\"این ایمیل هنگامی که یک فروشنده از تنظیمات مدیریت فعال کند ، روی آن تنظیم می‌شود\";}i:4772;a:1:{i:0;s:142:\"این ایمیل به فروشنده هنگامی که حساب او توسط مدیر غیر فعال شده است تنظیم شده است\";}i:4773;a:1:{i:0;s:171:\"زمانی که برای تمدید اشتراک \"اقدامی برای پرداختی لازم است\" این ایمیل برای فروشنده ارسال می‌شود.\";}i:4774;a:1:{i:0;s:205:\"این ایمیل برای مشتری ارسال می‌شود وقتی مشتری درخواست بازگشت می دهد و فروشنده اعتبار فروشگاه را به مشتری می فرستد\";}i:4775;a:1:{i:0;s:119:\"این ایمیل پس از درخواست مشتری برای عودت ، به فروشنده ارسال می‌شود\";}i:4776;a:1:{i:0;s:228:\"هنگامی که مشتری یا فروشنده مکالمه جدیدی را در صورت درخواست بازپرداخت انجام دهد، این ایمیل برای فروشنده یا مشتری ارسال می‌شود\";}i:4777;a:1:{i:0;s:44:\"این ایمیل به %1$s ارسال شد.\";}i:4778;a:1:{i:0;s:133:\"این ایمیل پس از ارسال مدارک توسط فروشنده برای تایید به مدیر ارسال می‌شود.\";}i:4779;a:1:{i:0;s:177:\"در صورتی که فروشنده زمان تحویل را بروز کرده باشد، این ایمیل برای مشتری سفارش مربوطه ارسال می‌شود.\";}i:4780;a:1:{i:0;s:141:\"این ایمیل پس از به‌روزرسانی وضعیت تأیید توسط مدیر برای فروشنده ارسال می‌شود.\";}i:4781;a:1:{i:0;s:180:\"در صورتی که مدیر زمان تحویل را بروز کند، این ایمیل برای فروشنده و مشتری سفارش مربوطه ارسال خواهد شد.\";}i:4782;a:1:{i:0;s:104:\"این فایل خیلی بزرگ است. حداکثر 10 مگابایت برای %s الزامی است\";}i:4783;a:1:{i:0;s:103:\"این فایل خیلی کوچک است. حداقل 1 کیلوبایت برای %s الزامی است\";}i:4784;a:1:{i:0;s:104:\"این فایل خیلی کوچک است. حداقل 32 کیلوبایت برای %s الزامی است\";}i:4785;a:1:{i:0;s:80:\"این تابع نباید قبل از woocommerce_init فراخوانی شود.\";}i:4786;a:1:{i:0;s:59:\"این درگاه هنوز پشتیبانی نمی‌شود\";}i:4787;a:1:{i:0;s:185:\"این اطلاعات در جعبه زمان تحویل صفحه پرداخت نشان داده می‌شود. %s با بافر مسدود شده تحویل جایگزین می‌شود\";}i:4788;a:1:{i:0;s:233:\"این لیستی از فروشندگان درحال بررسی است که در بازار ثبت نام کرده اند اما هنوز فعال نشده اند. آنها را فعال کنید تا فروش را فعال کنید.\";}i:4789;a:1:{i:0;s:358:\"این یک تنظیمات اختیاری است که برچسب سایت جهانی Analytics را در هدر سایت شما اضافه می کند. اگر از هر افزونه سئو استفاده می کنید یا کد رهگیری خود را به روش دیگری اضافه می کنید ، در تنظیمات \"نه\" را انتخاب کنید.\";}i:4790;a:1:{i:0;s:52:\"این مال شما نیست، قسم میخورم!\";}i:4791;a:1:{i:0;s:109:\"این افزونه ساده برای درون ریزی و برون زیری محصول فروشنده است\";}i:4792;a:1:{i:0;s:200:\"این کلید احزار هویت است که در ShipStation تنظیم کرده اید و به ShipStation اجازه می دهد تا با فروشگاه شما ارتباط برقرار کند.\";}i:4793;a:1:{i:0;s:133:\"این آدرس و یا مسیر فایلی می باشد که مشتری برای دریافت به آن دسترسی می یابد.\";}i:4794;a:1:{i:0;s:229:\"این آدرس یا مسیر مطلق فایل است که مشتریان به آن دسترسی پیدا می کنند. آدرس هایی که در اینجا وارد شده اند باید از قبل کدگذاری شوند.\";}i:4795;a:1:{i:0;s:114:\"این قیمت پایه است و اولین قیمت حمل و نقل برای هر محصول خواهد بود\";}i:4796;a:1:{i:0;s:64:\"این نوع کمیسیون برای هزینه مدیر است\";}i:4797;a:1:{i:0;s:183:\"این هزینه برای هر بلوک رزرو شده است. کلیه هزینه های دیگر (برای منابع و اشخاص) به این مبلغ اضافه می‌شود.\";}i:4798;a:1:{i:0;s:94:\"این نام دانلود می باشد که به مشتری نشان داده می‌شود.\";}i:4799;a:1:{i:0;s:444:\"این عددی است که برای سند بعدی استفاده خواهد شد. به طور پیش فرض، شماره گذاری از 1 شروع می‌شود و برای هر سند جدید افزایش می یابد. توجه داشته باشید که اگر این را لغو کنید و آن را کمتر از عدد فعلی/بالاترین عدد قرار دهید، می‌تواند اعداد تکراری ایجاد کند!\";}i:4800;a:1:{i:0;s:80:\"این هزینه حمل و نقل و جابجایی کل سفارشات است.\";}i:4801;a:1:{i:0;s:146:\"این مجموع کل سفارش‌ها پس از بازپرداخت و بدون احتساب هزینه حمل و نقل و مالیات است.\";}i:4802;a:1:{i:0;s:155:\"این مجموع کل سفارش‌ها پس از هرگونه بازپرداخت و شامل هزینه‌های حمل و نقل و مالیات است.\";}i:4803;a:1:{i:0;s:95:\"این کل تخفیف است. تخفیف برای هر مورد خط تعریف شده است.\";}i:4804;a:1:{i:0;s:156:\"اینجا جایی است که شما نرخ های جدول خود را که برای یک سفارش اعمال می‌شود، تعریف می کنید.\";}i:4805;a:1:{i:0;s:76:\"این برچسب در صفحه پرداخت نشان داده می‌شود\";}i:4806;a:1:{i:0;s:116:\"به شما این امکان را می دهد که کدام محصول را در این گروه قرار دهید.\";}i:4807;a:1:{i:0;s:13:\"اين ماه\";}i:4808;a:1:{i:0;s:22:\"فروش این ماه\";}i:4809;a:1:{i:0;s:122:\"این نام فقط برای مرجع شما است و برای مشتریان قابل مشاهده نخواهد بود.\";}i:4810;a:1:{i:0;s:166:\"این اطلاعیه بعد از اینکه کاربر ثبت‌نام کرد و در انتظار تایید ایمیل بود ، نمایش داده می‌شود.\";}i:4811;a:1:{i:0;s:158:\"هنگامی که کاربر بدون تأیید ایمیل سعی در ورود داشته باشد ، این اطلاعیه نشان داده می‌شود.\";}i:4812;a:1:{i:0;s:68:\"این شماره برای حساب شما مسدود شده است.\";}i:4813;a:1:{i:0;s:74:\"این شماره قادر به دریافت پیام کوتاه نیست.\";}i:4814;a:1:{i:0;s:120:\"این گزینه بر نحوه بررسی رزروها از نظر در دسترس بودن تأثیر می گذارد.\";}i:4815;a:1:{i:0;s:99:\"این گزینه بر نحوه استفاده از قوانین زیر تاثیر می گذارد.\";}i:4816;a:1:{i:0;s:116:\"این گزینه اعلان \"هزینه حمل و نقل\" را در صفحه محصول غیرفعال می کند.\";}i:4817;a:1:{i:0;s:103:\"این سفارش با استفاده از محیط سندباکس Mangopay پردازش شده است.\";}i:4818;a:1:{i:0;s:174:\"این صفحه شامل تنظیمات حمل و نقل ، هزینه ها ، حمل و نقل و سیاست بازپرداخت در سراسر فروشگاه شما است.\";}i:4819;a:1:{i:0;s:75:\"این روش پرداخت در کشور انتخابی موجود نیست\";}i:4820;a:1:{i:0;s:68:\"این روش پرداخت هنوز پشتیبانی نمی‌شود\";}i:4821;a:1:{i:0;s:80:\"این محصول به مکان موردنظرتان ارسال نمیشود: %s\";}i:4822;a:1:{i:0;s:57:\"این محصول هیچ گزارش تخلفی ندارد\";}i:4823;a:1:{i:0;s:62:\"این محصول نیازمند حمل و نقل میباشد\";}i:4824;a:1:{i:0;s:68:\"این مظنه قبلاً به سفارش تبدیل شده است.\";}i:4825;a:1:{i:0;s:42:\"این استرداد پردازش نشد.\";}i:4826;a:1:{i:0;s:79:\"این درخواست بازگشت وجه امکان تایید را ندارد\";}i:4827;a:1:{i:0;s:210:\"این درخواست در انتظار تأیید شما است. لطفاً آن را بررسی کنید و در صورت واجد شرایط بودن یا نبودن مشتری به او اطلاع دهید.\";}i:4828;a:1:{i:0;s:350:\"این تنظیم فروشندگان را قادر می سازد تا بر اساس تعداد اقلام سفارش داده شده از یک فروشنده خاص، تخفیف تعیین کنند. همچنین، فروشنده می تواند درصد تخفیفی را تعیین کند که بر مبلغ کل سفارش اعمال می‌شود.\";}i:4829;a:1:{i:0;s:109:\"این فروشگاه برای پردازش درخواست تحویل شما به %s روز نیاز دارد\";}i:4830;a:1:{i:0;s:100:\"این متن در دکمه پیوند به محصول خارجی نشان داده خواهد شد.\";}i:4831;a:1:{i:0;s:133:\"این تیکت بسته شده است. اگر پرسش دیگری دارید، تیکت پشتیبانی جدیدی باز کنید.\";}i:4832;a:1:{i:0;s:32:\"این تیکت بسته است.\";}i:4833;a:1:{i:0;s:161:\"این ابزار به شما امکان می دهد یک فایل CSV حاوی لیستی از همه محصولات را ایجاد و بارگیری کنید.\";}i:4834;a:1:{i:0;s:198:\"این ابزار به شما امکان می دهد داده های محصول را از یک فایل CSV یا TXT به فروشگاه خود درون ریزی کنید (یا ادغام کنید).\";}i:4835;a:1:{i:0;s:174:\"این ابزار به شما امکان می دهد فروشنده و برخی از محصولات را برای فروشندگان به بازار خود وارد کنید.\";}i:4836;a:1:{i:0;s:131:\"این ابزار به بررسی سفارشات تکراری از جدول همگام‌سازی دکان خواهد پرداخت.\";}i:4837;a:1:{i:0;s:67:\"این تراکنش احتیاج به احراز هویت دارد.\";}i:4838;a:1:{i:0;s:331:\"به این کاربر قبلاً بسته دوره ای اختصاص داده شده است. آیا مطمئنید که یک بسته معمولی جدید به کاربر اختصاص می دهید؟ اگر این کار را انجام دهید، پلن دوره ای موجود با پلن جدید جایگزین می‌شود\";}i:4839;a:1:{i:0;s:69:\"این وب هوک توسط دکان پرو ایجاد شده است.\";}i:4840;a:1:{i:0;s:190:\"این یک بخش جدید در صفحه ویرایش محصول فروشنده با فیلدهای ارائه شده توسط افزونه Germanized for WooCommerce اضافه می کند\";}i:4841;a:1:{i:0;s:126:\"این در پیامک نمایش داده خواهد شد. %1$s%%CODE%%%2$s با کد تایید جایگزین می‌شود\";}i:4842;a:1:{i:0;s:103:\"این عنوان روش برداشت سفارشی خواهد بود. مثال، کارت به کارت\";}i:4843;a:1:{i:0;s:19:\"بند انگشتی\";}i:4844;a:1:{i:0;s:14:\"پنچشنبه\";}i:4845;a:1:{i:0;s:22:\"تیکت بسته شد\";}i:4846;a:1:{i:0;s:42:\"شناسه تیکت با کلید واژه\";}i:4847;a:1:{i:0;s:20:\"شناسه تیکت:\";}i:4848;a:1:{i:0;s:22:\"آدرس URL تیکت:\";}i:4849;a:1:{i:0;s:23:\"آدرس URL تیکت: \";}i:4850;a:1:{i:0;s:18:\"تیکت %s است\";}i:4851;a:1:{i:0;s:19:\"وضعیت تیکت\";}i:4852;a:1:{i:0;s:19:\"خلاصه تیکت\";}i:4853;a:1:{i:0;s:8:\"زمان\";}i:4854;a:1:{i:0;s:23:\"محدوده زمانی\";}i:4855;a:1:{i:0;s:43:\"محدوده زمانی (تمام هفته)\";}i:4856;a:1:{i:0;s:23:\"محدوده زمانی\";}i:4857;a:1:{i:0;s:19:\"اسلات زمان\";}i:4858;a:1:{i:0;s:21:\"منظقه زمانی\";}i:4859;a:1:{i:0;s:19:\"اسلات زمان\";}i:4860;a:1:{i:0;s:163:\"اسلات زمانی در دقیقه. لطفاً زمان باز و بسته شدن را بر دقیقه اسلات تقسیم کنید. مثال  ( 30, 60, 120 )\";}i:4861;a:1:{i:0;s:287:\"بازه زمانی در دقیقه لطفاً زمان باز و بسته شدن را بر دقیقه شکاف تقسیم کنید. به عنوان مثال (30، 60، 120). همچنین این نمی تواند خالی باشد، کمتر از 10 یا بیشتر از 1440 دقیقه.\";}i:4862;a:1:{i:0;s:136:\"دقیقه اسلات زمانی نمی تواند خالی ، کمتر از 10 دقیقه یا بیشتر از 1440 دقیقه باشد\";}i:4863;a:1:{i:0;s:10:\"عنوان\";}i:4864;a:1:{i:0;s:12:\"عنوان #\";}i:4865;a:1:{i:0;s:11:\"عنوان:\";}i:4866;a:1:{i:0;s:25:\"عنوان اطلاعیه\";}i:4867;a:1:{i:0;s:39:\"عنوان محصول تبلیغ شده\";}i:4868;a:1:{i:0;s:20:\"عنوان مظنه.\";}i:4869;a:1:{i:0;s:11:\"عنوان:\";}i:4870;a:1:{i:0;s:12:\"عنوان: \";}i:4871;a:1:{i:0;s:4:\"به\";}i:4872;a:1:{i:0;s:79:\"برای %1$s اشتراک خود %2$s اینجا را کلیک کنید &rarr;\";}i:4873;a:1:{i:0;s:42:\"برای شناسه محصول تبلیغ.\";}i:4874;a:1:{i:0;s:145:\"برای تغییر واحد پول فروشگاه خود، لطفاً به <a href=\"%s\">تنظیمات عمومی ووکامرس</a> بروید.\";}i:4875;a:1:{i:0;s:177:\"لطفا برای تکمیل سفارش خود، با اطلاعات زیر از جمله مرجع انتقال بانکی حواله بانکی خود را انجام دهید.\";}i:4876;a:1:{i:0;s:193:\"برای تکمیل تراکنش خود با **روش پرداخت انتخابی**، باید وارد سایت شوید یا یک حساب کاربری در سایت ما ایجاد کنید.\";}i:4877;a:1:{i:0;s:159:\"برای فعال کردن قیمت واحد در سطح متغیرها، لطفاً واحد و واحد قیمت واحد را در %s انتخاب کنید.\";}i:4878;a:1:{i:0;s:152:\"برای دریافت مرچنت کد به داشبورد پی پال --> تنظیمات حساب --> بخش اطلاعات کسب و کار بروید.\";}i:4879;a:1:{i:0;s:197:\"برای فعال کردن پرداخت تقسیمی، باید <strong>انتقال مسیر را از داشبورد Razorpay در <a href=\"%1$s\" target=\"_blank\">اینجا</a> فعال کنید.\";}i:4880;a:1:{i:0;s:79:\"برای تنظیم رمز عبور به آدرس زیر مراجعه کنید:\";}i:4881;a:1:{i:0;s:164:\"برای استفاده از این حساب کافی است آن را در زیر بنویسید یا هر شناسه حساب razorpay را ارائه بدهید.\";}i:4882;a:1:{i:0;s:130:\"برای بزرگنمایی تعداد را افزایش دهید، برای کوچکنمایی تعداد را کاهش دهید.\";}i:4883;a:1:{i:0;s:21:\"تغییر وضعیت\";}i:4884;a:1:{i:0;s:24:\"توکن خالی است\";}i:4885;a:1:{i:0;s:30:\"خطای پردازش توکن\";}i:4886;a:1:{i:0;s:10:\"عوارض\";}i:4887;a:1:{i:0;s:14:\"ابزارها\";}i:4888;a:1:{i:0;s:19:\"صفحه ابزار\";}i:4889;a:1:{i:0;s:8:\"بالا\";}i:4890;a:1:{i:0;s:17:\"برترین ها\";}i:4891;a:1:{i:0;s:34:\"محصولات مرتبط برتر\";}i:4892;a:1:{i:0;s:34:\"عنوان محصولات برتر\";}i:4893;a:1:{i:0;s:23:\"برترین درآمد\";}i:4894;a:1:{i:0;s:19:\"صفحات برتر\";}i:4895;a:1:{i:0;s:44:\"فروشنده بالاترین امتیاز\";}i:4896;a:1:{i:0;s:21:\"برترین فروش\";}i:4897;a:1:{i:0;s:10:\"موضوع\";}i:4898;a:1:{i:0;s:38:\"نظر تاپیک یا پخش مجدد\";}i:4899;a:1:{i:0;s:26:\"موضوع یافت نشد\";}i:4900;a:1:{i:0;s:21:\"وضعیت تاپیک\";}i:4901;a:1:{i:0;s:10:\"مجموع\";}i:4902;a:1:{i:0;s:5:\"کل:\";}i:4903;a:1:{i:0;s:16:\"مبلغ کل : \";}i:4904;a:1:{i:0;s:21:\"مجموع تخفیف\";}i:4905;a:1:{i:0;s:21:\"مجموع درآمد\";}i:4906;a:1:{i:0;s:30:\"کل قیمت پیشنهادی\";}i:4907;a:1:{i:0;s:34:\"کل قیمت پیشنهادی: %s\";}i:4908;a:1:{i:0;s:28:\"تخفیف کل سفارش :\";}i:4909;a:1:{i:0;s:23:\"مجموع پرداخت\";}i:4910;a:1:{i:0;s:19:\"کل محصولات\";}i:4911;a:1:{i:0;s:28:\"تخفیف کل تعداد :\";}i:4912;a:1:{i:0;s:66:\"کل فروشندگان مشترک <span class=\'count\'>(%s)</span>\";}i:4913;a:1:{i:0;s:20:\"کل زمان سفر\";}i:4914;a:1:{i:0;s:53:\"مقدار کلی موجود برای عودت وجه\";}i:4915;a:1:{i:0;s:36:\"مجموع اقلام محصولات\";}i:4916;a:1:{i:0;s:10:\"مجموع\";}i:4917;a:1:{i:0;s:27:\"اطلاعات پیگیری\";}i:4918;a:1:{i:0;s:23:\"شماره پیگیری\";}i:4919;a:1:{i:0;s:25:\"آدرس URL پیگیری\";}i:4920;a:1:{i:0;s:27:\"شناسه تراکنش: %s\";}i:4921;a:1:{i:0;s:19:\"انتقال وجه\";}i:4922;a:1:{i:0;s:64:\"انتقال به حساب فروشنده انجام نشد (%s)\";}i:4923;a:1:{i:0;s:117:\"گزینه های انتقال به خارج از کشور فروشگاه تحت اتحادیه اروپا یا SEPA.\";}i:4924;a:1:{i:0;s:109:\"انتقال به حساب razorpay فروشنده به دلیل موجودی منفی حذف شد: %1$d %2$s\";}i:4925;a:1:{i:0;s:124:\"انتقال به حساب stripe فروشنده به دلیل موجودی منفی خاتمه یافته است: %1$s %2$s\";}i:4926;a:1:{i:0;s:109:\"انتقال به حساب فروشنده استریپ به دلیل مانده منفی رد شد: %1$s %2$s\";}i:4927;a:1:{i:0;s:164:\"با موفقیت به حساب فروشنده منتقل شد. مبلغ انتقال یافته: %1$s. شناسه انتقال: %2$s. وضعیت انتقال: %3$s\";}i:4928;a:1:{i:0;s:28:\"مدت زمان انتقال\";}i:4929;a:1:{i:0;s:25:\"حالت حمل و نقل\";}i:4930;a:1:{i:0;s:20:\"زباله‌ دان\";}i:4931;a:1:{i:0;s:19:\"سطل زباله (\";}i:4932;a:1:{i:0;s:42:\"زباله <span class=\'count\'>(%s)</span>\";}i:4933;a:1:{i:0;s:19:\"محصول ترند\";}i:4934;a:1:{i:0;s:38:\"انقضای دوره آزمایشی: \";}i:4935;a:1:{i:0;s:23:\"دوره آزمایشی\";}i:4936;a:1:{i:0;s:98:\"اشتراک آزمایشی برای پی پال نمی تواند بیش از 720 روز باشد\";}i:4937;a:1:{i:0;s:14:\"تاریخ Trn\";}i:4938;a:1:{i:0;s:12:\"اعتماد\";}i:4939;a:1:{i:0;s:15:\"سه‌شنبه\";}i:4940;a:1:{i:0;s:22:\"دوبار در ماه\";}i:4941;a:1:{i:0;s:36:\"پیکربندی برنامه Twilio\";}i:4942;a:1:{i:0;s:87:\"توئلیو (Twilio) نمی تواند به این شماره مسیریابی کند.\";}i:4943;a:1:{i:0;s:12:\"توییتر\";}i:4944;a:1:{i:0;s:44:\"تنظیمات اپلیکیشن توئیتر\";}i:4945;a:1:{i:0;s:29:\"توضیحات توئیتر :\";}i:4946;a:1:{i:0;s:25:\"تصویر توئیتر :\";}i:4947;a:1:{i:0;s:25:\"عنوان توئیتر :\";}i:4948;a:1:{i:0;s:6:\"نوع\";}i:4949;a:1:{i:0;s:7:\"نوع:\";}i:4950;a:1:{i:0;s:107:\"شماره ای را که گیرندگان می توانند به آن پاسخ دهند تایپ کنید.\";}i:4951;a:1:{i:0;s:23:\"نوع کسب و کار\";}i:4952;a:1:{i:0;s:43:\"نوع کسب و کار الزامی است\";}i:4953;a:1:{i:0;s:17:\"نوع کاربر\";}i:4954;a:1:{i:0;s:37:\"نوع کاربر الزامی است\";}i:4955;a:1:{i:0;s:25:\"نوع فروشندگان\";}i:4956;a:1:{i:0;s:37:\"برای جستجو تایپ کنید\";}i:4957;a:1:{i:0;s:8:\"نوع: \";}i:4958;a:1:{i:0;s:47:\"انواع و الزامات فروشندگان\";}i:4959;a:1:{i:0;s:14:\"اعلان UBO\";}i:4960;a:1:{i:0;s:157:\"اعلان UBO نیز برای فروشگاه شما اجباری است. یک شماره شرکت معتبر برای تایید باید ارائه شود.\";}i:4961;a:1:{i:0;s:30:\"هویت UBO مورد نیاز\";}i:4962;a:1:{i:0;s:283:\"UBO ها (مالکین ذینفع نهایی) افرادی هستند که بیش از 25 درصد از سهام یا حق رای یک شرکت را در اختیار دارند. این اظهارنامه جایگزین اظهارنامه سهامداران قدیمی می‌شود.\";}i:4963;a:1:{i:0;s:3:\"UPS\";}i:4964;a:1:{i:0;s:4:\"USPS\";}i:4965;a:1:{i:0;s:84:\"پذیرش بیش از %s آیتم برای این درخواست ممکن نیست.\";}i:4966;a:1:{i:0;s:95:\"فروشگاه شما مجاز نیست. لطفا با مدیر سایت تماس بگیرید.\";}i:4967;a:1:{i:0;s:45:\"اشتراک قبلی لغو نمی‌شود.\";}i:4968;a:1:{i:0;s:82:\"اشتراک با استریپ لغو نمی‌شود. جزئیات بیشتر: %s\";}i:4969;a:1:{i:0;s:83:\"امکان کپی محصول برای شناسه فروشنده زیر نیست: %d\";}i:4970;a:1:{i:0;s:94:\"کپی فایل ارتباط دامنه در ریشه دامنه امکان پذیر نیست.\";}i:4971;a:1:{i:0;s:38:\"گزارش تخلف ایجاد نشد.\";}i:4972;a:1:{i:0;s:98:\"ایجاد پوشه ارتباط دامنه با ریشه دامنه امکان پذیر نیست.\";}i:4973;a:1:{i:0;s:39:\"اشتراك ایجاد نمی‌شود\";}i:4974;a:1:{i:0;s:37:\"مورد تعطیلات حذف نشد\";}i:4975;a:1:{i:0;s:52:\"روش ارسال برای آدرس پیدا نشد.\";}i:4976;a:1:{i:0;s:84:\"اشتراک قابل لغو برای شناسه فروشنده # %s یافت نشد\";}i:4977;a:1:{i:0;s:163:\"پردازش این پرداخت امکان پذیر نیست ، لطفاً دوباره امتحان کنید یا از روش دیگری استفاده کنید.\";}i:4978;a:1:{i:0;s:70:\"پردازش با درگاه استریپ امکان پذیر نیست\";}i:4979;a:1:{i:0;s:121:\"امکان ارائه گزینه های حمل و نقل برای درخواست های پرداخت وجود ندارد.\";}i:4980;a:1:{i:0;s:115:\"فعال کردن مجدد اشتراک با استریپ امکان پذیر نیست. جزئیات بیشتر: %s\";}i:4981;a:1:{i:0;s:154:\"این روش پرداخت ذخیره نمی‌شود، لطفاً دوباره امتحان کنید یا از روش دیگری استفاده کنید.\";}i:4982;a:1:{i:0;s:57:\"داده های تعطیلات ذخیره نمی شوند\";}i:4983;a:1:{i:0;s:88:\"امکان ارسال پیامک وجود ندارد با مدیر تماس بگیرید\";}i:4984;a:1:{i:0;s:57:\"امکان تأیید دامنه - %s وجود ندارد\";}i:4985;a:1:{i:0;s:93:\"تأیید دامنه امکان‌پذیر نیست - کلید سکرت وجود ندارد.\";}i:4986;a:1:{i:0;s:157:\"تأیید درخواست شما امکان پذیر نیست. لطفا صفحه را مجددا بارگذاری کنید و دوباره تلاش کنید.\";}i:4987;a:1:{i:0;s:21:\"تایید نکردن\";}i:4988;a:1:{i:0;s:27:\"عملیات غیرمجاز\";}i:4989;a:1:{i:0;s:28:\"عملیات غیرمجاز.\";}i:4990;a:1:{i:0;s:19:\"فرد نابالغ\";}i:4991;a:1:{i:0;s:21:\"دنبال نکردن\";}i:4992;a:1:{i:0;s:67:\"شناسه منحصر به فرد برای درخواست قیمت.\";}i:4993;a:1:{i:0;s:53:\"شناسه منحصر به فرد برای آبجکت\";}i:4994;a:1:{i:0;s:54:\"شناسه منحصر به فرد برای آبجکت.\";}i:4995;a:1:{i:0;s:54:\"شناسه منحصر به فرد برای سفارش.\";}i:4996;a:1:{i:0;s:54:\"شناسه منحصر به فرد برای محصول.\";}i:4997;a:1:{i:0;s:52:\"شناسه منحصر به فرد برای منبع.\";}i:4998;a:1:{i:0;s:54:\"شناسه منحصر به فرد برای کاربر.\";}i:4999;a:1:{i:0;s:68:\"شناسه ی منحصر به فرد برای محصول متغیر.\";}i:5000;a:1:{i:0;s:51:\"شناسه منحصر بفرد برای تغییر.\";}i:5001;a:1:{i:0;s:59:\"شناسه منحصر به فرد اگر تاپیک است.\";}i:5002;a:1:{i:0;s:41:\"شناسه منحصر به فرد نظر.\";}i:5003;a:1:{i:0;s:56:\"شناسه منحصر به فرد شناسه تاپیک.\";}i:5004;a:1:{i:0;s:34:\"شناسه منحصر به فرد.\";}i:5005;a:1:{i:0;s:8:\"واحد\";}i:5006;a:1:{i:0;s:161:\"واحد قیمت واحد. قیمت واحد نمونه: 0.99 € / 100 میلی لیتر. 100 را به عنوان مبلغ واحد قیمت درج کنید.\";}i:5007;a:1:{i:0;s:32:\"دلار ایالات متحده\";}i:5008;a:1:{i:0;s:26:\"خطای ناشناخته.\";}i:5009;a:1:{i:0;s:60:\"گزینه ناشناخته حمل و نقل \"[گزینه]\".\";}i:5010;a:1:{i:0;s:14:\"نامحدود\";}i:5011;a:1:{i:0;s:27:\"روزهای نامحدود\";}i:5012;a:1:{i:0;s:33:\"پرداختهای نامحدود\";}i:5013;a:1:{i:0;s:19:\"منتشر نشده\";}i:5014;a:1:{i:0;s:81:\"غیر سریالی کردن نمونه های این کلاس ممنوع است.\";}i:5015;a:1:{i:0;s:45:\"حذف سریال سازی ممنوع است!\";}i:5016;a:1:{i:0;s:122:\"نوع فایل پشتیبانی نشده: %s. انواع پشتیبانی شده: فقط pdf، .jpeg، .jpg، .gif و png\";}i:5017;a:1:{i:0;s:8:\"بالا\";}i:5018;a:1:{i:0;s:21:\"بروز‌رسانی\";}i:5019;a:1:{i:0;s:27:\"بروزرسانی نشان\";}i:5020;a:1:{i:0;s:34:\"بروزرسانی کد تخفیف\";}i:5021;a:1:{i:0;s:27:\"بروزرسانی مظنه\";}i:5022;a:1:{i:0;s:59:\"بروزرسانی درخواست مظنه: #{quote_number}\";}i:5023;a:1:{i:0;s:26:\"بروز رسانی نظر\";}i:5024;a:1:{i:0;s:35:\"به روز رسانی برنامه\";}i:5025;a:1:{i:0;s:33:\"بروزرسانی تنظیمات\";}i:5026;a:1:{i:0;s:39:\"به روز رسانی حمل و نقل\";}i:5027;a:1:{i:0;s:33:\"به روز رسانی موضوع\";}i:5028;a:1:{i:0;s:22:\"بروزرسانی UBO\";}i:5029;a:1:{i:0;s:44:\"بروزرسانی محصولات موجود\";}i:5030;a:1:{i:0;s:27:\"بروزرسانی مجوز\";}i:5031;a:1:{i:0;s:28:\"بروز رسانی مظنه\";}i:5032;a:1:{i:0;s:91:\"بروزرسانی درخواست مظنه #{quote_number} در {site_title} - {quote_date}\";}i:5033;a:1:{i:0;s:29:\"به روز رسانی نظر\";}i:5034;a:1:{i:0;s:29:\"بروزرسانی پرسنل\";}i:5035;a:1:{i:0;s:113:\"بروز رسانی روش پرداخت مورد استفاده برای همه اشتراکهای فعال من.\";}i:5036;a:1:{i:0;s:91:\"تجربه خود را با <a href=\'%s\' target=\'_blank\'>%s</a> بروزرسانی کنید\";}i:5037;a:1:{i:0;s:40:\"جزئیات تحویل به روز شد\";}i:5038;a:1:{i:0;s:38:\"جزئیات مظنه به روز شد\";}i:5039;a:1:{i:0;s:100:\"جزئیات تحویل به روز شد : تاریخ - %1$s, اسلات - %2$s, نوع - %3$s. %4$s\";}i:5040;a:1:{i:0;s:59:\"وضعیت سفارش از %1$s به %2$s تغییر کرد\";}i:5041;a:1:{i:0;s:48:\"بروزرسانی محل تحویل: %1$s. %2$s\";}i:5042;a:1:{i:0;s:38:\"جزئیات مظنه به روز شد\";}i:5043;a:1:{i:0;s:80:\"به روزرسانی ها از فروشگاه های مورد علاقه شما\";}i:5044;a:1:{i:0;s:10:\"ارتقا\";}i:5045;a:1:{i:0;s:19:\"ارتقا الان\";}i:5046;a:1:{i:0;s:24:\"آپلود فایل ها\";}i:5047;a:1:{i:0;s:21:\"آپلود تصویر\";}i:5048;a:1:{i:0;s:32:\"آپلود تصویر محصول\";}i:5049;a:1:{i:0;s:19:\"آپلود مدرک\";}i:5050;a:1:{i:0;s:26:\"آپلود یک تصویر\";}i:5051;a:1:{i:0;s:31:\"آپلود یک سند جدید\";}i:5052;a:1:{i:0;s:41:\"آپلود تصویر کاور محصول\";}i:5053;a:1:{i:0;s:22:\"آپلود یک عکس\";}i:5054;a:1:{i:0;s:22:\"آپلود شده در\";}i:5055;a:1:{i:0;s:23:\"در فروش (Upsells)\";}i:5056;a:1:{i:0;s:256:\"محصولات آپسل (Upsells) محصولاتی هستند که شما به جای کالای در حال مشاهده پیشنهاد می کنید ، برای مثال محصولاتی با سود بیشتر یا کیفیت بهتر یا گران تر.\";}i:5057;a:1:{i:0;s:31:\"استفاده / محدودیت\";}i:5058;a:1:{i:0;s:29:\"محدودیت استفاده\";}i:5059;a:1:{i:0;s:54:\"محدودیت استفاده برای هر کاربر\";}i:5060;a:1:{i:0;s:93:\"از تنظیمات برگزیده نگاشت ستون قبلی استفاده میکنید؟\";}i:5061;a:1:{i:0;s:21:\"استفاده شده\";}i:5062;a:1:{i:0;s:47:\"استفاده‌شده برای تغییرات\";}i:5063;a:1:{i:0;s:10:\"کاربر\";}i:5064;a:1:{i:0;s:21:\"ایمیل کاربر\";}i:5065;a:1:{i:0;s:22:\"ایمبل کاربر:\";}i:5066;a:1:{i:0;s:25:\"ایمیل کاربر: %s\";}i:5067;a:1:{i:0;s:27:\"شناسه‌ی کاربر.\";}i:5068;a:1:{i:0;s:20:\"نام ‌کاربر\";}i:5069;a:1:{i:0;s:23:\"نام کاربری: %s\";}i:5070;a:1:{i:0;s:17:\"نام کاربر\";}i:5071;a:1:{i:0;s:30:\"نام اصلی کاربر: %s\";}i:5072;a:1:{i:0;s:25:\"نقشهای کاربری\";}i:5073;a:1:{i:0;s:30:\"اشتراک های کاربر\";}i:5074;a:1:{i:0;s:26:\"کل هزینه کاربر\";}i:5075;a:1:{i:0;s:30:\"کل هزینه کاربر: %s\";}i:5076;a:1:{i:0;s:57:\"حساب کاربری به استریپ متصل نیست\";}i:5077;a:1:{i:0;s:53:\"حساب کاربری به Wirecard متصل نیست\";}i:5078;a:1:{i:0;s:70:\"ایمیل کاربر پیدا نشد. دوباره تلاش کنید.\";}i:5079;a:1:{i:0;s:36:\"آدرس گراواتار کاربر\";}i:5080;a:1:{i:0;s:72:\"برای ثبت گزارش تخلف کاربر باید وارد شود.\";}i:5081;a:1:{i:0;s:21:\"نام‌کاربری\";}i:5082;a:1:{i:0;s:20:\"نام کاربری:\";}i:5083;a:1:{i:0;s:24:\"نام کاربری : %s\";}i:5084;a:1:{i:0;s:14:\"کاربران\";}i:5085;a:1:{i:0;s:159:\"با استفاده از این افزونه فروشنده می تواند با تعطیل کردن فروشگاه های خود به تعطیلات برود.\";}i:5086;a:1:{i:0;s:23:\"شماره مالیات\";}i:5087;a:1:{i:0;s:14:\"تعطیلات\";}i:5088;a:1:{i:0;s:23:\"لیست تعطیلات\";}i:5089;a:1:{i:0;s:23:\"پیام تعطیلات\";}i:5090;a:1:{i:0;s:10:\"معتبر\";}i:5091;a:1:{i:0;s:38:\"تاییدیه درخواست‌شده\";}i:5092;a:1:{i:0;s:34:\"اعتبار درخواست شده\";}i:5093;a:1:{i:0;s:29:\"خطای اعتبارسنجی\";}i:5094;a:1:{i:0;s:58:\"مقدار نمی تواند تهی یا منفی باشد\";}i:5095;a:1:{i:0;s:85:\"ارزش مبلغ تخفیف به اشتراک گذاشته شده توسط مدیر.\";}i:5096;a:1:{i:0;s:44:\"مقدار با موفقیت تنظیم شد\";}i:5097;a:1:{i:0;s:50:\"مقدار در هنگام کسب این نشان.\";}i:5098;a:1:{i:0;s:16:\"مقدار(ها)\";}i:5099;a:1:{i:0;s:10:\"متغیر\";}i:5100;a:1:{i:0;s:34:\"محصول اشتراک متغیر\";}i:5101;a:1:{i:0;s:136:\"بازنویسی شناسه نویسنده‌ی متغیرهای محصول‌متغیر، با موفقیت در صف قرار گرفت\";}i:5102;a:1:{i:0;s:41:\"محصول متغیر با متغیرها\";}i:5103;a:1:{i:0;s:23:\"اشتراک متغیر\";}i:5104;a:1:{i:0;s:10:\"متغیر\";}i:5105;a:1:{i:0;s:27:\"شناسه‌ی متغیر:\";}i:5106;a:1:{i:0;s:20:\"آدرس متغیر.\";}i:5107;a:1:{i:0;s:25:\"توضیحات متغیر\";}i:5108;a:1:{i:0;s:26:\"توضیحات متغیر.\";}i:5109;a:1:{i:0;s:22:\"ابعاد متغیر.\";}i:5110;a:1:{i:0;s:30:\"ارتفاع متغیر ( %s).\";}i:5111;a:1:{i:0;s:38:\"داده های تصویر متغیر.\";}i:5112;a:1:{i:0;s:24:\"طول متغیر ( %s).\";}i:5113;a:1:{i:0;s:34:\"قیمت متغیر (الزامی)\";}i:5114;a:1:{i:0;s:31:\"قیمت معمول متغیر.\";}i:5115;a:1:{i:0;s:29:\"قیمت فروش متغیر.\";}i:5116;a:1:{i:0;s:24:\"وزن متغیر ( %s).\";}i:5117;a:1:{i:0;s:39:\"قیمت عمده فروشی متغیر\";}i:5118;a:1:{i:0;s:24:\"عرض متغیر ( %s).\";}i:5119;a:1:{i:0;s:14:\"فروشنده\";}i:5120;a:1:{i:0;s:15:\"فروشنده:\";}i:5121;a:1:{i:0;s:39:\"تجزیه و تحلیل فروشنده\";}i:5122;a:1:{i:0;s:42:\"تنظیمات آنالیز فروشنده\";}i:5123;a:1:{i:0;s:31:\"بیوگرافی فروشنده\";}i:5124;a:1:{i:0;s:54:\"فروشنده می تواند تبلیغات بخرد\";}i:5125;a:1:{i:0;s:29:\"داشبورد فروشنده\";}i:5126;a:1:{i:0;s:47:\"ظاهر منوی داشبورد فروشنده\";}i:5127;a:1:{i:0;s:32:\"نرخ فاصله فروشنده\";}i:5128;a:1:{i:0;s:49:\"نرخ مسافت حمل و نقل فروشنده\";}i:5129;a:1:{i:0;s:25:\"درآمد فروشنده\";}i:5130;a:1:{i:0;s:40:\"فیلدهای اضافی فروشنده\";}i:5131;a:1:{i:0;s:25:\"شناسه فروشنده\";}i:5132;a:1:{i:0;s:41:\"شناسه فروشنده یافت نشد\";}i:5133;a:1:{i:0;s:52:\"شناسه فروشنده برای فیلتر فرم\";}i:5134;a:1:{i:0;s:21:\"نام فروشنده\";}i:5135;a:1:{i:0;s:60:\"درون ریز و برون ریز محصول فروشنده\";}i:5136;a:1:{i:0;s:58:\"تغییر وضعیت بررسی محصول فروشنده\";}i:5137;a:1:{i:0;s:84:\"تخفیف بر اساس تعداد محصول و سفارش توسط فروشنده\";}i:5138;a:1:{i:0;s:35:\"فرم ثبت نام فروشنده\";}i:5139;a:1:{i:0;s:25:\"بررسی فروشنده\";}i:5140;a:1:{i:0;s:31:\"حمل و نقل فروشنده\";}i:5141;a:1:{i:0;s:25:\"پرسنل فروشنده\";}i:5142;a:1:{i:0;s:34:\"مدیر پرسنل فروشنده\";}i:5143;a:1:{i:0;s:27:\"اشتراک فروشنده\";}i:5144;a:1:{i:0;s:59:\"سفارش غیر دوره ای اشتراک فروشنده\";}i:5145;a:1:{i:0;s:52:\"سفارش دوره ای اشتراک فروشنده\";}i:5146;a:1:{i:0;s:38:\"رابطه اشتراک فروشنده\";}i:5147;a:1:{i:0;s:49:\"سفارش تمدید اشتراک فروشنده\";}i:5148;a:1:{i:0;s:42:\"تنظیمات اشتراک فروشنده\";}i:5149;a:1:{i:0;s:39:\"اشتراک فروشنده: %1$s #%2$s\";}i:5150;a:1:{i:0;s:53:\"سفارشات مرتبط اشتراک فروشنده\";}i:5151;a:1:{i:0;s:59:\"سفارشات مرتبط با اشتراک فروشنده.\";}i:5152;a:1:{i:0;s:30:\"نرخ جدول فروشنده\";}i:5153;a:1:{i:0;s:41:\"نرخ جدول ارسال فروشنده\";}i:5154;a:1:{i:0;s:31:\"فروشنده به روز شد\";}i:5155;a:1:{i:0;s:50:\"فروشنده با موفقیت به روز شد!\";}i:5156;a:1:{i:0;s:25:\"تأیید فروشنده\";}i:5157;a:1:{i:0;s:40:\"تنظیمات تأیید فروشنده\";}i:5158;a:1:{i:0;s:31:\"تأییدهای فروشنده\";}i:5159;a:1:{i:0;s:56:\"حساب فروشنده به Wirecard متصل نیست.\";}i:5160;a:1:{i:0;s:113:\"فروشنده می‌تواند تخفیف سفارش و تخفیف تعداد محصول را اضافه کند\";}i:5161;a:1:{i:0;s:128:\"فروشنده می تواند وضعیت بررسی های محصول را از داشبورد فروشنده تغییر دهد\";}i:5162;a:1:{i:0;s:34:\"آدرس ایمیل فروشنده\";}i:5163;a:1:{i:0;s:23:\"آیدی فروشنده\";}i:5164;a:1:{i:0;s:49:\"فالو / آنفالو شناسه فروشنده\";}i:5165;a:1:{i:0;s:134:\"شناسه فروشنده برای بررسی اینکه آیا کاربر آن فروشنده را دنبال می کند یا خیر\";}i:5166;a:1:{i:0;s:61:\"شناسه فروشنده برای فالو یا آنفالو\";}i:5167;a:1:{i:0;s:101:\"فروشنده به Stripe متصل نیست. انتقال پرداخت خاتمه یافته است.\";}i:5168;a:1:{i:0;s:78:\"فروشنده واجد شرایط کپی سازی این محصول نیست.\";}i:5169;a:1:{i:0;s:40:\"تاریخ کسب سطح فروشنده.\";}i:5170;a:1:{i:0;s:36:\"محدودیت های فروشنده\";}i:5171;a:1:{i:0;s:21:\"نام فروشنده\";}i:5172;a:1:{i:0;s:31:\"فروشنده یافت نشد.\";}i:5173;a:1:{i:0;s:26:\"فروشنده محصول.\";}i:5174;a:1:{i:0;s:132:\"پرداخت فروشنده به حساب مدیر منتقل شد زیرا فروشنده به استریپ وصل نشده بود.\";}i:5175;a:1:{i:0;s:158:\"پرداخت فروشنده به حساب مدیریت منتقل می‌شود زیرا انتقال به حساب فروشنده razorpay انجام نشد.\";}i:5176;a:1:{i:0;s:180:\"از آنجا که انتقال به حساب استریپ فروشنده انجام نشده است ، پرداخت فروشنده به حساب مدیر منتقل می‌شود.\";}i:5177;a:1:{i:0;s:159:\"از آنجایی که فروشنده به Razorpay متصل نشده است، پرداخت فروشنده به حساب مدیریت منتقل می‌شود.\";}i:5178;a:1:{i:0;s:154:\"از آنجا که فروشنده به استریپ وصل نشده است ، پرداخت فروشنده به حساب مدیر منتقل می‌شود.\";}i:5179;a:1:{i:0;s:74:\"فروشنده وضعیت اعلامیه واحد را خوانده است\";}i:5180;a:1:{i:0;s:60:\"مدرک اقامت فروشنده مورد نیاز است!\";}i:5181;a:1:{i:0;s:36:\"نام فروشگاه فروشنده\";}i:5182;a:1:{i:0;s:43:\"ارائه سند تأیید فروشنده\";}i:5183;a:1:{i:0;s:56:\"بروز رسانی وضعیت تأیید فروشنده\";}i:5184;a:1:{i:0;s:37:\"انواع تأیید فروشنده.\";}i:5185;a:1:{i:0;s:75:\"فروشنده می‌تواند شماره فاکتور را لغو کند\";}i:5186;a:1:{i:0;s:78:\"کشور فروشنده توسط پی پال پشتیبانی نمی‌شود.\";}i:5187;a:1:{i:0;s:21:\"فروشنده (ها)\";}i:5188;a:1:{i:0;s:15:\"فروشنده:\";}i:5189;a:1:{i:0;s:16:\"فروشنده: \";}i:5190;a:1:{i:0;s:18:\"فروشندگان\";}i:5191;a:1:{i:0;s:67:\"فروشندگان می توانند برچسب ایجاد کنند\";}i:5192;a:1:{i:0;s:67:\"فروشندگان با موفقیت اختصاص داده شدند\";}i:5193;a:1:{i:0;s:64:\"فروشندگانی که تخفیف اعمال خواهد شد.\";}i:5194;a:1:{i:0;s:66:\"فروشندگانی که تخفیف اعمال نخواهد شد.\";}i:5195;a:1:{i:0;s:434:\"فروشندگان با سابقه فروش خوب در فروشگاه ما با نشان های فروشنده شناسایی می شوند. این نشان ها در نمای فروشگاه شما قابل مشاهده است و به عنوان نشانه ای از تضمین کیفیت برای مشتریان عمل می کند. آنها همچنین می توانند برای تأیید هویت شما استفاده شوند.\";}i:5196;a:1:{i:0;s:10:\"تایید\";}i:5197;a:1:{i:0;s:34:\"مدیریت ایمیل تایید\";}i:5198;a:1:{i:0;s:32:\"درخواست های تأیید\";}i:5199;a:1:{i:0;s:43:\"دروازه های پیامکی تأیید\";}i:5200;a:1:{i:0;s:54:\"تنظیمات درگاه های پیامک تأیید\";}i:5201;a:1:{i:0;s:43:\"وضعیت تأیید {verification_status}\";}i:5202;a:1:{i:0;s:28:\"عنوان نوع تأیید\";}i:5203;a:1:{i:0;s:19:\"تاییدیه ها\";}i:5204;a:1:{i:0;s:17:\"تأیید شده\";}i:5205;a:1:{i:0;s:32:\"فروشنده تایید شده\";}i:5206;a:1:{i:0;s:25:\"تأیید فروشنده\";}i:5207;a:1:{i:0;s:39:\"با %1$s اتمام کارت در %2$s\";}i:5208;a:1:{i:0;s:16:\"از طریق %s\";}i:5209;a:1:{i:0;s:52:\"از طریق SEPA Direct Debit با پایان %1$s\";}i:5210;a:1:{i:0;s:10:\"ویدئو\";}i:5211;a:1:{i:0;s:14:\"ویدئوها\";}i:5212;a:1:{i:0;s:12:\"مشاهده\";}i:5213;a:1:{i:0;s:25:\"نمایش اطلاعیه\";}i:5214;a:1:{i:0;s:17:\"نمایش نظر\";}i:5215;a:1:{i:0;s:25:\"مشاهده جزئیات\";}i:5216;a:1:{i:0;s:23:\"مشاهده سفارش\";}i:5217;a:1:{i:0;s:23:\"مشاهده محصول\";}i:5218;a:1:{i:0;s:30:\"مشاهده محصول &rarr;\";}i:5219;a:1:{i:0;s:19:\"نمایش مظنه\";}i:5220;a:1:{i:0;s:25:\"نمایش فروشگاه\";}i:5221;a:1:{i:0;s:43:\"نمایش تیکت های پشتیبانی\";}i:5222;a:1:{i:0;s:21:\"نمایش موضوع\";}i:5223;a:1:{i:0;s:41:\"مشاهده همه سفارشات &rarr;\";}i:5224;a:1:{i:0;s:64:\"مشاهده و ویرایش این رزرو در داشبورد\";}i:5225;a:1:{i:0;s:79:\"این رزرو را در داشبورد مشاهده و ویرایش کنید \";}i:5226;a:1:{i:0;s:76:\"مشاهده و ویرایش این درخواست در پنل مدیریت \";}i:5227;a:1:{i:0;s:30:\"مشاهده منو حراجی\";}i:5228;a:1:{i:0;s:30:\"مشاهده منوی رزرو\";}i:5229;a:1:{i:0;s:41:\"مشاهده گزارش درون ریزی\";}i:5230;a:1:{i:0;s:30:\"مشاهده سفارش &rarr;\";}i:5231;a:1:{i:0;s:27:\"مشاهده محصولات\";}i:5232;a:1:{i:0;s:17:\"نمایش نظر\";}i:5233;a:1:{i:0;s:34:\"مشاهده منو ابزارها\";}i:5234;a:1:{i:0;s:47:\"مشاهده منوی تنظیمات تأیید\";}i:5235;a:1:{i:0;s:12:\"بازدید\";}i:5236;a:1:{i:0;s:10:\"مجازی\";}i:5237;a:1:{i:0;s:94:\"محصولات مجازی قابل لمس نمیباشند و حمل و نقل نمیشوند.\";}i:5238;a:1:{i:0;s:25:\"قابلیت مشاهده\";}i:5239;a:1:{i:0;s:56:\"قابل نمایش بر روی صفحه‌ی محصول\";}i:5240;a:1:{i:0;s:40:\"مشاهده داشبورد اکسپرس\";}i:5241;a:1:{i:0;s:32:\"مشاهده‌ی فروشگاه\";}i:5242;a:1:{i:0;s:34:\"تنظیمات برنامه Vonage\";}i:5243;a:1:{i:0;s:17:\"پیاده روی\";}i:5244;a:1:{i:0;s:13:\"کیف پول\";}i:5245;a:1:{i:0;s:75:\"آیا می خواهید اشتراک را دوباره فعال کنید؟\";}i:5246;a:1:{i:0;s:105:\"می خواهید با بستن فروشگاه ما به طور عمومی به تعطیلات بروید\";}i:5247;a:1:{i:0;s:110:\"آیا می خواهید فروشندگان شما فروشگاه خود را بهتر مدیریت کنند؟\";}i:5248;a:1:{i:0;s:11:\"هشدار!\";}i:5249;a:1:{i:0;s:256:\"هشدار: جدیدترین وب هوک زنده که در %1$s دریافت شد، قابل پردازش نیست. دلیل: %2$s. (از زمان شروع نظارت در %3$s، هیچ وب هوک زنده با موفقیت پردازش نشده است.)\";}i:5250;a:1:{i:0;s:242:\"هشدار: جدیدترین وب هوک زنده که در %1$s دریافت شد، قابل پردازش نیست. دلیل: %2$s. (آخرین وب هوک زنده که با موفقیت پردازش شد، %3$s مهر زمانی داشت.)\";}i:5251;a:1:{i:0;s:267:\"هشدار: جدیدترین وبهوک آزمایشی که در %1$s دریافت شد، قابل پردازش نیست. دلیل: %2$s. (از زمان شروع نظارت در %3$s، هیچ وب هوک آزمایشی با موفقیت پردازش نشده است.)\";}i:5252;a:1:{i:0;s:252:\"هشدار: جدیدترین وبهوک آزمایشی که در %1$s دریافت شد، قابل پردازش نیست. دلیل: %2$s. (آخرین وبهوک آزمایشی که با موفقیت پردازش شد، %3$s مهر زمانی داشت.)\";}i:5253;a:1:{i:0;s:14:\"گارانتی\";}i:5254;a:1:{i:0;s:27:\"جزئیات گارانتی\";}i:5255;a:1:{i:0;s:25:\"دارای گارانتی\";}i:5256;a:1:{i:0;s:33:\"دارای گارانتی (%d %s)\";}i:5257;a:1:{i:0;s:25:\"سیاست گارانتی\";}i:5258;a:1:{i:0;s:79:\"درخواست گارانتی از مشتری برای درخواست RMA #%1$s\";}i:5259;a:1:{i:0;s:37:\"نوع گارانتی و بازگشت\";}i:5260;a:1:{i:0;s:45:\"گارانتی به عنوان افزودنی\";}i:5261;a:1:{i:0;s:59:\"برچسب گارانتی که مشتری خواهد دید\";}i:5262;a:1:{i:0;s:32:\"مقدار طول گارانتی\";}i:5263;a:1:{i:0;s:110:\"مدت ضمانت ، چقدر (روز ، هفته ماه ، سال) می خواهید گارانتی دهید \";}i:5264;a:1:{i:0;s:36:\"ما در تعطیلات هستیم!\";}i:5265;a:1:{i:0;s:94:\"پس از دریافت انتقال، سفارش شما را پردازش خواهیم کرد.\";}i:5266;a:1:{i:0;s:85:\"نمی‌توانیم این روش پرداخت را اضافه کنیم. خطا: %s\";}i:5267;a:1:{i:0;s:169:\"نمی‌توانیم این روش پرداخت را اضافه کنیم. لطفا صفحه را مجددا بارگزاری کرده و دوباره تلاش کنید.\";}i:5268;a:1:{i:0;s:128:\"نمی‌توانیم این روش پرداخت را اضافه کنیم. لطفا بعدا دوباره امتحان کنید.\";}i:5269;a:1:{i:0;s:198:\"ما نمی توانیم این پرداخت را پردازش کنیم زیرا هیچ جلسه ای وجود ندارد. لطفا صفحه را رفرش کرده و دوباره تلاش کنید.\";}i:5270;a:1:{i:0;s:169:\"ما نمی‌توانیم این پرداخت را پردازش کنیم. لطفا صفحه را مجددا بارگزاری کرده و دوباره تلاش کنید.\";}i:5271;a:1:{i:0;s:128:\"ما نمی‌توانیم این پرداخت را پردازش کنیم. لطفا بعدا دوباره امتحان کنید.\";}i:5272;a:1:{i:0;s:33:\"نقاط پایانی وب هوک\";}i:5273;a:1:{i:0;s:20:\"سکرت وب هوک\";}i:5274;a:1:{i:0;s:20:\"آدرس وب هوک\";}i:5275;a:1:{i:0;s:619:\"آدرس وب‌هوک به صورت <strong>خودکار</strong> در تنظیمات برنامه شما با رویدادهای مورد نیاز پس از ارائه <strong>اطلاعات API صحیح</strong> تنظیم می‌شود. نیازی به تنظیم دستی آدرس وب‌هوک نیست. فقط اطمینان حاصل کنید که آدرس وب‌هوک در دسترس است به <code>%1$s</code><span class=“dokan-copy-to-clipboard” data-copy=“%s”></span> در تنظیمات برنامه پی‌پال شما (<a href=“%2$s” target=“_blank”>تنظیمات برنامه</a>).\";}i:5276;a:1:{i:0;s:63:\"تأیید امضای رویداد Webhook ناموفق بود.\";}i:5277;a:1:{i:0;s:16:\"چهارشنبه\";}i:5278;a:1:{i:0;s:8:\"هفته\";}i:5279;a:1:{i:0;s:11:\"هفته %s\";}i:5280;a:1:{i:0;s:8:\"هفته\";}i:5281;a:1:{i:0;s:13:\"هفته ای\";}i:5282;a:1:{i:0;s:27:\"زمانبندی هفتگی\";}i:5283;a:1:{i:0;s:43:\"زمان بندی هفتگی فروشگاه\";}i:5284;a:1:{i:0;s:8:\"هفته\";}i:5285;a:1:{i:0;s:6:\"وزن\";}i:5286;a:1:{i:0;s:64:\"قیمت این محصولات تبلیغ شده چقدر بود\";}i:5287;a:1:{i:0;s:20:\"جدید چه خبر\";}i:5288;a:1:{i:0;s:12:\"واتساپ\";}i:5289;a:1:{i:0;s:23:\"شماره واتساپ\";}i:5290;a:1:{i:0;s:67:\"زمانی که مقدار فروش یک مقدار مشخص است\";}i:5291;a:1:{i:0;s:56:\"زمانی که مقدار فروش بود، بیش از\";}i:5292;a:1:{i:0;s:125:\"هنگامی که یک فروشنده به طور فعال در بازار به مدت چند سال مشخص می فروشد\";}i:5293;a:1:{i:0;s:130:\"زمانی که یک فروشنده به طور انحصاری محصولات را فقط در این پلتفرم می فروشد\";}i:5294;a:1:{i:0;s:111:\"زمانی که یک فروشنده تعداد معینی از بررسی‌ها را دریافت می کند \";}i:5295;a:1:{i:0;s:60:\"زمانی که فروشنده‌ای ویژه می‌شود\";}i:5296;a:1:{i:0;s:120:\"هنگامی که یک فروشنده تعداد معینی از پشتیبانی مشتری را ارائه می دهد\";}i:5297;a:1:{i:0;s:70:\"وقتی یک فروشنده یک محصول پرطرفدار دارد\";}i:5298;a:1:{i:0;s:69:\"زمانی که فروشنده هویت خود را تأیید کرد\";}i:5299;a:1:{i:0;s:107:\"هنگامی که یک فروشنده تعداد معینی از محصولات را منتشر می کند\";}i:5300;a:1:{i:0;s:98:\"زمانی که یک فروشنده تعداد مشخصی سفارش را دریافت می کند\";}i:5301;a:1:{i:0;s:93:\"زمانی که فروشنده تعداد معینی از محصولات را می فروشد\";}i:5302;a:1:{i:0;s:101:\"زمانی که فروشنده‌ای بیش از یک سال در این پلتفرم میفروشد\";}i:5303;a:1:{i:0;s:60:\"زمانی که فروش فروشنده بود، بیش از\";}i:5304;a:1:{i:0;s:89:\"زمانی که محصول یک فروشنده در فروشگاه ویژه می‌شود\";}i:5305;a:1:{i:0;s:280:\"هنگام محاسبه حمل و نقل، محتویات سبد خرید برای تمام کلاس های حمل و نقل جستجو می‌شود. اگر همه کلاس های ارسال محصول یکسان باشند، کلاس مربوطه استفاده خواهد شد.\";}i:5306;a:1:{i:0;s:213:\"وقتی علامت بزنید، این به فروشندگان اجازه می‌دهد حداقل و حداکثر مقدار را برای محصولات انتخابی فروشگاه خود تعیین کنند.\";}i:5307;a:1:{i:0;s:218:\"وقتی علامت بزنید، این به فروشندگان اجازه می‌دهد که مقدار حداقل و حداکثر را برای محصولات انتخابی فروشگاه خود تعیین کنند.\";}i:5308;a:1:{i:0;s:173:\"وقتی علامت زده می‌شود، کاربر می تواند بدون ورود به سیستم، محصولات را از صفحه محصول پرس و جو کند.\";}i:5309;a:1:{i:0;s:141:\"هنگام وارد کردن شماره تلفن ایالات متحده، علامت مثبت را از شماره تلفن حذف کنید.\";}i:5310;a:1:{i:0;s:49:\"زمانی که این تبلیغ ساخته شد\";}i:5311;a:1:{i:0;s:147:\"هنگامی که موجودی متغیر به این مقدار رسید، از طریق ایمیل به شما اطلاع داده می‌شود.\";}i:5312;a:1:{i:0;s:55:\"وقتی فروشنده آنها را تکمیل کرد\";}i:5313;a:1:{i:0;s:60:\"زمانی که فروشنده‌ای ویژه می‌شود\";}i:5314;a:1:{i:0;s:53:\"زمانی که فروشنده گرفت، بیش از\";}i:5315;a:1:{i:0;s:58:\"وقتی فروشنده فراهم می کند بیش از\";}i:5316;a:1:{i:0;s:64:\"زمانی که انتشار فروشنده بود، بیش از\";}i:5317;a:1:{i:0;s:64:\"زمانی که دریافت فروشنده بود، بیش از\";}i:5318;a:1:{i:0;s:94:\"زمانی که فروشنده محصول را فقط در این پلتفرم می فروشد\";}i:5319;a:1:{i:0;s:207:\"هنگامی که فروشندگان حساب PayPal خود را متصل می کنند، این لوگو را در گوشه سمت راست بالای پنجره اتصال PayPal مشاهده می کنند\";}i:5320;a:1:{i:0;s:82:\"از کدام ارائه دهنده سرویس چت استفاده می کنید؟\";}i:5321;a:1:{i:0;s:62:\"از کدام ستون باید خروجی گرفته شود؟\";}i:5322;a:1:{i:0;s:75:\"از کدام نوع محصولات باید خروجی گرفته شود؟\";}i:5323;a:1:{i:0;s:72:\"چه کسی می تواند قیمت عمده فروشی را ببیند\";}i:5324;a:1:{i:0;s:119:\"چه کسی واقعاً می تواند قیمت عمده فروشی را در صفحه محصول مشاهده کند\";}i:5325;a:1:{i:0;s:19:\"عمده فروشی\";}i:5326;a:1:{i:0;s:47:\"پیکربندی کانال عمده فروشی\";}i:5327;a:1:{i:0;s:30:\"مشتری عمده فروشی\";}i:5328;a:1:{i:0;s:34:\"مشتریان عمده فروشی\";}i:5329;a:1:{i:0;s:28:\"مورد عمده فروشی\";}i:5330;a:1:{i:0;s:37:\"گزینه های عمده فروشی\";}i:5331;a:1:{i:0;s:28:\"قیمت عمده فروشی\";}i:5332;a:1:{i:0;s:30:\"قیمت عمده فروشی: \";}i:5333;a:1:{i:0;s:30:\"تعداد عمده فروشی\";}i:5334;a:1:{i:0;s:34:\"تنظیمات عمده فروشی\";}i:5335;a:1:{i:0;s:54:\"فعال‌کردن قابلیت عمده‌فروشی\";}i:5336;a:1:{i:0;s:144:\"مشتریان عمده فروشی می توانند محصولات را به صورت عمده از فروشندگان خریداری کنند.\";}i:5337;a:1:{i:0;s:28:\"قیمت عمده فروشی\";}i:5338;a:1:{i:0;s:45:\"چرا این را گزارش می دهید؟\";}i:5339;a:1:{i:0;s:150:\"چرا فروشندگان از بازار های دیگر می خواهند کسب و کار خود را در پلت فرم شما شروع کنند؟\";}i:5340;a:1:{i:0;s:6:\"عرض\";}i:5341;a:1:{i:0;s:11:\"عرض (%s)\";}i:5342;a:1:{i:0;s:21:\"مرجع مستقیم\";}i:5343;a:1:{i:0;s:17:\"حساب Wirecard\";}i:5344;a:1:{i:0;s:32:\"کارت اعتباری Wirecard\";}i:5345;a:1:{i:0;s:19:\"هزینه Wirecard\";}i:5346;a:1:{i:0;s:36:\"خطای پرداخت Wirecard :  %s\";}i:5347;a:1:{i:0;s:33:\"داده Wirecard یافت نشد\";}i:5348;a:1:{i:0;s:76:\"Wirecard از طرح اشتراک هفتگی پشتیبانی نمی کند.\";}i:5349;a:1:{i:0;s:99:\"درگاه Wirecard پیکربندی نشده است. لطفا با مدیر تماس بگیرید.\";}i:5350;a:1:{i:0;s:51:\"درگاه پرداخت Wirecard برای دکان.\";}i:5351;a:1:{i:0;s:29:\"تنظیمات Wirecard(MOIP)\";}i:5352;a:1:{i:0;s:12:\"برداشت\";}i:5353;a:1:{i:0;s:25:\"برداشت پرداخت\";}i:5354;a:1:{i:0;s:27:\"محدودیت برداشت\";}i:5355;a:1:{i:0;s:25:\"پرداخت برداشت\";}i:5356;a:1:{i:0;s:45:\"وضعیت فعال پرداخت برداشت\";}i:5357;a:1:{i:0;s:48:\"پرداخت برداشت غیرفعال است.\";}i:5358;a:1:{i:0;s:41:\"روش برداشت غیرفعال است\";}i:5359;a:1:{i:0;s:66:\"زمانبندی برداشت با موفقیت تغییر کرد.\";}i:5360;a:1:{i:0;s:60:\"زمانبندی برداشت با موفقیت حذف شد.\";}i:5361;a:1:{i:0;s:34:\"ادغام رزرو ووکامرس\";}i:5362;a:1:{i:0;s:57:\"پشتیبانی افزودنی محصول ووکامرس\";}i:5363;a:1:{i:0;s:82:\"افزونه ادغام ShipStation ووکامرس باید غیرفعال شود!\";}i:5364;a:1:{i:0;s:56:\"ادغام اشتراک ووکامرس برای دکان\";}i:5365;a:1:{i:0;s:154:\"آیا دوست دارید 5 تا 7 دقیقه برای بهبود دکان پرو با پاسخ دادن به 7 سوال ساده وقت بگذارید؟\";}i:5366;a:1:{i:0;s:84:\"درباره کسب و کار، محصولات و موارد دیگر بنویسید\";}i:5367;a:1:{i:0;s:23:\"چیزی بنویسید\";}i:5368;a:1:{i:0;s:107:\"شرایط ، ضوابط و دستورالعمل های مربوط به عودت وجه را بنویسید\";}i:5369;a:1:{i:0;s:109:\"شرایط، ضوابط و دستورالعمل‌های مربوط به حمل و نقل را بنویسید\";}i:5370;a:1:{i:0;s:147:\"پیام تعطیلات خود را بنویسید تا زمانی که تعطیل هستید در فروشگاه شما نمایش داده شود\";}i:5371;a:1:{i:0;s:31:\"اطلاعات UBO نادرست\";}i:5372;a:1:{i:0;s:5:\"Y/m/d\";}i:5373;a:1:{i:0;s:13:\"Y/m/d g:i:s A\";}i:5374;a:1:{i:0;s:10:\"YYYY-MM-DD\";}i:5375;a:1:{i:0;s:6:\"سال\";}i:5376;a:1:{i:0;s:6:\"سال\";}i:5377;a:1:{i:0;s:6:\"سال\";}i:5378;a:1:{i:0;s:21:\"سالهای فعال\";}i:5379;a:1:{i:0;s:6:\"بله\";}i:5380;a:1:{i:0;s:16:\"بله ، حذف\";}i:5381;a:1:{i:0;s:26:\"بله، پیش‌نویس\";}i:5382;a:1:{i:0;s:98:\"بله، من هزینه ها را با احتساب مالیات در زیر وارد می کنم\";}i:5383;a:1:{i:0;s:19:\"بله، ادامه\";}i:5384;a:1:{i:0;s:20:\"بله،انتشار\";}i:5385;a:1:{i:0;s:27:\"بله، بروزرسانی\";}i:5386;a:1:{i:0;s:21:\"بله، لغو کن!\";}i:5387;a:1:{i:0;s:63:\"بله،  از تمام متا سفارشی خروجی بگیر\";}i:5388;a:1:{i:0;s:122:\"شما در حال حاضر دارای یک پلن اشتراک هستید. ابتدا باید آن را لغو کنید.\";}i:5389;a:1:{i:0;s:67:\"شما مجاز به پیشنهاد محصول خود نیستید.\";}i:5390;a:1:{i:0;s:59:\"شما مجاز به انجام این عمل نیستید.\";}i:5391;a:1:{i:0;s:91:\"شما با موفقیت به عنوان مشتری عمده فروشی تبدیل شدید\";}i:5392;a:1:{i:0;s:92:\"شما از بسته <span>%1$s (%2$s آزمایشی)</span> استفاده می‌کنید.\";}i:5393;a:1:{i:0;s:75:\"شما در حال استفاده از پکیج <span>%s</span> هستید.\";}i:5394;a:1:{i:0;s:88:\"شما میتوانید <a href=\"%s\" target=\"_blank\"> اینجا وارد شوید </a> \";}i:5395;a:1:{i:0;s:68:\"شما می توانید %d محصول دیگر اضافه کنید.\";}i:5396;a:1:{i:0;s:114:\"می‌توانید <span>%1$s</span> محصول(ها) را برای <span>%2$s</span> روز اضافه کنید.\";}i:5397;a:1:{i:0;s:112:\"شما می توانید <span>%s</span> محصول <span>به مدت نامحدود</span> اضافه کنید.\";}i:5398;a:1:{i:0;s:71:\"شما می توانید <span>%s</span> محصول اضافه کنید\";}i:5399;a:1:{i:0;s:93:\"از اینجا می توانید یک یا چند دلیل سفارشی اضافه کنید.\";}i:5400;a:1:{i:0;s:69:\"می توانید محصولات نامحدودی اضافه کنید\";}i:5401;a:1:{i:0;s:212:\"شما می توانید این محصول را به صورت رایگان تبلیغ کنید. پس از <strong>%1$s</strong> منقضی می‌شود، جایگاه باقی‌مانده: <strong>%2$s</strong>\";}i:5402;a:1:{i:0;s:103:\"می‌توانید با رفتن به <a href=\"%1$s\">%2$s</a> آن را تأیید یا رد کنید.\";}i:5403;a:1:{i:0;s:108:\"می‌توانید با رفتن به <a href=\"%1$s\">%2$s</a> آن را تأیید یا رد کنید. %3$s\";}i:5404;a:1:{i:0;s:241:\"می‌توانید با اجازه دادن به فروشندگان برای اتصال پروفایل‌های اجتماعی خود به ویترین فروشگاه خود، اعتبار فروشندگان خود را تأیید کنید.\";}i:5405;a:1:{i:0;s:97:\"می‌توانید با رفتن به <a href=\"%s\">اینجا</a> آن را بررسی کنید.\";}i:5406;a:1:{i:0;s:97:\"می‌توانید با رفتن به <a href=\"%s\">اینجا</a> آن را بررسی کنید.\";}i:5407;a:1:{i:0;s:134:\"میتوانید با کلیک روی <a href=\"%s\"> اینجا <a/> این اطلاعیه را در داشبورد بررسی کنید\";}i:5408;a:1:{i:0;s:99:\"شما می توانید این اطلاعیه را در داشبورد خود بررسی کنید \";}i:5409;a:1:{i:0;s:123:\"شما می‌توانید با کلیک کردن <a href=“%s”>اینجا<a/> این پاسخ را بررسی کنید.\";}i:5410;a:1:{i:0;s:101:\"می توانید این پاسخ را با کلیک بر روی آدرس زیر بررسی کنید.\";}i:5411;a:1:{i:0;s:364:\"می‌توانید انتخاب کنید که چه زمانی می‌خواهید پس از تکمیل سفارش، وجه را به فروشندگان منتقل کنید یا بلافاصله پس از تکمیل پرداخت، یا حتی اگر سفارش در حال پردازش یا تکمیل باشد، انتقال را به تأخیر بیندازید.\";}i:5412;a:1:{i:0;s:183:\"می توانید با انتخاب هر رنگی به عنوان هویت برند یا به دلخواه خود داشبورد فروشنده خود را رنگ آمیزی کنید.\";}i:5413;a:1:{i:0;s:149:\"می توانید نحوه و مکان نمایش تنظیمات پشتیبانی فروشگاه در سایت خود را پیکربندی کنید.\";}i:5414;a:1:{i:0;s:173:\"می‌توانید تنظیماتی را به گونه‌ای پیکربندی کنید که مشتریان بتوانند محصولات خود را ردیابی کنند.\";}i:5415;a:1:{i:0;s:235:\"می توانید تنظیمات عمده فروشی را برای فروشگاه خود پیکربندی کنید و به فروشندگان اجازه دهید بر اساس قیمت و مقدار عمده فروشی کار کنند.\";}i:5416;a:1:{i:0;s:147:\"می توانید تنظیمات عمومی سایت خود را با گزینه تنظیم رنگ داشبورد خود پیکربندی کنید.\";}i:5417;a:1:{i:0;s:234:\"می‌توانید تنظیمات سایت خود را برای مشتریانی که در هنگام جستجو در فروشگاه‌ها برای محصولات خاص از آن استفاده کنند، پیکربندی کنید.\";}i:5418;a:1:{i:0;s:266:\"شما می توانید تنظیمات سایت خود را طوری پیکربندی کنید که به فروشندگان اجازه دهد تا امکان بازگشت سفارشی و ضمانت محصولات فروخته شده خود را ارائه دهند.\";}i:5419;a:1:{i:0;s:240:\"می‌توانید سایت خود را طوری پیکربندی کنید که مشتریان بتوانند زمان و تاریخی را که می‌خواهند محصولاتشان تحویل داده شوند، انتخاب کنند.\";}i:5420;a:1:{i:0;s:215:\"شما می توانید سایت خود را طوری پیکربندی کنید که به مشتریان امکان ارسال قیمت های سفارشی در مورد محصولات انتخابی را بدهد.\";}i:5421;a:1:{i:0;s:241:\"شما می توانید سایت خود را طوری پیکربندی کنید که به فروشندگان اجازه دهد محصولات فروشنده های دیگر را با سفارشی سازی های دلخواه بفروشند.\";}i:5422;a:1:{i:0;s:217:\"می توانید تنظیمات مکان فروشگاه خود را پیکربندی کنید و به پیکربندی فروشگاه فروشنده از این منوی تنظیمات دسترسی پیدا کنید.\";}i:5423;a:1:{i:0;s:330:\"در اینجا می‌توانید یک رزرو جدید برای مشتری ایجاد کنید. این فرم برای کاربر رزرو و در صورت تمایل سفارش مرتبط ایجاد می کند. سفارش های ایجاد شده به عنوان در حال پرداخت علامت گذاری می شوند.\";}i:5424;a:1:{i:0;s:191:\"شما می توانید  <a href=\"%s\"> افزودنیهای </a> اضافی ایجاد کنید که در مورد همه محصولات یا دسته های خاص اعمال می‌شود.\";}i:5425;a:1:{i:0;s:196:\"می توانید محصول را پیش نویس یا حذف کنید یا اگر فکر می کنید محصول خوب است می توانید این ایمیل را نادیده بگیرید.\";}i:5426;a:1:{i:0;s:266:\"میتوانید حمل و نقل را برای محصولات‌تان فعال/غیرفعال کنید. همچنین میتوانید هنگام ایجاد یا ویرایش یک محصول، این هزینه‌های حمل ونقل را رونویسی کنید.\";}i:5427;a:1:{i:0;s:215:\"می‌توانید آن را از Apple Developer platform -> login -> Certificates, IDs & Profiles -> Indentifiers -> Service IDs (drop down) -> Register for Service ID -> Collect Service ID دریافت کنید.\";}i:5428;a:1:{i:0;s:224:\"می‌توانید آن را ازApple Developer platform -> login -> Certificates, IDs & Profiles -> Keys -> Click \" + \" -> Register for new Key -> Download \"Apple Key Content\" -> Collect Key Content دریافت کنید.\";}i:5429;a:1:{i:0;s:220:\"می‌توانید آن را از Apple Developer platform -> login -> Certificates, IDs & Profiles -> Keys -> Click \" + \" -> Register for new Key -> Download \"Apple Key Content\" -> Collect Key ID دریافت کنید.\";}i:5430;a:1:{i:0;s:122:\"می توانید آن را ازApple Developer platform -> login -> Membership ->  Collect Team ID دریافت کنید.\";}i:5431;a:1:{i:0;s:165:\"شما می توانید آن را از پلتفرم توسعه دهنده فیس بوک -> Login -> Select  \"Add A New App\" -> Collect App ID دریافت کنید.\";}i:5432;a:1:{i:0;s:169:\"شما می توانید آن را از پلتفرم توسعه دهنده فیس بوک -> Login -> Select  \"Add A New App\" -> Collect App secret دریافت کنید.\";}i:5433;a:1:{i:0;s:302:\"می‌توانید آن را از Google Console Platform -> Google+API -> Enable -> Manage -> Credentials -> Create Credentials -> OAuth client ID -> Web Application -> Fill in the information & click Create دریافت کنید. یک پاپ آپ \"اعتبار مشتری\" را نشان می دهد.\";}i:5434;a:1:{i:0;s:300:\"می‌توانید آن را از Google Console Platform -> Google+API -> Enable -> Manage -> Credentials -> Create Credentials -> OAuth client ID -> Web Application -> Fill in the information & click Create دریافت کنید. یک پاپ آپ \"شناسه مشتری\" را نشان می دهد.\";}i:5435;a:1:{i:0;s:185:\"می توانید آن را از LinkedIn Developers platform -> Create an App -> Fill necessary info -> Click \"Create app\" -> \"Auth\" section -> Collect Client ID دریافت کنید.\";}i:5436;a:1:{i:0;s:188:\"می توانید آن را از LinkedIn Developers platform -> Create an App -> Fill necessary info -> Click \"Create app\" -> \"Auth\" section -> Collect Client Secretدریافت کنید.\";}i:5437;a:1:{i:0;s:320:\"می‌توانید آن را از پلتفرم توسعه‌دهنده توییتر -> Login -> Select  \"Create an App\" -> Input URL & integrate Twitter with Dokan دریافت کنید. به \"Keys and Tokens\" -> View Keys -> Collect API key بروید و به عنوان Consumer Key از آن استفاده کنید.\";}i:5438;a:1:{i:0;s:323:\"می‌توانید آن را از پلتفرم توسعه‌دهنده توییتر -> Login -> Select  \"Create an App\" -> Input URL & integrate Twitter with Dokan دریافت کنید. به \"Keys and Tokens\" -> View Keys -> Collect API secret بروید و به عنوان Consumer Key از آن استفاده کنید.\";}i:5439;a:1:{i:0;s:115:\"می توانید آن را از https://www.twilio.com/ -> Create an Account -> Collect SID دریافت کنید.\";}i:5440;a:1:{i:0;s:124:\"شما می توانید آن را از https://www.twilio.com/ -> Create an Account -> Collect Token دریافت کنید.\";}i:5441;a:1:{i:0;s:115:\"می توانید آن را از https://www.vonage.com/ -> Create an Account -> Collect Key دریافت کنید.\";}i:5442;a:1:{i:0;s:118:\"می توانید آن را از https://www.vonage.com/ -> Create an Account -> Collect Secret دریافت کنید.\";}i:5443;a:1:{i:0;s:126:\"می‌توانید درگاه های SMS را برای تأیید اطلاعات تماس فروشنده ادغام کنید.\";}i:5444;a:1:{i:0;s:235:\"می‌توانید سایت خود را ادغام و راه‌اندازی کنید تا به مشتریان ثبت‌نام شده و مشتریان اجازه دهید در زمان واقعی با فروشندگان چت کنند.\";}i:5445;a:1:{i:0;s:169:\"شما نمی توانید این محصول را تبلیغ کنید. قبل از اینکه بتوانید تبلیغ کنید، باید محصول منتشر شود.\";}i:5446;a:1:{i:0;s:175:\"شما نمی توانید این محصول را تبلیغ کنید. قبل از اینکه بتوانید تبلیغ کنید، محصولات باید منتشر شوند.\";}i:5447;a:1:{i:0;s:175:\"شما نمی توانید این محصول را تبلیغ کنید. قبل از اینکه بتوانید تبلیغ کنید، باید محصولات منتشر شوند.\";}i:5448;a:1:{i:0;s:72:\"شما نمی توانید نوع رویداد را تغییر دهید.\";}i:5449;a:1:{i:0;s:67:\"شما مجوز ویرایش صفحه نظرات را ندارید!\";}i:5450;a:1:{i:0;s:185:\"شما نمی توانید سفارش هایی را که دارای زیرسفارش هستند عودت کنید. لطفاً وجه را از زیرسفارش خاص عودت کنید.\";}i:5451;a:1:{i:0;s:94:\"شما فقط می توانید بسته های غیر تکراری را اختصاص دهید\";}i:5452;a:1:{i:0;s:79:\"شما فقط می توانید برچسب های %s را انتخاب کنید\";}i:5453;a:1:{i:0;s:220:\"می توانید دسته بندی های مجاز این کاربر را نادیده بگیرید. اگر خالی باشد ، دسته از پیش تعریف شده برای این بسته انتخاب می‌شود\";}i:5454;a:1:{i:0;s:95:\"شما می توانید درخواست را<a href=\"%s\"> اینجا </a> پردازش کنید\";}i:5455;a:1:{i:0;s:95:\"با مراجعه به اینجا می توانید درخواست را پردازش کنید: \";}i:5456;a:1:{i:0;s:150:\"شما می توانید فروشنده را با استفاده از نام کاربری، نام فروشگاه یا ایمیل جستجو کنید.\";}i:5457;a:1:{i:0;s:147:\"شما می توانید همه فروشندگان ثبت شده در بازار خود را با جزئیات و وضعیت آنها ببینید.\";}i:5458;a:1:{i:0;s:68:\"شما می توانید با رفتن به اینجا ببینید:\";}i:5459;a:1:{i:0;s:175:\"می‌توانید احراز هویت دو مرحله‌ای را برای آدرس‌های ایمیل مورد استفاده در ایجاد حساب تنظیم کنید.\";}i:5460;a:1:{i:0;s:105:\"شما می توانید با موفقیت فیسبوک را با وب سایت خود متصل کنید.\";}i:5461;a:1:{i:0;s:109:\"شما می توانید با موفقیت لینکداین را با وب سایت خود متصل کنید.\";}i:5462;a:1:{i:0;s:105:\"شما می توانید با موفقیت توییتر را با وب سایت خود متصل کنید.\";}i:5463;a:1:{i:0;s:178:\"شما می‌توانید با موفقیت به حساب اپل خود متصل شوید و از اینجا وارد شوید. %1$sیک اپلیکیشن ایجاد کنید%2$s\";}i:5464;a:1:{i:0;s:117:\"شما می توانید با موفقیت به حساب گوگل خود با وب سایت خود متصل شوید.\";}i:5465;a:1:{i:0;s:119:\"می توانید با موفقیت به حساب Twilio خود متصل شوید و از اینجا وارد شوید.\";}i:5466;a:1:{i:0;s:119:\"می توانید با موفقیت به حساب Vonage خود متصل شوید و از اینجا وارد شوید.\";}i:5467;a:1:{i:0;s:115:\"شما می توانید با موفقیت به حساب اپل خود با وب سایت خود متصل شوید.\";}i:5468;a:1:{i:0;s:173:\"شما می توانید وضعیت فروشندگان را به سادگی با فعال کردن یا غیرفعال کردن آنها از اینجا تغییر دهید.\";}i:5469;a:1:{i:0;s:107:\"شما می توانید این رزرو را در داشبورد مشاهده و ویرایش کنید: %s\";}i:5470;a:1:{i:0;s:119:\"با کلیک روی %1$sاین لینک%2$s%3$s می‌توانید جزئیات سفارش را مشاهده کنید\";}i:5471;a:1:{i:0;s:140:\"شما می‌ توانید جزئیات سفارش را با کلیک کردن در <a href=\"%1$s\">اینجا</a>%2$s مشاهده کنید\";}i:5472;a:1:{i:0;s:119:\"با کلیک روی <a href=\"%s\"> اینجا </a> می توانید جزئیات سفارش را مشاهده کنید\";}i:5473;a:1:{i:0;s:118:\"با مراجعه به این لینک می توانید جزئیات سفارش را مشاهده کنید. %1$s %2$s\";}i:5474;a:1:{i:0;s:221:\"شما نمیتوانید بیشتر از این محصول بفروشید یا آپلود کنید. برای فعال کردن حساب کاربری خود، لطفا با مدیریت وبسایت تماس بگیرید.\";}i:5475;a:1:{i:0;s:198:\"شما نمیتوانید محصول بفروشید یا آپلود کنید. برای فعال کردن حساب کاربری خود، لطفا با مدیریت وبسایت تماس بگیرید.\";}i:5476;a:1:{i:0;s:84:\"شما نمی توانید \"%s\" دیگری به مظنه خود اضافه کنید.\";}i:5477;a:1:{i:0;s:106:\"شما نمی توانید محصول چند فروشنده را به مظنه خود اضافه کنید.\";}i:5478;a:1:{i:0;s:176:\"شما نمی توانید آن مقدار \"%1$s\" را به سبد خرید اضافه کنید، زیرا موجودی کافی وجود ندارد (%2$s باقی مانده).\";}i:5479;a:1:{i:0;s:43:\"شما مجوز لازم را ندارید.\";}i:5480;a:1:{i:0;s:76:\"شما اجازه ایجاد دسته بندی محصول را ندارید.\";}i:5481;a:1:{i:0;s:57:\"شما اجازه حذف نشان ها را ندارید.\";}i:5482;a:1:{i:0;s:61:\"شما اجازه انجام این عمل را ندارید.\";}i:5483;a:1:{i:0;s:82:\"شما اجازه دسترسی به ویرایش این منبع را ندارید\";}i:5484;a:1:{i:0;s:60:\"شما اجازه انجام این عمل را ندارید\";}i:5485;a:1:{i:0;s:61:\"شما اجازه انجام این عمل را ندارید.\";}i:5486;a:1:{i:0;s:70:\"شما اجازه استفاده از این عمل را ندارید.\";}i:5487;a:1:{i:0;s:88:\"شما مجوز کافی برای دسترسی به‌این صفحه را ندارید.\";}i:5488;a:1:{i:0;s:37:\"شما مجوز کافی ندارید\";}i:5489;a:1:{i:0;s:74:\"شما اجازه اضافه کردن این محصول را ندارید.\";}i:5490;a:1:{i:0;s:31:\"شما اجازه ندارید.\";}i:5491;a:1:{i:0;s:54:\"شما یک پکیج مادام العمر دارید.\";}i:5492;a:1:{i:0;s:183:\"شما دارای مانده برداشت معکوس %1$s هستید که باید پرداخت شود. لطفاً <a href=\"%2$s\">آن</a> را قبل از %3$s پرداخت کنید.\";}i:5493;a:1:{i:0;s:109:\"شما در حال حاضر درخواست عودت وجه برای این سفارش ثبت کرده اید.\";}i:5494;a:1:{i:0;s:64:\"شما قبلاً این محصول را کپی کرده اید.\";}i:5495;a:1:{i:0;s:94:\"شما یک گزارش سو تخلف جدید برای محصول دریافت کرده اید\";}i:5496;a:1:{i:0;s:65:\"شما یک ایمیل استعلام جدید از %s دارید\";}i:5497;a:1:{i:0;s:69:\"شما یک دنبال کننده فروشگاه جدید دارید!\";}i:5498;a:1:{i:0;s:85:\"شما دسترسی ذخیره گزینه‌های حمل و نقل را ندارید\";}i:5499;a:1:{i:0;s:64:\"شما اجازه افزودن کد تخفیف را ندارید\";}i:5500;a:1:{i:0;s:64:\"شما اجازه افزودن این کوپن را ندارید\";}i:5501;a:1:{i:0;s:78:\"شما هیچ مجوزی برای ایجاد محصول جدید ندارید.\";}i:5502;a:1:{i:0;s:69:\"شما اجازه ندارید این کار را انجام دهید\";}i:5503;a:1:{i:0;s:71:\"شما هیچ مجوزی برای انجام این عمل ندارید\";}i:5504;a:1:{i:0;s:72:\"شما هیچ مجوزی برای انجام این عمل ندارید.\";}i:5505;a:1:{i:0;s:71:\"شما اجازه ویرایش این کد تخفیف را ندارید\";}i:5506;a:1:{i:0;s:66:\"شما اجازه مدیریت این سفارش را ندارید\";}i:5507;a:1:{i:0;s:62:\"شما اجازه مدیریت این نظر را ندارید\";}i:5508;a:1:{i:0;s:66:\"شما مجوز مشاهده صفحه نظرات را ندارید\";}i:5509;a:1:{i:0;s:73:\"شما اجازه مشاهده این صفحه حراج را ندارید\";}i:5510;a:1:{i:0;s:73:\"شما اجازه مشاهده این صفحه رزرو را ندارید\";}i:5511;a:1:{i:0;s:70:\"شما اجازه مشاهده این اطلاعات را ندارید\";}i:5512;a:1:{i:0;s:62:\"شما مجاز به مشاهده این صفحه نیستید\";}i:5513;a:1:{i:0;s:64:\"شما مجوز مشاهده این گزارش را ندارید\";}i:5514;a:1:{i:0;s:79:\"شما اجازه مشاهده این صفحه درخواست را ندارید\";}i:5515;a:1:{i:0;s:75:\"شما اجازه مشاهده این صفحه ابزار را ندارید\";}i:5516;a:1:{i:0;s:75:\"شما اجازه مشاهده این صفحه تأیید را ندارید\";}i:5517;a:1:{i:0;s:50:\"شما هنوز هیچ مظنه ای ندارید.\";}i:5518;a:1:{i:0;s:65:\"شما اجازه حذف این کد تخفیف را ندارید\";}i:5519;a:1:{i:0;s:115:\"شما هنوز کارتی ثبت نکرده اید. می توانید یکی را در زیر اضافه کنید.\";}i:5520;a:1:{i:0;s:60:\"شما یک سفارش از %s دریافت کرده اید.\";}i:5521;a:1:{i:0;s:92:\"شما تمام بررسی های انطباق را با موفقیت انجام دادید.\";}i:5522;a:1:{i:0;s:107:\"زمانتان بسیار طولانی شد. لطفا برگردید و دوباره امتحان کنید.\";}i:5523;a:1:{i:0;s:29:\"شما آنلاک کردید \";}i:5524;a:1:{i:0;s:111:\"فقط بایدافزونه %3$s را %1$sپیکربندی%2$s کنید تا آن را کاربردی کنید.\";}i:5525;a:1:{i:0;s:82:\"فقط باید افزونه %s را فعال کنید تا کاربردی شود.\";}i:5526;a:1:{i:0;s:97:\"شما نیاز به فعال کردن <strong>%s</strong> برای عملکرد أن دارید.\";}i:5527;a:1:{i:0;s:80:\"فقط باید افزونه %s را نصب کنید تا کاربردی شود.\";}i:5528;a:1:{i:0;s:99:\"برای عملکردی بهتر ، فقط باید %sافزونه هسته%s را نصب کنید.\";}i:5529;a:1:{i:0;s:148:\"فقط باید افزونه %1$s را به نسخه %2$s یا جدیدتر به‌روزرسانی کنید تا آن را کاربردی کنید.\";}i:5530;a:1:{i:0;s:651:\"شما باید نقطه پایانی وبهوک %1$s%2$s%3$s%4$s%5$s زیر را به تنظیمات حساب %6$sStripe%7$s خود اضافه کنید (اگر قبلاً موردی فعال نشده باشد). این به شما امکان می دهد تا اعلان هایی را در مورد وضعیت شارژ دریافت کنید. با ذخیره این تنظیمات مدیریت، سعی می‌شود نقطه پایانی وب هوک به طور خودکار پیکربندی شود. اگر به صورت خودکار پیکربندی نشده است، لطفاً آن را به صورت دستی ثبت کنید.%8$s%9$s%10$s%11$s%12$s\";}i:5531;a:1:{i:0;s:79:\"برای ارسال نظر شما باید  <a href=\"%s\">وارد</a> شوید.\";}i:5532;a:1:{i:0;s:48:\"شما باید یک نام ارائه دهید.\";}i:5533;a:1:{i:0;s:71:\"شما باید اطلاعات مشتریان را ارائه دهید.\";}i:5534;a:1:{i:0;s:66:\"شما باید حداقل یک نقش را انتخاب کنید.\";}i:5535;a:1:{i:0;s:109:\"برای تکمیل بررسی های انطباق باید اسناد زیر را بارگذاری کنید.\";}i:5536;a:1:{i:0;s:217:\"برای خرید یک بسته اشتراک تکراری باید وارد سایت شوید. لطفا وارد شوید یا یک حساب کاربری ایجاد کنید تا به پرداخت ادامه دهید.\";}i:5537;a:1:{i:0;s:142:\"برای این فیلد باید یک عدد صحیح مثبت وارد کنید. -1 را برای بدون محدودیت وارد کنید.\";}i:5538;a:1:{i:0;s:79:\"شما می توانید هر زمان که بخواهید ادامه دهید.\";}i:5539;a:1:{i:0;s:32:\"در هر %d شارژ میشود\";}i:5540;a:1:{i:0;s:148:\"پس از استفاده از این مورد باید به صورت دستی از طریق درگاه پرداخت خود عودت وجه کنید.\";}i:5541;a:1:{i:0;s:82:\"درخواست تأیید %s شما %s توسط مدیر انجام شده است.\";}i:5542;a:1:{i:0;s:449:\"اعتبار API شما یک کلید و سکرت API است که درخواست‌های API از حساب شما را احراز هویت می‌کند. میتوانید این اعتبارنامه ها را از یک برنامه REST API در داشبورد توسعه دهنده دریافت کنید. برای اطلاعات بیشتر در مورد دریافت جزئیات api خود از <a href=\"%s\">این لینک</a> دیدن کنید.\";}i:5543;a:1:{i:0;s:442:\"اعتبارنامه API شما یک شناسه مشتری و کلید API است که درخواست‌های API را از حساب شما تأیید می‌کند. می‌توانید این اعتبارنامه‌ها را از یک برنامه REST API در داشبورد توسعه دهنده جمع‌آوری کنید. برای اطلاعات بیشتر درباره دریافت جزئیات api خود، از %s دیدن کنید.\";}i:5544;a:1:{i:0;s:440:\"اعتبار API شما یک شناسه مشتری و سکرت است که درخواست‌های API را از حساب شما تأیید می‌کند. این اعتبارنامه ها را از یک برنامه REST API در داشبورد برنامه نویس دریافت می کنید. برای اطلاعات بیشتر درباره دریافت جزئیات api خود، از <a href=\"%1$s\">این لینک</a> دیدن کنید.\";}i:5545;a:1:{i:0;s:915:\"اعتبار API شما یک کلید قابل انتشار و یک کلید سکرت است که درخواست‌های API از حساب شما را احراز هویت می‌کند. می‌توانید این اعتبارنامه‌ها را از یک برنامه REST API در داشبورد برنامه‌نویس جمع‌آوری کنید. برای اطلاعات بیشتر در مورد دریافت جزئیات api خود، %1$sاین لینک%2$s را مشاهده کنید.%3$s%4$sتوجه: حتی اگر حالت آزمایشی را فعال کنید، لطفاً کلیدهای API زنده خود را نیز ارائه دهید. برای برخی از پیکربندی‌های اضافی برای روش‌های پرداخت مانند Apple Pay و دکمه‌های درخواست پرداخت، کلیدهای API زنده حتی در حالت آزمایش مورد نیاز هستند.%5$s\";}i:5546;a:1:{i:0;s:62:\"درخواست تأیید آدرس شما لغو شده است\";}i:5547;a:1:{i:0;s:51:\"درخواست تایید آدرس شما %s است\";}i:5548;a:1:{i:0;s:91:\"درخواست تأیید آدرس شما ارسال و تأیید در انتظار است\";}i:5549;a:1:{i:0;s:33:\"نام حساب بانکی شما\";}i:5550;a:1:{i:0;s:37:\"شماره حساب بانکی شما\";}i:5551;a:1:{i:0;s:25:\"کد IFSC بانک شما\";}i:5552;a:1:{i:0;s:22:\"نام شرکت شما\";}i:5553;a:1:{i:0;s:22:\"نام شرکت شما\";}i:5554;a:1:{i:0;s:15:\"کشور شما\";}i:5555;a:1:{i:0;s:41:\"دکان پرو شما آماده است!\";}i:5556;a:1:{i:0;s:278:\"کلید دسترسی اتصال ارستریپ دکان نامعتبر است یا منقضی شده است ، بنابراین لغو شده است. برای دریافت پرداخت های خودکار باید حساب استریپ خود را دوباره وصل کنید.\";}i:5557;a:1:{i:0;s:17:\"ایمیل شما\";}i:5558;a:1:{i:0;s:39:\"شناسه صفحه فیسبوک شما\";}i:5559;a:1:{i:0;s:64:\"درخواست تایید شناسه شما لغو شده است\";}i:5560;a:1:{i:0;s:53:\"درخواست تأیید شناسه شما %s است\";}i:5561;a:1:{i:0;s:85:\"درخواست تأیید شناسه شما ارسال و %s تایید شده است\";}i:5562;a:1:{i:0;s:13:\"نام شما\";}i:5563;a:1:{i:0;s:15:\"پکیج شما\";}i:5564;a:1:{i:0;s:38:\"آدرس ایمیل پی پال شما\";}i:5565;a:1:{i:0;s:49:\"اعتبار پی پال شما کامل نیست\";}i:5566;a:1:{i:0;s:71:\"مظنه # %1$s شما به سفارش # %2$s تبدیل شده است.\";}i:5567;a:1:{i:0;s:35:\"ایمیل حساب Razorpay شما\";}i:5568;a:1:{i:0;s:31:\"نام حساب Razorpay شما\";}i:5569;a:1:{i:0;s:14:\"نظر شما:\";}i:5570;a:1:{i:0;s:51:\"شماره موبایل تایید شده شما : \";}i:5571;a:1:{i:0;s:107:\"حساب Wirecard شما هنوز فعال نیست. لطفاً ابتدا به Wirecard متصل شوید!\";}i:5572;a:1:{i:0;s:222:\"حمل و نقل ووکامرس شما در حال حاضر غیرفعال است، بنابراین ابتدا باید حمل و نقل ووکامرس را فعال کنید تا برای فروشندگان کار کند\";}i:5573;a:1:{i:0;s:244:\"حساب شما با %1$s متصل شده است.%2$sشناسه فروشنده: %3$s.%4$sشما می‌توانید برای ردیابی پرداخت‌ها و تراکنش‌های خود به داشبورد %5$s خود مراجعه کنید.\";}i:5574;a:1:{i:0;s:55:\"حساب شما به MangoPay دکان متصل است.\";}i:5575;a:1:{i:0;s:155:\"حساب شما با PayPal Marketplace متصل است. با استفاده از دکمه بالا می توانید حساب خود را قطع کنید.\";}i:5576;a:1:{i:0;s:145:\"حساب شما با Razorpay متصل است. با استفاده از دکمه بالا می توانید حساب خود را قطع کنید.\";}i:5577;a:1:{i:0;s:151:\"حساب شما به استریپ متصل است. با استفاده از دکمه فوق می توانید ارتباط خود را قطع کنید.\";}i:5578;a:1:{i:0;s:46:\"حساب شما به Wirecard متصل است.\";}i:5579;a:1:{i:0;s:140:\"حساب شما به Wirecard متصل نیست. برای دریافت پرداخت ها ، حساب Wirecard خود را متصل کنید.\";}i:5580;a:1:{i:0;s:107:\"حساب شما به %s متصل نیست. برای ثبت نام روی دکمه زیر کلیک کنید.\";}i:5581;a:1:{i:0;s:163:\"حساب شما به MangoPay متصل نیست. برای دریافت پرداخت‌های خودکار، حساب %1$s MangoPay%2$s خود را وصل کنید.\";}i:5582;a:1:{i:0;s:142:\"حساب شما به MangoPay دکان متصل نیست. برای تکمیل ثبت نام، اطلاعات زیر را به روز کنید.\";}i:5583;a:1:{i:0;s:166:\"حساب شما به PayPal متصل نیست. برای دریافت پرداخت‌های خودکار، حساب %1$s  پی پال %2$s خود را وصل کنید.\";}i:5584;a:1:{i:0;s:163:\"حساب شما به Razorpay متصل نیست. برای دریافت پرداخت‌های خودکار، حساب %1$s Razorpay%2$s خود را وصل کنید.\";}i:5585;a:1:{i:0;s:159:\"حساب شما به Razorpay متصل نیست. لطفا روی دکمه ثبت نام کلیک کنید تا حساب Razorpay خود را متصل کنید.\";}i:5586;a:1:{i:0;s:174:\"حساب شما به Stripe Express متصل نیست. برای دریافت پرداخت خودکار، برای یک حساب %1$sStripe Express%2$s ثبت نام کنید.\";}i:5587;a:1:{i:0;s:148:\"حساب شما به استریپ متصل نیست. برای دریافت پرداخت ها ، حساب استریپ خود را متصل کنید.\";}i:5588;a:1:{i:0;s:148:\"حساب شما به استریپ متصل نیست. برای دریافت پرداخت ها ، حساب استریپ خود را متصل کنید.\";}i:5589;a:1:{i:0;s:178:\"حساب شما هنوز واجد شرایط پرداخت نیست. لطفاً مطمئن شوید که تمام اسناد KYC مورد نیاز را تأیید کرده اید.\";}i:5590;a:1:{i:0;s:85:\"کارت شما برای استفاده در آینده قابل تنظیم نیست.\";}i:5591;a:1:{i:0;s:48:\"تغییرات شما به روز شده است!\";}i:5592;a:1:{i:0;s:22:\"نوع شرکت شما\";}i:5593;a:1:{i:0;s:51:\"درخواست تأیید شرکت شما %s است\";}i:5594;a:1:{i:0;s:62:\"درخواست تأیید شرکت شما لغو شده است\";}i:5595;a:1:{i:0;s:98:\"درخواست تأیید شرکت شما ارسال شده و در انتظار تأیید است\";}i:5596;a:1:{i:0;s:175:\"ارز حساب استریپ متصل شما (%1$s)  با ارز پیش فرض پلتفرم (%2$s) متفاوت است. انتقال خودکار امکان پذیر نیست.\";}i:5597;a:1:{i:0;s:267:\"اطلاعات شما ایمن هستند، برای باز کردن قفل ویژگی‌های پرو هر زمان خواستید آن را تمدید کنید. پس از تمدید، مارکت‌پلیس شما به طور یکپارچه کار خواهد کرد.\";}i:5598;a:1:{i:0;s:69:\"سفارش تمدید اولیه شما موفقیت آمیز بود.\";}i:5599;a:1:{i:0;s:161:\"شما معارفه به %s را تکمیل نکرده اید. با کلیک بر روی دکمه زیر می توانید فرآیند را تکمیل کنید.\";}i:5600;a:1:{i:0;s:232:\"لایسنس شما به زودی منقضی می‌شود. برای ایمن سازی ویژگی های پرو خود و جلوگیری از مشکل، تمدید کنید و به فروش یکپارچه خود ادامه دهید.\";}i:5601;a:1:{i:0;s:75:\"زمان سفارش %1$s شما توسط %2$s بروزرسانی شد. %3$s\";}i:5602;a:1:{i:0;s:79:\"زمان سفارش %1$s شما توسط مدیر بروزرسانی شد. %2$s\";}i:5603;a:1:{i:0;s:87:\"سفارش #%1$s در زمان %2$s توسط %3$s %4$s بروزرسانی شده است\";}i:5604;a:1:{i:0;s:57:\"وضعیت ارسال سفارش شما تغییر کرد\";}i:5605;a:1:{i:0;s:162:\"سفارشات شما با موفقیت در صف پردازش قرار گرفتند. پس از اتمام کار به شما اطلاع داده خواهد شد.\";}i:5606;a:1:{i:0;s:58:\"پکیج شما در <span>%s</span> منقضی میشود\";}i:5607;a:1:{i:0;s:48:\"رمز ورود شما به روز شده است\";}i:5608;a:1:{i:0;s:51:\"اطلاعات پرداخت شما ناقص است.\";}i:5609;a:1:{i:0;s:72:\"زمانبندی برداشت دلخواه شما غیرفعال است.\";}i:5610;a:1:{i:0;s:172:\"ایمیل اصلی شما هنوز تایید نشده است. برای دریافت پرداخت باید ایمیل اصلی پی پال خود را تأیید کنید.\";}i:5611;a:1:{i:0;s:50:\"مظنه شما با موفقیت ارسال شد.\";}i:5612;a:1:{i:0;s:51:\"مظنه شما با موفقیت به روز شد.\";}i:5613;a:1:{i:0;s:53:\"مظنه شما در حال حاضر خالی است.\";}i:5614;a:1:{i:0;s:38:\"درخواست عودت وجه شما \";}i:5615;a:1:{i:0;s:53:\"درخواست استرداد شما %1$s است.%2$s\";}i:5616;a:1:{i:0;s:67:\"گزارش شما ارسال شد. ممنون از پاسخ شما.\";}i:5617;a:1:{i:0;s:167:\"نوع محصول فروش شما حالت دیجیتال است، سیستم ردیابی حمل و نقل فقط با محصولات فیزیکی کار می کند.\";}i:5618;a:1:{i:0;s:37:\"وضعیت شما معتبر نیست\";}i:5619;a:1:{i:0;s:96:\"آدرس URL فروشگاه شما، که در ایجاد برنامه مورد نیاز است.\";}i:5620;a:1:{i:0;s:96:\"آدرس URL فروشگاه شما، که در ایجاد برنامه مورد نیاز است.\";}i:5621;a:1:{i:0;s:110:\"آدرس URL فروشگاه شما، که در همگام سازی با API گوگل مورد نیاز است.\";}i:5622;a:1:{i:0;s:234:\"آدرس فروشگاه شما برای اینکه کاربر تجاری MangoPay باشد الزامی است. لطفاً به %1$sتنظیمات فروشگاه%2$s خود بروید و آدرس را به‌روزرسانی کنید.\";}i:5623;a:1:{i:0;s:67:\"فروشگاه شما هیچ دنبال کننده ای ندارد.\";}i:5624;a:1:{i:0;s:203:\"فروشگاه شما تنظیمات موقعیت جغرافیایی ندارد. این تنظیمات را در بخش <a href=\"%s\" target=\"_blank\">تنظیمات فروشگاه</a> تنظیم کنید.\";}i:5625;a:1:{i:0;s:70:\"شرایط بازگشت وجه و گارانتی فروشگاه شما\";}i:5626;a:1:{i:0;s:41:\"اشتراک شما لغو شده است!\";}i:5627;a:1:{i:0;s:91:\"اشتراک شما لغو شد! هرچند همچنان تا %s فعال خواهد بود\";}i:5628;a:1:{i:0;s:91:\"اشتراک شما لغو شد! هرچند همچنان تا %s فعال خواهد بود\";}i:5629;a:1:{i:0;s:45:\"اشتراک شما مجددا فعال شد!\";}i:5630;a:1:{i:0;s:46:\"حساب فروشنده شما فعال است\";}i:5631;a:1:{i:0;s:53:\"حساب فروشنده شما غیر فعال است\";}i:5632;a:1:{i:0;s:31:\"کد تایید شما : %CODE%\";}i:5633;a:1:{i:0;s:136:\"درخواست مشتری عمده فروشی شما به مدیر ارسال می‌شود. لطفا منتظر تایید بمانید\";}i:5634;a:1:{i:0;s:12:\"یوتیوب\";}i:5635;a:1:{i:0;s:54:\"فایل با حجم صفر دانلود شده است\";}i:5636;a:1:{i:0;s:67:\"کد پستی جایی که از آنجا ارسال می کنید.\";}i:5637;a:1:{i:0;s:13:\"کد پستی\";}i:5638;a:1:{i:0;s:19:\"مکان منطقه\";}i:5639;a:1:{i:0;s:17:\"نام منطقه\";}i:5640;a:1:{i:0;s:26:\"منطقه یافت نشد\";}i:5641;a:1:{i:0;s:59:\"تنظیمات منطقه با موفقیت ذخیره شد\";}i:5642;a:1:{i:0;s:205:\"[%1$s] یک اعتراض برای این سفارش ایجاد شد. پاسخ لازم است. لطفاً برای بررسی این اختلاف به %2$sداشبورد استریپ%3$s خود بروید.\";}i:5643;a:1:{i:0;s:221:\"[%1$s] یک بررسی برای این سفارش باز شده است. اقدام لازم است. لطفاً برای بررسی این مشکل به %2$sداشبورد استریپ%3$s خود بروید. دلیل: %4$s\";}i:5644;a:1:{i:0;s:224:\"[%1$s] بازپرداخت خودکار در پایان Stripe انجام نشد. بازپرداخت دستی مورد نیاز است. شناسه بازپرداخت: %2$d، شناسه سفارش: %3$d، پیام خطا: %4$s\";}i:5645;a:1:{i:0;s:68:\"[%1$s] پرداخت انجام نشد. وضعیت پرداخت: %2$s\";}i:5646;a:1:{i:0;s:306:\"[%1$s] شارژ مجاز است (شناسه شارژ: %2$s). پردازش سفارش برای پرداخت، یا لغو برای حذف پیش مجوز. تلاش برای بازپرداخت جزئی یا کامل سفارش، مجوز را آزاد می‌کند و پرداخت را لغو می‌کند.\";}i:5647;a:1:{i:0;s:57:\"[%1$s] شارژ کامل شد (شناسه شارژ: %2$s)\";}i:5648;a:1:{i:0;s:83:\"[%1$s] وجه به فروشنده پرداخت نشد. خطا از درگاه: %2$s\";}i:5649;a:1:{i:0;s:146:\"[%1$s] پرداخت مبلغ %2$s به کاربر انجام نشد: %3$s. تنظیمات پرداخت یا تأیید کاربر ناقص است.\";}i:5650;a:1:{i:0;s:135:\"[%1$s] پرداخت به کاربر: %2$s انجام نشد. هیچ حساب بانکی فعالی برای کاربر پیدا نشد.\";}i:5651;a:1:{i:0;s:118:\"‫[%1$s] امکان برگرداندن %2$s از حساب اسپتر فروشنده وجود ندارد. خطا: %3$s\";}i:5652;a:1:{i:0;s:234:\"خطای [%1$s]: استرداد خودکار برای این سفارش امکان پذیر نیست. دلیل: هیچ شناسه تراکنش MangoPay یافت نشد. شناسه بازپرداخت: %2$s، شناسه سفارش: %3$s\";}i:5653;a:1:{i:0;s:47:\"[%1$s] هزینه پردازش درگاه: %2$s\";}i:5654;a:1:{i:0;s:34:\"[%1$s] یادداشت هوک: %2$s\";}i:5655;a:1:{i:0;s:59:\"[%1$s] وبهوک ورودی %2$s شناسه منبع: %3$s\";}i:5656;a:1:{i:0;s:54:\"[%1$s] شناسه منبع وبهوک ورودی: %2$s\";}i:5657;a:1:{i:0;s:62:\"[%1$s] وب هوک ورودی: %2$s. شناسه منبع: %3$s\";}i:5658;a:1:{i:0;s:88:\"[%1$s]درج در موجودی فروشنده انجام نشد. پیغام خطا: %2$s\";}i:5659;a:1:{i:0;s:99:\"[%1$s] پرداخت سفارش %2$s از طریق %3$s تکمیل شد. (شناسه شارژ: %4$s)\";}i:5660;a:1:{i:0;s:43:\"[%1$s] شناسه هدف پرداخت: %2$s\";}i:5661;a:1:{i:0;s:105:\"[%1$s] پرداخت برای سفارش اشتراک %2$s تکمیل شد (شناسه اشتراک: %3$s)\";}i:5662;a:1:{i:0;s:80:\"[%1$s] پرداخت مبلغ %2$s برای کاربر ناموفق بود: %3$s.\";}i:5663;a:1:{i:0;s:87:\"[%1$s] پرداخت به فروشنده: %2$s ناموفق بود. مقدار: %3$s%4$s\";}i:5664;a:1:{i:0;s:81:\"[%1$s] %2$s از حساب stripe فروشنده معکوس شد. شناسه: %3$s\";}i:5665;a:1:{i:0;s:66:\"[%1$s] احراز هویت SCA ناموفق بود. دلیل: %2$s\";}i:5666;a:1:{i:0;s:61:\"[%1$s] شارژ Stripe در انتظار پرداخت: %2$ss.\";}i:5667;a:1:{i:0;s:70:\"[%1$s] وجه با موفقیت به فروشنده پرداخت شد.\";}i:5668;a:1:{i:0;s:101:\"[%1$s] مبلغ با موفقیت منتقل شد: %2$s به حساب: %3$s از فروشنده: %4$s\";}i:5669;a:1:{i:0;s:108:\"[%1$s] بررسی باز شده برای این سفارش اکنون بسته شده است. دلیل: %2$s\";}i:5670;a:1:{i:0;s:123:\"[%1$s] این شارژ بصورت جزئی از طریق داشبورد Stripe به مبلغ زیر دریافت شد: %2$s\";}i:5671;a:1:{i:0;s:73:\"[%1$s] انتقال به فروشنده انجام نشد. دلیل: %2$s\";}i:5672;a:1:{i:0;s:110:\"[%1$s] دوره آزمایشی برای سفارش %2$s شروع شده است (شناسه اشتراک: %3$s)\";}i:5673;a:1:{i:0;s:40:\"[%1$s] یادداشت تراکنش: %2$s\";}i:5674;a:1:{i:0;s:64:\"[%1$s]. %2$s عودت شد. شناسه استرداد: %3$s.%4$s\";}i:5675;a:1:{i:0;s:31:\"[%s] پرداخت پاک نشد\";}i:5676;a:1:{i:0;s:68:\"[%s] وجه با موفقیت به فروشنده پرداخت شد.\";}i:5677;a:1:{i:0;s:48:\"[%s] اختلاف حل یا پذیرفته شد.\";}i:5678;a:1:{i:0;s:123:\"[%s] اختلاف به نفع شما برای این سفارش حل شد. وضعیت سفارش به روز شده است.\";}i:5679;a:1:{i:0;s:90:\"[%s] کوئری یا بازیابی بسته شد. وضعیت سفارش به روز شد.\";}i:5680;a:1:{i:0;s:91:\"[Dokan Razorpay] وضعیت وب هوک تغییر نکرد. خطای درخواست بد: \";}i:5681;a:1:{i:0;s:69:\"[Dokan Razorpay] وضعیت وب هوک تغییر نکرد. خطا: \";}i:5682;a:1:{i:0;s:78:\"[Dokan Razorpay] وب هوک ایجاد نشد. خطای درخواست بد: \";}i:5683;a:1:{i:0;s:56:\"[Dokan Razorpay] وب هوک ایجاد نشد. خطا: \";}i:5684;a:1:{i:0;s:105:\"[Dokan Razorpay] نمی‌توان درخواست‌های وب هوک را دریافت کرد. خطا: \";}i:5685;a:1:{i:0;s:48:\"[Dokan Razorpay] پرداخت نامعتبر: %s\";}i:5686;a:1:{i:0;s:64:\"[Dokan Razorpay] مبلغ انتقال معکوس مرچنت: %s\";}i:5687;a:1:{i:0;s:58:\"[Dokan Razorpay] خطای ایجاد_سفارش_razorpay: \";}i:5688;a:1:{i:0;s:16:\"[سفارش #%s]\";}i:5689;a:1:{i:0;s:30:\"[استریپ اکسپرس] %s\";}i:5690;a:1:{i:0;s:85:\"[{blogname}] مشتری عمده فروشی جدید منتظر تأیید شماست\";}i:5691;a:1:{i:0;s:66:\"[{blogname}] ثبت نام مشتری عمده فروشی جدید\";}i:5692;a:1:{i:0;s:97:\"[{site_name}] یک درخواست وجه جدید توسط {seller_name} ساخته شده است\";}i:5693;a:1:{i:0;s:92:\"[{site_name}] یک کد تخفیف جدید توسط({vendor_name}) ایجاد شده است\";}i:5694;a:1:{i:0;s:121:\"[{site_name}] درخواست عودت وجه و بازگشت جدید توسط ({customer_name}) ارسال شده است\";}i:5695;a:1:{i:0;s:38:\"[{site_name}] اشتراک لغو شد\";}i:5696;a:1:{i:0;s:58:\"[{site_name}] حساب کاربری شما فعال است\";}i:5697;a:1:{i:0;s:65:\"[{site_name}] حساب کاربری شما غیر فعال است\";}i:5698;a:1:{i:0;s:82:\"[{site_name}] درخواست استرداد شما در وضعیت {status} است\";}i:5699;a:1:{i:0;s:67:\"[{site_name}] درخواست عودت وجه شما {status} بود\";}i:5700;a:1:{i:0;s:33:\"[{site_name}] {set_email_subject}\";}i:5701;a:1:{i:0;s:64:\"[{site_title}] یک پاسخ جدید در تیکت #{ticket_id}\";}i:5702;a:1:{i:0;s:68:\"[{site_title}] پاسخی جدید به تیکت #{ticket_id} شما\";}i:5703;a:1:{i:0;s:54:\"[{site_title}] یک تیکت پشتیبانی جدید\";}i:5704;a:1:{i:0;s:130:\"‫[{site_title}] یک پاسخ جدید به یک درخواست بازپرداخت یا بازگشت افزوده شده است.\";}i:5705;a:1:{i:0;s:111:\"[{site_title}] به روزرسانی محصول از ({seller_name}) - {product_title} در انتظار است\";}i:5706;a:1:{i:0;s:231:\"[{site_title}] پرداخت خودکار برای {order_number} انجام نشد. از مشتری خواسته شد تا پرداخت را تأیید کند و {retry_time} دوباره به او اطلاع داده می‌شود\";}i:5707;a:1:{i:0;s:77:\"[{site_title}] سفارش مشتری جدید ({order_number}) - {order_date}\";}i:5708;a:1:{i:0;s:44:\"[{site_title}] رمز عبور بروز شد\";}i:5709;a:1:{i:0;s:104:\"[{site_title}] تاییدیه پرداخت برای تمدید سفارش {order_number} لازم است\";}i:5710;a:1:{i:0;s:56:\"[{site_title}] پرداخت حق عضویت اشتراک\";}i:5711;a:1:{i:0;s:106:\"[{site_title}] شناسه سفارش شما #{order_id} توسط {admin_name} به‌روزرسانی شد\";}i:5712;a:1:{i:0;s:95:\"[{site_title}] شناسه سفارش شما #{order_id} توسط {seller_name} به روز شد\";}i:5713;a:1:{i:0;s:16:\"فعالسازی\";}i:5714;a:1:{i:0;s:32:\"اضافه شده در %s قبل\";}i:5715;a:1:{i:0;s:8:\"مدیر\";}i:5716;a:1:{i:0;s:12:\"دوباره\";}i:5717;a:1:{i:0;s:6:\"هیچ\";}i:5718;a:1:{i:0;s:6:\"قبل\";}i:5719;a:1:{i:0;s:38:\"فعال‌/غیرفعال‌ سازی\";}i:5720;a:1:{i:0;s:73:\"و همچنین جزئیات %1$s شما در اینجا آمده است:\";}i:5721;a:1:{i:0;s:17:\"تایید شده\";}i:5722;a:1:{i:0;s:37:\"به صورت پیشفرض موجود\";}i:5723;a:1:{i:0;s:21:\"منتظر تایید\";}i:5724;a:1:{i:0;s:26:\"مبتنی بر برتری\";}i:5725;a:1:{i:0;s:31:\"قبل از تاریخ شروع\";}i:5726;a:1:{i:0;s:39:\"پرفروش‌ترین محصولات.\";}i:5727;a:1:{i:0;s:6:\"لغو\";}i:5728;a:1:{i:0;s:13:\"لغو شده\";}i:5729;a:1:{i:0;s:19:\"بستن موضوع\";}i:5730;a:1:{i:0;s:8:\"بسته\";}i:5731;a:1:{i:0;s:10:\"هزینه\";}i:5732;a:1:{i:0;s:24:\"ایجاد این ماه\";}i:5733;a:1:{i:0;s:12:\"اعتبار\";}i:5734;a:1:{i:0;s:42:\"ایمیل مشتری الزامی است.\";}i:5735;a:1:{i:0;s:38:\"نام مشتری الزامی است.\";}i:5736;a:1:{i:0;s:24:\"داده خالی است\";}i:5737;a:1:{i:0;s:1:\"l\";}i:5738;a:1:{i:0;s:6:\"روز\";}i:5739;a:1:{i:0;s:6:\"روز\";}i:5740;a:1:{i:0;s:8:\"دبیت\";}i:5741;a:1:{i:0;s:6:\"حذف\";}i:5742;a:1:{i:0;s:14:\"غیرفعال\";}i:5743;a:1:{i:0;s:37:\"مثال. بهترین فروشنده\";}i:5744;a:1:{i:0;s:8:\"فعال\";}i:5745;a:1:{i:0;s:142:\"%qty% نتایج در دسترس است، برای پیمایش از کلیدهای پیکان بالا و پایین استفاده کنید.\";}i:5746;a:1:{i:0;s:29:\"بارگذاری ناموفق\";}i:5747;a:1:{i:0;s:46:\"بارگذاری نتایج بیشتر&hellip;\";}i:5748;a:1:{i:0;s:44:\"هیچ مورد منطبقی یافت نشد\";}i:5749;a:1:{i:0;s:97:\"یک نتیجه در دسترس است، برای انتخاب آن Enter را فشار دهید.\";}i:5750;a:1:{i:0;s:50:\"لطفا %qty% کاراکتر را حذف کنید\";}i:5751;a:1:{i:0;s:46:\"لطفا 1 کاراکتر را حذف کنید\";}i:5752;a:1:{i:0;s:68:\"لطفا %qty% کاراکتر یا بیشتر را وارد کنید\";}i:5753;a:1:{i:0;s:60:\"لطفا 1 یا چند کاراکتر را وارد کنید\";}i:5754;a:1:{i:0;s:18:\"جستجو&hellip;\";}i:5755;a:1:{i:0;s:73:\"شما فقط می توانید %qty% مورد را انتخاب کنید\";}i:5756;a:1:{i:0;s:69:\"شما فقط می توانید 1 مورد را انتخاب کنید\";}i:5757;a:1:{i:0;s:142:\"تعداد ارقام را در اینجا وارد کنید - \"6\" را وارد کنید تا 42 بصورت 000042 نمایش داده شود\";}i:5758;a:1:{i:0;s:13:\"مثال 9.90\";}i:5759;a:1:{i:0;s:23:\"نظرات 5 ستاره\";}i:5760;a:1:{i:0;s:4:\"از\";}i:5761;a:1:{i:0;s:37:\"داده های محصول عمومی\";}i:5762;a:1:{i:0;s:3:\"#%s\";}i:5763;a:1:{i:0;s:21:\"بیشتر داشتن\";}i:5764;a:1:{i:0;s:12:\"ارتفاع\";}i:5765;a:1:{i:0;s:17:\"ارتفاع (%s)\";}i:5766;a:1:{i:0;s:7:\"http://\";}i:5767;a:1:{i:0;s:17:\"https://dokan.co/\";}i:5768;a:1:{i:0;s:27:\"https://dokan.co/wordpress/\";}i:5769;a:1:{i:0;s:21:\"https://your-link.com\";}i:5770;a:1:{i:0;s:5:\"iDEAL\";}i:5771;a:1:{i:0;s:238:\"iDEAL یک روش پرداخت مبتنی بر هلند است که به مشتریان اجازه می‌دهد با استفاده از اعتبار بانکی خود، تراکنش‌های آنلاین خود را انجام دهند.\";}i:5772;a:1:{i:0;s:20:\"در دسترس از\";}i:5773;a:1:{i:0;s:8:\"آیتم\";}i:5774;a:1:{i:0;s:6:\"طول\";}i:5775;a:1:{i:0;s:11:\"طول (%s)\";}i:5776;a:1:{i:0;s:17:\"شماره سطح\";}i:5777;a:1:{i:0;s:10:\"دقیقه\";}i:5778;a:1:{i:0;s:5:\"mm/yy\";}i:5779;a:1:{i:0;s:110:\"پارامتر ماژول باید آرایه ای از شناسه ماژول های دکان پرو باشد.\";}i:5780;a:1:{i:0;s:6:\"ماه\";}i:5781;a:1:{i:0;s:6:\"ماه\";}i:5782;a:1:{i:0;s:6:\"هیچ\";}i:5783;a:1:{i:0;s:15:\"بدون نام\";}i:5784;a:1:{i:0;s:41:\"به صورت پیشفرض ناموجود\";}i:5785;a:1:{i:0;s:4:\"در\";}i:5786;a:1:{i:0;s:24:\"در %1$s %2$s از %3$s\";}i:5787;a:1:{i:0;s:31:\"در %1$s %2$sاز هر ماه.\";}i:5788;a:1:{i:0;s:36:\"در %1$s از %2$s از هر ماه\";}i:5789;a:1:{i:0;s:28:\"در %1$s ازهر هفته.\";}i:5790;a:1:{i:0;s:6:\"باز\";}i:5791;a:1:{i:0;s:4:\"یا\";}i:5792;a:1:{i:0;s:167:\"یا پلن های بالاتر و این ماژول را به همراه بسیاری از ویژگی ها و ماژول های پیشرفته تر فعال کنید.\";}i:5793;a:1:{i:0;s:30:\"ترتیب با پارامتر\";}i:5794;a:1:{i:0;s:25:\"پارامتر ترتیب\";}i:5795;a:1:{i:0;s:14:\"سفارشات\";}i:5796;a:1:{i:0;s:6:\"از 5\";}i:5797;a:1:{i:0;s:17:\"در انتظار\";}i:5798;a:1:{i:0;s:4:\"هر\";}i:5799;a:1:{i:0;s:7:\"هر %s\";}i:5800;a:1:{i:0;s:12:\"از&hellip;\";}i:5801;a:1:{i:0;s:24:\"از &hellip; YYYY-MM-DD\";}i:5802;a:1:{i:0;s:13:\"به &hellip;\";}i:5803;a:1:{i:0;s:24:\"تا &hellip; YYYY-MM-DD\";}i:5804;a:1:{i:0;s:19:\"پیش پرداخت\";}i:5805;a:1:{i:0;s:38:\"شناسه محصول خالی است.\";}i:5806;a:1:{i:0;s:14:\"محصولات\";}i:5807;a:1:{i:0;s:28:\"دوباره فعال شده\";}i:5808;a:1:{i:0;s:38:\"بازکردن دوباره موضوع\";}i:5809;a:1:{i:0;s:42:\"تایید ریکپچا انجام نشد!\";}i:5810;a:1:{i:0;s:25:\"فعالسازی مجدد\";}i:5811;a:1:{i:0;s:11:\"رد شده\";}i:5812;a:1:{i:0;s:41:\"درخواست شده توسط مشتری\";}i:5813;a:1:{i:0;s:31:\"بازیابی پیش‌فرض.\";}i:5814;a:1:{i:0;s:38:\"جستجوی دنبال کنندگان\";}i:5815;a:1:{i:0;s:14:\"فروشنده\";}i:5816;a:1:{i:0;s:10:\"جلسات\";}i:5817;a:1:{i:0;s:36:\"هزینه کلاس حمل و نقل\";}i:5818;a:1:{i:0;s:27:\"ثبت نام این ماه\";}i:5819;a:1:{i:0;s:36:\"وضعیت عملیات مربوطه\";}i:5820;a:1:{i:0;s:31:\"پشتیبانی فروشگاه\";}i:5821;a:1:{i:0;s:17:\"مسدود شده\";}i:5822;a:1:{i:0;s:4:\"کل\";}i:5823;a:1:{i:0;s:4:\"تا\";}i:5824;a:1:{i:0;s:111:\"برای کپی کردن تصویر محصولات، محتوا، ویژگی ها، برچسب ها و غیره\";}i:5825;a:1:{i:0;s:146:\"برای استفاده از سال و/یا ماه فاکتور، به ترتیب از [invoice_year] یا [invoice_month] استفاده کنید\";}i:5826;a:1:{i:0;s:14:\"آزمایشی\";}i:5827;a:1:{i:0;s:4:\"GTIN\";}i:5828;a:1:{i:0;s:328:\"شناسه ای که اجازه می دهد محصولات شما در سراسر جهان شناسایی شوند. اگر می‌خواهید نظرات محصولات فروشگاه‌های معتمد خود را در Google Shopping و تبلیغات پولی Google نمایش دهید، Google به GTIN نیاز دارد.\";}i:5829;a:1:{i:0;s:230:\"اگر GTIN برای محصولات خود ندارید، می‌توانید نام تجاری و MPN را به گوگل منتقل کنید تا از فروشگاه‌های معتمد Google Integration استفاده کنید.\";}i:5830;a:1:{i:0;s:3:\"MPN\";}i:5831;a:1:{i:0;s:16:\"ناشناخته\";}i:5832;a:1:{i:0;s:14:\"نامحدود\";}i:5833;a:1:{i:0;s:19:\"نام کاربری\";}i:5834;a:1:{i:0;s:14:\"کاربران\";}i:5835;a:1:{i:0;s:26:\"متغیر اضافه شد\";}i:5836;a:1:{i:0;s:31:\"متغیر ها اضافه شد\";}i:5837;a:1:{i:0;s:19:\"سفارش والد\";}i:5838;a:1:{i:0;s:21:\"سفارش تمدید\";}i:5839;a:1:{i:0;s:38:\"فیلد vendor_id الزامی است\";}i:5840;a:1:{i:0;s:50:\"پارامتر فروشندگان خالی است.\";}i:5841;a:1:{i:0;s:4:\"با\";}i:5842;a:1:{i:0;s:26:\"منتظر بمانید...\";}i:5843;a:1:{i:0;s:6:\"weDevs\";}i:5844;a:1:{i:0;s:8:\"هفته\";}i:5845;a:1:{i:0;s:8:\"هفته\";}i:5846;a:1:{i:0;s:11:\"وزن (%s)\";}i:5847;a:1:{i:0;s:6:\"عرض\";}i:5848;a:1:{i:0;s:11:\"عرض (%s)\";}i:5849;a:1:{i:0;s:6:\"سال\";}i:5850;a:1:{i:0;s:6:\"سال\";}i:5851;a:1:{i:0;s:36:\"{product_title} لغو شده است\";}i:5852;a:1:{i:0;s:70:\"{product_title} توسط فروشنده {seller_name} به روز شد\";}i:5853;a:1:{i:0;s:19:\"{set_email_subject}\";}i:5854;a:1:{i:0;s:23:\"— بدون تغییر\";}i:5855;a:1:{i:0;s:27:\"— بدون تغییر —\";}i:5856;a:1:{i:0;s:64:\"“%s” به مظنه دکان شما اضافه شده است.\";}i:5857;a:1:{i:0;s:47:\"\"%s\" از سبد مظنه حذف شده است.\";}}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34339", "_transient_timeout_eb949740a6e6ee28e9f7f7b43f20ef1c", "1716891150", "no");
INSERT INTO `wp_sa_options` VALUES("34340", "_transient_eb949740a6e6ee28e9f7f7b43f20ef1c", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"20\" viewBox=\"0 0 20 20\" fill=\"none\"><path d=\"M8.33341 14.1251H5.17508C2.36675 14.1251 1.66675 13.4251 1.66675 10.6167V5.61673C1.66675 2.8084 2.36675 2.1084 5.17508 2.1084H13.9501C16.7584 2.1084 17.4584 2.8084 17.4584 5.61673\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M8.33325 17.8917V14.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M1.66675 10.7917H8.33341\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.6167 17.8916H8.33337\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M18.3333 10.6666V15.425C18.3333 17.4 17.8417 17.8916 15.8667 17.8916H12.9083C10.9333 17.8916 10.4417 17.4 10.4417 15.425V10.6666C10.4417 8.69162 10.9333 8.19995 12.9083 8.19995H15.8667C17.8417 8.19995 18.3333 8.69162 18.3333 10.6666Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.3703 15.2084H14.3778\" stroke=\"#595959\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34341", "_transient_timeout_2a864b5758e5d8384140154e6263d730", "1716891150", "no");
INSERT INTO `wp_sa_options` VALUES("34342", "_transient_2a864b5758e5d8384140154e6263d730", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M4.34246 11.0175H13.6575C14.9025 11.0175 15.6525 10.035 15.33 8.835L13.68 2.7825C13.485 2.0775 12.7275 1.5 12.0075 1.5H5.99246C5.27246 1.5 4.51496 2.0775 4.32746 2.775L2.67746 8.8275C2.34746 10.035 3.09746 11.0175 4.34246 11.0175Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 11.25V16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6 16.5H12\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34343", "_transient_timeout_96196b03a15028930561a875c5b0b9e2", "1716891151", "no");
INSERT INTO `wp_sa_options` VALUES("34344", "_transient_96196b03a15028930561a875c5b0b9e2", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M10.9124 1.5H7.0874C5.7374 1.5 5.43741 2.17501 5.26491 3.00751L4.6499 5.94749H13.3499L12.7349 3.00751C12.5624 2.17501 12.2624 1.5 10.9124 1.5Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.4299 10.74C14.4899 11.3775 13.9799 11.925 13.3274 11.925H12.3074C11.7224 11.925 11.6399 11.6775 11.5349 11.3625L11.4224 11.0399C11.2724 10.5974 11.1749 10.2974 10.3874 10.2974H7.60492C6.82492 10.2974 6.70491 10.6349 6.56991 11.0399L6.45742 11.3625C6.35242 11.67 6.26992 11.925 5.68492 11.925H4.66492C4.01242 11.925 3.50242 11.3775 3.56242 10.74L3.86992 7.42497C3.94492 6.60747 4.10241 5.93994 5.52741 5.93994H12.4649C13.8899 5.93994 14.0474 6.60747 14.1224 7.42497L14.4299 10.74Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M4.65004 4.3125H4.10254\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M13.8974 4.3125H13.3499\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.7373 8.12256H7.36481\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M10.635 8.12256H12.2625\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 12.75V13.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 15.75V16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M2.25 13.5L1.5 16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.75 13.5L16.5 16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34345", "_transient_timeout_6984bfcfc75d1507ece01f5075ea5fc9", "1716891151", "no");
INSERT INTO `wp_sa_options` VALUES("34346", "_transient_6984bfcfc75d1507ece01f5075ea5fc9", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M16.5 12.555V3.50252C16.5 2.60252 15.765 1.93502 14.8725 2.01002H14.8275C13.2525 2.14502 10.86 2.94752 9.525 3.78752L9.3975 3.87002C9.18 4.00502 8.82 4.00502 8.6025 3.87002L8.415 3.75752C7.08 2.92502 4.695 2.13002 3.12 2.00252C2.2275 1.92752 1.5 2.60252 1.5 3.49502V12.555C1.5 13.275 2.085 13.95 2.805 14.04L3.0225 14.07C4.65 14.2875 7.1625 15.1125 8.6025 15.9L8.6325 15.915C8.835 16.0275 9.1575 16.0275 9.3525 15.915C10.7925 15.12 13.3125 14.2875 14.9475 14.07L15.195 14.04C15.915 13.95 16.5 13.275 16.5 12.555Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 4.11743V15.3674\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.8125 6.36743H4.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.375 8.61743H4.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34347", "_transient_timeout_abaf4ee8e7fb2418fc1e0b0319089907", "1716891151", "no");
INSERT INTO `wp_sa_options` VALUES("34348", "_transient_abaf4ee8e7fb2418fc1e0b0319089907", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M2.62508 15.3751C3.24758 15.9976 4.25258 15.9976 4.87508 15.3751L14.6251 5.62508C15.2476 5.00258 15.2476 3.99758 14.6251 3.37508C14.0026 2.75258 12.9976 2.75258 12.3751 3.37508L2.62508 13.1251C2.00258 13.7476 2.00258 14.7526 2.62508 15.3751Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M13.5076 6.74243L11.2576 4.49243\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.375 1.83L7.5 1.5L7.17 2.625L7.5 3.75L6.375 3.42L5.25 3.75L5.58 2.625L5.25 1.5L6.375 1.83Z\" stroke=\"#595959\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M3.375 6.33L4.5 6L4.17 7.125L4.5 8.25L3.375 7.92L2.25 8.25L2.58 7.125L2.25 6L3.375 6.33Z\" stroke=\"#595959\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.625 10.08L15.75 9.75L15.42 10.875L15.75 12L14.625 11.67L13.5 12L13.83 10.875L13.5 9.75L14.625 10.08Z\" stroke=\"#595959\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34349", "_transient_jetpack_autoloader_plugin_paths", "a:1:{i:0;s:29:\"{{WP_PLUGIN_DIR}}/woocommerce\";}", "yes");
INSERT INTO `wp_sa_options` VALUES("34350", "_transient_timeout_4059d3d1ba41100fa8dceeb5ec11e683", "1716891151", "no");
INSERT INTO `wp_sa_options` VALUES("34351", "_transient_4059d3d1ba41100fa8dceeb5ec11e683", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M15.75 5.25V12.75C15.75 15 14.625 16.5 12 16.5H6C3.375 16.5 2.25 15 2.25 12.75V5.25C2.25 3 3.375 1.5 6 1.5H12C14.625 1.5 15.75 3 15.75 5.25Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.1875 8.25H5.8125C5.0925 8.25 4.5 7.6575 4.5 6.9375V5.0625C4.5 4.3425 5.0925 3.75 5.8125 3.75H12.1875C12.9075 3.75 13.5 4.3425 13.5 5.0625V6.9375C13.5 7.6575 12.9075 8.25 12.1875 8.25Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M7.72499 11.46L6 13.185\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.02246 11.4824L7.74745 13.2074\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.3674 11.4976H12.3824\" stroke=\"#595959\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M10.8674 13.1249V13.1099\" stroke=\"#595959\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34352", "_transient_timeout_14bbd4cfb66546b25b6be41f84d41feb", "1716891151", "no");
INSERT INTO `wp_sa_options` VALUES("34353", "_transient_14bbd4cfb66546b25b6be41f84d41feb", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M12.885 13.5C14.685 13.5 15.135 12.4875 15.135 11.25V6.75C15.135 5.5125 14.685 4.5 12.885 4.5C11.085 4.5 10.635 5.5125 10.635 6.75V11.25C10.635 12.4875 11.085 13.5 12.885 13.5Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.11499 13.5C3.31499 13.5 2.86499 12.4875 2.86499 11.25V6.75C2.86499 5.5125 3.31499 4.5 5.11499 4.5C6.91499 4.5 7.36499 5.5125 7.36499 6.75V11.25C7.36499 12.4875 6.91499 13.5 5.11499 13.5Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M7.36499 9H10.635\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M16.875 10.875V7.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M1.125 10.875V7.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34354", "_transient_timeout_5908f6a82a1d012470a891a2caad192b", "1716891151", "no");
INSERT INTO `wp_sa_options` VALUES("34355", "_transient_5908f6a82a1d012470a891a2caad192b", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><g clip-path=\"url(#clip0_24_1788)\"><path d=\"M7.125 14.625V13.5H3.375C2.9625 13.5 2.5875 13.335 2.3175 13.0575C2.04 12.7875 1.875 12.4125 1.875 12C1.875 11.2275 2.475 10.5825 3.2325 10.5075C3.2775 10.5 3.3225 10.5 3.375 10.5H14.625C14.6775 10.5 14.7225 10.5 14.7675 10.5075C15.1275 10.5375 15.4425 10.695 15.6825 10.9425C15.99 11.2425 16.155 11.67 16.1175 12.135C16.05 12.9225 15.3375 13.5 14.5425 13.5H10.875V14.625C10.875 15.66 10.035 16.5 9 16.5C7.965 16.5 7.125 15.66 7.125 14.625Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.1276 3.975L14.7676 10.5075C14.7226 10.5 14.6776 10.5 14.6251 10.5H3.37512C3.32262 10.5 3.27762 10.5 3.23262 10.5075L2.87262 3.975C2.73762 2.6475 3.78012 1.5 5.10762 1.5H12.8926C14.2201 1.5 15.2626 2.6475 15.1276 3.975Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.99243 1.5V5.25\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 1.5V3\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></g><defs><clipPath id=\"clip0_24_1788\"><rect width=\"18\" height=\"18\" fill=\"white\"></rect></clipPath></defs></svg>", "no");
INSERT INTO `wp_sa_options` VALUES("34356", "_transient_timeout_wc_products_onsale", "1719396750", "no");
INSERT INTO `wp_sa_options` VALUES("34357", "_transient_wc_products_onsale", "a:12:{i:0;i:100;i:1;i:104;i:2;i:108;i:3;i:111;i:4;i:120;i:5;i:126;i:6;i:134;i:7;i:142;i:8;i:1177;i:9;i:1197;i:10;i:1867;i:11;i:138;}", "no");
INSERT INTO `wp_sa_options` VALUES("34358", "_transient_product-transient-version", "1716804750", "yes");
INSERT INTO `wp_sa_options` VALUES("34359", "_transient_timeout_wc_product_children_138", "1719396750", "no");
INSERT INTO `wp_sa_options` VALUES("34360", "_transient_wc_product_children_138", "a:2:{s:3:\"all\";a:2:{i:0;i:1866;i:1;i:1867;}s:7:\"visible\";a:2:{i:0;i:1866;i:1;i:1867;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34361", "_transient_timeout_wc_var_prices_138", "1719396750", "no");
INSERT INTO `wp_sa_options` VALUES("34362", "_transient_wc_var_prices_138", "{\"version\":\"1716804750\",\"f9e544f77b7eac7add281ef28ca5559f\":{\"price\":{\"1866\":\"50000\",\"1867\":\"100000\"},\"regular_price\":{\"1866\":\"50000\",\"1867\":\"250000\"},\"sale_price\":{\"1866\":\"50000\",\"1867\":\"100000\"}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34365", "_transient_timeout_wc_term_counts", "1719396751", "no");
INSERT INTO `wp_sa_options` VALUES("34366", "_transient_wc_term_counts", "a:9:{i:15;s:1:\"1\";i:17;s:1:\"1\";i:18;s:1:\"8\";i:19;s:1:\"1\";i:20;s:1:\"1\";i:21;s:1:\"9\";i:22;s:1:\"2\";i:23;s:1:\"1\";i:24;s:1:\"1\";}", "no");
INSERT INTO `wp_sa_options` VALUES("34367", "_site_transient_timeout_jet_dashboard_license_expire_check", "1716847952", "no");
INSERT INTO `wp_sa_options` VALUES("34368", "_site_transient_jet_dashboard_license_expire_check", "true", "no");
INSERT INTO `wp_sa_options` VALUES("34369", "_transient_wc_count_comments", "O:8:\"stdClass\":7:{s:14:\"total_comments\";i:0;s:3:\"all\";i:0;s:9:\"moderated\";i:0;s:8:\"approved\";i:0;s:4:\"spam\";i:0;s:5:\"trash\";i:0;s:12:\"post-trashed\";i:0;}", "yes");
INSERT INTO `wp_sa_options` VALUES("34370", "_transient_timeout_wcpay_incentive_store_has_orders", "1716826352", "no");
INSERT INTO `wp_sa_options` VALUES("34371", "_transient_wcpay_incentive_store_has_orders", "no", "no");
INSERT INTO `wp_sa_options` VALUES("34372", "_transient_timeout_wcpay_welcome_page_incentive", "1716891152", "no");
INSERT INTO `wp_sa_options` VALUES("34373", "_transient_wcpay_welcome_page_incentive", "a:3:{s:9:\"incentive\";a:0:{}s:12:\"context_hash\";s:32:\"f305daeea9d05231041e20767a746fcb\";s:9:\"timestamp\";i:1716804752;}", "no");
INSERT INTO `wp_sa_options` VALUES("34374", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.5.3.zip\";s:6:\"locale\";s:5:\"fa_IR\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.5.3.zip\";s:10:\"no_content\";s:0:\"\";s:11:\"new_bundled\";s:0:\"\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.5.3\";s:7:\"version\";s:5:\"6.5.3\";s:11:\"php_version\";s:5:\"7.0.0\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.4\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1716804752;s:15:\"version_checked\";s:5:\"6.5.3\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_sa_options` VALUES("34377", "_transient_timeout__woocommerce_helper_subscriptions", "1716805652", "no");
INSERT INTO `wp_sa_options` VALUES("34378", "_transient__woocommerce_helper_subscriptions", "a:0:{}", "no");
INSERT INTO `wp_sa_options` VALUES("34379", "_site_transient_timeout_theme_roots", "1716806552", "no");
INSERT INTO `wp_sa_options` VALUES("34380", "_site_transient_theme_roots", "a:1:{s:15:\"hello-elementor\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_sa_options` VALUES("34381", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1716804778;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:5:{s:31:\"code-snippets/code-snippets.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:27:\"w.org/plugins/code-snippets\";s:4:\"slug\";s:13:\"code-snippets\";s:6:\"plugin\";s:31:\"code-snippets/code-snippets.php\";s:11:\"new_version\";s:5:\"3.6.4\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/code-snippets/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/code-snippets.3.6.4.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:58:\"https://ps.w.org/code-snippets/assets/icon.svg?rev=2148878\";s:3:\"svg\";s:58:\"https://ps.w.org/code-snippets/assets/icon.svg?rev=2148878\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/code-snippets/assets/banner-1544x500.png?rev=2260997\";s:2:\"1x\";s:68:\"https://ps.w.org/code-snippets/assets/banner-772x250.png?rev=2256244\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.0\";}s:20:\"dokan-lite/dokan.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/dokan-lite\";s:4:\"slug\";s:10:\"dokan-lite\";s:6:\"plugin\";s:20:\"dokan-lite/dokan.php\";s:11:\"new_version\";s:6:\"3.11.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/dokan-lite/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.11.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/dokan-lite/assets/icon-256x256.gif?rev=3089959\";s:2:\"1x\";s:63:\"https://ps.w.org/dokan-lite/assets/icon-128x128.gif?rev=3089959\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/dokan-lite/assets/banner-1544x500.png?rev=1628889\";s:2:\"1x\";s:65:\"https://ps.w.org/dokan-lite/assets/banner-772x250.png?rev=1628889\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.4\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"1.5.9\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.1.5.9.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.9\";}s:23:\"elementor/elementor.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:6:\"3.21.8\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/elementor.3.21.8.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=3005087\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=3005087\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:27:\"woocommerce/woocommerce.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:6:\"plugin\";s:27:\"woocommerce/woocommerce.php\";s:11:\"new_version\";s:5:\"8.9.1\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/woocommerce/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.9.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/woocommerce/assets/icon-256x256.gif?rev=2869506\";s:2:\"1x\";s:64:\"https://ps.w.org/woocommerce/assets/icon-128x128.gif?rev=2869506\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/woocommerce/assets/banner-1544x500.png?rev=3000842\";s:2:\"1x\";s:66:\"https://ps.w.org/woocommerce/assets/banner-772x250.png?rev=3000842\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.4\";}}s:7:\"checked\";a:13:{s:31:\"code-snippets/code-snippets.php\";s:5:\"3.6.4\";s:20:\"dokan-lite/dokan.php\";s:6:\"3.11.1\";s:23:\"dokan-pro/dokan-pro.php\";s:6:\"3.11.0\";s:25:\"duplicator/duplicator.php\";s:5:\"1.5.9\";s:23:\"elementor/elementor.php\";s:6:\"3.21.8\";s:31:\"elementor-pro/elementor-pro.php\";s:6:\"3.21.0\";s:25:\"jet-engine/jet-engine.php\";s:5:\"3.4.5\";s:21:\"jet-menu/jet-menu.php\";s:5:\"2.4.4\";s:24:\"jet-plugin-pro/index.php\";s:5:\"1.5.1\";s:39:\"jet-smart-filters/jet-smart-filters.php\";s:5:\"3.2.6\";s:35:\"jet-woo-builder/jet-woo-builder.php\";s:6:\"2.1.12\";s:27:\"woocommerce/woocommerce.php\";s:5:\"8.9.1\";s:23:\"wp-rocket/wp-rocket.php\";s:6:\"3.15.5\";}}", "no");
INSERT INTO `wp_sa_options` VALUES("34383", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1716804753;s:7:\"checked\";a:1:{s:15:\"hello-elementor\";s:5:\"3.0.0\";}s:8:\"response\";a:1:{s:15:\"hello-elementor\";a:6:{s:5:\"theme\";s:15:\"hello-elementor\";s:11:\"new_version\";s:5:\"3.0.1\";s:3:\"url\";s:45:\"https://wordpress.org/themes/hello-elementor/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/hello-elementor.3.0.1.zip\";s:8:\"requires\";s:3:\"6.0\";s:12:\"requires_php\";s:3:\"7.3\";}}s:9:\"no_update\";a:0:{}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_sa_options` VALUES("34384", "_transient_timeout_rocket_mod_pagespeed_enabled", "1716891153", "no");
INSERT INTO `wp_sa_options` VALUES("34385", "_transient_rocket_mod_pagespeed_enabled", "0", "no");
INSERT INTO `wp_sa_options` VALUES("34388", "_transient_timeout_elementor_remote_info_api_data_3.21.8", "1716847954", "no");
INSERT INTO `wp_sa_options` VALUES("34389", "_transient_elementor_remote_info_api_data_3.21.8", "a:4:{s:9:\"timestamp\";s:10:\"1716804387\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:75:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:9:\"mega-menu\";s:5:\"title\";s:4:\"Menu\";s:4:\"icon\";s:15:\"eicon-mega-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:9:\"loop-grid\";s:5:\"title\";s:9:\"Loop Grid\";s:4:\"icon\";s:18:\"eicon-loop-builder\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:5;a:4:{s:4:\"name\";s:13:\"loop-carousel\";s:5:\"title\";s:13:\"Loop Carousel\";s:4:\"icon\";s:19:\"eicon-carousel-loop\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:6;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:15:\"nested-carousel\";s:5:\"title\";s:8:\"Carousel\";s:4:\"icon\";s:21:\"eicon-nested-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:16;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:19;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:20;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:21;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:22;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:23;a:4:{s:4:\"name\";s:13:\"stripe-button\";s:5:\"title\";s:13:\"Stripe Button\";s:4:\"icon\";s:19:\"eicon-stripe-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:24;a:4:{s:4:\"name\";s:16:\"progress-tracker\";s:5:\"title\";s:16:\"Progress Tracker\";s:4:\"icon\";s:22:\"eicon-progress-tracker\";s:10:\"categories\";s:40:\"[\"pro-elements\",\"theme-elements-single\"]\";}i:25;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:26;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:27;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:28;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:29;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:30;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:31;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:32;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:33;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:34;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:35;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:36;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:37;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:38;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:39;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:40;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:41;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:42;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:43;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:44;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:45;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:46;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:47;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:48;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:49;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:50;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:51;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:52;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:53;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:54;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:55;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:56;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:57;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:58;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:59;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:60;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:61;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:62;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:63;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:64;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:65;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:66;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:67;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:68;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:69;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:70;a:4:{s:4:\"name\";s:25:\"woocommerce-checkout-page\";s:5:\"title\";s:8:\"Checkout\";s:4:\"icon\";s:14:\"eicon-checkout\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:71;a:4:{s:4:\"name\";s:16:\"woocommerce-cart\";s:5:\"title\";s:4:\"Cart\";s:4:\"icon\";s:14:\"eicon-woo-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:72;a:4:{s:4:\"name\";s:22:\"woocommerce-my-account\";s:5:\"title\";s:10:\"My Account\";s:4:\"icon\";s:16:\"eicon-my-account\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:73;a:4:{s:4:\"name\";s:28:\"woocommerce-purchase-summary\";s:5:\"title\";s:16:\"Purchase Summary\";s:4:\"icon\";s:22:\"eicon-purchase-summary\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:74;a:4:{s:4:\"name\";s:19:\"woocommerce-notices\";s:5:\"title\";s:19:\"WooCommerce Notices\";s:4:\"icon\";s:25:\"eicon-woocommerce-notices\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"6.5.3\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34392", "_transient_timeout_wc_tracks_blog_details", "1716891154", "no");
INSERT INTO `wp_sa_options` VALUES("34393", "_transient_wc_tracks_blog_details", "a:6:{s:3:\"url\";s:31:\"https://halochin.ir/multivendor\";s:9:\"blog_lang\";s:5:\"fa_IR\";s:7:\"blog_id\";b:0;s:8:\"store_id\";s:36:\"7d9e360a-218c-4bc4-8f23-22a48b82d905\";s:14:\"products_count\";s:2:\"23\";s:10:\"wc_version\";s:5:\"8.9.1\";}", "no");
INSERT INTO `wp_sa_options` VALUES("34394", "_transient_timeout_dokan_promo_notices", "1716891169", "no");
INSERT INTO `wp_sa_options` VALUES("34395", "_transient_dokan_promo_notices", "[{\"key\":\"FlashSaleJan-2024\",\"start_date\":\"2024-01-29 09:00:00 EST\",\"end_date\":\"2024-01-31 09:00:00 EST\",\"title\":\"48-Hour Flash Sale Alert!\",\"content\":\"Unlock massive discounts of up to 35% off Dokan\\u2019s premium modules! Don\\u2019t miss out on this limited-time opportunity to save big. Act fast before it\\u2019s gone!\",\"action_url\":\"https:\\/\\/dokan.co\\/wordpress\\/pricing\\/?utm_campaign=FlashSale&utm_medium=WP-Dashboard&utm_source=WP-Dashboard\",\"action_title\":\"Grab Your Deal \\u2192\",\"lite_only\":1}]", "no");
INSERT INTO `wp_sa_options` VALUES("34396", "_site_transient_timeout_wp_plugin_dependencies_plugin_timeout_woocommerce", "1716847979", "no");
INSERT INTO `wp_sa_options` VALUES("34397", "_site_transient_wp_plugin_dependencies_plugin_timeout_woocommerce", "1", "no");
INSERT INTO `wp_sa_options` VALUES("34398", "_site_transient_wp_plugin_dependencies_plugin_data", "a:2:{s:10:\"dokan-lite\";a:35:{s:4:\"name\";s:207:\"دکان &#8211; بهترین راه حل برای ایجاد مارکت‌پلیس چندفروشنده در ووکامرس &#8211; آمازون، ای‌بِی یا اتسی خودتان را بسازید.\";s:4:\"slug\";s:10:\"dokan-lite\";s:7:\"version\";s:6:\"3.11.1\";s:6:\"author\";s:38:\"<a href=\"https://dokan.co/\">weDevs</a>\";s:14:\"author_profile\";s:38:\"https://profiles.wordpress.org/wedevs/\";s:12:\"contributors\";a:3:{s:9:\"tareq1988\";a:3:{s:7:\"profile\";s:41:\"https://profiles.wordpress.org/tareq1988/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/8584491809f902b86fae495a5830be83?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Tareq Hasan\";}s:6:\"wedevs\";a:3:{s:7:\"profile\";s:38:\"https://profiles.wordpress.org/wedevs/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/42e01643c47efcfb65a8b1616704ca04?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:6:\"weDevs\";}s:14:\"nizamuddinbabu\";a:3:{s:7:\"profile\";s:46:\"https://profiles.wordpress.org/nizamuddinbabu/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/b6018868e8b1f67c865e71ea212b9f96?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Nizam Uddin\";}}s:8:\"requires\";s:3:\"6.4\";s:6:\"tested\";s:5:\"6.5.3\";s:12:\"requires_php\";s:3:\"7.4\";s:16:\"requires_plugins\";a:1:{i:0;s:11:\"woocommerce\";}s:6:\"rating\";i:92;s:7:\"ratings\";a:5:{i:5;i:607;i:4;i:17;i:3;i:9;i:2;i:15;i:1;i:53;}s:11:\"num_ratings\";i:701;s:11:\"support_url\";s:48:\"https://wordpress.org/support/plugin/dokan-lite/\";s:15:\"support_threads\";i:57;s:24:\"support_threads_resolved\";i:49;s:15:\"active_installs\";i:50000;s:12:\"last_updated\";s:21:\"2024-05-16 7:56am GMT\";s:5:\"added\";s:10:\"2015-01-24\";s:8:\"homepage\";s:27:\"https://dokan.co/wordpress/\";s:8:\"sections\";a:6:{s:11:\"description\";s:29364:\"<h4>THE BEST MULTIVENDOR MARKETPLACE PLUGIN FOR WORDPRESS – POWERED BY WOOCOMMERCE</h4>\n<p><a href=\"https://dokan.co/wordpress/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan</a> is the best frontend multivendor marketplace plugin for WordPress, powered by WooCommerce. It helps you build your own multivendor marketplace similar to Amazon, Shopify, eBay, and Magento in under 30 minutes.</p>\n<p>Moreover, Plus, with Dokan, you don&#8217;t need any coding skills to create a thriving WooCommerce multivendor marketplace. Trusted by over 60,000 entrepreneurs globally for more than a decade, Dokan makes multivendor marketplace setup effortless and accessible to all.<br />\nDokan is the fastest way to launch an eCommerce business and earn through commissions for products ranging from digital and physical to variable products.</p>\n<p>Hear what reputed WordPress influencer and online business strategist, Darrel Wilson, has to say about Dokan Multivendor Marketplace.</p>\n<span class=\"embed-youtube\" style=\"text-align:center; display: block;\"><iframe loading=\"lazy\" class=\"youtube-player\" width=\"750\" height=\"422\" src=\"https://www.youtube.com/embed/nDAxNypVxdw?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=fa-IR&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe></span>\n<p>👉 <strong>Official Free Demo Link:</strong> Try out multiple <a href=\"https://dokan.co/wordpress/demo/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan Demo sites</a></p>\n<p>👉 <strong>Learn More About Dokan (PRO):</strong> <a href=\"https://dokan.co/wordpress/features/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">All The Features of Dokan</a></p>\n<p>👉 Check out the <strong>comprehensive customer <a href=\"https://dokan.co/wordpress/dokan-mobile-app/\" rel=\"nofollow ugc\">Dokan Mobile App</a></strong> to enhance your Dokan marketplace shopping experience.</p>\n<p>👉 <strong>Easy Delivery Management with <a href=\"https://dokan.co/wordpress/delivery-driver-app/\" rel=\"nofollow ugc\">Dokan Delivery Driver App</a></strong> (Pro) with real-time order tracking, live timeline updates, and an asynchronous system between admin, vendors, customers, and delivery drivers.</p>\n<p>👉 <strong>Confused about how to get started?</strong> Read our blogs from <a href=\"https://wedevs.com/blog/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">weDevs</a> and <a href=\"https://dokan.co/blog/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan</a></p>\n<p>Here is how you can build your multivendor marketplace with Dokan.</p>\n<span class=\"embed-youtube\" style=\"text-align:center; display: block;\"><iframe loading=\"lazy\" class=\"youtube-player\" width=\"750\" height=\"422\" src=\"https://www.youtube.com/embed/_Vv5T7qqhoE?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=fa-IR&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe></span>\n<h4>PLACES WHERE DOKAN HAS BEEN FEATURED</h4>\n<p>🏆 <a href=\"https://www.cloudways.com/blog/dokan-woocommerce-marketplace-plugin-review/\" rel=\"nofollow ugc\">Dokan Multivendor Marketplace featured by Cloudways</a></p>\n<p>🏆 <a href=\"https://wpastra.com/guides-and-tutorials/create-online-marketplace/\" rel=\"nofollow ugc\">Dokan for WooCommerce Multivendor Marketplace featured by Astra Themes</a></p>\n<p>🏆 <a href=\"https://www.templatemonster.com/awards/category/woocommerce-plugins/\" rel=\"nofollow ugc\">Dokan wins the Best Plugin in the Temple Monster Award 2023 for WooCommerce through public voting</a></p>\n<p>🏆 <a href=\"https://reviews.financesonline.com/p/dokan\" rel=\"nofollow ugc\">Dokan wins two prestigious awards with 99% user satisfaction</a></p>\n<p>🏆 <a href=\"https://learnwoo.com/wordpress-marketplace/\" rel=\"nofollow ugc\">How to Setup a WordPress Marketplace with Multiple Vendors</a></p>\n<p>🏆 <a href=\"https://youtu.be/_Vv5T7qqhoE\" rel=\"nofollow ugc\">How to create a Multi-Vendor Marketplace for WordPress using Dokan</a></p>\n<p>🏆 <a href=\"https://wpmayor.com/dokan-theme-review-multi-vendor-marketplace-theme-wordpress/\" rel=\"nofollow ugc\">Dokan Theme Review: A Multi-Vendor Marketplace Theme for WordPress</a></p>\n<h4>DOKAN WAS FEATURED IN CAPTERRA WITH MULTIPLE POSITIVE REVIEWS</h4>\n<p>👏 “Great Platform to start and grow your business with. Provides the ability to grow our startup to a global level with a low financial burden.”</p>\n<p>👏 “Dokan is a product with a huge potential. And has evolved during the last years. We have implemented a stable marketplace environment serving hundreds of satisfied customers using this tool.”</p>\n<p>👏 “Dokan is the most complete multivendor plugin/product one can ever found.”</p>\n<p>👏 “I have been using Dokan for 3 years. Overall experiences with the software are awesome!”</p>\n<p>👏 “Best investment we made last year.”</p>\n<p>👏 “[Excellent product. Ease of use. Saved hundreds of work hours with lots of additional benefits] (https://www.capterra.com/p/168004/Dokan-Multivendor-Marketplace/reviews/543139/)”</p>\n<h4>SUCCESS STORIES WE ARE PROUD TO BE A PART OF</h4>\n<p>✌️ “<a href=\"https://wedevs.com/blog/173305/a-success-story-of-a-healthcare-marketplace/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan is a solution for us to provide a fully automized shop-in-shop-system with a very helpful commission-calculation and reports to do all financial details with the vendors</a>.” – Bernd Payer, Founder <a href=\"https://www.joshi.at/\" rel=\"nofollow ugc\">JOSHi</a></p>\n<p>✌️ “<a href=\"https://wedevs.com/blog/89525/dokan-customer-dream-multivendor-marketplace/\" rel=\"nofollow ugc\">The functionality delivers everything that you need to grow your marketplace</a>.” – <a href=\"https://hawkandpeddle.co.uk/\" rel=\"nofollow ugc\">Hawk and Peddle </a></p>\n<span class=\"embed-youtube\" style=\"text-align:center; display: block;\"><iframe loading=\"lazy\" class=\"youtube-player\" width=\"750\" height=\"422\" src=\"https://www.youtube.com/embed/4id-EwbfUko?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=fa-IR&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe></span>\n<h4>THE BEST FRONTEND USER INTERFACE</h4>\n<p>To provide a comprehensive frontend experience, every vendor has a <a href=\"https://dokan.co/wordpress/features/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">personalized customizable dashboard</a> on the store frontend. They can easily navigate and control every aspect of their marketplace from there. Backend access is restricted to only the admin, which sets Dokan apart from other marketplace plugins. However, all Dokan <a href=\"https://dokan.co/wordpress/modules/\" rel=\"nofollow ugc\">modules</a> are frontend compatible so that both the admin and vendors can enjoy the benefits and advanced features of Dokan.</p>\n<p>Dokan (Pro) comes with a free, fully responsive eCommerce theme &#8211; <a href=\"https://dokan.co/wordpress/dokani-theme/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokani</a> with special widgets to ensure you can customize the theme however you like.</p>\n<p>Dokan is also compatible with the <a href=\"https://dokan.co/wordpress/otel-theme/\" rel=\"nofollow ugc\">Otel theme</a>, a customizable and fully responsive WordPress theme for any hotel booking management site.</p>\n<h4>IT’S FAST AND EASY TO USE</h4>\n<p>With Dokan, experience a smooth, fast setup process in under an hour and have your WooCommerce multivendor marketplace running within a day. It perfectly matches your expectations and is designed with intuitive practices from eCommerce leaders like WooCommerce and others.</p>\n<h4>A RELIABLE GROWING PLATFORM &amp; COMMUNITY</h4>\n<p>We continuously update Dokan with reliable services for flawless operation, staying ahead of industry trends and introducing new features with each update.</p>\n<p>See Our Official GitHub page: <a href=\"https://github.com/weDevsOfficial/dokan/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Official Dokan GitHub</a></p>\n<h4>A SCALABLE MARKET</h4>\n<p>Dokan Multivendor Marketplace plugin allows you to have an unlimited number of vendors on any marketplace, each with the ability to create an unlimited number of products. Create marketplaces that offer –<br />\n* Physical products<br />\n* Downloadable products<br />\n* Variable products<br />\n* Bookable products through the <a href=\"https://dokan.co/wordpress/modules/woocommerce-booking-integration/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan WC Bookings Integration</a><br />\n* Auction products through the <a href=\"https://dokan.co/wordpress/modules/dokan-simple-auctions/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan Simple Auction Integration</a></p>\n<h4>EARN IN MULTIPLE WAYS</h4>\n<p>Profit doesn’t only rely on sales. Dokan offers multiple ways to earn money, including vendor commissions and product-based commissions. You can also create subscription packs that allow you to charge for product uploads, product category selection, and time period restrictions.</p>\n<h4>PUTS YOU IN CONTROL</h4>\n<p>Dokan empowers admins with full control over marketplace operations, including product publishing, vendor registration, subscription renewal, and all other vendor activities.</p>\n<p>In the <a href=\"https://dokan.co/wordpress/pricing/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Pro Version</a>, there are additional stunning features, updates, and scope for powerful modules to provide more admin power and control while improving the marketplace functionality.</p>\n<h4>DYNAMIC SETTINGS FOR SHIPPING CONDITIONS</h4>\n<p>Admin can extend flexibility to individual vendors to take control over their shipping methods based on various conditions, such as setting multiple rates, tracking shipments with available integrations, and much more.</p>\n<ul>\n<li>\n<p><a href=\"https://dokan.co/wordpress/modules/table-rate-shipping/\" rel=\"nofollow ugc\">Vendor Table Rate Shipping</a> (Pro) – Multi-vendor support on setting shipping rates based on location, price, weight, shipping class, or item count of the shipment.</p>\n</li>\n<li>\n<p><a href=\"https://dokan.co/wordpress/modules/delivery-time/\" rel=\"nofollow ugc\">Delivery Time</a> (Pro) – Let customers choose the time and date they want their product delivered.</p>\n</li>\n<li>\n<p><a href=\"https://dokan.co/wordpress/modules/shipstation/\" rel=\"nofollow ugc\">ShipStation</a> (Pro) – Enable vendors to import, manage, and ship orders hassle-free with the leading shipping application for online marketplaces.</p>\n</li>\n<li>\n<p>Your vendors will also be able to use <a href=\"https://dokan.co/docs/wordpress/vendor-guide/dokan-zone-wise-shipping/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">zone-wise shipping management</a> (Pro).</p>\n</li>\n</ul>\n<h4>PLAYS NICELY WITH OTHER PLUGINS</h4>\n<p>Dokan is compatible with 70+ plugins and 71+ themes, ensuring worry-free compatibility. Whether it&#8217;s shipping, payment, or wallets, rest assured when building your global eCommerce business with Dokan.</p>\n<p>➡️ <a href=\"https://dokan.co/wordpress/compatible-plugins/\" rel=\"nofollow ugc\">Check Out Dokan Compatible Plugins &amp; Themes</a>  ⬅️</p>\n<h4>MORE FREEDOM TO CUSTOMIZE THE STORE</h4>\n<p>Never get bored with the old-fashioned appearance of your store. Have full control over your store customization and give life to your imagination with Dokan integrations.</p>\n<ul>\n<li><a href=\"https://dokan.co/wordpress/modules/elementor/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Elementor Customizer</a> (Pro): Customize vendor store pages effortlessly and access over 12 exclusive Dokan widgets, drag and drop them anywhere, and Save as many customized templates as you want.</li>\n</ul>\n<h4>🎯🎯 Dokan’s Superior Features for Your WooCommerce Marketplace 🎯🎯</h4>\n<p><strong>Marketplace with Independent Stores</strong></p>\n<ul>\n<li>\n<p>Every seller gets their own store with a unique URL and branding.</p>\n</li>\n<li>\n<p>Beautiful storefront styles with contact details and widgets.</p>\n</li>\n<li>\n<p><a href=\"https://dokan.co/wordpress/modules/geolocation/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Store location map on the store front</a> (Pro).</p>\n</li>\n<li>\n<p><a href=\"https://dokan.co/wordpress/modules/single-product-multivendor/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Single products can be offered by different merchants</a> (Pro).</p>\n</li>\n</ul>\n<p><strong>Frontend Dashboard For Each Seller</strong></p>\n<ul>\n<li>\n<p>Vendors can manage products, control orders from customers, and make payment withdrawals right from the site frontend.</p>\n</li>\n<li>\n<p>WordPress backend and administrative settings can only be accessed by the admin.</p>\n</li>\n</ul>\n<p><strong>Earn From Each Sale</strong></p>\n<ul>\n<li>\n<p>The admin can set commission rates based on a flat amount or a percentage of the sale value.</p>\n</li>\n<li>\n<p>Vendor commissions are automatically collected to reduce administrative burden.</p>\n</li>\n<li>\n<p><a href=\"https://dokan.co/docs/wordpress/tutorials/how-to-setup-dokan-vendor-commission/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Per vendor percentage override</a> eases the manual condition of specially setting different commission settings for vendors. Create a global commission structure on the marketplace with this feature.</p>\n</li>\n</ul>\n<p><strong>Hassle Free Payments &amp; Transactions</strong></p>\n<ul>\n<li>\n<p>Utilize 100+ payment integrations of Dokan including GooglePay, ApplePay, Stripe Express, MANGOPAY, Razorpay.</p>\n</li>\n<li>\n<p><a href=\"https://dokan.co/docs/wordpress/withdraw/dokan-reverse-withdrawal/\" rel=\"nofollow ugc\">Reverse Withdrawal</a> facilitates commission collection for admins in instances when it cannot be collected via the regular commission system, such as when vendors ship orders with <strong>cash on delivery</strong>.</p>\n</li>\n<li>\n<p>Automatic Payment Disbursement simplifies vendor commission calculations, splitting customer payments instantly based on marketplace settings.</p>\n</li>\n</ul>\n<p><strong>Simple Product Management</strong></p>\n<ul>\n<li>Create and manage your products from the frontend.</li>\n<li><a href=\"https://wedevs.com/87025/types-of-products-you-can-create-using-woocommerce/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Create variable or downloadable products</a> (Pro).</li>\n<li>Vendors have the option to <a href=\"https://dokan.co/docs/wordpress/vendor-dashboard/products/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">manage product attributes</a> (Pro).</li>\n<li>Vendors can manage downloadable <a href=\"https://dokan.co/docs/wordpress/tutorials/how-to-create-a-digital-product/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">product permission, expiry date, and download limit</a> (Pro).</li>\n</ul>\n<p><strong>Detailed Reports Of Your Marketplace (Pro)</strong><br />\n* Vendors can see their <a href=\"https://dokan.co/wordpress/modules/vendor-analytics/\" rel=\"nofollow ugc\">sales report, generate statements and overview from the frontend</a> (Vendor Analytics).<br />\n* Admins can <a href=\"https://dokan.co/docs/wordpress/vendor-dashboard/orders/\" rel=\"nofollow ugc\">overview orders</a> and filter by sale, date, top vendors, or top earners.<br />\n* Let Vendors easily migrate from other marketplaces to your Dokan marketplace using the <a href=\"https://dokan.co/wordpress/modules/export-import/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Export/Import feature</a> (Pro) without losing any product data, including stock value, SKU information, tags and other information.<br />\n* Admin has access to all customer reviews on the marketplace. The customer can leave <a href=\"https://dokan.co/wordpress/modules/dokan-vendor-review/\" rel=\"nofollow ugc\">reviews for a product/vendor</a> they are satisfied with. The vendor cannot change a review, promoting transparency.</p>\n<p><strong>Vendors Discounts Creation &amp; Management</strong><br />\n* Configure coupon expiration and restrictions.<br />\n* All product reviews are managed by vendors (with admin override), and make decisions on whether to display the review on their site.<br />\n* Vendors will be able to create diverse <a href=\"https://dokan.co/docs/wordpress/vendor-dashboard/coupons-2/\" rel=\"nofollow ugc\">coupons</a> by setting different rules based on usage limit, expiration date, excluding sale items while also specifying only certain products on which the coupons are valid on (Pro).</p>\n<p><strong>💪‍ ADMINS CONTROL EVERY ASPECT OF THE MARKETPLACE</strong><br />\n* Admin can view and modify vendor store products.<br />\n* Admin can view a comprehensive <a href=\"https://dokan.co/docs/wordpress/earning-reports/\" rel=\"nofollow ugc\">Admin Earning Report</a> with data categorization by day, year, or vendors. Moreover, the admin can also view each vendor’s earning reports individually.<br />\n* Dokan Pro has an advanced support option for customers, allowing customers to directly interact with vendors and admin for product inquiry (<a href=\"https://dokan.co/wordpress/modules/product-enquiry/\" rel=\"nofollow ugc\">Product Enquiry module</a>).</p>\n<ul>\n<li>\n<p>Dokan Pro has update and support option for the customer.</p>\n</li>\n<li>\n<p>Advanced settings for the admin &#8211;</p>\n<ul>\n<li>\n<p>General Settings</p>\n<ul>\n<li>Admin can enable/disable the map on the store page.</li>\n<li>Admin can enable/disable the contact form on the store page.</li>\n<li>Admin can also enable/disable the store sidebar from theme.</li>\n</ul>\n</li>\n<li>\n<p>Selling Options</p>\n<ul>\n<li>Admin can manage new product status.</li>\n<li>Admin can set the order status for withdrawal.</li>\n<li>The admin can configure automatic withdrawal disbursement for vendor payments based on amount or time period.</li>\n<li>Admin can change the vendor store URL.</li>\n<li>Admin can also enable/disable the permission of review editing for the vendor.</li>\n</ul>\n</li>\n<li>\n<p>Widgets</p>\n<ul>\n<li>Best vendor widget.</li>\n<li>Featured vendor widget.</li>\n<li>Store contact widget.</li>\n<li>Store location widget.</li>\n<li>And much more.</li>\n</ul>\n</li>\n</ul>\n</li>\n</ul>\n<p>➡️ <a href=\"https://dokan.co/docs/wordpress/tutorials/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">LEARN MARKETPLACE MANAGEMENT TIPS &amp; TRICKS</a> ⬅️</p>\n<h4>💥💥 EXTENDED FEATURES BY SIMPLY ENABLING A TOGGLE BUTTON 💥💥</h4>\n<p>Dokan comes with a number of advanced features &amp; modules that boost your WooCommerce marketplace position, always keeping you one step ahead of the competition. Continuous innovations and features are brought with regular and timely releases. Check out the changelog <a href=\"https://wedevs.com/docs/dokan/changelog/\" rel=\"nofollow ugc\">here</a></p>\n<ul>\n<li><a href=\"https://dokan.co/wordpress/modules/stripe-express/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=module\" rel=\"nofollow ugc\">Stripe Express</a>(Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/minimum-maximum-order/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Minimum Maximum Order</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/product-advertising/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Product Advertising</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/product-subscription/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Product Subscription</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/request-for-quotation/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Request for Quotation</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/rank-math-seo/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Rank Math SEO</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/dokan-mangopay-integration/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Dokan MANGOPAY Integration</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/dokan-paypal-marketplace/?utm_medium=dokan-lite&amp;utm_source=wordpress.org&amp;utm_campaign=modules\" rel=\"nofollow ugc\">Dokan Paypal Marketplace</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/pdf-invoice-2/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">PDF Invoice</a></li>\n<li><a href=\"https://dokan.co/wordpress/modules/product-duplicator/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Product Duplicator</a></li>\n<li><a href=\"https://dokan.co/wordpress/modules/ajax-live-search/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Ajax Live Search</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/geolocation/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Geolocation</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/live-chat/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Live Chat</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/seller-verification/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Seller Verification</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/stripe-connect/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Stripe Connect</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/moip/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Wirecard(Moip)</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/subscriptions/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Subscriptions</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/dokan-vendor-review/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Vendor Review</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/vendor-staff-manager/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Vendor Staff Manager</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/woocommerce-booking-integration/\" rel=\"nofollow ugc\">Dokan WooCommerce Booking</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/dokan-simple-auctions/\" rel=\"nofollow ugc\">Dokan Simple Auctions</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/report-abuse/\" rel=\"nofollow ugc\">Report Abuse</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/follow-store/\" rel=\"nofollow ugc\">Follow Store</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/razorpay/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Razorpay Integration</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/eu-compliance-fields/\" rel=\"nofollow ugc\">EU Compliance Fields</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/product-addon/\" rel=\"nofollow ugc\">Dokan Product Addon</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/color-scheme-customizer/\" rel=\"nofollow ugc\">Colour Scheme Customizer</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/product-enquiry/\" rel=\"nofollow ugc\">Product Enquiry</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/return-and-warranty-request/\" rel=\"nofollow ugc\">Return and Warranty Request</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/single-product-multivendor/\" rel=\"nofollow ugc\">Single Product Multivendor</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/store-support/\" rel=\"nofollow ugc\">Product Store Support</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/vendor-vacation/\" rel=\"nofollow ugc\">Vendor Vacation</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/wholesale/\" rel=\"nofollow ugc\">Wholesale Module</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/vendor-analytics/\" rel=\"nofollow ugc\">Vendor Analytics</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/wpml-integration/\" rel=\"nofollow ugc\">WPML Integration</a></li>\n<li><a href=\"https://dokan.co/docs/wordpress/free-modules/wc-vendors-to-dokan-importer/\" rel=\"nofollow ugc\">WC Vendor Migrator</a></li>\n<li><a href=\"https://dokan.co/wordpress/modules/seller-badge/\" rel=\"nofollow ugc\">Seller Badge</a> (Pro)</li>\n<li><a href=\"https://dokan.co/wordpress/modules/vendor-dashboard/\" rel=\"nofollow ugc\">Vendor Dashboard</a></li>\n<li><a href=\"https://dokan.co/wordpress/delivery-driver-app/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">Dokan Delivery Driver App</a> (Pro)</li>\n</ul>\n<p><a href=\"https://dokan.co/wordpress/modules/?utm_campaign=dokan-wordpress-org-visitor&amp;utm_medium=learn_more_about_dokan&amp;utm_source=WordPress.org\" rel=\"nofollow ugc\">AND MANY MORE</a> ⏩</p>\n<h4>WE KNOW WE ARE NOT PERFECT THAT’S WHY WE ARE IMPROVING EVERYDAY</h4>\n<p>This could have bugs and lack some features. If you want to contribute to this project, you are more than welcome.</p>\n<p>👨‍💻 <a href=\"https://github.com/weDevsOfficial/dokan\" rel=\"nofollow ugc\">Please fork the repository from Github</a> 👨‍💻</p>\n<h4>سیاست حفظ حریم خصوصی</h4>\n<p>Dokan Lite uses <a href=\"https://appsero.com\" rel=\"nofollow ugc\">Appsero</a> SDK to collect some telemetry data upon user&#8217;s confirmation. This helps us to troubleshoot problems faster &amp; make product improvements.</p>\n<p>Appsero SDK <strong>does not gather any data by default.</strong> The SDK only starts gathering basic telemetry data <strong>when a user allows it via the admin notice</strong>. We collect the data to ensure great user experience for all our users.</p>\n<p>Integrating Appsero SDK <strong>DOES NOT IMMEDIATELY</strong> start gathering data, <strong>without confirmation from users in any case.</strong></p>\n<h4>Contribute</h4>\n<p>This may have bugs and lack of many features. If you want to contribute on this project, you are more than welcome. Please fork the repository from <a href=\"https://github.com/weDevsOfficial/dokan\" rel=\"nofollow ugc\">Github</a>.</p>\n<h4>نویسنده</h4>\n<p>Brought to you by <a href=\"http://tareq.co\" rel=\"nofollow ugc\">Tareq Hasan</a> from <a href=\"http://wedevs.com\" rel=\"nofollow ugc\">weDevs</a></p>\n\";s:12:\"installation\";s:171:\"<p>Extract the zip file and just drop the contents in the wp-content/plugins/ directory of your WordPress installation and then activate the Plugin from Plugins page.</p>\n\";s:3:\"faq\";s:2498:\"\n<dt id=\'q.%20can%20i%20add%20a%20payment%20method%3F\'>\nQ. Can I add a payment method?\n</h4>\n<p>\n<p>A. Just use any standard WooCommerce payment gateway.</p>\n</p>\n<dt id=\'q.%20how%20do%20withdrawals%20work%3F\'>\nQ. How do withdrawals work?\n</h4>\n<p>\n<p>A. Right now, we offer PayPal, Bank and Skrill (pro) withdraw method for &#8220;Dokan&#8221;. For PayPal withdraw, you can generate Mass Payment File to payout your sellers at once. Other methods are manual though.</p>\n</p>\n<dt id=\'q.%20does%20dokan%20integrate%20with%20buddypress%3F\'>\nQ. Does Dokan integrate with BuddyPress?\n</h4>\n<p>\n<p>A. Not for the moment. We have plans to integrate with BuddyPress via an add-on in the near future.</p>\n</p>\n<dt id=\'q.%20is%20dokan%20responsive%3F\'>\nQ. Is Dokan responsive?\n</h4>\n<p>\n<p>A. Yes, Dokan is fully responsive. We take mobile first approach and it displays very well in mobile and tablet devices. We are using Twitter Bootstrap as a framework and it just works.</p>\n</p>\n<dt id=\'q.%20does%20it%20supports%20variable%20products%3F\'>\nQ. Does it supports variable products?\n</h4>\n<p>\n<p>A. The <strong>Pro</strong> version does! You can seller normal products, downloadable products and variable products with your own attributes.</p>\n</p>\n<dt id=\'q.%20can%20each%20vendor%20customize%20his%20store%3F\'>\nQ. Can each vendor customize his store?\n</h4>\n<p>\n<p>A. Right now we have options for only changing the store banner page. We are working on a better customizable seller store page.</p>\n</p>\n<dt id=\'q.%20will%20it%20be%20possible%20to%20take%20a%20cut%20or%20commission%20from%20the%20sales%3F\'>\nQ. Will it be possible to take a cut or commission from the sales?\n</h4>\n<p>\n<p>A. Yes, that&#8217;s how Dokan works. In every sales, you can cut a commission from a order. That&#8217;s configurable from Dokan settings.</p>\n</p>\n<dt id=\'q.%20can%20dokan%20be%20used%20in%20a%20single%20seller%20mode%3F\'>\nQ. Can Dokan be used in a single seller mode?\n</h4>\n<p>\n<p>A. Obviously, you can use this on a single seller site to give them a nice front-end experience.</p>\n</p>\n<dt id=\'q.%20how%20to%20upgrade%20to%20the%20pro%20version%3F\'>\nQ. How to upgrade to the Pro version?\n</h4>\n<p>\n<p>A. Just install and activate the PRO version without deleting the free plugin. All your data will be safe on the database and some extra features will be added. If you feel something may go wrong, please consult with our <a href=\"https://dokan.co/contact/\" rel=\"nofollow ugc\">support</a> staff first.</p>\n</p>\n\n\";s:9:\"changelog\";s:38858:\"<h4>v3.11.1 ( May 16, 2024 )</h4>\n<ul>\n<li><strong>new:</strong> Action hook <code>dokan_dashboard_sidebar_start</code> added.</li>\n<li><strong>new:</strong> Action hook <code>dokan_dashboard_sidebar_end</code> added.</li>\n</ul>\n<h4>v3.11.0 ( May 10, 2024 )</h4>\n<ul>\n<li><strong>fix:</strong> The status of sub-orders does not update to completed if it contains only virtual products.</li>\n</ul>\n<h4>v3.10.4 ( Apr 25, 2024 )</h4>\n<ul>\n<li><strong>fix:</strong> Vendor dashboard Order status filter menu displayed a duplicate border.</li>\n<li><strong>fix:</strong> Vendor dashboard withdraw page display get hidden.</li>\n</ul>\n<h4>v3.10.3 ( Apr 17, 2024 )</h4>\n<ul>\n<li><strong>update:</strong> Notification count support added for vendor dashboard</li>\n<li><strong>update:</strong> added a new filter to set a default value for I am a customer / I am a vendor radio button</li>\n<li><strong>update:</strong> Processing Order count added for vendor dashboard orders menu</li>\n<li><strong>update:</strong> Performance improvements for vendor dashboard -&gt; order details page -&gt; downloadable product permission section</li>\n<li><strong>update:</strong> Admin can change product author from REST API<br />\nPreviously, product_author was read-only property, now admin can change product_author for an existing product or create a new product for another author.</li>\n<li><strong>update:</strong> Warning message styling for selecting fixed cart discount on admin coupon add edit page</li>\n<li><strong>fix:</strong> Advertisement product not purchasable for own product purchasing restriction</li>\n<li><strong>fix:</strong> Header Template number one breaks without background image</li>\n<li><strong>fix:</strong> html entity showing in product tag selection in vendor dashboard.</li>\n<li><strong>fix:</strong> Vendor add notification switch in admin dashboard</li>\n<li><strong>fix:</strong> Under wooCommerce my-account registration section, <code>I am a customer</code> was forced to be set as the default value. With this PR this problem has been fixed.</li>\n</ul>\n<h4>v3.10.2 ( Apr 01, 2024 )</h4>\n<ul>\n<li><strong>update:</strong> Email placeholder, additional content support and formatting added</li>\n<li><strong>update:</strong> Add requires plugin header for dokan so that required plugin check can be initiated.</li>\n<li><strong>fix:</strong> Vendor profile progress bar doesn&#8217;t update if the address is filled from the vendor registration form</li>\n<li><strong>fix:</strong> Color synchronization issue in vendor dashboard order notes</li>\n<li><strong>fix:</strong> product review email cannot be disabled without also disabling Contact Vendor email</li>\n<li><strong>fix:</strong> Order Export to CSV on the filtered list not working</li>\n</ul>\n<h4>v3.10.1 ( Mar 18, 2024 )</h4>\n<ul>\n<li><strong>update:</strong> Update Categories Easily from Vendor Edit Page<br />\nIn earlier versions of the Dokan plugin for WordPress and WooCommerce, editing store categories was limited to the vendor details view page. This approach created confusion and made it difficult for users to manage their store categories effectively. However, with the latest update, a significant improvement has been introduced.<br />\nNow, you can conveniently edit and update your store categories directly from the vendor edit page in the admin dashboard. This enhancement provides a more intuitive and user-friendly experience, allowing you to efficiently manage and organize your store categories in one central location.</li>\n<li><strong>update:</strong> Threads social media platform added as a Store Socials Option. Thanks <code>@fisher2470</code></li>\n<li><strong>update:</strong> Vendor Dashboard settings submenu translation support added</li>\n</ul>\n<h4>v3.10.0 ( Mar 04, 2024 )</h4>\n<ul>\n<li><strong>new:</strong> Added a new filter hook named <code>dokan_product_cache_delete_all_data</code>, by using this one can prevent deleting product cache if necessary.</li>\n<li><strong>update:</strong> Updated FontAwesome library to version 6.5.1</li>\n<li><strong>fix:</strong> Fixed Elementor mega menu z-index conflict and removed line break from address fields</li>\n</ul>\n<h4>v3.9.9 ( Feb 12, 2024 )</h4>\n<ul>\n<li><strong>new:</strong> Added PHP 8.2 support</li>\n<li><strong>fix:</strong> Fixed an issue where the Dokan seller setup wizard does not display a warning message when a seller fails to provide the state for a country that has a state.</li>\n<li><strong>fix:</strong> Vendor setup wizard issue [#1976] &#8211; Properly closed the style tag in the Store Setup step to avoid conflicts with customizations.</li>\n<li><strong>fix:</strong> Fixed a bug in the store-lists-filter.php template that used the wrong escaping function for the placeholder attribute. [#1984]</li>\n<li><strong>fix:</strong> Withdrawal class check-in Templates/Withdraw.php.<br />\nThis fixes a fatal error that could occur when creating a withdrawal request with cache-enabled sites.</li>\n<li><strong>fix:</strong> The <code>Share Essentials</code> field’s description was missing from the Dokan admin setup wizard. This pull request fixes an issue where the description field was not showing up in the Dokan admin setup wizard. It also adds a new hook and admin options to store the <code>Share Essentials</code> settings.</li>\n<li><strong>fix:</strong> Fixed an issue where the sub-orders disappear from the WooCommerce order lists page when orders are filtered by a specific vendor or by sub-order ID when the HPOS feature is enabled.</li>\n<li><strong>update:</strong> Added validation for bank payments and address data in Dokan Seller Setup Wizard.</li>\n</ul>\n<h4>v3.9.8 ( Jan 30, 2024 )</h4>\n<ul>\n<li><strong>fix:</strong> Updated Appsero Client SDK library to version 2.0.2 which will fix a security issue with the previous version of the library and a fatal error caused by the library.</li>\n</ul>\n<h4>v3.9.7 ( Jan 29, 2024 )</h4>\n<ul>\n<li><strong>update:</strong> Added WooCommerce Cart and Checkout Block supports for Dokan Lite</li>\n<li><strong>fix:</strong> Fixed an issue where the vendor’s store map address was not saved during vendor setup wizard configuration</li>\n<li><strong>fix:</strong> Some links under the vendor dashboard weren&#8217;t working properly due to a nonce mismatch. With this release, those issues have been fixed.</li>\n<li><strong>fix:</strong> Fixed an issue where the valid store name required check was missing from the customer-to-vendor migration form.</li>\n<li><strong>fix:</strong> Fixed an issue where the customer buys digital and physical products from different vendors, shipping charges are applied separately to each vendor.</li>\n<li><strong>fix:</strong> Fixed some translation-related issues with the date range picker</li>\n<li><strong>fix:</strong> Fixed some translation-related issues with Dokan Sweetalert</li>\n</ul>\n<h4>v3.9.6 ( Jan 11, 2024 )</h4>\n<ul>\n<li><strong>new</strong> Features: Withdraw Charge<br />\nDokan has introduced a new feature that allows the admin to set a withdrawal charge for vendors. This charge can be either a flat rate or a percentage of the withdrawal amount based on the payment gateway used. The charge will be reflected in the details report, and vendors can see how many charges will apply when they request a withdrawal. The vendor dashboard list will also show the charge and receivable amount. This feature provides greater flexibility and transparency in managing vendor withdrawals.</li>\n</ul>\n<h4>v3.9.5 ( Dec 28, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> API request on get all orders returns empty results for the endpoint http://dev.test/wp-json/dokan/v1/orders due to default customer id was set to 0.</li>\n</ul>\n<h4>v3.9.4 ( Dec 12, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed an issue where the Vendor class shop_data persistence is broken on save()</li>\n<li><strong>fix:</strong> Fixed a fatal error while trying to edit a subscription under WordPress Admin Panel <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> WooCommerce <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Subscription menu of the WooCommerce Subscription Plugin.</li>\n<li><strong>fix:</strong> Toggle Sub-Orders and Show Sub-Orders buttons are not working if HPOS feature is disabled.</li>\n</ul>\n<h4>v3.9.3 ( Nov 30, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed an issue where the Tab fields under the product Add/Edit page don’t display predefined tags until users start typing to select tags.</li>\n</ul>\n<h4>v3.9.2 ( Nov 13, 2023 )</h4>\n<ul>\n<li><strong>new:</strong> A new email template has been introduced named Dokan Vendor Product Review. After a product has been reviewed, an email containing information about the review is sent to the vendor. The email includes details such as the reviewer’s name, product name, review rating, and text. The email also contains a link to the review page where the vendor can view the review and respond if necessary.</li>\n<li><strong>update:</strong> Display a non-purchasable notice for the vendor’s own products.</li>\n<li><strong>fix:</strong> [RestAPI] Fixed an issue where getting a single order via API gives an &#8216;invalid ID&#8217; error If the compatibility mode isn&#8217;t enabled for the HPOS feature on WooCOmmerce Order data storage settings</li>\n<li><strong>fix:</strong> [ProductReview] Previously the email notification sent by WordPress when a review was added to a product, was sent to the product owner. This was wrong in the context of a marketplace. Because the email sent by WordPress includes some sensitive information, like the admin dashboard URL, customer email address, etc. With these changes, we are making sure that only the marketplace admin gets the new review emails sent by WordPress.</li>\n<li><strong>fix:</strong> Previously, there was an issue where selecting “All,” then “None,” and subsequently “All” again didn’t function as expected. This occurred on the vendor product edit page for simple products, specifically within the Attributes section. However, following this update, all special cases of the “Select All” feature now work flawlessly.</li>\n</ul>\n<h4>v3.9.1 ( Oct 17, 2023 )</h4>\n<ul>\n<li><strong>update:</strong> Removed flaticon packages and replace used icons with fontAwesome icons. This will reduce the plugin zip size.</li>\n<li><strong>update:</strong> Added a new settings to disable fontAwesome library</li>\n<li><strong>update:</strong> Changed all the single date picker fields with daterange picker. This updates will keep the design consistent throughout the plugin.</li>\n<li><strong>fix:</strong> [StoreOpenCloseTime] An issue where invalid store opening or closing times generate warning and fatal error on single store page.</li>\n<li><strong>fix:</strong> [Email] Fixed an issue where the product edit link on email template redirects to the products listing instead of single product edit page</li>\n<li><strong>fix:</strong> Fixed some responsive issue under vendor dashboard product edit page.</li>\n<li><strong>fix:</strong> Fixed some responsive issue under vendor dashboard withdraw page.</li>\n</ul>\n<h4>v3.9.0 ( Oct 06, 2023 )</h4>\n<ul>\n<li><strong>new:</strong> Added two new hooks named <code>dokan_get_admin_report_data</code> and <code>dokan_get_overview_data</code> to extend Dokan reports functionality.</li>\n<li><strong>fix:</strong> Resolved an issue where the <code>Tracking Number</code> button was still visible under the <code>Vendor Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Order Details <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Order Note section</code> even after the <code>Shipment Tracking</code> feature was enabled by the admin.</li>\n<li><strong>fix:</strong> [WidgetProductAttribute] Fixed an issue where the <code>Filter Products by Attribute</code> widget was not working for Multi-Word Attributes.</li>\n<li><strong>update:</strong> Added a new filter named <code>dokan_get_store_url</code> to filter store URLs for a single store.</li>\n<li><strong>update:</strong> Removed some redundant or not required settings from vendor store settings page, also rearranged some admin settings and added some settings under Admin dashboard.<br />\nDetails:</li>\n</ul>\n<ol>\n<li>Removed <code>Show Vendor Info</code> settings under the <code>WordPress Admin Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Dokan <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Appearance</code> and added it back under the <code>WordPress Admin Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Dokan <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> General <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Product Page Settings</code> section.</li>\n<li>Removed the  <code>More Products</code> setting under <code>Vendor Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Store Settings</code> and added it back as a new Admin setting under <code>WordPress Admin Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Dokan <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> General <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Product Page Settings</code> section. Now, only the admin can control this setting.</li>\n<li>Removed redundant <code>Store Products Per Page</code> setting under <code>Vendor Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Store Settings</code>. Since the admin already has this setting under <code>WordPress Admin Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Dokan <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> General</code>, this setting will be used from now on and only the admin can control this setting.</li>\n<li>Removed redundant <code>Store Page Product Section</code> settings under <code>Vendor Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Store Page Product Section</code>. Now, only the admin can control these settings under Theme Customizer settings.</li>\n</ol>\n<h4>v3.8.3 ( Sep 26, 2023 )</h4>\n<ul>\n<li><strong>update:</strong> Added advanced filtering and CSV export feature for vendor withdraws under Admin Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Dokan <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Withdraw menu.<br />\nThe ‘Withdraw’ page on the admin dashboard has been updated with advanced filtering and log exporting features. This allows admins to filter transactions based on payment method and date range, which enhances their ability to analyze and manage withdrawals. The feature to export CSV logs is also included, which makes tracking and record-keeping easier. These integrations aim to empower marketplace owners with comprehensive tools for efficient withdrawal management within the dashboard.</li>\n<li><strong>update:</strong> [Dokan Invoice] Added PDF invoice links on Sub Order section<br />\nPreviously PDF invoice links  was not visible on Sub Order section under customer order view. After this update customer will be able to view invoice link on sub order section.</li>\n<li><strong>update:</strong> Added backend validation of phone number used on entire Dokan plugin.</li>\n<li><strong>update:</strong> Store category widget list default state set to collapse.<br />\nPreviously, if a store has a product count over 100 or more and the store has many product categories, the store category widget would display those categories and subcategories in an open state rather than collapsed state that the sidebar style gets broken. Now the list has a max height of 500px, which will be visible, and other elements will be visible by scrolling and the parent category that has a submenu will be in collapse mode.</li>\n<li><strong>update:</strong> Various style improvements of Dokan frontend including Vendor Dashboard, Single Store Page, Single Product Page etc.</li>\n<li><strong>fix:</strong> [Refund] Earlier, when refunding an order under the vendor dashboard, the tax amount decimal point rounding precision was inconsistent with WooCommerce. However, it has now been updated to be consistent with WooCommerce.</li>\n<li><strong>fix</strong> Fixed an issue where the order status label was missing on vendor dashboard for draft orders.</li>\n</ul>\n<h4>v3.8.2 ( Sep 13, 2023 )</h4>\n<ul>\n<li><strong>new:</strong> Feature: Single-page product creation form.<br />\nBefore this release, vendors had to go through a two-step process to create a product. However, with this release, a single-page product creation form has been introduced. To enable this feature, you need to navigate to the WordPress admin panel <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Dokan <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Settings <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Selling Options <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> One Page Product Creation.<br />\nIt’s important to note that in the next version of Dokan, the Add New Product popup and the Add New Product form will be removed. After that, the Single-Page product form will be the default system for creating a product from the vendor dashboard.</li>\n<li><strong>new:</strong> Feature: Ask for product review<br />\nThe Ask for Product Review feature in Dokan allows vendors to set the product status to draft while creating a product using the single-page product creation form. After the vendor is satisfied with the edit, they can either ask for a review or publish the product directly based on the admin settings and vendor capability.</li>\n<li><strong>fix:</strong> Fixed an issue where orders can’t be filtered by vendor under Admin Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> WooCommerce <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Order lists page if HPOS feature is enabled</li>\n<li><strong>fix:</strong> Fixed an issue where multiple sub-orders has been created for a single parent order.</li>\n<li><strong>fix:</strong> Fixed and issue while trying to delete all demo products also deleting non-dummy products while calling the API endpoints multiple times</li>\n<li><strong>fix:</strong> Fixed an issue where Dokan Pro’s Product Status setting were used even though Dokan Pro plugin is deactivated.</li>\n<li><strong>fix:</strong> Fixed an issue where products were visible beyond Simple Products in the product list page under the vendor dashboard when Dokan Pro was deactivated or not installed.</li>\n<li><strong>update:</strong> Removed unnecessary product type filter from Vendor Dashboard product list page since there is only one product type available in Dokan Lite</li>\n<li><strong>update:</strong> [VendorRegistration] Improved Compatibility with WooCommerce Password Settings<br />\nIn the past, when vendors registered using the [dokan-vendor-registration] shortcode, the process did not align with WooCommerce&#8217;s automatic password generation settings. However, in the latest update, we&#8217;ve enhanced this process. The vendor registration form presented through the [dokan-vendor-registration] shortcode now seamlessly adheres to WooCommerce&#8217;s automatic password generation settings. This enhancement ensures a more unified and user-friendly registration experience for vendors, in line with WooCommerce&#8217;s standard practices.</li>\n<li><strong>update:</strong> Added shipping tax fee recipient field setting under admin setup wizard.</li>\n</ul>\n<h4>v3.8.1 ( Aug 25, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed a console warning under Dokan admin settings for Google Map integration</li>\n<li><strong>fix:</strong> [ReverseWithdrawal] Fixed an issue where Vendor/Admin cannot pay for reverse withdrawal balance due to a rule that vendor’s can’t purchase their own products.</li>\n</ul>\n<h4>v3.8.0 ( Aug 18, 2023 )</h4>\n<ul>\n<li><strong>update:</strong> Added HPOS (High-Performance Order Storage) support for Dokan Lite.</li>\n<li><strong>fix:</strong> Resolved an issue where traces of order data were left on the Dokan end even after the order had been deleted from the WordPress admin panel.<br />\nPreviously, deleted orders were still visible under the Dashboard Overview menu, Reports menu, and under Withdraw menu. This issue has been fixed in the current release.</li>\n<li><strong>fix:</strong> Multiple issues have been fixed after a product of an order has been deleted.</li>\n</ul>\n<h4>v3.7.24 ( Jul 25, 2023 )</h4>\n<ul>\n<li><strong>update:</strong> Restrictions added for vendors to review and purchase their own products.<br />\nPreviously, vendors could purchase and post reviews for their own product. Which is not logical and could manipulate the search results of a product in a marketplace. With this update, vendors will not be able to purchase or post reviews for their own product.</li>\n<li><strong>update:</strong> [ReverseWithdrawal] Now Admin can request payment from vendors using the Reverse Withdrawal feature.<br />\nCurrently, there is no way for Site admins to request payments from vendors. For some use cases, it is essential for admins to request money from vendors. For example: In Stripe 3DS mode, if customers ask for a refund, refund will be given from the admin Stripe account, after that vendor transfer will be reversed. But if the vendor doesn&#8217;t have enough money in their stripe account transfer reversal will fail, in that case, vendor balance will be negative. Another case would be for non-connected vendors, in that case, admin will be responsible for refund and admin needs to request money from vendors.</li>\n<li><strong>update:</strong> [AdminSettings] Added a toggle switch for Google ReCaptcha in the appearance settings for better control.</li>\n<li><strong>update:</strong> [AdminSettings] Sensitive information like API keys, client secrets, etc., are now displayed as password fields with an unhide button to improve security.</li>\n<li><strong>update:</strong> [AdminCommission] Now, &#8220;percentage&#8221; is selected by default if the admin setup wizard is skipped in the commission setting.</li>\n<li><strong>fix:</strong> Added some missing translations.<br />\nPreviously, the template folder at dokan-lite was missing when the .pot file was generated. With this fix template folder will be respected while generating the pot file.</li>\n</ul>\n<h4>v3.7.23 ( Jul 14, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed an issue where the withdraw request could not be approved from the Admin Dashboard via REST API.</li>\n</ul>\n<h4>v3.7.22 ( Jul 12, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed an issue where multiple withdrawal requests can be placed via API.<br />\nIf a withdrawal request was placed by a vendor until that request was approved or rejected by Admin, making another withdrawal request wasn’t possible via frontend. However, the admin was able to make a withdrawal request via REST API. With this fix, this problem now has been resolved.</li>\n<li><strong>fix:</strong> Fixed a PHP notice for importing dummy data without providing any data via REST API<br />\nendpoint: {{SERVER_URL}}/wp-json/dokan/v1/dummy-data/import</li>\n<li><strong>fix:</strong> While updating the withdrawal request via REST API, the minimum withdrawal amount limit wasn’t considered. For example, if the minimum withdrawal limit was set to 50, for an existing withdrawal request, the admin can set the withdrawal value to less than 50. This issue has been fixed now.<br />\nendpoint: {{SERVER_URL}}/wp-json/dokan/v1/withdraw/{withdraw_id}</li>\n<li><strong>fix:</strong> Fixed an issue where store products API was returning all products instead of published products.<br />\nendpoint: {{SERVER_URL}}/wp-json/dokan/v1/stores/{store_id}/products</li>\n<li><strong>fix:</strong> Fixed some CSS issues on the vendor store settings page for the store banner image.</li>\n<li><strong>fix:</strong> [Withdraw] Fixed an issue where PayPal withdraw method status was displaying default but the corresponding vendor didn’t set up the payment method yet. With this fix, we marked the payment method as needing setup instead of the default payment method.</li>\n<li><strong>fix:</strong> [Withdraw] After connecting to a payment method, the button text changes from <code>Setup</code> to <code>Make default</code> or <code>default</code> if selected. But after disconnecting that method button text doesn&#8217;t change back to <code>Setup</code>. Now this issue has been fixed.</li>\n<li><strong>update:</strong> Updated vendor store API to support profile picture and banner delete feature. To delete one of these fields, one needs to set a 0 (zero) value while making the API request.<br />\nendpoint: {{SERVER_URL}}/wp-json/dokan/{{version}}/stores/{store_Id}</li>\n<li><strong>update:</strong> Added various html tag support for rich text editors on various places of vendor dashboard.<br />\nPreviously, the product editor on the vendor&#8217;s side was a lot more limited than the one available on the admin side. With this update, we’ve included various tags, like heading elements, paragraphs, etc support for rich text editors.</li>\n<li><strong>update:</strong> Added random ordering for store REST API endpoint,<br />\nPreviously, random ordering for stores wasn’t available for store API. With this update, we’ve added this feature.<br />\nendpoint: {{SERVER_URL}}/wp-json/dokan/v1/stores/</li>\n<li><strong>update:</strong> Added phone number validation for vendor dashboard store settings page and vendor registration form.<br />\nPreviously, for phone numbers only numeric values were accepted, now a valid phone number including spaces, -, _, (, ), etc also supports phone number fields.</li>\n<li><strong>update:</strong> [Withdraw] Fixed an issue where withdraw payment method wasn&#8217;t enabled but can be used for both manual withdrawal and auto withdraw disbursement schedules from the vendor dashboard payment settings page.</li>\n</ul>\n<h4>v3.7.21 ( Jun 23, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed an issue where gateway fees from WooCommerce PayPal Payments were not being deducted from vendors’ earnings.<br />\nPreviously, Dokan deducted PayPal Checkout fees from vendors’ earnings but did not deduct PayPal Payments fees. This was due to the fact that PayPal Payments did not set transaction fee metadata at the time. With this fix, Dokan now correctly deducts PayPal Payments fees from vendors’ earnings.</li>\n<li><strong>fix:</strong> [VendorDashboard] Fixed some CSS issues under the vendor dashboard.<br />\nPreviously, the positioning of the mobile navigation icon on the vendor dashboard was problematic on mobile screens. Additionally, there were inconsistencies in some table columns, including the order ID column, causing visual issues. These issues have now been fixed.</li>\n<li><strong>fix:</strong> [DokanVendorRegistration] Registration page&#8217;s user selection modal is not working properly when any theme tries to use the modal for the vendor registration form.<br />\nIn earlier versions, there was a lack of synchronization between the user registration form on the &#8220;My Account&#8221; page and the user registration forms inside the modal implemented within the theme. This inconsistency created confusion and hindered the seamless registration process. However, with the latest update, significant improvements have been made to address this issue.</li>\n<li><strong>update:</strong> Added <code>Become A Vendor</code> feature to Dokan Lite.<br />\nPreviously, this option was only available in Dokan Pro. This enhancement ensures that even customers of the Lite version can easily become vendors and start selling their products through the platform.</li>\n<li><strong>update:</strong> [SellerSetupWizard] Added store location map on the seller setup wizard<br />\nIntroducing a new enhancement in the seller setup wizard: seamless integration of a store location map. This enhancement allows sellers to effortlessly navigate and locate their store&#8217;s position within the wizard interface.</li>\n</ul>\n<h4>v3.7.20 ( Jun 8, 2023 )</h4>\n<ul>\n<li><strong>new:</strong> Added two new filter hooks named <code>dokan_get_vendor_orders_args</code> and <code>dokan_get_vendor_orders</code> to filter vendor’s order data.<br />\nYou can now filter orders returned by the <code>dokan()-&gt;order-&gt;all()</code> method using the dokan_get_vendor_orders hook.</li>\n<li><strong>new:</strong> Added a new filter named <code>dokan_get_new_post_status</code> for the function dokan_get_new_post_status()<br />\nNow you’ll be able to use your desired status for new products created by vendors using this filter.</li>\n<li><strong>fix:</strong> Fixed a security issue related to insecure deserialization in the Dummy Data importer API endpoint.</li>\n<li><strong>fix:</strong> Resolved an issue where the dokan_is_seller_dashboard() method was returning false when called from a WP Post Query Loop.</li>\n<li><strong>fix:</strong> Ensured that the correct order status is displayed for vendors after updating an order.<br />\nPreviously, in some cases, plugin or theme authors would hook into actions like woocommerce_order_status_changed and change the order status after it had been updated by the vendor. This update ensures that the correct order status is displayed to vendors after they update an order. Thanks to https://github.com/rmilesson for your contribution to fixing this issue.</li>\n<li><strong>fix:</strong> Resolved an issue where store categories filtering was not showing proper results due to nonce validation fails.<br />\nPreviously, when using store categories as a direct link to filter vendors with no valid nonce key attached to it, the filtering was not working correctly and vendors were not being displayed under their assigned store category. This issue has been addressed and store categories filtering now shows the correct results.</li>\n<li><strong>fix:</strong> Resolved inconsistent behavior of pagination on the Single Store Page.<br />\nPreviously, there were several issues with the pagination on the Single Store Page, including the “Previous” text displaying like the “Next” icon, the Last Page Menu icon not showing when all menus were visible, and the Active Page Menu background color not changing from the 4th page. These issues have been addressed and the pagination behavior is now consistent.</li>\n<li><strong>fix:</strong> Resolved an issue where the discounted price field was not displayed correctly according to the theme used.<br />\nPreviously, when viewing the “Add/Edit a product” page on the Vendor Dashboard, the discounted price field was not displayed in the same way as the price field box when using certain themes. This issue has been addressed and the discounted price field now displays correctly according to the theme used.</li>\n<li><strong>fix:</strong> [AdminSetupWizard] The custom withdrawal method is now conditionally displayed in the admin setup wizard.<br />\nPreviously, the custom withdrawal method could not be enabled in the wizard because it required the method name and type to be populated. Now, if the admin has previously saved these values, the custom withdrawal method will be displayed and can be activated in the wizard.</li>\n</ul>\n<h4>v3.7.19 ( May 24, 2023 )</h4>\n<ul>\n<li><strong>update:</strong> Separated shipping tax fee recipient from the product tax fee recipient</li>\n<li><strong>update:</strong> Added support for multiple shipping line items for suborders</li>\n<li><strong>update:</strong> Moved shipping splitting functionality to Dokan Lite from Dokan Pro.Previously, this feature was only available on Dokan Pro.</li>\n<li><strong>update:</strong> Improved the responsiveness of tables on the Vendor Dashboard by making them horizontally scrollable on smaller-sized screens.</li>\n<li><strong>fix:</strong> Disabling product review from WooCommerce settings doesn’t remove the review section from the vendor profile.</li>\n<li><strong>fix:</strong> Broken layout of Discounted Price section in Vendor Dashboard product edit page on full-width page layout themes.</li>\n<li><strong>fix:</strong> Fixed some warnings and fatal errors for PHP versions 8.1 and 8.2.</li>\n<li><strong>fix:</strong> Fixed incorrectly closed product category menu after_widget args</li>\n<li><strong>fix:</strong> [VendorSetupWizard] Fixed an issue where the ‘Hide Email Address’ option was still displayed on the Vendor Setup wizard page even when it was enabled from Dokan Admin Settings.</li>\n<li><strong>fix:</strong> Email notification for withdrawal approval no longer shows HTML code in its header.</li>\n</ul>\n<h4>v3.7.18 ( May 10, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Fixed product getting published after enabling vendor selling status from admin dashboard</li>\n<li><strong>update:</strong> [ReverseWithdrawal] Added sold individually param to true for reverse withdrawal base product when creating it, so that quantity can&#8217;t be changed</li>\n<li><strong>update:</strong> [ColorSchemeCustomizer] Used color set by Color Scheme Customizer Module instead of hardcoded value for login form popup and withdraw schedule popup header color</li>\n<li><strong>update:</strong> Remove expected earning calculation from product listing and editing pages</li>\n<li><strong>update:</strong> Added a notice before deleting products via bulk action under Vendor Dashboard <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Product listing page</li>\n<li><strong>update:</strong> Added dokan_store_name meta-key for all users with administrator and shop_manager roles during plugin activation</li>\n</ul>\n<h4>v3.7.17 ( Apr 17, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> JS console error while uploading non-image files to product gallery under vendor dashboard product add/edit page</li>\n<li><strong>fix:</strong> Fixed order invoice and packaging slip broken CSS under vendor dashboard order list page</li>\n<li><strong>fix:</strong> Fixed users are unable to register as customers on some themes, also fixed a JS console error on the My Account page</li>\n<li><strong>fix:</strong> Fixed TinyMCE editor and search box overlap under Dokan Admin Settings page.</li>\n<li><strong>update:</strong> Allow whitelisted countries in location selectors based on admin-allowed countries under WooCommerce settings.</li>\n</ul>\n<h4>v3.7.16 ( Apr 10, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> [VendorDashboardAPI] Fixed an issue where the seller lifetime sales report wasn’t possible to retrieve via API.</li>\n<li><strong>fix:</strong> [VendorDashboard]: Fixed wrong product count showing under vendor dashboard product listing page.</li>\n<li><strong>update:</strong> [ReverseWithdrawalAPI] Added a new API Endpoint <code>dokan/v1/reverse-withdrawal/vendor-due-status</code> to get reverse balance due status for a vendor</li>\n<li><strong>update:</strong> [ReverseWithdrawalAPI] Added a new API Endpoint <code>dokan/v1/reverse-withdrawal/add-to-cart</code> to add reverse balance to the cart.</li>\n<li><strong>update:</strong> Allow only image format files as product featured and gallery images on vendor dashboard</li>\n<li><strong>update:</strong> Added multistep category support in product API</li>\n</ul>\n<h4>v3.7.15 ( Mar 23, 2023 )</h4>\n<ul>\n<li><strong>new:</strong> [CategoryPopup] Added a new settings to select any category from frontend</li>\n<li><strong>fix:</strong> [VendorSignup] Fixed vendor can sign up even though store URL is not available</li>\n<li><strong>fix:</strong> [ProductsRestAPI] Fixed in_stock, featured, on_sale filter for products rest API wasn&#8217;t working</li>\n</ul>\n<h4>v3.7.14 ( Mar 09, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> [RestAPI] Fatal error while activating Dokan Lite via wp-cli</li>\n<li><strong>fix:</strong> [VendorStoreSettings] State option appear while choosing the country with no state</li>\n</ul>\n<h4>v3.7.13 ( Mar 01, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> fixed a SQL injection issue</li>\n</ul>\n<h4>v3.7.12 ( Feb 23, 2023 )</h4>\n<ul>\n<li><strong>new:</strong> Added a new js hook <code>dokan_middle_category_selection</code> by using this hook if anyone passes true in this hook user will be able to select any category in Dokan multi-step category and a new WordPress hook <code>dokan_middle_category_selection</code> where you also have to pass true select middle category.</li>\n<li><strong>update:</strong> [LoginRedirection] Keep the sellers on the checkout page if they login from the checkout page.</li>\n<li><strong>update:</strong> Added sub-description to the <code>hide vendor info</code> section under Dokan admin appearance settings</li>\n<li><strong>fix:</strong> [AddNewProductPopup] Create &amp; Add a new product button does not allow adding a product image during the time of adding more than one product has been fixed</li>\n<li><strong>fix:</strong> Fixed a fatal error if the order is created from WooCommerce admin dashboard without adding any line items.</li>\n<li><strong>fix:</strong> Fixed admin user permission/capability issue after permanently deleting the Dokan plugin.</li>\n<li><strong>fix:</strong> [ReverseWithdrawal] Refund amount wasn’t subtracted from <code>Total Collected Values</code> for reverse withdrawal under the Admin Reverse Withdrawal menu.</li>\n<li><strong>fix:</strong> [ReverseWithdrawal] The decimal value is not included under the <code>Total Collected</code> section of the admin dashboard Reverse Withdrawal menu.</li>\n<li><strong>fix:</strong> Dokan Dashboard menu wasn’t loading if the permalink doesn’t include / at the end of the URL</li>\n<li><strong>fix:</strong> Fixed product image thumbnail gets image height squeezed on add new product popup under vendor dashboard</li>\n</ul>\n<h4>v3.7.11 ( Feb 13, 2023 )</h4>\n<ul>\n<li><strong>fix:</strong> Vendor search doesn&#8217;t work correctly while admin assigns a vendor to a product from WooCommerce <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Products <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> Add New page</li>\n<li><strong>fix:</strong> The number of orders on the backend is not appearing depending on the vendor&#8217;s own order count.</li>\n<li><strong>fix:</strong> Fixed a fatal error while creating an order from the admin dashboard with  &hellip;</li>\n</ul>\n\";s:11:\"screenshots\";s:4601:\"<ol><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-1.png?rev=1963342\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-1.png?rev=1963342\" alt=\"Admin Dashboard\"></a><p>Admin Dashboard</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-2.png?rev=1963342\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-2.png?rev=1963342\" alt=\"Withdraw requests from sellers\"></a><p>Withdraw requests from sellers</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-3.png?rev=1788570\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-3.png?rev=1788570\" alt=\"Settings &rarr; General\"></a><p>Settings &rarr; General</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-4.png?rev=1788570\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-4.png?rev=1788570\" alt=\"Settings &rarr; Selling Options\"></a><p>Settings &rarr; Selling Options</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-5.png?rev=1788570\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-5.png?rev=1788570\" alt=\"Settings &rarr; Withdraw Options\"></a><p>Settings &rarr; Withdraw Options</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-6.png?rev=1788570\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-6.png?rev=1788570\" alt=\"Settings &rarr; Page Settings\"></a><p>Settings &rarr; Page Settings</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-7.png?rev=1788570\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-7.png?rev=1788570\" alt=\"Settings &rarr; Appearance\"></a><p>Settings &rarr; Appearance</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-8.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-8.png?rev=1595714\" alt=\"Seller Dashboard in site frontend\"></a><p>Seller Dashboard in site frontend</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-9.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-9.png?rev=1595714\" alt=\"Frontend &rarr; Products Listing\"></a><p>Frontend &rarr; Products Listing</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-10.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-10.png?rev=1595714\" alt=\"Frontend &rarr; Create a new Product\"></a><p>Frontend &rarr; Create a new Product</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-11.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-11.png?rev=1595714\" alt=\"Frontend &rarr; Edit a product\"></a><p>Frontend &rarr; Edit a product</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-12.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-12.png?rev=1595714\" alt=\"Frontend &rarr; Orders Listing\"></a><p>Frontend &rarr; Orders Listing</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-13.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-13.png?rev=1595714\" alt=\"Frontend &rarr; Orders &rarr; Details\"></a><p>Frontend &rarr; Orders &rarr; Details</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-14.png?rev=1076198\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-14.png?rev=1076198\" alt=\"Frontend &rarr; Submit withdraw request\"></a><p>Frontend &rarr; Submit withdraw request</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-15.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-15.png?rev=1595714\" alt=\"Frontend &rarr; Store Settings\"></a><p>Frontend &rarr; Store Settings</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-16.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-16.png?rev=1595714\" alt=\"Frontend &rarr; Store Payment Settings\"></a><p>Frontend &rarr; Store Payment Settings</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-17.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-17.png?rev=1595714\" alt=\"Frontend &rarr; Individual Seller Store-1\"></a><p>Frontend &rarr; Individual Seller Store-1</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-18.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-18.png?rev=1595714\" alt=\"Frontend &rarr; Individual Seller Store-2\"></a><p>Frontend &rarr; Individual Seller Store-2</p></li><li><a href=\"https://ps.w.org/dokan-lite/assets/screenshot-19.png?rev=1595714\"><img src=\"https://ps.w.org/dokan-lite/assets/screenshot-19.png?rev=1595714\" alt=\"Frontend &rarr; Individual Seller Store-3\"></a><p>Frontend &rarr; Individual Seller Store-3</p></li></ol>\";s:7:\"reviews\";s:16673:\"<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Quick sales support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/masterpiececreative/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/f8fafd889645f2c9d7775678b7784fc7?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/f8fafd889645f2c9d7775678b7784fc7?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/masterpiececreative/\" class=\"reviewer-name\">masterpiececreative</a> در <span class=\"review-date\">می 24, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>Quick, responsive, sales support from Helena at Dokan.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>thoroughly recommend.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Using Dorkan on dcbRite was a wonderful experience</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/christifa2/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/f5df406163eb35a2fa4867576477abe6?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/f5df406163eb35a2fa4867576477abe6?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/christifa2/\" class=\"reviewer-name\">christifa2</a> در <span class=\"review-date\">آوریل 28, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>As an avid WordPress user for my website dcbRite local, discovering Dokan has been a game-changer. This plugin has not only simplified the process of creating a marketplace but has also elevated my online business to new heights.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Dokan\'s intuitive interface seamlessly integrates with WordPress, offering a user-friendly experience that even novices can navigate effortlessly. Setting up shop, managing vendors, and overseeing transactions have never been smoother. The robust feature set empowers me to customize my marketplace according to my unique vision, without compromising on functionality.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>One of the standout features of Dokan is its scalability. Whether I\'m just starting out with a handful of vendors or expanding into a bustling online marketplace, Dokan adapts to my needs with ease. The flexibility to add or remove features ensures that my marketplace evolves alongside my business, providing a future-proof solution for long-term success.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">The plugin is focused on pro version</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/mutaqialabi/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/31bf1049e74665ca8761ba6ead6d9bff?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/31bf1049e74665ca8761ba6ead6d9bff?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/mutaqialabi/\" class=\"reviewer-name\">mutaqialabi</a> در <span class=\"review-date\">آوریل 16, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">This is shit. Though the plugin is good but it is focused on the pro version.  Imagine me trying to just check out the free version so that i can gain money to buy the pro but unfortunately the free version doesnt contain much features. AS FOR ME I PREFER WC*M.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">The plugin has many problems Very bad support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"1 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"1\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/topgsmir/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/83bb7a6501dfc31790ed5d73f80d9893?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/83bb7a6501dfc31790ed5d73f80d9893?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/topgsmir/\" class=\"reviewer-name\">topgsmir</a> در <span class=\"review-date\">مارس 31, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">The plugin has many problems<br />Very bad support<br />Many problems have not been solved for 7 years!!<br />Very high price<br />If we pay this fee to a dedicated developer<br />It makes a much better system for us<br />I do not recommend this plugin at all</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Excelente atención de soporte!</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/danteoc/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/b024fac7d98f61e912b99829d1092c6d?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/b024fac7d98f61e912b99829d1092c6d?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/danteoc/\" class=\"reviewer-name\">danteoc</a> در <span class=\"review-date\">مارس 29, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">Helena fue puntual y de rápidas respuestas. Gracias!!!</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Good product and support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/knutaa/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/04cb0956270f69450aeb3934b121c607?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/04cb0956270f69450aeb3934b121c607?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/knutaa/\" class=\"reviewer-name\">knutaa</a> در <span class=\"review-date\">آوریل 30, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>Nice extensive replies on support. Appreciated. <br />Product works fine, and they\'re quick to help out if there are any issues. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Thanks to Mobin, Yeasin and Sazzat from the support team for their help and good customer support. </p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Great support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/thebull7/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/e065613077986b31010ce7db29144f95?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/e065613077986b31010ce7db29144f95?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/thebull7/\" class=\"reviewer-name\">thebull7</a> در <span class=\"review-date\">مارس 19, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">I had some questions about payments and got some great help from their chat support, thanks again Helena. Things should hopefully be much smoother now.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Dokan - makes a very important contribution.</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/sahebji1234/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/782f7e8f43f728bf6f301315c7c883b9?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/782f7e8f43f728bf6f301315c7c883b9?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/sahebji1234/\" class=\"reviewer-name\">sahebji1234</a> در <span class=\"review-date\">مارس 15, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">Dokan - makes a very important contribution. For those who want to create their own online store. Especially those who are new. This is a very good plugin for them. Through this you can add many things to the online store. Thank you.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Dokan Support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/jurajhudak/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/6e973b1f7ad0ef8368a1f0035256f7a0?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/6e973b1f7ad0ef8368a1f0035256f7a0?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/jurajhudak/\" class=\"reviewer-name\">jurajhudak</a> در <span class=\"review-date\">مارس 10, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">Thank you Clara for prompt communication and guidance on how to proceed with solving our matter.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">It&#039;s Decent</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"1 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"1\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/thekendog/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/edaa6726fe5db472a0f931826ea80243?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/edaa6726fe5db472a0f931826ea80243?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/thekendog/\" class=\"reviewer-name\">thekendog</a> در <span class=\"review-date\">مارس 1, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p class=\"\">I have the premium version as well and the plugin is decent enough.  There are lots of little bugs though here and there.  Also, the styling and formatting of the templates is absolutely awful.  That is by far the worst part of the whole plugin.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p class=\"\">UPDATE: Changed my review from 3 to 2 stars.  Finding even more bugs the more I use this plugin, both free and premium.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p class=\"\">UPDATE 2: Changed review from 2 to 1 stars.  Support for the paid version is terrible and still have bugs.</p>\n<!-- /wp:paragraph --></div>\n</div>\n\";}s:17:\"short_description\";s:135:\"Transform your WooCommerce site into a robust multivendor marketplace with Dokan - the #1 WooCommerce multivendor marketplace solution!\";s:13:\"download_link\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.11.1.zip\";s:14:\"upgrade_notice\";a:1:{s:5:\"3.0.0\";s:181:\"<p><strong>Important Update</strong> This update changes code structures for improving performance. Make sure to take backup and read the changlogs first before upgrade process.</p>\";}s:11:\"screenshots\";a:19:{i:1;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-1.png?rev=1963342\";s:7:\"caption\";s:15:\"Admin Dashboard\";}i:2;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-2.png?rev=1963342\";s:7:\"caption\";s:30:\"Withdraw requests from sellers\";}i:3;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-3.png?rev=1788570\";s:7:\"caption\";s:23:\"Settings &rarr; General\";}i:4;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-4.png?rev=1788570\";s:7:\"caption\";s:31:\"Settings &rarr; Selling Options\";}i:5;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-5.png?rev=1788570\";s:7:\"caption\";s:32:\"Settings &rarr; Withdraw Options\";}i:6;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-6.png?rev=1788570\";s:7:\"caption\";s:29:\"Settings &rarr; Page Settings\";}i:7;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-7.png?rev=1788570\";s:7:\"caption\";s:26:\"Settings &rarr; Appearance\";}i:8;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-8.png?rev=1595714\";s:7:\"caption\";s:33:\"Seller Dashboard in site frontend\";}i:9;a:2:{s:3:\"src\";s:63:\"https://ps.w.org/dokan-lite/assets/screenshot-9.png?rev=1595714\";s:7:\"caption\";s:32:\"Frontend &rarr; Products Listing\";}i:10;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-10.png?rev=1595714\";s:7:\"caption\";s:36:\"Frontend &rarr; Create a new Product\";}i:11;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-11.png?rev=1595714\";s:7:\"caption\";s:30:\"Frontend &rarr; Edit a product\";}i:12;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-12.png?rev=1595714\";s:7:\"caption\";s:30:\"Frontend &rarr; Orders Listing\";}i:13;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-13.png?rev=1595714\";s:7:\"caption\";s:37:\"Frontend &rarr; Orders &rarr; Details\";}i:14;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-14.png?rev=1076198\";s:7:\"caption\";s:39:\"Frontend &rarr; Submit withdraw request\";}i:15;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-15.png?rev=1595714\";s:7:\"caption\";s:30:\"Frontend &rarr; Store Settings\";}i:16;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-16.png?rev=1595714\";s:7:\"caption\";s:38:\"Frontend &rarr; Store Payment Settings\";}i:17;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-17.png?rev=1595714\";s:7:\"caption\";s:41:\"Frontend &rarr; Individual Seller Store-1\";}i:18;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-18.png?rev=1595714\";s:7:\"caption\";s:41:\"Frontend &rarr; Individual Seller Store-2\";}i:19;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/dokan-lite/assets/screenshot-19.png?rev=1595714\";s:7:\"caption\";s:41:\"Frontend &rarr; Individual Seller Store-3\";}}s:4:\"tags\";a:5:{s:12:\"multi-seller\";s:12:\"multi seller\";s:12:\"multi-vendor\";s:12:\"multi vendor\";s:11:\"multivendor\";s:11:\"multivendor\";s:23:\"multivendor-marketplace\";s:23:\"multivendor marketplace\";s:35:\"woocommerce-multivendor-marketplace\";s:35:\"woocommerce multivendor marketplace\";}s:8:\"versions\";a:110:{s:5:\"2.5.7\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.2.5.7.zip\";s:6:\"2.6.10\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.2.6.10.zip\";s:5:\"2.7.8\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.2.7.8.zip\";s:5:\"2.8.6\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.2.8.6.zip\";s:6:\"2.9.31\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.2.9.31.zip\";s:5:\"3.0.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.0.zip\";s:5:\"3.0.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.1.zip\";s:6:\"3.0.10\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.10.zip\";s:6:\"3.0.11\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.11.zip\";s:6:\"3.0.12\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.12.zip\";s:6:\"3.0.13\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.13.zip\";s:6:\"3.0.14\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.14.zip\";s:6:\"3.0.15\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.15.zip\";s:6:\"3.0.16\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.16.zip\";s:5:\"3.0.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.2.zip\";s:5:\"3.0.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.3.zip\";s:5:\"3.0.4\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.4.zip\";s:5:\"3.0.5\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.5.zip\";s:5:\"3.0.6\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.6.zip\";s:5:\"3.0.7\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.7.zip\";s:5:\"3.0.8\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.8.zip\";s:5:\"3.0.9\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.0.9.zip\";s:5:\"3.1.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.1.0.zip\";s:5:\"3.1.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.1.1.zip\";s:5:\"3.1.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.1.2.zip\";s:6:\"3.10.0\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.10.0.zip\";s:6:\"3.10.1\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.10.1.zip\";s:6:\"3.10.2\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.10.2.zip\";s:6:\"3.10.3\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.10.3.zip\";s:6:\"3.10.4\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.10.4.zip\";s:6:\"3.11.0\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.11.0.zip\";s:6:\"3.11.1\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.11.1.zip\";s:5:\"3.2.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.0.zip\";s:5:\"3.2.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.1.zip\";s:6:\"3.2.10\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.10.zip\";s:6:\"3.2.11\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.11.zip\";s:6:\"3.2.12\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.12.zip\";s:6:\"3.2.13\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.13.zip\";s:6:\"3.2.14\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.14.zip\";s:6:\"3.2.15\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.15.zip\";s:5:\"3.2.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.2.zip\";s:5:\"3.2.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.3.zip\";s:5:\"3.2.4\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.4.zip\";s:5:\"3.2.5\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.5.zip\";s:5:\"3.2.6\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.6.zip\";s:5:\"3.2.7\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.7.zip\";s:5:\"3.2.8\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.8.zip\";s:5:\"3.2.9\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.2.9.zip\";s:5:\"3.3.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.0.zip\";s:5:\"3.3.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.1.zip\";s:5:\"3.3.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.2.zip\";s:5:\"3.3.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.3.zip\";s:5:\"3.3.4\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.4.zip\";s:5:\"3.3.5\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.5.zip\";s:5:\"3.3.6\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.6.zip\";s:5:\"3.3.7\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.7.zip\";s:5:\"3.3.8\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.8.zip\";s:5:\"3.3.9\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.3.9.zip\";s:5:\"3.4.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.4.0.zip\";s:5:\"3.4.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.4.1.zip\";s:5:\"3.4.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.4.2.zip\";s:5:\"3.4.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.4.3.zip\";s:5:\"3.5.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.5.0.zip\";s:5:\"3.5.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.5.1.zip\";s:5:\"3.6.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.6.0.zip\";s:5:\"3.6.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.6.1.zip\";s:5:\"3.6.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.6.2.zip\";s:5:\"3.6.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.6.3.zip\";s:5:\"3.6.4\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.6.4.zip\";s:5:\"3.6.5\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.6.5.zip\";s:5:\"3.7.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.0.zip\";s:5:\"3.7.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.1.zip\";s:6:\"3.7.10\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.10.zip\";s:6:\"3.7.11\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.11.zip\";s:6:\"3.7.12\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.12.zip\";s:6:\"3.7.13\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.13.zip\";s:6:\"3.7.14\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.14.zip\";s:6:\"3.7.15\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.15.zip\";s:6:\"3.7.16\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.16.zip\";s:6:\"3.7.17\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.17.zip\";s:6:\"3.7.18\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.18.zip\";s:6:\"3.7.19\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.19.zip\";s:5:\"3.7.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.2.zip\";s:6:\"3.7.20\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.20.zip\";s:6:\"3.7.21\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.21.zip\";s:6:\"3.7.22\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.22.zip\";s:6:\"3.7.23\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.23.zip\";s:6:\"3.7.24\";s:60:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.24.zip\";s:5:\"3.7.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.3.zip\";s:5:\"3.7.4\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.4.zip\";s:5:\"3.7.5\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.5.zip\";s:5:\"3.7.6\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.6.zip\";s:5:\"3.7.7\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.7.zip\";s:5:\"3.7.8\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.8.zip\";s:5:\"3.7.9\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.7.9.zip\";s:5:\"3.8.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.8.0.zip\";s:5:\"3.8.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.8.1.zip\";s:5:\"3.8.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.8.2.zip\";s:5:\"3.8.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.8.3.zip\";s:5:\"3.9.0\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.0.zip\";s:5:\"3.9.1\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.1.zip\";s:5:\"3.9.2\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.2.zip\";s:5:\"3.9.3\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.3.zip\";s:5:\"3.9.4\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.4.zip\";s:5:\"3.9.5\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.5.zip\";s:5:\"3.9.6\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.6.zip\";s:5:\"3.9.7\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.7.zip\";s:5:\"3.9.8\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.8.zip\";s:5:\"3.9.9\";s:59:\"https://downloads.wordpress.org/plugin/dokan-lite.3.9.9.zip\";s:5:\"trunk\";s:53:\"https://downloads.wordpress.org/plugin/dokan-lite.zip\";}s:14:\"business_model\";b:0;s:14:\"repository_url\";s:0:\"\";s:22:\"commercial_support_url\";s:0:\"\";s:11:\"donate_link\";s:23:\"http://tareq.co/donate/\";s:7:\"banners\";a:2:{s:3:\"low\";s:65:\"https://ps.w.org/dokan-lite/assets/banner-772x250.png?rev=1628889\";s:4:\"high\";s:66:\"https://ps.w.org/dokan-lite/assets/banner-1544x500.png?rev=1628889\";}s:5:\"icons\";a:2:{s:2:\"1x\";s:63:\"https://ps.w.org/dokan-lite/assets/icon-128x128.gif?rev=3089959\";s:2:\"2x\";s:63:\"https://ps.w.org/dokan-lite/assets/icon-256x256.gif?rev=3089959\";}s:12:\"preview_link\";s:0:\"\";s:4:\"Name\";s:207:\"دکان &#8211; بهترین راه حل برای ایجاد مارکت‌پلیس چندفروشنده در ووکامرس &#8211; آمازون، ای‌بِی یا اتسی خودتان را بسازید.\";}s:11:\"woocommerce\";a:35:{s:4:\"name\";s:14:\"ووکامرس\";s:4:\"slug\";s:11:\"woocommerce\";s:7:\"version\";s:5:\"8.9.1\";s:6:\"author\";s:48:\"<a href=\"https://woocommerce.com\">Automattic</a>\";s:14:\"author_profile\";s:41:\"https://profiles.wordpress.org/woothemes/\";s:12:\"contributors\";a:49:{s:10:\"automattic\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/automattic/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/687b3bf96c41800814e3b93766444283?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:10:\"Automattic\";}s:11:\"woocommerce\";a:3:{s:7:\"profile\";s:43:\"https://profiles.wordpress.org/woocommerce/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/f3c6ec4fe984504efa75aa4ba51e06cc?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"WooCommerce\";}s:10:\"mikejolley\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/mikejolley/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/9b87f99f47e30735e1136c5141531fdf?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:18:\"Mike Jolley (a11n)\";}s:11:\"jameskoster\";a:3:{s:7:\"profile\";s:43:\"https://profiles.wordpress.org/jameskoster/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/19a6a101c57df54bc1c40adcfba785d8?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:12:\"James Koster\";}s:14:\"claudiosanches\";a:3:{s:7:\"profile\";s:46:\"https://profiles.wordpress.org/claudiosanches/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/908480753c07509e76322dc17d305c8b?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:15:\"Claudio Sanches\";}s:13:\"rodrigosprimo\";a:3:{s:7:\"profile\";s:45:\"https://profiles.wordpress.org/rodrigosprimo/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/f2271ae6814a29d8cbf38ae2d0305a72?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Rodrigo Primo\";}s:15:\"peterfabian1000\";a:3:{s:7:\"profile\";s:47:\"https://profiles.wordpress.org/peterfabian1000/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/be249b86dddbf495565a36196625d77a?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:12:\"Peter Fabian\";}s:7:\"vedjain\";a:3:{s:7:\"profile\";s:39:\"https://profiles.wordpress.org/vedjain/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/7a640eb2847d9a0a0d5e6af385e21881?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Vedanshu Jain\";}s:8:\"jamosova\";a:3:{s:7:\"profile\";s:40:\"https://profiles.wordpress.org/jamosova/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/eb515897a71b0df82ccd2788548588c4?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Julia Amosova\";}s:16:\"obliviousharmony\";a:3:{s:7:\"profile\";s:48:\"https://profiles.wordpress.org/obliviousharmony/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/185f31c1e5af65fee78506769ca13276?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:16:\"obliviousharmony\";}s:9:\"konamiman\";a:3:{s:7:\"profile\";s:41:\"https://profiles.wordpress.org/konamiman/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/6f89064cf77f281c903ade9911b347b5?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:9:\"konamiman\";}s:8:\"sadowski\";a:3:{s:7:\"profile\";s:40:\"https://profiles.wordpress.org/sadowski/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/766381c51d7072d1f48ee8878e2ce3af?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:8:\"sadowski\";}s:8:\"wpmuguru\";a:3:{s:7:\"profile\";s:40:\"https://profiles.wordpress.org/wpmuguru/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/7b8ff059b9a4504dfbaebd4dd190466e?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Ron Rennick\";}s:5:\"royho\";a:3:{s:7:\"profile\";s:37:\"https://profiles.wordpress.org/royho/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/715b4097a10f874f8681b15608687f83?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:5:\"royho\";}s:13:\"barryhughes-1\";a:3:{s:7:\"profile\";s:45:\"https://profiles.wordpress.org/barryhughes-1/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/4d7aea8e7879e3ea257ddb4a99a300f1?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:5:\"Barry\";}s:12:\"claudiulodro\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/claudiulodro/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/ef37f6ac5bb6d898709078c843699fa8?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:19:\"Claudiu Lodromanean\";}s:12:\"tiagonoronha\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/tiagonoronha/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/de4488154c03a4bb7a0197eaaddbfd3d?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Tiago Noronha\";}s:6:\"ryelle\";a:3:{s:7:\"profile\";s:38:\"https://profiles.wordpress.org/ryelle/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/ca5ab31df7108a28998792f75bb1d7d1?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:17:\"Kelly Choyce-Dwan\";}s:10:\"levinmedia\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/levinmedia/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/40511bf4877318776a0d1bcfaa95f57a?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:10:\"levinmedia\";}s:7:\"aljullu\";a:3:{s:7:\"profile\";s:39:\"https://profiles.wordpress.org/aljullu/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/c0faac1ed3a278b78d4cc54555011a00?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:21:\"Albert Juhé Lluveras\";}s:6:\"nerrad\";a:3:{s:7:\"profile\";s:38:\"https://profiles.wordpress.org/nerrad/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/82c44d1ed35aec5d4a7252da502eb04b?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:22:\"Darren Ethier (nerrad)\";}s:10:\"joshuawold\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/joshuawold/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/78f0d973775bae2efe33199b84682818?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Joshua Wold\";}s:13:\"assassinateur\";a:3:{s:7:\"profile\";s:45:\"https://profiles.wordpress.org/assassinateur/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/123fd4de078afed33253db23c740b7f9?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:12:\"Nadir Seghir\";}s:7:\"haszari\";a:3:{s:7:\"profile\";s:39:\"https://profiles.wordpress.org/haszari/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/2770b107404b421d75483443454357d6?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Rua Haszard\";}s:10:\"mppfeiffer\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/mppfeiffer/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/8a71536ecdb56815f4a6d7f090f9a1d6?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:19:\"Michael P. Pfeiffer\";}s:10:\"nielslange\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/nielslange/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/0eb4d4cb15c2538a435c4ef2f300f98c?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Niels Lange\";}s:9:\"ralucastn\";a:3:{s:7:\"profile\";s:41:\"https://profiles.wordpress.org/ralucastn/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/ab46081c522a76d8ded00afe35709fce?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:9:\"ralucastn\";}s:11:\"tjcafferkey\";a:3:{s:7:\"profile\";s:43:\"https://profiles.wordpress.org/tjcafferkey/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/afb82270d62c2e15e93cd67266cbd05b?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"tjcafferkey\";}s:13:\"danielwrobert\";a:3:{s:7:\"profile\";s:45:\"https://profiles.wordpress.org/danielwrobert/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/8be94139fba3931699d23861915de7ad?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"danielwrobert\";}s:19:\"patriciahillebrandt\";a:3:{s:7:\"profile\";s:51:\"https://profiles.wordpress.org/patriciahillebrandt/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/754f035dc61fdb1ee0c421d0dd9b6548?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:19:\"patriciahillebrandt\";}s:7:\"albarin\";a:3:{s:7:\"profile\";s:39:\"https://profiles.wordpress.org/albarin/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/ebd9116182de32acff7c937e63a334ca?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:7:\"albarin\";}s:10:\"dinhtungdu\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/dinhtungdu/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/256a636b71ef62a4a25b675e7df193cb?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:7:\"Tung Du\";}s:10:\"imanish003\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/imanish003/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/07ad3b84edb8ad248f32865259e93f76?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:10:\"imanish003\";}s:12:\"karolmanijak\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/karolmanijak/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/baa4e8535d51ead12d13f4f9b4635941?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Karol Manijak\";}s:13:\"sunyatasattva\";a:3:{s:7:\"profile\";s:45:\"https://profiles.wordpress.org/sunyatasattva/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/3812e0fa65aaf3301b4b7831adb34116?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:20:\"sunyatasattva (a11n)\";}s:13:\"alexandrelara\";a:3:{s:7:\"profile\";s:45:\"https://profiles.wordpress.org/alexandrelara/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/0bb01184012ef3dcea27d39f608efbc8?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:14:\"Alexandre Lara\";}s:7:\"gigitux\";a:3:{s:7:\"profile\";s:39:\"https://profiles.wordpress.org/gigitux/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/14b4ac105ab488143e3054b0f19b0f45?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:5:\"Luigi\";}s:12:\"danieldudzic\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/danieldudzic/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/ac71ae93eb8b7b125e9e8456a215a2f3?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:12:\"danieldudzic\";}s:11:\"samueljseay\";a:3:{s:7:\"profile\";s:43:\"https://profiles.wordpress.org/samueljseay/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/0e0c7d17bef89462fcad9e26d52698eb?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:3:\"Sam\";}s:12:\"alexflorisca\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/alexflorisca/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/59637462ac8fbc0127f06e1720fd9da9?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:12:\"alexflorisca\";}s:5:\"opr18\";a:3:{s:7:\"profile\";s:37:\"https://profiles.wordpress.org/opr18/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/d05a54809270fd5369e3a78965aff28e?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:5:\"opr18\";}s:12:\"tarunvijwani\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/tarunvijwani/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/e344f1eee54077e4e573282dd8aefbdf?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:12:\"tarunvijwani\";}s:12:\"pauloarromba\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/pauloarromba/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/fdebebd87b97260b706c1170326042f5?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Paulo Arromba\";}s:9:\"saadtarhi\";a:3:{s:7:\"profile\";s:41:\"https://profiles.wordpress.org/saadtarhi/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/8ecbf20755aea99f876f5e1f1cf29537?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:7:\"Saad T.\";}s:4:\"bor0\";a:3:{s:7:\"profile\";s:36:\"https://profiles.wordpress.org/bor0/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/bdf960f676361ad8583435b91d88f9e4?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:16:\"Boro Sitnikovski\";}s:5:\"kloon\";a:3:{s:7:\"profile\";s:37:\"https://profiles.wordpress.org/kloon/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/0ca73c5a054774e42732997af3cd8b53?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:17:\"Gerhard Potgieter\";}s:12:\"coreymckrill\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/coreymckrill/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/3ae68dc337436ff11f96e370ec4b8276?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:13:\"Corey McKrill\";}s:12:\"jorgeatorres\";a:3:{s:7:\"profile\";s:44:\"https://profiles.wordpress.org/jorgeatorres/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/3e4f939e694f5a7068a799f464fa4234?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:15:\"Jorge A. Torres\";}s:10:\"leifsinger\";a:3:{s:7:\"profile\";s:42:\"https://profiles.wordpress.org/leifsinger/\";s:6:\"avatar\";s:88:\"https://secure.gravatar.com/avatar/2e936c01386eb16a680e41fda6a7b4aa?s=96&d=monsterid&r=g\";s:12:\"display_name\";s:11:\"Leif Singer\";}}s:8:\"requires\";s:3:\"6.4\";s:6:\"tested\";s:5:\"6.5.3\";s:12:\"requires_php\";s:3:\"7.4\";s:16:\"requires_plugins\";a:0:{}s:6:\"rating\";i:90;s:7:\"ratings\";a:5:{i:5;i:3542;i:4;i:176;i:3;i:97;i:2;i:100;i:1;i:384;}s:11:\"num_ratings\";i:4299;s:11:\"support_url\";s:49:\"https://wordpress.org/support/plugin/woocommerce/\";s:15:\"support_threads\";i:1430;s:24:\"support_threads_resolved\";i:1051;s:15:\"active_installs\";i:7000000;s:12:\"last_updated\";s:22:\"2024-05-21 11:40am GMT\";s:5:\"added\";s:10:\"2011-09-27\";s:8:\"homepage\";s:24:\"https://woocommerce.com/\";s:8:\"sections\";a:6:{s:11:\"description\";s:13515:\"<p><a href=\"https://woocommerce.com/woocommerce/\" rel=\"nofollow ugc\">ووکامرس</a> is the open-source ecommerce platform for WordPress.</p>\n<p>بستر اصلی ما رایگان، انعطاف پذیر و تقویت شده توسط یک جامعه جهانی است. آزادی منبع آزاد به این معنی است که مالکیت کامل محتوا و داده‌های فروشگاه خود را برای همیشه حفظ کنید.</p>\n<p>خواه در حال راه اندازی تجارت باشید، خرده فروشی یا در حال توسعه سایت هایی برای مشتری، از ووکامرس برای فروشگاهی استفاده کنید که محتوا و تجارت را به شدت با یکدیگر مخلوط می کند.</p>\n<ul>\n<li><strong>Create beautiful, enticing storefronts</strong> with <a href=\"https://woocommerce.com/product-category/themes/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">themes</a> suited to your brand and industry.</li>\n<li><strong>Increase revenue</strong> with an optimized <a href=\"https://woocommerce.com/checkout-blocks/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">shopping cart experience</a> that converts.</li>\n<li><strong>Customize product pages in minutes</strong> using modular <a href=\"https://woocommerce.com/document/woocommerce-blocks/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">product blocks</a>.</li>\n<li>کالاهای فیزیکی و دیجیتالی، تغییرات محصول، تنظیمات سفارشی، دانلودهای فوری و موارد وابسته را به نمایش بگذارید.</li>\n<li>Sell <a href=\"https://woocommerce.com/products/woocommerce-subscriptions/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">subscriptions</a>, <a href=\"https://woocommerce.com/products/woocommerce-bookings/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">bookings</a>, or <a href=\"https://woocommerce.com/products/woocommerce-memberships/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">memberships</a>, with our developer-vetted extensions.</li>\n<li>با استفاده از اهرم <a href=\"https://www.searchenginejournal.com/wordpress-best-cms-seo/\" rel=\"nofollow ugc\">مزیت بهینه‌سازی موتور جستجو در وردپرس</a> <strong>به صدر نتایج جستجو در موتورهای جستجو بروید.</strong></li>\n<li><strong>Build on a platform that scales.</strong> Get flexible ecommerce for <a href=\"https://woocommerce.com/high-volume-stores/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">high-volume stores</a>.</li>\n</ul>\n<h4>تمام ابزارهایی که برای فروش نیاز دارید</h4>\n<p>Built-in tools and popular integrations help you efficiently manage your business operations. Many services are free to add with a single click via the optional <a href=\"https://woocommerce.com/document/woocommerce-setup-wizard/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Setup Wizard</a>.</p>\n<ul>\n<li><strong>Choose how you want to get paid</strong>. Conveniently manage payments from the comfort of your store with <a href=\"https://woocommerce.com/payments/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">WooPayments</a> (Available in the U.S., U.K., Ireland, Australia, New Zealand, Canada, Spain, France, Germany, and Italy). Securely accept credit cards, mobile wallets, bank transfers, and cash thanks to <a href=\"https://woocommerce.com/product-category/woocommerce-extensions/payment-gateways/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">100+ payment gateways</a> – including <a href=\"https://woocommerce.com/products/stripe/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Stripe</a>, <a href=\"https://woocommerce.com/products/woocommerce-gateway-paypal-checkout/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">PayPal</a>, and <a href=\"https://woocommerce.com/products/square/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Square</a>.</li>\n<li><strong>Configure your shipping options</strong>. Print USPS labels right from your dashboard and even schedule a pickup with <a href=\"https://woocommerce.com/products/shipping/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">WooCommerce Shipping</a> (U.S.-only). Connect with <a href=\"https://woocommerce.com/product-category/woocommerce-extensions/shipping-methods/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">well-known carriers</a> such as UPS and FedEx – plus a wide variety of delivery, inventory, and fulfillment solutions for your locale.</li>\n<li><strong>Simplify sales tax</strong>. Add <a href=\"https://woocommerce.com/products/tax/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">WooCommerce Tax</a> or <a href=\"https://woocommerce.com/product-category/woocommerce-extensions/tax?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">similar integrated services</a> to make automated calculations a reality.</li>\n</ul>\n<h4>کسب و کار خود را رشد دهید، ویژگی‌ها را اضافه کنید و در عین حال بر فروشگاه خود نظارت کنید</h4>\n<p>ووکامرس به معنای تجارت است. با زبانه‌های <a href=\"https://wordpress.org/plugins/woocommerce-admin/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"ugc\">مدیریت ووکامرس</a> معیارهای عملکرد برای خود داشته باشید. &#8211; یک پیشخوان مرکزی قدرتمند و قابل تنظیم برای فروشگاه شما.</p>\n<p>Expand your audience across marketing and social channels with <a href=\"https://woocommerce.com/products/google-ads/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Google Ads</a>, <a href=\"https://woocommerce.com/products/hubspot-for-woocommerce/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">HubSpot</a>, <a href=\"https://woocommerce.com/products/mailchimp-for-woocommerce/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Mailchimp</a>, and <a href=\"https://woocommerce.com/products/facebook/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Facebook</a> integrations. You can always check out the in-dashboard <a href=\"https://woocommerce.com/document/marketing-hub/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Marketing Hub</a> for fresh ideas and tips to help you succeed.</p>\n<p>Enhance store functionality with hundreds of free and paid extensions from the <a href=\"https://woocommerce.com/products/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">official WooCommerce Marketplace</a>. Our developers <a href=\"https://woocommerce.com/document/marketplace-overview/#section-6?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">vet each new extension</a> and regularly review existing extensions to maintain Marketplace quality standards. We are actively <a href=\"https://woocommerce.com/document/marketplace-overview/#section-2?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">looking for products that help store builders create successful stores</a>.</p>\n<p>Manage your store from anywhere with the free WooCommerce <a href=\"https://woocommerce.com/mobile/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">mobile app</a> (Android and iOS). Spoiler alert: Keep an ear out for the slightly addictive &#8220;cha-ching&#8221; notification sound each time you make a new sale!</p>\n<h4>داده‌های فروشگاه خود را مالکیت و کنترل کنید &#8211; برای همیشه</h4>\n<p>With <a href=\"https://woocommerce.com/woocommerce/\" rel=\"nofollow ugc\">ووکامرس</a>, your data belongs to you. Always.</p>\n<p>If you opt to share <a href=\"https://woocommerce.com/usage-tracking/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">usage data</a> with us, you can feel confident knowing that it’s anonymized and kept secure. Choose to opt-out at any time without impacting your store.</p>\n<p>Unlike hosted ecommerce solutions, WooCommerce store data is future-proof; you’re free to export all your content and take your site to any platform you choose. No restrictions.</p>\n<h4>چرا توسعه‌دهندگان ووکامرس را انتخاب میکنند و آن را دوست دارند</h4>\n<p>Developers can use <a href=\"https://woocommerce.com/woocommerce/\" rel=\"nofollow ugc\">ووکامرس</a> to create, customize, and scale a store to meet a client’s exact specifications, making enhancements through extensions or custom solutions.</p>\n<ul>\n<li>Leverage <a href=\"https://woocommerce.com/document/introduction-to-hooks-actions-and-filters/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">hooks and filters</a> to modify or create functionality.</li>\n<li>Integrate virtually any service using a robust <a href=\"https://developer.woocommerce.com/docs/getting-started-with-the-woocommerce-rest-api/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">REST API</a> and webhooks.</li>\n<li>با React بلوک‌های محتوای سفارشی را طراحی کنید و بسازید.</li>\n<li><a href=\"https://developer.woocommerce.com/docs/category/extension-development/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Inspect and modify</a> any aspect of the core plugin code.</li>\n<li>سرعت بخشیدن به توسعه با یک<a href=\"https://woocommerce.github.io/code-reference/classes/wc-cli-rest-command.html?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">CLI</a> فوق‌العاده سریع.</li>\n</ul>\n<p>بستر اصلی به طور دقیق و غالباً مورد آزمایش قرار می گیرد و توسط یک تیم توسعه‌دهنده اختصاصی که در مناطق مختلف کار می کنند پشتیبانی می شود. اسناد جامع با هر نسخه به‌روز میشوند و به شما امکان می دهند دقیقاً فروشگاه مورد نیاز خود را بسازید.</p>\n<h4>جزئی از جامعه بین‌المللی در حال رشد ما باشید</h4>\n<p>ووکامرس دارای یک انجمن بزرگ و پرشور است که به تجار کمک می کند تا موفق شوند – و به سرعت در حال رشد است.</p>\n<p>There are <a href=\"https://woocommerce.com/meetups/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">WooCommerce Meetups</a> in locations around the world that you can attend for free and even get involved in running. These events are a great way to learn from others, share your expertise, and connect with like-minded folks.</p>\n<p>ووکامرس همچنین به طور منظم در وردکمپ‌ها در سراسر جهان حضور دارد &#8211; ما دوست داریم شما را ملاقات کنیم.</p>\n<h4>مشارکت و ترجمه</h4>\n<p>ووکامرس توسط اتوماتیک، سازندگان WordPress.com و جت پک ایجاد شده و پشتیبانی می شود. ما همچنین صدها مشارکت کننده مستقل داریم و همیشه جای بیشتری وجود دارد. به <a href=\"https://github.com/woocommerce/woocommerce?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">مخزن گیتهاب ووکامرس</a> بروید تا بفهمید چگونه می توانید در سایت خود قرار دهید .</p>\n<p>ووکامرس به چندین زبان از جمله دانمارکی، اوکراینی و فارسی ترجمه شده است. با افزودن زبان، به بومی‌سازی ووکامرس کمک کنید &#8211; به  <a href=\"https://translate.wordpress.org/projects/wp-plugins/woocommerce/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">ترجمه wordpress.org</a>  مراجعه کنید.</p>\n\";s:12:\"installation\";s:3181:\"<h4>حداقل نیازمندی ها</h4>\n<ul>\n<li>نیازمند PHP 7.4 یا بالاتر است (PHP 8.0 یا بالاتر پیشنهاد می‌شود)</li>\n<li>نیازمند MySQL 5.6 یا بالاتر، یا MariaDB نسخۀ 10.1یا بالاتر است</li>\n</ul>\n<p>Visit the <a href=\"https://woocommerce.com/document/server-requirements/?utm_source=wp%20org%20repo%20listing&amp;utm_content=3.6\" rel=\"nofollow ugc\">WooCommerce server requirements documentation</a> for a detailed list of server requirements.</p>\n<h4>نصب خودکار</h4>\n<p>نصب خودکار ساده ترین گزینه است &#8212; وردپرس انتقال فایل را انجام می دهد و شما نیازی به ترک مرورگر وب خود ندارید. برای نصب خودکار ووکامرس، وارد پیشخوان وردپرس خود شوید، به فهرست افزونه‌ها بروید و روی «افزودن جدید» کلیک کنید.</p>\n<p>در قسمت جستجو، «WooCommerce» را تایپ کنید، سپس «جستجوی افزونه‌ها» را کلیک کنید. وقتی ما را پیدا کردید، می توانید جزئیات مربوط به آن مانند انتشار نقطه، رتبه‌بندی و توضیحات را مشاهده کنید. البته از همه مهمتر، میتوانید آن را نصب کنید! روی «اکنون نصب شود» کلیک کنید و وردپرس آن را نصب میکند.</p>\n<h4>نصب دستی</h4>\n<p>روش نصب دستی مستلزم دانلود افزونه ووکامرس و آپلود آن در وب سرور خود از طریق برنامه FTP مورد علاقه خود است. کدکس وردپرس حاوی <a href=\"https://wordpress.org/support/article/managing-plugins/#manual-plugin-installation\" rel=\"ugc\">دستورالعمل‌هایی درباره نحوه انجام این کار در اینجا</a> است.</p>\n<h4>به روز کردن</h4>\n<p>به‌روزرسانی‌های خودکار باید بدون مشکل کار کنند، اما ما همچنان توصیه می کنیم از سایت خود پشتیبان تهیه کنید.</p>\n<p>اگر پس از به‌روزرسانی در صفحات فروشگاه /دسته با مشکلی روبرو شدید، با رفتن به پنل مدیریت &gt; تنظیمات &gt;  پیوند های یکتا، سپس ذخیره را بفشرید. و پس از آن تمام لینک های سایت به درستی نمایش داده می شوند.</p>\n<h4>داده نمونه</h4>\n<p>WooCommerce comes with some sample data you can use to see how products look; import sample_products.xml via the <a href=\"https://wordpress.org/plugins/wordpress-importer/\" rel=\"ugc\">WordPress importer</a>. You can also use the core <a href=\"https://woocommerce.com/document/product-csv-importer-exporter/?utm_source=wp%20org%20repo%20listing&amp;utm_content=3.6\" rel=\"nofollow ugc\">CSV importer</a> or our <a href=\"https://woocommerce.com/products/product-csv-import-suite/?utm_source=wp%20org%20repo%20listing&amp;utm_content=3.6\" rel=\"nofollow ugc\">CSV Import Suite extension</a> to import sample_products.csv</p>\n\";s:3:\"faq\";s:8809:\"\n<dt id=\'where%20can%20i%20find%20woocommerce%20documentation%20and%20user%20guides%3F\'>\nکجا می توانم مستندات ووکامرس و راهنمای کاربر را پیدا کنم؟\n</h4>\n<p>\n<p>For help setting up and configuring WooCommerce, please refer to <a href=\"https://woocommerce.com/documentation/plugins/woocommerce/getting-started/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Getting Started</a> and the <a href=\"https://woocommerce.com/guides/new-store/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">New WooCommerce Store Owner Guide</a>.</p>\n<p>For extending or theming WooCommerce, see our <a href=\"https://github.com/woocommerce/woocommerce/tree/trunk/docs\" rel=\"nofollow ugc\">documentation</a>, as well as the <a href=\"https://github.com/woocommerce/woocommerce/blob/trunk/docs/extension-development/extension-development-best-practices.md\" rel=\"nofollow ugc\">Plugin Developer Best Practices</a>.</p>\n</p>\n<dt id=\'where%20can%20i%20get%20help%20or%20talk%20to%20other%20users%20about%20woocommerce%20core%3F\'>\nاز کجا می توانم در مورد هسته ووکامرس کمک بگیرم یا با کاربران دیگر صحبت کنم؟\n</h4>\n<p>\n<p>If you get stuck, you can ask for help in the <a href=\"https://wordpress.org/support/plugin/woocommerce/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"ugc\">WooCommerce Support Forum</a> by following <a href=\"https://wordpress.org/support/topic/guide-to-the-woocommerce-forum/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"ugc\">these guidelines</a>, reach out via the <a href=\"https://woocommerce.com/community-slack/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">WooCommerce Community Slack</a>, or post in the <a href=\"https://www.facebook.com/groups/advanced.woocommerce?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">WooCommerce Community group</a> on Facebook.</p>\n</p>\n<dt id=\'where%20can%20i%20get%20help%20for%20extensions%20i%20have%20purchased%20from%20the%20woocommerce%20marketplace%3F\'>\nاز کجا می‌توانم برای افزونه‌هایی که از WooCommerce Marketplace خریداری کرده‌ام کمک بگیرم؟\n</h4>\n<p>\n<p>For assistance with paid extensions from the WooCommerce Marketplace: first, review our <a href=\"https://woocommerce.com/document/woocommerce-self-service-guide/\" rel=\"nofollow ugc\">self-service troubleshooting guide</a>. If the problem persists, kindly log a support ticket via <a href=\"https://woocommerce.com/my-account/create-a-ticket/\" rel=\"nofollow ugc\">our helpdesk</a>. Our dedicated Happiness Engineers aim to respond within 24 hours.</p>\n</p>\n<dt id=\'i%E2%80%99m%20having%20trouble%20logging%20in%20to%20woocommerce.com%20%E2%80%93%20what%20now%3F\'>\nبرای ورود به WooCommerce.com مشکل دارم &#8211; حالا چه کار کنم؟\n</h4>\n<p>\n<p>First, troubleshoot common login issues using this helpful <a href=\"https://woocommerce.com/document/log-into-woocommerce-com-with-wordpress-com/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">step-by-step guide</a>. Still not working? <a href=\"https://woocommerce.com/contact-us/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Get in touch with us</a>.</p>\n</p>\n<dt id=\'will%20woocommerce%20work%20with%20my%20theme%3F\'>\nآیا ووکامرس با قالب من کار می کند؟\n</h4>\n<p>\n<p>Yes! WooCommerce will work with any theme but may require some additional styling. If you’re looking for a theme featuring deep WooCommerce integration, we recommend <a href=\"https://woocommerce.com/storefront/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Storefront</a>.</p>\n</p>\n<dt id=\'how%20do%20i%20update%20woocommerce%3F\'>\nچگونه میتوانم ووکامرس را بروز کنم؟\n</h4>\n<p>\n<p>We have a detailed guide on <a href=\"https://woocommerce.com/document/how-to-update-woocommerce/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">How To Update WooCommerce</a>.</p>\n</p>\n<dt id=\'my%20site%20broke%20%E2%80%93%20what%20do%20i%20do%3F\'>\nسایت من خراب شد &#8211; چه کاری انجام دهم؟\n</h4>\n<p>\n<p>Start by diagnosing the issue using our helpful <a href=\"https://woocommerce.com/documentation/get-help/troubleshooting-get-help/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">troubleshooting guide</a>.</p>\n<p>اگر پس از به‌روزرسانی یک پوسته یا افزونه متوجه خطا شدید، ممکن است مشکلات سازگاری بین آن و ووکامرس وجود داشته باشد. اگر این مسئله پس از به روزرسانی ووکامرس ظاهر شود، ممکن است بین ووکامرس و یک پوسته یا افزونه قدیمی تداخلی وجود داشته باشد.</p>\n<p>In both instances, we recommend running a conflict test using <a href=\"https://woocommerce.com/document/troubleshooting-using-health-check/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Health Check</a> (which allows you to disable themes and plugins without affecting your visitors) or troubleshooting the issue using a <a href=\"https://woocommerce.com/document/how-to-test-for-conflicts/#section-3?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">staging site</a>.</p>\n</p>\n<dt id=\'where%20can%20i%20report%20bugs%3F\'>\nاز کجا می توان مشکلات را گزارش داد؟\n</h4>\n<p>\n<p>خطاها را در <a href=\"https://github.com/woocommerce/woocommerce/issues?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">مخزن گیتهاب ووکامرس</a> گزارش کنید. همچنین می توانید از طریق انجمن پشتیبانی ما، به ما اطلاع دهید &#8211; حتماً در انجمن ها جستجو کنید تا مطمئن شوید که خطا قبلاً گزارش نشده است.</p>\n</p>\n<dt id=\'where%20can%20i%20request%20new%20features%2C%20themes%2C%20and%20extensions%3F\'>\nاز کجا می توانم ویژگی‌ها ، پوسته‌ها و برنامه‌های افزودنی جدید را درخواست کنم؟\n</h4>\n<p>\n<p>Request new features and extensions and vote on existing suggestions on our official <a href=\"https://woocommerce.com/feature-requests/woocommerce?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">feature request board</a>. Our Product teams regularly review requests and consider them valuable for product planning.</p>\n</p>\n<dt id=\'woocommerce%20is%20awesome%21%20can%20i%20contribute%3F\'>\nووکامرس فوق العاده ست! چطوری می تونم مشارکت کنم؟\n</h4>\n<p>\n<p>بله، میتوانید! به <a href=\"https://github.com/woocommerce/woocommerce/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">مخزن گیتهاب</a> ما بپیوندید و <a href=\"https://woocommerce.wordpress.com/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">وب‌نوشت توسعه</a> را دنبال کنید تا در مورد هر آنچه در این پروژه به‌روز میشود مطلع باشید.</p>\n</p>\n<dt id=\'where%20can%20i%20find%20rest%20api%20documentation%3F\'>\nکجا می توانم مستندات Rest API را پیدا کنم؟\n</h4>\n<p>\n<p>مستندات گسترده REST API<a href=\"https://woocommerce.github.io/woocommerce-rest-api-docs/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\"> ووکامرس</a> در گیتهاب در دسترس است.</p>\n</p>\n<dt id=\'my%20question%20is%20not%20listed%20here.%20where%20can%20i%20find%20more%20answers%3F\'>\nسوال من در اینجا ذکر نشده است. از کجا می‌توانم پاسخ‌های بیشتری پیدا کنم؟\n</h4>\n<p>\n<p>Check out <a href=\"https://woocommerce.com/document/frequently-asked-questions/?utm_medium=referral&amp;utm_source=wordpress.org&amp;utm_campaign=wp_org_repo_listing\" rel=\"nofollow ugc\">Frequently Asked Questions</a> for more.</p>\n</p>\n\n\";s:9:\"changelog\";s:1102:\"<h4>8.9.1 2024-05-21</h4>\n<p><strong>ووکامرس</strong></p>\n<ul>\n<li>Fix &#8211; Automated installation of the Legacy REST API plugin should only happen once. After that, it must be installed manually (if needed). <a href=\"https://github.com/woocommerce/woocommerce/pull/47563\" rel=\"nofollow ugc\">#47563</a></li>\n<li>Fix &#8211; Fixes a crash in the modal block editor when the Add button is clicked with Gutenberg 18.3.0 and later <a href=\"https://github.com/woocommerce/woocommerce/pull/47561\" rel=\"nofollow ugc\">#47561</a></li>\n<li>Fix &#8211; Fix warning when loading guest sessions from previous sessions. <a href=\"https://github.com/woocommerce/woocommerce/pull/47514\" rel=\"nofollow ugc\">#47514</a></li>\n<li>Fix &#8211; Prevent calling woocommerce.com on empty update-check and update-check-public payload. <a href=\"https://github.com/woocommerce/woocommerce/pull/47507\" rel=\"nofollow ugc\">#47507</a></li>\n</ul>\n<p><a href=\"https://raw.githubusercontent.com/woocommerce/woocommerce/trunk/changelog.txt\" rel=\"nofollow ugc\">See changelog for all versions</a>.<br />\n/trunk/changelog.txt).</p>\n\";s:11:\"screenshots\";s:1035:\"<ol><li><a href=\"https://ps.w.org/woocommerce/assets/screenshot-1.jpg?rev=2366418\"><img src=\"https://ps.w.org/woocommerce/assets/screenshot-1.jpg?rev=2366418\" alt=\"\"></a></li><li><a href=\"https://ps.w.org/woocommerce/assets/screenshot-2.jpg?rev=2366418\"><img src=\"https://ps.w.org/woocommerce/assets/screenshot-2.jpg?rev=2366418\" alt=\"\"></a></li><li><a href=\"https://ps.w.org/woocommerce/assets/screenshot-3.jpg?rev=2366418\"><img src=\"https://ps.w.org/woocommerce/assets/screenshot-3.jpg?rev=2366418\" alt=\"\"></a></li><li><a href=\"https://ps.w.org/woocommerce/assets/screenshot-4.jpg?rev=2366418\"><img src=\"https://ps.w.org/woocommerce/assets/screenshot-4.jpg?rev=2366418\" alt=\"\"></a></li><li><a href=\"https://ps.w.org/woocommerce/assets/screenshot-5.jpg?rev=2366418\"><img src=\"https://ps.w.org/woocommerce/assets/screenshot-5.jpg?rev=2366418\" alt=\"\"></a></li><li><a href=\"https://ps.w.org/woocommerce/assets/screenshot-6.jpg?rev=2366418\"><img src=\"https://ps.w.org/woocommerce/assets/screenshot-6.jpg?rev=2366418\" alt=\"\"></a></li></ol>\";s:7:\"reviews\";s:15870:\"<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Quick help</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/al24/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/dccb1a12ca1e08b9c4b4d74dbbdbbec3?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/dccb1a12ca1e08b9c4b4d74dbbdbbec3?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/al24/\" class=\"reviewer-name\">al24</a> در <span class=\"review-date\">می 19, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>I am positively surprised by the quick help and simple enough advice! Thank you!</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Good support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"4 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"4\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/jaroslawistok/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/b8a290a57e56699baaf9a13c0a3da84b?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/b8a290a57e56699baaf9a13c0a3da84b?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/jaroslawistok/\" class=\"reviewer-name\">jaroslawistok</a> در <span class=\"review-date\">می 16, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>Good support but still many issues.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Always redirects to its own ad</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"1 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"1\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/birblogcu/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/3c62ddb21fcb596bcfd7bd43aa5a8bf9?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/3c62ddb21fcb596bcfd7bd43aa5a8bf9?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/birblogcu/\" class=\"reviewer-name\">birblogcu</a> در <span class=\"review-date\">می 15, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>I manage a multisite and have clients migrating from other ecommerce platforms. But with every update, woocommerce sends a notification in the complete installation panel and redirects to the plugins page and tries to sell something to the users. It also always encourages creating a wordpress.com account. This causes confusion for my customers.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Don\'t you think why this might be a multisite network? They don\'t have access to everything, and uninformed users encounter errors all the time. Sponsored add-ons are even suggested in the installation wizard.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Please consider users with multisite networks. It\'s not too difficult for developers to think of this.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Great Plugin</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/csesumonpro/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/213bb59007ee444d95eb955a5ef68fb5?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/213bb59007ee444d95eb955a5ef68fb5?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/csesumonpro/\" class=\"reviewer-name\">Sumon Sarker <small>(csesumonpro)</small></a> در <span class=\"review-date\">می 17, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>Great Support.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Great Plugin for Making a Ecommerce Website.</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/gmrafi/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/8f9c7bd96ba6c2b5b6a292e7b82ce61d?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/8f9c7bd96ba6c2b5b6a292e7b82ce61d?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/gmrafi/\" class=\"reviewer-name\">Md Golam Mubasshir Rafi <small>(gmrafi)</small></a> در <span class=\"review-date\">می 12, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>Great Plugin for Making a Ecommerce Website.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Don&#039;t create a monster please!</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"2 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"2\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/ryme11/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/2b1dad28288c497d27fd967cbae72f10?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/2b1dad28288c497d27fd967cbae72f10?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/ryme11/\" class=\"reviewer-name\">ryme11</a> در <span class=\"review-date\">می 10, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>5000 files ~50MB - is this amount of code reasonable?</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Massive Bug Found, No Ticket, No Support</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"1 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"1\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/johnkostly1/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/9fd558b5b8f116c3cea39329fc7bb9f4?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/9fd558b5b8f116c3cea39329fc7bb9f4?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/johnkostly1/\" class=\"reviewer-name\">John Kostly <small>(johnkostly1)</small></a> در <span class=\"review-date\">می 23, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>I found a massive problem assigning WooCommerce custom taxonomies using DEFAULT WordPress functionalities. This means WooCommerce is VIOLATING WordPress\'s standards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Support has not filled a ticket, and claims \"custom code\" isn\'t supported.  Free plugins offer more support then this.  This was an issue with a default install, and they wouldn\'t support it.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>This isn\'t custom code, this is a standard in WordPress. Fix the bug!</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">What happened to Woo?</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"2 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"2\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/calebweb/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/5ade214e2caa7156a94ddc431a5ae405?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/5ade214e2caa7156a94ddc431a5ae405?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/calebweb/\" class=\"reviewer-name\">cweb <small>(calebweb)</small></a> در <span class=\"review-date\">می 9, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>I\'ve used WooCommerce for some time. It \"was\" my go to, but now I am looking for other carts. I\'m tired of the countless bugs, not being able to just \"uninstall\", and oh, they are adding plugins without your permission. Not to mention how many plugins it takes to do the basics.  All of which will slow down your site.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Professional and reliable</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"5 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"5\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/nyks-barton/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/9a0090f71d8c9a879089ae7ba4ac9175?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/9a0090f71d8c9a879089ae7ba4ac9175?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/nyks-barton/\" class=\"reviewer-name\">nyks-barton</a> در <span class=\"review-date\">می 8, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>Very good, professional online shop system. I was also positively surprised by the fast support.</p>\n<!-- /wp:paragraph --></div>\n</div>\n<div class=\"review\">\n	<div class=\"review-head\">\n		<div class=\"reviewer-info\">\n			<div class=\"review-title-section\">\n				<h4 class=\"review-title\">Lacking in features and needless complicated</h4>\n				<div class=\"star-rating\">\n				<div class=\"wporg-ratings\" aria-label=\"2 از 5 ستاره\" data-title-template=\"%s از 5 ستاره\" data-rating=\"2\" style=\"color:#ffb900;\"><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-filled\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span><span class=\"star dashicons dashicons-star-empty\"></span></div>				</div>\n			</div>\n			<p class=\"reviewer\">\n				توسط <a href=\"https://profiles.wordpress.org/jb510/\"><img alt=\'\' src=\'https://secure.gravatar.com/avatar/f1c8858594659f20b4e99d65d0855f7c?s=16&#038;d=monsterid&#038;r=g\' srcset=\'https://secure.gravatar.com/avatar/f1c8858594659f20b4e99d65d0855f7c?s=32&#038;d=monsterid&#038;r=g 2x\' class=\'avatar avatar-16 photo\' height=\'16\' width=\'16\' loading=\'lazy\' decoding=\'async\'/></a><a href=\"https://profiles.wordpress.org/jb510/\" class=\"reviewer-name\">Jon Brown <small>(jb510)</small></a> در <span class=\"review-date\">می 7, 2024</span>			</p>\n		</div>\n	</div>\n	<div class=\"review-body\"><!-- wp:paragraph -->\n<p>WooCommerce once seemed a great e-commerce solution for WordPress.  Now it\'s burdened by requiring dozens of add-ons to do even the most basic things.  Add-ons upon add-ons upon add-ons, many of which don\'t integrate well with each other.  Add to that the endless daily updates, endless admin messages, endless ads for other add-ons and services.  I just want a plugin to sell stuff, not a full time job managing an entire tech ecosystem instead of running my business.</p>\n<!-- /wp:paragraph --></div>\n</div>\n\";}s:17:\"short_description\";s:294:\"همه چیزهایی که برای راه اندازی یک فروشگاه آنلاین در عرض چند روز و درحال رشد نگه‌داشتن آن برای سال‌ها نیاز دارید. از اولین فروش تا درآمد میلیونی، ووکامرس با شماست.\";s:13:\"download_link\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.9.1.zip\";s:14:\"upgrade_notice\";a:0:{}s:11:\"screenshots\";a:6:{i:1;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/woocommerce/assets/screenshot-1.jpg?rev=2366418\";s:7:\"caption\";s:0:\"\";}i:2;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/woocommerce/assets/screenshot-2.jpg?rev=2366418\";s:7:\"caption\";s:0:\"\";}i:3;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/woocommerce/assets/screenshot-3.jpg?rev=2366418\";s:7:\"caption\";s:0:\"\";}i:4;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/woocommerce/assets/screenshot-4.jpg?rev=2366418\";s:7:\"caption\";s:0:\"\";}i:5;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/woocommerce/assets/screenshot-5.jpg?rev=2366418\";s:7:\"caption\";s:0:\"\";}i:6;a:2:{s:3:\"src\";s:64:\"https://ps.w.org/woocommerce/assets/screenshot-6.jpg?rev=2366418\";s:7:\"caption\";s:0:\"\";}}s:4:\"tags\";a:5:{s:9:\"ecommerce\";s:9:\"ecommerce\";s:12:\"online-store\";s:12:\"online store\";s:11:\"sell-online\";s:11:\"sell online\";s:4:\"shop\";s:4:\"shop\";s:13:\"shopping-cart\";s:13:\"shopping cart\";}s:8:\"versions\";a:410:{s:5:\"3.0.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.0.zip\";s:5:\"3.0.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.1.zip\";s:5:\"3.0.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.2.zip\";s:5:\"3.0.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.3.zip\";s:5:\"3.0.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.4.zip\";s:5:\"3.0.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.5.zip\";s:5:\"3.0.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.6.zip\";s:5:\"3.0.7\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.7.zip\";s:5:\"3.0.8\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.8.zip\";s:5:\"3.0.9\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.0.9.zip\";s:5:\"3.1.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.1.0.zip\";s:5:\"3.1.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.1.1.zip\";s:5:\"3.1.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.1.2.zip\";s:5:\"3.2.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.0.zip\";s:5:\"3.2.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.1.zip\";s:5:\"3.2.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.2.zip\";s:5:\"3.2.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.3.zip\";s:5:\"3.2.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.4.zip\";s:5:\"3.2.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.5.zip\";s:5:\"3.2.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.2.6.zip\";s:5:\"3.3.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.0.zip\";s:5:\"3.3.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.1.zip\";s:5:\"3.3.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.2.zip\";s:10:\"3.3.2-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.2-rc.1.zip\";s:5:\"3.3.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.3.zip\";s:5:\"3.3.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.4.zip\";s:5:\"3.3.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.5.zip\";s:5:\"3.3.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.3.6.zip\";s:5:\"3.4.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.0.zip\";s:12:\"3.4.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.0-beta.1.zip\";s:10:\"3.4.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.0-rc.2.zip\";s:5:\"3.4.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.1.zip\";s:5:\"3.4.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.2.zip\";s:5:\"3.4.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.3.zip\";s:5:\"3.4.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.4.zip\";s:5:\"3.4.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.5.zip\";s:5:\"3.4.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.6.zip\";s:5:\"3.4.7\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.7.zip\";s:5:\"3.4.8\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.4.8.zip\";s:5:\"3.5.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.0.zip\";s:12:\"3.5.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.0-beta.1.zip\";s:10:\"3.5.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.0-rc.1.zip\";s:10:\"3.5.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.0-rc.2.zip\";s:5:\"3.5.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.1.zip\";s:6:\"3.5.10\";s:61:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.10.zip\";s:5:\"3.5.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.2.zip\";s:5:\"3.5.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.3.zip\";s:5:\"3.5.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.4.zip\";s:5:\"3.5.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.5.zip\";s:5:\"3.5.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.6.zip\";s:5:\"3.5.7\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.7.zip\";s:5:\"3.5.8\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.8.zip\";s:5:\"3.5.9\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.5.9.zip\";s:5:\"3.6.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.0.zip\";s:12:\"3.6.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.0-beta.1.zip\";s:10:\"3.6.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.0-rc.1.zip\";s:10:\"3.6.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.0-rc.2.zip\";s:10:\"3.6.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.0-rc.3.zip\";s:5:\"3.6.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.1.zip\";s:5:\"3.6.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.2.zip\";s:5:\"3.6.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.3.zip\";s:5:\"3.6.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.4.zip\";s:5:\"3.6.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.5.zip\";s:5:\"3.6.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.6.zip\";s:5:\"3.6.7\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.6.7.zip\";s:5:\"3.7.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.0.zip\";s:12:\"3.7.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.0-beta.1.zip\";s:10:\"3.7.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.0-rc.1.zip\";s:10:\"3.7.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.0-rc.2.zip\";s:5:\"3.7.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.1.zip\";s:5:\"3.7.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.2.zip\";s:5:\"3.7.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.7.3.zip\";s:5:\"3.8.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.0.zip\";s:12:\"3.8.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.0-beta.1.zip\";s:10:\"3.8.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.0-rc.1.zip\";s:10:\"3.8.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.0-rc.2.zip\";s:5:\"3.8.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.1.zip\";s:5:\"3.8.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.2.zip\";s:5:\"3.8.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.8.3.zip\";s:5:\"3.9.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0.zip\";s:12:\"3.9.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0-beta.1.zip\";s:12:\"3.9.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0-beta.2.zip\";s:10:\"3.9.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0-rc.1.zip\";s:10:\"3.9.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0-rc.2.zip\";s:10:\"3.9.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0-rc.3.zip\";s:10:\"3.9.0-rc.4\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.0-rc.4.zip\";s:5:\"3.9.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.1.zip\";s:5:\"3.9.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.2.zip\";s:5:\"3.9.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.3.zip\";s:5:\"3.9.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.4.zip\";s:5:\"3.9.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.3.9.5.zip\";s:5:\"4.0.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.0.zip\";s:12:\"4.0.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.0-beta.1.zip\";s:10:\"4.0.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.0-rc.1.zip\";s:10:\"4.0.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.0-rc.2.zip\";s:5:\"4.0.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.1.zip\";s:5:\"4.0.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.2.zip\";s:5:\"4.0.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.3.zip\";s:5:\"4.0.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.0.4.zip\";s:5:\"4.1.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.0.zip\";s:12:\"4.1.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.0-beta.1.zip\";s:12:\"4.1.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.0-beta.2.zip\";s:10:\"4.1.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.0-rc.1.zip\";s:10:\"4.1.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.0-rc.2.zip\";s:5:\"4.1.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.1.zip\";s:5:\"4.1.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.2.zip\";s:5:\"4.1.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.3.zip\";s:5:\"4.1.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.1.4.zip\";s:5:\"4.2.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.0.zip\";s:10:\"4.2.0-RC.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.0-RC.1.zip\";s:10:\"4.2.0-RC.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.0-RC.2.zip\";s:12:\"4.2.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.0-beta.1.zip\";s:5:\"4.2.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.1.zip\";s:5:\"4.2.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.2.zip\";s:5:\"4.2.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.3.zip\";s:5:\"4.2.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.4.zip\";s:5:\"4.2.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.2.5.zip\";s:5:\"4.3.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.0.zip\";s:12:\"4.3.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.0-beta.1.zip\";s:10:\"4.3.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.0-rc.1.zip\";s:10:\"4.3.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.0-rc.2.zip\";s:10:\"4.3.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.0-rc.3.zip\";s:5:\"4.3.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.1.zip\";s:5:\"4.3.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.2.zip\";s:5:\"4.3.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.3.zip\";s:5:\"4.3.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.4.zip\";s:5:\"4.3.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.5.zip\";s:5:\"4.3.6\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.3.6.zip\";s:5:\"4.4.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.0.zip\";s:12:\"4.4.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.0-beta.1.zip\";s:10:\"4.4.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.0-rc.1.zip\";s:5:\"4.4.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.1.zip\";s:5:\"4.4.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.2.zip\";s:5:\"4.4.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.3.zip\";s:5:\"4.4.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.4.4.zip\";s:5:\"4.5.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.0.zip\";s:12:\"4.5.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.0-beta.1.zip\";s:10:\"4.5.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.0-rc.1.zip\";s:10:\"4.5.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.0-rc.3.zip\";s:5:\"4.5.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.1.zip\";s:5:\"4.5.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.2.zip\";s:5:\"4.5.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.3.zip\";s:5:\"4.5.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.4.zip\";s:5:\"4.5.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.5.5.zip\";s:5:\"4.6.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.0.zip\";s:12:\"4.6.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.0-beta.1.zip\";s:10:\"4.6.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.0-rc.1.zip\";s:5:\"4.6.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.1.zip\";s:5:\"4.6.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.2.zip\";s:5:\"4.6.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.3.zip\";s:5:\"4.6.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.4.zip\";s:5:\"4.6.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.6.5.zip\";s:5:\"4.7.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.0.zip\";s:12:\"4.7.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.0-beta.1.zip\";s:12:\"4.7.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.0-beta.2.zip\";s:10:\"4.7.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.0-rc.1.zip\";s:5:\"4.7.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.1.zip\";s:12:\"4.7.1-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.1-beta.1.zip\";s:5:\"4.7.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.2.zip\";s:5:\"4.7.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.3.zip\";s:5:\"4.7.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.7.4.zip\";s:5:\"4.8.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.0.zip\";s:12:\"4.8.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.0-beta.1.zip\";s:10:\"4.8.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.0-rc.1.zip\";s:10:\"4.8.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.0-rc.2.zip\";s:5:\"4.8.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.1.zip\";s:5:\"4.8.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.2.zip\";s:5:\"4.8.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.8.3.zip\";s:5:\"4.9.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.0.zip\";s:12:\"4.9.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.0-beta.1.zip\";s:10:\"4.9.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.0-rc.1.zip\";s:10:\"4.9.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.0-rc.2.zip\";s:5:\"4.9.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.1.zip\";s:5:\"4.9.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.2.zip\";s:5:\"4.9.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.3.zip\";s:5:\"4.9.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.4.zip\";s:5:\"4.9.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.4.9.5.zip\";s:5:\"5.0.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.0.zip\";s:12:\"5.0.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.0-beta.1.zip\";s:12:\"5.0.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.0-beta.2.zip\";s:10:\"5.0.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.0-rc.1.zip\";s:10:\"5.0.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.0-rc.2.zip\";s:10:\"5.0.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.0-rc.3.zip\";s:5:\"5.0.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.1.zip\";s:5:\"5.0.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.2.zip\";s:5:\"5.0.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.0.3.zip\";s:5:\"5.1.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.1.0.zip\";s:12:\"5.1.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.1.0-beta.1.zip\";s:10:\"5.1.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.1.0-rc.1.zip\";s:5:\"5.1.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.1.1.zip\";s:5:\"5.1.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.1.2.zip\";s:5:\"5.1.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.1.3.zip\";s:5:\"5.2.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.0.zip\";s:12:\"5.2.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.0-beta.1.zip\";s:10:\"5.2.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.0-rc.1.zip\";s:10:\"5.2.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.0-rc.2.zip\";s:5:\"5.2.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.1.zip\";s:5:\"5.2.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.2.zip\";s:5:\"5.2.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.3.zip\";s:5:\"5.2.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.4.zip\";s:5:\"5.2.5\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.2.5.zip\";s:5:\"5.3.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.0.zip\";s:12:\"5.3.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.0-beta.1.zip\";s:10:\"5.3.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.0-rc.1.zip\";s:10:\"5.3.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.0-rc.2.zip\";s:5:\"5.3.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.1.zip\";s:5:\"5.3.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.2.zip\";s:5:\"5.3.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.3.3.zip\";s:5:\"5.4.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.0.zip\";s:12:\"5.4.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.0-beta.1.zip\";s:10:\"5.4.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.0-rc.1.zip\";s:5:\"5.4.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.1.zip\";s:5:\"5.4.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.2.zip\";s:5:\"5.4.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.3.zip\";s:5:\"5.4.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.4.4.zip\";s:5:\"5.5.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.0.zip\";s:12:\"5.5.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.0-beta.1.zip\";s:10:\"5.5.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.0-rc.1.zip\";s:10:\"5.5.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.0-rc.2.zip\";s:5:\"5.5.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.1.zip\";s:5:\"5.5.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.2.zip\";s:5:\"5.5.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.3.zip\";s:5:\"5.5.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.5.4.zip\";s:5:\"5.6.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.6.0.zip\";s:12:\"5.6.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.6.0-beta.1.zip\";s:10:\"5.6.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.6.0-rc.1.zip\";s:10:\"5.6.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.6.0-rc.2.zip\";s:5:\"5.6.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.6.1.zip\";s:5:\"5.6.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.6.2.zip\";s:5:\"5.7.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.7.0.zip\";s:12:\"5.7.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.7.0-beta.1.zip\";s:10:\"5.7.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.7.0-rc.1.zip\";s:5:\"5.7.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.7.1.zip\";s:5:\"5.7.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.7.2.zip\";s:5:\"5.8.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.8.0.zip\";s:12:\"5.8.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.8.0-beta.1.zip\";s:12:\"5.8.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.8.0-beta.2.zip\";s:10:\"5.8.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.8.0-rc.1.zip\";s:5:\"5.8.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.8.1.zip\";s:5:\"5.9.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.9.0.zip\";s:12:\"5.9.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.5.9.0-beta.1.zip\";s:10:\"5.9.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.9.0-rc.1.zip\";s:10:\"5.9.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.5.9.0-rc.2.zip\";s:5:\"5.9.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.5.9.1.zip\";s:5:\"6.0.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.0.0.zip\";s:12:\"6.0.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.0.0-beta.1.zip\";s:10:\"6.0.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.0.0-rc.1.zip\";s:5:\"6.0.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.0.1.zip\";s:5:\"6.1.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.1.0.zip\";s:12:\"6.1.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.1.0-beta.1.zip\";s:10:\"6.1.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.1.0-rc.1.zip\";s:10:\"6.1.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.1.0-rc.2.zip\";s:5:\"6.1.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.1.1.zip\";s:5:\"6.1.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.1.2.zip\";s:5:\"6.2.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.2.0.zip\";s:12:\"6.2.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.2.0-beta.1.zip\";s:10:\"6.2.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.2.0-rc.1.zip\";s:10:\"6.2.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.2.0-rc.2.zip\";s:5:\"6.2.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.2.1.zip\";s:5:\"6.2.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.2.2.zip\";s:5:\"6.3.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.3.0.zip\";s:12:\"6.3.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.3.0-beta.1.zip\";s:10:\"6.3.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.3.0-rc.1.zip\";s:10:\"6.3.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.3.0-rc.2.zip\";s:5:\"6.3.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.3.1.zip\";s:5:\"6.4.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.4.0.zip\";s:12:\"6.4.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.4.0-beta.1.zip\";s:10:\"6.4.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.4.0-rc.1.zip\";s:5:\"6.4.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.4.1.zip\";s:5:\"6.5.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.5.0.zip\";s:12:\"6.5.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.5.0-beta.1.zip\";s:10:\"6.5.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.5.0-rc.1.zip\";s:10:\"6.5.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.5.0-rc.2.zip\";s:5:\"6.5.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.5.1.zip\";s:5:\"6.6.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.6.0.zip\";s:12:\"6.6.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.6.0-beta.1.zip\";s:10:\"6.6.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.6.0-rc.1.zip\";s:10:\"6.6.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.6.0-rc.2.zip\";s:5:\"6.6.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.6.1.zip\";s:5:\"6.7.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.7.0.zip\";s:12:\"6.7.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.7.0-beta.1.zip\";s:12:\"6.7.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.7.0-beta.2.zip\";s:10:\"6.7.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.7.0-rc.1.zip\";s:5:\"6.8.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.8.0.zip\";s:12:\"6.8.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.8.0-beta.1.zip\";s:12:\"6.8.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.8.0-beta.2.zip\";s:10:\"6.8.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.8.0-rc.1.zip\";s:5:\"6.8.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.8.1.zip\";s:5:\"6.8.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.8.2.zip\";s:5:\"6.9.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.0.zip\";s:12:\"6.9.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.0-beta.1.zip\";s:12:\"6.9.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.0-beta.2.zip\";s:10:\"6.9.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.0-rc.1.zip\";s:5:\"6.9.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.1.zip\";s:5:\"6.9.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.2.zip\";s:5:\"6.9.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.3.zip\";s:5:\"6.9.4\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.6.9.4.zip\";s:5:\"7.0.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.0.zip\";s:12:\"7.0.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.0-beta.1.zip\";s:12:\"7.0.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.0-beta.2.zip\";s:12:\"7.0.0-beta.3\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.0-beta.3.zip\";s:10:\"7.0.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.0-rc.1.zip\";s:10:\"7.0.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.0-rc.2.zip\";s:5:\"7.0.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.0.1.zip\";s:5:\"7.1.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.1.0.zip\";s:12:\"7.1.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.1.0-beta.1.zip\";s:12:\"7.1.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.1.0-beta.2.zip\";s:10:\"7.1.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.1.0-rc.1.zip\";s:10:\"7.1.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.1.0-rc.2.zip\";s:5:\"7.1.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.1.1.zip\";s:5:\"7.2.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.0.zip\";s:12:\"7.2.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.0-beta.1.zip\";s:12:\"7.2.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.0-beta.2.zip\";s:10:\"7.2.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.0-rc.1.zip\";s:10:\"7.2.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.0-rc.2.zip\";s:5:\"7.2.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.1.zip\";s:5:\"7.2.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.2.zip\";s:5:\"7.2.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.2.3.zip\";s:5:\"7.3.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.3.0.zip\";s:12:\"7.3.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.3.0-beta.1.zip\";s:12:\"7.3.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.3.0-beta.2.zip\";s:10:\"7.3.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.3.0-rc.1.zip\";s:10:\"7.3.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.3.0-rc.2.zip\";s:5:\"7.4.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.4.0.zip\";s:12:\"7.4.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.4.0-beta.1.zip\";s:12:\"7.4.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.4.0-beta.2.zip\";s:10:\"7.4.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.4.0-rc.1.zip\";s:10:\"7.4.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.4.0-rc.2.zip\";s:5:\"7.4.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.4.1.zip\";s:5:\"7.5.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.5.0.zip\";s:12:\"7.5.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.5.0-beta.1.zip\";s:12:\"7.5.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.5.0-beta.2.zip\";s:10:\"7.5.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.5.0-rc.1.zip\";s:5:\"7.5.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.5.1.zip\";s:5:\"7.6.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.0.zip\";s:12:\"7.6.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.0-beta.1.zip\";s:12:\"7.6.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.0-beta.2.zip\";s:10:\"7.6.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.0-rc.1.zip\";s:10:\"7.6.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.0-rc.2.zip\";s:10:\"7.6.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.0-rc.3.zip\";s:5:\"7.6.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.6.1.zip\";s:5:\"7.7.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.0.zip\";s:12:\"7.7.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.0-beta.1.zip\";s:12:\"7.7.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.0-beta.2.zip\";s:10:\"7.7.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.0-rc.1.zip\";s:5:\"7.7.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.1.zip\";s:5:\"7.7.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.2.zip\";s:5:\"7.8.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.0.zip\";s:12:\"7.8.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.0-beta.1.zip\";s:12:\"7.8.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.0-beta.2.zip\";s:10:\"7.8.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.0-rc.1.zip\";s:10:\"7.8.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.0-rc.2.zip\";s:5:\"7.8.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.1.zip\";s:5:\"7.8.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.8.2.zip\";s:5:\"7.9.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.9.0.zip\";s:12:\"7.9.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.9.0-beta.1.zip\";s:12:\"7.9.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.7.9.0-beta.2.zip\";s:10:\"7.9.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.9.0-rc.2.zip\";s:10:\"7.9.0-rc.3\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.7.9.0-rc.3.zip\";s:5:\"8.0.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.0.zip\";s:12:\"8.0.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.0-beta.1.zip\";s:12:\"8.0.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.0-beta.2.zip\";s:10:\"8.0.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.0-rc.1.zip\";s:10:\"8.0.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.0-rc.2.zip\";s:5:\"8.0.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.1.zip\";s:5:\"8.0.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.2.zip\";s:5:\"8.0.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.0.3.zip\";s:5:\"8.1.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.1.0.zip\";s:12:\"8.1.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.1.0-beta.1.zip\";s:10:\"8.1.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.1.0-rc.1.zip\";s:10:\"8.1.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.1.0-rc.2.zip\";s:5:\"8.1.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.1.1.zip\";s:5:\"8.2.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.2.0.zip\";s:12:\"8.2.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.2.0-beta.1.zip\";s:10:\"8.2.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.2.0-rc.1.zip\";s:10:\"8.2.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.2.0-rc.2.zip\";s:5:\"8.2.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.2.1.zip\";s:5:\"8.2.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.2.2.zip\";s:5:\"8.3.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.3.0.zip\";s:12:\"8.3.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.3.0-beta.1.zip\";s:10:\"8.3.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.3.0-rc.1.zip\";s:10:\"8.3.0-rc.2\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.3.0-rc.2.zip\";s:5:\"8.3.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.3.1.zip\";s:5:\"8.4.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.4.0.zip\";s:12:\"8.4.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.4.0-beta.1.zip\";s:10:\"8.4.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.4.0-rc.1.zip\";s:5:\"8.5.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.5.0.zip\";s:12:\"8.5.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.5.0-beta.1.zip\";s:10:\"8.5.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.5.0-rc.1.zip\";s:5:\"8.5.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.5.1.zip\";s:5:\"8.5.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.5.2.zip\";s:5:\"8.6.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.6.0.zip\";s:12:\"8.6.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.6.0-beta.1.zip\";s:10:\"8.6.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.6.0-rc.1.zip\";s:5:\"8.6.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.6.1.zip\";s:5:\"8.7.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.7.0.zip\";s:12:\"8.7.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.7.0-beta.1.zip\";s:12:\"8.7.0-beta.2\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.7.0-beta.2.zip\";s:10:\"8.7.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.7.0-rc.1.zip\";s:5:\"8.8.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.8.0.zip\";s:12:\"8.8.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.8.0-beta.1.zip\";s:10:\"8.8.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.8.0-rc.1.zip\";s:5:\"8.8.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.8.1.zip\";s:5:\"8.8.2\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.8.2.zip\";s:5:\"8.8.3\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.8.3.zip\";s:5:\"8.9.0\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.9.0.zip\";s:12:\"8.9.0-beta.1\";s:67:\"https://downloads.wordpress.org/plugin/woocommerce.8.9.0-beta.1.zip\";s:10:\"8.9.0-rc.1\";s:65:\"https://downloads.wordpress.org/plugin/woocommerce.8.9.0-rc.1.zip\";s:5:\"8.9.1\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.8.9.1.zip\";s:5:\"trunk\";s:54:\"https://downloads.wordpress.org/plugin/woocommerce.zip\";}s:14:\"business_model\";s:10:\"commercial\";s:14:\"repository_url\";s:0:\"\";s:22:\"commercial_support_url\";s:0:\"\";s:11:\"donate_link\";s:0:\"\";s:7:\"banners\";a:2:{s:3:\"low\";s:66:\"https://ps.w.org/woocommerce/assets/banner-772x250.png?rev=3000842\";s:4:\"high\";s:67:\"https://ps.w.org/woocommerce/assets/banner-1544x500.png?rev=3000842\";}s:5:\"icons\";a:2:{s:2:\"1x\";s:64:\"https://ps.w.org/woocommerce/assets/icon-128x128.gif?rev=2869506\";s:2:\"2x\";s:64:\"https://ps.w.org/woocommerce/assets/icon-256x256.gif?rev=2869506\";}s:12:\"preview_link\";s:0:\"\";s:4:\"Name\";s:14:\"ووکامرس\";}}", "no");
INSERT INTO `wp_sa_options` VALUES("34399", "_site_transient_timeout_wp_plugin_dependencies_plugin_timeout_dokan-lite", "1716847979", "no");
INSERT INTO `wp_sa_options` VALUES("34400", "_site_transient_wp_plugin_dependencies_plugin_timeout_dokan-lite", "1", "no");
INSERT INTO `wp_sa_options` VALUES("34401", "_transient_woocommerce_reports-transient-version", "1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34402", "_transient_timeout_orders-all-statuses", "1717409611", "no");
INSERT INTO `wp_sa_options` VALUES("34403", "_transient_orders-all-statuses", "a:2:{s:7:\"version\";s:10:\"1716804793\";s:5:\"value\";a:0:{}}", "no");
INSERT INTO `wp_sa_options` VALUES("34404", "_transient_timeout_woocommerce_admin_payment_method_promotion_specs", "1717409580", "no");
INSERT INTO `wp_sa_options` VALUES("34405", "_transient_woocommerce_admin_payment_method_promotion_specs", "a:1:{s:5:\"fa_IR\";a:2:{s:27:\"woocommerce_payments:woopay\";O:8:\"stdClass\":8:{s:2:\"id\";s:27:\"woocommerce_payments:woopay\";s:5:\"title\";s:11:\"WooPayments\";s:7:\"content\";s:393:\"Payments made simple — including WooPay, a new express checkout feature.<br/><br/>By using WooPayments you agree to the <a href=\"https://wordpress.com/tos/\" target=\"_blank\">Terms of Service</a> (including WooPay <a href=\"https://wordpress.com/tos/#more-woopay-specifically\" target=\"_blank\">merchant terms</a>) and <a href=\"https://automattic.com/privacy/\" target=\"_blank\">Privacy Policy</a>.\";s:5:\"image\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}s:10:\"is_visible\";a:3:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:9:\"8.1.0-dev\";s:8:\"operator\";s:2:\">=\";}}s:9:\"sub_title\";s:865:\"<img class=\"wcpay-visa-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/visa.svg\" alt=\"Visa\"><img class=\"wcpay-mastercard-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/mastercard.svg\" alt=\"Mastercard\"><img class=\"wcpay-amex-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/amex.svg\" alt=\"Amex\"><img class=\"wcpay-googlepay-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/googlepay.svg\" alt=\"Googlepay\"><img class=\"wcpay-applepay-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/applepay.svg\" alt=\"Applepay\">\";s:15:\"additional_info\";O:8:\"stdClass\":1:{s:18:\"experiment_version\";s:2:\"v2\";}}s:20:\"woocommerce_payments\";O:8:\"stdClass\":8:{s:2:\"id\";s:20:\"woocommerce_payments\";s:5:\"title\";s:11:\"WooPayments\";s:7:\"content\";s:369:\"Payments made simple, with no monthly fees – designed exclusively for WooCommerce stores. Accept credit cards, debit cards, and other popular payment methods.<br/><br/>By clicking “Install”, you agree to the <a href=\"https://wordpress.com/tos/\" target=\"_blank\">Terms of Service</a> and <a href=\"https://automattic.com/privacy/\" target=\"_blank\">Privacy policy</a>.\";s:5:\"image\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:39:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SI\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CZ\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HR\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HU\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"JP\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AE\";s:9:\"operation\";s:1:\"=\";}}}}s:9:\"sub_title\";s:865:\"<img class=\"wcpay-visa-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/visa.svg\" alt=\"Visa\"><img class=\"wcpay-mastercard-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/mastercard.svg\" alt=\"Mastercard\"><img class=\"wcpay-amex-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/amex.svg\" alt=\"Amex\"><img class=\"wcpay-googlepay-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/googlepay.svg\" alt=\"Googlepay\"><img class=\"wcpay-applepay-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/applepay.svg\" alt=\"Applepay\">\";s:15:\"additional_info\";O:8:\"stdClass\":1:{s:18:\"experiment_version\";s:2:\"v2\";}}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34407", "_transient_dokan_cache_seller_product_data_115-transient-version", "0_02693500_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34408", "_transient_dokan_cache_seller_product_data_148-transient-version", "0_03597600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34409", "_transient_dokan_cache_seller_product_data_151-transient-version", "0_04494800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34410", "_transient_dokan_cache_seller_product_data_116-transient-version", "0_05262900_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34411", "_transient_dokan_cache_seller_product_data_157-transient-version", "0_06041100_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34412", "_transient_dokan_cache_seller_product_data_162-transient-version", "0_06840800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34413", "_transient_dokan_cache_seller_product_data_139-transient-version", "0_07646000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34414", "_transient_dokan_cache_seller_product_data_147-transient-version", "0_08417600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34415", "_transient_dokan_cache_seller_product_data_114-transient-version", "0_09200700_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34416", "_transient_dokan_cache_seller_product_data_145-transient-version", "0_09928700_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34417", "_transient_dokan_cache_seller_product_data_163-transient-version", "0_10799000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34418", "_transient_dokan_cache_seller_product_data_117-transient-version", "0_11514000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34419", "_transient_dokan_cache_seller_product_data_133-transient-version", "0_12917600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34420", "_transient_dokan_cache_seller_product_data_129-transient-version", "0_13765600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34421", "_transient_dokan_cache_seller_product_data_125-transient-version", "0_15350700_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34422", "_transient_dokan_cache_seller_product_data_152-transient-version", "0_16114700_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34423", "_transient_dokan_cache_seller_product_data_138-transient-version", "0_16911600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34424", "_transient_dokan_cache_seller_product_data_136-transient-version", "0_17668600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34425", "_transient_dokan_cache_seller_product_data_144-transient-version", "0_18410600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34426", "_transient_dokan_cache_seller_product_data_130-transient-version", "0_19335800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34427", "_transient_dokan_cache_seller_product_data_109-transient-version", "0_20093300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34428", "_transient_dokan_cache_seller_product_data_158-transient-version", "0_21495400_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34429", "_transient_dokan_cache_seller_product_data_111-transient-version", "0_22924900_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34430", "_transient_dokan_cache_seller_product_data_132-transient-version", "0_23758400_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34431", "_transient_dokan_cache_seller_product_data_127-transient-version", "0_25179000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34432", "_transient_dokan_cache_seller_product_data_155-transient-version", "0_25938800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34433", "_transient_dokan_cache_seller_product_data_142-transient-version", "0_26704000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34434", "_transient_dokan_cache_seller_product_data_126-transient-version", "0_27542800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34435", "_transient_dokan_cache_seller_product_data_146-transient-version", "0_28902000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34436", "_transient_dokan_cache_seller_product_data_123-transient-version", "0_29873000_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34437", "_transient_dokan_cache_seller_product_data_159-transient-version", "0_30734300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34438", "_transient_dokan_cache_seller_product_data_166-transient-version", "0_31596400_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34439", "_transient_dokan_cache_seller_product_data_137-transient-version", "0_32660200_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34440", "_transient_dokan_cache_seller_product_data_143-transient-version", "0_33605800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34441", "_transient_dokan_cache_seller_product_data_113-transient-version", "0_34481100_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34442", "_transient_dokan_cache_seller_product_data_121-transient-version", "0_35462300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34443", "_transient_dokan_cache_seller_product_data_160-transient-version", "0_36554100_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34444", "_transient_dokan_cache_seller_product_data_124-transient-version", "0_38296600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34445", "_transient_dokan_cache_seller_product_data_156-transient-version", "0_39226300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34446", "_transient_dokan_cache_seller_product_data_122-transient-version", "0_40205600_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34447", "_transient_dokan_cache_seller_product_data_118-transient-version", "0_41119700_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34448", "_transient_dokan_cache_seller_product_data_128-transient-version", "0_42029500_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34449", "_transient_dokan_cache_seller_product_data_131-transient-version", "0_42940300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34450", "_transient_dokan_cache_seller_product_data_161-transient-version", "0_43879400_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34451", "_transient_dokan_cache_seller_product_data_112-transient-version", "0_44729400_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34452", "_transient_dokan_cache_seller_product_data_164-transient-version", "0_45654700_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34453", "_transient_dokan_cache_seller_product_data_134-transient-version", "0_46421300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34454", "_transient_dokan_cache_seller_product_data_108-transient-version", "0_47268800_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34455", "_transient_dokan_cache_seller_product_data_110-transient-version", "0_48073300_1716804793", "yes");
INSERT INTO `wp_sa_options` VALUES("34458", "_transient_timeout_woocommerce_admin_remote_inbox_notifications_specs", "1717409610", "no");
INSERT INTO `wp_sa_options` VALUES("34459", "_transient_woocommerce_admin_remote_inbox_notifications_specs", "a:1:{s:5:\"fa_IR\";a:57:{s:21:\"wayflyer_bnpl_q4_2021\";O:8:\"stdClass\":8:{s:4:\"slug\";s:21:\"wayflyer_bnpl_q4_2021\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:48:\"Grow your business with funding through Wayflyer\";s:7:\"content\";s:261:\"Fast, flexible financing to boost cash flow and help your business grow – one fee, no interest rates, penalties, equity, or personal guarantees. Based on your store’s performance, Wayflyer provides funding and analytical insights to invest in your business.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:21:\"wayflyer_bnpl_q4_2021\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"Level up with funding\";}}s:3:\"url\";s:118:\"https://woocommerce.com/products/wayflyer/?utm_source=inbox_note&utm_medium=product&utm_campaign=wayflyer_bnpl_q4_2021\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2021-11-17 00:00:00\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2021-12-18 00:00:00\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"AU\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"BE\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"CA\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"IE\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"NL\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"GB\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:26:\"woocommerce-gateway-affirm\";}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:32:\"afterpay-gateway-for-woocommerce\";}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:31:\"klarna-payments-for-woocommerce\";}}}}}}s:35:\"wc_shipping_mobile_app_usps_q4_2021\";O:8:\"stdClass\":8:{s:4:\"slug\";s:35:\"wc_shipping_mobile_app_usps_q4_2021\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:94:\"Print and manage your shipping labels with WooCommerce Shipping and the WooCommerce Mobile App\";s:7:\"content\";s:210:\"Save time by printing, purchasing, refunding, and tracking shipping labels generated by <a href=\"https://woocommerce.com/woocommerce-shipping/\">WooCommerce Shipping</a> – all directly from your mobile device!\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:35:\"wc_shipping_mobile_app_usps_q4_2021\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:24:\"Get WooCommerce Shipping\";}}s:3:\"url\";s:135:\"https://woocommerce.com/woocommerce-shipping/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_shipping_mobile_app_usps_q4_2021\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2021-11-12 00:00:00\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2021-11-27 00:00:00\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:25:\"woocommerce-shipping-usps\";}}i:4;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-services\";}}}}}}s:20:\"woocommerce-services\";O:8:\"stdClass\":8:{s:4:\"slug\";s:20:\"woocommerce-services\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:26:\"WooCommerce Shipping & Tax\";s:7:\"content\";s:251:\"WooCommerce Shipping & Tax helps get your store \"ready to sell\" as quickly as possible. You create your products. We take care of tax calculation, payment processing, and shipping label printing! Learn more about the extension that you just installed.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:84:\"https://docs.woocommerce.com/document/woocommerce-shipping-and-tax/?utm_source=inbox\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:17:25\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-services\";}}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\"<\";s:4:\"days\";i:2;}}}s:18:\"your-first-product\";O:8:\"stdClass\":8:{s:4:\"slug\";s:18:\"your-first-product\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:18:\"Your first product\";s:7:\"content\";s:467:\"That’s huge! You’re well on your way to building a successful online store — now it’s time to think about how you’ll fulfill your orders.<br/><br/>Read our shipping guide to learn best practices and options for putting together your shipping strategy. And for WooCommerce stores in the United States, you can print discounted shipping labels via USPS with <a href=\"https://href.li/?https://woocommerce.com/shipping\" target=\"_blank\">WooCommerce Shipping</a>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:130:\"https://woocommerce.com/posts/ecommerce-shipping-solutions-guide/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:19:13\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:12:\"stored_state\";s:5:\"index\";s:22:\"there_were_no_products\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:12:\"stored_state\";s:5:\"index\";s:22:\"there_are_now_products\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:13:\"product_count\";s:9:\"operation\";s:2:\">=\";s:5:\"value\";i:1;}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:18:\"onboarding_profile\";s:5:\"index\";s:13:\"product_types\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:8:\"physical\";s:7:\"default\";a:0:{}}}}s:37:\"wc-admin-optimizing-the-checkout-flow\";O:8:\"stdClass\":8:{s:4:\"slug\";s:37:\"wc-admin-optimizing-the-checkout-flow\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:28:\"Optimizing the checkout flow\";s:7:\"content\";s:177:\"It’s crucial to get your store’s checkout as smooth as possible to avoid losing sales. Let’s take a look at how you can optimize the checkout experience for your shoppers.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:28:\"optimizing-the-checkout-flow\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:144:\"https://woocommerce.com/posts/optimizing-woocommerce-checkout?utm_source=inbox_note&utm_medium=product&utm_campaign=optimizing-the-checkout-flow\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:19:49\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:3;}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:45:\"woocommerce_task_list_tracked_completed_tasks\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:8:\"payments\";s:7:\"default\";a:0:{}}}}s:32:\"wc-payments-qualitative-feedback\";O:8:\"stdClass\":8:{s:4:\"slug\";s:32:\"wc-payments-qualitative-feedback\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:55:\"WooCommerce Payments setup - let us know what you think\";s:7:\"content\";s:146:\"Congrats on enabling WooCommerce Payments for your store. Please share your feedback in this 2 minute survey to help us improve the setup process.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:35:\"qualitative-feedback-from-new-users\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:39:\"https://automattic.survey.fm/wc-pay-new\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:21:13\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:45:\"woocommerce_task_list_tracked_completed_tasks\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:20:\"woocommerce-payments\";s:7:\"default\";a:0:{}}}}s:29:\"share-your-feedback-on-paypal\";O:8:\"stdClass\":8:{s:4:\"slug\";s:29:\"share-your-feedback-on-paypal\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:29:\"Share your feedback on PayPal\";s:7:\"content\";s:127:\"Share your feedback in this 2 minute survey about how we can make the process of accepting payments more useful for your store.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:14:\"share-feedback\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:43:\"http://automattic.survey.fm/paypal-feedback\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:21:50\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:26:\"woocommerce-gateway-stripe\";}}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:43:\"woocommerce-gateway-paypal-express-checkout\";}}}}s:31:\"google_listings_and_ads_install\";O:8:\"stdClass\":8:{s:4:\"slug\";s:31:\"google_listings_and_ads_install\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:35:\"Drive traffic and sales with Google\";s:7:\"content\";s:123:\"Reach online shoppers to drive traffic and sales for your store by showcasing products across Google, for free or with ads.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:11:\"get-started\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:11:\"Get started\";}}s:3:\"url\";s:122:\"https://woocommerce.com/products/google-listings-and-ads?utm_source=inbox_note&utm_medium=product&utm_campaign=get-started\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2021-06-09 00:00:00\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:23:\"google_listings_and_ads\";}}}}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:11:\"order_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:10;}}}s:39:\"wc-subscriptions-security-update-3-0-15\";O:8:\"stdClass\":8:{s:4:\"slug\";s:39:\"wc-subscriptions-security-update-3-0-15\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:42:\"WooCommerce Subscriptions security update!\";s:7:\"content\";s:738:\"We recently released an important security update to WooCommerce Subscriptions. To ensure your site’s data is protected, please upgrade <strong>WooCommerce Subscriptions to version 3.0.15</strong> or later.<br/><br/>Click the button below to view and update to the latest Subscriptions version, or log in to <a href=\"https://woocommerce.com/my-dashboard\">WooCommerce.com Dashboard</a> and navigate to your <strong>Downloads</strong> page.<br/><br/>We recommend always using the latest version of WooCommerce Subscriptions, and other software running on your site, to ensure maximum security.<br/><br/>If you have any questions we are here to help — just <a href=\"https://woocommerce.com/my-account/create-a-ticket/\">open a ticket</a>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:30:\"update-wc-subscriptions-3-0-15\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:19:\"View latest version\";}}s:3:\"url\";s:30:\"&page=wc-addons&section=helper\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:30:32\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"woocommerce-subscriptions\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:6:\"3.0.15\";}}}s:29:\"woocommerce-core-update-5-4-0\";O:8:\"stdClass\":8:{s:4:\"slug\";s:29:\"woocommerce-core-update-5-4-0\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:31:\"Update to WooCommerce 5.4.1 now\";s:7:\"content\";s:140:\"WooCommerce 5.4.1 addresses a checkout issue discovered in WooCommerce 5.4. We recommend upgrading to WooCommerce 5.4.1 as soon as possible.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:20:\"update-wc-core-5-4-0\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:25:\"How to update WooCommerce\";}}s:3:\"url\";s:64:\"https://docs.woocommerce.com/document/how-to-update-woocommerce/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:31:08\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.0\";}}}s:19:\"wcpay-promo-2020-11\";O:8:\"stdClass\":8:{s:4:\"slug\";s:19:\"wcpay-promo-2020-11\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:19:\"wcpay-promo-2020-11\";s:7:\"content\";s:19:\"wcpay-promo-2020-11\";}}s:7:\"actions\";a:0:{}s:5:\"rules\";a:0:{}}s:19:\"wcpay-promo-2020-12\";O:8:\"stdClass\":8:{s:4:\"slug\";s:19:\"wcpay-promo-2020-12\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:19:\"wcpay-promo-2020-12\";s:7:\"content\";s:19:\"wcpay-promo-2020-12\";}}s:7:\"actions\";a:0:{}s:5:\"rules\";a:0:{}}s:34:\"ppxo-pps-upgrade-paypal-payments-1\";O:8:\"stdClass\":8:{s:4:\"slug\";s:34:\"ppxo-pps-upgrade-paypal-payments-1\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:47:\"Get the latest PayPal extension for WooCommerce\";s:7:\"content\";s:442:\"Heads up! There’s a new PayPal on the block!<br/><br/>Now is a great time to upgrade to our latest <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal extension</a> to continue to receive support and updates with PayPal.<br/><br/>Get access to a full suite of PayPal payment methods, extensive currency and country coverage, and pay later options with the all-new PayPal extension for WooCommerce.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:34:\"ppxo-pps-install-paypal-payments-1\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:18:\"View upgrade guide\";}}s:3:\"url\";s:96:\"https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:33:53\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.5\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-paypal-payments\";}}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:43:\"woocommerce-gateway-paypal-express-checkout\";}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:7:\"enabled\";}}}s:11:\"option_name\";s:27:\"woocommerce_paypal_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:3:\"yes\";s:7:\"default\";b:0;}}}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:36:\"woocommerce_inbox_variant_assignment\";s:5:\"value\";i:7;s:7:\"default\";i:1;s:9:\"operation\";s:1:\"<\";}}}s:34:\"ppxo-pps-upgrade-paypal-payments-2\";O:8:\"stdClass\":8:{s:4:\"slug\";s:34:\"ppxo-pps-upgrade-paypal-payments-2\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:31:\"Upgrade your PayPal experience!\";s:7:\"content\";s:358:\"Get access to a full suite of PayPal payment methods, extensive currency and country coverage, offer subscription and recurring payments, and the new PayPal pay later options.<br /><br />Start using our <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">latest PayPal today</a> to continue to receive support and updates.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:34:\"ppxo-pps-install-paypal-payments-2\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:18:\"View upgrade guide\";}}s:3:\"url\";s:96:\"https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:34:30\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.5\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-paypal-payments\";}}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:43:\"woocommerce-gateway-paypal-express-checkout\";}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:7:\"enabled\";}}}s:11:\"option_name\";s:27:\"woocommerce_paypal_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:3:\"yes\";s:7:\"default\";b:0;}}}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:36:\"woocommerce_inbox_variant_assignment\";s:5:\"value\";i:6;s:7:\"default\";i:1;s:9:\"operation\";s:1:\">\";}}}s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:56:\"Action required: Critical vulnerabilities in WooCommerce\";s:7:\"content\";s:574:\"In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br />Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br /><br />For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:59:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:35:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.3.6\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.4.8\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.5.9\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.6.6\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.7.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.8.2\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.4\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.3\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.2\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.3\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.3\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.4\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.4\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.5\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.2\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.3\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.3\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.4\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.4\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.2\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.3\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.2\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.3\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.4\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.1\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.2\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.1\";}i:31;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.2\";}i:32;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.3\";}i:33;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.4\";}i:34;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.1\";}i:35;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.2\";}i:36;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.2\";}i:37;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.3\";}i:38;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.5.1\";}i:39;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:6:\"3.5.10\";}i:40;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.6.7\";}i:41;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.7.3\";}i:42;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.8.3\";}i:43;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.5\";}i:44;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.4\";}i:45;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.4\";}i:46;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.5\";}i:47;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.6\";}i:48;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.4\";}i:49;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.5\";}i:50;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.5\";}i:51;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.4\";}i:52;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.3\";}i:53;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.5\";}i:54;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.3\";}i:55;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.3\";}i:56;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.5\";}i:57;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.3\";}i:58;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.4\";}}}s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:63:\"Action required: Critical vulnerabilities in WooCommerce Blocks\";s:7:\"content\";s:570:\"In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br/><br/>Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br/><br/>For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";b:0;s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:32:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:35:42\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:6:\"2.5.16\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.6.2\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.7.2\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.8.1\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.9.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.0.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.1.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.2.1\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.3.1\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.4.1\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.5.1\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.6.1\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.7.2\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.8.1\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.1\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.1\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.1\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.3\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.1\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.2\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.1\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.1\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.1\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.2\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.1\";}i:31;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.5.1\";}}}s:45:\"woocommerce-core-sqli-july-2021-store-patched\";O:8:\"stdClass\":8:{s:4:\"slug\";s:45:\"woocommerce-core-sqli-july-2021-store-patched\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:55:\"Solved: Critical vulnerabilities patched in WooCommerce\";s:7:\"content\";s:433:\"In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br/><br/><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";b:0;s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:36:18\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:23:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.3.6\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.4.8\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.5.9\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.6\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.2\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.4\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.2\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.3\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.4\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.2\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.3\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.2\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.1\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.3\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.1\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.2\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.5.1\";}}}}}s:47:\"woocommerce-blocks-sqli-july-2021-store-patched\";O:8:\"stdClass\":8:{s:4:\"slug\";s:47:\"woocommerce-blocks-sqli-july-2021-store-patched\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:62:\"Solved: Critical vulnerabilities patched in WooCommerce Blocks\";s:7:\"content\";s:433:\"In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br/><br/><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";b:0;s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:36:54\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:31:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"2.5.16\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.6.2\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.7.2\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.8.1\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.9.1\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.0.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.1.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.2.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.3.1\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.4.1\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.5.1\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.1\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.2\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.1\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.1\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.1\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.1\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.3\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.1\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.1\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.2\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.1\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.1\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.1\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.2\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.1\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.5.1\";}}}}}s:19:\"habit-moment-survey\";O:8:\"stdClass\":8:{s:4:\"slug\";s:19:\"habit-moment-survey\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:63:\"We’re all ears! Share your experience so far with WooCommerce\";s:7:\"content\";s:136:\"We’d love your input to shape the future of WooCommerce together. Feel free to share any feedback, ideas or suggestions that you have.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:14:\"share-feedback\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:45:\"https://automattic.survey.fm/store-management\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:37:30\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:3;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:11:\"order_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:30;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:13:\"product_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:0;}}}s:42:\"woocommerce-core-paypal-march-2022-updated\";O:8:\"stdClass\":8:{s:4:\"slug\";s:42:\"woocommerce-core-paypal-march-2022-updated\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:35:\"Security auto-update of WooCommerce\";s:7:\"content\";s:391:\"<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy PayPal Standard security updates for stores running WooCommerce (version 3.5 to 6.3). It’s recommended to disable PayPal Standard, and use <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal Payments</a> to accept PayPal.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:88:\"https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:42:\"woocommerce-core-paypal-march-2022-dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-03-10 18:44:57\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:28:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"3.5.10\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.7\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.3\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.5\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.4\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.4\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.5\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.6\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.4\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.5\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.5\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.4\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.5\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.3\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.5\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.3\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.4\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.5.4\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.6.2\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.7.2\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.8.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.9.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.0.1\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.1.2\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.2.2\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:3:\"5.5\";}i:1;a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.5\";}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:27:\"woocommerce_paypal_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:3:\"yes\";s:7:\"default\";b:0;s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:7:\"enabled\";}}}}}}}}}s:47:\"woocommerce-core-paypal-march-2022-updated-nopp\";O:8:\"stdClass\":8:{s:4:\"slug\";s:47:\"woocommerce-core-paypal-march-2022-updated-nopp\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:35:\"Security auto-update of WooCommerce\";s:7:\"content\";s:237:\"<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy security updates related to PayPal Standard payment gateway for stores running WooCommerce (version 3.5 to 6.3).\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:88:\"https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-03-10 18:45:04\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:28:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"3.5.10\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.7\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.3\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.5\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.4\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.4\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.5\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.6\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.4\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.5\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.5\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.4\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.5\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.3\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.5\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.3\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.4\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.5.4\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.6.2\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.7.2\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.8.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.9.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.0.1\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.1.2\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.2.2\";}}}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:42:\"woocommerce-core-paypal-march-2022-updated\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}s:24:\"pinterest_03_2022_update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:24:\"pinterest_03_2022_update\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:53:\"Your Pinterest for WooCommerce plugin is out of date!\";s:7:\"content\";s:262:\"Update to the latest version of Pinterest for WooCommerce to continue using this plugin and keep your store connected with Pinterest. To update, visit <strong>Plugins &gt; Installed Plugins</strong>, and click on “update now” under Pinterest for WooCommerce.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:24:\"pinterest_03_2022_update\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:19:\"Update Instructions\";}}s:3:\"url\";s:148:\"https://woocommerce.com/document/pinterest-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=pinterest_03_2022_update#section-3\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-03-23 00:00:39\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"pinterest-for-woocommerce\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"1.0.8\";}}}s:33:\"store_setup_survey_survey_q2_2022\";O:8:\"stdClass\":8:{s:4:\"slug\";s:33:\"store_setup_survey_survey_q2_2022\";s:4:\"type\";s:6:\"survey\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:30:\"How is your store setup going?\";s:7:\"content\";s:232:\"Our goal is to make sure you have all the right tools to start setting up your store in the smoothest way possible.\r\nWe’d love to know if we hit our mark and how we can improve. To collect your thoughts, we made a 2-minute survey.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:53:\"store_setup_survey_survey_q2_2022_share_your_thoughts\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:24:\"Tell us how it’s going\";}}s:3:\"url\";s:52:\"https://automattic.survey.fm/store-setup-survey-2022\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-05-09 08:42:10\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:7;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\"<\";s:4:\"days\";i:9;}}}s:48:\"needs-update-eway-payment-gateway-rin-2022-12-20\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"needs-update-eway-payment-gateway-rin-2022-12-20\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:58:\"Security vulnerability patched in WooCommerce Eway Gateway\";s:7:\"content\";s:323:\"In response to a potential vulnerability identified in WooCommerce Eway Gateway versions 3.1.0 to 3.5.0, we’ve worked to deploy security fixes and have released an updated version.\r\nNo external exploits have been detected, but we recommend you update to your latest supported version 3.1.26, 3.2.3, 3.3.1, 3.4.6, or 3.5.1\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:62:\"needs-update-eway-payment-gateway-rin-action-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:16:\"/update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:63:\"needs-update-eway-payment-gateway-rin-dismiss-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:7:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-03 23:45:53\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:6:\"3.1.26\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.2.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.3.1\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.4.6\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"3.5.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"3.1.0\";}}}s:43:\"updated-eway-payment-gateway-rin-2022-12-20\";O:8:\"stdClass\":8:{s:4:\"slug\";s:43:\"updated-eway-payment-gateway-rin-2022-12-20\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:55:\"WooCommerce Eway Gateway has been automatically updated\";s:7:\"content\";s:280:\"Your store is now running the latest secure version of WooCommerce Eway Gateway. We worked with the WordPress Plugins team to deploy a software update to stores running WooCommerce Eway Gateway (versions 3.1.0 to 3.5.0) in response to a security vulnerability that was discovered.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:57:\"updated-eway-payment-gateway-rin-action-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"See all updates\";}}s:3:\"url\";s:16:\"/update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"updated-eway-payment-gateway-rin-dismiss-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-03 23:45:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:48:\"needs-update-eway-payment-gateway-rin-2022-12-20\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"3.1.26\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.2.3\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.3.1\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.4.6\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.5.1\";}}}}}s:31:\"ecomm-wc-navigation-survey-2023\";O:8:\"stdClass\":8:{s:4:\"slug\";s:31:\"ecomm-wc-navigation-survey-2023\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:39:\"Navigating WooCommerce on WordPress.com\";s:7:\"content\";s:166:\"We are improving the WooCommerce navigation on WordPress.com and would love your help to make it better! Please share your experience with us in this 2-minute survey.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:32:\"share-navigation-survey-feedback\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:58:\"https://automattic.survey.fm/new-ecommerce-plan-navigation\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-01-16 09:53:44\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:12:\"is_ecommerce\";s:5:\"value\";b:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:180;}}}s:39:\"woopay-beta-merchantrecruitment-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:39:\"woopay-beta-merchantrecruitment-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:319:\"WooPay, a new express checkout feature built into WooCommerce Payments, is <b>now available</b> —and we’re inviting you to be one of the first to try it. \r\n<br><br>\r\n<b>Boost conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\r\n<br><br>\r\n<b>Get started in seconds.</b>\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:48:\"woopay-beta-merchantrecruitment-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"woopay-beta-merchantrecruitment-activate-learnmore-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:155:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-activate-learnmore-04MAY23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:27\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.handinhandparenting.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://pritikinfoods.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://utahrecsports.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.hunterpta.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.smokinbeans.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://shulabeauty.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bingeworthytvmerch.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://s91.4d8.myftpupload.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://stephanienicolenorris.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://aliensshirt.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://libertyordeathapparelllc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://cowboystatedaily.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:42:\"https://fundrgear.com/beckendorffathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:50:\"http://wordpress-528155-2231771.cloudwaysapps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://checkout.sohaprice.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://amadozstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://eliwehbe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://lunabra.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://nptixx.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://louisianapantry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://aplusanatomy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://wildsvg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://bleachfilm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://benabeautyspa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:47:\"http://barrettfitnessenterprises.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://goabroadable.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://alexoathletica.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.fourpurls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.hagmannreport.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://busybeeorganics.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nallsproduce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://bigtimebats.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://shop.cookingwithkarli.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.queenofpeacemedia.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://bigjohnsbeefjerky.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://paperbyjaney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://carolinarisemembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://veroticaevents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://spira.farm\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://endlessassist.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://betterlifeblog.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://ashleighrenard.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.turkeymerck.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://carfiershop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://normanmusicfestival.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://www.olfactoryfactoryllc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://fundrgear.com/anthonyathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"http://tkechilifestdotcom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://pvsa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://becbatop.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wwmeconvention.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://lswmp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bubbaskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://fusango.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://vcdpostershow.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.rileysribz.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.fakeultrasound.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://onelongfellowsquare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://agodpod.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/littleladybulldogs\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://thecirclelarp.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://byletam.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.nachonite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://designerdab.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2151.temp.domains/~lovebyt2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://shortporchbaseballcompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://distancecme.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://middleswarthchips.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://railblazausa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://mikescountrymeats.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://www.woodenshoe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://rockspringscafe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"http://footballfangears.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://ybtoner.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://simplyclayyy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://naturecreation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://marisrodriguez.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://asanteinternational.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://theatre55.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://carolynscreativeclassroom.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.miiriya.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://trendyds.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wooedbythefood.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://papasteamstores.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://omdurags.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://happydogbarkery.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://kitbose.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://seamossdeals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://zeatala.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://shop.atwaterffa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://www.brettsfirstresponders.org/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://shirtactive.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://boerneparade.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://zorahshrine.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://davidcervenka.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://addisjourney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://305ycle.cc\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"http://yourworstnightmarehaunt.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://westcoastpreps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://checkout.sohaking.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://www.theunshakeablepundit.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.stellaandchewys.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.raywhitcomb.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"http://constellationtheatercompany.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://stacynguyen.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:46:\"https://fundrgear.com/lakecreekgirlsbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://winslowartcenter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://flufftastik.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mygreenbeach.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://ebookvip.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/needvillevolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bifocalmedia.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://clrc.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://hyperpins.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/lakecreekboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://fundrgear.com/kparktennis\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mogadorspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://fundrgear.com/newcaneytrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://sigmascents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://bsharisemoore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://morrflate.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://westbrosinc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://shop.danceplexaz.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://chikepod.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.advanahealth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://tatter.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://greatawakeningbrewing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://waterfowlfestival.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://preppedwellness.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://events.thus.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://stormtide.thefifthtrooper.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.tabsynth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"http://staging.fliptheswitchon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://duffysdough.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodieliving.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://breakerbrotherstcg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://andymation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://recklessmetals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://sophielark.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://wp.arabtherapy.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://creativeappliques.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://altitude.win\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:42:\"woocommerce-wcpay-march-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:42:\"woocommerce-wcpay-march-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:57:\"Action required: Security update for WooCommerce Payments\";s:7:\"content\";s:296:\"<strong>Your store requires a security update for WooCommerce Payments</strong>. Please update to the latest version of WooCommerce Payments immediately to address a potential vulnerability discovered on March 22. For more information on how to update, visit this WooCommerce Developer Blog Post.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:49:\"woocommerce-wcpay-march-2023-update-needed-button\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:13:\"See Blog Post\";}}s:3:\"url\";s:122:\"https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:57:\"woocommerce-wcpay-march-2023-update-needed-dismiss-button\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:11:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-03-22 20:25:44\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.2\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.1\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.4\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.3\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.5.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"4.8.0\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"5.6.1\";}}}s:34:\"tap_to_pay_iphone_q2_2023_no_wcpay\";O:8:\"stdClass\":8:{s:4:\"slug\";s:34:\"tap_to_pay_iphone_q2_2023_no_wcpay\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:52:\"Accept in-person contactless payments on your iPhone\";s:7:\"content\";s:230:\"Tap to Pay on iPhone and WooCommerce Payments is quick, secure, and simple to set up — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:34:\"tap_to_pay_iphone_q2_2023_no_wcpay\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:20:\"Simplify my payments\";}}s:3:\"url\";s:143:\"https://woocommerce.com/products/woocommerce-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_no_wcpay\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-03 23:59:47\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}}}}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}}}s:48:\"woocommerce-WCPreOrders-april-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"woocommerce-WCPreOrders-april-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:68:\"Action required: Security update of WooCommerce Pre-Orders extension\";s:7:\"content\";s:220:\"<strong>Your store requires a security update for the WooCommerce Pre-Orders extension</strong>. Please update the WooCommerce Pre-Orders extension immediately to address a potential vulnerability discovered on April 11.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:18:\"extension-settings\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:15:\"update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-12 22:16:37\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:22:\"woocommerce-pre-orders\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"2.0.0\";}}}s:46:\"woopay-beta-merchantrecruitment-update-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woopay-beta-merchantrecruitment-update-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:321:\"WooPay, a new express checkout feature built into WooCommerce Payments, is <b>now available</b> — and you’re invited to try it. \r\n<br /><br />\r\n<b>Boost conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\r\n<br /><br />\r\n<b>Update WooCommerce Payments</b> to get started.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:52:\"woopay-beta-merchantrecruitment-update-WCPay-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:55:\"woopay-beta-merchantrecruitment-update-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.handinhandparenting.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://pritikinfoods.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://utahrecsports.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.hunterpta.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.smokinbeans.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://shulabeauty.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bingeworthytvmerch.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://s91.4d8.myftpupload.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://stephanienicolenorris.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://aliensshirt.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://libertyordeathapparelllc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://cowboystatedaily.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:42:\"https://fundrgear.com/beckendorffathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:50:\"http://wordpress-528155-2231771.cloudwaysapps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://checkout.sohaprice.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://amadozstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://eliwehbe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://lunabra.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://nptixx.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://louisianapantry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://aplusanatomy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://wildsvg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://bleachfilm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://benabeautyspa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:47:\"http://barrettfitnessenterprises.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://goabroadable.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://alexoathletica.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.fourpurls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.hagmannreport.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://busybeeorganics.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nallsproduce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://bigtimebats.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://shop.cookingwithkarli.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.queenofpeacemedia.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://bigjohnsbeefjerky.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://paperbyjaney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://carolinarisemembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://veroticaevents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://spira.farm\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://endlessassist.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://betterlifeblog.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://ashleighrenard.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.turkeymerck.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://carfiershop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://normanmusicfestival.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://www.olfactoryfactoryllc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://fundrgear.com/anthonyathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"http://tkechilifestdotcom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://pvsa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://becbatop.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wwmeconvention.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://lswmp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bubbaskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://fusango.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://vcdpostershow.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.rileysribz.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.fakeultrasound.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://onelongfellowsquare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://agodpod.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/littleladybulldogs\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://thecirclelarp.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://byletam.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.nachonite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://designerdab.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2151.temp.domains/~lovebyt2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://shortporchbaseballcompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://distancecme.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://middleswarthchips.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://railblazausa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://mikescountrymeats.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://www.woodenshoe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://rockspringscafe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"http://footballfangears.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://ybtoner.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://simplyclayyy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://naturecreation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://marisrodriguez.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://asanteinternational.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://theatre55.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://carolynscreativeclassroom.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.miiriya.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://trendyds.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wooedbythefood.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://papasteamstores.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://omdurags.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://happydogbarkery.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://kitbose.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://seamossdeals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://zeatala.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://shop.atwaterffa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://www.brettsfirstresponders.org/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://shirtactive.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://boerneparade.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://zorahshrine.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://davidcervenka.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://addisjourney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://305ycle.cc\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"http://yourworstnightmarehaunt.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://westcoastpreps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://checkout.sohaking.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://www.theunshakeablepundit.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.stellaandchewys.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.raywhitcomb.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"http://constellationtheatercompany.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://stacynguyen.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:46:\"https://fundrgear.com/lakecreekgirlsbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://winslowartcenter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://flufftastik.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mygreenbeach.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://ebookvip.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/needvillevolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bifocalmedia.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://clrc.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://hyperpins.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/lakecreekboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://fundrgear.com/kparktennis\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mogadorspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://fundrgear.com/newcaneytrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://sigmascents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://bsharisemoore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://morrflate.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://westbrosinc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://shop.danceplexaz.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://chikepod.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.advanahealth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://tatter.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://greatawakeningbrewing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://waterfowlfestival.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://preppedwellness.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://events.thus.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://stormtide.thefifthtrooper.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.tabsynth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"http://staging.fliptheswitchon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://duffysdough.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodieliving.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://breakerbrotherstcg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://andymation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://recklessmetals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://sophielark.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://wp.arabtherapy.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://creativeappliques.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://altitude.win\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:46:\"woopay-beta-existingmerchants-noaction-27APR23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woopay-beta-existingmerchants-noaction-27APR23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:15:\"WooPay is back!\";s:7:\"content\";s:361:\"Thanks for previously trying WooPay, the<b> express checkout feature</b> built into WooCommerce Payments. We’re excited to announce that <b>WooPay availability has resumed</b>. No action is required on your part.\r\n<br /><br />\r\nYou can now <b>continue boosting conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-existingmerchants-noaction-documentation-27APR23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:13:\"Documentation\";}}s:3:\"url\";s:178:\"https://woocommerce.com/document/woopay-merchant-documentation/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-existingmerchants-noaction-documentation-27APR23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-26 19:00:23\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.0\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:38:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://store.startingstrongman.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://joacreativelab.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.pureskincaresalon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mariablaquier.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://getprodigital.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://dalefrickeholsters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://sstour.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://tk-txstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://humanspiritproject.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://viradadrums.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://rosariumblends.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://organicskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://stuckpigmedical.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.seattlegiftbasket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.cloverandviolet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gvscholarship.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://yesimadiva.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://www.old.jmtrashbgone.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://victorialansford.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://craftcosplay.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://thefossilexchange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nextgenspeed.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cappellarecords.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://ontimesupermarket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://new2knox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://lovestudiollc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://socceruniformkits.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://willowcreativ.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://summitprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://howda.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://soapavenuecompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://subsbox.mystagingwebsite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wifflebreakers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.mps-outfitters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://howardharrisassociates.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bettersaferadio.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://bunnyluna.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:44:\"woopay-beta-existingmerchants-update-27APR23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:44:\"woopay-beta-existingmerchants-update-27APR23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:15:\"WooPay is back!\";s:7:\"content\";s:368:\"Thanks for previously trying WooPay, the <b>express checkout feature</b> built into WooCommerce Payments. We’re excited to announce that <b>WooPay availability has resumed</b>.\r\n<br /><br />\r\n\r\nUpdate to the latest WooCommerce Payments version to <b>continue boosting conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:50:\"woopay-beta-existingmerchants-update-WCPay-27APR23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-26 19:00:08\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.0\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:38:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://store.startingstrongman.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://joacreativelab.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.pureskincaresalon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mariablaquier.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://getprodigital.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://dalefrickeholsters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://sstour.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://tk-txstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://humanspiritproject.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://viradadrums.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://rosariumblends.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://organicskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://stuckpigmedical.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.seattlegiftbasket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.cloverandviolet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gvscholarship.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://yesimadiva.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://www.old.jmtrashbgone.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://victorialansford.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://craftcosplay.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://thefossilexchange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nextgenspeed.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cappellarecords.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://ontimesupermarket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://new2knox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://lovestudiollc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://socceruniformkits.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://willowcreativ.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://summitprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://howda.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://soapavenuecompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://subsbox.mystagingwebsite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wifflebreakers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.mps-outfitters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://howardharrisassociates.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bettersaferadio.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://bunnyluna.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:45:\"woopay-beta-merchantrecruitment-short-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:45:\"woopay-beta-merchantrecruitment-short-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:54:\"woopay-beta-merchantrecruitment-short-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:64:\"woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:161:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:36\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://pieroatomic3.wpcomstaging.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.bluebeautifly.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://indianrivernatural.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://fouroaksproducts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:14:\"https://acb.la\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://www.sweetpotatoplant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://www.gocaseyourself.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://laugun.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://nebraskadaybyday.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://vintagemarche727.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://kohai.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://gracegaze.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://aliensmeaning.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://myheritagegardens.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://shopmoresport.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://oladino.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://frogjumpstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cagedthundermma.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/mcelwainelementary\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://mgco.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://500gp.io/pay\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://waterglassslimes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://antiqueful.shop/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://deeperkidmin.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/cyspringsboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://houseofminifigs.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2273.temp.domains/~dreambx2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://madebymixture.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://reliabletrash.company\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.daddybutter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://circleqessentials.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://garlicbraids.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://fbdonline.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://galaxysedge.us\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://duckduckbeetfarm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://varsitygraphics.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://jademackenzie.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://kristysketolifestyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://covid19criticalcare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://parkviewprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://rock-fest.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://fillinxsolutions.com/etarix/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://doughremitx.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.montanafiddlecamp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://fococomiccon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://patricendouglas.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://hectue.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://montanamaxbbq.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://smellzoom.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://uptowne.theoandson.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://superbasic.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ppodstore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://kerenzan.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://a13bargains.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://colorgr.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://mindbodysoulcandles.com/Charlotte\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://peaceloveandadhd.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://seymoursmash.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mwtournament.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:43:\"https://fundrgear.com/beckendorffgirlstrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://allswellnyc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://childoftheredwoodsmembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/grandoaksvolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.newhollandrochester.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.purplecatvet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"https://www.mustangmountaincoaster.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.roccanj.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.teerico.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://passportunlimited.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.paladincards20.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://giantshorties.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visualsports.biz\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://thefreakinricanrestaurant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://arequestionscom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://pt.tktxcompanystore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodiechicks.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://nutoshop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://backwoodzhiphop.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://gartapparel.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bodega.badiaspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://rampartrange.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://teeuni.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bearsinthealley.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://vitalbooks.net/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://hair-free-hair-remover.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gangtaynails.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://crochetfoundry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://westcoastbelts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://payment.sundryfiles.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://ccadunkirk.mudhenmama.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://desertsupercup.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://shops-eminem.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://75yearsofracing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://tixpls.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:44:\"http://legacyoutfitters.org/banquet/raffles/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://91170e9fc9.nxcli.io/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://beachwayrentals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://esd.camp\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mfkgamecalls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://1greatce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.luthyouth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://electionintegrityidaho.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://renbundle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://premierseamoss.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://teemart.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/beckendorffgirlsbb\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visiblechild.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ebookvital.me/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://renemarsh.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://www.eventricate.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://transgression.party\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://profadex.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://mxsbattlegrounds.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.poeinbaltimore.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://freefall.gg\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://underthechurchhatblog.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://naksparkle.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"http://bearlyburly.gay/inventory\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.premierboneandjoint.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://farm-2-bowl.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://hollandgrill.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://lividian.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.trainingrange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://sarakepskitchen.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.phoenixyouththeatre.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://drivenarmsco.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://audiobro.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://www.iowaabortionaccessfund.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://findthemenu.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://moderndepot.co\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://granitesupplements.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://healthyrican.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://utest.edsandbox.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://c-pounds.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://littleschoolofsmiths.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://goblinstyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://proper-testing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.cosafoundation.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://farmsteadboxes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://fundraise4books.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://norskenook.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://cajulove.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:52:\"woopay-beta-merchantrecruitment-short-update-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"woopay-beta-merchantrecruitment-short-update-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:227:\"Be one of the first to try WooPay, our new express checkout feature. <br><b>Boost conversions</b> by letting customers pay with a <b>single click</b>. <br><br>Update to the latest version of WooCommerce Payments to get started.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"woopay-beta-merchantrecruitment-short-update-WCPay-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:61:\"woopay-beta-merchantrecruitment-short-update-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:20\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.bluebeautifly.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://indianrivernatural.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://fouroaksproducts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:14:\"https://acb.la\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://www.sweetpotatoplant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://www.gocaseyourself.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://laugun.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://nebraskadaybyday.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://vintagemarche727.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://kohai.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://gracegaze.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://aliensmeaning.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://myheritagegardens.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://shopmoresport.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://oladino.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://frogjumpstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cagedthundermma.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/mcelwainelementary\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://mgco.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://500gp.io/pay\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://waterglassslimes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://antiqueful.shop/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://deeperkidmin.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/cyspringsboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://houseofminifigs.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2273.temp.domains/~dreambx2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://madebymixture.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://reliabletrash.company\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.daddybutter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://circleqessentials.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://garlicbraids.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://fbdonline.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://galaxysedge.us\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://duckduckbeetfarm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://varsitygraphics.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://jademackenzie.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://kristysketolifestyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://covid19criticalcare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://parkviewprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://rock-fest.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://fillinxsolutions.com/etarix/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://doughremitx.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.montanafiddlecamp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://fococomiccon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://patricendouglas.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://hectue.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://montanamaxbbq.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://smellzoom.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://uptowne.theoandson.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://superbasic.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ppodstore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://kerenzan.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://a13bargains.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://colorgr.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://mindbodysoulcandles.com/Charlotte\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://peaceloveandadhd.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://seymoursmash.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mwtournament.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:43:\"https://fundrgear.com/beckendorffgirlstrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://allswellnyc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://childoftheredwoodsmembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/grandoaksvolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.newhollandrochester.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.purplecatvet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"https://www.mustangmountaincoaster.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.roccanj.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.teerico.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://passportunlimited.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.paladincards20.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://giantshorties.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visualsports.biz\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://thefreakinricanrestaurant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://arequestionscom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://pt.tktxcompanystore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodiechicks.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://nutoshop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://backwoodzhiphop.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://gartapparel.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bodega.badiaspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://rampartrange.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://teeuni.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bearsinthealley.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://vitalbooks.net/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://hair-free-hair-remover.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gangtaynails.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://crochetfoundry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://westcoastbelts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://payment.sundryfiles.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://ccadunkirk.mudhenmama.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://desertsupercup.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://shops-eminem.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://75yearsofracing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://tixpls.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:44:\"http://legacyoutfitters.org/banquet/raffles/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://91170e9fc9.nxcli.io/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://beachwayrentals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://esd.camp\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mfkgamecalls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://1greatce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.luthyouth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://electionintegrityidaho.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://renbundle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://premierseamoss.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://teemart.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/beckendorffgirlsbb\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visiblechild.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ebookvital.me/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://renemarsh.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://www.eventricate.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://transgression.party\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://profadex.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://mxsbattlegrounds.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.poeinbaltimore.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://freefall.gg\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://underthechurchhatblog.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://naksparkle.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"http://bearlyburly.gay/inventory\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.premierboneandjoint.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://farm-2-bowl.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://hollandgrill.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://lividian.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.trainingrange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://sarakepskitchen.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.phoenixyouththeatre.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://drivenarmsco.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://audiobro.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://www.iowaabortionaccessfund.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://findthemenu.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://moderndepot.co\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://granitesupplements.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://healthyrican.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://utest.edsandbox.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://c-pounds.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://littleschoolofsmiths.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://goblinstyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://proper-testing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.cosafoundation.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://farmsteadboxes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://fundraise4books.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://norskenook.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://cajulove.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTA\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTA\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTA\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test A\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 00:01:32\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTB\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTB\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTB\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test B\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 20:58:43\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTC\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTC\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTC\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test C\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 21:03:33\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://pieroatomic3.wpcomstaging.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTD\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTD\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTD\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test D\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 21:32:09\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://pieroatomic3.wpcomstaging.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:45:\"woopay-beta-merchantrecruitment-short-09MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:45:\"woopay-beta-merchantrecruitment-short-09MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:61:\"woopay-beta-merchantrecruitment-short-activate-button-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:72:\"woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:169:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-08 19:18:44\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:17:\"platform_checkout\";}}}s:11:\"option_name\";s:41:\"woocommerce_woocommerce_payments_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"no\";s:7:\"default\";b:0;}i:3;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:31:\"data.platform_checkout_eligible\";}}}s:11:\"option_name\";s:18:\"wcpay_account_data\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;s:7:\"default\";b:0;}}}s:52:\"woopay-beta-merchantrecruitment-short-update-09MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"woopay-beta-merchantrecruitment-short-update-09MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:227:\"Be one of the first to try WooPay, our new express checkout feature. <br><b>Boost conversions</b> by letting customers pay with a <b>single click</b>. <br><br>Update to the latest version of WooCommerce Payments to get started.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"woopay-beta-merchantrecruitment-short-update-WCPay-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:61:\"woopay-beta-merchantrecruitment-short-update-activate-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-08 19:45:57\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:17:\"platform_checkout\";}}}s:11:\"option_name\";s:41:\"woocommerce_woocommerce_payments_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"no\";s:7:\"default\";b:0;}i:3;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:31:\"data.platform_checkout_eligible\";}}}s:11:\"option_name\";s:18:\"wcpay_account_data\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;s:7:\"default\";b:0;}}}s:52:\"woocommerce-WCSubscriptions-June-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"woocommerce-WCSubscriptions-June-2023-updated-needed\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Action required: Security update of WooCommerce Subscriptions\";s:7:\"content\";s:197:\"<strong>Your store requires a security update for the WooCommerce Subscriptions plugin</strong>. Please update the WooCommerce Subscriptions plugin immediately to address a potential vulnerability.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:68:\"woocommerce-WCSubscriptions-June-2023-updated-needed-Plugin-Settings\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woocommerce-WCSubscriptions-June-2023-updated-needed-dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-06 08:00:08\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"woocommerce-subscriptions\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"2.1.0\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"woocommerce-subscriptions\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"5.1.2\";}}}s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:87:\"Action required: Security update of WooCommerce Returns and Warranty Requests extension\";s:7:\"content\";s:270:\"<strong>Your store requires a security update for the Returns and Warranty Requests extension</strong>.  Please update to the latest version of the WooCommerce Returns and Warranty Requests extension immediately to address a potential vulnerability discovered on May 31.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-02 23:53:57\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-warranty\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"2.1.8\";}}}s:42:\"woocommerce-WCOPC-June-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:42:\"woocommerce-WCOPC-June-2023-updated-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:65:\"Action required: Security update of WooCommerce One Page Checkout\";s:7:\"content\";s:232:\"<strong>Your shop requires a security update to address a vulnerability in the WooCommerce One Page Checkout extension</strong>. The fix for this vulnerability was released for this extension on June 13th. Please update immediately.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:42:\"woocommerce-WCOPC-June-2023-updated-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:42:\"woocommerce-WCOPC-June-2023-updated-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-21 14:05:46\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:29:\"woocommerce-one-page-checkout\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"2.4.0\";}}}s:40:\"woocommerce-WCGC-July-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:40:\"woocommerce-WCGC-July-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:68:\"Action required: Security update of WooCommerce GoCardless Extension\";s:7:\"content\";s:205:\"<strong>Your shop requires a security update to address a vulnerability in the WooCommerce GoCardless extension</strong>. The fix for this vulnerability was released on July 4th. Please update immediately.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:40:\"woocommerce-WCGC-July-2023-update-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:40:\"woocommerce-WCGC-July-2023-update-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-07-04 15:36:07\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:30:\"woocommerce-gateway-gocardless\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"2.5.6\";}}}s:48:\"woocommerce-shipping-fedex-api-outage-2023-07-16\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"woocommerce-shipping-fedex-api-outage-2023-07-16\";s:4:\"type\";s:7:\"warning\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:40:\"Scheduled FedEx API outage — July 2023\";s:7:\"content\";s:277:\"On July 16 there will be a full outage of the FedEx API from 04:00 to 08:00 AM UTC. Due to planned maintenance by FedEx, you\'ll be unable to provide FedEx shipping rates during this time. Follow the link below for more information and recommendations on how to minimize impact.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:125:\"https://woocommerce.com/document/fedex/?utm_medium=product&utm_source=inbox_note&utm_campaign=learn-more#july-2023-api-outage\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-07-05 18:19:17\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:26:\"woocommerce-shipping-fedex\";}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2023-07-17 00:00:00\";}}}s:35:\"wcship-2023-07-hazmat-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:35:\"wcship-2023-07-hazmat-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:87:\"Action required: USPS HAZMAT compliance update for WooCommerce Shipping & Tax extension\";s:7:\"content\";s:251:\"<strong>Your store requires an update for the WooCommerce Shipping extension</strong>. Please update to the latest version of the WooCommerce Shipping &amp; Tax extension immediately to ensure compliance with new USPS HAZMAT rules currently in effect.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:11:\"plugin-list\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:23:\"admin.php?page=wc-admin\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-07-11 20:26:59\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-services\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"2.3.0\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}}}s:43:\"woocommerce-WCStripe-Aug-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:43:\"woocommerce-WCStripe-Aug-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:62:\"Action required: Security update for WooCommerce Stripe plugin\";s:7:\"content\";s:183:\"<strong>Your shop requires an important security update for the  WooCommerce Stripe plugin</strong>. The fix for this vulnerability was released on July 31. Please update immediately.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:43:\"woocommerce-WCStripe-Aug-2023-update-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:16:\"update-core.php?\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-08-03 05:00:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.6\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"7.4.2\";}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:11:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.3.2\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.4.5\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.5.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.6.2\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.7.2\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.8.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.9.2\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.0.4\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.1.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.2.2\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.3.2\";}}}}}}}s:46:\"woocommerce-WCStripe-Aug-2023-security-updated\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woocommerce-WCStripe-Aug-2023-security-updated\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:44:\"Security update of WooCommerce Stripe plugin\";s:7:\"content\";s:144:\"<strong>Your store has been updated to the latest secure version of the WooCommerce Stripe plugin</strong>. This update was released on July 31.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-08-03 05:00:07\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:11:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.3.2\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.4.5\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.5.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.6.2\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.7.2\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.8.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.9.2\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.0.4\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.1.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.2.2\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"7.3.2\";}}}}}s:49:\"woocommerce-WooPayments-Aug-2023-security-updated\";O:8:\"stdClass\":8:{s:4:\"slug\";s:49:\"woocommerce-WooPayments-Aug-2023-security-updated\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:60:\"Security update of WooPayments (WooCommerce Payments) plugin\";s:7:\"content\";s:147:\"<strong>Your store has been updated to the more secure version of WooPayments (WooCommerce Payments)</strong>. This update was released on July 31.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-08-03 05:00:13\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:17:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.3\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.2\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.4\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.4\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.3\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.6\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.5\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.4\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.3\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.3\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.5.4\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.6.4\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.7.2\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.8.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.9.2\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.0.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.1.2\";}}}}}s:24:\"avalara_q3-2023_noAvaTax\";O:8:\"stdClass\":8:{s:4:\"slug\";s:24:\"avalara_q3-2023_noAvaTax\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:40:\"Automatically calculate VAT in real time\";s:7:\"content\";s:284:\"Take the effort out of determining tax rates and sell confidently across borders with automated tax management from Avalara AvaTax— including built-in VAT calculation when you sell into or across the EU and UK. Save time and stay compliant when you let Avalara do the heavy lifting.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:24:\"avalara_q3-2023_noAvaTax\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"Automate my sales tax\";}}s:3:\"url\";s:131:\"https://woocommerce.com/products/woocommerce-avatax/?utm_source=inbox_note&utm_medium=product&utm_campaign=avalara_q3-2023_noAvaTax\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-08-08 22:32:23\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2023-08-09 23:59:00\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:18:\"woocommerce-avatax\";}}}}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:30;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:20:\"total_payments_value\";s:9:\"timeframe\";s:9:\"last_year\";s:5:\"value\";i:100;s:9:\"operation\";s:1:\">\";}}}s:38:\"woo-activation-survey-blockers-22AUG23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:38:\"woo-activation-survey-blockers-22AUG23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:40:\"How can we help you get that first sale?\";s:7:\"content\";s:211:\"Your feedback is vital. Please take a minute to share your experience of setting up your new store and whether anything is preventing you from making those first few sales. Together, we can make Woo even better!\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:52:\"woo-activation-survey-blockers-survey-button-22AUG23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"Take our short survey\";}}s:3:\"url\";s:54:\"https://woocommerce.survey.fm/getting-started-with-woo\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-08-22 15:54:58\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:2:\"<=\";s:4:\"days\";i:30;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:13:\"product_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:11:\"order_count\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";i:0;}}}s:44:\"woocommerce-usermeta-Sept2023-productvendors\";O:8:\"stdClass\":8:{s:4:\"slug\";s:44:\"woocommerce-usermeta-Sept2023-productvendors\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:37:\"Your store requires a security update\";s:7:\"content\";s:339:\"<strong>Your shop needs an update to address a vulnerability in WooCommerce.</strong> The fix was released on Sept 15. Please update WooCommerce to the latest version immediately. <a href=\"https://developer.woocommerce.com/2023/09/16/woocommerce-vulnerability-reintroduced-from-7-0-1/\" />Read our developer update</a> for more information.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:44:\"woocommerce-usermeta-Sept2023-productvendors\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:11:\"plugins.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-09-20 00:50:07\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-product-vendors\";}}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"8.1.1\";}}}s:41:\"woocommerce-STRIPE-Oct-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:41:\"woocommerce-STRIPE-Oct-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:63:\"Action required: Security update for WooCommerce Stripe Gateway\";s:7:\"content\";s:201:\"<strong>Your shop requires a security update to address a vulnerability in the WooCommerce Stripe Gateway</strong>. The fix for this vulnerability was released on October 17. Please update immediately.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:41:\"woocommerce-STRIPE-Oct-2023-update-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:15:\"update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:36:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-10-18 00:01:58\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"4.5.4\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.6\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.1\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.1\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.1\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.4\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.1\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.2\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.5.2\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.6.4\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.7.2\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.8.3\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.9.2\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.0.2\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.1.2\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.2.2\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.3.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.4.6\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.5.4\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.6.3\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.5.4\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.6.3\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.7.3\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.8.3\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"6.9.3\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"7.0.5\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"7.1.3\";}i:31;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"7.2.3\";}i:32;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"7.3.3\";}i:33;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"7.4.3\";}i:34;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"7.5.1\";}i:35;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"7.6.1\";}}}s:29:\"amazon-mcf-reviews-2023-12-07\";O:8:\"stdClass\":8:{s:4:\"slug\";s:29:\"amazon-mcf-reviews-2023-12-07\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:36:\"Enjoying Amazon MCF for WooCommerce?\";s:7:\"content\";s:292:\"We\'re Never Settle, the developers behind Amazon MCF for WooCommerce, and would be deeply honored to have your review. Reviews help immensely as other users can learn how MCF can solve their needs too! Not happy or need help? Please reach out for support and we’d love to make things right!\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:35:\"amazon-mcf-review-button-2023-12-07\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Leave a review\";}}s:3:\"url\";s:161:\"https://woocommerce.com/products/woocommerce-amazon-fulfillment/?review&utm_source=inbox_note&utm_medium=product&utm_campaign=amazon-mcf-review-button-2023-12-07\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:36:\"amazon-mcf-support-button-2023-12-07\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Request support\";}}s:3:\"url\";s:142:\"https://woocommerce.com/my-account/contact-support/?utm_source=inbox_note&utm_medium=product&utm_campaign=amazon-mcf-support-button-2023-12-07\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-12-06 15:21:27\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:30:\"woocommerce-amazon-fulfillment\";}}}}s:30:\"remove_estimated_deposits_2024\";O:8:\"stdClass\":8:{s:4:\"slug\";s:30:\"remove_estimated_deposits_2024\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:33:\"Estimated deposits are going away\";s:7:\"content\";s:267:\"To provide more accurate deposit information and support the expansion of instant deposits, estimated deposit details will no longer be available in WooPayments. We recommend upgrading to the latest version of WooPayments for more detailed balance status information.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:9:\"view_docs\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:29:\"Learn about Deposit schedules\";}}s:3:\"url\";s:151:\"https://woocommerce.com/document/woopayments/deposits/deposit-schedule/?utm_source=inbox_note&utm_medium=product&utm_campaign=view_docs#available-funds\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:3:\"6.9\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2024-01-21 08:00:00\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2024-01-31 23:59:59\";}}}s:42:\"woocommerce-payfast-may-2024-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:42:\"woocommerce-payfast-may-2024-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:63:\"An important update is required for the Payfast Payment Gateway\";s:7:\"content\";s:226:\"<strong>Please update to the latest version of the Payfast Payment Gateway for WooCommerce immediately to address a security vulnerability</strong>. This update is required to ensure that your transactions continue to process.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:48:\"woocommerce-payfast-may-2024-update-needed-click\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:16:\"update-core.php?\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:50:\"woocommerce-payfast-may-2024-update-needed-dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2024-05-10 22:00:31\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2024-07-09 23:59:00\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:27:\"woocommerce-payfast-gateway\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"1.6.4\";}}}}}", "no");
INSERT INTO `wp_sa_options` VALUES("34460", "_transient_timeout_as-post-store-dependencies-met", "1716891210", "no");
INSERT INTO `wp_sa_options` VALUES("34461", "_transient_as-post-store-dependencies-met", "yes", "no");
INSERT INTO `wp_sa_options` VALUES("34462", "_transient_timeout_action_scheduler_last_pastdue_actions_check", "1716826411", "no");
INSERT INTO `wp_sa_options` VALUES("34463", "_transient_action_scheduler_last_pastdue_actions_check", "1716804811", "no");
INSERT INTO `wp_sa_options` VALUES("34464", "_site_transient_timeout_browser_c92baae71318dc81de51a663df2f8b4f", "1717409617", "no");
INSERT INTO `wp_sa_options` VALUES("34465", "_site_transient_browser_c92baae71318dc81de51a663df2f8b4f", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"125.0.0.0\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_sa_options` VALUES("34466", "_site_transient_timeout_php_check_990bfacb848fa087bcfc06850f5e4447", "1717409617", "no");
INSERT INTO `wp_sa_options` VALUES("34467", "_site_transient_php_check_990bfacb848fa087bcfc06850f5e4447", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:3:\"7.0\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_sa_options` VALUES("34468", "_transient_timeout_wc_report_orders_stats_b3ab4da86aeb53102bab532cc199c086", "1717409618", "no");
INSERT INTO `wp_sa_options` VALUES("34469", "_transient_wc_report_orders_stats_b3ab4da86aeb53102bab532cc199c086", "a:2:{s:7:\"version\";s:10:\"1716804793\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:5:{i:0;a:6:{s:8:\"interval\";s:7:\"2024-22\";s:10:\"date_start\";s:19:\"2024-05-25 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-24 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-27 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-27 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2024-21\";s:10:\"date_start\";s:19:\"2024-05-18 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-17 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-24 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-24 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:7:\"2024-20\";s:10:\"date_start\";s:19:\"2024-05-11 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-10 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-17 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-17 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:7:\"2024-19\";s:10:\"date_start\";s:19:\"2024-05-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-03 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-10 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-10 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:7:\"2024-18\";s:10:\"date_start\";s:19:\"2024-05-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-04-30 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-03 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:5;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34470", "_transient_timeout_wc_report_orders_stats_899714faee350033a1f4e254cf815ec1", "1717409618", "no");
INSERT INTO `wp_sa_options` VALUES("34471", "_transient_wc_report_orders_stats_899714faee350033a1f4e254cf815ec1", "a:2:{s:7:\"version\";s:10:\"1716804793\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:5:{i:0;a:6:{s:8:\"interval\";s:7:\"2024-22\";s:10:\"date_start\";s:19:\"2024-05-25 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-24 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-27 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-27 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2024-21\";s:10:\"date_start\";s:19:\"2024-05-18 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-17 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-24 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-24 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:7:\"2024-20\";s:10:\"date_start\";s:19:\"2024-05-11 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-10 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-17 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-17 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:7:\"2024-19\";s:10:\"date_start\";s:19:\"2024-05-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-03 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-10 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-10 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:7:\"2024-18\";s:10:\"date_start\";s:19:\"2024-05-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-04-30 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-03 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:5;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34472", "_transient_timeout_wc_report_products_stats_90131ac57e4d80181dfcef8a3c9d858a", "1717409618", "no");
INSERT INTO `wp_sa_options` VALUES("34473", "_transient_wc_report_products_stats_90131ac57e4d80181dfcef8a3c9d858a", "a:2:{s:7:\"version\";s:10:\"1716804793\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:5:{i:0;a:6:{s:8:\"interval\";s:7:\"2024-22\";s:10:\"date_start\";s:19:\"2024-05-25 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-24 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-27 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-27 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2024-21\";s:10:\"date_start\";s:19:\"2024-05-18 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-17 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-24 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-24 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:7:\"2024-20\";s:10:\"date_start\";s:19:\"2024-05-11 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-10 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-17 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-17 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:7:\"2024-19\";s:10:\"date_start\";s:19:\"2024-05-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-03 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-10 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-10 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:7:\"2024-18\";s:10:\"date_start\";s:19:\"2024-05-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-04-30 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-03 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:5;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34474", "_transient_timeout_wc_report_variations_stats_d0954a44d2c32b69e4a69693e3bdafb9", "1717409618", "no");
INSERT INTO `wp_sa_options` VALUES("34475", "_transient_wc_report_variations_stats_d0954a44d2c32b69e4a69693e3bdafb9", "a:2:{s:7:\"version\";s:10:\"1716804793\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:5:{i:0;a:6:{s:8:\"interval\";s:7:\"2024-22\";s:10:\"date_start\";s:19:\"2024-05-25 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-24 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-27 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-27 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2024-21\";s:10:\"date_start\";s:19:\"2024-05-18 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-17 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-24 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-24 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:7:\"2024-20\";s:10:\"date_start\";s:19:\"2024-05-11 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-10 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-17 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-17 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:7:\"2024-19\";s:10:\"date_start\";s:19:\"2024-05-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-03 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-10 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-10 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:7:\"2024-18\";s:10:\"date_start\";s:19:\"2024-05-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-04-30 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-03 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:5;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34476", "_transient_timeout_wc_report_orders_stats_d70d5ea7facaf3ff29038505cc548a07", "1717409618", "no");
INSERT INTO `wp_sa_options` VALUES("34477", "_transient_wc_report_orders_stats_d70d5ea7facaf3ff29038505cc548a07", "a:2:{s:7:\"version\";s:10:\"1716804793\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":4:{s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:27:{i:0;a:6:{s:8:\"interval\";s:10:\"2024-05-01\";s:10:\"date_start\";s:19:\"2024-05-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-04-30 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-01 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2024-05-02\";s:10:\"date_start\";s:19:\"2024-05-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-01 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-02 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2024-05-03\";s:10:\"date_start\";s:19:\"2024-05-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-02 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-03 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2024-05-04\";s:10:\"date_start\";s:19:\"2024-05-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-03 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-04 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2024-05-05\";s:10:\"date_start\";s:19:\"2024-05-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-04 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-05 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2024-05-06\";s:10:\"date_start\";s:19:\"2024-05-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-05 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-06 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2024-05-07\";s:10:\"date_start\";s:19:\"2024-05-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-06 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-07 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:7;a:6:{s:8:\"interval\";s:10:\"2024-05-08\";s:10:\"date_start\";s:19:\"2024-05-08 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-07 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-08 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-08 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:8;a:6:{s:8:\"interval\";s:10:\"2024-05-09\";s:10:\"date_start\";s:19:\"2024-05-09 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-08 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-09 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-09 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:9;a:6:{s:8:\"interval\";s:10:\"2024-05-10\";s:10:\"date_start\";s:19:\"2024-05-10 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-09 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-10 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-10 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:10;a:6:{s:8:\"interval\";s:10:\"2024-05-11\";s:10:\"date_start\";s:19:\"2024-05-11 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-10 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-11 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-11 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:11;a:6:{s:8:\"interval\";s:10:\"2024-05-12\";s:10:\"date_start\";s:19:\"2024-05-12 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-11 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-12 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-12 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:12;a:6:{s:8:\"interval\";s:10:\"2024-05-13\";s:10:\"date_start\";s:19:\"2024-05-13 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-12 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-13 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-13 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:13;a:6:{s:8:\"interval\";s:10:\"2024-05-14\";s:10:\"date_start\";s:19:\"2024-05-14 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-13 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-14 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-14 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:14;a:6:{s:8:\"interval\";s:10:\"2024-05-15\";s:10:\"date_start\";s:19:\"2024-05-15 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-14 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-15 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-15 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:15;a:6:{s:8:\"interval\";s:10:\"2024-05-16\";s:10:\"date_start\";s:19:\"2024-05-16 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-15 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-16 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-16 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:16;a:6:{s:8:\"interval\";s:10:\"2024-05-17\";s:10:\"date_start\";s:19:\"2024-05-17 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-16 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-17 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-17 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:17;a:6:{s:8:\"interval\";s:10:\"2024-05-18\";s:10:\"date_start\";s:19:\"2024-05-18 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-17 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-18 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-18 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:18;a:6:{s:8:\"interval\";s:10:\"2024-05-19\";s:10:\"date_start\";s:19:\"2024-05-19 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-18 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-19 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-19 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:19;a:6:{s:8:\"interval\";s:10:\"2024-05-20\";s:10:\"date_start\";s:19:\"2024-05-20 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-19 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-20 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-20 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:20;a:6:{s:8:\"interval\";s:10:\"2024-05-21\";s:10:\"date_start\";s:19:\"2024-05-21 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-20 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-21 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-21 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:21;a:6:{s:8:\"interval\";s:10:\"2024-05-22\";s:10:\"date_start\";s:19:\"2024-05-22 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-21 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-22 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-22 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:22;a:6:{s:8:\"interval\";s:10:\"2024-05-23\";s:10:\"date_start\";s:19:\"2024-05-23 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-22 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-23 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-23 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:23;a:6:{s:8:\"interval\";s:10:\"2024-05-24\";s:10:\"date_start\";s:19:\"2024-05-24 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-23 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-24 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-24 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:24;a:6:{s:8:\"interval\";s:10:\"2024-05-25\";s:10:\"date_start\";s:19:\"2024-05-25 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-24 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-25 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-25 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:25;a:6:{s:8:\"interval\";s:10:\"2024-05-26\";s:10:\"date_start\";s:19:\"2024-05-26 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-25 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-26 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-26 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:26;a:6:{s:8:\"interval\";s:10:\"2024-05-27\";s:10:\"date_start\";s:19:\"2024-05-27 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2024-05-26 20:30:00\";s:8:\"date_end\";s:19:\"2024-05-27 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2024-05-27 20:29:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:27;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_sa_options` VALUES("34478", "_transient_timeout_wc_low_stock_count", "1719396818", "no");
INSERT INTO `wp_sa_options` VALUES("34479", "_transient_wc_low_stock_count", "0", "no");
INSERT INTO `wp_sa_options` VALUES("34480", "_transient_timeout_wc_outofstock_count", "1719396818", "no");
INSERT INTO `wp_sa_options` VALUES("34481", "_transient_wc_outofstock_count", "0", "no");
INSERT INTO `wp_sa_options` VALUES("34482", "_transient_product_query-transient-version", "1716804818", "yes");
INSERT INTO `wp_sa_options` VALUES("34484", "action_scheduler_migration_status", "complete", "yes");

/* INSERT TABLE DATA: wp_sa_postmeta */
INSERT INTO `wp_sa_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3", "6", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("4", "6", "_elementor_template_type", "kit");
INSERT INTO `wp_sa_postmeta` VALUES("17", "13", "_wp_attached_file", "woocommerce-placeholder.png");
INSERT INTO `wp_sa_postmeta` VALUES("18", "13", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:27:\"woocommerce-placeholder.png\";s:8:\"filesize\";i:102644;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:35:\"woocommerce-placeholder-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10546;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1803;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31893;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10546;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:84297;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3767;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:49572;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("20", "20", "_elementor_source", "post");
INSERT INTO `wp_sa_postmeta` VALUES("21", "20", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("22", "20", "_elementor_template_type", "header");
INSERT INTO `wp_sa_postmeta` VALUES("23", "20", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("24", "20", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("25", "20", "_edit_lock", "1693656656:51");
INSERT INTO `wp_sa_postmeta` VALUES("26", "21", "_wp_attached_file", "2023/07/logo-main.svg");
INSERT INTO `wp_sa_postmeta` VALUES("27", "21", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:42665;s:5:\"width\";d:351;s:6:\"height\";d:138;}");
INSERT INTO `wp_sa_postmeta` VALUES("32", "23", "_edit_lock", "1713946317:1");
INSERT INTO `wp_sa_postmeta` VALUES("33", "23", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("34", "23", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("35", "23", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("36", "23", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("45", "23", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("47", "23", "_rankmath__data", "[{\"id\":\"4396811\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":20,\"column\":\"20\",\"row\":\"20\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1c50354\"}],\"flex_wrap_tablet\":\"wrap\",\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"addf7be\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":75},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1193f34\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[{\"id\":\"8dc5467\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"heading\":\"\",\"description\":\"\",\"button_text\":\"\",\"_id\":\"c6820f4\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Hero-Yellow-min-1.png\",\"id\":148,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"__globals__\":{\"background_color\":\"globals\\/colors?id=primary\"}},{\"heading\":\"\",\"description\":\"\",\"button_text\":\"\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Hero-Red.png\",\"id\":150,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"__globals__\":{\"background_color\":\"globals\\/colors?id=primary\"},\"_id\":\"47cceec\"},{\"heading\":\"\",\"description\":\"\",\"button_text\":\"\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Hero-Purple-min-1.png\",\"id\":151,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"__globals__\":{\"background_color\":\"globals\\/colors?id=primary\"},\"_id\":\"2f07c83\"}],\"slides_height\":{\"unit\":\"px\",\"size\":422,\"sizes\":[]},\"autoplay\":\"\",\"dots_size\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e11ccd4\"}],\"custom_css\":\"selector .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {\\r\\n    top: 0;\\r\\n    display: flex;\\r\\n    padding-right: 7rem;\\r\\n    height: 20px;\\r\\n}\\r\\n@media only screen and (max-width: 568px) { selector .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {\\r\\n    padding-right:3.5rem;\\r\\n\\r\\n}\\r\\n}\\r\\n\\r\\nselector span.swiper-pagination-bullet.swiper-pagination-bullet-active {\\r\\n    width: 20px;\\r\\n    border-radius: 5px;\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector span.swiper-pagination-bullet {\\r\\n    transition: 0.3s;\\r\\n    margin-right: 3px !important;\\r\\n    margin-left: 3px !important;\\r\\n}\\r\\nselector .elementor-slides-wrapper.elementor-main-swiper.swiper.swiper-initialized.swiper-horizontal.swiper-pointer-events.swiper-rtl.swiper-backface-hidden {\\r\\n    border-radius: 15px !important;\\r\\n}\\r\\nselector .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {\\r\\n    z-index: 2;\\r\\n}\",\"__globals__\":{\"dots_color_inactive\":\"globals\\/colors?id=10f2dd8\",\"dots_color\":\"globals\\/colors?id=primary\"},\"slides_height_tablet\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]},\"slides_height_mobile\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"slides\"},{\"id\":\"9d147d4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/slider-pagination-bg.svg\",\"id\":167},\"library\":\"svg\"},\"size\":{\"unit\":\"px\",\"size\":170,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":5.70000000000000017763568394002504646778106689453125,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":10.5,\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":-4,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":-4,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":-6,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d13b86f\"}],\"size_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-3.8\",\"right\":\"0\",\"bottom\":\"-4.2\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-2.7\",\"right\":\"0\",\"bottom\":\"-3.2\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-2.3\",\"right\":\"0\",\"bottom\":\"-2.8\",\"left\":\"0\",\"isLinked\":false},\"size_tablet\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"a7f9cc3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":25},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ef73b8b\"}],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[{\"id\":\"75e55a4\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"792\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"442d560\"}],\"columns\":\"1\",\"carousel_enabled\":\"yes\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"dots\":\"true\",\"columns_tablet\":\"2\",\"custom_query\":\"yes\",\"custom_query_id\":\"4\",\"arrows_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"arrow_color\":\"#ACACAC\",\"arrow_bg_color\":\"#02010100\",\"prev_top_position\":{\"unit\":\"%\",\"size\":88,\"sizes\":[]},\"prev_top_position_tablet\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"prev_top_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_left_position\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_left_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_top_position\":{\"unit\":\"%\",\"size\":88,\"sizes\":[]},\"next_top_position_tablet\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"next_top_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_right_position\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_right_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_right_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"dots_size\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"dots_bg_color_active\":\"#EF3A4F\",\"custom_css\":\"selector li.slick-active {\\n     width:20px !important;\\n     border-radius: 5px !important;\\n     transition: 0.3s !important;\\n}\\n\\nselector li.slick {\\n    transition: 0.3s !important;\\n}\\n\\nselector ul.jet-slick-dots {\\n    position: relative;\\n    bottom: 3.2rem;\\n}\\nselector ul.jet-slick-dots {\\n    position: relative;\\n    bottom: 3rem;\\n    justify-content: center;\\n}\\n\\n@media only screen and (max-width: 968px) { selector ul.jet-slick-dots {\\n    display: none;\\n}\\n}\",\"__globals__\":{\"arrow_color\":\"\",\"dots_bg_color\":\"\",\"dots_bg_color_hover\":\"globals\\/colors?id=ed73ee8\",\"dots_bg_color_active\":\"globals\\/colors?id=primary\"},\"columns_mobile\":\"1\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"f663b3c\",\"elType\":\"container\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e97db4d\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"ad36a96\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"224\",\"jedv_conditions\":[{\"_id\":\"39a6d2f\"}]},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false},{\"id\":\"8f8c40f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"wd_container_stretch\":\"stretch\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"084d040\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"f5fa7bf\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"dba9504\"}],\"flex_wrap_mobile\":\"nowrap\",\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"flex-start\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_align_items_mobile\":\"flex-end\"},\"elements\":[{\"id\":\"693e202\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u0640\\u0640\\u0640\\u0640\\u0640 \\u067e\\u0631\\u0641\\u0631\\u0648\\u0634\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size\":\"grow\",\"align_mobile\":\"center\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5f24358\",\"elType\":\"widget\",\"settings\":{\"title\":\"Best Sellers Products\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_flex_size_tablet\":\"grow\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"hide_mobile\":\"hidden-mobile\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"467020e\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":63,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"54cd249\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i>\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"278f4a5\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/shop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_flex_size_tablet\":\"grow\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"1322bc2\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"36edaa2\"}],\"columns\":\"4\",\"carousel_enabled\":\"yes\",\"arrows_box_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"arrow_color\":\"#737373\",\"arrow_bg_color\":\"#F6F6F6\",\"prev_left_position\":{\"unit\":\"px\",\"size\":-30,\"sizes\":[]},\"next_right_position\":{\"unit\":\"px\",\"size\":-30,\"sizes\":[]},\"custom_css\":\"selector .jet-listing-grid__slider-icon {\\r\\n    height: 80px !important;\\r\\n    border-radius: 10px !important;\\r\\n}\",\"__globals__\":{\"arrow_color\":\"globals\\/colors?id=text\",\"arrow_bg_color\":\"\"},\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"prev_left_position_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"next_right_position_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"next_right_position_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"ba3c301\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"flex-end\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"323b21a\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"7ec3f6f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/main-banner-2.png\",\"id\":244,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"jedv_conditions\":[{\"_id\":\"8701e06\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"90123c5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/main-banner-1.png\",\"id\":245,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"jedv_conditions\":[{\"_id\":\"8701e06\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"71ae156\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7.2\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"2\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"48ebb27\"}],\"stretch_section\":\"section-stretched\",\"boxed_width\":{\"unit\":\"px\",\"size\":1400,\"sizes\":[]},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"f84f6c3\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"6c9b81b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"background_background\":\"classic\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":253,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Takhfifatoverlay-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.05000000000000000277555756156289135105907917022705078125,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"6.25\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"1.5\",\"bottom\":\"0\",\"left\":\"1.5\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=primary\"},\"border_radius\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_direction\":\"row\"},\"elements\":[{\"id\":\"f4491fa\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":22,\"unit\":\"%\"},\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"2.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"1.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e325901\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"width_tablet\":{\"size\":30,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"243f5a8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641\\u0627\\u062a\\u0640\\u0640\\u0640\\u0640 \\u0648\\u06cc\\u0698\\u0647\",\"header_size\":\"span\",\"align\":\"right\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"5b76b0a\"}],\"scroll_y\":-80,\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67c4416\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"align\":\"justify\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.899999999999999911182158029987476766109466552734375,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f679519\"}],\"scroll_y\":-80,\"wd_color_scheme\":\"inherit\",\"wd_content_align\":\"left\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3a748ef\",\"elType\":\"widget\",\"settings\":{\"due_date\":\"2024-11-01 08:53\",\"label_days\":\"\\u0631\\u0648\\u0632\\u0647\\u0627\",\"label_hours\":\"\\u0633\\u0627\\u0639\\u062a\",\"label_minutes\":\"\\u062f\\u0642\\u06cc\\u0642\\u0647\",\"label_seconds\":\"\\u062b\\u0627\\u0646\\u06cc\\u0647 \\u0647\\u0627\",\"box_background_color\":\"#EF3A4F00\",\"box_border_border\":\"dashed\",\"box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"box_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_padding\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"3\",\"bottom\":\"8\",\"left\":\"3\",\"isLinked\":false},\"digits_typography_typography\":\"custom\",\"digits_typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"digits_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"digits_typography_font_weight\":\"normal\",\"label_typography_typography\":\"custom\",\"label_typography_font_family\":\"IRANSansWeb_Light\",\"label_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"label_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1.5\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b6043c9\"}],\"scroll_y\":-80,\"custom_css\":\"selector span.elementor-countdown-label {\\n    padding-top: 10px;\\n}\",\"__dynamic__\":{\"evergreen_counter_hours\":\"[elementor-tag id=\\\"80c3462\\\" name=\\\"jet-options-page\\\" settings=\\\"%7B%22option_field%22%3A%22site-setting%3A%3Ahours-timer%22%7D\\\"]\",\"evergreen_counter_minutes\":\"[elementor-tag id=\\\"375cdbf\\\" name=\\\"jet-options-page\\\" settings=\\\"%7B%22option_field%22%3A%22site-setting%3A%3Amin-timer%22%7D\\\"]\"},\"show_days\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"countdown\"}],\"isInner\":true},{\"id\":\"01157ab\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":78,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"2.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2028ee7\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":70,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"1798176\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"36edaa2\"}],\"columns\":\"3\",\"carousel_enabled\":\"yes\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"arrows_box_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"prev_top_position\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"prev_top_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_top_position_mobile\":{\"unit\":\"%\",\"size\":-7,\"sizes\":[]},\"prev_left_position\":{\"unit\":\"%\",\"size\":122,\"sizes\":[]},\"prev_left_position_tablet\":{\"unit\":\"%\",\"size\":130,\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"%\",\"size\":73,\"sizes\":[]},\"next_top_position\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"next_top_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_top_position_mobile\":{\"unit\":\"%\",\"size\":-7,\"sizes\":[]},\"next_right_position\":{\"unit\":\"%\",\"size\":-28,\"sizes\":[]},\"next_right_position_tablet\":{\"unit\":\"%\",\"size\":-42,\"sizes\":[]},\"next_right_position_mobile\":{\"unit\":\"%\",\"size\":6,\"sizes\":[]},\"custom_css\":\"selector .jet-listing-grid__slider-icon.next-arrow.slick-arrow {\\n    border-radius: 5px;\\n}\\n\\n\\nselector .jet-listing-grid__slider-icon.prev-arrow.slick-arrow {\\n    border-radius: 5px;\\n}\\n\\nselector li.slick-active {\\n     width:23px !important;\\n     border-radius: 5px !important;\\n     transition: 0.3s !important;\\n}\\n\\nselector li.slick {\\n    transition: 0.3s !important;\\n}\\n\\nselector ul.jet-slick-dots {\\n    position: relative;\\n    bottom: 31rem;\\n    left: -40rem;\\n    z-index: 100;\\n}\",\"__globals__\":{\"arrow_color\":\"globals\\/colors?id=primary\",\"arrow_bg_color\":\"globals\\/colors?id=ee33486\"},\"columns_tablet\":\"2\",\"custom_query\":\"yes\",\"custom_query_id\":\"4\",\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"4e986e5\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b08abbc\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"08db58a\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8926883\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"wrap\",\"flex_direction_mobile\":\"row\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"73e4546\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size\":\"grow\",\"align_mobile\":\"center\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8cd6dde\",\"elType\":\"widget\",\"settings\":{\"title\":\"Product Categories\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_flex_size_tablet\":\"grow\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6f818f2\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":69.7999999999999971578290569595992565155029296875,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width_mobile\":\"inherit\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"ad44189\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"257\",\"columns\":\"6\",\"posts_num\":9,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[],\"terms_orderby\":\"parent\",\"terms_order\":\"ASC\",\"terms_hide_empty\":\"\",\"terms_meta_query\":[],\"users_meta_query\":[],\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"fb44471\"}],\"scroll_y\":-80,\"custom_query_id\":\"5\",\"columns_tablet\":\"4\",\"columns_mobile\":\"2\",\"horizontal_gap_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"custom_query\":\"yes\",\"carousel_enabled\":\"yes\",\"arrows\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"7f4115f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"wd_container_stretch\":\"stretch\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"084d040\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"9cb3a7d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"dba9504\"}],\"flex_wrap_mobile\":\"wrap\",\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"flex-start\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_align_items_mobile\":\"flex-end\"},\"elements\":[{\"id\":\"0b08edd\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\\u0640\\u0640\\u0640\\u0640\\u0640 \\u067e\\u0631\\u0641\\u0631\\u0648\\u0634\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size\":\"grow\",\"align_mobile\":\"center\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5b6f539\",\"elType\":\"widget\",\"settings\":{\"title\":\"Best Sellers Products\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_flex_size_tablet\":\"grow\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"hide_mobile\":\"hidden-mobile\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c7fb9b2\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":63,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"6d9f19e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i>\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"278f4a5\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/shop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_flex_size_tablet\":\"grow\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"74911fb\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"36edaa2\"}],\"columns\":\"4\",\"posts_num\":8,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"82b1edf\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"fca6759\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"28f6544\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/main-banner-4.png\",\"id\":243,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"jedv_conditions\":[{\"_id\":\"a201101\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"166942a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"wd_container_stretch\":\"stretch\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"084d040\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"344a6ce\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"dba9504\"}],\"flex_wrap_mobile\":\"wrap\",\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"flex-start\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_align_items_mobile\":\"flex-end\"},\"elements\":[{\"id\":\"393a563\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size\":\"grow\",\"align_mobile\":\"center\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"90121b3\",\"elType\":\"widget\",\"settings\":{\"title\":\"Best Sellers Products\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"hide_mobile\":\"hidden-mobile\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_flex_size_tablet\":\"grow\",\"_flex_size\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"44353bd\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":63,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"c8f0503\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i>\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"278f4a5\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/shop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_flex_size_tablet\":\"grow\",\"_flex_size\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"6f8973c\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"36edaa2\"}],\"columns\":\"4\",\"posts_num\":8,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"ed968c9\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"db0c94b\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"664477c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/main-banner-5.png\",\"id\":242,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"jedv_conditions\":[{\"_id\":\"5b9082c\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"0425f59\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/main-banner-6.png\",\"id\":241,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"jedv_conditions\":[{\"_id\":\"5b9082c\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"a8b0414\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"11bf6ee\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"cd62cd9\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1224\",\"columns\":\"1\",\"posts_num\":1,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"c421589\",\"posts_author\":\"id\",\"__dynamic__\":[]}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"92a1cc9\"}],\"custom_query\":\"yes\",\"custom_query_id\":\"8\",\"__dynamic__\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"5b41e3f\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"21129e7\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"164ddd0\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"15a7fbc\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"wrap\",\"flex_direction_mobile\":\"row\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content_mobile\":\"flex-start\",\"flex_align_items_mobile\":\"flex-end\"},\"elements\":[{\"id\":\"c90fa70\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cfa69c2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Best Sellers Products\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_flex_size_tablet\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"50e04ea\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":62,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":34,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"029f253\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i>\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"278f4a5\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/shop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_flex_size_tablet\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"20ec42e\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"293\",\"columns\":\"3\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"30241c1\",\"offset\":\"\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"arrow_icon\":\"fa fa-chevron-left\",\"arrows_box_size\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"arrow_color\":\"#414141\",\"arrow_bg_color\":\"#F6F6F6\",\"prev_left_position\":{\"unit\":\"px\",\"size\":-28,\"sizes\":[]},\"prev_left_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_right_position\":{\"unit\":\"px\",\"size\":-26,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"1ea93fd\"}],\"scroll_y\":-80,\"custom_css\":\"selector .jet-listing-grid__slider-icon {\\r\\n    height: 80px !important;\\r\\n    border-radius: 10px !important;\\r\\n}\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"equal_columns_height\":\"yes\",\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"6d73654\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0ddc6a5\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_direction_mobile\":\"column\",\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_wrap_tablet\":\"wrap\"},\"elements\":[{\"id\":\"650c2f0\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7b835a4\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"9c1f2b2\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"296dfc8\"}],\"flex_direction_mobile\":\"row\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"9f91bac\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0637\\u0627\\u0644\\u0628 \\u0648\\u0628\\u0644\\u0627\\u06af\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"header_size\":\"h3\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"80d9010\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Articles\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\",\"_flex_size_tablet\":\"grow\",\"_flex_size\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"769114d\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"7\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":56,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"930706c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i>\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"278f4a5\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/blog\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size_tablet\":\"grow\",\"_flex_size\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"74e6f52\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"334\",\"columns\":\"1\",\"posts_num\":5,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"24b8079\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"category\",\"tax_query_compare\":\"NOT IN\",\"tax_query_terms\":\"39\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"a88dc34\"}],\"scroll_y\":-80,\"vertical_gap\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"terms_order\":\"ASC\",\"terms_exclude\":\"\\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648\\u06cc\\u062f\\u0626\\u0648\\u06cc\\u06cc\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true},{\"id\":\"fed2623\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7b835a4\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"align\":\"space-between\",\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e93ce4c\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2a98438\"}],\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"8aa44b3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648\\u06cc\\u062f\\u0626\\u0648\\u06cc\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"header_size\":\"h3\",\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size_mobile\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ed2f231\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i>\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"278f4a5\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/blog\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"align_tablet\":\"left\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size_tablet\":\"grow\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"1f3a32f\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"333\",\"columns\":\"1\",\"posts_num\":1,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"1fb9e7a\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"category\",\"tax_query_terms\":\"39\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5a6020a\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"90eb02c\",\"elType\":\"container\",\"settings\":{\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.625\",\"bottom\":\"1.5\",\"left\":\"1.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ebafa19\"}],\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"da1caaa\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0631\\u0633\\u06cc \\u0647\\u0627\\u06cc \\u0648\\u06cc\\u062f\\u0626\\u0648\\u06cc\\u06cc \\u062f\\u06cc\\u06af\\u0631\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"a082e5c\"}],\"scroll_y\":-80,\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ae8067c\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"332\",\"columns\":\"1\",\"posts_num\":4,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"2dd6522\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"category\",\"tax_query_terms\":\"39\"},{\"_id\":\"83f9cc3\",\"type\":\"order_offset\",\"offset\":1}],\"terms_meta_query\":[],\"users_meta_query\":[],\"center_mode\":\"true\",\"vertical_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"6a339f4\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"adf664c\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"069e9ae\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":37,\"sizes\":[],\"column\":\"37\",\"row\":\"37\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":49,\"sizes\":[],\"column\":\"49\",\"row\":\"49\",\"isLinked\":true}},\"elements\":[{\"id\":\"19b9d7c\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4a41369\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction_mobile\":\"row\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content_mobile\":\"flex-start\",\"flex_align_items\":\"center\"},\"elements\":[{\"id\":\"dd2d02d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u0646\\u062f \\u0647\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size_mobile\":\"grow\",\"align_mobile\":\"right\",\"_flex_size_tablet\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"96c580a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Brands\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_size_tablet\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7a8d626\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":68,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":59,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\",\"width_tablet\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"21c1b59\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"331\",\"columns\":\"6\",\"posts_num\":8,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"d20ac98\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"dots\":\"true\",\"dots_size\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"dots_bg_color\":\"#D9D9D9\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"f2798d5\"}],\"scroll_y\":-80,\"custom_css\":\"selector li.slick-active {\\n     width:23px !important;\\n     border-radius: 5px !important;\\n     transition: 0.3s !important;\\n     background: var( --e-global-color-primary ) !important;\\n}\\n\\n\\nselector li.slick {\\n    transition: 0.3s !important;\\n}\\n\\n.jet-listing-grid__slider .jet-slick-dots {\\n    position: relative;\\n    bottom: 173px;\\n    justify-content: flex-end;\\n}\",\"columns_tablet\":\"4\",\"columns_mobile\":\"2\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("55", "23", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("56", "20", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("57", "20", "_rankmath__data", "[{\"id\":\"8c657f7\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2eb1c57\"}],\"hide_mobile\":\"hidden-mobile\",\"hide_tablet\":\"hidden-tablet\"},\"elements\":[{\"id\":\"adad992\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":65},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[],\"column\":\"60\",\"row\":\"60\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"e1b7e69\"}]},\"elements\":[{\"id\":\"3960fe8\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":76,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f503695\"}],\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":19.260000000000001563194018672220408916473388671875},\"_flex_size\":\"none\"},\"elements\":[],\"widgetType\":\"theme-site-logo\"},{\"id\":\"40d2dcc\",\"elType\":\"widget\",\"settings\":{\"placeholder\":\"\\u062c\\u0633\\u062a\\u062c\\u0648\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0631\\u062f\\u0646\",\"input_background_color\":\"#02010100\",\"input_border_color\":\"#EBEBEB\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"size\":73,\"sizes\":[]},\"button_text_color\":\"#54595F\",\"button_background_color\":\"#54595F00\",\"_element_width\":\"inherit\",\"__globals__\":{\"button_text_color\":\"\",\"input_typography_typography\":\"globals\\/typography?id=primary\",\"input_text_color\":\"globals\\/colors?id=secondary\"},\"jedv_conditions\":[{\"_id\":\"58a69a3\"}],\"size\":{\"unit\":\"px\",\"size\":43,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"search-form\"}],\"isInner\":true},{\"id\":\"ac60fd1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":35},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_align_items\":\"center\",\"flex_justify_content\":\"flex-end\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"812461e\"}]},\"elements\":[{\"id\":\"8b71350\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u06cc\\u0646\\u062c\\u0627 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"selected_icon\":{\"value\":\"far fa-user\",\"library\":\"fa-regular\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\"},\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"eb96cc2\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22display_name%22%2C%22before%22%3A%22%D8%B3%D9%84%D8%A7%D9%85%2C%22%7D\\\"]\"},\"size\":\"xs\",\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"user\",\"_id\":\"67ef3db\"}],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"custom_css\":\"selector i {\\n        width: 40px;\\n    height: 40px;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    border: 1px solid var(--e-global-color-ed73ee8) ;\\n    border-radius: 50px\\n}\\n\\nselector .elementor-button-content-wrapper{\\n    align-items: center;\\n    min-height: 40px;\\n}\"},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"5cff30e\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0648\\u0631\\u0648\\u062f\\/\\u062b\\u0628\\u062a \\u0646\\u0627\\u0645\",\"selected_icon\":{\"value\":\"far fa-user\",\"library\":\"fa-regular\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\"},\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"user-not-logged\",\"_id\":\"1532e52\"}],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"custom_css\":\"selector i {\\n        width: 40px;\\n    height: 40px;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    border: 1px solid var(--e-global-color-ed73ee8) ;\\n    border-radius: 50px\\n}\\n\\nselector .elementor-button-content-wrapper{\\n    align-items: center;\\n    min-height: 40px;\\n}\"},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"0dcc79c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Heart-header-ico.svg\",\"id\":41},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=ed73ee8\",\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wishlist\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"jedv_condition\":\"user-not-logged\",\"_id\":\"1532e52\"}],\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector svg {\\n    width: 21px;\\n\\n}\\n\\nselector a.elementor-button{\\n        width: 45px;\\n    height: 30px;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n\\n}\"},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"ae05753\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/cart-header-ico.svg\",\"id\":40},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=ed73ee8\",\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/cart\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"jedv_condition\":\"user-not-logged\",\"_id\":\"1532e52\"}],\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector svg {\\n    width: 21px;\\n\\n}\\n\\nselector a.elementor-button{\\n        width: 45px;\\n    height: 30px;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n\\n}\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"7f7381d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#F9F9F9\",\"padding\":{\"unit\":\"rem\",\"top\":\"0.25\",\"right\":\"0\",\"bottom\":\"0.25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0.25\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"203a19c\"}],\"flex_align_items\":\"center\",\"hide_mobile\":\"hidden-mobile\",\"hide_tablet\":\"hidden-tablet\"},\"elements\":[{\"id\":\"f7800e1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":82},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8951655\"}],\"flex_justify_content\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0ea860e\",\"elType\":\"widget\",\"settings\":{\"menu\":\"50\",\"jedv_conditions\":[{\"_id\":\"9ef8ab5\"}],\"sub-menu-position\":\"left\",\"roll-up\":\"\",\"roll-up-item-text\":\"...\",\"ajax-loading\":\"\",\"top_items_typography_typography\":\"custom\",\"top_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"main_menu_item_space\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"sub_menu_container_offset\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"sub_menu_container_border_border\":\"solid\",\"sub_menu_container_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"sub_menu_container_border_color\":\"#E1E1E1\",\"sub_menu_container_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"menu_item_icon_color\":\"#686868\",\"menu_item_title_color\":\"#686868\",\"menu_item_dropdown_color\":\"#686868\",\"menu_sub_item_title_color\":\"#333333\",\"menu_sub_item_dropdown_color\":\"#02010100\",\"menu_sub_item_bg_color\":\"#FFFFFF\",\"menu_sub_hover_item_title_color\":\"#FFFFFF\",\"menu_sub_hover_item_dropdown_color\":\"#02010100\",\"menu_sub_hover_item_bg_color\":\"#FFDADE\",\"dropdown_menu_container_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"dropdown_menu_container_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"dropdown_menu_container_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_z_index\":9999,\"custom_css\":\"selector .jet-mega-menu-item {\\r\\n    z-index: 1000 !important;\\r\\n}\\r\\n\\r\\nselector .jet-mega-menu-mega-container__inner {\\r\\n    position: fixed;\\r\\n    top: 147px;\\r\\n    width: 1100px;\\r\\n    z-index: 1000 !important;\\r\\n}\\r\\nselector li.elementor-icon-list-item {\\r\\n    list-style: none;\\r\\n}\\r\\n\\r\\nselector .jet-mega-menu.jet-mega-menu--layout-horizontal .jet-mega-menu-mega-container__inner {\\r\\n    transform: translateX(-86.6%);\\r\\n    padding: 0 !important;\\r\\n}\\r\\n\\r\\nselector li.elementor-icon-list-item {\\r\\n    list-style: none;\\r\\n}\\r\\n\\r\\nselector .jet-mega-menu-sub-menu .jet-mega-menu-item__inner {\\r\\n    border-right: 2px solid transparent !important;\\r\\n    transition: 0.3s;\\r\\n}\\r\\n\\r\\nselector .jet-mega-menu-sub-menu .jet-mega-menu-item__inner:hover {\\r\\n    border-right: 2px solid var(--e-global-color-primary ) !important;\\r\\n    transition: 0.3s;\\r\\n}\\r\\n\\r\\nselector ul.jet-mega-menu-sub-menu__list {\\r\\n    padding: 10px 0 !important;\\r\\n}\",\"__globals__\":{\"menu_item_title_color\":\"\",\"menu_sub_hover_item_bg_color\":\"\",\"menu_sub_hover_item_title_color\":\"globals\\/colors?id=secondary\",\"menu_sub_item_bg_color\":\"globals\\/colors?id=ee33486\",\"menu_sub_item_title_color\":\"globals\\/colors?id=secondary\",\"sub_menu_container_border_color\":\"globals\\/colors?id=ed73ee8\",\"dropdown_menu_item_dropdown_color\":\"\"},\"main_menu_item_vertical_padding\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"main_menu_items_align\":\"flex-start\",\"main_menu_sub_item_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"main_menu_item_hor_padding\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"sub_items_typography_typography\":\"custom\",\"sub_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"main_menu_sub_item_vertical_padding\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"dropdown_top_items_typography_typography\":\"custom\",\"dropdown_sub_items_typography_typography\":\"custom\"},\"elements\":[],\"widgetType\":\"jet-mega-menu\"}],\"isInner\":true},{\"id\":\"2d92ace\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":30},\"flex_justify_content\":\"flex-end\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":11,\"sizes\":[],\"column\":\"11\",\"row\":\"11\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d26c8fb\"}]},\"elements\":[{\"id\":\"0740cfe\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0648\\u0627\\u0644\\u06cc \\u062f\\u0627\\u0631\\u06cc\\u062f\\u061f \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\",\"header_size\":\"p\",\"title_color\":\"#737373\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"10\",\"bottom\":\"7\",\"left\":\"9\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7225555\"}],\"_background_background\":\"classic\",\"_background_color\":\"#F1F1F1\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"16\",\"bottom\":\"16\",\"left\":\"16\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\",\"_background_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a47fd1e\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span style=\\\"color: #ef3a4f;\\\">021<\\/span>-1234567<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-16\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"320c459\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"1f4628c\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/contact-icon.svg\",\"id\":59},\"library\":\"svg\"},\"view\":\"stacked\",\"primary_color\":\"#EEEEEE\",\"size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e0eb1c9\"}],\"__globals__\":{\"primary_color\":\"\",\"secondary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"71ea963\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"flex_align_items_mobile\":\"center\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"1\",\"bottom\":\"0.4\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"437b2f1\"}],\"hide_desktop\":\"hidden-desktop\",\"flex_wrap_mobile\":\"nowrap\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"60707aa\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"25\"},\"width_mobile\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_align_items_mobile\":\"center\",\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9116e36\"}],\"flex_justify_content_tablet\":\"center\",\"flex_justify_content_mobile\":\"flex-start\"},\"elements\":[{\"id\":\"30d1ee6\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-bars\",\"library\":\"fa-solid\"},\"size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-8.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"736897c\"}],\"__globals__\":{\"primary_color\":\"globals\\/colors?id=secondary\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"017ca99\\\" name=\\\"popup\\\" settings=\\\"%7B%22popup%22%3A%22961%22%7D\\\"]\"},\"align_tablet\":\"right\",\"size_tablet\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-8\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"7f88551\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8508d2d\"}],\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"996209d\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"width_mobile\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"6e757f3\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":41,\"sizes\":[]},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"theme-site-logo\"}],\"isInner\":true},{\"id\":\"38ab498\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":35},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_align_items\":\"center\",\"flex_justify_content\":\"flex-end\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"812461e\"}],\"width_mobile\":{\"unit\":\"%\",\"size\":37,\"sizes\":[]}},\"elements\":[{\"id\":\"c516cad\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"selected_icon\":{\"value\":\"far fa-user\",\"library\":\"fa-regular\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=ed73ee8\"},\"__dynamic__\":[],\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"user\",\"_id\":\"67ef3db\"}],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"_border_border\":\"solid\",\"_border_width_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"43b09d7\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"selected_icon\":{\"value\":\"far fa-user\",\"library\":\"fa-regular\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=ed73ee8\"},\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"user-not-logged\",\"_id\":\"1532e52\"}],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"_border_border\":\"solid\",\"_border_width_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"8cd0ac1\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Heart-header-ico.svg\",\"id\":41},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=ed73ee8\",\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wishlist\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"jedv_condition\":\"user-not-logged\",\"_id\":\"1532e52\"}],\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector svg {\\n    width: 21px;\\n\\n}\\n\\nselector a.elementor-button{\\n        width: 45px;\\n    height: 30px;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n\\n}\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"137865b\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/cart-header-ico.svg\",\"id\":40},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#15151500\",\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=ed73ee8\",\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/cart\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"jedv_condition\":\"user-not-logged\",\"_id\":\"1532e52\"}],\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector svg {\\n    width: 21px;\\n\\n}\\n\\nselector a.elementor-button{\\n        width: 45px;\\n    height: 30px;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n\\n}\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"159c912\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#F9F9F9\",\"padding\":{\"unit\":\"rem\",\"top\":\"0.25\",\"right\":\"0\",\"bottom\":\"0.25\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.2\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"203a19c\"}],\"flex_align_items\":\"center\",\"hide_desktop\":\"hidden-desktop\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"ab791db\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":30},\"flex_justify_content\":\"flex-end\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":11,\"sizes\":[],\"column\":\"11\",\"row\":\"11\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d26c8fb\"}],\"flex_justify_content_mobile\":\"flex-start\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_justify_content_tablet\":\"flex-start\"},\"elements\":[{\"id\":\"ebe87a8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0648\\u0627\\u0644\\u06cc \\u062f\\u0627\\u0631\\u06cc\\u062f\\u061f \\u062a\\u0645\\u0627\\u0633 \\u0628\\u06af\\u06cc\\u0631\\u06cc\\u062f\",\"header_size\":\"p\",\"title_color\":\"#737373\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"10\",\"bottom\":\"7\",\"left\":\"9\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7225555\"}],\"_background_background\":\"classic\",\"_background_color\":\"#F1F1F1\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"16\",\"bottom\":\"16\",\"left\":\"16\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\",\"_background_color\":\"\"},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"10\",\"bottom\":\"3\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"9e0370f\",\"elType\":\"container\",\"settings\":{\"flex_direction_tablet\":\"row\",\"flex_justify_content_tablet\":\"flex-end\",\"flex_align_items_tablet\":\"center\",\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0ada0b9\"}]},\"elements\":[{\"id\":\"216e1dd\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span style=\\\"color: #ef3a4f;\\\">021<\\/span>-1234567<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-16\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"320c459\"}],\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_flex_size_mobile\":\"grow\",\"align_tablet\":\"left\",\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-16\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"83dd432\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/contact-icon.svg\",\"id\":59},\"library\":\"svg\"},\"view\":\"stacked\",\"primary_color\":\"#EEEEEE\",\"size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e0eb1c9\"}],\"__globals__\":{\"primary_color\":\"\",\"secondary_color\":\"globals\\/colors?id=text\"},\"size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("58", "20", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("60", "6", "_edit_lock", "1688979801:14");
INSERT INTO `wp_sa_postmeta` VALUES("77", "20", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_sa_postmeta` VALUES("111", "6", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("112", "6", "_elementor_page_settings", "a:31:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:5:\"color\";s:7:\"#EF3A4F\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"رنگ دوم\";s:5:\"color\";s:7:\"#333333\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:5:\"color\";s:7:\"#737373\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"شدت\";s:5:\"color\";s:7:\"#151515\";}}s:13:\"custom_colors\";a:3:{i:0;a:3:{s:3:\"_id\";s:7:\"ed73ee8\";s:5:\"title\";s:17:\"رنگ بوردر\";s:5:\"color\";s:7:\"#E1E1E1\";}i:1;a:3:{s:3:\"_id\";s:7:\"ee33486\";s:5:\"title\";s:8:\"سفید\";s:5:\"color\";s:7:\"#FFFFFF\";}i:2;a:3:{s:3:\"_id\";s:7:\"10f2dd8\";s:5:\"title\";s:20:\"رنگ متن دوم\";s:5:\"color\";s:7:\"#AAAAAA\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:25:\"iranyekanwebregular_FaNum\";s:22:\"typography_font_weight\";s:6:\"normal\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"رنگ دوم\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:25:\"iranyekanwebregular_FaNum\";s:22:\"typography_font_weight\";s:6:\"normal\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:25:\"iranyekanwebregular_FaNum\";s:22:\"typography_font_weight\";s:6:\"normal\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"شدت\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:25:\"iranyekanwebregular_FaNum\";s:22:\"typography_font_weight\";s:6:\"normal\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:26:\"body_typography_typography\";s:6:\"custom\";s:27:\"body_typography_font_family\";s:25:\"iranyekanwebregular_FaNum\";s:25:\"body_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:33:\"link_normal_typography_typography\";s:6:\"custom\";s:34:\"link_normal_typography_font_family\";s:25:\"iranyekanwebregular_FaNum\";s:24:\"h1_typography_typography\";s:6:\"custom\";s:23:\"h1_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:24:\"h2_typography_typography\";s:6:\"custom\";s:23:\"h2_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:27;s:5:\"sizes\";a:0:{}}s:24:\"h3_typography_typography\";s:6:\"custom\";s:23:\"h3_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:25;s:5:\"sizes\";a:0:{}}s:24:\"h4_typography_typography\";s:6:\"custom\";s:23:\"h4_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:23;s:5:\"sizes\";a:0:{}}s:24:\"h5_typography_typography\";s:6:\"custom\";s:23:\"h5_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:24:\"h6_typography_typography\";s:6:\"custom\";s:23:\"h6_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:19;s:5:\"sizes\";a:0:{}}s:9:\"site_name\";s:42:\"سایت آماده چندفروشندگی\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:27:\"hello_footer_copyright_text\";s:41:\"کلیه‌ی حقوق محفوظ است.\";s:15:\"activeItemIndex\";i:1;s:11:\"__globals__\";a:1:{s:17:\"link_normal_color\";s:27:\"globals/colors?id=secondary\";}s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1300;s:5:\"sizes\";a:0:{}}s:16:\"site_description\";s:62:\"یک سایت آماده دیگر از ابزار وردپرس\";}");
INSERT INTO `wp_sa_postmeta` VALUES("113", "6", "_rankmath__data", "[]");
INSERT INTO `wp_sa_postmeta` VALUES("120", "6", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("121", "6", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("122", "6", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("177", "40", "_wp_attached_file", "2023/07/cart-header-ico.svg");
INSERT INTO `wp_sa_postmeta` VALUES("178", "40", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:687;s:5:\"width\";d:20;s:6:\"height\";d:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("180", "41", "_wp_attached_file", "2023/07/Heart-header-ico.svg");
INSERT INTO `wp_sa_postmeta` VALUES("181", "41", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:706;s:5:\"width\";d:22;s:6:\"height\";d:20;}");
INSERT INTO `wp_sa_postmeta` VALUES("225", "46", "_wp_attached_file", "2023/07/menu-icon1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("226", "46", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:873;s:5:\"width\";d:13;s:6:\"height\";d:13;}");
INSERT INTO `wp_sa_postmeta` VALUES("228", "47", "_wp_attached_file", "2023/07/menu-icon2.svg");
INSERT INTO `wp_sa_postmeta` VALUES("229", "47", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1671;s:5:\"width\";d:13;s:6:\"height\";d:13;}");
INSERT INTO `wp_sa_postmeta` VALUES("231", "48", "_wp_attached_file", "2023/07/menu-icon3.svg");
INSERT INTO `wp_sa_postmeta` VALUES("232", "48", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1551;s:5:\"width\";d:13;s:6:\"height\";d:13;}");
INSERT INTO `wp_sa_postmeta` VALUES("234", "49", "_wp_attached_file", "2023/07/menu-icon4.svg");
INSERT INTO `wp_sa_postmeta` VALUES("235", "49", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:934;s:5:\"width\";d:13;s:6:\"height\";d:13;}");
INSERT INTO `wp_sa_postmeta` VALUES("237", "50", "_wp_attached_file", "2023/07/menu-icon5.svg");
INSERT INTO `wp_sa_postmeta` VALUES("238", "50", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:934;s:5:\"width\";d:13;s:6:\"height\";d:13;}");
INSERT INTO `wp_sa_postmeta` VALUES("240", "51", "_wp_attached_file", "2023/07/menu-icon6.svg");
INSERT INTO `wp_sa_postmeta` VALUES("241", "51", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:735;s:5:\"width\";d:13;s:6:\"height\";d:13;}");
INSERT INTO `wp_sa_postmeta` VALUES("243", "52", "_wp_attached_file", "2023/07/Buy.svg");
INSERT INTO `wp_sa_postmeta` VALUES("244", "52", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1239;s:5:\"width\";d:17;s:6:\"height\";d:16;}");
INSERT INTO `wp_sa_postmeta` VALUES("246", "53", "_wp_attached_file", "2023/07/Category-header.svg");
INSERT INTO `wp_sa_postmeta` VALUES("247", "53", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1188;s:5:\"width\";d:12;s:6:\"height\";d:12;}");
INSERT INTO `wp_sa_postmeta` VALUES("249", "54", "_wp_attached_file", "2023/07/cart-icon-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("250", "54", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1072;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("252", "55", "_wp_attached_file", "2023/07/category-icon.svg");
INSERT INTO `wp_sa_postmeta` VALUES("253", "55", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1196;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("255", "56", "_wp_attached_file", "2023/07/home-icon.svg");
INSERT INTO `wp_sa_postmeta` VALUES("256", "56", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1461;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("258", "57", "_wp_attached_file", "2023/07/blog-icon.svg");
INSERT INTO `wp_sa_postmeta` VALUES("259", "57", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1085;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("261", "58", "_wp_attached_file", "2023/07/about-icon.svg");
INSERT INTO `wp_sa_postmeta` VALUES("262", "58", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1019;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("264", "59", "_wp_attached_file", "2023/07/contact-icon.svg");
INSERT INTO `wp_sa_postmeta` VALUES("265", "59", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1101;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("287", "62", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("288", "62", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:384;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("289", "62", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("290", "62", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("291", "62", "_rankmath__data", "[{\"id\":\"165c5e0\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"align\":\"center\",\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"background_color\":\"#FFFFFF\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_hover_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"1\",\"bottom\":\"0.5\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ebdc967\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"__globals__\":{\"border_color\":\"\",\"border_hover_color\":\"globals\\/colors?id=secondary\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"background_background\":\"classic\",\"border_border\":\"none\",\"box_shadow_hover_box_shadow_type\":\"yes\",\"box_shadow_hover_box_shadow\":{\"horizontal\":-5,\"vertical\":2,\"blur\":13,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.05)\"}},\"elements\":[{\"id\":\"03a41bd\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"26cd099\"}],\"scroll_y\":-80,\"linked_image\":\"yes\",\"image_link_source\":\"get_permalink\",\"_z_index\":0,\"image_alignment\":\"center\",\"dynamic_image_source\":\"get_image\",\"image_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"image_object_fit\":\"contain\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":26.074999999999999289457264239899814128875732421875},\"_flex_size\":\"none\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-image\"},{\"id\":\"f31ea96\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":6,\"sizes\":[],\"column\":\"6\",\"row\":\"6\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2f161ea\"}]},\"elements\":[{\"id\":\"ecc6f17\",\"elType\":\"widget\",\"settings\":{\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\\u0627\\u062f\\u0627\\u0645\\u0647 \\u0645\\u0637\\u0644\\u0628\",\"query_args\":\"_post_id=%current_id%\",\"link_typography_typography\":\"custom\",\"link_typography_line_height\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a9dda92\"}],\"scroll_y\":-80,\"__dynamic__\":{\"link_label\":\"[elementor-tag id=\\\"c0f7f0c\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"link_color\":\"globals\\/colors?id=fdaa5d2\"},\"link_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"link_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"},{\"id\":\"4e8167e\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":\"\",\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"flex_justify_content\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"82ecb98\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"882cd48\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"8379f71\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}]},\"elements\":[{\"id\":\"91776f3\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"d98aeb9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"c277d7b\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"20ce74d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"aa54b28\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"jedv_enabled\":\"yes\"},\"elements\":[{\"id\":\"b32b789\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"e164e56\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"eb418af\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"6d0580e\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}},{\"_id\":\"98caaca\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"367da78\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"jedv_relation\":\"OR\",\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"2ce4c37\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"1184328\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"6c87dd7\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}},{\"_id\":\"7808009\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c0d835e\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}},{\"_id\":\"e8dbc64\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"jedv_relation\":\"OR\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"a651b07\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true}},\"elements\":[{\"id\":\"3c7c5d6\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"102d851\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"f815e5a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true}},\"elements\":[{\"id\":\"5a5d816\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom_text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"right\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"9162c46\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"header_size\":\"span\",\"__dynamic__\":[],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ca5e720\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"0f24745\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}},{\"_id\":\"77f7211\",\"jedv_condition\":\"is-in-stock\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"header_size\":\"span\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("292", "62", "_edit_lock", "1688367013:2");
INSERT INTO `wp_sa_postmeta` VALUES("325", "62", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("331", "62", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("332", "62", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("333", "62", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("334", "68", "_wp_attached_file", "2023/07/cat-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("335", "68", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2610;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("337", "69", "_wp_attached_file", "2023/07/cat-2.svg");
INSERT INTO `wp_sa_postmeta` VALUES("338", "69", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2147;s:5:\"width\";d:46;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("340", "70", "_wp_attached_file", "2023/07/cat-3.svg");
INSERT INTO `wp_sa_postmeta` VALUES("341", "70", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:11749;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("343", "71", "_wp_attached_file", "2023/07/cat-4.svg");
INSERT INTO `wp_sa_postmeta` VALUES("344", "71", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1349;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("346", "72", "_wp_attached_file", "2023/07/cat-5.svg");
INSERT INTO `wp_sa_postmeta` VALUES("347", "72", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2357;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("349", "73", "_wp_attached_file", "2023/07/cat-6.svg");
INSERT INTO `wp_sa_postmeta` VALUES("350", "73", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1770;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("352", "74", "_wp_attached_file", "2023/07/cat-7.svg");
INSERT INTO `wp_sa_postmeta` VALUES("353", "74", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1615;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("355", "75", "_wp_attached_file", "2023/07/cat-8.svg");
INSERT INTO `wp_sa_postmeta` VALUES("356", "75", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1664;s:5:\"width\";d:45;s:6:\"height\";d:45;}");
INSERT INTO `wp_sa_postmeta` VALUES("358", "76", "_wp_attached_file", "2023/07/cat-9.svg");
INSERT INTO `wp_sa_postmeta` VALUES("359", "76", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1489;s:5:\"width\";d:40;s:6:\"height\";d:41;}");
INSERT INTO `wp_sa_postmeta` VALUES("375", "80", "_wp_attached_file", "2023/07/product1-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("376", "80", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product1-min.png\";s:8:\"filesize\";i:73999;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product1-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:33003;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product1-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4893;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product1-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:108784;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product1-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:33003;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product1-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9969;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("377", "81", "_wp_attached_file", "2023/07/product2-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("378", "81", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product2-min.png\";s:8:\"filesize\";i:38606;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product2-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21000;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product2-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3849;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product2-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:65542;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product2-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21000;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product2-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7241;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("379", "82", "_wp_attached_file", "2023/07/product3-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("380", "82", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product3-min.png\";s:8:\"filesize\";i:45229;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product3-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:27070;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product3-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4131;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product3-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:100396;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product3-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:27070;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product3-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7993;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("381", "83", "_wp_attached_file", "2023/07/product4-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("382", "83", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product4-min.png\";s:8:\"filesize\";i:55885;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product4-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37406;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product4-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5400;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product4-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:133425;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product4-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37406;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product4-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11072;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("383", "84", "_wp_attached_file", "2023/07/product5-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("384", "84", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product5-min.png\";s:8:\"filesize\";i:59678;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product5-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:34945;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product5-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5414;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product5-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:125149;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product5-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:34945;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product5-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10632;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("385", "85", "_wp_attached_file", "2023/07/product6-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("386", "85", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product6-min.png\";s:8:\"filesize\";i:47883;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product6-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15946;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product6-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3108;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product6-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:51705;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product6-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15946;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product6-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5457;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("387", "86", "_wp_attached_file", "2023/07/product7-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("388", "86", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product7-min.png\";s:8:\"filesize\";i:21880;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product7-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13108;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product7-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2248;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product7-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:40724;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product7-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13108;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product7-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4226;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("389", "87", "_wp_attached_file", "2023/07/product8-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("390", "87", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product8-min.png\";s:8:\"filesize\";i:44974;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product8-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36740;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product8-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6224;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product8-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:112597;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product8-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36740;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product8-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12248;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("391", "88", "_wp_attached_file", "2023/07/product9-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("392", "88", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:24:\"2023/07/product9-min.png\";s:8:\"filesize\";i:47734;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"product9-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28855;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product9-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4548;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"product9-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:100955;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"product9-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28855;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product9-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8810;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("393", "89", "_wp_attached_file", "2023/07/product10-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("394", "89", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product10-min.png\";s:8:\"filesize\";i:45154;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product10-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29083;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product10-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4359;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product10-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:97525;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product10-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29083;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product10-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8662;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("395", "90", "_wp_attached_file", "2023/07/product11-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("396", "90", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product11-min.png\";s:8:\"filesize\";i:69809;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product11-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50698;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product11-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6864;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product11-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:180995;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product11-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50698;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product11-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14036;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("397", "91", "_wp_attached_file", "2023/07/product12-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("398", "91", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product12-min.png\";s:8:\"filesize\";i:26596;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product12-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16108;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product12-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2482;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product12-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:57951;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product12-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16108;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product12-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4821;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("399", "92", "_wp_attached_file", "2023/07/product13-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("400", "92", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product13-min.png\";s:8:\"filesize\";i:43758;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product13-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20835;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product13-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4166;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product13-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:64659;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product13-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20835;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product13-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7404;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("401", "93", "_wp_attached_file", "2023/07/product14-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("402", "93", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product14-min.png\";s:8:\"filesize\";i:38351;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product14-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24969;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product14-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3645;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product14-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:85368;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product14-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24969;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product14-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7284;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("403", "94", "_wp_attached_file", "2023/07/product15-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("404", "94", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product15-min.png\";s:8:\"filesize\";i:44492;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product15-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22303;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product15-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4098;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product15-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:69853;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product15-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22303;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product15-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7416;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("405", "95", "_wp_attached_file", "2023/07/product16-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("406", "95", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product16-min.png\";s:8:\"filesize\";i:44034;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product16-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26348;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product16-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4423;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product16-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:87097;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product16-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26348;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product16-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8427;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("407", "96", "_wp_attached_file", "2023/07/product17-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("408", "96", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product17-min.png\";s:8:\"filesize\";i:40232;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product17-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21498;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product17-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3243;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product17-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:74586;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product17-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21498;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product17-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6414;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("409", "97", "_wp_attached_file", "2023/07/product18-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("410", "97", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product18-min.png\";s:8:\"filesize\";i:120119;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product18-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:52374;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product18-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7104;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product18-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:199583;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product18-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:52374;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product18-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14461;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("411", "98", "_wp_attached_file", "2023/07/product19-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("412", "98", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product19-min.png\";s:8:\"filesize\";i:49642;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product19-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:30013;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product19-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4451;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product19-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:105959;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product19-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:30013;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product19-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8930;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("413", "99", "_wp_attached_file", "2023/07/product20-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("414", "99", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:660;s:4:\"file\";s:25:\"2023/07/product20-min.png\";s:8:\"filesize\";i:48263;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"product20-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14131;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"product20-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1972;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"product20-min-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:58014;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"product20-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14131;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"product20-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3847;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("415", "100", "_edit_lock", "1688646696:3");
INSERT INTO `wp_sa_postmeta` VALUES("416", "100", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("417", "100", "_thumbnail_id", "80");
INSERT INTO `wp_sa_postmeta` VALUES("418", "100", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("419", "100", "_regular_price", "2500000");
INSERT INTO `wp_sa_postmeta` VALUES("420", "100", "_sale_price", "2000000");
INSERT INTO `wp_sa_postmeta` VALUES("421", "100", "total_sales", "10");
INSERT INTO `wp_sa_postmeta` VALUES("422", "100", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("423", "100", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("424", "100", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("425", "100", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("426", "100", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("427", "100", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("428", "100", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("429", "100", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("430", "100", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("431", "100", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("432", "100", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("433", "100", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("434", "100", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("435", "100", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("436", "100", "_price", "2000000");
INSERT INTO `wp_sa_postmeta` VALUES("437", "100", "latin-name", "running adidas shoes");
INSERT INTO `wp_sa_postmeta` VALUES("438", "100", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("439", "100", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("440", "100", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("441", "100", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("442", "102", "_edit_lock", "1688645122:3");
INSERT INTO `wp_sa_postmeta` VALUES("443", "102", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("444", "102", "_thumbnail_id", "81");
INSERT INTO `wp_sa_postmeta` VALUES("445", "102", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("446", "102", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("447", "102", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("448", "102", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("449", "102", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("450", "102", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("451", "102", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("452", "102", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("453", "102", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("454", "102", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("455", "102", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("456", "102", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("457", "102", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("458", "102", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("459", "102", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("460", "102", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("461", "102", "latin-name", "bluetoth airpod");
INSERT INTO `wp_sa_postmeta` VALUES("462", "102", "custom-switcher", "true");
INSERT INTO `wp_sa_postmeta` VALUES("463", "102", "custom-text", "جهت استعلام قیمت تماس بگیرید ");
INSERT INTO `wp_sa_postmeta` VALUES("464", "102", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("465", "102", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("466", "104", "_edit_lock", "1688645092:3");
INSERT INTO `wp_sa_postmeta` VALUES("467", "104", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("468", "104", "_thumbnail_id", "82");
INSERT INTO `wp_sa_postmeta` VALUES("469", "104", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("470", "104", "_regular_price", "16000000");
INSERT INTO `wp_sa_postmeta` VALUES("471", "104", "_sale_price", "15000000");
INSERT INTO `wp_sa_postmeta` VALUES("472", "104", "total_sales", "8");
INSERT INTO `wp_sa_postmeta` VALUES("473", "104", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("474", "104", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("475", "104", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("476", "104", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("477", "104", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("478", "104", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("479", "104", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("480", "104", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("481", "104", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("482", "104", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("483", "104", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("484", "104", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("485", "104", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("486", "104", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("487", "104", "_price", "15000000");
INSERT INTO `wp_sa_postmeta` VALUES("488", "104", "latin-name", "A73 samsung");
INSERT INTO `wp_sa_postmeta` VALUES("489", "104", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("490", "104", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("491", "104", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("492", "104", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("493", "106", "_edit_lock", "1688645201:3");
INSERT INTO `wp_sa_postmeta` VALUES("494", "106", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("495", "106", "_thumbnail_id", "83");
INSERT INTO `wp_sa_postmeta` VALUES("496", "106", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("497", "106", "_regular_price", "25500");
INSERT INTO `wp_sa_postmeta` VALUES("498", "106", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("499", "106", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("500", "106", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("501", "106", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("502", "106", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("503", "106", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("504", "106", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("505", "106", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("506", "106", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("507", "106", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("508", "106", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("509", "106", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("510", "106", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("511", "106", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("512", "106", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("513", "106", "_price", "25500");
INSERT INTO `wp_sa_postmeta` VALUES("514", "106", "latin-name", "peneh zarmacaron spagetti");
INSERT INTO `wp_sa_postmeta` VALUES("515", "106", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("516", "106", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("517", "106", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("518", "106", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("519", "108", "_edit_lock", "1688816123:1");
INSERT INTO `wp_sa_postmeta` VALUES("520", "108", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("521", "108", "_thumbnail_id", "84");
INSERT INTO `wp_sa_postmeta` VALUES("522", "108", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("523", "108", "_regular_price", "350000");
INSERT INTO `wp_sa_postmeta` VALUES("524", "108", "_sale_price", "280000");
INSERT INTO `wp_sa_postmeta` VALUES("525", "108", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("526", "108", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("527", "108", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("528", "108", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("529", "108", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("530", "108", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("531", "108", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("532", "108", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("533", "108", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("534", "108", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("535", "108", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("536", "108", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("537", "108", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("538", "108", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("539", "108", "_product_version", "7.8.2");
INSERT INTO `wp_sa_postmeta` VALUES("540", "108", "_price", "280000");
INSERT INTO `wp_sa_postmeta` VALUES("541", "108", "latin-name", "mostafavi saffron");
INSERT INTO `wp_sa_postmeta` VALUES("542", "108", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("543", "108", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("544", "108", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("545", "108", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("546", "111", "_edit_lock", "1688644993:3");
INSERT INTO `wp_sa_postmeta` VALUES("547", "111", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("548", "111", "_thumbnail_id", "85");
INSERT INTO `wp_sa_postmeta` VALUES("549", "111", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("550", "111", "_regular_price", "789000");
INSERT INTO `wp_sa_postmeta` VALUES("551", "111", "_sale_price", "635000");
INSERT INTO `wp_sa_postmeta` VALUES("552", "111", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("553", "111", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("554", "111", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("555", "111", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("556", "111", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("557", "111", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("558", "111", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("559", "111", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("560", "111", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("561", "111", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("562", "111", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("563", "111", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("564", "111", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("565", "111", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("566", "111", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("567", "111", "_price", "635000");
INSERT INTO `wp_sa_postmeta` VALUES("568", "111", "latin-name", "bluetoth hansfree leito");
INSERT INTO `wp_sa_postmeta` VALUES("569", "111", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("570", "111", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("571", "111", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("572", "111", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("573", "113", "_edit_lock", "1688644965:3");
INSERT INTO `wp_sa_postmeta` VALUES("574", "113", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("575", "113", "_thumbnail_id", "86");
INSERT INTO `wp_sa_postmeta` VALUES("576", "113", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("577", "113", "_regular_price", "25000");
INSERT INTO `wp_sa_postmeta` VALUES("578", "113", "total_sales", "12");
INSERT INTO `wp_sa_postmeta` VALUES("579", "113", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("580", "113", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("581", "113", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("582", "113", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("583", "113", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("584", "113", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("585", "113", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("586", "113", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("587", "113", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("588", "113", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("589", "113", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("590", "113", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("591", "113", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("592", "113", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("593", "113", "_price", "25000");
INSERT INTO `wp_sa_postmeta` VALUES("594", "113", "latin-name", "golrang shampoo");
INSERT INTO `wp_sa_postmeta` VALUES("595", "113", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("596", "113", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("597", "113", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("598", "113", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("599", "115", "_edit_lock", "1688644940:3");
INSERT INTO `wp_sa_postmeta` VALUES("600", "115", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("601", "115", "_thumbnail_id", "87");
INSERT INTO `wp_sa_postmeta` VALUES("602", "115", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("603", "115", "_regular_price", "123000");
INSERT INTO `wp_sa_postmeta` VALUES("604", "115", "total_sales", "10");
INSERT INTO `wp_sa_postmeta` VALUES("605", "115", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("606", "115", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("607", "115", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("608", "115", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("609", "115", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("610", "115", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("611", "115", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("612", "115", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("613", "115", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("614", "115", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("615", "115", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("616", "115", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("617", "115", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("618", "115", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("619", "115", "_price", "123000");
INSERT INTO `wp_sa_postmeta` VALUES("620", "115", "latin-name", "note book cactous pattern");
INSERT INTO `wp_sa_postmeta` VALUES("621", "115", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("622", "115", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("623", "115", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("624", "115", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("625", "118", "_edit_lock", "1688644876:3");
INSERT INTO `wp_sa_postmeta` VALUES("626", "118", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("627", "118", "_thumbnail_id", "88");
INSERT INTO `wp_sa_postmeta` VALUES("628", "118", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("629", "118", "_regular_price", "17500000");
INSERT INTO `wp_sa_postmeta` VALUES("630", "118", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("631", "118", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("632", "118", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("633", "118", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("634", "118", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("635", "118", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("636", "118", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("637", "118", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("638", "118", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("639", "118", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("640", "118", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("641", "118", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("642", "118", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("643", "118", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("644", "118", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("645", "118", "_price", "17500000");
INSERT INTO `wp_sa_postmeta` VALUES("646", "118", "latin-name", "Huawei P50");
INSERT INTO `wp_sa_postmeta` VALUES("647", "118", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("648", "118", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("649", "118", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("650", "118", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("651", "120", "_edit_lock", "1688644846:3");
INSERT INTO `wp_sa_postmeta` VALUES("652", "120", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("653", "120", "_thumbnail_id", "89");
INSERT INTO `wp_sa_postmeta` VALUES("654", "120", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("655", "120", "_regular_price", "95000");
INSERT INTO `wp_sa_postmeta` VALUES("656", "120", "_sale_price", "90000");
INSERT INTO `wp_sa_postmeta` VALUES("657", "120", "total_sales", "4");
INSERT INTO `wp_sa_postmeta` VALUES("658", "120", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("659", "120", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("660", "120", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("661", "120", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("662", "120", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("663", "120", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("664", "120", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("665", "120", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("666", "120", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("667", "120", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("668", "120", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("669", "120", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("670", "120", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("671", "120", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("672", "120", "_price", "90000");
INSERT INTO `wp_sa_postmeta` VALUES("673", "120", "latin-name", "notebook unicorn pattern ");
INSERT INTO `wp_sa_postmeta` VALUES("674", "120", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("675", "120", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("676", "120", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("677", "120", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("678", "122", "_edit_lock", "1688644822:3");
INSERT INTO `wp_sa_postmeta` VALUES("679", "122", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("680", "122", "_thumbnail_id", "90");
INSERT INTO `wp_sa_postmeta` VALUES("681", "122", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("682", "122", "_regular_price", "34000000");
INSERT INTO `wp_sa_postmeta` VALUES("683", "122", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("684", "122", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("685", "122", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("686", "122", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("687", "122", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("688", "122", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("689", "122", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("690", "122", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("691", "122", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("692", "122", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("693", "122", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("694", "122", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("695", "122", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("696", "122", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("697", "122", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("698", "122", "_price", "34000000");
INSERT INTO `wp_sa_postmeta` VALUES("699", "122", "latin-name", "asus laptop 15.6 inch");
INSERT INTO `wp_sa_postmeta` VALUES("700", "122", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("701", "122", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("702", "122", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("703", "122", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("704", "124", "_edit_lock", "1689057102:1");
INSERT INTO `wp_sa_postmeta` VALUES("705", "124", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("706", "124", "_thumbnail_id", "91");
INSERT INTO `wp_sa_postmeta` VALUES("707", "124", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("708", "124", "_regular_price", "86000");
INSERT INTO `wp_sa_postmeta` VALUES("709", "124", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("710", "124", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("711", "124", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("712", "124", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("713", "124", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("714", "124", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("715", "124", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("716", "124", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("717", "124", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("718", "124", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("719", "124", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("720", "124", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("721", "124", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("722", "124", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("723", "124", "_product_version", "7.8.2");
INSERT INTO `wp_sa_postmeta` VALUES("724", "124", "_price", "86000");
INSERT INTO `wp_sa_postmeta` VALUES("725", "124", "latin-name", "body shampoo my summer");
INSERT INTO `wp_sa_postmeta` VALUES("726", "124", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("727", "124", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("728", "124", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("729", "124", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("730", "126", "_edit_lock", "1688648557:1");
INSERT INTO `wp_sa_postmeta` VALUES("731", "126", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("732", "126", "_thumbnail_id", "92");
INSERT INTO `wp_sa_postmeta` VALUES("733", "126", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("734", "126", "_regular_price", "150000");
INSERT INTO `wp_sa_postmeta` VALUES("735", "126", "_sale_price", "135000");
INSERT INTO `wp_sa_postmeta` VALUES("736", "126", "total_sales", "7");
INSERT INTO `wp_sa_postmeta` VALUES("737", "126", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("738", "126", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("739", "126", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("740", "126", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("741", "126", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("742", "126", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("743", "126", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("744", "126", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("745", "126", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("746", "126", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("747", "126", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("748", "126", "_wc_average_rating", "3.67");
INSERT INTO `wp_sa_postmeta` VALUES("749", "126", "_wc_review_count", "3");
INSERT INTO `wp_sa_postmeta` VALUES("750", "126", "_product_version", "7.8.2");
INSERT INTO `wp_sa_postmeta` VALUES("751", "126", "_price", "135000");
INSERT INTO `wp_sa_postmeta` VALUES("752", "126", "latin-name", "mobile holder");
INSERT INTO `wp_sa_postmeta` VALUES("753", "126", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("754", "126", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("755", "126", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("756", "126", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("757", "128", "_edit_lock", "1688644755:3");
INSERT INTO `wp_sa_postmeta` VALUES("758", "128", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("759", "128", "_thumbnail_id", "93");
INSERT INTO `wp_sa_postmeta` VALUES("760", "128", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("761", "128", "_regular_price", "260000");
INSERT INTO `wp_sa_postmeta` VALUES("762", "128", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("763", "128", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("764", "128", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("765", "128", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("766", "128", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("767", "128", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("768", "128", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("769", "128", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("770", "128", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("771", "128", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("772", "128", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("773", "128", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("774", "128", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("775", "128", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("776", "128", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("777", "128", "_price", "260000");
INSERT INTO `wp_sa_postmeta` VALUES("778", "128", "latin-name", "Gold Nescafe coffee");
INSERT INTO `wp_sa_postmeta` VALUES("779", "128", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("780", "128", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("781", "128", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("782", "128", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("783", "130", "_edit_lock", "1688644724:3");
INSERT INTO `wp_sa_postmeta` VALUES("784", "130", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("785", "130", "_thumbnail_id", "94");
INSERT INTO `wp_sa_postmeta` VALUES("786", "130", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("787", "130", "_regular_price", "32000000");
INSERT INTO `wp_sa_postmeta` VALUES("788", "130", "total_sales", "1");
INSERT INTO `wp_sa_postmeta` VALUES("789", "130", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("790", "130", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("791", "130", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("792", "130", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("793", "130", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("794", "130", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("795", "130", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("796", "130", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("797", "130", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("798", "130", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("799", "130", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("800", "130", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("801", "130", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("802", "130", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("803", "130", "_price", "32000000");
INSERT INTO `wp_sa_postmeta` VALUES("804", "130", "latin-name", "Pakshoma Washing Machine");
INSERT INTO `wp_sa_postmeta` VALUES("805", "130", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("806", "130", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("807", "130", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("808", "130", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("809", "132", "_edit_lock", "1688644687:3");
INSERT INTO `wp_sa_postmeta` VALUES("810", "132", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("811", "132", "_thumbnail_id", "95");
INSERT INTO `wp_sa_postmeta` VALUES("812", "132", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("813", "132", "_regular_price", "12300000");
INSERT INTO `wp_sa_postmeta` VALUES("814", "132", "total_sales", "2");
INSERT INTO `wp_sa_postmeta` VALUES("815", "132", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("816", "132", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("817", "132", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("818", "132", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("819", "132", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("820", "132", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("821", "132", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("822", "132", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("823", "132", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("824", "132", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("825", "132", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("826", "132", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("827", "132", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("828", "132", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("829", "132", "_price", "12300000");
INSERT INTO `wp_sa_postmeta` VALUES("830", "132", "latin-name", "Davinx gaming chair");
INSERT INTO `wp_sa_postmeta` VALUES("831", "132", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("832", "132", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("833", "132", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("834", "132", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("835", "134", "_edit_lock", "1688644619:3");
INSERT INTO `wp_sa_postmeta` VALUES("836", "134", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("837", "134", "_thumbnail_id", "96");
INSERT INTO `wp_sa_postmeta` VALUES("838", "134", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("839", "134", "_regular_price", "68000");
INSERT INTO `wp_sa_postmeta` VALUES("840", "134", "_sale_price", "55000");
INSERT INTO `wp_sa_postmeta` VALUES("841", "134", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("842", "134", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("843", "134", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("844", "134", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("845", "134", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("846", "134", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("847", "134", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("848", "134", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("849", "134", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("850", "134", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("851", "134", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("852", "134", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("853", "134", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("854", "134", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("855", "134", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("856", "134", "_price", "55000");
INSERT INTO `wp_sa_postmeta` VALUES("857", "134", "latin-name", "MY Fix Styling Gel");
INSERT INTO `wp_sa_postmeta` VALUES("858", "134", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("859", "134", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("860", "134", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("861", "134", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("862", "136", "_edit_lock", "1689057090:1");
INSERT INTO `wp_sa_postmeta` VALUES("863", "136", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("864", "136", "_thumbnail_id", "97");
INSERT INTO `wp_sa_postmeta` VALUES("865", "136", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("866", "136", "_regular_price", "25000");
INSERT INTO `wp_sa_postmeta` VALUES("867", "136", "total_sales", "2");
INSERT INTO `wp_sa_postmeta` VALUES("868", "136", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("869", "136", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("870", "136", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("871", "136", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("872", "136", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("873", "136", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("874", "136", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("875", "136", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("876", "136", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("877", "136", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("878", "136", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("879", "136", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("880", "136", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("881", "136", "_product_version", "7.8.2");
INSERT INTO `wp_sa_postmeta` VALUES("882", "136", "_price", "25000");
INSERT INTO `wp_sa_postmeta` VALUES("883", "136", "latin-name", "Cat design pencil holder");
INSERT INTO `wp_sa_postmeta` VALUES("884", "136", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("885", "136", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("886", "136", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("887", "136", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("888", "138", "_edit_lock", "1697008048:1");
INSERT INTO `wp_sa_postmeta` VALUES("889", "138", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("890", "138", "_thumbnail_id", "98");
INSERT INTO `wp_sa_postmeta` VALUES("891", "138", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("892", "138", "_regular_price", "33000");
INSERT INTO `wp_sa_postmeta` VALUES("893", "138", "total_sales", "17");
INSERT INTO `wp_sa_postmeta` VALUES("894", "138", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("895", "138", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("896", "138", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("897", "138", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("898", "138", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("899", "138", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("900", "138", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("901", "138", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("902", "138", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("903", "138", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("904", "138", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("905", "138", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("906", "138", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("907", "138", "_product_version", "7.9.0");
INSERT INTO `wp_sa_postmeta` VALUES("908", "138", "_price", "33000");
INSERT INTO `wp_sa_postmeta` VALUES("909", "138", "latin-name", "Kalleh Thousand Island");
INSERT INTO `wp_sa_postmeta` VALUES("910", "138", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("911", "138", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("912", "138", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("913", "138", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("914", "140", "_edit_lock", "1688644498:3");
INSERT INTO `wp_sa_postmeta` VALUES("915", "140", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("916", "140", "_thumbnail_id", "99");
INSERT INTO `wp_sa_postmeta` VALUES("917", "140", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("918", "140", "_regular_price", "780000");
INSERT INTO `wp_sa_postmeta` VALUES("919", "140", "total_sales", "18");
INSERT INTO `wp_sa_postmeta` VALUES("920", "140", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("921", "140", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("922", "140", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("923", "140", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("924", "140", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("925", "140", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("926", "140", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("927", "140", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("928", "140", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("929", "140", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("930", "140", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("931", "140", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("932", "140", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("933", "140", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("934", "140", "_price", "780000");
INSERT INTO `wp_sa_postmeta` VALUES("935", "140", "latin-name", "Energizer power bank");
INSERT INTO `wp_sa_postmeta` VALUES("936", "140", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("937", "140", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("938", "140", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("939", "140", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("940", "142", "_edit_lock", "1689057083:1");
INSERT INTO `wp_sa_postmeta` VALUES("941", "142", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("942", "143", "_wp_attached_file", "2023/07/4-min-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("943", "143", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:21:\"2023/07/4-min-min.png\";s:8:\"filesize\";i:57921;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"4-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36299;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"4-min-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6392;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"4-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36299;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"4-min-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11907;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("944", "144", "_wp_attached_file", "2023/07/3-min-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("945", "144", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:21:\"2023/07/3-min-min.png\";s:8:\"filesize\";i:52360;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"3-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32140;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"3-min-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5468;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"3-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32140;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"3-min-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10231;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("946", "145", "_wp_attached_file", "2023/07/2-min-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("947", "145", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:21:\"2023/07/2-min-min.png\";s:8:\"filesize\";i:63613;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"2-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45204;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"2-min-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7440;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"2-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45204;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"2-min-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14245;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("948", "146", "_wp_attached_file", "2023/07/1-min-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("949", "146", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:21:\"2023/07/1-min-min.png\";s:8:\"filesize\";i:59398;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"1-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:38875;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"1-min-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7085;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"1-min-min-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:38875;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"1-min-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12856;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("950", "142", "_thumbnail_id", "146");
INSERT INTO `wp_sa_postmeta` VALUES("951", "142", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("952", "142", "_regular_price", "360000");
INSERT INTO `wp_sa_postmeta` VALUES("953", "142", "_sale_price", "285000");
INSERT INTO `wp_sa_postmeta` VALUES("954", "142", "total_sales", "315");
INSERT INTO `wp_sa_postmeta` VALUES("955", "142", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("956", "142", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("957", "142", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("958", "142", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("959", "142", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("960", "142", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("961", "142", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("962", "142", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("963", "142", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("964", "142", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("965", "142", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("966", "142", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("967", "142", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("968", "142", "_product_version", "7.9.0");
INSERT INTO `wp_sa_postmeta` VALUES("969", "142", "_price", "285000");
INSERT INTO `wp_sa_postmeta` VALUES("970", "142", "_product_image_gallery", "145,144,143");
INSERT INTO `wp_sa_postmeta` VALUES("971", "142", "latin-name", "Beat Studio 3 headphones");
INSERT INTO `wp_sa_postmeta` VALUES("972", "142", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("973", "142", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("974", "142", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("975", "142", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("978", "23", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("979", "148", "_wp_attached_file", "2023/07/Hero-Yellow-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("980", "148", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2727;s:6:\"height\";i:1200;s:4:\"file\";s:29:\"2023/07/Hero-Yellow-min-1.png\";s:8:\"filesize\";i:636346;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:29:\"Hero-Yellow-min-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:110341;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"Hero-Yellow-min-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14588;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"Hero-Yellow-min-1-600x264.png\";s:5:\"width\";i:600;s:6:\"height\";i:264;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:165866;}s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"Hero-Yellow-min-1-300x132.png\";s:5:\"width\";i:300;s:6:\"height\";i:132;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:47849;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"Hero-Yellow-min-1-1024x451.png\";s:5:\"width\";i:1024;s:6:\"height\";i:451;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:446028;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"Hero-Yellow-min-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:30088;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"Hero-Yellow-min-1-768x338.png\";s:5:\"width\";i:768;s:6:\"height\";i:338;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:264155;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"Hero-Yellow-min-1-1536x676.png\";s:5:\"width\";i:1536;s:6:\"height\";i:676;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:935357;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"Hero-Yellow-min-1-2048x901.png\";s:5:\"width\";i:2048;s:6:\"height\";i:901;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1577432;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("989", "150", "_wp_attached_file", "2023/07/Hero-Red.png");
INSERT INTO `wp_sa_postmeta` VALUES("990", "150", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2727;s:6:\"height\";i:1200;s:4:\"file\";s:20:\"2023/07/Hero-Red.png\";s:8:\"filesize\";i:390322;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:20:\"Hero-Red-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50936;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"Hero-Red-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9936;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"Hero-Red-600x264.png\";s:5:\"width\";i:600;s:6:\"height\";i:264;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:96311;}s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"Hero-Red-300x132.png\";s:5:\"width\";i:300;s:6:\"height\";i:132;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:34625;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"Hero-Red-1024x451.png\";s:5:\"width\";i:1024;s:6:\"height\";i:451;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:223476;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"Hero-Red-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17921;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"Hero-Red-768x338.png\";s:5:\"width\";i:768;s:6:\"height\";i:338;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:146413;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:21:\"Hero-Red-1536x676.png\";s:5:\"width\";i:1536;s:6:\"height\";i:676;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:444756;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:21:\"Hero-Red-2048x901.png\";s:5:\"width\";i:2048;s:6:\"height\";i:901;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:773768;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("991", "151", "_wp_attached_file", "2023/07/Hero-Purple-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("992", "151", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2727;s:6:\"height\";i:1200;s:4:\"file\";s:29:\"2023/07/Hero-Purple-min-1.png\";s:8:\"filesize\";i:408135;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:29:\"Hero-Purple-min-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:53114;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"Hero-Purple-min-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10281;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"Hero-Purple-min-1-600x264.png\";s:5:\"width\";i:600;s:6:\"height\";i:264;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:101928;}s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"Hero-Purple-min-1-300x132.png\";s:5:\"width\";i:300;s:6:\"height\";i:132;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37544;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"Hero-Purple-min-1-1024x451.png\";s:5:\"width\";i:1024;s:6:\"height\";i:451;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:249122;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"Hero-Purple-min-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:18487;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"Hero-Purple-min-1-768x338.png\";s:5:\"width\";i:768;s:6:\"height\";i:338;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:162367;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"Hero-Purple-min-1-1536x676.png\";s:5:\"width\";i:1536;s:6:\"height\";i:676;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:551714;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"Hero-Purple-min-1-2048x901.png\";s:5:\"width\";i:2048;s:6:\"height\";i:901;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1034295;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1063", "23", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("1163", "167", "_wp_attached_file", "2023/07/slider-pagination-bg.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1164", "167", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:550;s:5:\"width\";d:167;s:6:\"height\";d:48;}");
INSERT INTO `wp_sa_postmeta` VALUES("1299", "183", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("1300", "183", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("1301", "183", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:314;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1302", "183", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("1303", "183", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("1304", "183", "_elementor_version", "3.18.3");
INSERT INTO `wp_sa_postmeta` VALUES("1305", "183", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("1306", "183", "_edit_lock", "1716793295:1");
INSERT INTO `wp_sa_postmeta` VALUES("1307", "184", "_wp_attached_file", "2023/07/placeholder.png");
INSERT INTO `wp_sa_postmeta` VALUES("1308", "184", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:23:\"2023/07/placeholder.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"placeholder-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"placeholder-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"placeholder-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"placeholder-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"placeholder-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"placeholder-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"placeholder-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1309", "184", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("1318", "186", "_wp_attached_file", "2023/07/placeholder-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("1319", "186", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-1.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-1-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-1-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-1-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-1-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1320", "186", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("1321", "187", "_wp_attached_file", "2023/07/shopping-cart-icon.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1322", "187", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1020;s:5:\"width\";d:122.900000000000005684341886080801486968994140625;s:6:\"height\";d:107.5;}");
INSERT INTO `wp_sa_postmeta` VALUES("1323", "187", "_elementor_source_image_hash", "3ac349cf898c4a4339e32894775b2a53447cfa4b");
INSERT INTO `wp_sa_postmeta` VALUES("1329", "183", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("1330", "183", "_rankmath__data", "[{\"id\":\"9b47d93\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"abbf853\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"align\":\"center\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EBEBEB\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_hover_border\":\"solid\",\"border_hover_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"__globals__\":{\"border_hover_color\":\"globals\\/colors?id=primary\"},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_justify_content\":\"space-between\",\"custom_css\":\"selector:hover a.elementor-button.elementor-size-sm {\\n    background: #EF3A4F !important;\\n    color: #FFFFFF !important;\\n}\\n\\n\\nselector:hover span.elementor-button-icon.elementor-align-icon-right {\\n    fill: #FFFFFF !important;\\n}\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true}},\"elements\":[{\"id\":\"194eb18\",\"elType\":\"widget\",\"settings\":{\"archive_badge_text\":\"%percentage_sale% \\u062a\\u062e\\u0641\\u06cc\\u0641\",\"archive_badge_typography_typography\":\"custom\",\"archive_badge_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"archive_badge_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"archive_badge_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"archive_badge_content_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"25\",\"bottom\":\"6\",\"left\":\"25\",\"isLinked\":false},\"archive_badge_alignment\":\"center\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":91,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"166fcbe\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"16\",\"left\":\"15\",\"isLinked\":false},\"__globals__\":{\"archive_badge_background\":\"globals\\/colors?id=primary\",\"_background_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":29,\"unit\":\"%\"},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"size\":0,\"unit\":\"px\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"jet-woo-builder-archive-sale-badge\"},{\"id\":\"7c56d1f\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"769e62f\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"4dbf816\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"5e35638\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"image\":{\"id\":268,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-3.png\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"object-fit\":\"contain\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"995da3f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"18b91cc\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22latin-name%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#A0A0A0\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_margin\":{\"unit\":\"rem\",\"top\":\"0.33\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"dd4b547\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"59f480a\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"7be762b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ba53b7f\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F3F3F3\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"000dcf4\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_margin\":{\"unit\":\"rem\",\"top\":\"0.7\",\"right\":\"0\",\"bottom\":\"0.5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9e94dbf\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6c2486e\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e7f3c90\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":55,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"ba43e87\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"f110915\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"3dd244e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"61970b5\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"e887836\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"885758f\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"e000c6d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"dedf81a\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"db1befb\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"19abb38\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ebe845b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"15ce6d8\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"2319e54\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"f9e36b8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"606f810\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"866126d\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"9f8555f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"0978f65\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"90d4481\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"e521478\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"d9c2938\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"9ce93cf\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"313ef56\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"fa11058\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"606f810\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8ab4e85\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"891e6d5\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"0a0ae6f\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text_126%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"903c002\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ce8c2ca\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"_id\":\"d43239c\",\"jedv_condition\":\"is-in-stock\"},{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8364a04\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"},\"jedv_data_type\":\"numeric\"},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"3136ded\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":45,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"aeea8e9\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"27f9e3f\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062e\\u0631\\u06cc\\u062f \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align\":\"left\",\"selected_icon\":{\"value\":{\"id\":\"187\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/shopping-cart-icon.svg\"},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#F5F9FC\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"15\",\"bottom\":\"13\",\"left\":\"10\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-1.00\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"013597b\"}],\"scroll_y\":-80,\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"31ca575\\\" name=\\\"woocommerce-add-to-cart\\\" settings=\\\"%7B%22quantity%22%3A1%7D\\\"]\"},\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("1339", "183", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("1369", "193", "_wp_attached_file", "2023/07/placeholder-2.png");
INSERT INTO `wp_sa_postmeta` VALUES("1370", "193", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-2.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-2-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-2-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-2-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-2-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1371", "193", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("1510", "209", "_elementor_source", "post");
INSERT INTO `wp_sa_postmeta` VALUES("1511", "209", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("1512", "209", "_elementor_template_type", "footer");
INSERT INTO `wp_sa_postmeta` VALUES("1513", "209", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("1514", "209", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("1515", "209", "_edit_lock", "1688980254:14");
INSERT INTO `wp_sa_postmeta` VALUES("1516", "209", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("1517", "209", "_rankmath__data", "[{\"id\":\"c431c7b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"background_background\":\"classic\",\"background_color\":\"#F5F5F5F5\",\"padding\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"50bed64\"}]},\"elements\":[{\"id\":\"fe90e96\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":218,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/scrol-top-bg-5.svg\"},\"library\":\"svg\"},\"primary_color\":\"#FFFFFF\",\"size\":{\"unit\":\"px\",\"size\":130,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-6.75\",\"right\":\"0\",\"bottom\":\"-4\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"70b296c\"}],\"scroll_y\":-80,\"_z_index\":395,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8684f8a\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":219,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/top-scroll.svg\"},\"library\":\"svg\"},\"primary_color\":\"#6EC1E400\",\"size\":{\"unit\":\"px\",\"size\":63,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"-14\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"-22\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_z_index\":1000,\"jedv_conditions\":[{\"_id\":\"8e02e80\"}],\"scroll_y\":-80,\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_css_classes\":\"scrollToTop button-show\",\"custom_css\":\"[data-id=\'03d1c25\'] {\\n    box-shadow: none !important;\\n    background-color: transparent !important;\\n}\\n\\n\\n\",\"_offset_x\":{\"unit\":\"%\",\"size\":48.2999999999999971578290569595992565155029296875,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":41,\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":-1,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"ae6e5fa\",\"elType\":\"container\",\"settings\":{\"structure\":\"50\",\"margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"76abe5d\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"11ac81c\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8d823e3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"30a7971\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0633\\u062a\\u0631\\u0633\\u06cc \\u0633\\u0631\\u06cc\\u0639\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"55acac7\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8213874\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"weight\":{\"unit\":\"px\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d634d86\"}],\"scroll_y\":-80,\"__globals__\":{\"color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"dc8ea6d\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"957aa37\",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/about-us\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"fd9721c\"},{\"text\":\"\\u0648\\u0628\\u0644\\u0627\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/blog\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"514d871\"},{\"text\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/contact-us\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"fea604a\"}],\"space_between\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0c5f2d5\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\",\"text_color_hover\":\"globals\\/colors?id=primary\"},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"4eea0c2\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8d823e3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"b3b00d1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"55acac7\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c07a2fc\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"weight\":{\"unit\":\"px\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d634d86\"}],\"scroll_y\":-80,\"__globals__\":{\"color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"758c040\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062b\\u0628\\u062a \\u0646\\u0627\\u0645 \\/ \\u0648\\u0631\\u0648\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"957aa37\",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/my-account\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"fd9721c\"},{\"text\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"514d871\"},{\"text\":\"\\u0634\\u06a9\\u0627\\u06cc\\u0627\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"fea604a\"}],\"space_between\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0c5f2d5\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\",\"text_color_hover\":\"globals\\/colors?id=primary\"},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"706abb8\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8d823e3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"c14de58\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0647\\u0645\\u06a9\\u0627\\u0631\\u0627\\u0646\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"55acac7\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ae84c03\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"weight\":{\"unit\":\"px\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d634d86\"}],\"scroll_y\":-80,\"__globals__\":{\"color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"48280a4\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647 \\u0634\\u0648\\u06cc\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"957aa37\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u0646\\u0644 \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u06af\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"fd9721c\"},{\"text\":\"\\u0644\\u063a\\u0648 \\u0642\\u0631\\u0627\\u0631\\u062f\\u0627\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"514d871\"}],\"space_between\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0c5f2d5\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\",\"text_color_hover\":\"globals\\/colors?id=primary\"},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"165c6be\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8d823e3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"eb3fad6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u0647\\u0646\\u0645\\u0627\\u06cc \\u062e\\u0631\\u06cc\\u062f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"55acac7\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b0527c9\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"weight\":{\"unit\":\"px\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d634d86\"}],\"scroll_y\":-80,\"__globals__\":{\"color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"54990e1\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0646\\u062d\\u0648\\u0647 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"957aa37\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0631\\u0648\\u06cc\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"fd9721c\"},{\"text\":\"\\u0634\\u06cc\\u0648\\u0647 \\u0647\\u0627\\u06cc \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"514d871\"}],\"space_between\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0c5f2d5\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\",\"text_color_hover\":\"globals\\/colors?id=primary\"},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"add1aa9\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8d823e3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"00e5b5f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0633\\u062a\\u0631\\u0633\\u06cc \\u0633\\u0631\\u06cc\\u0639\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"55acac7\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"aab8860\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"weight\":{\"unit\":\"px\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d634d86\"}],\"scroll_y\":-80,\"__globals__\":{\"color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"bfba2a2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0628\\u0631\\u0627\\u06cc \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0627\\u0632 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\\u060c \\u062f\\u0631 \\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc \\u0645\\u0627 \\u0631\\u0627 \\u062f\\u0646\\u0628\\u0627\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<\\/p>\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.899999999999999911182158029987476766109466552734375,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5054f83\"}],\"scroll_y\":-80,\"wd_color_scheme\":\"inherit\",\"wd_content_align\":\"left\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2c2f827\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"10b2a94\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"411411d\"},{\"social_icon\":{\"value\":\"fab fa-linkedin\",\"library\":\"fa-brands\"},\"_id\":\"a42a93e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"657cad8\"}],\"align\":\"right\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#02010100\",\"icon_secondary_color\":\"#9D9D9F\",\"icon_size\":{\"unit\":\"px\",\"size\":21,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a2e927a\"}],\"scroll_y\":-80,\"__globals__\":{\"icon_secondary_color\":\"\"},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"icon_spacing_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"row_gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"58d57d3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-around\",\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"8044b6f\"}],\"__globals__\":{\"background_color\":\"globals\\/colors?id=ee33486\",\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"4352bfd\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":210,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/svgviewer-output-4.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u06f1\\u06f0 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a\",\"description_text\":\"\\u062d\\u062a\\u06cc \\u0633\\u0644\\u06cc\\u0642\\u0647 \\u0627\\u06cc!\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":36,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":38,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"a731ec6\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":211,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/footer-ico2-1.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062e\\u0631\\u06cc\\u062f \\u0627\\u0642\\u0633\\u0627\\u0637\\u06cc\",\"description_text\":\"\\u0628\\u062f\\u0648\\u0646 \\u0686\\u06a9 \\u0648 \\u0636\\u0627\\u0645\\u0646\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":36,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":38,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"8155e29\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":212,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/footer-ico3-1.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627\",\"description_text\":\"\\u0648\\u0627\\u0642\\u0639\\u06cc!\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":36,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":38,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"05f0491\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":213,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/footer-ico4-1.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u062a\\u0627 \\u06f1\\u06f2 \\u0634\\u0628\",\"description_text\":\"\\u062d\\u062a\\u06cc \\u062c\\u0645\\u0639\\u0647 \\u0647\\u0627\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":36,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":38,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"0af20b8\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"76abe5d\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"15b868f\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":75,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"19\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b088e95\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"width_tablet\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"6e7fdda\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"right\",\"width\":{\"unit\":\"%\",\"size\":30,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b6482bb\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-site-logo\"},{\"id\":\"676ba78\",\"elType\":\"widget\",\"settings\":{\"editor\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a. \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u0627\\u0633\\u062a.\",\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"54a3e61\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"},\"wd_color_scheme\":\"inherit\",\"wd_content_align\":\"left\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"219585e\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":25,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b088e95\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_wrap_mobile\":\"nowrap\",\"width_tablet\":{\"unit\":\"%\",\"size\":30,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_align_items_tablet\":\"flex-end\"},\"elements\":[{\"id\":\"5143a22\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":215,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mojavez.png\"},\"image_size\":\"full\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7403461\"}],\"scroll_y\":-80,\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"5e95d85\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":215,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mojavez.png\"},\"image_size\":\"full\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7403461\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"cebdc18\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":215,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mojavez.png\"},\"image_size\":\"full\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7403461\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"21d1c99\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"fd9b946\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=ed73ee8\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"1f55b5b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u062a\\u0645\\u0627\\u0645\\u06cc \\u062d\\u0642\\u0648\\u0642 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0686\\u0646\\u062f \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u06af\\u06cc \\u0645\\u062d\\u0641\\u0648\\u0638 \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"54a3e61\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"wd_color_scheme\":\"inherit\",\"wd_content_align\":\"left\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("1518", "209", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("1519", "210", "_wp_attached_file", "2023/07/svgviewer-output-4.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1520", "210", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:923;s:5:\"width\";d:40;s:6:\"height\";d:40;}");
INSERT INTO `wp_sa_postmeta` VALUES("1521", "210", "_elementor_source_image_hash", "65ebf3b466e0c7256227526127897e2ffd8947b4");
INSERT INTO `wp_sa_postmeta` VALUES("1522", "211", "_wp_attached_file", "2023/07/footer-ico2-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1523", "211", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2935;s:5:\"width\";d:40;s:6:\"height\";d:40;}");
INSERT INTO `wp_sa_postmeta` VALUES("1524", "211", "_elementor_source_image_hash", "71213fc1c39ab6ce1ffee35f8850bdac2554d9bb");
INSERT INTO `wp_sa_postmeta` VALUES("1525", "212", "_wp_attached_file", "2023/07/footer-ico3-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1526", "212", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2281;s:5:\"width\";d:40;s:6:\"height\";d:40;}");
INSERT INTO `wp_sa_postmeta` VALUES("1527", "212", "_elementor_source_image_hash", "86baea821993c757639caa6deb5951c8c7657c96");
INSERT INTO `wp_sa_postmeta` VALUES("1528", "213", "_wp_attached_file", "2023/07/footer-ico4-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1529", "213", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2037;s:5:\"width\";d:40;s:6:\"height\";d:40;}");
INSERT INTO `wp_sa_postmeta` VALUES("1530", "213", "_elementor_source_image_hash", "8fd7637803829b64d679dbb26c0454c2a5553c1d");
INSERT INTO `wp_sa_postmeta` VALUES("1531", "214", "_wp_attached_file", "2023/07/logo-3.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1532", "214", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:42689;s:5:\"width\";d:351;s:6:\"height\";d:138;}");
INSERT INTO `wp_sa_postmeta` VALUES("1533", "214", "_elementor_source_image_hash", "02105947ed49f44db73a2325287acfd2a9c1d402");
INSERT INTO `wp_sa_postmeta` VALUES("1534", "215", "_wp_attached_file", "2023/07/mojavez.png");
INSERT INTO `wp_sa_postmeta` VALUES("1535", "215", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:207;s:6:\"height\";i:206;s:4:\"file\";s:19:\"2023/07/mojavez.png\";s:8:\"filesize\";i:3562;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"mojavez-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2090;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"mojavez-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3614;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1536", "215", "_elementor_source_image_hash", "af4bbe1a77f0cc8b858bc0edd033065ad400a7a0");
INSERT INTO `wp_sa_postmeta` VALUES("1549", "209", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_sa_postmeta` VALUES("1559", "218", "_wp_attached_file", "2023/07/scrol-top-bg-5.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1560", "218", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:499;s:5:\"width\";d:157;s:6:\"height\";d:92;}");
INSERT INTO `wp_sa_postmeta` VALUES("1561", "218", "_elementor_source_image_hash", "b5522760931f910fd6a43d4224b98ee4f7075371");
INSERT INTO `wp_sa_postmeta` VALUES("1562", "219", "_wp_attached_file", "2023/07/top-scroll.svg");
INSERT INTO `wp_sa_postmeta` VALUES("1563", "219", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:991;s:5:\"width\";d:73;s:6:\"height\";d:73;}");
INSERT INTO `wp_sa_postmeta` VALUES("1564", "219", "_elementor_source_image_hash", "51eae410bc538be61e3ae8fd399a6a0b99c1781a");
INSERT INTO `wp_sa_postmeta` VALUES("1610", "224", "_elementor_source", "post");
INSERT INTO `wp_sa_postmeta` VALUES("1611", "224", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("1612", "224", "_elementor_template_type", "section");
INSERT INTO `wp_sa_postmeta` VALUES("1613", "224", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("1614", "224", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("1615", "224", "_edit_lock", "1688808566:11");
INSERT INTO `wp_sa_postmeta` VALUES("1616", "225", "_wp_attached_file", "2023/07/a1-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("1617", "225", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:94;s:6:\"height\";i:106;s:4:\"file\";s:18:\"2023/07/a1-min.png\";s:8:\"filesize\";i:3121;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"a1-min-94x100.png\";s:5:\"width\";i:94;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6178;}s:24:\"elementor_custom_100x100\";a:4:{s:4:\"file\";s:70:\"elementor/thumbs/a1-min-q8v73167obx0rq19d76rylgjumcmna2i3rbfhguhd4.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1618", "225", "_elementor_source_image_hash", "90efd915e06a8318b1bbba4b22828d0afcfef674");
INSERT INTO `wp_sa_postmeta` VALUES("1619", "226", "_wp_attached_file", "2023/07/A-back-Light-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("1620", "226", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:813;s:6:\"height\";i:255;s:4:\"file\";s:28:\"2023/07/A-back-Light-min.png\";s:8:\"filesize\";i:104989;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"A-back-Light-min-300x255.png\";s:5:\"width\";i:300;s:6:\"height\";i:255;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39558;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"A-back-Light-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5094;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"A-back-Light-min-600x188.png\";s:5:\"width\";i:600;s:6:\"height\";i:188;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:84671;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"A-back-Light-min-300x94.png\";s:5:\"width\";i:300;s:6:\"height\";i:94;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21765;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"A-back-Light-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11302;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"A-back-Light-min-768x241.png\";s:5:\"width\";i:768;s:6:\"height\";i:241;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:133269;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1621", "226", "_elementor_source_image_hash", "a2ee7e71ed34c95247f2629ae493f9f045b314f5");
INSERT INTO `wp_sa_postmeta` VALUES("1622", "227", "_wp_attached_file", "2023/07/a2-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("1623", "227", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:86;s:6:\"height\";i:102;s:4:\"file\";s:18:\"2023/07/a2-min.png\";s:8:\"filesize\";i:3169;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"a2-min-86x100.png\";s:5:\"width\";i:86;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5980;}s:22:\"elementor_custom_75x75\";a:4:{s:4:\"file\";s:70:\"elementor/thumbs/a2-min-q8v7331vr1ahifx3ghs8kk9vs21geqh1b2h3wrpzn2.png\";s:5:\"width\";i:75;s:6:\"height\";i:75;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1624", "227", "_elementor_source_image_hash", "fa056ab6253f9fb0ef33ceb609a160d36178e153");
INSERT INTO `wp_sa_postmeta` VALUES("1625", "228", "_wp_attached_file", "2023/07/a3-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("1626", "228", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:95;s:6:\"height\";i:92;s:4:\"file\";s:18:\"2023/07/a3-min.png\";s:8:\"filesize\";i:2874;s:5:\"sizes\";a:1:{s:22:\"elementor_custom_75x75\";a:4:{s:4:\"file\";s:70:\"elementor/thumbs/a3-min-q8v7331vr1ahifx3ghs8kk9vs21geqh1b2h3wrpzn2.png\";s:5:\"width\";i:75;s:6:\"height\";i:75;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1627", "228", "_elementor_source_image_hash", "61018929751890f4c721d991f76fa6d7a559a1f0");
INSERT INTO `wp_sa_postmeta` VALUES("1628", "229", "_wp_attached_file", "2023/07/a4-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("1629", "229", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:128;s:6:\"height\";i:128;s:4:\"file\";s:18:\"2023/07/a4-min.png\";s:8:\"filesize\";i:3115;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:18:\"a4-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3758;}s:22:\"elementor_custom_75x75\";a:4:{s:4:\"file\";s:70:\"elementor/thumbs/a4-min-q8v733zpxvbru1vqb06v521cdfwtmfkrn74le1olgu.png\";s:5:\"width\";i:75;s:6:\"height\";i:75;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1630", "229", "_elementor_source_image_hash", "6f477fa38860d948d9f4bd096c3b3fc22015c234");
INSERT INTO `wp_sa_postmeta` VALUES("1636", "224", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("1637", "224", "_rankmath__data", "[{\"id\":\"84893ad\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":40,\"column\":\"40\",\"row\":\"40\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"09c7d24\"}],\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":25,\"sizes\":[],\"column\":\"25\",\"row\":\"25\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[],\"column\":\"30\",\"row\":\"30\",\"isLinked\":true},\"flex_wrap_tablet\":\"wrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"ba93586\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"background_background\":\"classic\",\"jedv_conditions\":[{\"_id\":\"80b1f26\"}],\"custom_css\":\"selector:hover {\\n    transform: translateY(-8px);\\n    transition: 0.2s;\\n    background-color: var( --e-global-color-primary ) !important;\\n}\\nselector:not(:hover) {\\n    transition: 0.2s;\\n}\\n\\nselector:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 90%;\\n    height: 8px;\\n    background: transparent;\\n    left: 5%;\\n    bottom: -20px;\\n    transition: 0.3s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:after {\\n    bottom: -8px;\\n    background: #FFD0D6;\\n    transition: 0.3s;\\n}\\n\\nselector:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 80%;\\n    height: 8px;\\n    background: transparent;\\n    left: 10%;\\n    top: calc(100% + 40px);\\n    transition: 0.4s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:before {\\n    top: calc(100% + 8px);\\n    background: #FFEEF0;\\n    transition: 0.4s;\\n}\\nselector:hover p.elementor-image-box-title {\\n    color: #ffff;\\n     transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-title {\\n     transition: 0.3s;\\n}\\nselector:hover p.elementor-image-box-description{\\n    color: #ffff;\\n    transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-description{\\n    transition: 0.3s;\\n} \",\"__globals__\":{\"background_color\":\"\",\"border_color\":\"\",\"background_hover_color\":\"globals\\/colors?id=primary\"},\"width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_justify_content_tablet\":\"center\",\"background_color\":\"#F5F5F5F5\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_hover_background\":\"classic\",\"background_hover_color\":\"#EF3A4F\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/A-back-Light-min.png\",\"id\":226,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"border_border\":\"none\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"048179a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/a1-min-1.png\",\"id\":1456,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0642\\u0631\\u0639\\u0647 \\u06a9\\u0634\\u06cc \\u062a\\u0627\\u0628\\u0633\\u062a\\u0627\\u0646!\",\"description_text\":\"\\u0647\\u0631 \\u062e\\u0631\\u06cc\\u062f \\u06cc\\u06a9 \\u0634\\u0627\\u0646\\u0633 \\u0628\\u06cc\\u0634\\u062a\\u0631\",\"position\":\"left\",\"title_size\":\"p\",\"image_space\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":16,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":22,\"sizes\":[]},\"title_color\":\"#333333\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"fb16989\"}],\"custom_css\":\".elementor-image-box-wrapper {\\r\\n    display: flex;\\r\\n    flex-direction: row-reverse;\\r\\n}\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"1fefa39\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"background_background\":\"classic\",\"jedv_conditions\":[{\"_id\":\"80b1f26\"}],\"custom_css\":\"selector:hover {\\n    transform: translateY(-8px);\\n    transition: 0.2s;\\n    background-color: var( --e-global-color-primary ) !important;\\n}\\nselector:not(:hover) {\\n    transition: 0.2s;\\n}\\n\\nselector:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 90%;\\n    height: 8px;\\n    background: transparent;\\n    left: 5%;\\n    bottom: -20px;\\n    transition: 0.3s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:after {\\n    bottom: -8px;\\n    background: #FFD0D6;\\n    transition: 0.3s;\\n}\\n\\nselector:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 80%;\\n    height: 8px;\\n    background: transparent;\\n    left: 10%;\\n    top: calc(100% + 40px);\\n    transition: 0.4s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:before {\\n    top: calc(100% + 8px);\\n    background: #FFEEF0;\\n    transition: 0.4s;\\n}\\nselector:hover p.elementor-image-box-title {\\n    color: #ffff;\\n     transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-title {\\n     transition: 0.3s;\\n}\\nselector:hover p.elementor-image-box-description{\\n    color: #ffff;\\n    transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-description{\\n    transition: 0.3s;\\n} \",\"__globals__\":{\"background_color\":\"\",\"border_color\":\"\",\"background_hover_color\":\"globals\\/colors?id=primary\"},\"width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_justify_content_tablet\":\"center\",\"background_color\":\"#F5F5F5F5\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_hover_background\":\"classic\",\"background_hover_color\":\"#EF3A4F\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/A-back-Light-min.png\",\"id\":226,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"border_border\":\"none\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"ac598d8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/a2-min-1.png\",\"id\":1457,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0627\\u0632 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627 \\u062c\\u0627 \\u0646\\u0645\\u0648\\u0646!\",\"description_text\":\"\\u0632\\u0645\\u0627\\u0646 \\u0647\\u0627\\u06cc \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0628\\u0647\\u062a \\u062e\\u0628\\u0631 \\u0645\\u06cc\\u062f\\u06cc\\u0645\",\"position\":\"left\",\"title_size\":\"p\",\"image_space\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":16,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":22,\"sizes\":[]},\"title_color\":\"#333333\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"fb16989\"}],\"custom_css\":\".elementor-image-box-wrapper {\\r\\n    display: flex;\\r\\n    flex-direction: row-reverse;\\r\\n}\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"89938bb\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"background_background\":\"classic\",\"jedv_conditions\":[{\"_id\":\"80b1f26\"}],\"custom_css\":\"selector:hover {\\n    transform: translateY(-8px);\\n    transition: 0.2s;\\n    background-color: var( --e-global-color-primary ) !important;\\n}\\nselector:not(:hover) {\\n    transition: 0.2s;\\n}\\n\\nselector:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 90%;\\n    height: 8px;\\n    background: transparent;\\n    left: 5%;\\n    bottom: -20px;\\n    transition: 0.3s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:after {\\n    bottom: -8px;\\n    background: #FFD0D6;\\n    transition: 0.3s;\\n}\\n\\nselector:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 80%;\\n    height: 8px;\\n    background: transparent;\\n    left: 10%;\\n    top: calc(100% + 40px);\\n    transition: 0.4s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:before {\\n    top: calc(100% + 8px);\\n    background: #FFEEF0;\\n    transition: 0.4s;\\n}\\nselector:hover p.elementor-image-box-title {\\n    color: #ffff;\\n     transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-title {\\n     transition: 0.3s;\\n}\\nselector:hover p.elementor-image-box-description{\\n    color: #ffff;\\n    transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-description{\\n    transition: 0.3s;\\n} \",\"__globals__\":{\"background_color\":\"\",\"border_color\":\"\",\"background_hover_color\":\"globals\\/colors?id=primary\"},\"width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_justify_content_tablet\":\"center\",\"background_color\":\"#F5F5F5F5\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_hover_background\":\"classic\",\"background_hover_color\":\"#EF3A4F\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/A-back-Light-min.png\",\"id\":226,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"border_border\":\"none\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"c719896\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/a3-min-1.png\",\"id\":1458,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0646\\u0638\\u0631\\u062a \\u0628\\u0631\\u0627\\u0645\\u0648\\u0646 \\u0645\\u0647\\u0645\\u0647!\",\"description_text\":\"\\u0646\\u0638\\u0631\\u062a \\u0631\\u0648 \\u062f\\u0631 \\u0645\\u0648\\u0631\\u062f \\u06a9\\u0627\\u0644\\u0627\\u0647\\u0627 \\u0628\\u0646\\u0648\\u06cc\\u0633\",\"position\":\"left\",\"title_size\":\"p\",\"image_space\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":16,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":22,\"sizes\":[]},\"title_color\":\"#333333\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"fb16989\"}],\"custom_css\":\".elementor-image-box-wrapper {\\r\\n    display: flex;\\r\\n    flex-direction: row-reverse;\\r\\n}\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true},{\"id\":\"42f70d9\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"background_background\":\"classic\",\"jedv_conditions\":[{\"_id\":\"80b1f26\"}],\"custom_css\":\"selector:hover {\\n    transform: translateY(-8px);\\n    transition: 0.2s;\\n    background-color: var( --e-global-color-primary ) !important;\\n}\\nselector:not(:hover) {\\n    transition: 0.2s;\\n}\\n\\nselector:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 90%;\\n    height: 8px;\\n    background: transparent;\\n    left: 5%;\\n    bottom: -20px;\\n    transition: 0.3s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:after {\\n    bottom: -8px;\\n    background: #FFD0D6;\\n    transition: 0.3s;\\n}\\n\\nselector:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 80%;\\n    height: 8px;\\n    background: transparent;\\n    left: 10%;\\n    top: calc(100% + 40px);\\n    transition: 0.4s;\\n    border-radius: 0 0 15px 15px; \\n}\\nselector:hover:before {\\n    top: calc(100% + 8px);\\n    background: #FFEEF0;\\n    transition: 0.4s;\\n}\\nselector:hover p.elementor-image-box-title {\\n    color: #ffff;\\n     transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-title {\\n     transition: 0.3s;\\n}\\nselector:hover p.elementor-image-box-description{\\n    color: #ffff;\\n    transition: 0.3s;\\n}\\nselector:not(:hover) p.elementor-image-box-description{\\n    transition: 0.3s;\\n} \",\"__globals__\":{\"background_color\":\"\",\"border_color\":\"\",\"background_hover_color\":\"globals\\/colors?id=primary\"},\"width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_justify_content_tablet\":\"center\",\"background_color\":\"#F5F5F5F5\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_hover_background\":\"classic\",\"background_hover_color\":\"#EF3A4F\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/A-back-Light-min.png\",\"id\":226,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"border_border\":\"none\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"096b4a0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/a4-min-1.png\",\"id\":1459,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u062c\\u06cc\\u0645 \\u0645\\u062b\\u0644 \\u062c\\u062a!\",\"description_text\":\"\\u0628\\u0627 \\u062c\\u06cc\\u0645 \\u0647\\u0645\\u0648\\u0646 \\u0633\\u0627\\u0639\\u062a \\u062f\\u0633\\u062a\\u062a\\u0647!\",\"position\":\"left\",\"title_size\":\"p\",\"image_space\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":16,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":22,\"sizes\":[]},\"title_color\":\"#333333\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"fb16989\"}],\"custom_css\":\".elementor-image-box-wrapper {\\r\\n    display: flex;\\r\\n    flex-direction: row-reverse;\\r\\n}\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("1645", "224", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("1732", "241", "_wp_attached_file", "2023/07/main-banner-6.png");
INSERT INTO `wp_sa_postmeta` VALUES("1733", "241", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1764;s:6:\"height\";i:489;s:4:\"file\";s:25:\"2023/07/main-banner-6.png\";s:8:\"filesize\";i:133780;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"main-banner-6-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:44239;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-6-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6858;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"main-banner-6-600x166.png\";s:5:\"width\";i:600;s:6:\"height\";i:166;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:79408;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"main-banner-6-300x83.png\";s:5:\"width\";i:300;s:6:\"height\";i:83;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:25373;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"main-banner-6-1024x284.png\";s:5:\"width\";i:1024;s:6:\"height\";i:284;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:199583;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-6-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13699;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"main-banner-6-768x213.png\";s:5:\"width\";i:768;s:6:\"height\";i:213;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:120324;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"main-banner-6-1536x426.png\";s:5:\"width\";i:1536;s:6:\"height\";i:426;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:408090;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1734", "242", "_wp_attached_file", "2023/07/main-banner-5.png");
INSERT INTO `wp_sa_postmeta` VALUES("1735", "242", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1746;s:6:\"height\";i:489;s:4:\"file\";s:25:\"2023/07/main-banner-5.png\";s:8:\"filesize\";i:187178;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"main-banner-5-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:55345;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-5-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9145;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"main-banner-5-600x168.png\";s:5:\"width\";i:600;s:6:\"height\";i:168;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:102361;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"main-banner-5-300x84.png\";s:5:\"width\";i:300;s:6:\"height\";i:84;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:30751;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"main-banner-5-1024x287.png\";s:5:\"width\";i:1024;s:6:\"height\";i:287;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:251586;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:18471;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"main-banner-5-768x215.png\";s:5:\"width\";i:768;s:6:\"height\";i:215;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:155532;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"main-banner-5-1536x430.png\";s:5:\"width\";i:1536;s:6:\"height\";i:430;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:486066;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1736", "243", "_wp_attached_file", "2023/07/main-banner-4.png");
INSERT INTO `wp_sa_postmeta` VALUES("1737", "243", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:3585;s:6:\"height\";i:594;s:4:\"file\";s:25:\"2023/07/main-banner-4.png\";s:8:\"filesize\";i:124607;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"main-banner-4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14784;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3229;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"main-banner-4-600x99.png\";s:5:\"width\";i:600;s:6:\"height\";i:99;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31437;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"main-banner-4-300x50.png\";s:5:\"width\";i:300;s:6:\"height\";i:50;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10254;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"main-banner-4-1024x170.png\";s:5:\"width\";i:1024;s:6:\"height\";i:170;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:73724;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5576;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"main-banner-4-768x127.png\";s:5:\"width\";i:768;s:6:\"height\";i:127;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:46811;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"main-banner-4-1536x255.png\";s:5:\"width\";i:1536;s:6:\"height\";i:255;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:140625;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:26:\"main-banner-4-2048x339.png\";s:5:\"width\";i:2048;s:6:\"height\";i:339;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:219553;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1738", "244", "_wp_attached_file", "2023/07/main-banner-2.png");
INSERT INTO `wp_sa_postmeta` VALUES("1739", "244", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1641;s:6:\"height\";i:459;s:4:\"file\";s:25:\"2023/07/main-banner-2.png\";s:8:\"filesize\";i:140022;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"main-banner-2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:49926;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8229;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"main-banner-2-600x168.png\";s:5:\"width\";i:600;s:6:\"height\";i:168;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:95328;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"main-banner-2-300x84.png\";s:5:\"width\";i:300;s:6:\"height\";i:84;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28575;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"main-banner-2-1024x286.png\";s:5:\"width\";i:1024;s:6:\"height\";i:286;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:225943;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16684;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"main-banner-2-768x215.png\";s:5:\"width\";i:768;s:6:\"height\";i:215;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:142753;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"main-banner-2-1536x430.png\";s:5:\"width\";i:1536;s:6:\"height\";i:430;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:413047;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1740", "245", "_wp_attached_file", "2023/07/main-banner-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("1741", "245", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1641;s:6:\"height\";i:477;s:4:\"file\";s:25:\"2023/07/main-banner-1.png\";s:8:\"filesize\";i:117841;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"main-banner-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:43518;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8390;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"main-banner-1-600x174.png\";s:5:\"width\";i:600;s:6:\"height\";i:174;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:91993;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"main-banner-1-300x87.png\";s:5:\"width\";i:300;s:6:\"height\";i:87;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29145;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"main-banner-1-1024x298.png\";s:5:\"width\";i:1024;s:6:\"height\";i:298;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:204760;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"main-banner-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16454;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"main-banner-1-768x223.png\";s:5:\"width\";i:768;s:6:\"height\";i:223;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:134821;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"main-banner-1-1536x446.png\";s:5:\"width\";i:1536;s:6:\"height\";i:446;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:359799;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1798", "252", "_wp_attached_file", "2023/07/Takhfifatoverlay.png");
INSERT INTO `wp_sa_postmeta` VALUES("1799", "252", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1320;s:6:\"height\";i:366;s:4:\"file\";s:28:\"2023/07/Takhfifatoverlay.png\";s:8:\"filesize\";i:302337;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"Takhfifatoverlay-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:58849;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"Takhfifatoverlay-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7468;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"Takhfifatoverlay-600x166.png\";s:5:\"width\";i:600;s:6:\"height\";i:166;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:96163;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"Takhfifatoverlay-300x83.png\";s:5:\"width\";i:300;s:6:\"height\";i:83;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:25631;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"Takhfifatoverlay-1024x284.png\";s:5:\"width\";i:1024;s:6:\"height\";i:284;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:264011;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"Takhfifatoverlay-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15907;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"Takhfifatoverlay-768x213.png\";s:5:\"width\";i:768;s:6:\"height\";i:213;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:154029;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1800", "253", "_wp_attached_file", "2023/07/Takhfifatoverlay-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("1801", "253", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1320;s:6:\"height\";i:366;s:4:\"file\";s:30:\"2023/07/Takhfifatoverlay-1.png\";s:8:\"filesize\";i:344470;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"Takhfifatoverlay-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:58521;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:30:\"Takhfifatoverlay-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7466;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:30:\"Takhfifatoverlay-1-600x166.png\";s:5:\"width\";i:600;s:6:\"height\";i:166;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:96107;}s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"Takhfifatoverlay-1-300x83.png\";s:5:\"width\";i:300;s:6:\"height\";i:83;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:25640;}s:5:\"large\";a:5:{s:4:\"file\";s:31:\"Takhfifatoverlay-1-1024x284.png\";s:5:\"width\";i:1024;s:6:\"height\";i:284;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:263242;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:30:\"Takhfifatoverlay-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15866;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"Takhfifatoverlay-1-768x213.png\";s:5:\"width\";i:768;s:6:\"height\";i:213;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:153676;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1802", "253", "_elementor_source_image_hash", "42deae948478c1b66748f4474e451eca2822afac");
INSERT INTO `wp_sa_postmeta` VALUES("1831", "257", "_listing_data", "a:3:{s:6:\"source\";s:5:\"terms\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:11:\"product_cat\";}");
INSERT INTO `wp_sa_postmeta` VALUES("1832", "257", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("1833", "257", "_elementor_page_settings", "a:4:{s:14:\"listing_source\";s:5:\"terms\";s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:11:\"product_cat\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:393;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1834", "257", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("1835", "257", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("1836", "257", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("1837", "257", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("1838", "257", "_edit_lock", "1688628421:1");
INSERT INTO `wp_sa_postmeta` VALUES("1853", "257", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("1854", "257", "_rankmath__data", "[{\"id\":\"27049fc\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"padding\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0.625\",\"bottom\":\"0.5\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"e7d1d17\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#EEEEEE\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"border_hover_border\":\"solid\",\"border_hover_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"__globals__\":{\"border_hover_color\":\"globals\\/colors?id=primary\"},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"f549f82\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"8217f98\"}],\"scroll_y\":-80,\"dynamic_image_source_custom\":\"thumbnail_id\",\"image_alignment\":\"center\",\"image_object_fit\":\"contain\",\"image_width\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"linked_image\":\"yes\",\"image_width_mobile\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"image_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"image_height\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-image\"},{\"id\":\"eb2b127\",\"elType\":\"widget\",\"settings\":{\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\\u0627\\u062f\\u0627\\u0645\\u0647 \\u0645\\u0637\\u0644\\u0628\",\"query_args\":\"_post_id=%current_id%\",\"link_typography_typography\":\"custom\",\"link_typography_font_family\":\"iranyekanwebbold_FaNum\",\"link_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"6b2f1fd\"}],\"__dynamic__\":{\"link_label\":\"[elementor-tag id=\\\"ea604ce\\\" name=\\\"jet-term-field\\\" settings=\\\"%7B%22taxonomy%22%3A%22product_cat%22%2C%22term_field%22%3A%22name%22%7D\\\"]\"},\"__globals__\":{\"link_color\":\"globals\\/colors?id=accent\"}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("1862", "257", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("1927", "268", "_wp_attached_file", "2023/07/placeholder-3.png");
INSERT INTO `wp_sa_postmeta` VALUES("1928", "268", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-3.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-3-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-3-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-3-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-3-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("1929", "268", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("2155", "293", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:7:\"product\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("2156", "293", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("2157", "293", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:375;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2158", "293", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2159", "293", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("2160", "293", "_elementor_version", "3.18.3");
INSERT INTO `wp_sa_postmeta` VALUES("2161", "293", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("2162", "293", "_edit_lock", "1716803920:1");
INSERT INTO `wp_sa_postmeta` VALUES("2187", "297", "_wp_attached_file", "2023/07/placeholder-4.png");
INSERT INTO `wp_sa_postmeta` VALUES("2188", "297", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-4.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-4-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-4-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-4-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-4-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2189", "297", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("2203", "293", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2204", "293", "_rankmath__data", "[{\"id\":\"0efa8de\",\"elType\":\"container\",\"settings\":{\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b2af378\"}],\"custom_css\":\"selector:hover a.elementor-button.elementor-size-sm {\\n    background: var( --e-global-color-primary ) !important;\\n    color: #FFFFFF !important;\\n}\\n\\n\\nselector:hover span.elementor-button-icon.elementor-align-icon-right {\\n    fill: #FFFFFF !important;\\n}\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_hover_border\":\"solid\",\"border_hover_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\",\"border_hover_color\":\"globals\\/colors?id=primary\"},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"border_hover_color\":\"#EF3A4F\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e63fcf6\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":33,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"abbf853\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"align\":\"center\",\"border_hover_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"border_hover_color\":\"\"},\"background_background\":\"classic\",\"width_mobile\":{\"size\":33,\"unit\":\"%\"},\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"8d93e8c\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"769e62f\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"4dbf816\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"5e35638\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":160,\"sizes\":[]},\"object-fit\":\"contain\",\"image\":{\"id\":297,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-4.png\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"d5d4637\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":67,\"unit\":\"%\"},\"width_mobile\":{\"size\":67,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0.5\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ad4ad5c\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_justify_content\":\"space-around\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"3eb1acc\",\"elType\":\"widget\",\"settings\":{\"archive_badge_text\":\"%percentage_sale% \\u062a\\u062e\\u0641\\u06cc\\u0641\",\"archive_badge_typography_typography\":\"custom\",\"archive_badge_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"archive_badge_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"archive_badge_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"archive_badge_content_padding\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"6\",\"left\":\"20\",\"isLinked\":false},\"archive_badge_alignment\":\"center\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"166fcbe\"}],\"scroll_y\":-80,\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"16\",\"left\":\"15\",\"isLinked\":false},\"__globals__\":{\"archive_badge_background\":\"globals\\/colors?id=primary\",\"_background_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_background_color\":\"#EF3A4F\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"archive_badge_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"archive_badge_content_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"5\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-woo-builder-archive-sale-badge\"},{\"id\":\"881676c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"59f480a\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"7be762b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8821ddd\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F3F3F3\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"000dcf4\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9eea7bf\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6c2486e\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"9e74763\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":55,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"7c66f88\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"1713d7e\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"10a374f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"2003784\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"8de1f57\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"885758f\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"7df465a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"c7b3886\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"db1befb\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"19abb38\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ebe845b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"15ce6d8\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"2319e54\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"8b64286\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"606f810\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"866126d\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"9f8555f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"0978f65\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"90d4481\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"657caa5\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"0b871dc\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"9ce93cf\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"313ef56\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"54cd9e7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"606f810\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8ab4e85\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"67512a7\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"7053a48\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text_126%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"204fa46\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a91ccff\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"_id\":\"d43239c\",\"jedv_condition\":\"is-in-stock\"},{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8364a04\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"},\"jedv_data_type\":\"numeric\"},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"a2a8933\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":45.03399999999999891997504164464771747589111328125,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"aeea8e9\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"width_mobile\":{\"size\":40,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"center\"},\"elements\":[{\"id\":\"4580129\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062e\\u0631\\u06cc\\u062f \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align\":\"left\",\"selected_icon\":{\"value\":{\"id\":\"187\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/shopping-cart-icon.svg\"},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#F5F9FC\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"12\",\"bottom\":\"10\",\"left\":\"7\",\"isLinked\":false},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"13\",\"bottom\":\"8\",\"left\":\"4\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-0.6\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"013597b\"}],\"scroll_y\":-80,\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"31ca575\\\" name=\\\"woocommerce-add-to-cart\\\" settings=\\\"%7B%22quantity%22%3A1%7D\\\"]\"},\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2212", "293", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("2221", "302", "_wp_attached_file", "2023/07/casual-life-3d-reward-badge-with-star-and-two-ribbons-2.png");
INSERT INTO `wp_sa_postmeta` VALUES("2222", "302", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:47;s:6:\"height\";i:50;s:4:\"file\";s:67:\"2023/07/casual-life-3d-reward-badge-with-star-and-two-ribbons-2.png\";s:8:\"filesize\";i:2244;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2223", "302", "_elementor_source_image_hash", "702cc8706324822f9f5c626512e92233543b97d5");
INSERT INTO `wp_sa_postmeta` VALUES("2224", "303", "_wp_attached_file", "2023/07/harchyz-com_3_59df6fc86dc0a_1-2.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2225", "303", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:45169;s:5:\"width\";d:39;s:6:\"height\";d:30;}");
INSERT INTO `wp_sa_postmeta` VALUES("2226", "303", "_elementor_source_image_hash", "5758bb774443d783a4192a3e5547e8a322b47e30");
INSERT INTO `wp_sa_postmeta` VALUES("2227", "304", "_wp_attached_file", "2023/07/Rectangle-127.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2228", "304", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:71590;s:5:\"width\";d:1146;s:6:\"height\";d:160;}");
INSERT INTO `wp_sa_postmeta` VALUES("2229", "304", "_elementor_source_image_hash", "0c6f1170f34a0d84d228b6345af4e68512794471");
INSERT INTO `wp_sa_postmeta` VALUES("2230", "305", "_wp_attached_file", "2023/07/Rectangle-125.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2231", "305", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:169;s:5:\"width\";d:1195;s:6:\"height\";d:253;}");
INSERT INTO `wp_sa_postmeta` VALUES("2232", "305", "_elementor_source_image_hash", "48d8117f91cbe5b955e34843142ae8bb866ea70b");
INSERT INTO `wp_sa_postmeta` VALUES("2458", "330", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("2459", "330", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:382;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2460", "330", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2461", "330", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("2462", "330", "_rankmath__data", "[{\"id\":\"7cf070f\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"15\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0e0b66b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_direction\":\"column\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"stretch\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_hover_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_hover_color\":\"#EF3A4F\",\"box_shadow_hover_box_shadow\":{\"horizontal\":0,\"vertical\":50,\"blur\":10,\"spread\":0,\"color\":\"#EF3A4F\"},\"__globals__\":{\"border_hover_color\":\"\"}},\"elements\":[{\"id\":\"36b2487\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"link_to\":\"custom\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a26b419\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"db907e4\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"814ea2b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":241,\"sizes\":[]},\"height_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"object-fit\":\"cover\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"d338b93\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\",\"selected_icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"_id\":\"03a2d38\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"3223440\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22reading-time%22%2C%22after%22%3A%22%20%D8%AF%D9%82%DB%8C%D9%82%D9%87%20%D8%B2%D9%85%D8%A7%D9%86%20%D9%85%D8%B7%D8%A7%D9%84%D8%B9%D9%87%22%7D\\\"]\"}}],\"text_color\":\"#9D9D9D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"482766f\"}],\"scroll_y\":-80,\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"a69e9c8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"cde3162\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"6974db1\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"f030b89\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"041724e\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"2230e4e\"}],\"scroll_y\":-80,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"bdf82a1\\\" name=\\\"post-excerpt\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2610a10\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0.75\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a5a6f7f\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"83034b4\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bdff859\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_mobile\":{\"size\":60,\"unit\":\"%\"},\"content_width\":\"full\"},\"elements\":[{\"id\":\"e11e3e8\",\"elType\":\"widget\",\"settings\":{\"source\":\"custom\",\"author_name\":\"John Doe\",\"author_name_tag\":\"span\",\"author_bio\":\"\",\"link_text\":\"\\u0647\\u0645\\u0647 \\u067e\\u0633\\u062a \\u0647\\u0627\",\"image_vertical_align\":\"middle\",\"image_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"image_gap\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"name_color\":\"#595959\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"name_typography_font_weight\":\"normal\",\"bio_color\":\"#9D9D9D\",\"bio_typography_typography\":\"custom\",\"bio_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"bio_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bio_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5ad0a0b\"}],\"scroll_y\":-80,\"__dynamic__\":{\"author_avatar\":\"[elementor-tag id=\\\"088601c\\\" name=\\\"author-profile-picture\\\" settings=\\\"%7B%7D\\\"]\",\"author_name\":\"[elementor-tag id=\\\"b40677c\\\" name=\\\"author-name\\\" settings=\\\"%7B%7D\\\"]\",\"author_bio\":\"[elementor-tag id=\\\"15f0fe2\\\" name=\\\"post-date\\\" settings=\\\"%7B%22format%22%3A%22human%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"author-box\"}],\"isInner\":true},{\"id\":\"8e1ae5d\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_justify_content\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b01f805\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_mobile\":{\"size\":40,\"unit\":\"%\"},\"content_width\":\"full\"},\"elements\":[{\"id\":\"d185eb7\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"align\":\"left\",\"selected_icon\":{\"value\":\"fas fa-arrow-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_text_color\":\"#6A6A6A\",\"background_color\":\"#F5F9FC\",\"hover_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"30\",\"bottom\":\"12\",\"left\":\"20\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"58ac45a\"}],\"scroll_y\":-80,\"__globals__\":{\"button_background_hover_color\":\"globals\\/colors?id=primary\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"a85af75\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"ccad2d2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"7a50c07\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"b24805f\\\" name=\\\"post-terms\\\" settings=\\\"%7B%22separator%22%3A%22%D8%8C%20%22%2C%22taxonomy%22%3A%22category%22%7D\\\"]\"},\"title_color\":\"#FFFFFF\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"3\",\"left\":\"10\",\"isLinked\":false},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"6\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":true},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=primary\"},\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"custom_css\":\"selector a {\\r\\n    color: #ffffff !important;\\r\\n}\\r\\n\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2463", "331", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("2464", "331", "_elementor_page_settings", "a:4:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"pa_brand\";s:14:\"listing_source\";s:5:\"terms\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:365;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2465", "331", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2466", "331", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("2467", "331", "_rankmath__data", "[{\"id\":\"87fdcfd\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.75\",\"right\":\"1\",\"bottom\":\"0.75\",\"left\":\"0.6215\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"88a4add\"}],\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\",\"background_color\":\"globals\\/colors?id=ed73ee8\"},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"f23875b\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"eb72bf6\"}],\"scroll_y\":-80,\"dynamic_image_source\":\"thumbnail_img\",\"image_alignment\":\"center\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-image\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2468", "332", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("2469", "332", "_elementor_page_settings", "a:2:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("2470", "332", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2471", "332", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("2472", "332", "_rankmath__data", "[{\"id\":\"da743aa\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#E1E1E1\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0.5\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"29180fe\"}]},\"elements\":[{\"id\":\"7c6511d\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u062a\\u0645 #1 \\u062f\\u0631 \\u0644\\u06cc\\u0633\\u062a\",\"selected_icon\":{\"value\":\"far fa-play-circle\",\"library\":\"fa-regular\"},\"_id\":\"609f522\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"a4c2aed\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"d1a3777\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"}}],\"icon_color\":\"#949494\",\"text_indent\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"97b6c05\"}],\"scroll_y\":-80,\"text_color\":\"#737373\",\"text_color_hover\":\"#333333\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\",\"text_color_hover\":\"globals\\/colors?id=secondary\",\"icon_color_hover\":\"\",\"icon_color\":\"\"},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"acced14\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"p\",\"align\":\"left\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"5ca1eed\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"4011663\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22reading-time%22%2C%22after%22%3A%22%20%D8%AF%D9%82%DB%8C%D9%82%D9%87%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2473", "333", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("2474", "333", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:444;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2475", "333", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2476", "333", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("2477", "333", "_rankmath__data", "[{\"id\":\"c198329\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_justify_content\":\"center\",\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"background_background\":\"classic\",\"background_overlay_background\":\"classic\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4285d11\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"__globals__\":{\"background_overlay_color\":\"globals\\/colors?id=secondary\"},\"flex_gap_mobile\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__dynamic__\":{\"background_image\":\"[elementor-tag id=\\\"d95cdd1\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\"},\"content_width\":\"full\",\"min_height\":{\"unit\":\"px\",\"size\":330,\"sizes\":[]},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"fdd0951\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-play\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"primary_color\":\"#EF3A4F66\",\"size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-8\",\"left\":\"0\",\"isLinked\":false},\"_offset_x\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":152,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"ec0bcf7\"}],\"scroll_y\":-80,\"__globals__\":{\"primary_color\":\"\",\"secondary_color\":\"globals\\/colors?id=primary\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"21e7453\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_offset_x_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"1535a65\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_offset_y\":{\"unit\":\"px\",\"size\":215,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"54365ad\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"ca7806d\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\"},\"_offset_y_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2478", "334", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("2479", "334", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:477;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2480", "334", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2481", "334", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("2482", "334", "_rankmath__data", "[{\"id\":\"0886035\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"3ed6870\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"707a33c\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":25,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"f91fad5\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_mobile\":{\"size\":35,\"unit\":\"%\"},\"content_width\":\"full\"},\"elements\":[{\"id\":\"a6d33fb\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"eaea810\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"b0c314e\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"28a5634\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"265d51e\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":75,\"unit\":\"%\"},\"flex_gap\":{\"size\":7,\"unit\":\"px\",\"column\":\"7\",\"row\":\"7\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9fc7c6b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_mobile\":{\"size\":65,\"unit\":\"%\"},\"content_width\":\"full\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"2437054\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"p\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"c6352b2\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"0abc022\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"a15fb67\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d20a0da\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text_color\":\"#737373\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"51bd0ec\"}],\"scroll_y\":-80,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"50c7e4c\\\" name=\\\"post-excerpt\\\" settings=\\\"%7B%22max_length%22%3A25%2C%22after%22%3A%22...%22%7D\\\"]\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0bd9f1f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"selected_icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"_id\":\"1271cec\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"link\":\"\",\"show_icon\":\"custom\"}],\"icon_color\":\"#A0A0A0\",\"icon_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"46c7879\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"\",\"icon_color\":\"\"},\"text_color\":\"#737373\",\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"post-info\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2483", "335", "_wp_attached_file", "2023/07/brand-1-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2484", "335", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-1-min.png\";s:8:\"filesize\";i:1401;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-1-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1278;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-1-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:988;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-1-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1342;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-1-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1214;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2485", "336", "_wp_attached_file", "2023/07/brand-2-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2486", "336", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-2-min.png\";s:8:\"filesize\";i:2735;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-2-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2699;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-2-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2688;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-2-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4034;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-2-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2619;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2487", "337", "_wp_attached_file", "2023/07/brand-3-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2488", "337", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-3-min.png\";s:8:\"filesize\";i:4348;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-3-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4333;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-3-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5402;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-3-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8398;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-3-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4188;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2489", "338", "_wp_attached_file", "2023/07/brand-4-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2490", "338", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-4-min.png\";s:8:\"filesize\";i:4329;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-4-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4442;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-4-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3716;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-4-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7445;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-4-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3665;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2491", "339", "_wp_attached_file", "2023/07/brand-5-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2492", "339", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-5-min.png\";s:8:\"filesize\";i:4157;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-5-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4230;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-5-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5457;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-5-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8310;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-5-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4160;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2493", "340", "_wp_attached_file", "2023/07/brand-6-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2494", "340", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-6-min.png\";s:8:\"filesize\";i:6682;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-6-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6963;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-6-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8593;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-6-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13691;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-6-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6856;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2495", "341", "_wp_attached_file", "2023/07/brand-7-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2496", "341", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-7-min.png\";s:8:\"filesize\";i:6733;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-7-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7074;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-7-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7232;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-7-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11581;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-7-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6981;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2497", "342", "_wp_attached_file", "2023/07/brand-8-min.png");
INSERT INTO `wp_sa_postmeta` VALUES("2498", "342", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:330;s:6:\"height\";i:146;s:4:\"file\";s:23:\"2023/07/brand-8-min.png\";s:8:\"filesize\";i:4084;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"brand-8-min-300x146.png\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4085;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-8-min-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5349;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"brand-8-min-300x133.png\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8383;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"brand-8-min-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3996;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2525", "142", "_product_attributes", "a:1:{s:8:\"pa_brand\";a:6:{s:4:\"name\";s:8:\"pa_brand\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_sa_postmeta` VALUES("2526", "140", "_product_attributes", "a:1:{s:8:\"pa_brand\";a:6:{s:4:\"name\";s:8:\"pa_brand\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_sa_postmeta` VALUES("2527", "138", "_product_attributes", "a:1:{s:8:\"pa_brand\";a:6:{s:4:\"name\";s:8:\"pa_brand\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_sa_postmeta` VALUES("2528", "136", "_product_attributes", "a:1:{s:8:\"pa_brand\";a:6:{s:4:\"name\";s:8:\"pa_brand\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_sa_postmeta` VALUES("2529", "331", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("2530", "331", "_edit_lock", "1693459193:1");
INSERT INTO `wp_sa_postmeta` VALUES("2537", "331", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2545", "331", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("2546", "331", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("2627", "358", "_edit_lock", "1688466347:2");
INSERT INTO `wp_sa_postmeta` VALUES("2628", "359", "_wp_attached_file", "2023/07/post-thumbnail1.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2629", "359", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:467;s:4:\"file\";s:27:\"2023/07/post-thumbnail1.jpg\";s:8:\"filesize\";i:72624;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23440;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3776;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"post-thumbnail1-600x400.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49880;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail1-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15417;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7200;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2630", "360", "_wp_attached_file", "2023/07/post-thumbnail2.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2631", "360", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:333;s:4:\"file\";s:27:\"2023/07/post-thumbnail2.jpg\";s:8:\"filesize\";i:71867;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24455;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3399;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16743;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6787;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2632", "361", "_wp_attached_file", "2023/07/post-thumbnail3.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2633", "361", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:466;s:4:\"file\";s:27:\"2023/07/post-thumbnail3.jpg\";s:8:\"filesize\";i:63564;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25503;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4183;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"post-thumbnail3-600x399.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:399;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51501;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16549;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7887;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2634", "362", "_wp_attached_file", "2023/07/post-thumbnail4.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2635", "362", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:333;s:4:\"file\";s:27:\"2023/07/post-thumbnail4.jpg\";s:8:\"filesize\";i:35524;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail4-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15664;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3519;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14164;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5924;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2636", "363", "_wp_attached_file", "2023/07/post-thumbnail5.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2637", "363", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:331;s:4:\"file\";s:27:\"2023/07/post-thumbnail5.jpg\";s:8:\"filesize\";i:67337;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail5-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29067;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail5-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4319;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail5-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17625;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8244;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2638", "364", "_wp_attached_file", "2023/07/post-thumbnail6.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2639", "364", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:600;s:6:\"height\";i:400;s:4:\"file\";s:27:\"2023/07/post-thumbnail6.jpg\";s:8:\"filesize\";i:77548;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail6-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26215;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail6-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4309;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail6-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19122;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8298;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2640", "365", "_wp_attached_file", "2023/07/post-thumbnail7.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2641", "365", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:466;s:4:\"file\";s:27:\"2023/07/post-thumbnail7.jpg\";s:8:\"filesize\";i:56741;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail7-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20490;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail7-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3382;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"post-thumbnail7-600x399.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:399;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41943;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail7-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13064;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6213;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2644", "367", "_wp_attached_file", "2023/07/post-thumbnail9.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2645", "367", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:333;s:4:\"file\";s:27:\"2023/07/post-thumbnail9.jpg\";s:8:\"filesize\";i:34884;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"post-thumbnail9-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12896;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail9-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2712;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"post-thumbnail9-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10713;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"post-thumbnail9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4669;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2646", "368", "_wp_attached_file", "2023/07/post-thumbnail10.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2647", "368", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:467;s:4:\"file\";s:28:\"2023/07/post-thumbnail10.jpg\";s:8:\"filesize\";i:53625;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"post-thumbnail10-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12180;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"post-thumbnail10-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2499;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"post-thumbnail10-600x400.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34466;}s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"post-thumbnail10-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10597;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"post-thumbnail10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4268;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2648", "369", "_wp_attached_file", "2023/07/post-thumbnail11.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("2649", "369", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:467;s:4:\"file\";s:28:\"2023/07/post-thumbnail11.jpg\";s:8:\"filesize\";i:44344;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"post-thumbnail11-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15044;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"post-thumbnail11-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2986;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"post-thumbnail11-600x400.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31604;}s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"post-thumbnail11-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10115;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"post-thumbnail11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5304;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2652", "358", "_thumbnail_id", "359");
INSERT INTO `wp_sa_postmeta` VALUES("2653", "371", "_edit_lock", "1688466348:2");
INSERT INTO `wp_sa_postmeta` VALUES("2656", "371", "_thumbnail_id", "360");
INSERT INTO `wp_sa_postmeta` VALUES("2657", "373", "_edit_lock", "1688466346:2");
INSERT INTO `wp_sa_postmeta` VALUES("2660", "373", "_thumbnail_id", "361");
INSERT INTO `wp_sa_postmeta` VALUES("2661", "375", "_edit_lock", "1688466344:2");
INSERT INTO `wp_sa_postmeta` VALUES("2664", "375", "_thumbnail_id", "362");
INSERT INTO `wp_sa_postmeta` VALUES("2665", "377", "_edit_lock", "1688466344:2");
INSERT INTO `wp_sa_postmeta` VALUES("2668", "377", "_thumbnail_id", "363");
INSERT INTO `wp_sa_postmeta` VALUES("2669", "379", "_edit_lock", "1688466343:2");
INSERT INTO `wp_sa_postmeta` VALUES("2672", "379", "_thumbnail_id", "364");
INSERT INTO `wp_sa_postmeta` VALUES("2673", "381", "_edit_lock", "1688466338:2");
INSERT INTO `wp_sa_postmeta` VALUES("2676", "381", "_thumbnail_id", "365");
INSERT INTO `wp_sa_postmeta` VALUES("2677", "383", "_edit_lock", "1688466330:2");
INSERT INTO `wp_sa_postmeta` VALUES("2680", "383", "_thumbnail_id", "367");
INSERT INTO `wp_sa_postmeta` VALUES("2681", "385", "_edit_lock", "1688466321:2");
INSERT INTO `wp_sa_postmeta` VALUES("2684", "385", "_thumbnail_id", "368");
INSERT INTO `wp_sa_postmeta` VALUES("2685", "387", "_edit_lock", "1688628503:2");
INSERT INTO `wp_sa_postmeta` VALUES("2688", "387", "_thumbnail_id", "369");
INSERT INTO `wp_sa_postmeta` VALUES("2691", "390", "_wp_attached_file", "2023/07/textalign-right.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2692", "390", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:572;s:5:\"width\";d:24;s:6:\"height\";d:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("2693", "390", "_elementor_source_image_hash", "517ee635578a3be127e7f118ad2d8c2094d65284");
INSERT INTO `wp_sa_postmeta` VALUES("2694", "391", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2695", "391", "_elementor_template_type", "section");
INSERT INTO `wp_sa_postmeta` VALUES("2696", "391", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("2697", "391", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("2698", "391", "_rankmath__data", "[{\"id\":\"4ced55cf\",\"elType\":\"container\",\"settings\":{\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"48015b6\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"a844923\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a7a3415\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\"},\"elements\":[{\"id\":\"6c14a106\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1.625\",\"right\":\"1.625\",\"bottom\":\"1.625\",\"left\":\"1.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ed72a89\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\"},\"elements\":[{\"id\":\"22dec163\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u0646\\u0686\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u0642\\u0627\\u0644\\u0647 \\u0645\\u06cc\\u062e\\u0648\\u0627\\u0646\\u06cc\\u0645\",\"selected_icon\":{\"value\":{\"id\":390,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/textalign-right.svg\"},\"library\":\"svg\"},\"_id\":\"3d195a0\"}],\"icon_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"7562874\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"11addc33\",\"elType\":\"widget\",\"settings\":{\"title\":\"\",\"html_tag\":\"div\",\"exclude_headings_by_selector\":\"h3#reply-title\",\"marker_view\":\"bullets\",\"icon\":{\"value\":\"\",\"library\":\"\"},\"minimize_box\":\"\",\"border_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"header_typography_typography\":\"custom\",\"header_typography_font_family\":\"iranyekanwebregular_FaNum\",\"header_typography_font_weight\":\"normal\",\"header_separator_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"list_typography_typography\":\"custom\",\"list_typography_font_family\":\"IRANSansWeb_FaNum\",\"list_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"list_typography_font_weight\":\"normal\",\"list_indent\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"item_text_underline_hover\":\"\",\"jedv_conditions\":[{\"_id\":\"136a3d7\"}],\"scroll_y\":-80,\"__globals__\":{\"item_text_color_hover\":\"globals\\/colors?id=primary\",\"item_text_color_active\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"table-of-contents\"}],\"isInner\":true},{\"id\":\"21dd9d9c\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"columns\":\"1\",\"posts_num\":4,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"c324ca1\",\"meta_query_key\":\"_sale_price\",\"meta_query_type\":\"NUMERIC\",\"type\":\"order_offset\",\"order_by\":\"meta_value\",\"meta_key\":\"_sale_price\",\"meta_type\":\"NUMERIC\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"e082c5d\"}],\"scroll_y\":-80,\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"-2.5\",\"left\":\"0\",\"isLinked\":false},\"carousel_enabled\":\"yes\",\"dots\":\"true\",\"arrows_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"arrow_color\":\"#D9D9D9\",\"arrow_bg_color\":\"#02010100\",\"prev_top_position\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]},\"prev_top_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_top_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_left_position\":{\"unit\":\"%\",\"size\":3.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"prev_left_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_top_position\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]},\"next_top_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_top_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_right_position\":{\"unit\":\"%\",\"size\":3.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"next_right_position_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_right_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"dots_size\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"dots_gap\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"dots_bg_color\":\"#D9D9D9\",\"custom_css\":\"selector li.slick-active {\\n     width:20px !important;\\n     border-radius: 5px !important;\\n     transition: 0.3s !important;\\n}\\n\\nselector li.slick {\\n    transition: 0.3s !important;\\n}\\n\\nselector ul.jet-slick-dots {\\n    position: relative;\\n    bottom: 0.5rem;\\n}\",\"__globals__\":{\"dots_bg_color_active\":\"globals\\/colors?id=primary\"},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2705", "391", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("2706", "393", "_wp_attached_file", "2023/07/placeholder-5.png");
INSERT INTO `wp_sa_postmeta` VALUES("2707", "393", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-5.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-5-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-5-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-5-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-5-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-5-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-5-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2708", "393", "_elementor_source_image_hash", "32d86c61b3421eb9435d7a5142514ac9052d5b5a");
INSERT INTO `wp_sa_postmeta` VALUES("2709", "394", "_wp_attached_file", "2023/07/user-edit-2.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2710", "394", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1151;s:5:\"width\";d:15;s:6:\"height\";d:16;}");
INSERT INTO `wp_sa_postmeta` VALUES("2711", "394", "_elementor_source_image_hash", "2f77f4a533de2114a9ebd0971e40863f631c97f8");
INSERT INTO `wp_sa_postmeta` VALUES("2712", "395", "_wp_attached_file", "2023/07/calendar.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2713", "395", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1408;s:5:\"width\";d:16;s:6:\"height\";d:16;}");
INSERT INTO `wp_sa_postmeta` VALUES("2714", "395", "_elementor_source_image_hash", "e138864c7e759398ec2632bb8040cb3eaa1f55f8");
INSERT INTO `wp_sa_postmeta` VALUES("2715", "396", "_wp_attached_file", "2023/07/messages.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2716", "396", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1462;s:5:\"width\";d:16;s:6:\"height\";d:16;}");
INSERT INTO `wp_sa_postmeta` VALUES("2717", "396", "_elementor_source_image_hash", "32b64a58cb539161dd73cafc5cf8948164707b1d");
INSERT INTO `wp_sa_postmeta` VALUES("2718", "397", "_wp_attached_file", "2023/07/single-post-banner-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("2719", "397", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1184;s:6:\"height\";i:135;s:4:\"file\";s:32:\"2023/07/single-post-banner-1.png\";s:8:\"filesize\";i:29193;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:32:\"single-post-banner-1-300x135.png\";s:5:\"width\";i:300;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14976;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"single-post-banner-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5340;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-600x68.png\";s:5:\"width\";i:600;s:6:\"height\";i:68;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26242;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-300x34.png\";s:5:\"width\";i:300;s:6:\"height\";i:34;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8477;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"single-post-banner-1-1024x117.png\";s:5:\"width\";i:1024;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:61925;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"single-post-banner-1-150x135.png\";s:5:\"width\";i:150;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8224;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-768x88.png\";s:5:\"width\";i:768;s:6:\"height\";i:88;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39666;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2720", "397", "_elementor_source_image_hash", "fed3f1571ebfe5fe3d8d80f9839888957193d002");
INSERT INTO `wp_sa_postmeta` VALUES("2721", "398", "_wp_attached_file", "2023/07/messages-2.svg");
INSERT INTO `wp_sa_postmeta` VALUES("2722", "398", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1540;s:5:\"width\";d:26;s:6:\"height\";d:26;}");
INSERT INTO `wp_sa_postmeta` VALUES("2723", "398", "_elementor_source_image_hash", "1904208fa9ee021daa389f0f598ec6df655b2742");
INSERT INTO `wp_sa_postmeta` VALUES("2724", "399", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("2725", "399", "_elementor_template_type", "single-post");
INSERT INTO `wp_sa_postmeta` VALUES("2726", "399", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("2727", "399", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("2728", "399", "_rankmath__data", "[{\"id\":\"1fe6817\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ab3e17f\"}]},\"elements\":[{\"id\":\"524af4f\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"1.5\",\"bottom\":\"0.5\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bb3dcf4\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"7154754\",\"elType\":\"widget\",\"settings\":{\"text_typography_typography\":\"custom\",\"text_typography_font_family\":\"iranyekanwebregular_FaNum\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"aa369fb\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=secondary\",\"link_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"woocommerce-breadcrumb\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"696da1e5\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"44500b9\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"4b8311eb\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":365,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"953f392\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"a967682\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\"},\"height_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"image\":{\"id\":393,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-5.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"dc64dab\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"f8a1f1b\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"6697261d\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":75,\"unit\":\"%\"},\"align\":\"space-between\",\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5023e31\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"content_width\":\"full\"},\"elements\":[{\"id\":\"51bea25f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c76fc3d\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"1b9a1da\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6e81d0c2\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"grow\",\"jedv_conditions\":[{\"_id\":\"573c599\"}]},\"elements\":[{\"id\":\"b8ca1a9\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"type\":\"author\",\"selected_icon\":{\"value\":{\"id\":394,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/user-edit-2.svg\"},\"library\":\"svg\"},\"_id\":\"80d2ed7\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"link\":\"\",\"show_icon\":\"custom\"},{\"selected_icon\":{\"value\":{\"id\":395,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/calendar.svg\"},\"library\":\"svg\"},\"_id\":\"b527fbb\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"link\":\"\",\"show_icon\":\"custom\"},{\"type\":\"comments\",\"selected_icon\":{\"value\":{\"id\":396,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/messages.svg\"},\"library\":\"svg\"},\"_id\":\"8d70532\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"show_icon\":\"custom\"}],\"icon_color\":\"#EF3A4F00\",\"text_color\":\"#9D9D9D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"f8b229b\"}],\"scroll_y\":-80,\"space_between_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"post-info\"},{\"id\":\"13961f74\",\"elType\":\"widget\",\"settings\":{\"share_buttons\":[{\"_id\":\"5824bcd\"},{\"button\":\"twitter\",\"_id\":\"e5e1423\"},{\"button\":\"telegram\",\"_id\":\"f60fe89\"},{\"_id\":\"31d79c9\",\"button\":\"whatsapp\"}],\"view\":\"icon\",\"skin\":\"minimal\",\"shape\":\"rounded\",\"alignment\":\"left\",\"column_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_size\":{\"unit\":\"px\",\"size\":0.5500000000000000444089209850062616169452667236328125,\"sizes\":[]},\"button_size_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"icon_size\":{\"unit\":\"em\",\"size\":2.5,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"em\",\"size\":2.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"button_height\":{\"unit\":\"em\",\"size\":3.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"button_height_mobile\":{\"unit\":\"em\",\"size\":2.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"color_source\":\"custom\",\"primary_color\":\"#02010100\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8801cd3\"}],\"scroll_y\":-80,\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"share-buttons\"}],\"isInner\":true},{\"id\":\"5d077949\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#C9C9C9\",\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"182571e\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"3c1a4d2c\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_Light\",\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"52acd7a\"}],\"scroll_y\":-80,\"align_mobile\":\"right\"},\"elements\":[],\"widgetType\":\"theme-post-content\"}],\"isInner\":true},{\"id\":\"4b231b9d\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":25,\"unit\":\"%\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"993e550\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"sticky\":\"top\",\"sticky_parent\":\"yes\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"403a2862\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"391\",\"jedv_conditions\":[{\"_id\":\"6c01c36\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"7f65d26a\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"eb33191\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\"},\"elements\":[{\"id\":\"48cade8b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":397,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/single-post-banner-1.png\"},\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4b60dbb\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"0b8af62\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2e7fc50\"}]},\"elements\":[{\"id\":\"9a620a1\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"2.125\",\"bottom\":\"1.5\",\"left\":\"2.125\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1.5\",\"bottom\":\"1\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9cb3e93\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"1332fa6\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u062f\\u06cc\\u062f\\u06af\\u0627\\u0647\",\"selected_icon\":{\"value\":{\"id\":398,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/messages-2.svg\"},\"library\":\"svg\"},\"_id\":\"c55c80a\"}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"text_color\":\"#595959\",\"text_indent\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"5ab0c82\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"349b3b7\",\"elType\":\"widget\",\"settings\":{\"_skin\":\"theme_comments\",\"jedv_conditions\":[{\"_id\":\"8537ab3\"}],\"scroll_y\":-80,\"custom_css\":\"selector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\n\\r\\n\"},\"elements\":[],\"widgetType\":\"post-comments\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("2735", "399", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("2736", "401", "_wp_attached_file", "2023/07/blog-banner-2-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("2737", "401", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1184;s:6:\"height\";i:135;s:4:\"file\";s:27:\"2023/07/blog-banner-2-1.png\";s:8:\"filesize\";i:40303;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"blog-banner-2-1-300x135.png\";s:5:\"width\";i:300;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21520;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"blog-banner-2-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7518;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"blog-banner-2-1-600x68.png\";s:5:\"width\";i:600;s:6:\"height\";i:68;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37471;}s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"blog-banner-2-1-300x34.png\";s:5:\"width\";i:300;s:6:\"height\";i:34;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11462;}s:5:\"large\";a:5:{s:4:\"file\";s:28:\"blog-banner-2-1-1024x117.png\";s:5:\"width\";i:1024;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:97421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"blog-banner-2-1-150x135.png\";s:5:\"width\";i:150;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10328;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"blog-banner-2-1-768x88.png\";s:5:\"width\";i:768;s:6:\"height\";i:88;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:59072;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("2738", "401", "_elementor_source_image_hash", "13e656cfa48ccc082643d726277485bdf0b44536");
INSERT INTO `wp_sa_postmeta` VALUES("2753", "399", "_edit_lock", "1688648698:1");
INSERT INTO `wp_sa_postmeta` VALUES("2755", "399", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2763", "399", "_elementor_conditions", "a:1:{i:0;s:21:\"include/singular/post\";}");
INSERT INTO `wp_sa_postmeta` VALUES("2764", "391", "_edit_lock", "1688804817:11");
INSERT INTO `wp_sa_postmeta` VALUES("2765", "391", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2806", "387", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2807", "387", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2810", "387", "_wp_old_slug", "%d8%b1%d9%86%da%af-%d9%87%d8%a7%db%8c-%d8%aa%db%8c%d8%b1%d9%87-%d9%88-%d8%b1%d9%88%d8%b4%d9%86-%d8%a8%d9%87%d8%aa%d8%b1%db%8c%d9%86-%d8%a7%d9%86%d8%aa%d8%ae%d8%a7%d8%a8-%d8%a8%d8%b1%d8%a7%db%8c-%d8%a7");
INSERT INTO `wp_sa_postmeta` VALUES("2811", "385", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2812", "385", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2815", "385", "_wp_old_slug", "%d9%85%d8%ac%d9%84%d8%b3%db%8c-%db%8c%d8%a7-%d8%a7%d8%b3%d9%be%d9%88%d8%b1%d8%aa-%d8%a7%d9%86%d8%aa%d8%ae%d8%a7%d8%a8%db%8c-%d8%b3%d9%84%db%8c%d9%82%d9%87-%d8%a7%db%8c");
INSERT INTO `wp_sa_postmeta` VALUES("2816", "383", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2817", "383", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2820", "383", "_wp_old_slug", "%d8%b1%d9%86%da%af-%d9%87%d8%a7%db%8c-%d8%ae%d9%86%d8%ab%db%8c-%d8%b1%d8%a7-%d8%a8%d8%a7-%da%86%d9%87-%d8%b1%d9%86%da%af-%d9%87%d8%a7%db%8c%db%8c-%d9%85%db%8c%d8%aa%d9%88%d8%a7%d9%86-%d8%b3%d8%aa");
INSERT INTO `wp_sa_postmeta` VALUES("2821", "381", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2822", "381", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2825", "381", "_wp_old_slug", "%d8%b1%d8%a7%d9%87%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%d8%af%db%8c-%d8%b4%d8%b3%d8%aa%d8%b4%d9%88%db%8c-%da%98%d8%a7%da%a9%d8%aa-%d9%87%d8%a7%db%8c-%d8%a8%d8%a7%d9%81");
INSERT INTO `wp_sa_postmeta` VALUES("2826", "379", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2827", "379", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2830", "379", "_wp_old_slug", "%d8%a8%d9%87%d8%aa%d8%b1%db%8c%d9%86-%d9%84%d8%a8%d8%a7%d8%b3-%d9%87%d8%a7%db%8c-%d9%85%d9%86%d8%a7%d8%b3%d8%a8-%d9%87%d8%b1-%d8%b1%d9%86%da%af-%d9%be%d9%88%d8%b3%d8%aa-%da%a9%d8%af%d8%a7%d9%85%d9%86");
INSERT INTO `wp_sa_postmeta` VALUES("2831", "377", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2832", "377", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2835", "377", "_wp_old_slug", "%d8%af%d8%b1-%d8%b2%d9%85%d8%b3%d8%aa%d8%a7%d9%86-%da%86%da%af%d9%88%d9%86%d9%87-%d8%ac%d8%b0%d8%a7%d8%a8-%d8%aa%d8%b1-%d8%a8%d9%86%d8%b8%d8%b1-%d8%a8%d8%b1%d8%b3%db%8c%d9%85");
INSERT INTO `wp_sa_postmeta` VALUES("2836", "375", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2837", "375", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2840", "375", "_wp_old_slug", "%d8%aa%d8%b1%d9%81%d9%86%d8%af-%d9%87%d8%a7%db%8c-%d8%ae%d9%88%d8%b4%d8%aa%db%8c%d9%be-%d8%a8%d9%86%d8%b8%d8%b1-%d8%b1%d8%b3%db%8c%d8%af%d9%86-%d9%81%d9%82%d8%b7-%d8%a8%d8%a7-%db%8c%da%a9-%d8%ad%d8%b1");
INSERT INTO `wp_sa_postmeta` VALUES("2841", "373", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2842", "373", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2845", "373", "_wp_old_slug", "%d8%a7%d8%b5%d9%88%d9%84-%d9%86%da%af%d9%87%d8%af%d8%a7%d8%b1%db%8c-%d9%88-%d8%b4%d8%b3%d8%aa%d8%b4%d9%88%db%8c-%d9%84%d8%a8%d8%a7%d8%b3-%d9%87%d8%a7%db%8c-%d8%ac%db%8c%d9%86");
INSERT INTO `wp_sa_postmeta` VALUES("2846", "371", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2847", "371", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2850", "371", "_wp_old_slug", "%d8%b1%d9%86%da%af-%d9%87%d8%a7%db%8c-%d8%a8%d8%a7-%d8%aa%d9%86%d8%a7%da%98-%d8%a2%d8%a8%db%8c-%d8%b1%d8%a7-%d8%a8%d8%a7-%da%86%d9%87-%d8%b1%d9%86%da%af-%d9%87%d8%a7%db%8c%db%8c-%d9%85%db%8c%d8%aa");
INSERT INTO `wp_sa_postmeta` VALUES("2851", "358", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("2852", "358", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("2855", "358", "_wp_old_slug", "%d8%af%d8%b1-%d8%aa%d8%a7%d8%a8%d8%b3%d8%aa%d8%a7%d9%86-%da%86%d9%87-%d8%ac%d9%86%d8%b3-%d9%84%d8%a8%d8%a7%d8%b3-%d9%87%d8%a7%db%8c%db%8c-%d8%a8%d9%be%d9%88%d8%b4%db%8c%d9%85");
INSERT INTO `wp_sa_postmeta` VALUES("2857", "334", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3041", "439", "_edit_lock", "1688465471:2");
INSERT INTO `wp_sa_postmeta` VALUES("3046", "441", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3047", "441", "_elementor_template_type", "product-archive");
INSERT INTO `wp_sa_postmeta` VALUES("3048", "441", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3049", "441", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3054", "441", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3055", "441", "_elementor_page_settings", "a:2:{s:21:\"background_background\";s:7:\"classic\";s:11:\"__globals__\";a:1:{s:16:\"background_color\";s:25:\"globals/colors?id=e310cb1\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("3056", "441", "_rankmath__data", "[{\"id\":\"fc13e82\",\"elType\":\"container\",\"settings\":{\"structure\":\"21\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"26f0cd8\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":25,\"unit\":\"px\",\"column\":\"25\",\"row\":\"25\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_direction_mobile\":\"column\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":21,\"sizes\":[],\"column\":\"21\",\"row\":\"21\",\"isLinked\":true},\"flex_wrap_tablet\":\"wrap\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"249ff7e7\",\"elType\":\"container\",\"settings\":{\"_column_size\":33,\"width\":{\"size\":25,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"2ab744d\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"sticky\":\"top\",\"sticky_on\":[\"desktop\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"width_tablet\":{\"unit\":\"%\",\"size\":100},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_order_mobile\":\"end\",\"_flex_size\":\"none\",\"_element_width_tablet\":\"initial\",\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction_tablet\":\"column\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_order_tablet\":\"start\"},\"elements\":[{\"id\":\"5bde0355\",\"elType\":\"container\",\"settings\":{\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c3d5d9d\"}],\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"436756f4\",\"elType\":\"widget\",\"settings\":{\"filter_id\":\"500\",\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0646\\u06cc\\u062f\",\"additional_providers_list\":[],\"content_position\":\"column\",\"content_column_horizontal_alignment\":\"stretch\",\"search_input_color\":\"#9D9D9D\",\"search_input_background_color\":\"#FFFFFF\",\"search_input_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"filter_apply_button_normal_color\":\"#FFFFFF\",\"filter_apply_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6b32581\"}],\"scroll_y\":-80,\"__globals__\":{\"filter_apply_button_normal_background_color\":\"globals\\/colors?id=primary\",\"search_input_border_color\":\"\",\"filter_apply_button_typography_typography\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"search_input_typography_typography\":\"custom\",\"search_input_typography_font_family\":\"iranyekanwebregular_FaNum\",\"search_input_border_border\":\"solid\",\"search_input_border_color\":\"#E1E1E1\",\"filter_apply_button_normal_background_color\":\"#39469E\",\"filter_apply_button_border_border\":\"none\",\"filter_apply_button_typography_typography\":\"custom\",\"filter_apply_button_typography_font_family\":\"iranyekanwebregular_FaNum\",\"filter_apply_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"filter_apply_button_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-search\"},{\"id\":\"7c54203a\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"501\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"show_label\":\"yes\",\"additional_providers_enabled\":\"\",\"additional_providers_list\":[],\"slider_stroke\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"slider_background_color\":\"#FFF3F5\",\"slider_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"range_points_width\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"range_points_height\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"values_typography_typography\":\"custom\",\"values_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"values_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"inputs_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_alignment\":\"right\",\"label_typography_typography\":\"custom\",\"label_typography_font_family\":\"iranyekanwebbold_FaNum\",\"label_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"label_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"label_border_color\":\"#EBEBEB\",\"label_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"label_alignment\":\"right\",\"_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"11621f3\"}],\"scroll_y\":-80,\"_border_border\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EBEBEB\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"__globals__\":{\"slider_range_background_color\":\"globals\\/colors?id=primary\",\"range_points_background_color\":\"globals\\/colors?id=primary\",\"values_color\":\"globals\\/colors?id=text\",\"label_color\":\"\",\"input_background_color\":\"\",\"filter_apply_button_normal_background_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"values_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"slider_range_background_color\":\"#39469E\",\"range_points_background_color\":\"#39469E\",\"values_color\":\"#737373\",\"label_color\":\"#444444\",\"slider_border_border\":\"none\",\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"filter_apply_button_border_border\":\"none\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-range\"},{\"id\":\"13b97f9d\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"498\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"additional_providers_list\":[],\"select_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"select_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_typography_typography\":\"custom\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#EBEBEB\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bf1a2b4\"}],\"scroll_y\":-80,\"__globals__\":{\"select_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\",\"select_background_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-select\"},{\"id\":\"750060f8\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"499\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"additional_providers_list\":[],\"select_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"select_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_typography_typography\":\"custom\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#EBEBEB\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bf1a2b4\"}],\"scroll_y\":-80,\"__globals__\":{\"select_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-select\"},{\"id\":\"5f493bfa\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631 \\u0647\\u0627\",\"additional_providers_list\":[],\"filter_apply_button_typography_typography\":\"custom\",\"filter_apply_button_typography_font_family\":\"iranyekanwebbold_FaNum\",\"filter_apply_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"filter_apply_button_typography_font_weight\":\"normal\",\"filter_apply_button_normal_color\":\"#FFFFFF\",\"filter_apply_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"filter_apply_button_shadow_box_shadow_type\":\"yes\",\"filter_apply_button_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":5,\"blur\":10,\"spread\":0,\"color\":\"rgba(35.7, 35.31195652173913, 35.35697814076388, 0.12)\"},\"filter_apply_button_alignment\":\"stretch\",\"jedv_conditions\":[{\"_id\":\"e4df2bd\"}],\"scroll_y\":-80,\"__globals__\":{\"filter_apply_button_normal_color\":\"\",\"filter_apply_button_normal_background_color\":\"globals\\/colors?id=primary\",\"filter_apply_button_border_color\":\"globals\\/colors?id=primary\"},\"filter_apply_button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"apply_redirect\":\"yes\",\"redirect_path\":\"\\/shop\\/\",\"filter_apply_button_border_border\":\"none\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-apply-button\"},{\"id\":\"7d5da708\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"remove_filters_text\":\"\\u062d\\u0630\\u0641 \\u0641\\u06cc\\u0644\\u062a\\u0631\\u0647\\u0627\",\"additional_providers_list\":[],\"remove_filters_button_typography_typography\":\"custom\",\"remove_filters_button_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"remove_filters_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"remove_filters_button_typography_font_weight\":\"normal\",\"remove_filters_button_normal_color\":\"#EF3A4F\",\"remove_filters_button_normal_background_color\":\"#FFFFFF\",\"remove_filters_button_border_border\":\"solid\",\"remove_filters_button_border_width\":{\"unit\":\"px\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"remove_filters_button_border_color\":\"#EF3A4F\",\"remove_filters_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"remove_filters_button_alignment\":\"stretch\",\"jedv_conditions\":[{\"_id\":\"6ee7a91\"}],\"scroll_y\":-80,\"__globals__\":{\"remove_filters_button_normal_background_color\":\"\",\"remove_filters_button_normal_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_border_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_border_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_background_color\":\"\"},\"remove_filters_button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"apply_type\":\"reload\",\"query_id\":\"pproducts\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-remove-filters\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"14e6398a\",\"elType\":\"container\",\"settings\":{\"_column_size\":66,\"width\":{\"size\":75,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"26597bb\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_flex_order_tablet\":\"start\",\"_flex_order_mobile\":\"end\"},\"elements\":[{\"id\":\"732add2f\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-5,\"vertical\":5,\"blur\":5,\"spread\":0,\"color\":\"rgba(218.53125000000003, 218.53125000000003, 218.53125000000003, 0.16)\"},\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"15\",\"bottom\":\"10\",\"left\":\"15\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ff3bd1a\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_justify_content\":\"space-between\",\"flex_wrap_mobile\":\"nowrap\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[],\"column\":\"20\",\"row\":\"20\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=accent\"}},\"elements\":[{\"id\":\"2a6d036e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"feb4645\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d45f3f2\\\" name=\\\"archive-title\\\" settings=\\\"%7B%22include_context%22%3A%22%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7b52dfc6\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"placeholder\":\"\\u0645\\u0631\\u062a\\u0628 \\u0633\\u0627\\u0632\\u06cc \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 ...\",\"additional_providers_list\":[],\"sorting_list\":[{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u0627\\u0631\\u0632\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u06af\\u0631\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"_id\":\"42225b4\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u06af\\u0631\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0627\\u0631\\u0632\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"order\":\"DESC\",\"_id\":\"4d71995\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u0642\\u062f\\u06cc\\u0645\\u06cc \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"_id\":\"8ee97d0\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0642\\u062f\\u06cc\\u0645\\u06cc \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"order\":\"DESC\",\"_id\":\"9698eaa\"}],\"select_width\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"select_background_color\":\"#F8F8F8\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#E3E3E3\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"select_alignment\":\"right\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"30103c5\"}],\"scroll_y\":-80,\"apply_on\":\"submit\",\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_typography\":\"custom\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\",\"select_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"label_typography_font_size\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-smart-filters-sorting\"}],\"isInner\":true},{\"id\":\"fd67b0f\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"columns\":\"3\",\"is_archive_template\":\"yes\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"fc57d09\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"15ba854\"}],\"scroll_y\":-80,\"columns_mobile\":\"1\",\"columns_tablet\":\"2\",\"use_custom_post_types\":\"yes\",\"custom_post_types\":[\"product\"],\"_element_id\":\"pproducts\",\"equal_columns_height\":\"yes\",\"injection_items\":[],\"custom_query\":\"yes\",\"custom_query_id\":\"7\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"20544ad4\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#E1E1E1\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_color\":\"#39469E\",\"pagination_items_color_hover\":\"#FFD701\",\"pagination_items_color_active\":\"#FFD701\",\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"254c9fd\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=fdaa5d2\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_dots\":\"globals\\/colors?id=text\",\"pagination_border_color\":\"\",\"pagination_background_color\":\"\"},\"query_id\":\"pproducts\",\"pagination_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"pagination_items_color_dots\":\"#737373\",\"pages_center_offset\":2,\"load_more_text\":\"Load More\",\"pagination_background_color\":\"#FFFFFF\",\"pagination_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3064", "441", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("3065", "444", "_wp_attached_file", "2023/07/blog-banner-2-1-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("3066", "444", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1184;s:6:\"height\";i:135;s:4:\"file\";s:29:\"2023/07/blog-banner-2-1-1.png\";s:8:\"filesize\";i:40303;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:29:\"blog-banner-2-1-1-300x135.png\";s:5:\"width\";i:300;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21520;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"blog-banner-2-1-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7518;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"blog-banner-2-1-1-600x68.png\";s:5:\"width\";i:600;s:6:\"height\";i:68;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37471;}s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"blog-banner-2-1-1-300x34.png\";s:5:\"width\";i:300;s:6:\"height\";i:34;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11462;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"blog-banner-2-1-1-1024x117.png\";s:5:\"width\";i:1024;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:97421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"blog-banner-2-1-1-150x135.png\";s:5:\"width\";i:150;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10328;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"blog-banner-2-1-1-768x88.png\";s:5:\"width\";i:768;s:6:\"height\";i:88;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:59072;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3067", "444", "_elementor_source_image_hash", "50a61b7042e3ffaaf29fd70881083922aa787e75");
INSERT INTO `wp_sa_postmeta` VALUES("3068", "445", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3069", "445", "_elementor_template_type", "archive");
INSERT INTO `wp_sa_postmeta` VALUES("3070", "445", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3071", "445", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("3076", "445", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3077", "445", "_elementor_page_settings", "a:2:{s:16:\"background_color\";s:7:\"#F5F5F5\";s:11:\"__globals__\";a:1:{s:16:\"background_color\";s:0:\"\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("3078", "445", "_rankmath__data", "[{\"id\":\"1ea49184\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"jedv_conditions\":[{\"_id\":\"3c833c1\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":50,\"unit\":\"px\",\"column\":\"50\",\"row\":\"50\",\"isLinked\":true},\"flex_direction_mobile\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":40,\"sizes\":[],\"column\":\"40\",\"row\":\"40\",\"isLinked\":true}},\"elements\":[{\"id\":\"857449c\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":20,\"unit\":\"%\"},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-1,\"vertical\":1,\"blur\":15,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.09)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"7d0e7d3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":26,\"unit\":\"%\"},\"flex_justify_content_tablet\":\"center\",\"content_width\":\"full\"},\"elements\":[{\"id\":\"50e2377f\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"450\",\"columns\":\"1\",\"posts_num\":9,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_hide_empty\":\"\",\"terms_meta_query\":[],\"users_meta_query\":[],\"vertical_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b14d75b\"}],\"scroll_y\":-80,\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true},{\"id\":\"35694d3\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":80,\"unit\":\"%\"},\"margin\":{\"unit\":\"rem\",\"top\":\"-0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e231dce\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width_tablet\":{\"size\":74,\"unit\":\"%\"},\"content_width\":\"full\",\"flex_direction_mobile\":\"column\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"43b94d64\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"448\",\"columns\":\"2\",\"columns_mobile\":\"1\",\"posts_num\":2,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"103390d\"}],\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"13f0e0e4\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"448\",\"columns\":\"3\",\"columns_mobile\":\"1\",\"posts_num\":3,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"f033c7b\",\"type\":\"order_offset\",\"offset\":2}],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"103390d\"}],\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"441bdef5\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"010\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"595e561\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"27648143\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0458008\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction_mobile\":\"column\",\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"c73a9d8\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9ef68ed\"}]},\"elements\":[{\"id\":\"18ebde38\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0645\\u0637\\u0627\\u0644\\u0628\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width_tablet\":\"initial\",\"_element_width_mobile\":\"auto\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":127.21899999999999408828443847596645355224609375},\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":135.21899999999999408828443847596645355224609375},\"_flex_size\":\"none\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1ed4c1e8\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Articles\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"align\":\"center\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":175.8120000000000118234311230480670928955078125},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_flex_size\":\"none\",\"_element_width_mobile\":\"auto\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4fc8e1eb\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_width_mobile\":\"inherit\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":79,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"f84fcb8\"}],\"scroll_y\":-80,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"3b59db\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"330\",\"columns\":\"4\",\"posts_num\":8,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[{\"_id\":\"966b064\",\"tax_query_taxonomy\":\"category\",\"tax_query_compare\":\"NOT IN\",\"tax_query_field\":\"name\",\"tax_query_terms\":\"\\u0628\\u0631\\u0631\\u0633\\u06cc \\u0648\\u06cc\\u062f\\u0626\\u0648\\u06cc\\u06cc\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d326ee8\"}],\"scroll_y\":-80,\"_element_id\":\"blogpost\",\"columns_mobile\":\"1\",\"columns_tablet\":\"2\",\"horizontal_gap_tablet\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"40dc3d90\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"blogpost\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#E3E3E3\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_color\":\"#A9A9A9\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"pages_center_offset\":2,\"load_more_text\":\"Load More\",\"pagination_background_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"3998c2c8\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"c347ace\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"center\",\"_flex_align_self\":\"center\"},\"elements\":[{\"id\":\"480f9fb7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":444,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/blog-banner-2-1-1.png\"},\"image_size\":\"full\",\"width\":{\"unit\":\"px\",\"size\":1300,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b3edc28\"}],\"scroll_y\":-80,\"align\":\"center\",\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_flex_align_self\":\"center\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3086", "445", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3087", "445", "_edit_lock", "1689053414:1");
INSERT INTO `wp_sa_postmeta` VALUES("3088", "448", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("3089", "448", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:360;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3090", "448", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3091", "448", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("3092", "448", "_rankmath__data", "[{\"id\":\"c9a9715\",\"elType\":\"container\",\"settings\":{\"min_height\":{\"unit\":\"px\",\"size\":221,\"sizes\":[]},\"flex_justify_content\":\"flex-end\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":4,\"sizes\":[],\"column\":\"4\",\"row\":\"4\",\"isLinked\":true},\"background_background\":\"classic\",\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"gradient\",\"background_overlay_color\":\"#02010100\",\"background_overlay_color_b\":\"#00000091\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1.5\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"3584bc0\"}],\"__dynamic__\":{\"background_overlay_image\":\"[elementor-tag id=\\\"a29b5d9\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"background_image\":\"[elementor-tag id=\\\"63e54f5\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[{\"id\":\"0aafd2e\",\"elType\":\"widget\",\"settings\":{\"meta_items\":[{\"type\":\"author\",\"icon\":\"\",\"_id\":\"03ce786\",\"selected_icon\":{\"value\":\"far fa-user\",\"library\":\"fa-regular\"}},{\"type\":\"comments\",\"icon\":\"\",\"_id\":\"709f4cb\",\"selected_icon\":{\"value\":\"far fa-comment-dots\",\"library\":\"fa-regular\"}}],\"date_format\":\"\",\"date_link\":\"no-link\",\"zero_comments_format\":\"0\",\"one_comment_format\":\"1\",\"more_comments_format\":\"%\",\"item_typography_typography\":\"custom\",\"item_typography_font_family\":\"iranyekanwebregular_FaNum\",\"item_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"item_color\":\"#FFFFFF\",\"item_val_color\":\"#FFFFFF\",\"jedv_conditions\":[{\"_id\":\"a16c13a\"}],\"__globals__\":{\"item_color\":\"\"},\"item_val_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"7\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-meta\"},{\"id\":\"fc11f47\",\"elType\":\"widget\",\"settings\":{\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\\u0627\\u062f\\u0627\\u0645\\u0647 \\u0645\\u0637\\u0644\\u0628\",\"query_args\":\"_post_id=%current_id%\",\"link_typography_typography\":\"custom\",\"link_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"link_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"link_color\":\"#FFFFFF\",\"jedv_conditions\":[{\"_id\":\"b8701f7\"}],\"__dynamic__\":{\"link_label\":\"[elementor-tag id=\\\"c684a17\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\"},\"dynamic_link_store\":\"\",\"dynamic_link_synch_grid\":\"\",\"dynamic_link_synch_grid_id\":\"\",\"added_to_store_text\":\"\",\"added_to_store_url\":\"\",\"added_to_store_icon\":{\"value\":\"\",\"library\":\"\"},\"remove_post_from_listing\":\"yes\",\"aria_label_attr\":\"\",\"link_color_in_store\":\"\",\"link_bg_in_store\":\"\",\"link_icon_color_in_store\":\"\",\"link_hover_border_in_store\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3094", "330", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3096", "448", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3097", "449", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("3098", "449", "_elementor_page_settings", "a:3:{s:14:\"listing_source\";s:5:\"terms\";s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3099", "449", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3100", "449", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("3101", "449", "_rankmath__data", "[{\"id\":\"99d755b\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"f66c7d7\"}],\"border_hover_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_hover_color\":\"#EF3A4F\",\"box_shadow_hover_box_shadow\":{\"horizontal\":0,\"vertical\":50,\"blur\":10,\"spread\":0,\"color\":\"#EF3A4F\"},\"__globals__\":{\"border_hover_color\":\"\"},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"fd0baa0\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0e0b66b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\"},\"elements\":[{\"id\":\"606f780\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"link_to\":\"custom\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a26b419\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"db907e4\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"814ea2b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"62866bf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"7a50c07\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"b634580\\\" name=\\\"post-terms\\\" settings=\\\"%7B%22taxonomy%22%3A%22category%22%2C%22separator%22%3A%22%2C%20%22%7D\\\"]\"},\"title_color\":\"#FFFFFF\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"3\",\"left\":\"10\",\"isLinked\":false},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"vw\",\"size\":1,\"sizes\":[]},\"_offset_y\":{\"unit\":\"vh\",\"size\":20,\"sizes\":[]},\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"6\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":true},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=primary\"},\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"size\":3.99800000000000022026824808563105762004852294921875,\"unit\":\"%\"},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"size\":39,\"unit\":\"%\"},\"_offset_orientation_v\":\"end\",\"_offset_y_end\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8af5583\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/presite.ir\\/furniture\\/wp-content\\/uploads\\/2022\\/10\\/timer.svg\",\"id\":2093},\"library\":\"svg\"},\"_id\":\"03a2d38\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"3ec37fa\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22reading-time%22%2C%22after%22%3A%22%20%D8%AF%D9%82%DB%8C%D9%82%D9%87%20%D8%B2%D9%85%D8%A7%D9%86%20%D9%85%D8%B7%D8%A7%D9%84%D8%B9%D9%87%22%7D\\\"]\"}}],\"icon_color\":\"#FFFFFF00\",\"text_color\":\"#9D9D9D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANSansWeb_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"482766f\"}],\"scroll_y\":-80,\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"4e5b43a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"cde3162\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"6974db1\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"f030b89\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"98e59e5\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"2230e4e\"}],\"scroll_y\":-80,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"a6dfbd4\\\" name=\\\"post-excerpt\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"320cc5c\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"padding\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"1a8158d\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"3e23632\",\"elType\":\"widget\",\"settings\":{\"source\":\"custom\",\"author_name\":\"John Doe\",\"author_name_tag\":\"span\",\"author_bio\":\"\",\"link_text\":\"\\u0647\\u0645\\u0647 \\u067e\\u0633\\u062a \\u0647\\u0627\",\"image_vertical_align\":\"middle\",\"image_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"image_gap\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"name_color\":\"#595959\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"name_typography_font_weight\":\"normal\",\"bio_color\":\"#9D9D9D\",\"bio_typography_typography\":\"custom\",\"bio_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"bio_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bio_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5ad0a0b\"}],\"scroll_y\":-80,\"__dynamic__\":{\"author_avatar\":\"[elementor-tag id=\\\"088601c\\\" name=\\\"author-profile-picture\\\" settings=\\\"%7B%7D\\\"]\",\"author_name\":\"[elementor-tag id=\\\"b40677c\\\" name=\\\"author-name\\\" settings=\\\"%7B%7D\\\"]\",\"author_bio\":\"[elementor-tag id=\\\"15f0fe2\\\" name=\\\"post-date\\\" settings=\\\"%7B%22format%22%3A%22human%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"author-box\"},{\"id\":\"1486ac3\",\"elType\":\"widget\",\"settings\":{\"text\":\"\",\"align\":\"left\",\"selected_icon\":{\"value\":\"fas fa-arrow-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_text_color\":\"#6A6A6A\",\"background_color\":\"#F5F9FC\",\"hover_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"30\",\"bottom\":\"12\",\"left\":\"20\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-0.71\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"58ac45a\"}],\"scroll_y\":-80,\"__globals__\":{\"button_background_hover_color\":\"globals\\/colors?id=primary\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"a85af75\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3103", "449", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3104", "450", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("3105", "450", "_elementor_page_settings", "a:4:{s:14:\"listing_source\";s:5:\"terms\";s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:323;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3106", "450", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3107", "450", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("3108", "450", "_rankmath__data", "[{\"id\":\"1f02420\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2f48ce0\"}]},\"elements\":[{\"id\":\"7c6cbb7\",\"elType\":\"widget\",\"settings\":{\"dynamic_image_source\":\"category-pic\",\"dynamic_image_size\":\"custom\",\"dynamic_image_custom_dimension\":{\"width\":\"22\",\"height\":\"22\"},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8bf7dcc\"}],\"scroll_y\":-80,\"linked_image\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-image\"},{\"id\":\"ee58cd3\",\"elType\":\"widget\",\"settings\":{\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\\u0627\\u062f\\u0627\\u0645\\u0647 \\u0645\\u0637\\u0644\\u0628\",\"query_args\":\"_post_id=%current_id%\",\"jedv_conditions\":[{\"_id\":\"546f02c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"link_label\":\"[elementor-tag id=\\\"11720d7\\\" name=\\\"jet-term-field\\\" settings=\\\"%7B%22taxonomy%22%3A%22category%22%2C%22term_field%22%3A%22name%22%7D\\\"]\"},\"link_typography_typography\":\"custom\",\"link_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"link_color\":\"#595959\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.4\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3110", "450", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3119", "445", "_elementor_conditions", "a:1:{i:0;s:28:\"include/archive/post_archive\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3120", "452", "_wp_attached_file", "2023/07/monitor-recorder.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3121", "452", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1317;s:5:\"width\";d:20;s:6:\"height\";d:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("3123", "453", "_wp_attached_file", "2023/07/ranking.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3124", "453", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1548;s:5:\"width\";d:20;s:6:\"height\";d:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("3126", "454", "_wp_attached_file", "2023/07/box.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3127", "454", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:969;s:5:\"width\";d:20;s:6:\"height\";d:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("3129", "455", "_wp_attached_file", "2023/07/blur.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3130", "455", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:904;s:5:\"width\";d:20;s:6:\"height\";d:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("3132", "456", "_wp_attached_file", "2023/07/smileys.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3133", "456", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2115;s:5:\"width\";d:20;s:6:\"height\";d:20;}");
INSERT INTO `wp_sa_postmeta` VALUES("3135", "457", "_wp_attached_file", "2023/07/book-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3136", "457", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1142;s:5:\"width\";d:20;s:6:\"height\";d:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("3147", "459", "_edit_lock", "1688628625:2");
INSERT INTO `wp_sa_postmeta` VALUES("3148", "460", "_wp_attached_file", "2023/07/victoria-secret.mp4");
INSERT INTO `wp_sa_postmeta` VALUES("3149", "460", "_wp_attachment_metadata", "a:10:{s:8:\"filesize\";i:2373787;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:18;s:16:\"length_formatted\";s:4:\"0:18\";s:5:\"width\";i:1280;s:6:\"height\";i:720;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:-2082844800;}");
INSERT INTO `wp_sa_postmeta` VALUES("3150", "461", "_wp_attached_file", "2023/07/perfium-3.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("3151", "461", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:810;s:6:\"height\";i:395;s:4:\"file\";s:21:\"2023/07/perfium-3.jpg\";s:8:\"filesize\";i:112051;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"perfium-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26374;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"perfium-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4815;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"perfium-3-600x293.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:293;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47256;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"perfium-3-300x146.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15785;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"perfium-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8601;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"perfium-3-768x375.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:375;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71172;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3154", "459", "_thumbnail_id", "461");
INSERT INTO `wp_sa_postmeta` VALUES("3155", "459", "enclosure", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\n2373787\nvideo/mp4\n");
INSERT INTO `wp_sa_postmeta` VALUES("3156", "459", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("3157", "459", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3164", "459", "_wp_old_slug", "victoria-secret-perfiume");
INSERT INTO `wp_sa_postmeta` VALUES("3185", "464", "_edit_lock", "1688628630:2");
INSERT INTO `wp_sa_postmeta` VALUES("3186", "465", "_wp_attached_file", "2023/07/Android-update-installing-840w-472h.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("3187", "465", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:822;s:6:\"height\";i:522;s:4:\"file\";s:47:\"2023/07/Android-update-installing-840w-472h.jpg\";s:8:\"filesize\";i:51151;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"Android-update-installing-840w-472h-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16002;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"Android-update-installing-840w-472h-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3310;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"Android-update-installing-840w-472h-600x381.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:381;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37879;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"Android-update-installing-840w-472h-300x191.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:191;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12912;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"Android-update-installing-840w-472h-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5758;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"Android-update-installing-840w-472h-768x488.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:488;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54741;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3188", "466", "_wp_attached_file", "2023/07/blog-new-6.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("3189", "466", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:810;s:6:\"height\";i:395;s:4:\"file\";s:22:\"2023/07/blog-new-6.jpg\";s:8:\"filesize\";i:47106;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"blog-new-6-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17706;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"blog-new-6-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3635;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"blog-new-6-600x293.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:293;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36917;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"blog-new-6-300x146.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13357;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"blog-new-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6441;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"blog-new-6-768x375.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:375;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52773;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3190", "467", "_wp_attached_file", "2023/07/dynamic-island.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("3191", "467", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:822;s:6:\"height\";i:522;s:4:\"file\";s:26:\"2023/07/dynamic-island.jpg\";s:8:\"filesize\";i:27910;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"dynamic-island-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18357;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"dynamic-island-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3857;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"dynamic-island-600x381.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:381;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27029;}s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"dynamic-island-300x191.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:191;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10075;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"dynamic-island-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6732;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"dynamic-island-768x488.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:488;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37182;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3194", "464", "_thumbnail_id", "466");
INSERT INTO `wp_sa_postmeta` VALUES("3195", "464", "enclosure", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\n2373787\nvideo/mp4\n");
INSERT INTO `wp_sa_postmeta` VALUES("3196", "469", "_edit_lock", "1688628638:2");
INSERT INTO `wp_sa_postmeta` VALUES("3199", "469", "_thumbnail_id", "465");
INSERT INTO `wp_sa_postmeta` VALUES("3200", "471", "_edit_lock", "1688628640:2");
INSERT INTO `wp_sa_postmeta` VALUES("3203", "471", "_thumbnail_id", "467");
INSERT INTO `wp_sa_postmeta` VALUES("3204", "471", "enclosure", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\n2373787\nvideo/mp4\n");
INSERT INTO `wp_sa_postmeta` VALUES("3207", "469", "enclosure", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\n2373787\nvideo/mp4\n");
INSERT INTO `wp_sa_postmeta` VALUES("3208", "439", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("3209", "439", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3211", "450", "_edit_lock", "1688465848:2");
INSERT INTO `wp_sa_postmeta` VALUES("3218", "450", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3226", "450", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3227", "450", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("3239", "330", "_edit_lock", "1689053635:1");
INSERT INTO `wp_sa_postmeta` VALUES("3254", "330", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3261", "330", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3262", "330", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3263", "471", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("3264", "471", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3267", "471", "_wp_old_slug", "%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d8%a7%d8%b3%d9%be%db%8c%da%a9%d8%b1-%d8%a8%d9%84%d9%88%d8%aa%d9%88%d8%ab%db%8c-%d8%aa%d8%b1%d8%a7%d9%86%db%8c%d9%88-%db%b2b3%d8%9b-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%85");
INSERT INTO `wp_sa_postmeta` VALUES("3268", "469", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("3269", "469", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3272", "469", "_wp_old_slug", "%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%da%af%d9%88%d8%b4%db%8c-%da%af%d9%84%da%a9%d8%b3%db%8c-a32-%d8%b3%d8%a7%d9%85%d8%b3%d9%88%d9%86%da%af-%d9%85%d8%af%d9%84-4g-%d9%88-5g");
INSERT INTO `wp_sa_postmeta` VALUES("3273", "464", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("3274", "464", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3277", "464", "_wp_old_slug", "%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d9%84%d9%be%d8%aa%d8%a7%d9%be-%da%af%db%8c%d9%85%db%8c%d9%86%da%af-hp-omen-16-2021-%d9%85%d8%af%d9%84-amd");
INSERT INTO `wp_sa_postmeta` VALUES("3280", "459", "_wp_old_slug", "%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d8%a7%d8%af%d9%88%d9%be%d8%b1%d9%81%db%8c%d9%88%d9%85-%d9%88%db%8c%da%a9%d8%aa%d9%88%d8%b1%db%8c%d8%a7-%d8%b3%da%a9%d8%b1%d8%aa");
INSERT INTO `wp_sa_postmeta` VALUES("3285", "471", "reading-time", "12");
INSERT INTO `wp_sa_postmeta` VALUES("3288", "469", "reading-time", "7");
INSERT INTO `wp_sa_postmeta` VALUES("3293", "464", "reading-time", "12");
INSERT INTO `wp_sa_postmeta` VALUES("3296", "459", "reading-time", "8");
INSERT INTO `wp_sa_postmeta` VALUES("3299", "387", "reading-time", "10");
INSERT INTO `wp_sa_postmeta` VALUES("3304", "377", "reading-time", "12");
INSERT INTO `wp_sa_postmeta` VALUES("3309", "375", "reading-time", "7");
INSERT INTO `wp_sa_postmeta` VALUES("3312", "373", "reading-time", "5");
INSERT INTO `wp_sa_postmeta` VALUES("3315", "371", "reading-time", "12");
INSERT INTO `wp_sa_postmeta` VALUES("3318", "358", "reading-time", "11");
INSERT INTO `wp_sa_postmeta` VALUES("3321", "385", "reading-time", "9");
INSERT INTO `wp_sa_postmeta` VALUES("3324", "383", "reading-time", "7");
INSERT INTO `wp_sa_postmeta` VALUES("3329", "381", "reading-time", "15");
INSERT INTO `wp_sa_postmeta` VALUES("3332", "379", "reading-time", "13");
INSERT INTO `wp_sa_postmeta` VALUES("3382", "448", "_edit_lock", "1688466736:2");
INSERT INTO `wp_sa_postmeta` VALUES("3393", "441", "_edit_lock", "1704691793:1");
INSERT INTO `wp_sa_postmeta` VALUES("3394", "486", "_wp_attached_file", "2023/07/tick-shop.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3395", "486", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:499;s:5:\"width\";d:24;s:6:\"height\";d:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("3396", "486", "_elementor_source_image_hash", "29adda20b9f82a7cd81747533fe6665ab6ddeb7d");
INSERT INTO `wp_sa_postmeta` VALUES("3397", "487", "_wp_attached_file", "2023/07/svgeاتتاxport-10-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3398", "487", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2158;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("3399", "487", "_elementor_source_image_hash", "d1e13a573c410a665dff76c806d1687e7b9f7d8e");
INSERT INTO `wp_sa_postmeta` VALUES("3400", "488", "_wp_attached_file", "2023/07/shield-tick.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3401", "488", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:661;s:5:\"width\";d:24;s:6:\"height\";d:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("3402", "488", "_elementor_source_image_hash", "52f356cb4949020c35299716ffad9d1ceb9c74e3");
INSERT INTO `wp_sa_postmeta` VALUES("3403", "489", "_wp_attached_file", "2023/07/box-tick.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3404", "489", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1608;s:5:\"width\";d:24;s:6:\"height\";d:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("3405", "489", "_elementor_source_image_hash", "f26134c371ff8882ccaa87935c42f670714b8e94");
INSERT INTO `wp_sa_postmeta` VALUES("3406", "490", "_wp_attached_file", "2023/07/box-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3407", "490", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:947;s:5:\"width\";d:24;s:6:\"height\";d:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("3408", "490", "_elementor_source_image_hash", "bfab20d11f16ad66a42ca905cfbe4ac1babc2620");
INSERT INTO `wp_sa_postmeta` VALUES("3409", "491", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3410", "491", "_elementor_template_type", "product");
INSERT INTO `wp_sa_postmeta` VALUES("3411", "491", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3412", "491", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3417", "491", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3418", "491", "_elementor_page_settings", "a:3:{s:21:\"background_background\";s:7:\"classic\";s:11:\"__globals__\";a:1:{s:16:\"background_color\";s:25:\"globals/colors?id=e310cb1\";}s:10:\"custom_css\";s:289:\".woocommerce-message{\n    max-width: 1300px;\n    margin: 2rem auto 0 auto;\n    border: none;\n    background: #F7F6F7;\n\n\n}\n\n.woocommerce-message a {\n      background: #EEEEEE !important;\n    font-size: 13px !important;\n    font-weight: 400 !important;\n    border-radius: 5px !important;\n}\n\n\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3419", "491", "_rankmath__data", "[{\"id\":\"9798260\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0.5\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e157787\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"8cd3cb3\",\"elType\":\"widget\",\"settings\":{\"text_color\":\"#595959\",\"link_color\":\"#9D9D9D\",\"text_typography_typography\":\"custom\",\"text_typography_font_family\":\"iranyekanwebregular\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_typography_font_weight\":\"normal\",\"alignment\":\"right\",\"jedv_conditions\":[{\"_id\":\"0bea137\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"woocommerce-breadcrumb\"}],\"isInner\":false},{\"id\":\"c82725e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4c71ce9\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"d2bc454\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0.625\",\"bottom\":\"2\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6c90a90\"}],\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\"},\"flex_direction_tablet\":\"row\",\"flex_justify_content_tablet\":\"center\",\"flex_align_items_tablet\":\"flex-start\",\"flex_wrap_tablet\":\"wrap\"},\"elements\":[{\"id\":\"0c842a3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":32},\"jedv_conditions\":[{\"_id\":\"c54f859\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":39,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_align_self_tablet\":\"flex-start\"},\"elements\":[{\"id\":\"98cd59d\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"94f7a1b\"}],\"custom_css\":\"selector .onsale{\\n    background: var(--e-global-color-primary) !important;\\n    font-family: \'iranyekanwebmedium_FaNum\';\\n    font-weight: 400;\\n    padding: 9px;\\n}\\n\\nselector .flex-control-nav{\\n    gap: 1rem !important;\\n    display: flex;\\n}\\nselector .flex-control-nav li {\\n    border: solid 1px #F1F0F1 !important;\\n    padding: 5px !important;\\n    border-radius: 15px;\\n}\"},\"elements\":[],\"widgetType\":\"woocommerce-product-images\"}],\"isInner\":true},{\"id\":\"4eb4ac1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":40},\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1b82c46\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":58,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[{\"id\":\"9718ac0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"0d88205\"}],\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"eb5b17c\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"82665cb\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"look\":\"line_text\",\"text\":\"Beats Studio 3 Headphone\",\"color\":\"#C9C9C9\",\"text_color\":\"#979797\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"text_align\":\"right\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"2928e9e\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"\"},\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"2de4817\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22latin-name%22%7D\\\"]\"},\"gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"640928e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[],\"column\":\"1\",\"row\":\"1\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d098c47\"}]},\"elements\":[{\"id\":\"e0b45e0\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":\"694\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Vector.svg\"},\"library\":\"svg\"},\"title_text\":\"4.7\",\"description_text\":\"\",\"position\":\"right\",\"title_size\":\"div\",\"icon_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"37f0156\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"__dynamic__\":{\"title_text\":\"[elementor-tag id=\\\"684a3f3\\\" name=\\\"woocommerce-product-rating-tag\\\" settings=\\\"%7B%7D\\\"]\"},\"position_mobile\":\"right\",\"_element_width_mobile\":\"auto\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"c1d6d68\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"title_color\":\"#A3A3A3\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"6b2b972\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d4ab69e\\\" name=\\\"comments-number\\\" settings=\\\"%7B%22format_no_comments%22%3A%22(%D8%A8%D8%AF%D9%88%D9%86%20%D8%AF%DB%8C%D8%AF%DA%AF%D8%A7%D9%87)%22%2C%22format_one_comments%22%3A%22(%DB%8C%DA%A9%20%D8%AF%DB%8C%D8%AF%DA%AF%D8%A7%D9%87)%22%2C%22format_many_comments%22%3A%22(%7Bnumber%7D%20%D8%AF%DB%8C%D8%AF%DA%AF%D8%A7%D9%87)%22%2C%22link_to%22%3A%22comments_link%22%7D\\\"]\"},\"_element_width_mobile\":\"auto\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3b41383\",\"elType\":\"widget\",\"settings\":{\"dynamic_link_source\":\"add_to_store\",\"dynamic_link_store\":\"favorites\",\"added_to_store_url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wishlist\",\"added_to_store_icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\",\"query_args\":\"_post_id=%current_id%\",\"selected_link_icon\":{\"value\":\"far fa-heart\",\"library\":\"fa-regular\"},\"link_icon_color\":\"#151515\",\"jedv_conditions\":[{\"_id\":\"81f785e\"}],\"__globals__\":{\"link_icon_color\":\"globals\\/colors?id=text\",\"link_bg_in_store\":\"\",\"link_icon_color_in_store\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"},{\"id\":\"eda2882\",\"elType\":\"widget\",\"settings\":{\"dynamic_link_source\":\"add_to_store\",\"dynamic_link_store\":\"compare\",\"added_to_store_icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\",\"query_args\":\"_post_id=%current_id%\",\"selected_link_icon\":{\"value\":\"fas fa-random\",\"library\":\"fa-solid\"},\"link_icon_color\":\"#151515\",\"jedv_conditions\":[{\"_id\":\"81f785e\"}],\"__globals__\":{\"link_icon_color\":\"globals\\/colors?id=text\",\"link_bg_in_store\":\"\",\"link_icon_color_in_store\":\"globals\\/colors?id=text\"},\"added_to_store_url\":\"https:\\/\\/halochin.ir\\/multivendor\\/compar\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"}],\"isInner\":true},{\"id\":\"1aa0a59\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u06cc\\u0698\\u06af\\u06cc \\u0647\\u0627\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"44181dc\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"15246bc\",\"elType\":\"widget\",\"settings\":{\"text_typography_typography\":\"custom\",\"text_typography_font_family\":\"iranyekanwebregular\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a143aa5\"}],\"custom_css\":\"selector ul {\\n    padding: 16px 15px 0 0;\\n}\\n\\nselector ul li {\\n    margin-bottom: 10px;\\n}\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"woocommerce-product-short-description\"},{\"id\":\"9c5f212\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0645\\u06a9\\u0627\\u0646 \\u0628\\u0631\\u06af\\u0634\\u062a \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627 \\u062f\\u0644\\u06cc\\u0644 \\\"\\u0627\\u0646\\u0635\\u0631\\u0627\\u0641 \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f\\\" \\u062a\\u0646\\u0647\\u0627 \\u062f\\u0631 \\u0635\\u0648\\u0631\\u062a\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0642\\u0628\\u0648\\u0644 \\u0627\\u0633\\u062a \\u06a9\\u0647 \\u067e\\u0644\\u0645\\u0628 \\u06a9\\u0627\\u0644\\u0627 \\u0628\\u0627\\u0632 \\u0646\\u0634\\u062f\\u0647 \\u0628\\u0627\\u0634\\u062f.\",\"selected_icon\":{\"value\":{\"id\":\"695\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/info-circle.svg\"},\"library\":\"svg\"},\"_id\":\"2ba0c38\"}],\"icon_color\":\"#EF3A4F00\",\"text_color\":\"#5D5D5D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"a35eb2d\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"icon_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"icon_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"custom_css\":\"selector li.elementor-icon-list-item {\\r\\n    display: flex;\\r\\n    gap: 5px;\\r\\n}\"},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"2e67a14\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0.6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.7\",\"right\":\"2\",\"bottom\":\"0.7\",\"left\":\"2\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b301afe\"}],\"__globals__\":{\"border_color\":\"\"},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_justify_content\":\"flex-start\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"border_color\":\"#E1E1E1\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"131cf54\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5117399\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"140aba5\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06a9\\u0627\\u0644\\u0627\",\"selected_icon\":{\"value\":{\"id\":\"696\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/location-tick.svg\"},\"library\":\"svg\"},\"_id\":\"82f3723\"}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-7\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"21832b1\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"517560a\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-angle-left\",\"library\":\"fa-solid\"},\"size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"-11\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"1e9fa1d\"}],\"scroll_y\":-80,\"__globals__\":{\"primary_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"bf345df\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_format\":\"<span><i class=\\\"fas fa-circle\\\"><\\/i> %term%<\\/span>\",\"items_direction\":\"column\",\"general_typography_typography\":\"custom\",\"general_typography_font_family\":\"iranyekanwebregular_FaNum\",\"general_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"item_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"3f9d6be\"}],\"scroll_y\":-80,\"custom_css\":\"selector i.fas.fa-circle {\\r\\n    font-size: 7px;\\r\\n    color: var( --e-global-color-primary );\\r\\n    padding-left: 5px;\\r\\n}\\r\\n\",\"__globals__\":{\"item_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"dynamic_field_source\":\"terms-sending-product\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-repeater\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"c4e52a9\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":28,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"9ebae74\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"87cefdf\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FAFAFA\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.625\",\"bottom\":\"1.5\",\"left\":\"1.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"3a3cbbb\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_align_items_tablet\":\"stretch\",\"_flex_align_self_tablet\":\"center\"},\"elements\":[{\"id\":\"902305a\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u062a\\u0645 #1 \\u062f\\u0631 \\u0644\\u06cc\\u0633\\u062a\",\"selected_icon\":{\"value\":{\"id\":\"697\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/activity-1.svg\"},\"library\":\"svg\"},\"_id\":\"bc360b9\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"638a396\\\" name=\\\"author-name\\\" settings=\\\"%7B%7D\\\"]\"}}],\"icon_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"text_shadow_text_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"color\":\"#000000\"},\"jedv_conditions\":[{\"_id\":\"fa5f716\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"c1cceba\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#E7E7E7\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8afa113\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"98a1839\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u06af\\u0627\\u0631\\u0627\\u0646\\u062a\\u06cc 18 \\u0645\\u0627\\u0647\\u0647 \\u067e\\u0627\\u0631\\u0633\\u06cc\\u0627\\u0646 \\u062a\\u06a9\",\"selected_icon\":{\"value\":{\"id\":\"698\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/svge\\u0627\\u062a\\u062a\\u0627xport-10.svg\"},\"library\":\"svg\"},\"_id\":\"bc360b9\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"e0e1710\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22product-sender%22%7D\\\"]\"}}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"text_shadow_text_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"color\":\"#000000\"},\"jedv_conditions\":[{\"_id\":\"fa5f716\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"4594023\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#E7E7E7\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8afa113\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"953ae49\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0627\\u0646\\u0628\\u0627\\u0631\",\"selected_icon\":{\"value\":{\"id\":\"699\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/chart-success.svg\"},\"library\":\"svg\"},\"_id\":\"bc360b9\",\"__dynamic__\":[]}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"text_shadow_text_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"color\":\"#000000\"},\"jedv_conditions\":[{\"_id\":\"fa5f716\",\"jedv_condition\":\"is-in-stock\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"jedv_enabled\":\"yes\"},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"0611040\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0645\\u062d\\u0635\\u0648\\u0644 \\u0641\\u0639\\u0644\\u0627 \\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f \\u0627\\u0633\\u062a\",\"selected_icon\":{\"value\":{\"id\":\"699\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/chart-success.svg\"},\"library\":\"svg\"},\"_id\":\"bc360b9\",\"__dynamic__\":[]}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"text_shadow_text_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"color\":\"#000000\"},\"jedv_conditions\":[{\"_id\":\"fa5f716\",\"jedv_condition\":\"is-in-stock\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\"},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"1b56699\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#E7E7E7\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8afa113\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"872cf07\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"86f45be\",\"jedv_condition\":\"is-in-stock\"}],\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content\":\"flex-start\",\"jedv_enabled\":\"yes\",\"margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"c697d43\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":60,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"flex_justify_content\":\"center\",\"width_mobile\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]}},\"elements\":[{\"id\":\"141c00a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"ec3e227\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"field_typography_font_family\":\"iranyekanwebregular_FaNum\",\"jet_trim_cb_length\":\"20\",\"__globals__\":{\"field_color\":\"globals\\/colors?id=text\"},\"jet_trim_cb_type\":\"chars\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"f288fe1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}]},\"elements\":[{\"id\":\"219ff07\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=secondary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"jet_trim_cb_length\":\"20\",\"jet_trim_cb_type\":\"chars\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"f681a04\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"c277d7b\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"812d0aa\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"27a6526\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"6744a4b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}},{\"_id\":\"3c5f692\",\"jedv_condition\":\"is-in-stock\"},{\"_id\":\"d16b4cd\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"d0ae372\",\"jedv_condition\":\"not-exists\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"jedv_type\":\"hide\"},\"elements\":[{\"id\":\"38e7429\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"e164e56\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"eb418af\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"6d0580e\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-text-switcher%22%7D\\\"]\"}},{\"_id\":\"98caaca\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"367da78\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=secondary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"jedv_relation\":\"OR\",\"jet_trim_cb_length\":\"20\",\"jet_trim_cb_type\":\"chars\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"96b0a85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"1184328\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"6c87dd7\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}},{\"_id\":\"7808009\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c0d835e\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}},{\"_id\":\"e8dbc64\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"jedv_relation\":\"OR\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"8ac6f44\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true}},\"elements\":[{\"id\":\"162b3a1\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebregular\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=secondary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \'iranyekanwebmedium_FaNum\';\\r\\n    font-weight: 500;\\r\\n    font-size: 13px;\\r\\n}\",\"content_alignment\":\"right\",\"jet_trim_cb_length\":\"20\",\"jet_trim_cb_type\":\"chars\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"3e7f8d4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"74bd6ab\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true}},\"elements\":[{\"id\":\"e50b8b5\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-text-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"right\",\"field_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"jet_trim_cb_length\":\"20\",\"__globals__\":{\"field_color\":\"globals\\/colors?id=secondary\"},\"jet_trim_cb_type\":\"chars\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"25dc196\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"0f24745\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom_text_switcher%22%7D\\\"]\"}},{\"_id\":\"3f09ee7\",\"jedv_condition\":\"is-in-stock\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"1c511db\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"flex_justify_content\":\"flex-end\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"feb1d76\"}],\"width_mobile\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width\":{\"unit\":\"%\",\"size\":40,\"sizes\":[]}},\"elements\":[{\"id\":\"2200a03\",\"elType\":\"widget\",\"settings\":{\"archive_badge_text\":\"%percentage_sale%\",\"archive_badge_typography_typography\":\"custom\",\"archive_badge_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"archive_badge_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"archive_badge_border_radius\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"6\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":true},\"archive_badge_content_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"archive_badge_content_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"archive_badge_alignment\":\"left\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d9d15cf\"}],\"scroll_y\":-80,\"__globals__\":{\"archive_badge_color\":\"\",\"archive_badge_background\":\"globals\\/colors?id=primary\"},\"_offset_orientation_h\":\"end\",\"_offset_x\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":18.300000000000000710542735760100185871124267578125,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"archive_badge_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"jet-woo-builder-archive-sale-badge\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"b48c6f7\",\"elType\":\"widget\",\"settings\":{\"layout\":\"auto\",\"alignment\":\"justify\",\"button_typography_typography\":\"custom\",\"button_typography_font_family\":\"iranyekanwebextrabold\",\"button_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typography_font_weight\":\"400\",\"button_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"43f6974\"}],\"custom_css\":\"selector .qty {\\n    border-color: var(--e-global-color-ed73ee8) !important;\\n    border-radius: 5px !important;\\n}\\n\\nselector select {\\n    border: none !important;\\n    border-radius: 6px;\\n    font-size: 13px !important;\\n}\\nselector .woocommerce-variation-price ins {\\n    font-weight: 500 !important;\\n    font-size: 18px !important;\\n    color: #333333 !important;\\n    text-decoration: none !important;\\n}\\nselector .woocommerce-variation-price ins bdi, .woocommerce-variation-price del bdi {\\n    align-items: center;\\n    gap: 3px;\\n}\\nselector .woocommerce-variation-price ins span.woocommerce-Price-currencySymbol, .woocommerce-variation-price del span.woocommerce-Price-currencySymbol {\\n    font-size: 11px;\\n}\\nselector .woocommerce-variation-price del {\\n    font-weight: 400 !important;\\n    font-size: 16px;\\n    color: #333333;\\n}\\nselector bdi {\\n    display: flex;\\n    flex-direction: row-reverse;\\n}\\n\",\"__globals__\":{\"button_bg_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"woocommerce-product-add-to-cart\"}],\"isInner\":true},{\"id\":\"425f755\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u0627 \\u0642\\u06cc\\u0645\\u062a \\u0645\\u0646\\u0627\\u0633\\u0628 \\u062a\\u0631\\u06cc \\u0633\\u0631\\u0627\\u063a \\u062f\\u0627\\u0631\\u06cc\\u062f\\u061f\",\"selected_icon\":{\"value\":{\"id\":\"700\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/notification-bing.svg\"},\"library\":\"svg\"},\"_id\":\"2ba0c38\",\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"feb9f87\\\" name=\\\"popup\\\" settings=\\\"%7B%22popup%22%3A%221127%22%7D\\\"]\"}}],\"icon_align\":\"left\",\"icon_color\":\"#EF3A4F00\",\"text_color\":\"#5D5D5D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"a35eb2d\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"b9643a4\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"32019f5\"}]},\"elements\":[{\"id\":\"0ea59b1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-around\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1.7\",\"right\":\"2\",\"bottom\":\"1.7\",\"left\":\"2\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"34adab1\"}],\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\"}},\"elements\":[{\"id\":\"fa2f171\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":\"210\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/svgviewer-output-4.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u06f1\\u06f0 \\u0631\\u0648\\u0632 \\u0636\\u0645\\u0627\\u0646\\u062a \\u0628\\u0627\\u0632\\u06af\\u0634\\u062a\",\"description_text\":\"\\u062d\\u062a\\u06cc \\u0633\\u0644\\u06cc\\u0642\\u0647 \\u0627\\u06cc!\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"d58c561\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":\"211\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/footer-ico2-1.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u0627\\u0645\\u06a9\\u0627\\u0646 \\u062e\\u0631\\u06cc\\u062f \\u0627\\u0642\\u0633\\u0627\\u0637\\u06cc\",\"description_text\":\"\\u0628\\u062f\\u0648\\u0646 \\u0686\\u06a9 \\u0648 \\u0636\\u0627\\u0645\\u0646\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"323e16b\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":\"212\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/footer-ico3-1.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0636\\u0645\\u06cc\\u0646 \\u0627\\u0635\\u0627\\u0644\\u062a \\u06a9\\u0627\\u0644\\u0627\",\"description_text\":\"\\u0648\\u0627\\u0642\\u0639\\u06cc!\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"3e0206c\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":\"213\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/footer-ico4-1.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u062a\\u0627 \\u06f1\\u06f2 \\u0634\\u0628\",\"description_text\":\"\\u062d\\u062a\\u06cc \\u062c\\u0645\\u0639\\u0647 \\u0647\\u0627\",\"position\":\"right\",\"title_size\":\"p\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"text_align\":\"right\",\"content_vertical_alignment\":\"middle\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebbold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_color\":\"#AAAAAA\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"iranyekanwebregular_FaNum\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"359f042\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"icon_space_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"text_align_mobile\":\"center\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"d8278bf\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d78393f\"}]},\"elements\":[{\"id\":\"7945226\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b6532f4\"}],\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"__globals__\":{\"border_color\":\"globals\\/colors?id=ed73ee8\"}},\"elements\":[{\"id\":\"aa52629\",\"elType\":\"widget\",\"settings\":{\"tab_bg_color\":\"#02010100\",\"tabs_border_color\":\"#02010100\",\"active_tabs_border_color\":\"#E0E0E0\",\"tab_typography_typography\":\"custom\",\"tab_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"content_typography_typography\":\"custom\",\"content_typography_font_family\":\"iranyekanwebregular_FaNum\",\"content_heading_typography_typography\":\"custom\",\"content_heading_typography_font_family\":\"iranyekanwebmedium\",\"jedv_conditions\":[{\"_id\":\"ef0b1fb\"}],\"custom_css\":\"\\/*\\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u062e\\u0637 \\u0632\\u06cc\\u0631 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0641\\u0639\\u0627\\u0644 \\u0632\\u0628\\u0627\\u0646\\u0647*\\/\\nselector .woocommerce-tabs ul.wc-tabs li.active{\\n    border-bottom: 3px solid var(--e-global-color-66f81c8 ) !important;\\n}\\n\\n\\/*\\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u0628\\u062e\\u0634 \\u06a9\\u0627\\u0645\\u0646\\u062a*\\/\\n@media (min-width: 768px) {\\nselector div#reviews {\\n    display: flex;\\n    flex-direction: row;\\n    justify-content: space-between;\\n    \\n}\\n}\\nselector a:active, a:hover {\\n    color: #f9d300;\\n}\\nselector a {\\n    \\n    color: #f9c100;\\n}\\nselector textarea#comment {\\n    border: none;\\n    background: #F4F4F4;\\n    border-radius: 15px;\\n    margin-top: 10px;\\n    outline: none;\\n}\\nselector textarea#comment {\\n    \\n    margin-top: 10px;\\n}\\nselector .comment-form-rating {\\n    margin-top: 5px;\\n}\\nselector .woocommerce #reviews #comments ol.commentlist li .comment-text {\\n    border: none;\\n}\\n\\nselector ol.commentlist li {\\n        background: #F4F4F4 !important;\\n            padding: 1rem;\\n    border-radius: 15px;\\n}\\nselector ol.commentlist {\\n\\n    padding: 20px 20px 0px 20px;\\n    border-radius: 15px;\\n}\\n.woocommerce #reviews #comments ol.commentlist li img.avatar {\\n    background: #ebe9eb;\\n    border: 0 !important;\\n        top: 50%;\\n    right: 2%;\\n    transform: translateY(-50%);\\n}\\n@media (min-width: 768px) {\\nselector div#comments {\\n    width: 45%;\\n}\\n}\\nselector ::before {\\n    color: #f9c100;\\n}\\nselector .woocommerce .star-rating::before {\\n    color: #f9c100;\\n}\\n@media (min-width: 768px) {\\nselector div#review_form_wrapper {\\n    width: 45% !important;\\n}\\n}\\nselector .woocommerce #reviews #comments ol.commentlist li .comment-text {\\n    padding: 0 10em 0;\\n\\n}\\nselector .comment-text {\\n    border: none !important;\\n}\\nselector textarea#comment {\\n    height: 150px !important;\\n}\\nselector input#submit {\\n    padding: 10px 30px 10px 30px !important;\\n    border-radius: 10px !important;\\n    background: var(--e-global-color-primary) !important;\\n    color: #fff !important;\\n}\\n.woocommerce #review_form #respond p {\\n    margin: 0 0 0px;\\n}\\n.woocommerce #review_form #respond p {\\n    margin: 10px 0px 0px 0px;\\n}\\ninput#author {\\n    border: none;\\n    background: #F4F4F4;\\n    border-radius: 50px;\\n}\\ninput#email {\\n    border: none;\\n    background: #F4F4F4;\\n    border-radius: 50px;\\n}\\n.woocommerce #review_form #respond .form-submit input {\\n    right: auto;\\n    margin-top: 10px;\\n}\\nselector label {\\n    display: inline-block;\\n    line-height: 2;\\n}\\n\\/* \\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u0628\\u062e\\u0634 \\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a \\u062a\\u06a9\\u0645\\u06cc\\u0644\\u06cc*\\/\\nselector table td, table th {\\n    border: none;\\n}\\nselector th.woocommerce-product-attributes-item__label {\\n    background: transparent !important;\\n}\\nselector .woocommerce table.shop_attributes td {\\n    border-bottom: none;\\n}\\nselector td.woocommerce-product-attributes-item__value {\\n    background: transparent !important;\\n}\\nselector a  {\\n    color:#8D8D8D;\\n    font-style: normal;\\n}\\nselector a:active, a:hover {\\n    color: #8D8D8D;\\n}\\nselector  table.shop_attributes th {\\n    border-bottom: none;\\n}\\nselector  table.shop_attributes {\\n    border: 0;\\n    border-top: none;\\n}\\nselector tr {\\n    text-align: center;\\n}\\nselector div#tab-additional_information {\\n    border: 1px solid #ebebeb;\\n    border-radius: 15px 0px 15px 15px;\\n}\\nselector div#tab-reviews {\\n    border: 1px solid #ebebeb;\\n    border-radius: 15px 0px 15px 15px;\\n}\\n\\nselector .woocommerce-Tabs-panel--description p {\\n    text-align: justify;\\n}\\n\\n\\nselector .more_seller_product_tab , .seller_tab , .shipping_tab{\\n    display: none !important;\\n}\",\"content_heading_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"panel_border_width\":{\"unit\":\"px\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"panel_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-11\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\",\"heading_color\":\"globals\\/colors?id=secondary\",\"tab_text_color\":\"globals\\/colors?id=secondary\"},\"content_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"content_typography_line_height\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0.3\",\"bottom\":\"1\",\"left\":\"0.3\",\"isLinked\":false},\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":20,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.05)\"},\"tab_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"content_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"content_heading_typography_font_weight\":\"600\"},\"elements\":[],\"widgetType\":\"woocommerce-product-data-tabs\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"9a9cded\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"3526e63\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"71c1589\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0645\\u0631\\u062a\\u0628\\u0637\",\"selected_icon\":{\"value\":{\"id\":\"805\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/edit.svg\"},\"library\":\"svg\"},\"_id\":\"9e14d60\"}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"12\",\"bottom\":\"10\",\"left\":\"12\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"10d60c5\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"_border_color\":\"globals\\/colors?id=secondary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"631a471\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"807\",\"columns\":\"5\",\"posts_num\":5,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"d73d8b7\",\"posts_not_in\":\"%current_id%\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a339473\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#E3E3E3\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"columns_tablet\":\"3\",\"columns_mobile\":\"2\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0.625\",\"bottom\":\"1\",\"left\":\"0.625\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"custom_query\":\"yes\",\"custom_query_id\":\"6\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3432", "491", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3433", "491", "_edit_lock", "1716209111:165");
INSERT INTO `wp_sa_postmeta` VALUES("3471", "498", "_filter_type", "select");
INSERT INTO `wp_sa_postmeta` VALUES("3472", "498", "_data_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3473", "498", "_is_hierarchical", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3474", "498", "_ih_source_map", "a:1:{i:0;a:3:{s:5:\"label\";s:23:\"برند محصولات\";s:11:\"placeholder\";s:26:\"برند محصولات...\";s:3:\"tax\";s:8:\"pa_brand\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("3475", "498", "_query_builder_query", "");
INSERT INTO `wp_sa_postmeta` VALUES("3476", "498", "_query_builder_value_prop", "ID");
INSERT INTO `wp_sa_postmeta` VALUES("3477", "498", "_query_builder_label_prop", "post_title");
INSERT INTO `wp_sa_postmeta` VALUES("3478", "498", "_source_manual_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3479", "498", "_source_taxonomy", "category");
INSERT INTO `wp_sa_postmeta` VALUES("3480", "498", "_terms_relational_operator", "OR");
INSERT INTO `wp_sa_postmeta` VALUES("3481", "498", "_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3482", "498", "_source_manual_input_range", "");
INSERT INTO `wp_sa_postmeta` VALUES("3483", "498", "_source_callback", "none");
INSERT INTO `wp_sa_postmeta` VALUES("3484", "498", "_source_min", "");
INSERT INTO `wp_sa_postmeta` VALUES("3485", "498", "_source_max", "");
INSERT INTO `wp_sa_postmeta` VALUES("3486", "498", "_source_step", "");
INSERT INTO `wp_sa_postmeta` VALUES("3487", "498", "_values_prefix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3488", "498", "_values_suffix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3489", "498", "_range_inputs_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3490", "498", "_values_decimal_num", "");
INSERT INTO `wp_sa_postmeta` VALUES("3491", "498", "_values_decimal_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3492", "498", "_values_thousand_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3493", "498", "_date_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3494", "498", "_date_format", "mm/dd/yy");
INSERT INTO `wp_sa_postmeta` VALUES("3495", "498", "_date_from_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3496", "498", "_date_to_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3497", "498", "_date_period_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3498", "498", "_date_period_datepicker_button_text", "انتخاب تاریخ");
INSERT INTO `wp_sa_postmeta` VALUES("3499", "498", "_min_max_date_period_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3500", "498", "_min_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3501", "498", "_max_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3502", "498", "_min_max_date_period_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3503", "498", "_date_period_start_end_enabled", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3504", "498", "_date_period_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3505", "498", "_date_period_start_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3506", "498", "_date_period_separator", "");
INSERT INTO `wp_sa_postmeta` VALUES("3507", "498", "_date_period_end_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3508", "498", "_date_period_date_formats_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3509", "498", "_source_post_type", "post");
INSERT INTO `wp_sa_postmeta` VALUES("3510", "498", "_glossary_id", "");
INSERT INTO `wp_sa_postmeta` VALUES("3511", "498", "_glossary_notice", "");
INSERT INTO `wp_sa_postmeta` VALUES("3512", "498", "_add_all_option", "");
INSERT INTO `wp_sa_postmeta` VALUES("3513", "498", "_all_option_label", "همه");
INSERT INTO `wp_sa_postmeta` VALUES("3514", "498", "_ability_deselect_radio", "");
INSERT INTO `wp_sa_postmeta` VALUES("3515", "498", "_rating_options", "5");
INSERT INTO `wp_sa_postmeta` VALUES("3516", "498", "_rating_compare_operand", "");
INSERT INTO `wp_sa_postmeta` VALUES("3517", "498", "_alphabet_behavior", "radio");
INSERT INTO `wp_sa_postmeta` VALUES("3518", "498", "_alphabet_radio_deselect", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3519", "498", "_alphabet_options", "A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z");
INSERT INTO `wp_sa_postmeta` VALUES("3520", "498", "_s_by", "");
INSERT INTO `wp_sa_postmeta` VALUES("3521", "498", "_s_placeholder", "جستجو...");
INSERT INTO `wp_sa_postmeta` VALUES("3522", "498", "_color_image_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3523", "498", "_query_builder_color_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3524", "498", "_query_builder_image_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3525", "498", "_color_image_behavior", "");
INSERT INTO `wp_sa_postmeta` VALUES("3526", "498", "_source_color_image_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3527", "498", "_show_empty_terms", "");
INSERT INTO `wp_sa_postmeta` VALUES("3528", "498", "_only_child", "");
INSERT INTO `wp_sa_postmeta` VALUES("3529", "498", "_group_by_parent", "");
INSERT INTO `wp_sa_postmeta` VALUES("3530", "498", "_source_custom_field", "");
INSERT INTO `wp_sa_postmeta` VALUES("3531", "498", "_source_get_from_field_data", "");
INSERT INTO `wp_sa_postmeta` VALUES("3532", "498", "_custom_field_source_plugin", "");
INSERT INTO `wp_sa_postmeta` VALUES("3533", "498", "_is_custom_checkbox", "");
INSERT INTO `wp_sa_postmeta` VALUES("3534", "498", "_use_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3535", "498", "_data_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3536", "498", "_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3537", "498", "_is_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3538", "498", "_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3539", "498", "_query_compare", "equal");
INSERT INTO `wp_sa_postmeta` VALUES("3540", "498", "_filter_label", "برند محصولات");
INSERT INTO `wp_sa_postmeta` VALUES("3541", "498", "_active_label", "برند محصولات");
INSERT INTO `wp_sa_postmeta` VALUES("3542", "499", "_filter_type", "select");
INSERT INTO `wp_sa_postmeta` VALUES("3543", "499", "_data_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3544", "499", "_is_hierarchical", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3545", "499", "_ih_source_map", "a:1:{i:0;a:3:{s:5:\"label\";s:23:\"دسته محصولات\";s:11:\"placeholder\";s:35:\"دسته بندی محصولات...\";s:3:\"tax\";s:11:\"product_cat\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("3546", "499", "_query_builder_query", "");
INSERT INTO `wp_sa_postmeta` VALUES("3547", "499", "_query_builder_value_prop", "ID");
INSERT INTO `wp_sa_postmeta` VALUES("3548", "499", "_query_builder_label_prop", "post_title");
INSERT INTO `wp_sa_postmeta` VALUES("3549", "499", "_source_manual_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3550", "499", "_source_taxonomy", "category");
INSERT INTO `wp_sa_postmeta` VALUES("3551", "499", "_terms_relational_operator", "OR");
INSERT INTO `wp_sa_postmeta` VALUES("3552", "499", "_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3553", "499", "_source_manual_input_range", "");
INSERT INTO `wp_sa_postmeta` VALUES("3554", "499", "_source_callback", "none");
INSERT INTO `wp_sa_postmeta` VALUES("3555", "499", "_source_min", "");
INSERT INTO `wp_sa_postmeta` VALUES("3556", "499", "_source_max", "");
INSERT INTO `wp_sa_postmeta` VALUES("3557", "499", "_source_step", "");
INSERT INTO `wp_sa_postmeta` VALUES("3558", "499", "_values_prefix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3559", "499", "_values_suffix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3560", "499", "_range_inputs_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3561", "499", "_values_decimal_num", "");
INSERT INTO `wp_sa_postmeta` VALUES("3562", "499", "_values_decimal_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3563", "499", "_values_thousand_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3564", "499", "_date_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3565", "499", "_date_format", "mm/dd/yy");
INSERT INTO `wp_sa_postmeta` VALUES("3566", "499", "_date_from_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3567", "499", "_date_to_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3568", "499", "_date_period_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3569", "499", "_date_period_datepicker_button_text", "انتخاب تاریخ");
INSERT INTO `wp_sa_postmeta` VALUES("3570", "499", "_min_max_date_period_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3571", "499", "_min_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3572", "499", "_max_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3573", "499", "_min_max_date_period_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3574", "499", "_date_period_start_end_enabled", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3575", "499", "_date_period_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3576", "499", "_date_period_start_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3577", "499", "_date_period_separator", "");
INSERT INTO `wp_sa_postmeta` VALUES("3578", "499", "_date_period_end_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3579", "499", "_date_period_date_formats_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3580", "499", "_source_post_type", "post");
INSERT INTO `wp_sa_postmeta` VALUES("3581", "499", "_glossary_id", "");
INSERT INTO `wp_sa_postmeta` VALUES("3582", "499", "_glossary_notice", "");
INSERT INTO `wp_sa_postmeta` VALUES("3583", "499", "_add_all_option", "");
INSERT INTO `wp_sa_postmeta` VALUES("3584", "499", "_all_option_label", "همه");
INSERT INTO `wp_sa_postmeta` VALUES("3585", "499", "_ability_deselect_radio", "");
INSERT INTO `wp_sa_postmeta` VALUES("3586", "499", "_rating_options", "5");
INSERT INTO `wp_sa_postmeta` VALUES("3587", "499", "_rating_compare_operand", "");
INSERT INTO `wp_sa_postmeta` VALUES("3588", "499", "_alphabet_behavior", "radio");
INSERT INTO `wp_sa_postmeta` VALUES("3589", "499", "_alphabet_radio_deselect", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3590", "499", "_alphabet_options", "A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z");
INSERT INTO `wp_sa_postmeta` VALUES("3591", "499", "_s_by", "");
INSERT INTO `wp_sa_postmeta` VALUES("3592", "499", "_s_placeholder", "جستجو...");
INSERT INTO `wp_sa_postmeta` VALUES("3593", "499", "_color_image_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3594", "499", "_query_builder_color_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3595", "499", "_query_builder_image_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3596", "499", "_color_image_behavior", "");
INSERT INTO `wp_sa_postmeta` VALUES("3597", "499", "_source_color_image_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3598", "499", "_show_empty_terms", "");
INSERT INTO `wp_sa_postmeta` VALUES("3599", "499", "_only_child", "");
INSERT INTO `wp_sa_postmeta` VALUES("3600", "499", "_group_by_parent", "");
INSERT INTO `wp_sa_postmeta` VALUES("3601", "499", "_source_custom_field", "");
INSERT INTO `wp_sa_postmeta` VALUES("3602", "499", "_source_get_from_field_data", "");
INSERT INTO `wp_sa_postmeta` VALUES("3603", "499", "_custom_field_source_plugin", "");
INSERT INTO `wp_sa_postmeta` VALUES("3604", "499", "_is_custom_checkbox", "");
INSERT INTO `wp_sa_postmeta` VALUES("3605", "499", "_use_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3606", "499", "_data_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3607", "499", "_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3608", "499", "_is_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3609", "499", "_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3610", "499", "_query_compare", "equal");
INSERT INTO `wp_sa_postmeta` VALUES("3611", "499", "_filter_label", "دسته بندی محصولات");
INSERT INTO `wp_sa_postmeta` VALUES("3612", "499", "_active_label", "دسته بندی محصولات");
INSERT INTO `wp_sa_postmeta` VALUES("3613", "500", "_filter_type", "search");
INSERT INTO `wp_sa_postmeta` VALUES("3614", "500", "_data_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3615", "500", "_is_hierarchical", "");
INSERT INTO `wp_sa_postmeta` VALUES("3616", "500", "_ih_source_map", "");
INSERT INTO `wp_sa_postmeta` VALUES("3617", "500", "_query_builder_query", "");
INSERT INTO `wp_sa_postmeta` VALUES("3618", "500", "_query_builder_value_prop", "ID");
INSERT INTO `wp_sa_postmeta` VALUES("3619", "500", "_query_builder_label_prop", "post_title");
INSERT INTO `wp_sa_postmeta` VALUES("3620", "500", "_source_manual_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3621", "500", "_source_taxonomy", "category");
INSERT INTO `wp_sa_postmeta` VALUES("3622", "500", "_terms_relational_operator", "OR");
INSERT INTO `wp_sa_postmeta` VALUES("3623", "500", "_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3624", "500", "_source_manual_input_range", "");
INSERT INTO `wp_sa_postmeta` VALUES("3625", "500", "_source_callback", "none");
INSERT INTO `wp_sa_postmeta` VALUES("3626", "500", "_source_min", "");
INSERT INTO `wp_sa_postmeta` VALUES("3627", "500", "_source_max", "");
INSERT INTO `wp_sa_postmeta` VALUES("3628", "500", "_source_step", "");
INSERT INTO `wp_sa_postmeta` VALUES("3629", "500", "_values_prefix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3630", "500", "_values_suffix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3631", "500", "_range_inputs_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3632", "500", "_values_decimal_num", "");
INSERT INTO `wp_sa_postmeta` VALUES("3633", "500", "_values_decimal_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3634", "500", "_values_thousand_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3635", "500", "_date_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3636", "500", "_date_format", "mm/dd/yy");
INSERT INTO `wp_sa_postmeta` VALUES("3637", "500", "_date_from_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3638", "500", "_date_to_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3639", "500", "_date_period_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3640", "500", "_date_period_datepicker_button_text", "انتخاب تاریخ");
INSERT INTO `wp_sa_postmeta` VALUES("3641", "500", "_min_max_date_period_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3642", "500", "_min_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3643", "500", "_max_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3644", "500", "_min_max_date_period_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3645", "500", "_date_period_start_end_enabled", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3646", "500", "_date_period_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3647", "500", "_date_period_start_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3648", "500", "_date_period_separator", "");
INSERT INTO `wp_sa_postmeta` VALUES("3649", "500", "_date_period_end_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3650", "500", "_date_period_date_formats_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3651", "500", "_source_post_type", "post");
INSERT INTO `wp_sa_postmeta` VALUES("3652", "500", "_glossary_id", "");
INSERT INTO `wp_sa_postmeta` VALUES("3653", "500", "_glossary_notice", "");
INSERT INTO `wp_sa_postmeta` VALUES("3654", "500", "_add_all_option", "");
INSERT INTO `wp_sa_postmeta` VALUES("3655", "500", "_all_option_label", "همه");
INSERT INTO `wp_sa_postmeta` VALUES("3656", "500", "_ability_deselect_radio", "");
INSERT INTO `wp_sa_postmeta` VALUES("3657", "500", "_rating_options", "5");
INSERT INTO `wp_sa_postmeta` VALUES("3658", "500", "_rating_compare_operand", "");
INSERT INTO `wp_sa_postmeta` VALUES("3659", "500", "_alphabet_behavior", "radio");
INSERT INTO `wp_sa_postmeta` VALUES("3660", "500", "_alphabet_radio_deselect", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3661", "500", "_alphabet_options", "A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z");
INSERT INTO `wp_sa_postmeta` VALUES("3662", "500", "_s_by", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3663", "500", "_s_placeholder", "جستجو محصولات");
INSERT INTO `wp_sa_postmeta` VALUES("3664", "500", "_color_image_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3665", "500", "_query_builder_color_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3666", "500", "_query_builder_image_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3667", "500", "_color_image_behavior", "");
INSERT INTO `wp_sa_postmeta` VALUES("3668", "500", "_source_color_image_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3669", "500", "_show_empty_terms", "");
INSERT INTO `wp_sa_postmeta` VALUES("3670", "500", "_only_child", "");
INSERT INTO `wp_sa_postmeta` VALUES("3671", "500", "_group_by_parent", "");
INSERT INTO `wp_sa_postmeta` VALUES("3672", "500", "_source_custom_field", "");
INSERT INTO `wp_sa_postmeta` VALUES("3673", "500", "_source_get_from_field_data", "");
INSERT INTO `wp_sa_postmeta` VALUES("3674", "500", "_custom_field_source_plugin", "");
INSERT INTO `wp_sa_postmeta` VALUES("3675", "500", "_is_custom_checkbox", "");
INSERT INTO `wp_sa_postmeta` VALUES("3676", "500", "_use_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3677", "500", "_data_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3678", "500", "_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3679", "500", "_is_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3680", "500", "_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3681", "500", "_query_compare", "equal");
INSERT INTO `wp_sa_postmeta` VALUES("3682", "500", "_filter_label", "فیلتر جستجو");
INSERT INTO `wp_sa_postmeta` VALUES("3683", "500", "_active_label", "فیلتر جستجو");
INSERT INTO `wp_sa_postmeta` VALUES("3684", "501", "_filter_type", "range");
INSERT INTO `wp_sa_postmeta` VALUES("3685", "501", "_data_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3686", "501", "_is_hierarchical", "");
INSERT INTO `wp_sa_postmeta` VALUES("3687", "501", "_ih_source_map", "");
INSERT INTO `wp_sa_postmeta` VALUES("3688", "501", "_query_builder_query", "");
INSERT INTO `wp_sa_postmeta` VALUES("3689", "501", "_query_builder_value_prop", "ID");
INSERT INTO `wp_sa_postmeta` VALUES("3690", "501", "_query_builder_label_prop", "post_title");
INSERT INTO `wp_sa_postmeta` VALUES("3691", "501", "_source_manual_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3692", "501", "_source_taxonomy", "category");
INSERT INTO `wp_sa_postmeta` VALUES("3693", "501", "_terms_relational_operator", "OR");
INSERT INTO `wp_sa_postmeta` VALUES("3694", "501", "_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3695", "501", "_source_manual_input_range", "");
INSERT INTO `wp_sa_postmeta` VALUES("3696", "501", "_source_callback", "jet_smart_filters_woo_prices");
INSERT INTO `wp_sa_postmeta` VALUES("3697", "501", "_source_min", "");
INSERT INTO `wp_sa_postmeta` VALUES("3698", "501", "_source_max", "");
INSERT INTO `wp_sa_postmeta` VALUES("3699", "501", "_source_step", "");
INSERT INTO `wp_sa_postmeta` VALUES("3700", "501", "_values_prefix", "");
INSERT INTO `wp_sa_postmeta` VALUES("3701", "501", "_values_suffix", "تومان");
INSERT INTO `wp_sa_postmeta` VALUES("3702", "501", "_range_inputs_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3703", "501", "_values_decimal_num", "");
INSERT INTO `wp_sa_postmeta` VALUES("3704", "501", "_values_decimal_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3705", "501", "_values_thousand_sep", "");
INSERT INTO `wp_sa_postmeta` VALUES("3706", "501", "_date_source", "");
INSERT INTO `wp_sa_postmeta` VALUES("3707", "501", "_date_format", "mm/dd/yy");
INSERT INTO `wp_sa_postmeta` VALUES("3708", "501", "_date_from_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3709", "501", "_date_to_placeholder", "");
INSERT INTO `wp_sa_postmeta` VALUES("3710", "501", "_date_period_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3711", "501", "_date_period_datepicker_button_text", "انتخاب تاریخ");
INSERT INTO `wp_sa_postmeta` VALUES("3712", "501", "_min_max_date_period_enabled", "");
INSERT INTO `wp_sa_postmeta` VALUES("3713", "501", "_min_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3714", "501", "_max_date_period", "");
INSERT INTO `wp_sa_postmeta` VALUES("3715", "501", "_min_max_date_period_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3716", "501", "_date_period_start_end_enabled", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3717", "501", "_date_period_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3718", "501", "_date_period_start_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3719", "501", "_date_period_separator", "");
INSERT INTO `wp_sa_postmeta` VALUES("3720", "501", "_date_period_end_format", "");
INSERT INTO `wp_sa_postmeta` VALUES("3721", "501", "_date_period_date_formats_info", "");
INSERT INTO `wp_sa_postmeta` VALUES("3722", "501", "_source_post_type", "post");
INSERT INTO `wp_sa_postmeta` VALUES("3723", "501", "_glossary_id", "");
INSERT INTO `wp_sa_postmeta` VALUES("3724", "501", "_glossary_notice", "");
INSERT INTO `wp_sa_postmeta` VALUES("3725", "501", "_add_all_option", "");
INSERT INTO `wp_sa_postmeta` VALUES("3726", "501", "_all_option_label", "همه");
INSERT INTO `wp_sa_postmeta` VALUES("3727", "501", "_ability_deselect_radio", "");
INSERT INTO `wp_sa_postmeta` VALUES("3728", "501", "_rating_options", "5");
INSERT INTO `wp_sa_postmeta` VALUES("3729", "501", "_rating_compare_operand", "");
INSERT INTO `wp_sa_postmeta` VALUES("3730", "501", "_alphabet_behavior", "radio");
INSERT INTO `wp_sa_postmeta` VALUES("3731", "501", "_alphabet_radio_deselect", "1");
INSERT INTO `wp_sa_postmeta` VALUES("3732", "501", "_alphabet_options", "A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z");
INSERT INTO `wp_sa_postmeta` VALUES("3733", "501", "_s_by", "");
INSERT INTO `wp_sa_postmeta` VALUES("3734", "501", "_s_placeholder", "جستجو...");
INSERT INTO `wp_sa_postmeta` VALUES("3735", "501", "_color_image_type", "");
INSERT INTO `wp_sa_postmeta` VALUES("3736", "501", "_query_builder_color_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3737", "501", "_query_builder_image_prop", "");
INSERT INTO `wp_sa_postmeta` VALUES("3738", "501", "_color_image_behavior", "");
INSERT INTO `wp_sa_postmeta` VALUES("3739", "501", "_source_color_image_input", "");
INSERT INTO `wp_sa_postmeta` VALUES("3740", "501", "_show_empty_terms", "");
INSERT INTO `wp_sa_postmeta` VALUES("3741", "501", "_only_child", "");
INSERT INTO `wp_sa_postmeta` VALUES("3742", "501", "_group_by_parent", "");
INSERT INTO `wp_sa_postmeta` VALUES("3743", "501", "_source_custom_field", "");
INSERT INTO `wp_sa_postmeta` VALUES("3744", "501", "_source_get_from_field_data", "");
INSERT INTO `wp_sa_postmeta` VALUES("3745", "501", "_custom_field_source_plugin", "");
INSERT INTO `wp_sa_postmeta` VALUES("3746", "501", "_is_custom_checkbox", "");
INSERT INTO `wp_sa_postmeta` VALUES("3747", "501", "_use_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3748", "501", "_data_exclude_include", "");
INSERT INTO `wp_sa_postmeta` VALUES("3749", "501", "_query_var", "_price");
INSERT INTO `wp_sa_postmeta` VALUES("3750", "501", "_is_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3751", "501", "_custom_query_var", "");
INSERT INTO `wp_sa_postmeta` VALUES("3752", "501", "_query_compare", "equal");
INSERT INTO `wp_sa_postmeta` VALUES("3753", "501", "_filter_label", "فیلتر قیمت");
INSERT INTO `wp_sa_postmeta` VALUES("3754", "501", "_active_label", "فیلتر قیمت");
INSERT INTO `wp_sa_postmeta` VALUES("3774", "504", "_edit_lock", "1688641655:1");
INSERT INTO `wp_sa_postmeta` VALUES("3775", "504", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3776", "504", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("3777", "504", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3778", "504", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("3779", "506", "_wp_attached_file", "2023/07/1.png");
INSERT INTO `wp_sa_postmeta` VALUES("3780", "506", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:499;s:6:\"height\";i:615;s:4:\"file\";s:13:\"2023/07/1.png\";s:8:\"filesize\";i:103934;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:13:\"1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:134789;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:13:\"1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:19081;}s:6:\"medium\";a:5:{s:4:\"file\";s:13:\"1-243x300.png\";s:5:\"width\";i:243;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:108529;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:13:\"1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39271;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3781", "506", "_elementor_source_image_hash", "9b6abae703864d7193d311002dbf0b52e5e140b3");
INSERT INTO `wp_sa_postmeta` VALUES("3782", "507", "_wp_attached_file", "2023/07/about-top-section.png");
INSERT INTO `wp_sa_postmeta` VALUES("3783", "507", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:5760;s:6:\"height\";i:2912;s:4:\"file\";s:29:\"2023/07/about-top-section.png\";s:8:\"filesize\";i:207689;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:29:\"about-top-section-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6193;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"about-top-section-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1013;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"about-top-section-600x303.png\";s:5:\"width\";i:600;s:6:\"height\";i:303;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20660;}s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"about-top-section-300x152.png\";s:5:\"width\";i:300;s:6:\"height\";i:152;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6957;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"about-top-section-1024x518.png\";s:5:\"width\";i:1024;s:6:\"height\";i:518;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45952;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"about-top-section-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2314;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"about-top-section-768x388.png\";s:5:\"width\";i:768;s:6:\"height\";i:388;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31022;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"about-top-section-1536x777.png\";s:5:\"width\";i:1536;s:6:\"height\";i:777;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:75584;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"about-top-section-2048x1035.png\";s:5:\"width\";i:2048;s:6:\"height\";i:1035;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:99526;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3784", "507", "_elementor_source_image_hash", "b5e9dbcbddf8c98dbfe0add74c74a3b05a2db7a5");
INSERT INTO `wp_sa_postmeta` VALUES("3785", "508", "_wp_attached_file", "2023/07/11.png");
INSERT INTO `wp_sa_postmeta` VALUES("3786", "508", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:365;s:6:\"height\";i:360;s:4:\"file\";s:14:\"2023/07/11.png\";s:8:\"filesize\";i:6968;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:14:\"11-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10327;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"11-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2653;}s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"11-300x296.png\";s:5:\"width\";i:300;s:6:\"height\";i:296;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10414;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"11-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4413;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3787", "508", "_elementor_source_image_hash", "7be2d0dcc637a7981b5afaeca1955cd05b4b944a");
INSERT INTO `wp_sa_postmeta` VALUES("3788", "509", "_wp_attached_file", "2023/07/12.png");
INSERT INTO `wp_sa_postmeta` VALUES("3789", "509", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:365;s:6:\"height\";i:360;s:4:\"file\";s:14:\"2023/07/12.png\";s:8:\"filesize\";i:8908;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:14:\"12-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12759;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"12-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3575;}s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"12-300x296.png\";s:5:\"width\";i:300;s:6:\"height\";i:296;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12919;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"12-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5870;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3790", "509", "_elementor_source_image_hash", "64b1233a577b2c3fce388a23c3d3d3b1ad9800e3");
INSERT INTO `wp_sa_postmeta` VALUES("3791", "510", "_wp_attached_file", "2023/07/13.png");
INSERT INTO `wp_sa_postmeta` VALUES("3792", "510", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:365;s:6:\"height\";i:360;s:4:\"file\";s:14:\"2023/07/13.png\";s:8:\"filesize\";i:6853;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:14:\"13-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10976;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"13-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2889;}s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"13-300x296.png\";s:5:\"width\";i:300;s:6:\"height\";i:296;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11242;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"13-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4872;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3793", "510", "_elementor_source_image_hash", "75c4d80d97f337054c215b8b138bbfbef2226b96");
INSERT INTO `wp_sa_postmeta` VALUES("3794", "511", "_wp_attached_file", "2023/07/14.png");
INSERT INTO `wp_sa_postmeta` VALUES("3795", "511", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:365;s:6:\"height\";i:360;s:4:\"file\";s:14:\"2023/07/14.png\";s:8:\"filesize\";i:4856;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:14:\"14-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6300;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"14-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1873;}s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"14-300x296.png\";s:5:\"width\";i:300;s:6:\"height\";i:296;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6641;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"14-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2955;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3796", "511", "_elementor_source_image_hash", "8730bad1af65622253703a441e9e7152737815c8");
INSERT INTO `wp_sa_postmeta` VALUES("3797", "512", "_wp_attached_file", "2023/07/15.png");
INSERT INTO `wp_sa_postmeta` VALUES("3798", "512", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:365;s:6:\"height\";i:360;s:4:\"file\";s:14:\"2023/07/15.png\";s:8:\"filesize\";i:5918;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:14:\"15-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7517;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"15-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2188;}s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"15-300x296.png\";s:5:\"width\";i:300;s:6:\"height\";i:296;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7814;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"15-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3527;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3799", "512", "_elementor_source_image_hash", "b3baf157d14c59fb8e01d5fa7083e74a3f6884e7");
INSERT INTO `wp_sa_postmeta` VALUES("3800", "513", "_wp_attached_file", "2023/07/line.png");
INSERT INTO `wp_sa_postmeta` VALUES("3801", "513", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:4780;s:6:\"height\";i:44;s:4:\"file\";s:16:\"2023/07/line.png\";s:8:\"filesize\";i:7244;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:15:\"line-300x44.png\";s:5:\"width\";i:300;s:6:\"height\";i:44;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1903;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"line-100x44.png\";s:5:\"width\";i:100;s:6:\"height\";i:44;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:725;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:14:\"line-600x6.png\";s:5:\"width\";i:600;s:6:\"height\";i:6;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2279;}s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"line-300x3.png\";s:5:\"width\";i:300;s:6:\"height\";i:3;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:983;}s:5:\"large\";a:5:{s:4:\"file\";s:15:\"line-1024x9.png\";s:5:\"width\";i:1024;s:6:\"height\";i:9;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4085;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"line-150x44.png\";s:5:\"width\";i:150;s:6:\"height\";i:44;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1047;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:14:\"line-768x7.png\";s:5:\"width\";i:768;s:6:\"height\";i:7;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3729;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:16:\"line-1536x14.png\";s:5:\"width\";i:1536;s:6:\"height\";i:14;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7116;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:16:\"line-2048x19.png\";s:5:\"width\";i:2048;s:6:\"height\";i:19;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9102;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3802", "513", "_elementor_source_image_hash", "604405cc78eb669488b7d4a91adc9284af7e130a");
INSERT INTO `wp_sa_postmeta` VALUES("3803", "514", "_wp_attached_file", "2023/07/h-sepreator.svg");
INSERT INTO `wp_sa_postmeta` VALUES("3804", "514", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:469;s:5:\"width\";d:12;s:6:\"height\";d:1195;}");
INSERT INTO `wp_sa_postmeta` VALUES("3805", "514", "_elementor_source_image_hash", "355a19d5082ab8afb14947b59ee960a0c20c639c");
INSERT INTO `wp_sa_postmeta` VALUES("3806", "515", "_wp_attached_file", "2023/07/reviewsbg.png");
INSERT INTO `wp_sa_postmeta` VALUES("3807", "515", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:5760;s:6:\"height\";i:2356;s:4:\"file\";s:21:\"2023/07/reviewsbg.png\";s:8:\"filesize\";i:455282;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"reviewsbg-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13655;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"reviewsbg-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2416;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"reviewsbg-600x245.png\";s:5:\"width\";i:600;s:6:\"height\";i:245;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22991;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"reviewsbg-300x123.png\";s:5:\"width\";i:300;s:6:\"height\";i:123;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6794;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"reviewsbg-1024x419.png\";s:5:\"width\";i:1024;s:6:\"height\";i:419;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:54197;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"reviewsbg-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4379;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"reviewsbg-768x314.png\";s:5:\"width\";i:768;s:6:\"height\";i:314;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:34103;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"reviewsbg-1536x628.png\";s:5:\"width\";i:1536;s:6:\"height\";i:628;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:104461;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"reviewsbg-2048x838.png\";s:5:\"width\";i:2048;s:6:\"height\";i:838;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:163310;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3808", "515", "_elementor_source_image_hash", "65ee2f9c21ae71e495530f3696cb3d89d73e396e");
INSERT INTO `wp_sa_postmeta` VALUES("3809", "504", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3810", "504", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3811", "504", "_rankmath__data", "[{\"id\":\"51372b7\",\"elType\":\"container\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"20\",\"background_background\":\"classic\",\"background_image\":{\"id\":507,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/about-top-section.png\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0.625\",\"bottom\":\"3\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"1\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"1\",\"bottom\":\"3\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c66c08d\"}],\"boxed_width_tablet\":{\"unit\":\"px\",\"size\":1300,\"sizes\":[]},\"background_position_tablet\":\"top right\",\"background_position_mobile\":\"center center\",\"background_size_tablet\":\"contain\",\"background_size_mobile\":\"cover\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"000c09e\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_justify_content\":\"center\",\"flex_gap\":{\"size\":5,\"unit\":\"px\",\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"background_background\":\"classic\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"top center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4247a3d\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"4b179a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u06a9\\u0647 \\u0647\\u0633\\u062a\\u06cc\\u0645 \\u061f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"76240c7\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"aaa485c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647  \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 \\u0645\\u0627 \\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0628\\u062f\\u0627\\u0646\\u06cc\\u062f!\",\"title_color\":\"#414141\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5e0f21c\"}],\"scroll_y\":-80,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"60461d0\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0645\\u0627 \\u067e\\u0644\\u062a\\u0641\\u0631\\u0645\\u06cc \\u0645\\u0628\\u062a\\u0646\\u06cc \\u0628\\u0631 \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0647\\u0633\\u062a\\u06cc\\u0645 \\u06a9\\u0647 \\u0645\\u0627\\u0645\\u0648\\u0631\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0627\\u06cc\\u062c\\u0627\\u062f \\u062a\\u062c\\u0631\\u0628\\u0647\\u200c\\u0627\\u06cc \\u062e\\u0648\\u0634\\u0627\\u06cc\\u0646\\u062f \\u0627\\u0632 \\u062e\\u0631\\u06cc\\u062f \\u0648 \\u0641\\u0631\\u0648\\u0634 \\u0628\\u0631\\u0627\\u06cc \\u062a\\u0645\\u0627\\u0645 \\u0645\\u0631\\u062f\\u0645 \\u0627\\u06cc\\u0631\\u0627\\u0646 \\u0645\\u06cc\\u200c\\u062f\\u0627\\u0646\\u06cc\\u0645. \\u0628\\u0647 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u067e\\u0631 \\u0645\\u062e\\u0627\\u0637\\u0628 \\u062a\\u0631\\u06cc\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0647\\u0627\\u06cc \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 \\u0627\\u06cc\\u0631\\u0627\\u0646 \\u0648 \\u0645\\u0646\\u0637\\u0642\\u0647 \\u062f\\u0631 \\u0645\\u0633\\u06cc\\u0631 \\u062a\\u0628\\u062f\\u06cc\\u0644 \\u0634\\u062f\\u0646 \\u0628\\u0647 \\u0627\\u0648\\u0644\\u06cc\\u0646 \\u0645\\u0631\\u062c\\u0639 \\u062e\\u0631\\u06cc\\u062f \\u0648 \\u0641\\u0631\\u0648\\u0634 \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u0645 \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0627\\u06cc\\u0646 \\u0647\\u062f\\u0641\\u060c \\u0627\\u0631\\u0627\\u0626\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0646\\u0637\\u0628\\u0642 \\u0628\\u0631 \\u0627\\u0633\\u062a\\u0627\\u0646\\u062f\\u0627\\u0631\\u062f\\u0647\\u0627\\u06cc \\u062c\\u0647\\u0627\\u0646\\u06cc\\u060c \\u0645\\u0647\\u0645\\u062a\\u0631\\u06cc\\u0646 \\u0648\\u0638\\u06cc\\u0641\\u0647 \\u0645\\u0627\\u0633\\u062a. \\u0647\\u0648\\u06cc\\u062a \\u0645\\u0627 \\u0628\\u06cc\\u0634 \\u0627\\u0632 \\u0647\\u0631\\u0686\\u06cc\\u0632 \\u0645\\u062a\\u0623\\u062b\\u0631 \\u0627\\u0632 \\u0645\\u062e\\u0627\\u0637\\u0628\\u0627\\u0646\\u0645\\u0627\\u0646 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631 \\u0627\\u0633\\u0627\\u0633 \\u0646\\u06cc\\u0627\\u0632\\u0647\\u0627\\u06cc \\u0622\\u0646\\u0647\\u0627 \\u06af\\u0627\\u0645 \\u0628\\u0631 \\u0645\\u06cc\\u200c\\u062f\\u0627\\u0631\\u06cc\\u0645. \\u0628\\u0647 \\u0647\\u0645\\u06cc\\u0646 \\u062f\\u0644\\u06cc\\u0644\\u060c \\u0645\\u0634\\u062a\\u0631\\u06cc \\u0645\\u062d\\u0648\\u0631\\u06cc \\u0645\\u0647\\u0645\\u062a\\u0631\\u06cc\\u0646 \\u0627\\u0631\\u0632\\u0634 \\u06a9\\u0633\\u0628 \\u200c\\u0648 \\u06a9\\u0627\\u0631 \\u0645\\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"wd_content_align\":\"right\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"65d1ec7\"}],\"scroll_y\":-80,\"__globals__\":{\"text_color\":\"globals\\/colors?id=text\"},\"wd_color_scheme\":\"inherit\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"377515f\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0628\\u062e\\u0648\\u0627\\u0646\\u06cc\\u062f\",\"selected_icon\":{\"value\":\"fas fa-angle-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"background_color\":\"#FFFFFF00\",\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a4b5d06\"}],\"scroll_y\":-80,\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=accent\",\"hover_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_weight\":\"normal\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"057e40a\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"7af46f9\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b112590\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":506,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/1.png\"},\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":55,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"60\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"38671a6\"}],\"scroll_y\":-80,\"width_tablet\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"e0698dd\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"cfd49a2\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"8338ed8\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"cc43fe0\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"5868227\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0686\\u0631\\u0627 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 \\u061f\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4b06fd2\",\"elType\":\"widget\",\"settings\":{\"title\":\"?why us\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b5e5194\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":58,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":19,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"b88aa48\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":513,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/line.png\"},\"background_position\":\"initial\",\"background_ypos\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"background_repeat\":\"no-repeat\",\"background_size\":\"contain\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0517dab\"}],\"background_image_mobile\":{\"id\":514,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/h-sepreator.svg\"},\"background_position_mobile\":\"center center\",\"background_ypos_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"background_size_mobile\":\"contain\",\"background_bg_width_mobile\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content\":\"space-between\"},\"elements\":[{\"id\":\"ef3c09c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":508,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/11.png\"},\"title_text\":\"190,000+\",\"description_text\":\"\\u0628\\u0627\\u0632\\u062f\\u06cc\\u062f \\u06a9\\u0646\\u0646\\u062f\\u0647 \\u06cc\\u06a9\\u062a\\u0627\\u06cc \\u0645\\u0627\\u0647\\u0627\\u0646\\u0647\",\"title_size\":\"div\",\"title_color\":\"#414141\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e988310\"}],\"scroll_y\":-80,\"__globals__\":{\"description_color\":\"globals\\/colors?id=secondary\"},\"image_space_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"1009e08\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":509,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/12.png\"},\"title_text\":\"170+\",\"description_text\":\"\\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647 \\u0627\\u0639\\u062a\\u0628\\u0627\\u0631\\u0633\\u0646\\u062c\\u06cc \\u0634\\u062f\\u0647\",\"title_size\":\"div\",\"title_color\":\"#414141\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e988310\"}],\"scroll_y\":-80,\"__globals__\":{\"description_color\":\"globals\\/colors?id=secondary\"},\"image_space_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"62d04b3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":510,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/13.png\"},\"title_text\":\"2600+\",\"description_text\":\"\\u06a9\\u0627\\u0644\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0627\\u0646\\u0628\\u0627\\u0631\",\"title_size\":\"div\",\"title_color\":\"#414141\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e988310\"}],\"scroll_y\":-80,\"__globals__\":{\"description_color\":\"globals\\/colors?id=secondary\"},\"image_space_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"5cafd05\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":511,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/14.png\"},\"title_text\":\"%97.9\",\"description_text\":\"\\u0628\\u062f\\u0648\\u0646 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc\",\"title_size\":\"div\",\"title_color\":\"#414141\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e988310\"}],\"scroll_y\":-80,\"__globals__\":{\"description_color\":\"globals\\/colors?id=secondary\"},\"image_space_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"5cf472c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":512,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/15.png\"},\"title_text\":\"13600+\",\"description_text\":\"\\u0645\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627\\u0636\\u06cc \\u0627\\u0632 \\u06a9\\u0627\\u0644\\u0627\",\"title_size\":\"div\",\"title_color\":\"#414141\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"normal\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e988310\"}],\"scroll_y\":-80,\"__globals__\":{\"description_color\":\"globals\\/colors?id=secondary\"},\"image_space_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"e138035\",\"elType\":\"container\",\"settings\":{\"boxed_width\":{\"unit\":\"px\",\"size\":1300,\"sizes\":[]},\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":515,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/reviewsbg.png\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0.625\",\"bottom\":\"4\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"1\",\"bottom\":\"3\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0363c27\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d2560a4\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bad4cb9\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content_tablet\":\"flex-start\"},\"elements\":[{\"id\":\"2b8d503\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631\\u0627\\u062a \\u0634\\u0645\\u0627\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"032fe05\",\"elType\":\"widget\",\"settings\":{\"title\":\"Customers comments\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#FCFCFC\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b45d4bf\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":77,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":58,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":22,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"d69e16c\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"537\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"a075ffb\"}],\"scroll_y\":-80,\"columns_mobile\":\"1\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"horizontal_gap\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"columns_tablet\":\"2\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"1bbf884\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7d2e882\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"02\",\"left\":\"0.625\",\"isLinked\":false}},\"elements\":[{\"id\":\"5332b21\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"4529c09\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[],\"column\":\"2\",\"row\":\"2\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"48150c0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0637\\u0627\\u0644\\u0628 \\u0627\\u062e\\u06cc\\u0631\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"74e424d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Articles\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ecb899a\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":72,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":52,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":12,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"d73b409\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/blog\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"selected_icon\":{\"value\":\"fas fa-angle-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#FFFFFF00\",\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"5660a0a\"}],\"scroll_y\":-80,\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=text\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_element_vertical_align_mobile\":\"center\",\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"6ec380a\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"330\",\"columns\":\"4\",\"posts_num\":8,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"autoplay\":\"\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"088f777\"}],\"scroll_y\":-80,\"columns_mobile\":\"1\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"equal_columns_height\":\"yes\",\"columns_tablet\":\"2\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3812", "504", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3862", "15", "_edit_lock", "1688533826:2");
INSERT INTO `wp_sa_postmeta` VALUES("3863", "15", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3864", "15", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("3865", "15", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3866", "15", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("3875", "15", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3876", "15", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3877", "15", "_rankmath__data", "[{\"id\":\"decbfa4\",\"elType\":\"container\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"4fb46ba\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"934b39f\",\"elType\":\"widget\",\"settings\":{\"update_cart_button_text\":\"\\u0628\\u0631\\u0648\\u0632\\u0631\\u0633\\u0627\\u0646\\u06cc \\u0633\\u0628\\u062f \\u062e\\u0631\\u06cc\\u062f\",\"apply_coupon_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u06a9\\u062f \\u062a\\u062e\\u0641\\u06cc\\u0641\",\"totals_section_title\":\"\\u062c\\u0645\\u0639 \\u06a9\\u0644 \\u0633\\u0628\\u062f \\u062e\\u0631\\u06cc\\u062f\",\"update_shipping_button_text\":\"\\u0628\\u0631\\u0648\\u0632 \\u0631\\u0633\\u0627\\u0646\\u06cc\",\"checkout_button_text\":\"\\u0627\\u062f\\u0627\\u0645\\u0647 \\u062c\\u0647\\u062a \\u062a\\u0633\\u0648\\u06cc\\u0647 \\u062d\\u0633\\u0627\\u0628\",\"update_cart_automatically\":\"yes\",\"sections_background_color\":\"#875C5C00\",\"sections_border_type\":\"solid\",\"sections_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"sections_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"sections_titles_typography_typography\":\"custom\",\"sections_titles_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"sections_titles_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"sections_title_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[],\"px\":0},\"sections_descriptions_typography_typography\":\"custom\",\"sections_descriptions_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"forms_field_typography_typography\":\"custom\",\"forms_field_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"forms_field_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"forms_field_typography_font_weight\":\"normal\",\"forms_fields_normal_color\":\"#737373\",\"forms_fields_normal_background_background\":\"classic\",\"forms_fields_normal_background_color\":\"#02010100\",\"forms_fields_border_border\":\"solid\",\"forms_fields_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"forms_fields_border_color\":\"#EBEBEB\",\"forms_fields_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"forms_fields_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"forms_button_typography_typography\":\"custom\",\"forms_button_typography_font_family\":\"iranyekanweblight_FaNum\",\"forms_button_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"forms_buttons_normal_text_color\":\"#FFFFFF\",\"forms_buttons_normal_background_background\":\"classic\",\"forms_buttons_normal_background_color\":\"#39469E\",\"forms_buttons_border_type\":\"none\",\"forms_buttons_border_color\":\"#F2E4E4\",\"forms_buttons_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"order_summary_title_typography_typography\":\"custom\",\"order_summary_title_typography_font_family\":\"iranyekanwebregular_FaNum\",\"order_summary_title_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"order_summary_title_typography_font_weight\":\"normal\",\"order_summary_color\":\"#737373\",\"order_summary_items_typography_typography\":\"custom\",\"order_summary_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"order_summary_variations_color\":\"#737373\",\"order_summary_variations_typography_typography\":\"custom\",\"order_summary_variations_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"order_summary_quantity_border_color\":\"#EBEBEB\",\"totals_typography_typography\":\"custom\",\"totals_typography_font_family\":\"iranyekanwebregular_FaNum\",\"totals_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"totals_typography_font_weight\":\"normal\",\"totals_divider_color\":\"#EBEBEB\",\"totals_divider_weight\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"checkout_button_typography_typography\":\"custom\",\"checkout_button_typography_font_family\":\"iranyekanwebregular_FaNum\",\"checkout_button_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"checkout_button_typography_font_weight\":\"normal\",\"checkout_button_normal_background_background\":\"classic\",\"checkout_button_normal_background_color\":\"#39469E\",\"checkout_button_hover_background_background\":\"classic\",\"checkout_button_hover_transition_duration\":{\"unit\":\"px\",\"size\":213,\"sizes\":[]},\"checkout_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"34c1677\"}],\"__globals__\":{\"forms_fields_normal_color\":\"globals\\/colors?id=text\",\"forms_buttons_normal_background_color\":\"globals\\/colors?id=primary\",\"order_summary_color\":\"\",\"order_summary_variations_color\":\"globals\\/colors?id=text\",\"product_link_hover_color\":\"\",\"checkout_button_normal_background_color\":\"globals\\/colors?id=primary\",\"checkout_button_hover_background_color\":\"\",\"checkout_button_hover_text_color\":\"\",\"order_summary_title_color\":\"globals\\/colors?id=fdaa5d2\",\"product_link_normal_color\":\"globals\\/colors?id=fdaa5d2\",\"totals_color\":\"globals\\/colors?id=fdaa5d2\"},\"checkout_button_normal_text_color\":\"#FFFFFF\",\"checkout_button_hover_text_color\":\"#FFFFFF\",\"custom_css\":\".elementor-widget-woocommerce-cart .woocommerce a:not(.add_to_cart_button):not(.restore-item):not(.wc-backward):not(.wc-forward) {\\r\\n    color: #181818 !important;\\r\\n}\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \'iranyekanwebregular_FaNum\';\\r\\n}\\r\\nselector .elementor-widget-woocommerce-cart .woocommerce {\\r\\n    font-family: \'iranyekanwebmedium_FaNum\';\\r\\n}\\r\\nselector .woocommerce-message {\\r\\n    border-radius: 10px;\\r\\n}\\r\\nselector a.checkout-button.button.alt.wc-forward.wp-element-button {\\r\\n    color: #ffff !important;\\r\\n}\\r\\n.elementor-widget-woocommerce-cart .woocommerce button.button:hover {\\r\\n    color: white;\\r\\n}\\r\\nselector button.button.e-apply-coupon {\\r\\n    outline: none;\\r\\n}\\r\\nselector .e-cart__column-inner.e-sticky-right-column {\\r\\n    background: #fbfbfb;\\r\\n}\\r\\nselector bdi {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\nselector .woocommerce-message {\\r\\n    font-family: \'iranyekanwebregular_FaNum\';\\r\\n}\\r\\nselector .woocommerce button.button:hover {\\r\\n    color: #fff !important;\\r\\n}\\r\\nselector ul.woocommerce-error {\\r\\n    border-radius: 10px;\\r\\n    font-family: \'iranyekanwebregular_FaNum\';\\r\\n}\\r\\nselector p.cart-empty.woocommerce-info {\\r\\n    border-radius: 10px;\\r\\n    font-family: \'iranyekanwebregular_FaNum\';\\r\\n}\\r\\nselector .button.wc-backward.wp-element-button {\\r\\n    border-radius: 10px;\\r\\n    font-weight: normal;\\r\\n    background: var(--e-global-color-primary );\\r\\n    color: #ffff !important;\\r\\n}\\r\\n\",\"sections_padding_mobile\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"sections_descriptions_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"order_summary_rows_gap_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"order_summary_title_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"order_summary_title_color\":\"#444444\",\"product_link_normal_color\":\"#444444\",\"totals_color\":\"#444444\",\"checkout_button_hover_background_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"woocommerce-cart\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3885", "15", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3904", "530", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3905", "530", "_elementor_template_type", "jet-woo-builder-thankyou");
INSERT INTO `wp_sa_postmeta` VALUES("3906", "530", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3907", "530", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("3908", "530", "_edit_lock", "1688640358:3");
INSERT INTO `wp_sa_postmeta` VALUES("3909", "531", "_wp_attached_file", "2023/07/23.png");
INSERT INTO `wp_sa_postmeta` VALUES("3910", "531", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:192;s:6:\"height\";i:193;s:4:\"file\";s:14:\"2023/07/23.png\";s:8:\"filesize\";i:63349;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"23-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:19789;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"23-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:38903;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3912", "532", "_wp_attached_file", "2023/07/22.png");
INSERT INTO `wp_sa_postmeta` VALUES("3913", "532", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:192;s:6:\"height\";i:193;s:4:\"file\";s:14:\"2023/07/22.png\";s:8:\"filesize\";i:53546;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"22-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17009;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"22-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:33345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3918", "530", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3919", "530", "_elementor_page_settings", "a:1:{s:19:\"hide_template_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3920", "530", "_rankmath__data", "[{\"id\":\"8cac960\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"unit\":\"px\",\"size\":40,\"sizes\":[],\"column\":\"40\",\"row\":\"40\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"f7553ab\"}],\"flex_align_items\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"2\",\"bottom\":\"0\",\"left\":\"2\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"cc3e2b5\",\"elType\":\"widget\",\"settings\":{\"thankyou_message_text\":\"\\u0645\\u062a\\u0634\\u06a9\\u0631\\u06cc\\u0645\\u060c \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0634\\u0645\\u0627 \\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0634\\u062f.\",\"thankyou_order_table_order_heading\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634:\",\"thankyou_order_table_date_heading\":\"\\u062a\\u0627\\u0631\\u06cc\\u062e:\",\"thankyou_order_table_email_heading\":\"\\u0627\\u06cc\\u0645\\u06cc\\u0644:\",\"thankyou_order_table_total_heading\":\"\\u062c\\u0645\\u0639:\",\"thankyou_order_table_payment_method_heading\":\"\\u0631\\u0648\\u0634 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a:\",\"thankyou_message_heading_typography_typography\":\"custom\",\"thankyou_message_heading_typography_font_family\":\"iranyekanwebbold_FaNum\",\"thankyou_message_heading_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"thankyou_message_heading_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"thankyou_message_heading_typography_font_weight\":\"500\",\"thankyou_message_heading_color\":\"#EF3A4F\",\"thankyou_message_heading_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"thankyou_message_heading_align\":\"center\",\"thankyou_overview_display_type\":\"\",\"thankyou_overview_typography_typography\":\"custom\",\"thankyou_overview_typography_font_family\":\"iranyekanwebregular_FaNum\",\"thankyou_overview_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"thankyou_overview_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"25\",\"bottom\":\"0\",\"left\":\"24\",\"isLinked\":false},\"thankyou_overview_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"18\",\"left\":\"21\",\"isLinked\":false},\"thankyou_details_heading_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"thankyou_details_heading_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"thankyou_details_heading_margin_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"thankyou_order_failed_button_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"1.6\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"501b38b\"}],\"_background_background\":\"classic\",\"_border_border\":\"dashed\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EF3A4F\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"thankyou_overview_color\":\"\",\"thankyou_message_heading_color\":\"globals\\/colors?id=primary\",\"_border_color\":\"globals\\/colors?id=primary\",\"_background_color\":\"globals\\/colors?id=ee33486\",\"thankyou_details_heading_color\":\"\"},\"_background_color\":\"#151515\"},\"elements\":[],\"widgetType\":\"jet-thankyou-order\"},{\"id\":\"ba0997f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"unit\":\"px\",\"size\":35,\"column\":\"35\",\"row\":\"35\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8747be7\"}],\"flex_align_items\":\"center\"},\"elements\":[{\"id\":\"edfab33\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"2\",\"bottom\":\"1\",\"left\":\"2\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5b30f46\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":12,\"spread\":5,\"color\":\"rgba(0, 0, 0, 0.03)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"border_color\":\"\",\"background_color\":\"globals\\/colors?id=ee33486\"},\"background_color\":\"#FFFFFF\",\"border_color\":\"#E1E1E1\"},\"elements\":[{\"id\":\"d59e270\",\"elType\":\"widget\",\"settings\":{\"thankyou_details_heading_typography_typography\":\"custom\",\"thankyou_details_heading_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"thankyou_details_heading_color\":\"#444444\",\"thankyou_details_table_heading_typography_typography\":\"custom\",\"thankyou_details_table_heading_typography_font_family\":\"iranyekanwebbold_FaNum\",\"thankyou_details_table_heading_color\":\"#444444\",\"thankyou_details_table_heading_border_border\":\"solid\",\"thankyou_details_table_heading_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"thankyou_details_table_heading_border_color\":\"#C2C2C2\",\"thankyou_details_table_heading_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"thankyou_details_cell_typography_typography\":\"custom\",\"thankyou_details_cell_typography_font_family\":\"iranyekanwebregular_FaNum\",\"thankyou_details_cell_link_color\":\"#EF3A4F\",\"thankyou_details_cell_background_background\":\"classic\",\"thankyou_details_cell_border_border\":\"solid\",\"thankyou_details_cell_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"thankyou_details_cell_border_color\":\"#C2C2C2\",\"thankyou_details_cell_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ec2f94a\"}],\"__globals__\":{\"thankyou_details_heading_color\":\"\",\"thankyou_details_cell_border_color\":\"\",\"thankyou_details_table_heading_border_color\":\"\",\"thankyou_details_table_heading_color\":\"\",\"thankyou_details_cell_color\":\"globals\\/colors?id=secondary\",\"thankyou_details_cell_link_color\":\"globals\\/colors?id=primary\",\"thankyou_details_cell_background_color\":\"\"},\"thankyou_details_heading_typography_font_family\":\"iranyekanwebregular_FaNum\"},\"elements\":[],\"widgetType\":\"jet-thankyou-order-details\"}],\"isInner\":true},{\"id\":\"8e2b5d6\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"2\",\"bottom\":\"1\",\"left\":\"2\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c63e91\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":12,\"spread\":5,\"color\":\"rgba(0, 0, 0, 0.03)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"border_color\":\"\",\"background_color\":\"globals\\/colors?id=ee33486\"},\"background_color\":\"#FFFFFF\",\"border_color\":\"#E1E1E1\"},\"elements\":[{\"id\":\"c76be53\",\"elType\":\"widget\",\"settings\":{\"custommer_details_heading_typography_typography\":\"custom\",\"custommer_details_heading_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"custommer_details_content_typography_typography\":\"custom\",\"custommer_details_content_typography_font_family\":\"iranyekanwebregular_FaNum\",\"jedv_conditions\":[{\"_id\":\"1e67ca2\"}],\"__globals__\":{\"custommer_details_heading_color\":\"globals\\/colors?id=secondary\"},\"custommer_details_heading_typography_font_family\":\"iranyekanwebregular_FaNum\"},\"elements\":[],\"widgetType\":\"jet-thankyou-customer-address-details\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3928", "530", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3929", "535", "_wp_attached_file", "2023/07/21.png");
INSERT INTO `wp_sa_postmeta` VALUES("3930", "535", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:192;s:6:\"height\";i:193;s:4:\"file\";s:14:\"2023/07/21.png\";s:8:\"filesize\";i:63575;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"21-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17585;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"21-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36611;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3939", "136", "pageview", "137");
INSERT INTO `wp_sa_postmeta` VALUES("3940", "537", "_listing_data", "a:3:{s:6:\"source\";s:19:\"custom_content_type\";s:9:\"post_type\";s:11:\"testimonial\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3941", "537", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("3942", "537", "_elementor_page_settings", "a:5:{s:14:\"listing_source\";s:19:\"custom_content_type\";s:17:\"listing_post_type\";s:11:\"testimonial\";s:11:\"listing_tax\";s:8:\"category\";s:8:\"cct_type\";s:11:\"testimonial\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:388;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("3943", "537", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3944", "537", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("3945", "537", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3946", "537", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("3947", "537", "_edit_lock", "1688535694:3");
INSERT INTO `wp_sa_postmeta` VALUES("3949", "16", "_edit_lock", "1689053915:1");
INSERT INTO `wp_sa_postmeta` VALUES("3950", "16", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("3951", "16", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("3952", "16", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3953", "16", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("3962", "16", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("3963", "16", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("3964", "16", "_rankmath__data", "[{\"id\":\"7c80524\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"767959d\"}],\"flex_direction_mobile\":\"column\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"c6d76d1\",\"elType\":\"widget\",\"settings\":{\"billing_details_section_title\":\"\\u062c\\u0632\\u0626\\u06cc\\u0627\\u062a \\u0635\\u0648\\u0631\\u062a\\u062d\\u0633\\u0627\\u0628\",\"billing_details_form_fields\":[{\"field_key\":\"billing_first_name\",\"field_label\":\"\\u0646\\u0627\\u0645\",\"label\":\"\\u0646\\u0627\\u0645\",\"placeholder\":\"\\u0646\\u0627\\u0645\",\"_id\":\"edaedae\"},{\"field_key\":\"billing_last_name\",\"field_label\":\"\\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc\",\"label\":\"\\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc\",\"_id\":\"d2bd7a6\"},{\"field_key\":\"billing_company\",\"field_label\":\"Company Name\",\"label\":\"\\u0646\\u0627\\u0645 \\u0634\\u0631\\u06a9\\u062a\",\"_id\":\"aa0a512\"},{\"field_key\":\"billing_country\",\"field_label\":\"Country \\/ Region\",\"label\":\"Country \\/ Region\",\"placeholder\":\"Country \\/ Region\",\"repeater_state\":\"locale\",\"_id\":\"f0e39d1\"},{\"field_key\":\"billing_address_1\",\"field_label\":\"Street Address\",\"label\":\"Street Address\",\"placeholder\":\"Street Address\",\"repeater_state\":\"locale\",\"_id\":\"600eaa7\"},{\"field_key\":\"billing_postcode\",\"field_label\":\"Post Code\",\"label\":\"Post Code\",\"placeholder\":\"Post Code\",\"repeater_state\":\"locale\",\"_id\":\"5925699\"},{\"field_key\":\"billing_city\",\"field_label\":\"Town \\/ City\",\"label\":\"Town \\/ City\",\"placeholder\":\"Town \\/ City\",\"repeater_state\":\"locale\",\"_id\":\"620f76b\"},{\"field_key\":\"billing_state\",\"field_label\":\"State\",\"label\":\"State\",\"placeholder\":\"State\",\"repeater_state\":\"locale\",\"_id\":\"aae0f92\"},{\"field_key\":\"billing_phone\",\"field_label\":\"Phone\",\"label\":\"\\u062a\\u0644\\u0641\\u0646\",\"placeholder\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0644\\u0641\\u0646\",\"_id\":\"808e549\"},{\"field_key\":\"billing_email\",\"field_label\":\"Email Address\",\"label\":\"\\u0622\\u062f\\u0631\\u0633 \\u0627\\u06cc\\u0645\\u06cc\\u0644\",\"placeholder\":\"\\u0622\\u062f\\u0631\\u0633 \\u0627\\u06cc\\u0645\\u06cc\\u0644\",\"_id\":\"dd91dfe\"}],\"additional_information_form_fields\":[{\"field_key\":\"order_comments\",\"field_label\":\"Order Notes\",\"label\":\"\\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a \\u062a\\u06a9\\u0645\\u06cc\\u0644\\u06cc\",\"placeholder\":\"\\u06cc\\u0627\\u062f\\u062f\\u0627\\u0634\\u062a \\u0647\\u0627 \\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0634\\u0645\\u0627. \\u0628\\u0631\\u0627\\u06cc \\u0645\\u062b\\u0627\\u0644 \\u0646\\u06a9\\u0627\\u062a \\u0645\\u0647\\u0645 \\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634\",\"_id\":\"b883b7c\"}],\"order_summary_section_title\":\"\\u0633\\u0641\\u0627\\u0631\\u0634 \\u0634\\u0645\\u0627\",\"coupon_section_title_text\":\"\\u06a9\\u062f \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u062f\\u0627\\u0631\\u06cc\\u062f\\u061f\",\"coupon_section_title_link_text\":\"\\u0628\\u0631\\u0627\\u06cc \\u0646\\u0648\\u0634\\u062a\\u0646 \\u06a9\\u062f \\u0627\\u06cc\\u0646\\u062c\\u0627 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"terms_conditions_message_text\":\"I have read and agree to the website\",\"terms_conditions_link_text\":\"\\u0642\\u0648\\u0627\\u0646\\u06cc\\u0646 \\u0648 \\u0645\\u0642\\u0631\\u0631\\u0627\\u062a\",\"jedv_conditions\":[{\"_id\":\"829ef9c\"}],\"sections_background_color\":\"#FAFAFA\",\"sections_border_type\":\"none\",\"sections_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"sections_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"sections_title_color\":\"#444444\",\"sections_titles_typography_typography\":\"custom\",\"sections_titles_typography_font_family\":\"iranyekanwebbold_FaNum\",\"sections_titles_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"sections_secondary_title_color\":\"#444444\",\"sections_secondary_titles_typography_typography\":\"custom\",\"sections_secondary_titles_typography_font_family\":\"iranyekanwebregular_FaNum\",\"sections_descriptions_color\":\"#444444\",\"sections_descriptions_typography_typography\":\"custom\",\"sections_descriptions_typography_font_family\":\"iranyekanwebregular_FaNum\",\"sections_messages_color\":\"#737373\",\"sections_messages_typography_typography\":\"custom\",\"sections_messages_typography_font_family\":\"iranyekanwebregular_FaNum\",\"sections_messages_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"sections_checkboxes_typography_typography\":\"custom\",\"sections_checkboxes_typography_font_family\":\"iranyekanwebregular_FaNum\",\"sections_radio_buttons_typography_typography\":\"custom\",\"sections_radio_buttons_typography_font_family\":\"iranyekanwebregular_FaNum\",\"links_normal_color\":\"#39469E\",\"links_hover_color\":\"#39469E\",\"forms_rows_gap\":{\"unit\":\"px\",\"size\":20,\"sizes\":[],\"px\":0},\"forms_label_color\":\"#444444\",\"forms_label_typography_typography\":\"custom\",\"forms_label_typography_font_family\":\"iranyekanwebregular_FaNum\",\"forms_field_typography_typography\":\"custom\",\"forms_field_typography_font_family\":\"iranyekanwebregular_FaNum\",\"forms_fields_border_border\":\"solid\",\"forms_fields_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"forms_fields_border_color\":\"#EBEBEB\",\"forms_fields_border_radius\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"forms_fields_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"11\",\"bottom\":\"11\",\"left\":\"11\",\"isLinked\":true},\"forms_button_typography_typography\":\"custom\",\"forms_button_typography_font_family\":\"iranyekanwebregular_FaNum\",\"forms_button_typography_font_weight\":\"normal\",\"forms_buttons_normal_text_color\":\"#FFFFFF\",\"forms_buttons_normal_background_background\":\"classic\",\"forms_buttons_normal_background_color\":\"#39469E\",\"forms_buttons_border_type\":\"none\",\"forms_buttons_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"order_summary_items_color\":\"#737373\",\"order_summary_items_typography_typography\":\"custom\",\"order_summary_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"order_summary_items_typography_font_weight\":\"normal\",\"order_summary_variations_typography_typography\":\"custom\",\"order_summary_variations_typography_font_family\":\"iranyekanwebregular_FaNum\",\"order_summary_variations_typography_font_weight\":\"normal\",\"order_summary_items_divider_color\":\"#E1E1E1\",\"order_summary_items_divider_weight\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"order_summary_totals_color\":\"#333333\",\"order_summary_totals_typography_typography\":\"custom\",\"order_summary_totals_typography_font_family\":\"iranyekanwebregular_FaNum\",\"order_summary_totals_typography_font_weight\":\"normal\",\"order_summary_totals_divider_color\":\"#E1E1E1\",\"order_summary_totals_divider_weight\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"purchase_button_typography_typography\":\"custom\",\"purchase_button_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"purchase_button_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"purchase_button_typography_font_weight\":\"normal\",\"purchase_button_normal_background_background\":\"classic\",\"purchase_button_normal_background_color\":\"#39469E\",\"purchase_button_hover_background_background\":\"classic\",\"purchase_button_hover_background_color\":\"#444444\",\"purchase_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"purchase_button_padding\":{\"unit\":\"rem\",\"top\":\"0.9\",\"right\":\"13\",\"bottom\":\"0.9\",\"left\":\"13\",\"isLinked\":false},\"purchase_button_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"purchase_button_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0.5\",\"bottom\":\"0.5\",\"left\":\"0.5\",\"isLinked\":false},\"custom_css\":\"\\/*\\u0627\\u0633\\u062a\\u06cc\\u0644 \\u0647\\u0627\\u06cc \\u0635\\u0641\\u062d\\u0647 \\u067e\\u0631\\u062f\\u0627\\u062e\\u062a*\\/\\r\\nselector input {\\r\\n    background: #ffff !important;\\r\\n}\\r\\nselector textarea#order_comments {\\r\\n    background: #ffff !important;\\r\\n    height: 150px;\\r\\n}\\r\\nselector .woocommerce-message {\\r\\n    font-family: \'iranyekanwebregular_FaNum\';\\r\\n    border-radius: 10px;\\r\\n}\\r\\nselector button.woocommerce-button.button.e-apply-coupon {\\r\\n    outline: none;\\r\\n}\\r\\nselector .woocommerce button.woocommerce-button:hover {\\r\\n    color: #ffff !important\\r\\n}\\r\\n\\r\\nselector .cart-empty.woocommerce-info {\\r\\n    font-family: \'iranyekanwebregular\';\\r\\n    border-radius: 10px;\\r\\n}\\r\\nselector ul.woocommerce-error {\\r\\n    border-radius: 10px;\\r\\n    font-family: \'iranyekanwebregular_FaNum\';\\r\\n}\\r\\n\",\"__globals__\":{\"sections_title_color\":\"\",\"sections_secondary_title_color\":\"\",\"sections_descriptions_color\":\"globals\\/colors?id=fdaa5d2\",\"sections_messages_color\":\"globals\\/colors?id=text\",\"links_normal_color\":\"globals\\/colors?id=primary\",\"links_hover_color\":\"globals\\/colors?id=primary\",\"forms_label_color\":\"\",\"forms_buttons_normal_background_color\":\"globals\\/colors?id=primary\",\"order_summary_items_color\":\"\",\"order_summary_totals_color\":\"\",\"order_summary_totals_divider_color\":\"globals\\/colors?id=c1a414c\",\"order_summary_items_divider_color\":\"globals\\/colors?id=c1a414c\",\"purchase_button_normal_background_color\":\"globals\\/colors?id=primary\",\"purchase_button_hover_background_color\":\"\",\"order_summary_variations_color\":\"\"},\"order_summary_variations_color\":\"#444444\",\"shipping_details_section_title\":\"Ship to a different address?\",\"shipping_details_form_fields\":[{\"field_key\":\"shipping_first_name\",\"field_label\":\"\\u0646\\u0627\\u0645\",\"label\":\"\\u0646\\u0627\\u0645\",\"placeholder\":\"\\u0646\\u0627\\u0645\",\"_id\":\"2c692f2\"},{\"field_key\":\"shipping_last_name\",\"field_label\":\"\\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc\",\"label\":\"\\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc\",\"_id\":\"9fae86e\"},{\"field_key\":\"shipping_company\",\"field_label\":\"Company Name\",\"label\":\"\\u0646\\u0627\\u0645 \\u0634\\u0631\\u06a9\\u062a (\\u0627\\u062e\\u062a\\u06cc\\u0627\\u0631\\u06cc)\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u0634\\u0631\\u06a9\\u062a (\\u0627\\u062e\\u062a\\u06cc\\u0627\\u0631\\u06cc)\",\"_id\":\"e3695ca\"},{\"field_key\":\"shipping_country\",\"field_label\":\"Country \\/ Region\",\"label\":\"Country \\/ Region\",\"placeholder\":\"Country \\/ Region\",\"repeater_state\":\"locale\",\"_id\":\"23a496b\"},{\"field_key\":\"shipping_address_1\",\"field_label\":\"Street Address\",\"label\":\"Street Address\",\"placeholder\":\"Street Address\",\"repeater_state\":\"locale\",\"_id\":\"a1c6fac\"},{\"field_key\":\"shipping_postcode\",\"field_label\":\"Post Code\",\"label\":\"Post Code\",\"placeholder\":\"Post Code\",\"repeater_state\":\"locale\",\"_id\":\"24e0094\"},{\"field_key\":\"shipping_city\",\"field_label\":\"Town \\/ City\",\"label\":\"Town \\/ City\",\"placeholder\":\"Town \\/ City\",\"repeater_state\":\"locale\",\"_id\":\"7882c1f\"},{\"field_key\":\"shipping_state\",\"field_label\":\"State\",\"label\":\"State\",\"placeholder\":\"State\",\"repeater_state\":\"locale\",\"_id\":\"4ff78c2\"}]},\"elements\":[],\"widgetType\":\"woocommerce-checkout-page\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("3972", "16", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("3973", "138", "pageview", "148");
INSERT INTO `wp_sa_postmeta` VALUES("4022", "546", "_wp_attached_file", "2023/07/placeholder-6.png");
INSERT INTO `wp_sa_postmeta` VALUES("4023", "546", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-6.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-6-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-6-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-6-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-6-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-6-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-6-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-6-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("4024", "546", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("4054", "537", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("4055", "537", "_rankmath__data", "[{\"id\":\"dd287d6\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"1.6\",\"left\":\"2\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"1862fcf\"}]},\"elements\":[{\"id\":\"ae9efa4\",\"elType\":\"widget\",\"settings\":{\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8ede442\"}],\"__dynamic__\":{\"rating\":\"[elementor-tag id=\\\"f5a9f11\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__stars_testimonial%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"star-rating\"},{\"id\":\"f1959ad\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"9b400e1\"}],\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"9f1715e\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__content_testimonial%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"de84f2e\",\"elType\":\"widget\",\"settings\":{\"source\":\"custom\",\"author_name\":\"John Doe\",\"author_bio\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\",\"link_text\":\"\\u0647\\u0645\\u0647 \\u067e\\u0633\\u062a \\u0647\\u0627\",\"image_size\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"image_gap\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"name_typography_font_weight\":\"normal\",\"bio_typography_typography\":\"custom\",\"bio_typography_font_family\":\"IRANSansWeb_Light\",\"bio_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"bio_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"834b04c\"}],\"__dynamic__\":{\"author_avatar\":\"[elementor-tag id=\\\"27019ef\\\" name=\\\"jet-cct-image\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__img_testimonial%22%7D\\\"]\",\"author_name\":\"[elementor-tag id=\\\"462381c\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__name_testimonial%22%7D\\\"]\",\"author_bio\":\"[elementor-tag id=\\\"7e73bc3\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__actor_testimonial%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"author-box\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("4057", "537", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("4195", "17", "_edit_lock", "1688635963:2");
INSERT INTO `wp_sa_postmeta` VALUES("4196", "17", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("4197", "17", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("4198", "17", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("4199", "17", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("4200", "561", "_wp_attached_file", "2023/07/Ecommerce-campaign-amico.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4201", "561", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:74396;s:5:\"width\";d:500;s:6:\"height\";d:500;}");
INSERT INTO `wp_sa_postmeta` VALUES("4202", "561", "_elementor_source_image_hash", "22851190dcf93d52e03ad60ab49394c9bfc609b4");
INSERT INTO `wp_sa_postmeta` VALUES("4203", "562", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("4204", "562", "_elementor_template_type", "container");
INSERT INTO `wp_sa_postmeta` VALUES("4205", "562", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("4206", "562", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("4207", "562", "_rankmath__data", "[{\"id\":\"572ea6f0\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d44f55a\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"7c8147dc\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":20},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7763399\"}]},\"elements\":[{\"id\":\"708a030b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"600\",\"jedv_conditions\":[{\"_id\":\"ee08632\"}],\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"5a0e690\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22display_name%22%2C%22before%22%3A%22%D8%B3%D9%84%D8%A7%D9%85%20%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"50f130c7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u062c\\u0647\\u062a \\u062f\\u0633\\u062a\\u0631\\u0633\\u06cc \\u0622\\u0633\\u0627\\u0646 \\u0628\\u0647 \\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u067e\\u06cc\\u0634\\u062e\\u0648\\u0627\\u0646 \\u0645\\u06cc\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0627\\u0632 \\u0645\\u0646\\u0648\\u06cc \\u0631\\u0648\\u0628\\u0631\\u0648 \\u0627\\u0642\\u062f\\u0627\\u0645 \\u0641\\u0631\\u0645\\u0627\\u06cc\\u06cc\\u062f.<\\/p>\",\"jedv_conditions\":[{\"_id\":\"9ba5e18\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"390e8b74\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":561,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Ecommerce-campaign-amico.svg\"},\"jedv_conditions\":[{\"_id\":\"b2a74fb\"}],\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":165,\"sizes\":[]},\"object-fit\":\"contain\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"6af42711\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":80},\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"10925f9\"}]},\"elements\":[{\"id\":\"73bf526d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bffae43\"}],\"content_width\":\"full\",\"flex_justify_content\":\"flex-start\",\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"1a87ae06\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-list-alt\",\"library\":\"fa-regular\"},\"title_text\":\"\\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0627\",\"description_text\":\"\",\"title_size\":\"span\",\"primary_color\":\"#D1CFCF\",\"icon_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_color\":\"#737373\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanweblight_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"_padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"524e022\"}],\"_background_background\":\"classic\",\"_background_color\":\"#FAFAFA\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EEEDED\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector:hover span {\\r\\n    color: var( --e-global-color-primary );\\r\\n    transition: 0.3;\\r\\n}\\r\\nselector:hover i.far.fa-list-alt {\\r\\n    color: var( --e-global-color-primary );\\r\\n   transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) i.far.fa-list-alt {\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) span {\\r\\n       transition: 0.3s;\\r\\n}\\r\\n    \",\"__globals__\":{\"primary_color\":\"\",\"title_color\":\"globals\\/colors?id=text\",\"hover_primary_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/orders\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"69167971\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-arrow-alt-circle-down\",\"library\":\"fa-regular\"},\"title_text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0647\\u0627\",\"description_text\":\"\",\"title_size\":\"span\",\"primary_color\":\"#D1CFCF\",\"icon_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_color\":\"#737373\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanweblight_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"_padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"524e022\"}],\"_background_background\":\"classic\",\"_background_color\":\"#FAFAFA\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EEEDED\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector:hover i.far.fa-arrow-alt-circle-down {\\r\\n    color: var( --e-global-color-primary );\\r\\n    transition: 0.3;\\r\\n}\\r\\nselector:hover span {\\r\\n    color: var( --e-global-color-primary );\\r\\n   transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) span {\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) i.far.fa-arrow-alt-circle-down {\\r\\n       transition: 0.3s;\\r\\n}\\r\\n    \",\"__globals__\":{\"primary_color\":\"\",\"title_color\":\"globals\\/colors?id=text\",\"hover_primary_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/downloads\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"1d69b2b6\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-map\",\"library\":\"fa-regular\"},\"title_text\":\"\\u0622\\u062f\\u0631\\u0633\",\"description_text\":\"\",\"title_size\":\"span\",\"primary_color\":\"#D1CFCF\",\"icon_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_color\":\"#737373\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanweblight_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"_padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"524e022\"}],\"_background_background\":\"classic\",\"_background_color\":\"#FAFAFA\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EEEDED\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector:hover i.far.fa-map {\\r\\n    color: var( --e-global-color-primary );\\r\\n    transition: 0.3;\\r\\n}\\r\\nselector:hover span {\\r\\n    color: var( --e-global-color-primary );\\r\\n   transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) i.far.fa-map {\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) span {\\r\\n       transition: 0.3s;\\r\\n}\\r\\n    \",\"__globals__\":{\"primary_color\":\"\",\"title_color\":\"globals\\/colors?id=text\",\"hover_primary_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/edit-address\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"b0ee73a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bffae43\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"8604036\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-user-circle\",\"library\":\"fa-regular\"},\"title_text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u062d\\u0633\\u0627\\u0628\",\"description_text\":\"\",\"title_size\":\"span\",\"primary_color\":\"#D1CFCF\",\"icon_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_color\":\"#737373\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanweblight_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"_padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"524e022\"}],\"_background_background\":\"classic\",\"_background_color\":\"#FAFAFA\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EEEDED\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector:hover i.far.fa-user-circle {\\r\\n    color: var( --e-global-color-primary );\\r\\n    transition: 0.3;\\r\\n}\\r\\nselector:hover span {\\r\\n    color: var( --e-global-color-primary );\\r\\n   transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) i.far.fa-user-circle {\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) span {\\r\\n       transition: 0.3s;\\r\\n}\\r\\n    \",\"__globals__\":{\"primary_color\":\"\",\"title_color\":\"globals\\/colors?id=text\",\"hover_primary_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/edit-account\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"23170bc\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-heart\",\"library\":\"fa-regular\"},\"title_text\":\"\\u0639\\u0644\\u0627\\u0642\\u0645\\u0646\\u062f\\u06cc\",\"description_text\":\"\",\"title_size\":\"span\",\"primary_color\":\"#D1CFCF\",\"icon_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_color\":\"#737373\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanweblight_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"_padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"524e022\"}],\"_background_background\":\"classic\",\"_background_color\":\"#FAFAFA\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EEEDED\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector:hover i.far.fa-heart {\\r\\n    color: var( --e-global-color-primary );\\r\\n    transition: 0.3;\\r\\n}\\r\\nselector:hover span {\\r\\n    color: var( --e-global-color-primary );\\r\\n   transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) i.far.fa-heart {\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) span {\\r\\n       transition: 0.3s;\\r\\n}\\r\\n    \",\"__globals__\":{\"primary_color\":\"\",\"title_color\":\"globals\\/colors?id=text\",\"hover_primary_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/wishlist\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"67e9f836\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-window-close\",\"library\":\"fa-regular\"},\"title_text\":\"\\u062e\\u0631\\u0648\\u062c\",\"description_text\":\"\",\"title_size\":\"span\",\"primary_color\":\"#D1CFCF\",\"icon_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_color\":\"#737373\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanweblight_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"_padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"_flex_size\":\"grow\",\"jedv_conditions\":[{\"_id\":\"524e022\"}],\"_background_background\":\"classic\",\"_background_color\":\"#FAFAFA\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EEEDED\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector:hover i.far.fa-window-close {\\r\\n    color: var( --e-global-color-primary );\\r\\n    transition: 0.3;\\r\\n}\\r\\nselector:hover span {\\r\\n    color: var( --e-global-color-primary );\\r\\n   transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) i.far.fa-window-close {\\r\\n    transition: 0.3s;\\r\\n}\\r\\nselector:not(hover) span {\\r\\n       transition: 0.3s;\\r\\n}\\r\\n    \",\"__globals__\":{\"primary_color\":\"\",\"title_color\":\"globals\\/colors?id=text\",\"hover_primary_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/my-account\\/customer-logout\\/?elementor_wc_logout=true&elementor_my_account_redirect=https%3A%2F%2Fhalochin.ir%2Fmultivendor%2Fmy-account%2F&_wpnonce=1024346fde\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("4213", "562", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("4222", "17", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("4223", "17", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("4224", "17", "_rankmath__data", "[{\"id\":\"0e10d59\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5e27144\"}],\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"df6475d\",\"elType\":\"widget\",\"settings\":{\"tabs_content_spacing\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"tabs\":[{\"field_key\":\"dashboard\",\"field_label\":\"Dashboard\",\"tab_name\":\"\\u067e\\u06cc\\u0634\\u062e\\u0648\\u0627\\u0646\",\"_id\":\"1e27a61\"},{\"field_key\":\"orders\",\"field_label\":\"Orders\",\"tab_name\":\"\\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0627\",\"_id\":\"f98e70a\"},{\"field_key\":\"downloads\",\"field_label\":\"Downloads\",\"tab_name\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f\\u0647\\u0627\",\"_id\":\"62a2a50\"},{\"field_key\":\"edit-address\",\"field_label\":\"Addresses\",\"tab_name\":\"\\u0622\\u062f\\u0631\\u0633 \\u0647\\u0627\",\"_id\":\"4b1bada\"},{\"field_key\":\"edit-account\",\"field_label\":\"Account Details\",\"tab_name\":\"\\u062c\\u0632\\u0626\\u06cc\\u0627\\u062a \\u062d\\u0633\\u0627\\u0628\",\"_id\":\"4fe307c\"},{\"field_key\":\"customer-logout\",\"field_label\":\"Logout\",\"tab_name\":\"\\u062e\\u0631\\u0648\\u062c\",\"_id\":\"911d014\"}],\"tabs_typography_typography\":\"custom\",\"tabs_typography_font_family\":\"iranyekanweblight_FaNum\",\"tabs_normal_background_background\":\"classic\",\"tabs_normal_background_color\":\"#EF3A4F00\",\"tabs_normal_color\":\"#474747\",\"tabs_hover_color\":\"#474747\",\"tabs_active_background_background\":\"gradient\",\"tabs_active_background_color\":\"#FFC6C600\",\"tabs_active_background_color_b\":\"#EF3A4F4A\",\"tabs_active_background_gradient_angle\":{\"unit\":\"deg\",\"size\":86,\"sizes\":[]},\"tabs_active_color\":\"#474747\",\"tabs_border_type\":\"none\",\"tabs_spacing\":{\"unit\":\"px\",\"size\":4,\"sizes\":[],\"px\":0},\"my_account_sections_background_color\":\"#F8F8F8\",\"sections_border_type\":\"none\",\"sections_padding\":{\"unit\":\"px\",\"top\":\"18\",\"right\":\"18\",\"bottom\":\"18\",\"left\":\"18\",\"isLinked\":true},\"section_titles_typography_typography\":\"custom\",\"section_titles_typography_font_family\":\"iranyekanweblight_FaNum\",\"section_titles_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"general_text_typography_typography\":\"custom\",\"general_text_typography_font_family\":\"iranyekanwebregular_FaNum\",\"general_text_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"login_messages_typography_typography\":\"custom\",\"login_messages_typography_font_family\":\"iranyekanwebregular_FaNum\",\"login_messages_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"checkboxes_typography_typography\":\"custom\",\"checkboxes_typography_font_family\":\"iranyekanwebregular_FaNum\",\"checkboxes_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"payment_methods_radio_buttons_typography_typography\":\"custom\",\"payment_methods_radio_buttons_typography_font_family\":\"iranyekanwebregular_FaNum\",\"payment_methods_radio_buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"links_normal_color\":\"#7C7C7C\",\"tables_titles_typography_typography\":\"custom\",\"tables_titles_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"tables_titles_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"tables_items_typography_typography\":\"custom\",\"tables_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"tables_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"variations_typography_typography\":\"custom\",\"variations_typography_font_family\":\"iranyekanwebregular_FaNum\",\"variations_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"tables_button_typography_typography\":\"custom\",\"tables_button_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"6a5ac96\"}],\"custom_css\":\"\\/* \\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u0633\\u0627\\u06cc\\u062f\\u0631 \\u0628\\u0627\\u0631 \\u0631\\u0627\\u0633\\u062a*\\/\\nselector nav.woocommerce-MyAccount-navigation {\\n    box-shadow: -2px 2px 30px #00000010;\\n    border-radius: 10px;\\n}\\n\\/*\\u0627\\u06cc\\u062a\\u0627\\u06cc\\u0644 \\u0633\\u0627\\u06cc\\u062f \\u0628\\u0627\\u0631 \\u0633\\u0645\\u062a \\u0686\\u067e*\\/\\nselector .woocommerce-MyAccount-content-wrapper {\\n    box-shadow: -2px 2px 30px #00000010;\\n    border-radius: 10px !important;\\n}\\nselector .woocommerce-Message.woocommerce-Message--info.woocommerce-info {\\n    border-radius: 10px;\\n    font-family: \'iranyekanwebregular_FaNum\';\\n}\\nselector a.woocommerce-Button.button {\\n    font-weight: normal;\\n    border-radius: 8px;\\n}\\nselector form {\\n    border-radius: 10px !important;\\n}\\nselector .woocommerce-MyAccount-content-wrapper {\\n    padding: 20px !important;\\n}\\nselector .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce a:hover {\\n    color: var(--e-global-color-primary );\\n}\\n\\/*\\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u0633\\u0641\\u0627\\u0631\\u0634 \\u0647\\u0627*\\/\\nselector h2.woocommerce-order-details__title {\\n    margin-bottom: 0px !important;\\n    font-weight: 600 !important;\\n}\\nselector h2 {\\n    margin-bottom: 0px !important;\\n    font-weight: 600 !important;\\n}\\ntable.woocommerce-table.woocommerce-table--order-details.shop_table.order_details {\\n    border-radius: 10px;\\n}\\nselector .woocommerce .woocommerce-customer-details address {\\n    border-radius: 10px !important;\\n}\\n\\/*\\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u0627\\u062f\\u0631\\u0633 \\u0647\\u0627*\\/\\nselector h3 {\\n    margin: 0px !important;\\n    font-weight: 600 !important;\\n}\\n\\/*\\u0627\\u0633\\u062a\\u0627\\u06cc\\u0644 \\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u062d\\u0633\\u0627\\u0628*\\/\\nselector .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce-message {\\n    border-radius: 10px;\\n    font-size: 14px;\\n    font-family: \'iranyekanwebregular_FaNum\';\\n}\\nselector ul.woocommerce-error {\\n    border-radius: 10px;\\n    font-family: \'iranyekanwebregular_FaNum\';\\n}\\nselector .woocommerce-info {\\n    border-radius: 10px;\\n    font-family: \'iranyekanwebregular\';\\n}\\nselector a.dokan-btn-theme, .dokan-btn-theme {\\n    color: #fff;\\n    background-color: var(--e-global-color-primary );\\n    border-color: var(--e-global-color-primary );\\n    border-radius: 8px;\\n}\\n\\/*selector p {*\\/\\n\\/*    display: flex !important;*\\/\\n\\/*    justify-content: flex-end;*\\/\\n\\/*}*\\/\\n\\/*selector form.woocommerce-form.woocommerce-form-register.register {*\\/\\n\\/*    height: 795px !important;*\\/\\n\\/*}*\\/\\nselector h2 {\\n    font-size: 20px !important;\\n}\",\"forms_rows_gap\":{\"unit\":\"px\",\"size\":20,\"sizes\":[],\"px\":0},\"forms_label_typography_typography\":\"custom\",\"forms_label_typography_font_family\":\"iranyekanwebregular_FaNum\",\"forms_label_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[],\"px\":0},\"forms_field_typography_typography\":\"custom\",\"forms_field_typography_font_family\":\"iranyekanwebregular_FaNum\",\"forms_fields_normal_background_background\":\"classic\",\"forms_fields_normal_background_color\":\"#FFFFFF\",\"forms_fields_border_radius\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"11\",\"bottom\":\"11\",\"left\":\"11\",\"isLinked\":true},\"forms_fields_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"forms_button_typography_typography\":\"custom\",\"forms_button_typography_font_family\":\"iranyekanwebregular_FaNum\",\"forms_button_typography_font_weight\":\"normal\",\"forms_buttons_background_background\":\"classic\",\"forms_buttons_hover_background_background\":\"classic\",\"forms_buttons_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"tables_rows_gap\":{\"unit\":\"px\",\"size\":35,\"sizes\":[],\"px\":0},\"tables_title_color\":\"#333333\",\"tables_titles_typography_font_weight\":\"normal\",\"tables_links_normal_color\":\"#202020\",\"tables_links_hover_color\":\"#202020\",\"tables_divider_border_type\":\"solid\",\"tables_divider_border_width\":{\"unit\":\"px\",\"size\":1,\"sizes\":[],\"px\":0},\"tables_button_typography_font_weight\":\"normal\",\"tables_button_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"tables_button_border_color\":\"#CECECE\",\"tables_button_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"tables_button_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"20\",\"bottom\":\"7\",\"left\":\"20\",\"isLinked\":false},\"__globals__\":{\"tables_title_color\":\"\",\"tables_links_normal_color\":\"\",\"tables_button_border_color\":\"\",\"forms_buttons_background_color\":\"globals\\/colors?id=primary\",\"forms_buttons_hover_background_color\":\"globals\\/colors?id=secondary\",\"tabs_active_background_color_b\":\"\",\"tabs_normal_background_color\":\"\"},\"_flex_align_self\":\"stretch\",\"tabs_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"forms_buttons_background_color\":\"#EF3A4F\",\"forms_buttons_hover_background_color\":\"#333333\",\"customize_dashboard_check\":\"yes\",\"customize_dashboard_select\":\"562\"},\"elements\":[],\"widgetType\":\"woocommerce-my-account\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("4232", "17", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("4245", "562", "_edit_lock", "1688536678:2");
INSERT INTO `wp_sa_postmeta` VALUES("4357", "562", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("4415", "586", "_edit_lock", "1716803971:1");
INSERT INTO `wp_sa_postmeta` VALUES("4470", "586", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("4471", "586", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("4472", "586", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("4473", "586", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("4474", "526", "_edit_lock", "1688545480:2");
INSERT INTO `wp_sa_postmeta` VALUES("4475", "526", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("4476", "526", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("4477", "526", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("4478", "526", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("4498", "526", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("4499", "526", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("4500", "526", "_rankmath__data", "[{\"id\":\"37bf5cc\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"89875f1\"}]},\"elements\":[{\"id\":\"c270eac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[dokan-dashboard]\",\"jedv_conditions\":[{\"_id\":\"f81c10e\"}],\"custom_css\":\"\\r\\n.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu li.active {\\r\\n    background: var(--e-global-color-primary ) !important;\\r\\n}\\r\\n.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu li:hover {\\r\\n    background: var(--e-global-color-primary ) !important;\\r\\n}\\r\\n.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu li.dokan-common-links a:hover {\\r\\n    background: var(--e-global-color-primary ) !important;\\r\\n}\\r\\nselector span.select2-selection.select2-selection--single {\\r\\n    border-radius: 8px !important;\\r\\n}\\r\\nselector input[type=\\\"text\\\"] {\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector .dokan-dash-sidebar {\\r\\n    border-radius: 15px !important;\\r\\n}\\r\\nselect#filter-by-date {\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselect#product_cat {\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselect#filter-by-type {\\r\\n    border-radius: 8px;\\r\\n}\\r\\ninput[type=\'submit\'].dokan-btn:hover, a.dokan-btn:hover, .dokan-btn:hover, input[type=\'submit\'].dokan-btn:focus, a.dokan-btn:focus, .dokan-btn:focus, input[type=\'submit\'].dokan-btn.focus, a.dokan-btn.focus, .dokan-btn.focus {\\r\\n    background-color: var(--e-global-color-primary )!important;\\r\\n    border: none;\\r\\n}\\r\\nselector .dokan-w5 {\\r\\n    width: 280px;\\r\\n}\\r\\nselector input[type=\'submit\'].dokan-btn-theme, a.dokan-btn-theme, .dokan-btn-theme {\\r\\n    color: #fff;\\r\\n    background-color: var(--e-global-color-primary )!important;\\r\\n    border: none;\\r\\n}\\r\\ninput[type=\'submit\'].dokan-btn-theme:hover, a.dokan-btn-theme:hover, .dokan-btn-theme:hover, input[type=\'submit\'].dokan-btn-theme:focus, a.dokan-btn-theme:focus, .dokan-btn-theme:focus, input[type=\'submit\'].dokan-btn-theme:active, a.dokan-btn-theme:active, .dokan-btn-theme:active, input[type=\'submit\'].dokan-btn-theme.active, a.dokan-btn-theme.active, .dokan-btn-theme.active, .open .dropdown-toggleinput[type=\'submit\'].dokan-btn-theme, .open .dropdown-togglea.dokan-btn-theme, .open .dropdown-toggle.dokan-btn-theme {\\r\\n    background-color: var(--e-global-color-primary )!important;\\r\\n    border: none;\\r\\n}\\r\\nselect#bulk-product-action-selector {\\r\\n    border-radius: 8px;\\r\\n}\\r\\ntable#dokan-product-list-table {\\r\\n    border-top: 1px solid #ebebeb;\\r\\n}\\r\\nselector .dokan-table-striped > tbody > tr:nth-of-type(odd) {\\r\\n    background-color: #f5f5f5;\\r\\n}\\r\\nselector bdi {\\r\\n    font-size: 18px;\\r\\n}\\r\\nselector ul.dokan-dashboard-menu {\\r\\n    border-radius: 20px;\\r\\n}\\r\\ninput#account_first_name {\\r\\n    border: 1px solid #ebebeb;\\r\\n}\\r\\ninput#account_last_name {\\r\\n    border: 1px solid #ebebeb;\\r\\n}\\r\\ninput#account_email {\\r\\n    border: 1px solid #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector fieldset {\\r\\n    border: none;\\r\\n}\\r\\ninput#password_current {\\r\\n    border: 1px solid #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\ninput#password_1 {\\r\\n    border: 1px solid #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\ninput#password_2 {\\r\\n    border: 1px solid #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\ninput.dokan-btn.dokan-btn-danger.dokan-btn-theme {\\r\\n    border-radius: 8px;\\r\\n}\\r\\n.dokan-dashboard .dokan-dashboard-content .dokan-page-help {\\r\\n    font-style: normal;\\r\\n}\\r\\nselector h2 {\\r\\n    font-size: 20px !important;\\r\\n}\\r\\nselector li {\\r\\n    border-top-right-radius: 8px !important;\\r\\n    border-top-left-radius: 8px !important;\\r\\n}\\r\\nselector .dokan-dashboard-content ul.dokan_tabs li:first-child {\\r\\n    margin-left: 0;\\r\\n}\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("4508", "526", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("4571", "605", "_wp_attached_file", "2023/07/contact-top.png");
INSERT INTO `wp_sa_postmeta` VALUES("4572", "605", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1440;s:6:\"height\";i:253;s:4:\"file\";s:23:\"2023/07/contact-top.png\";s:8:\"filesize\";i:208503;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"contact-top-300x253.png\";s:5:\"width\";i:300;s:6:\"height\";i:253;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:54834;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"contact-top-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:19093;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"contact-top-600x105.png\";s:5:\"width\";i:600;s:6:\"height\";i:105;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:118636;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"contact-top-300x53.png\";s:5:\"width\";i:300;s:6:\"height\";i:53;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:33344;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"contact-top-1024x180.png\";s:5:\"width\";i:1024;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:319706;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"contact-top-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39705;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"contact-top-768x135.png\";s:5:\"width\";i:768;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:187577;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("4573", "606", "_wp_attached_file", "2023/07/map-img-min.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("4574", "606", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:880;s:6:\"height\";i:422;s:4:\"file\";s:23:\"2023/07/map-img-min.jpg\";s:8:\"filesize\";i:51254;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"map-img-min-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15025;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"map-img-min-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2244;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"map-img-min-600x288.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:288;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27295;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"map-img-min-300x144.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7681;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"map-img-min-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4376;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"map-img-min-768x368.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:368;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41243;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("4575", "606", "_elementor_source_image_hash", "ea9cd76a16a7aee6609f42d34a9f0ba1c49b6bb0");
INSERT INTO `wp_sa_postmeta` VALUES("4613", "586", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("4614", "586", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("4615", "586", "_rankmath__data", "[{\"id\":\"945fa07\",\"elType\":\"container\",\"settings\":{\"boxed_width\":{\"unit\":\"px\",\"size\":1300,\"sizes\":[]},\"min_height\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]},\"flex_align_items\":\"flex-start\",\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_image\":{\"id\":605,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/contact-top.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#3D4A6D\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.90000000000000002220446049250313080847263336181640625,\"sizes\":[]},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"01\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b77dbe0\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d6f74bc\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"f2e049d\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"6cad985\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4d961be\",\"elType\":\"widget\",\"settings\":{\"title\":\"Contact Us\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"44ebd8c\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":82,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":69,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":41,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"56c8f95\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1133a33\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"e25ec68\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":5,\"blur\":15,\"spread\":0,\"color\":\"rgba(214.03125, 214.03125, 214.03125, 0.17)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"5a306cc\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[],\"column\":\"30\",\"row\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"62b4218\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":36,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"154b8f2\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":50,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b2f86d2\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"628\",\"jedv_conditions\":[{\"_id\":\"c8209d2\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":true},{\"id\":\"c584a82\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":64,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"de8c7f6\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":50,\"unit\":\"%\"},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"7065da0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":606,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/map-img-min.jpg\"},\"image_size\":\"full\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6835ca0\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":375,\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":176,\"sizes\":[]},\"object-fit_tablet\":\"cover\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"ba0f567\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"wd_container_stretch\":\"stretch\",\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d229aed\"}],\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"42b4682\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"750b43b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":8,\"sizes\":[],\"column\":\"8\",\"row\":\"8\",\"isLinked\":true}},\"elements\":[{\"id\":\"2bf1cda\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0648\\u0632 \\u0647\\u0627\\u06cc \\u062a\\u0639\\u0637\\u06cc\\u0644\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7871d82\",\"elType\":\"widget\",\"settings\":{\"title\":\"holidays\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ff13575\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"334f796\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4b163e9\"}],\"scroll_y\":-80,\"editor\":\"<p>\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 \\u062f\\u0631 \\u0631\\u0648\\u0632 \\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0631 \\u062a\\u0639\\u0637\\u06cc\\u0644 \\u0627\\u0633\\u062a\\u061b \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0632\\u0645\\u0627\\u0646 \\u0647\\u0627 \\u06a9\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0646\\u0645\\u06cc\\u0634\\u0648\\u062f \\u0648 \\u0646\\u0645\\u06cc\\u062a\\u0648\\u0627\\u0646\\u06cc\\u0645 \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648 \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646 \\u0628\\u0627\\u0634\\u06cc\\u0645.<\\/p>\",\"wd_color_scheme\":\"inherit\",\"wd_content_align\":\"left\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6d66fd4\",\"elType\":\"container\",\"settings\":{\"structure\":\"50\",\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4c9a700\"}],\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":30,\"unit\":\"px\",\"column\":\"30\",\"row\":\"30\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[],\"column\":\"20\",\"row\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"cabe3d2\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-10,\"vertical\":10,\"blur\":10,\"spread\":0,\"color\":\"rgba(228.4500274658203, 228.4500274658203, 228.4500274658203, 0.14)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"26ca020\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]}},\"elements\":[{\"id\":\"b6af1a2\",\"elType\":\"widget\",\"settings\":{\"title\":\"1 \\u062a\\u0627 13\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"df9387e\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"584eae4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0631\\u062f\\u06cc\\u0646\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"b770025\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"60f4ab1\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"jedv_conditions\":[{\"_id\":\"0557e84\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"8e41576\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u06cc\\u062f \\u0646\\u0648\\u0631\\u0648\\u0632\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"991dcd2\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"3b7085a\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-10,\"vertical\":10,\"blur\":10,\"spread\":0,\"color\":\"rgba(228.4500274658203, 228.4500274658203, 228.4500274658203, 0.14)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0c0b67f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[{\"id\":\"a482cc2\",\"elType\":\"widget\",\"settings\":{\"title\":\"14\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"df9387e\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0042433\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u0631\\u062f\\u0627\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"b770025\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2c598b1\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"jedv_conditions\":[{\"_id\":\"0557e84\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"1945f66\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u062d\\u0644\\u062a \\u0627\\u0645\\u0627\\u0645 \\u062e\\u0645\\u06cc\\u0646\\u06cc(\\u0631\\u0647)\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"991dcd2\"}],\"scroll_y\":-80,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"c0605be\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-10,\"vertical\":10,\"blur\":10,\"spread\":0,\"color\":\"rgba(228.4500274658203, 228.4500274658203, 228.4500274658203, 0.14)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d5db3c9\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]}},\"elements\":[{\"id\":\"8cc056a\",\"elType\":\"widget\",\"settings\":{\"title\":\"17\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"df9387e\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35fd46f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0631\\u062f\\u0627\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"b770025\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c2b76cf\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"jedv_conditions\":[{\"_id\":\"0557e84\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"0bd795f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0627\\u0633\\u0648\\u0639\\u0627\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"991dcd2\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"f071647\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-10,\"vertical\":10,\"blur\":10,\"spread\":0,\"color\":\"rgba(228.4500274658203, 228.4500274658203, 228.4500274658203, 0.14)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d60d8ef\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[{\"id\":\"d534045\",\"elType\":\"widget\",\"settings\":{\"title\":\"18\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"df9387e\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d951adf\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0631\\u062f\\u0627\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"b770025\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8e1c250\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"jedv_conditions\":[{\"_id\":\"0557e84\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"7894ec5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u0627\\u0634\\u0648\\u0631\\u0627\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"991dcd2\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"d5fa2a4\",\"elType\":\"container\",\"settings\":{\"_column_size\":20,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-10,\"vertical\":10,\"blur\":10,\"spread\":0,\"color\":\"rgba(228.4500274658203, 228.4500274658203, 228.4500274658203, 0.14)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d60d8ef\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"986e646\",\"elType\":\"widget\",\"settings\":{\"title\":\"26\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"df9387e\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2969f8c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0634\\u0647\\u0631\\u06cc\\u0648\\u0631\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"b770025\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1cc5155\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"jedv_conditions\":[{\"_id\":\"0557e84\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"1b79c45\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0628\\u0639\\u06cc\\u0646 \\u062d\\u0633\\u06cc\\u0646\\u06cc\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"991dcd2\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"7111534\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"3\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d229aed\"}],\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"bcfa960\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"750b43b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"7d3ff36\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u0627\\u0645 \\u0628\\u0647 \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"_element_width_mobile\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":14},\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"922ca8a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send a message\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"10\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"align\":\"left\",\"_element_width_mobile\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":11,\"sizes\":[]},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"df8c5e6\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"0b564c8\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4b163e9\"}],\"scroll_y\":-80,\"editor\":\"<p>\\u0628\\u0631\\u0627\\u06cc \\u067e\\u06cc\\u06af\\u06cc\\u0631\\u06cc \\u0633\\u0641\\u0627\\u0631\\u0634 \\u062e\\u0648\\u062f \\u0648 \\u06cc\\u0627 \\u0637\\u0631\\u062d \\u0633\\u0648\\u0627\\u0644\\u060c \\u0641\\u0631\\u0645 \\u0632\\u06cc\\u0631 \\u0631\\u0627 \\u062a\\u06a9\\u0645\\u06cc\\u0644 \\u06a9\\u0646\\u06cc\\u062f.<\\/p>\",\"wd_color_scheme\":\"inherit\",\"wd_content_align\":\"left\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"69b1bf7\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5dd3f01\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":30,\"unit\":\"px\",\"column\":\"30\",\"row\":\"30\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"a650898\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":77.91599999999999681676854379475116729736328125,\"unit\":\"%\"},\"flex_justify_content\":\"flex-end\",\"jedv_conditions\":[{\"_id\":\"8d7c440\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":66,\"unit\":\"%\"},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e59ac65\",\"elType\":\"widget\",\"settings\":{\"form_name\":\"\\u0641\\u0631\\u0645 \\u062c\\u062f\\u06cc\\u062f\",\"form_fields\":[{\"custom_id\":\"name\",\"field_label\":\"\\u0646\\u0627\\u0645\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u0634\\u0645\\u0627\",\"dynamic\":{\"active\":true},\"_id\":\"2e80750\"},{\"_id\":\"e9f30a3\",\"field_type\":\"tel\",\"field_label\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0645\\u0627\\u0633\",\"placeholder\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0645\\u0627\\u0633\",\"custom_id\":\"field_e9f30a3\"},{\"_id\":\"fa54c20\",\"field_label\":\"\\u0645\\u0648\\u0636\\u0648\\u0639\",\"placeholder\":\"\\u0645\\u0648\\u0636\\u0648\\u0639\",\"custom_id\":\"field_fa54c20\"},{\"custom_id\":\"message\",\"field_type\":\"textarea\",\"field_label\":\"\\u067e\\u06cc\\u0627\\u0645\",\"placeholder\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0628\\u0646\\u0648\\u06cc\\u0633\\u06cc\\u062f ...\",\"_id\":\"e6567e6\"},{\"_id\":\"ac170f3\",\"field_type\":\"honeypot\",\"custom_id\":\"field_ac170f3\"}],\"show_labels\":\"\",\"button_align\":\"end\",\"step_next_label\":\"\\u0628\\u0639\\u062f\\u06cc\",\"step_previous_label\":\"\\u0642\\u0628\\u0644\\u06cc\",\"button_text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u067e\\u06cc\\u0627\\u0645\",\"selected_button_icon\":{\"value\":\"fas fa-arrow-left\",\"library\":\"fa-solid\"},\"email_to\":\"test-theme@demoabzar.com\",\"email_subject\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0686\\u0646\\u062f\\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u06af\\u06cc&quot;\",\"email_content\":\"[all-fields]\",\"email_from\":\"email@amrrz.kdevs.org\",\"email_from_name\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0686\\u0646\\u062f\\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u06af\\u06cc\",\"email_to_2\":\"test-theme@demoabzar.com\",\"email_subject_2\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0686\\u0646\\u062f\\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u06af\\u06cc&quot;\",\"email_content_2\":\"[all-fields]\",\"email_from_2\":\"email@amrrz.kdevs.org\",\"email_from_name_2\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0686\\u0646\\u062f\\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u06af\\u06cc\",\"email_reply_to_2\":\"test-theme@demoabzar.com\",\"mailchimp_fields_map\":[],\"drip_fields_map\":[],\"activecampaign_fields_map\":[],\"getresponse_fields_map\":[],\"convertkit_fields_map\":[],\"mailerlite_fields_map\":[],\"success_message\":\"\\u067e\\u06cc\\u0627\\u0645 \\u0634\\u0645\\u0627 \\u0628\\u0627 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u062f. \\u0628\\u0647 \\u0632\\u0648\\u062f\\u06cc \\u0628\\u0627 \\u0634\\u0645\\u0627 \\u062a\\u0645\\u0627\\u0633 \\u062e\\u0648\\u0627\\u0647\\u06cc\\u0645 \\u06af\\u0631\\u0641\\u062a.\",\"error_message\":\"\\u062e\\u0637\\u0627\\u06cc\\u06cc \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\",\"required_field_message\":\"\\u0627\\u06cc\\u0646 \\u0641\\u06cc\\u0644\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.\",\"invalid_message\":\"\\u06cc\\u06a9 \\u0645\\u0634\\u06a9\\u0644\\u06cc \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f. \\u0627\\u06cc\\u0646 \\u0641\\u0631\\u0645 \\u0646\\u0627\\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0633\\u062a.\",\"field_text_color\":\"#9D9D9D\",\"field_background_color\":\"#F7F8FA\",\"field_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"173b6c1\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#E3E3E3\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":-5,\"vertical\":5,\"blur\":10,\"spread\":0,\"color\":\"rgba(224.55001831054688, 224.55001831054688, 224.55001831054688, 0.5)\"},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\"},\"server_message\":\"Your submission failed because of a server error.\",\"custom_messages\":\"yes\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"form\"}],\"isInner\":true},{\"id\":\"2bb5ead\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":22,\"unit\":\"%\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"8aa8271\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":34,\"unit\":\"%\"},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"5030033\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":634,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Group-37165.png\"},\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f9200bd\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("4624", "586", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("4678", "619", "_wp_attached_file", "2023/07/map-contact5.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4679", "619", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1217;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("4680", "619", "_elementor_source_image_hash", "3e1ff7d9b6b6dc7a3b4eaf0c6875e86538d11ad0");
INSERT INTO `wp_sa_postmeta` VALUES("4681", "620", "_wp_attached_file", "2023/07/email-contact2.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4682", "620", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:795;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("4683", "620", "_elementor_source_image_hash", "bdeb42b590b2f34d119c20e1b673f79a68c696b8");
INSERT INTO `wp_sa_postmeta` VALUES("4684", "621", "_wp_attached_file", "2023/07/calling-cotact3.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4685", "621", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2281;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("4686", "621", "_elementor_source_image_hash", "4b296017aafd330466f971ff84fd3cc509a3bf02");
INSERT INTO `wp_sa_postmeta` VALUES("4687", "622", "_wp_attached_file", "2023/07/support-contact4.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4688", "622", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:590;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("4689", "622", "_elementor_source_image_hash", "697f8813fec2002e7bef2d69370c030927bc6eec");
INSERT INTO `wp_sa_postmeta` VALUES("4690", "623", "_wp_attached_file", "2023/07/clock-contact1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4691", "623", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:894;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("4692", "623", "_elementor_source_image_hash", "4686d534bc11e3321d8fb6ea94f74281dcd204f7");
INSERT INTO `wp_sa_postmeta` VALUES("4693", "624", "_wp_attached_file", "2023/07/Telegram-Outline.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4694", "624", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1530;s:5:\"width\";d:22;s:6:\"height\";d:22;}");
INSERT INTO `wp_sa_postmeta` VALUES("4695", "624", "_elementor_source_image_hash", "768cea6427b44ec572e5d186c42d4eaaab50c9bc");
INSERT INTO `wp_sa_postmeta` VALUES("4696", "625", "_wp_attached_file", "2023/07/Twitter-Outline.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4697", "625", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1134;s:5:\"width\";d:24;s:6:\"height\";d:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("4698", "625", "_elementor_source_image_hash", "355be3787455a6f7c48e5a8cdc11ad3f23663999");
INSERT INTO `wp_sa_postmeta` VALUES("4699", "626", "_wp_attached_file", "2023/07/Instagram-Outline.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4700", "626", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:4665;s:5:\"width\";d:22;s:6:\"height\";d:22;}");
INSERT INTO `wp_sa_postmeta` VALUES("4701", "626", "_elementor_source_image_hash", "51e602b5b3bd799639964418f69de29a4c51fd85");
INSERT INTO `wp_sa_postmeta` VALUES("4702", "627", "_wp_attached_file", "2023/07/Facebook-Outline.svg");
INSERT INTO `wp_sa_postmeta` VALUES("4703", "627", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:630;s:5:\"width\";d:22;s:6:\"height\";d:22;}");
INSERT INTO `wp_sa_postmeta` VALUES("4704", "627", "_elementor_source_image_hash", "e4fc3b90de74ba8f1ea780029d6f70b8de8fb7c5");
INSERT INTO `wp_sa_postmeta` VALUES("4705", "628", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("4706", "628", "_elementor_template_type", "section");
INSERT INTO `wp_sa_postmeta` VALUES("4707", "628", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("4708", "628", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("4709", "628", "_rankmath__data", "[{\"id\":\"e2e14f2\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#F2F1EE\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4e84909\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"space-between\"},\"elements\":[{\"id\":\"cd0299c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062f\\u0641\\u062a\\u0631 \\u0645\\u0631\\u06a9\\u0632\\u06cc\",\"selected_icon\":{\"value\":{\"id\":619,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/map-contact5.svg\"},\"library\":\"svg\"},\"_id\":\"1c8d98b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6bac6bf\"}],\"scroll_y\":-80,\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"b589d99\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0647\\u0631\\u0627\\u0646\\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a\\u060c\\u06a9\\u0648\\u0686\\u0647 \\u0633\\u0648\\u0645\",\"header_size\":\"span\",\"align\":\"left\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"e353eef\"}],\"scroll_y\":-80,\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"b4496e8\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#F2F1EE\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4e84909\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"space-between\"},\"elements\":[{\"id\":\"58ff552\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u06cc\\u0645\\u06cc\\u0644\",\"selected_icon\":{\"value\":{\"id\":620,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/email-contact2.svg\"},\"library\":\"svg\"},\"_id\":\"1c8d98b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6bac6bf\"}],\"scroll_y\":-80,\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"a7e0484\",\"elType\":\"widget\",\"settings\":{\"title\":\"info@yoursite.com\",\"header_size\":\"span\",\"align\":\"left\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"e353eef\"}],\"scroll_y\":-80,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"1811d80\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#F2F1EE\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4e84909\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"space-between\"},\"elements\":[{\"id\":\"f621c35\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0645\\u0627\\u0633 \\u0641\\u0631\\u0648\\u0634\",\"selected_icon\":{\"value\":{\"id\":621,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/calling-cotact3.svg\"},\"library\":\"svg\"},\"_id\":\"1c8d98b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6bac6bf\"}],\"scroll_y\":-80,\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"09e925e\",\"elType\":\"widget\",\"settings\":{\"title\":\"021-12345678\",\"header_size\":\"span\",\"align\":\"left\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"e353eef\"}],\"scroll_y\":-80,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"f85a1b4\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#F2F1EE\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4e84909\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"space-between\"},\"elements\":[{\"id\":\"56a1b61\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0645\\u0627\\u0633 \\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc\",\"selected_icon\":{\"value\":{\"id\":622,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/support-contact4.svg\"},\"library\":\"svg\"},\"_id\":\"1c8d98b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6bac6bf\"}],\"scroll_y\":-80,\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"92332dd\",\"elType\":\"widget\",\"settings\":{\"title\":\"021-12345678\",\"header_size\":\"span\",\"align\":\"left\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"e353eef\"}],\"scroll_y\":-80,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"3dd632a\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#F2F1EE\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4e84909\"}],\"flex_direction\":\"row\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"space-between\"},\"elements\":[{\"id\":\"b6ec1e3\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0627\\u0639\\u062a \\u067e\\u0627\\u0633\\u062e\\u06af\\u0648\\u06cc\\u06cc\",\"selected_icon\":{\"value\":{\"id\":623,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/clock-contact1.svg\"},\"library\":\"svg\"},\"_id\":\"1c8d98b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6bac6bf\"}],\"scroll_y\":-80,\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"14b6c90\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0634\\u0646\\u0628\\u0647 \\u062a\\u0627 \\u067e\\u0646\\u062c\\u0634\\u0646\\u0628\\u0647 24 \\u0633\\u0627\\u0639\\u062a\\u0647\",\"header_size\":\"span\",\"align\":\"left\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"e353eef\"}],\"scroll_y\":-80,\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"cd6e2a5\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c16a762\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_justify_content\":\"space-between\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"27c4020\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":624,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Telegram-Outline.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"description_text\":\"\",\"title_size\":\"span\",\"icon_space\":{\"unit\":\"px\",\"size\":-5,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_color\":\"#595959\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f918f59\"}],\"scroll_y\":-80,\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_border_color\":\"#F2F1EE\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"9975e6a\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":625,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Twitter-Outline.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0648\\u06cc\\u06cc\\u062a\\u0631\",\"description_text\":\"\",\"title_size\":\"span\",\"icon_space\":{\"unit\":\"px\",\"size\":-5,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_color\":\"#595959\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f918f59\"}],\"scroll_y\":-80,\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_border_color\":\"#F2F1EE\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"257ecb3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":626,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Instagram-Outline.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u0627\\u06cc\\u0646\\u0633\\u062a\\u0627\\u06af\\u0631\\u0627\\u0645\",\"description_text\":\"\",\"title_size\":\"span\",\"icon_space\":{\"unit\":\"px\",\"size\":-5,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_color\":\"#595959\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f918f59\"}],\"scroll_y\":-80,\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_border_color\":\"#F2F1EE\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"b64f161\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"id\":627,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Facebook-Outline.svg\"},\"library\":\"svg\"},\"title_text\":\"\\u0641\\u06cc\\u0633\\u0628\\u0648\\u06a9\",\"description_text\":\"\",\"title_size\":\"span\",\"icon_space\":{\"unit\":\"px\",\"size\":-5,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_color\":\"#595959\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f918f59\"}],\"scroll_y\":-80,\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_border_color\":\"#F2F1EE\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("4724", "628", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("4762", "634", "_wp_attached_file", "2023/07/Group-37165.png");
INSERT INTO `wp_sa_postmeta` VALUES("4763", "634", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:323;s:6:\"height\";i:459;s:4:\"file\";s:23:\"2023/07/Group-37165.png\";s:8:\"filesize\";i:67507;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"Group-37165-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:128216;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"Group-37165-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16783;}s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"Group-37165-211x300.png\";s:5:\"width\";i:211;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:87451;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"Group-37165-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:35158;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("4764", "634", "_elementor_source_image_hash", "41635d447205877672a2dfad904893c9d16d5ff2");
INSERT INTO `wp_sa_postmeta` VALUES("5043", "586", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("5044", "504", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("5073", "586", "__elementor_forms_snapshot", "[{\"id\":\"e59ac65\",\"name\":\"\\u0641\\u0631\\u0645 \\u062c\\u062f\\u06cc\\u062f\",\"fields\":[{\"id\":\"name\",\"type\":\"text\",\"label\":\"\\u0646\\u0627\\u0645\"},{\"id\":\"field_e9f30a3\",\"type\":\"tel\",\"label\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0645\\u0627\\u0633\"},{\"id\":\"field_fa54c20\",\"type\":\"text\",\"label\":\"\\u0645\\u0648\\u0636\\u0648\\u0639\"},{\"id\":\"message\",\"type\":\"textarea\",\"label\":\"\\u067e\\u06cc\\u0627\\u0645\"},{\"id\":\"field_ac170f3\",\"type\":\"honeypot\",\"label\":false}]}]");
INSERT INTO `wp_sa_postmeta` VALUES("5228", "126", "pageview", "51");
INSERT INTO `wp_sa_postmeta` VALUES("5313", "694", "_wp_attached_file", "2023/07/Vector.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5314", "694", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:789;s:5:\"width\";d:16;s:6:\"height\";d:14;}");
INSERT INTO `wp_sa_postmeta` VALUES("5315", "694", "_elementor_source_image_hash", "5a0512974cee5f6d623d812f1a1fcf25f4c54f5c");
INSERT INTO `wp_sa_postmeta` VALUES("5316", "695", "_wp_attached_file", "2023/07/info-circle.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5317", "695", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:497;s:5:\"width\";d:12;s:6:\"height\";d:12;}");
INSERT INTO `wp_sa_postmeta` VALUES("5318", "695", "_elementor_source_image_hash", "ae9f14d1e6abfc95f5abe65e89109b6e72056be3");
INSERT INTO `wp_sa_postmeta` VALUES("5319", "696", "_wp_attached_file", "2023/07/location-tick.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5320", "696", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:478;s:5:\"width\";d:14;s:6:\"height\";d:14;}");
INSERT INTO `wp_sa_postmeta` VALUES("5321", "696", "_elementor_source_image_hash", "b486621e35acd3661cf0bf16d5be0c707ac33c53");
INSERT INTO `wp_sa_postmeta` VALUES("5322", "697", "_wp_attached_file", "2023/07/activity-1.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5323", "697", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1079;s:5:\"width\";d:17;s:6:\"height\";d:17;}");
INSERT INTO `wp_sa_postmeta` VALUES("5324", "697", "_elementor_source_image_hash", "1e9ec61f3be6cfe71472bbfe3b9acef585f0df62");
INSERT INTO `wp_sa_postmeta` VALUES("5325", "698", "_wp_attached_file", "2023/07/svgeاتتاxport-10.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5326", "698", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2158;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("5327", "698", "_elementor_source_image_hash", "7dbd3ea000caf07d818e00ba11d7c28f4c91efcc");
INSERT INTO `wp_sa_postmeta` VALUES("5328", "699", "_wp_attached_file", "2023/07/chart-success.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5329", "699", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1489;s:5:\"width\";d:17;s:6:\"height\";d:17;}");
INSERT INTO `wp_sa_postmeta` VALUES("5330", "699", "_elementor_source_image_hash", "a9b52c87079c8a390afd58c7dd6f40eeaafa90f9");
INSERT INTO `wp_sa_postmeta` VALUES("5331", "700", "_wp_attached_file", "2023/07/notification-bing.svg");
INSERT INTO `wp_sa_postmeta` VALUES("5332", "700", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:961;s:5:\"width\";d:10;s:6:\"height\";d:10;}");
INSERT INTO `wp_sa_postmeta` VALUES("5333", "700", "_elementor_source_image_hash", "c5e2517756640db227a3ead5b578215f5962396f");
INSERT INTO `wp_sa_postmeta` VALUES("5413", "142", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("5414", "140", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("5415", "138", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("5416", "136", "chosen_product_cat", "a:2:{i:0;i:17;i:1;i:20;}");
INSERT INTO `wp_sa_postmeta` VALUES("5417", "134", "chosen_product_cat", "a:1:{i:0;i:15;}");
INSERT INTO `wp_sa_postmeta` VALUES("5418", "132", "chosen_product_cat", "a:1:{i:0;i:19;}");
INSERT INTO `wp_sa_postmeta` VALUES("5419", "130", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("5420", "128", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("5421", "126", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("5422", "124", "chosen_product_cat", "a:2:{i:0;i:18;i:1;i:24;}");
INSERT INTO `wp_sa_postmeta` VALUES("5423", "122", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("5424", "120", "chosen_product_cat", "a:1:{i:0;i:22;}");
INSERT INTO `wp_sa_postmeta` VALUES("5425", "118", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("5426", "115", "chosen_product_cat", "a:1:{i:0;i:22;}");
INSERT INTO `wp_sa_postmeta` VALUES("5863", "130", "pageview", "26");
INSERT INTO `wp_sa_postmeta` VALUES("6061", "126", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("6062", "126", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("6063", "126", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("6064", "126", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("6065", "126", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("6066", "126", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("6067", "126", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("6068", "126", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("6069", "126", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("6070", "126", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("6072", "773", "_edit_lock", "1688557498:3");
INSERT INTO `wp_sa_postmeta` VALUES("6073", "773", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("6074", "773", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("6075", "773", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6076", "773", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("6077", "775", "_edit_lock", "1688556275:3");
INSERT INTO `wp_sa_postmeta` VALUES("6078", "775", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("6079", "775", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("6080", "775", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6081", "775", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("6082", "775", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("6083", "775", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6092", "773", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6093", "773", "_rankmath__data", "[{\"id\":\"d1d5520\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_direction_mobile\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"147b9b8\"}]},\"elements\":[{\"id\":\"0fcbea6\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"cfd49a2\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"a790990\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"cc43fe0\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"wrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"558563f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0639\\u0644\\u0627\\u0642\\u0647\\u200c\\u0645\\u0646\\u062f\\u06cc\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4bebdd7\",\"elType\":\"widget\",\"settings\":{\"title\":\"Favorite products\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_flex_size_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a147bb7\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":58,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"d6f984c\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1029\",\"columns\":\"4\",\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"e227d57\",\"type\":\"posts_params\",\"posts_from_data_store\":\"favorites\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b8500be\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("6100", "773", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("6111", "775", "_rankmath__data", "[{\"id\":\"e5f1181\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_direction_mobile\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"147b9b8\"}]},\"elements\":[{\"id\":\"1cebfda\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"cfd49a2\"}],\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_direction\":\"column\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"stretch\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"8ae82ee\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"cc43fe0\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_wrap_mobile\":\"wrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e6314ce\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0642\\u0627\\u06cc\\u0633\\u0647 \\u0648 \\u0627\\u0631\\u0632\\u06cc\\u0627\\u0628\\u06cc\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"774b0a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"Comparison and evaluation\",\"header_size\":\"p\",\"title_color\":\"#727272\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"15\",\"bottom\":\"3\",\"left\":\"15\",\"isLinked\":false},\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"d5f56ed\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F5F5F5\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"\"},\"_flex_size\":\"grow\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_flex_size_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8f84783\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#9D9D9D\",\"weight\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"2dcb8ce\"}],\"scroll_y\":-80,\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":58,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"9c77fac\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1074\",\"columns\":\"4\",\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"e227d57\",\"type\":\"posts_params\",\"posts_from_data_store\":\"compare\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b8500be\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("6118", "775", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("6119", "773", "_edit_last", "2");
INSERT INTO `wp_sa_postmeta` VALUES("6165", "113", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("6166", "111", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("6167", "108", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("6168", "106", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("6169", "104", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("6170", "102", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("6171", "100", "chosen_product_cat", "a:1:{i:0;i:23;}");
INSERT INTO `wp_sa_postmeta` VALUES("6219", "792", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("6220", "792", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:305;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("6221", "792", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("6222", "792", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("6223", "792", "_rankmath__data", "[{\"id\":\"11d46b6\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"abbf853\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"align\":\"center\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#F2F2F2\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"min_height\":{\"unit\":\"px\",\"size\":422,\"sizes\":[]}},\"elements\":[{\"id\":\"64f0b8a\",\"elType\":\"widget\",\"settings\":{\"archive_badge_text\":\"%percentage_sale% \\u062a\\u062e\\u0641\\u06cc\\u0641\",\"archive_badge_typography_typography\":\"custom\",\"archive_badge_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"archive_badge_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"archive_badge_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"archive_badge_content_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"25\",\"bottom\":\"6\",\"left\":\"25\",\"isLinked\":false},\"archive_badge_alignment\":\"center\",\"jedv_conditions\":[{\"_id\":\"166fcbe\"}],\"scroll_y\":-80,\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"16\",\"left\":\"15\",\"isLinked\":false},\"__globals__\":{\"archive_badge_background\":\"globals\\/colors?id=primary\",\"_background_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":91,\"sizes\":[]},\"_flex_align_self\":\"center\",\"_offset_x\":{\"size\":29,\"unit\":\"%\"},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"size\":0,\"unit\":\"px\"},\"_background_background\":\"classic\"},\"elements\":[],\"widgetType\":\"jet-woo-builder-archive-sale-badge\"},{\"id\":\"2d2b8eb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\\u06cc \\u0648\\u06cc\\u0698\\u0647 <span style=\\\"color:#EF3A4F;font-weight:bold\\\">\\u0627\\u0645\\u0631\\u0648\\u0632 <\\/span>\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"b305b57\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b47303f\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"769e62f\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"4dbf816\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"5e35638\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":174,\"sizes\":[]},\"object-fit\":\"contain\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"7a3365c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"59f480a\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"7be762b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f3f4187\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a7f37dd\"}]},\"elements\":[{\"id\":\"61a8985\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":100,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"08fd846\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"279c489\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"9756297\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content\":\"center\",\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"4e3545f\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"54216d1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"885758f\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"8975a72\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"89dcd2a\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"db1befb\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"19abb38\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ebe845b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"15ce6d8\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"2319e54\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"948ea52\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"606f810\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"866126d\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"9f8555f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"0978f65\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"90d4481\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"077e083\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"211afd6\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"9ce93cf\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"313ef56\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"ee754b9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"606f810\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8ab4e85\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"c706121\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"d7aba3f\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text_126%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"center\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_alignment\":\"center\",\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"ece983f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6919fea\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"_id\":\"d43239c\",\"jedv_condition\":\"is-in-stock\"},{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8364a04\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"},\"jedv_data_type\":\"numeric\"},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("6224", "792", "_edit_lock", "1716803911:1");
INSERT INTO `wp_sa_postmeta` VALUES("6262", "792", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6268", "792", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("6269", "792", "_elementor_version", "3.18.3");
INSERT INTO `wp_sa_postmeta` VALUES("6270", "792", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6344", "805", "_wp_attached_file", "2023/07/edit.svg");
INSERT INTO `wp_sa_postmeta` VALUES("6345", "805", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:939;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("6346", "805", "_elementor_source_image_hash", "31d4beef4d5e9dc5498f5173da36c886690023e8");
INSERT INTO `wp_sa_postmeta` VALUES("6359", "807", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:7:\"product\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("6360", "807", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("6361", "807", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:300;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("6362", "807", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("6363", "807", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("6364", "807", "_elementor_version", "3.18.3");
INSERT INTO `wp_sa_postmeta` VALUES("6365", "807", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6366", "807", "_edit_lock", "1716793361:1");
INSERT INTO `wp_sa_postmeta` VALUES("6367", "808", "_wp_attached_file", "2023/07/placeholder-7.png");
INSERT INTO `wp_sa_postmeta` VALUES("6368", "808", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-7.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-7-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-7-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-7-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-7-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-7-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-7-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-7-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("6369", "808", "_elementor_source_image_hash", "2a0c79b10dbe3a47ace5dd3ec7686db92908fad2");
INSERT INTO `wp_sa_postmeta` VALUES("6402", "807", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6403", "807", "_rankmath__data", "[{\"id\":\"1bf7d6a\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b81d9e1\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_direction\":\"column\",\"flex_justify_content\":\"space-evenly\",\"flex_align_items\":\"stretch\",\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"a28227a\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"769e62f\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"4dbf816\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"5e35638\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"image\":{\"id\":808,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-7.png\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"5d3dc9c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"18b91cc\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22en-product-name%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#A0A0A0\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"05507df\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"59f480a\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"7be762b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d479722\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"86f45be\",\"jedv_condition\":\"is-in-stock\"}],\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_align_items\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"d74c122\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":100,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"5d1f8f1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"c0d44a9\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"db3b5e8\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_justify_content\":\"center\",\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"8b70432\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"5158d80\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"885758f\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"858f92b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"ed5d667\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"db1befb\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"19abb38\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ebe845b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"15ce6d8\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"2319e54\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"810529d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"606f810\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"866126d\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"9f8555f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"0978f65\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"90d4481\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"5b7fd86\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"9e26ca8\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"9ce93cf\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"313ef56\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"0ddc859\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"606f810\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8ab4e85\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"b0e98c4\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"50bac1d\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text_126%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"center\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_alignment\":\"center\",\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"310cd1a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"aedc2b9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"_id\":\"d43239c\",\"jedv_condition\":\"is-in-stock\"},{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8364a04\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"},\"jedv_data_type\":\"numeric\"},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("6411", "807", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("6648", "333", "_edit_lock", "1688638399:2");
INSERT INTO `wp_sa_postmeta` VALUES("6649", "332", "_edit_lock", "1688638387:2");
INSERT INTO `wp_sa_postmeta` VALUES("6655", "333", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6662", "333", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("6663", "333", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6664", "333", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("6666", "332", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("6770", "332", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6778", "332", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6779", "332", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("6869", "142", "pageview", "997");
INSERT INTO `wp_sa_postmeta` VALUES("6898", "334", "_edit_lock", "1688638397:2");
INSERT INTO `wp_sa_postmeta` VALUES("6905", "334", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("6913", "334", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("6914", "334", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("7095", "115", "pageview", "7");
INSERT INTO `wp_sa_postmeta` VALUES("7098", "399", "_elementor_screenshot_failed", "2023-07-05 08:19:36");
INSERT INTO `wp_sa_postmeta` VALUES("7463", "921", "_wp_attached_file", "2023/07/cropped-Hero-Yellow-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("7464", "921", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("7465", "921", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:300;s:4:\"file\";s:37:\"2023/07/cropped-Hero-Yellow-min-1.png\";s:8:\"filesize\";i:204781;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"cropped-Hero-Yellow-min-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:108288;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:37:\"cropped-Hero-Yellow-min-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14141;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:37:\"cropped-Hero-Yellow-min-1-600x288.png\";s:5:\"width\";i:600;s:6:\"height\";i:288;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:179716;}s:6:\"medium\";a:5:{s:4:\"file\";s:37:\"cropped-Hero-Yellow-min-1-300x144.png\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:52351;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:37:\"cropped-Hero-Yellow-min-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29030;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("7486", "924", "_wp_attached_file", "2023/07/starr.svg");
INSERT INTO `wp_sa_postmeta` VALUES("7487", "924", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:857;s:5:\"width\";d:12;s:6:\"height\";d:12;}");
INSERT INTO `wp_sa_postmeta` VALUES("7488", "924", "_elementor_source_image_hash", "9a6b4094ea18f1aaa541ac40661dcb560f6c41c6");
INSERT INTO `wp_sa_postmeta` VALUES("7489", "925", "_wp_attached_file", "2023/07/undo.svg");
INSERT INTO `wp_sa_postmeta` VALUES("7490", "925", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:463;s:5:\"width\";d:13;s:6:\"height\";d:12;}");
INSERT INTO `wp_sa_postmeta` VALUES("7491", "925", "_elementor_source_image_hash", "7fd89246cd757762c4b49ae0564edbed2bc0ef6e");
INSERT INTO `wp_sa_postmeta` VALUES("7492", "926", "_wp_attached_file", "2023/07/verify.svg");
INSERT INTO `wp_sa_postmeta` VALUES("7493", "926", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1294;s:5:\"width\";d:12;s:6:\"height\";d:12;}");
INSERT INTO `wp_sa_postmeta` VALUES("7494", "926", "_elementor_source_image_hash", "1eaabd7c3f935e59c9d872a0e886845b6bcd1026");
INSERT INTO `wp_sa_postmeta` VALUES("7495", "927", "_wp_attached_file", "2023/07/tag-cross.svg");
INSERT INTO `wp_sa_postmeta` VALUES("7496", "927", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:640;s:5:\"width\";d:12;s:6:\"height\";d:12;}");
INSERT INTO `wp_sa_postmeta` VALUES("7497", "927", "_elementor_source_image_hash", "4bab126873d94ad91f7541cb957e0ec70964e9f1");
INSERT INTO `wp_sa_postmeta` VALUES("7535", "104", "pageview", "30");
INSERT INTO `wp_sa_postmeta` VALUES("7635", "940", "_wp_attached_file", "2023/07/placeholder-8.png");
INSERT INTO `wp_sa_postmeta` VALUES("7636", "940", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-8.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-8-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-8-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-8-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-8-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-8-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-8-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-8-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("7637", "940", "_elementor_source_image_hash", "32d86c61b3421eb9435d7a5142514ac9052d5b5a");
INSERT INTO `wp_sa_postmeta` VALUES("7638", "941", "_wp_attached_file", "2023/07/placeholder-9.png");
INSERT INTO `wp_sa_postmeta` VALUES("7639", "941", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/placeholder-9.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"placeholder-9-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-9-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"placeholder-9-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-9-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-9-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-9-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-9-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("7640", "941", "_elementor_source_image_hash", "32d86c61b3421eb9435d7a5142514ac9052d5b5a");
INSERT INTO `wp_sa_postmeta` VALUES("7641", "942", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("7642", "942", "_elementor_template_type", "store");
INSERT INTO `wp_sa_postmeta` VALUES("7643", "942", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("7644", "942", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("7645", "942", "_rankmath__data", "[{\"id\":\"992ee80\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ae86d91\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"flex_direction_mobile\":\"column\"},\"elements\":[{\"id\":\"5ca3ab0\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":25,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1.3\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"959c542\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"content_width\":\"full\"},\"elements\":[{\"id\":\"28df446\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"align\":\"space-between\",\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"fc7b2af\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#EBEBEB\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"257d40e\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"dokan-store-banner\\\" settings=\\\"%7B%22fallback%22%3A%7B%22url%22%3A%22https%3A%5C%2F%5C%2Famrrz.kdevs.org%5C%2Fmultivendor%5C%2Fwp-content%5C%2Fplugins%5C%2Fdokan-lite%5C%2Fassets%5C%2Fimages%5C%2Fdefault-store-banner.png%22%2C%22id%22%3A%22%22%7D%7D\\\"]\"},\"image_size\":\"full\",\"height\":{\"unit\":\"px\",\"size\":75,\"sizes\":[]},\"object-fit\":\"cover\",\"css_filters_css_filter\":\"custom\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"-1\",\"bottom\":\"0\",\"left\":\"-1\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"2f79f0c\"}],\"scroll_y\":-80,\"image\":{\"id\":940,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-8.png\"}},\"elements\":[],\"widgetType\":\"dokan-store-banner\"},{\"id\":\"8e43050\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"dokan-store-profile-picture\\\" settings=\\\"%7B%22fallback%22%3A%7B%22url%22%3A%22https%3A%5C%2F%5C%2Fsecure.gravatar.com%5C%2Favatar%5C%2F%3Fs%3D96%26d%3Dmm%26r%3Dg%22%2C%22id%22%3A0%7D%7D\\\"]\"},\"image_size\":\"custom\",\"image_custom_dimension\":{\"width\":\"60\",\"height\":\"60\"},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"image_border_color\":\"#FFFFFF\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"-2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"022a05f\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"custom_css\":\"selector img {\\n    background: #FFFFFF;\\n}\",\"image\":{\"id\":941,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-9.png\"}},\"elements\":[],\"widgetType\":\"dokan-store-profile-picture\"},{\"id\":\"280de10\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"title_color\":\"#414141\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"2a86e26\\\" name=\\\"dokan-store-name-tag\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"bb56363\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u0627\\u0632 9 \\u0645\\u0627\\u0647 \\u067e\\u06cc\\u0634\",\"header_size\":\"p\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"8b09b46\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22duration-of-membership%22%2C%22user_context%22%3A%22current_post_author%22%2C%22before%22%3A%22%D8%B9%D8%B6%D9%88%DB%8C%D8%AA%20%D8%A7%D8%B2%20%22%2C%22after%22%3A%22%20%D9%85%D8%A7%D9%87%20%D9%BE%DB%8C%D8%B4%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"641d47e\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"gap\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"525c0b2\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"daca24e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2ea6157\"}]},\"elements\":[{\"id\":\"eb0fbca\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0645\\u062a\\u06cc\\u0627\\u0632 \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647\",\"header_size\":\"p\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":[],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"33dead3\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u062a\\u0645 #1 \\u062f\\u0631 \\u0644\\u06cc\\u0633\\u062a\",\"selected_icon\":{\"value\":{\"id\":\"924\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/starr.svg\"},\"library\":\"svg\"},\"_id\":\"ee09104\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"61c6b25\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22privilege-seller%22%2C%22user_context%22%3A%22current_post_author%22%7D\\\"]\"}}],\"icon_color\":\"#EF3A4F00\",\"text_color\":\"#F59C3C\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"28703e4\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"b89dcdc\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"gap\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"525c0b2\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"8d996fb\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"bf7a203\"}],\"scroll_y\":-80,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"ee28cc2\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22description%22%2C%22user_context%22%3A%22current_post_author%22%7D\\\"]\"},\"editor\":\"<p>\\u062a\\u0633\\u062a \\u062a\\u0633\\u062a \\u062a\\u0633\\u062a<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"7dfefc9\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"gap\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"525c0b2\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"ecc63d3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1d96b71\"}]},\"elements\":[{\"id\":\"84fa57e\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":33.2999999999999971578290569595992565155029296875,\"sizes\":[]},\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[],\"column\":\"2\",\"row\":\"2\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e27f3ff\"}]},\"elements\":[{\"id\":\"3d4e887\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u062a\\u0645 #1 \\u062f\\u0631 \\u0644\\u06cc\\u0633\\u062a\",\"selected_icon\":{\"value\":{\"id\":\"925\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/undo.svg\"},\"library\":\"svg\"},\"_id\":\"ee09104\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"61c6b25\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22return-rate%22%2C%22user_context%22%3A%22current_post_author%22%7D\\\"]\"}}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"text_color\":\"#26C332\",\"text_indent\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"28703e4\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"321d2df\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0631\\u062e \\u0645\\u0631\\u062c\\u0648\\u0639\\u06cc\",\"header_size\":\"p\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":[],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"354a3aa\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":33.2999999999999971578290569595992565155029296875,\"sizes\":[]},\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[],\"column\":\"2\",\"row\":\"2\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e27f3ff\"}]},\"elements\":[{\"id\":\"e6a9308\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u062a\\u0645 #1 \\u062f\\u0631 \\u0644\\u06cc\\u0633\\u062a\",\"selected_icon\":{\"value\":{\"id\":\"926\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/verify.svg\"},\"library\":\"svg\"},\"_id\":\"ee09104\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"61c6b25\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22successful-submission%22%2C%22user_context%22%3A%22current_post_author%22%7D\\\"]\"}}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"text_color\":\"#26C332\",\"text_indent\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"28703e4\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"a97d65e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0645\\u0648\\u0641\\u0642\",\"header_size\":\"p\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":[],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"d523817\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":33.2999999999999971578290569595992565155029296875,\"sizes\":[]},\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":2,\"sizes\":[],\"column\":\"2\",\"row\":\"2\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e27f3ff\"}]},\"elements\":[{\"id\":\"f2f1479\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u06cc\\u062a\\u0645 #1 \\u062f\\u0631 \\u0644\\u06cc\\u0633\\u062a\",\"selected_icon\":{\"value\":{\"id\":\"927\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/tag-cross.svg\"},\"library\":\"svg\"},\"_id\":\"ee09104\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"61c6b25\\\" name=\\\"jet-user-custom-field\\\" settings=\\\"%7B%22user_field%22%3A%22cancel-the-order%22%2C%22user_context%22%3A%22current_post_author%22%7D\\\"]\"}}],\"icon_color\":\"#EF3A4F00\",\"icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"text_color\":\"#26C332\",\"text_indent\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebbold_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"28703e4\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"e91e5fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u063a\\u0648 \\u0633\\u0641\\u0627\\u0631\\u0634\",\"header_size\":\"p\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":[],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"70e8c48\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE00\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"525c0b2\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"divider\"}],\"isInner\":true},{\"id\":\"ee67aee\",\"elType\":\"widget\",\"settings\":{\"skin\":\"minimal\",\"placeholder\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0631\\u062f\\u0646\",\"size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"input_typography_typography\":\"custom\",\"input_typography_font_family\":\"iranyekanwebregular_FaNum\",\"input_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"input_typography_font_weight\":\"normal\",\"input_text_color\":\"#7B7B7B\",\"input_background_color\":\"#F7F8FA\",\"border_radius\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"75daced\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"search-form\"},{\"id\":\"6e3f389\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F2F1EE\",\"gap\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"525c0b2\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"4aa5159\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u062f\\u0648\\u062f\\u0647 \\u0642\\u06cc\\u0645\\u062a\",\"header_size\":\"p\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6771d70\"}],\"scroll_y\":-80,\"__dynamic__\":[],\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0798744\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"501\"],\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"query_id\":\"products\",\"additional_providers_list\":[],\"slider_stroke\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"slider_background_color\":\"#FFF3F5\",\"slider_range_background_color\":\"#EF3A4F\",\"range_points_width\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"range_points_height\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"values_typography_typography\":\"custom\",\"values_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"values_margin\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"-4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1916531\"}],\"scroll_y\":-80,\"__globals__\":{\"slider_background_color\":\"\",\"slider_range_background_color\":\"globals\\/colors?id=primary\",\"range_points_background_color\":\"globals\\/colors?id=primary\",\"values_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"jet-smart-filters-range\"}],\"isInner\":true},{\"id\":\"5dbe522\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":75,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1.3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"4f84c6a\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"content_width\":\"full\",\"flex_direction_mobile\":\"column\"},\"elements\":[{\"id\":\"88940c6\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_justify_content\":\"space-between\",\"align\":\"space-between\",\"jedv_conditions\":[{\"_id\":\"5ed524d\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#EBEBEB\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.08)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"1\",\"bottom\":\"0.5\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"e0465c8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"feb4645\"}],\"scroll_y\":-80,\"__dynamic__\":[],\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3a290ca\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"placeholder\":\"\\u0645\\u0631\\u062a\\u0628 \\u0633\\u0627\\u0632\\u06cc \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 ...\",\"additional_providers_list\":[],\"sorting_list\":[{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u067e\\u0627\\u06cc\\u06cc\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0628\\u0627\\u0644\\u0627\\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"_id\":\"42225b4\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u0628\\u0627\\u0644\\u0627\\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u067e\\u0627\\u06cc\\u06cc\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"order\":\"DESC\",\"_id\":\"4d71995\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u067e\\u0627\\u06cc\\u06cc\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0628\\u0627\\u0644\\u0627\\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"_id\":\"8ee97d0\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u0628\\u0627\\u0644\\u0627\\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u067e\\u0627\\u06cc\\u06cc\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"order\":\"DESC\",\"_id\":\"9698eaa\"}],\"select_width\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"select_background_color\":\"#F8F8F8\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#E3E3E3\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"select_alignment\":\"right\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"30103c5\"}],\"scroll_y\":-80,\"query_id\":\"products\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-sorting\"}],\"isInner\":true},{\"id\":\"e735045\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"columns\":\"3\",\"posts_num\":9,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"_element_id\":\"products\",\"jedv_conditions\":[{\"_id\":\"8047109\"}],\"scroll_y\":-80,\"columns_tablet\":\"1\",\"columns_mobile\":\"1\",\"is_archive_template\":\"yes\",\"custom_post_types\":[\"product\"],\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("7651", "942", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("7652", "942", "_edit_lock", "1689056668:1");
INSERT INTO `wp_sa_postmeta` VALUES("7664", "108", "pageview", "15");
INSERT INTO `wp_sa_postmeta` VALUES("7676", "942", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("7684", "134", "pageview", "65");
INSERT INTO `wp_sa_postmeta` VALUES("7822", "960", "_wp_attached_file", "2023/07/placeholder-10.png");
INSERT INTO `wp_sa_postmeta` VALUES("7823", "960", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:26:\"2023/07/placeholder-10.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"placeholder-10-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2266;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"placeholder-10-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:894;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"placeholder-10-600x400.png\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3948;}s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"placeholder-10-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"placeholder-10-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"placeholder-10-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"placeholder-10-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("7824", "960", "_elementor_source_image_hash", "32d86c61b3421eb9435d7a5142514ac9052d5b5a");
INSERT INTO `wp_sa_postmeta` VALUES("7825", "961", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("7826", "961", "_elementor_template_type", "popup");
INSERT INTO `wp_sa_postmeta` VALUES("7827", "961", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("7828", "961", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("7833", "961", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("7834", "961", "_elementor_page_settings", "a:11:{s:5:\"width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:300;s:5:\"sizes\";a:0:{}}s:11:\"height_type\";s:13:\"fit_to_screen\";s:19:\"horizontal_position\";s:4:\"left\";s:17:\"vertical_position\";s:3:\"top\";s:18:\"entrance_animation\";s:11:\"fadeInRight\";s:14:\"exit_animation\";s:11:\"fadeInRight\";s:27:\"entrance_animation_duration\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:23:\"close_button_horizontal\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:-12;s:5:\"sizes\";a:0:{}}s:9:\"icon_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:11:\"__globals__\";a:2:{s:18:\"close_button_color\";s:25:\"globals/colors?id=primary\";s:24:\"close_button_hover_color\";s:25:\"globals/colors?id=primary\";}s:21:\"close_button_vertical\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("7835", "961", "_rankmath__data", "[{\"id\":\"1bfc2f5f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"min_height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"min_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"min_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"flex_gap\":{\"unit\":\"rem\",\"size\":0.625,\"sizes\":[],\"column\":\"0.625\",\"row\":\"0.625\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0.625\",\"bottom\":\"1\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6796de7\"}]},\"elements\":[{\"id\":\"75cf9129\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"center\",\"width\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"00bb501\"}],\"image\":{\"id\":960,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-10.png\"}},\"elements\":[],\"widgetType\":\"theme-site-logo\"},{\"id\":\"dfbb027\",\"elType\":\"widget\",\"settings\":{\"placeholder\":\"\\u062c\\u0633\\u062a\\u062c\\u0648\\u06cc \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a\",\"button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0631\\u062f\\u0646\",\"input_background_color\":\"#02010100\",\"input_border_color\":\"#EBEBEB\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"button_text_color\":\"#54595F\",\"button_background_color\":\"#54595F00\",\"_element_width\":\"inherit\",\"__globals__\":{\"button_text_color\":\"\",\"input_typography_typography\":\"globals\\/typography?id=primary\",\"input_text_color\":\"globals\\/colors?id=secondary\"},\"jedv_conditions\":[{\"_id\":\"58a69a3\"}],\"_margin\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .elementor-search-form__container {\\r\\n    min-height: 44px !important;\\r\\n    background: #f7f7f7 !important;\\r\\n}\\r\\n\\r\\nselector .elementor-search-form__input::placeholder{\\r\\n    font-size: 12px\\r\\n}\"},\"elements\":[],\"widgetType\":\"search-form\"},{\"id\":\"511ff10\",\"elType\":\"widget\",\"settings\":{\"menu\":\"main-menu\",\"layout\":\"vertical\",\"pointer\":\"none\",\"dropdown\":\"none\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_family\":\"iranyekanwebregular\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"menu_typography_font_weight\":\"300\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"5a585f8\"}],\"__globals__\":{\"color_menu_item\":\"globals\\/colors?id=accent\"},\"custom_css\":\"selector .elementor-nav-menu a.elementor-item:not(last-child) {\\r\\n    border-bottom: 1px dashed #f1f1f1;\\r\\n}\",\"padding_vertical_menu_item\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"menu_id\":387},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("7843", "961", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:2:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("7851", "961", "_edit_lock", "1688901962:1");
INSERT INTO `wp_sa_postmeta` VALUES("7860", "961", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7861", "961", "_elementor_popup_display_settings", "a:2:{s:8:\"triggers\";a:0:{}s:6:\"timing\";a:0:{}}");
INSERT INTO `wp_sa_postmeta` VALUES("7874", "967", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("7875", "967", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("7876", "967", "_menu_item_object_id", "586");
INSERT INTO `wp_sa_postmeta` VALUES("7877", "967", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("7878", "967", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("7879", "967", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7880", "967", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("7881", "967", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("7883", "968", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("7884", "968", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("7885", "968", "_menu_item_object_id", "504");
INSERT INTO `wp_sa_postmeta` VALUES("7886", "968", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("7887", "968", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("7888", "968", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7889", "968", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("7890", "968", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("7901", "970", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("7902", "970", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("7903", "970", "_menu_item_object_id", "14");
INSERT INTO `wp_sa_postmeta` VALUES("7904", "970", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("7905", "970", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("7906", "970", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7907", "970", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("7908", "970", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("7910", "971", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("7911", "971", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("7912", "971", "_menu_item_object_id", "971");
INSERT INTO `wp_sa_postmeta` VALUES("7913", "971", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("7914", "971", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("7915", "971", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7916", "971", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("7917", "971", "_menu_item_url", "https://halochin.ir/multivendor/blog");
INSERT INTO `wp_sa_postmeta` VALUES("7919", "972", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("7920", "972", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("7921", "972", "_menu_item_object_id", "972");
INSERT INTO `wp_sa_postmeta` VALUES("7922", "972", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("7923", "972", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("7924", "972", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7925", "972", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("7926", "972", "_menu_item_url", "https://halochin.ir/multivendor/");
INSERT INTO `wp_sa_postmeta` VALUES("7928", "973", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("7929", "973", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("7930", "973", "_menu_item_object_id", "973");
INSERT INTO `wp_sa_postmeta` VALUES("7931", "973", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("7932", "973", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("7933", "973", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("7934", "973", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("7935", "973", "_menu_item_url", "https://halochin.ir/multivendor/my-account/");
INSERT INTO `wp_sa_postmeta` VALUES("8115", "100", "pageview", "32");
INSERT INTO `wp_sa_postmeta` VALUES("8141", "132", "pageview", "62");
INSERT INTO `wp_sa_postmeta` VALUES("8142", "993", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("8143", "993", "_elementor_template_type", "search-results");
INSERT INTO `wp_sa_postmeta` VALUES("8144", "993", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("8145", "993", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("8150", "993", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("8151", "993", "_elementor_page_settings", "a:2:{s:21:\"background_background\";s:7:\"classic\";s:11:\"__globals__\";a:1:{s:16:\"background_color\";s:25:\"globals/colors?id=e310cb1\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("8152", "993", "_rankmath__data", "[{\"id\":\"d10088b\",\"elType\":\"container\",\"settings\":{\"structure\":\"21\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"26f0cd8\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":25,\"unit\":\"px\",\"column\":\"25\",\"row\":\"25\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_direction_mobile\":\"column\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":21,\"sizes\":[],\"column\":\"21\",\"row\":\"21\",\"isLinked\":true},\"flex_wrap_tablet\":\"wrap\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"a429870\",\"elType\":\"container\",\"settings\":{\"_column_size\":33,\"width\":{\"size\":25,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"2ab744d\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"sticky\":\"top\",\"sticky_on\":[\"desktop\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"width_tablet\":{\"unit\":\"%\",\"size\":100},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_order_mobile\":\"end\",\"_flex_size\":\"none\",\"_element_width_tablet\":\"initial\",\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction_tablet\":\"column\"},\"elements\":[{\"id\":\"3cce029\",\"elType\":\"container\",\"settings\":{\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c3d5d9d\"}],\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4d138ba\",\"elType\":\"widget\",\"settings\":{\"filter_id\":\"500\",\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0646\\u06cc\\u062f\",\"additional_providers_list\":[],\"content_position\":\"column\",\"content_column_horizontal_alignment\":\"stretch\",\"search_input_color\":\"#9D9D9D\",\"search_input_background_color\":\"#FFFFFF\",\"search_input_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"filter_apply_button_normal_color\":\"#FFFFFF\",\"filter_apply_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6b32581\"}],\"scroll_y\":-80,\"__globals__\":{\"filter_apply_button_normal_background_color\":\"globals\\/colors?id=primary\",\"search_input_border_color\":\"\",\"filter_apply_button_typography_typography\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"search_input_typography_typography\":\"custom\",\"search_input_typography_font_family\":\"iranyekanwebregular_FaNum\",\"search_input_border_border\":\"solid\",\"search_input_border_color\":\"#E1E1E1\",\"filter_apply_button_normal_background_color\":\"#39469E\",\"filter_apply_button_border_border\":\"none\",\"filter_apply_button_typography_typography\":\"custom\",\"filter_apply_button_typography_font_family\":\"iranyekanwebregular_FaNum\",\"filter_apply_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"filter_apply_button_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-search\"},{\"id\":\"7202040\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"501\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"show_label\":\"yes\",\"additional_providers_enabled\":\"\",\"additional_providers_list\":[],\"slider_stroke\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"slider_background_color\":\"#FFF3F5\",\"slider_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"range_points_width\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"range_points_height\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"values_typography_typography\":\"custom\",\"values_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"values_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"inputs_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_alignment\":\"right\",\"label_typography_typography\":\"custom\",\"label_typography_font_family\":\"iranyekanwebbold_FaNum\",\"label_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"label_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"label_border_color\":\"#EBEBEB\",\"label_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"label_alignment\":\"right\",\"_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"11621f3\"}],\"scroll_y\":-80,\"_border_border\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EBEBEB\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"__globals__\":{\"slider_range_background_color\":\"globals\\/colors?id=primary\",\"range_points_background_color\":\"globals\\/colors?id=primary\",\"values_color\":\"globals\\/colors?id=text\",\"label_color\":\"\",\"input_background_color\":\"\",\"filter_apply_button_normal_background_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"values_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"slider_range_background_color\":\"#39469E\",\"range_points_background_color\":\"#39469E\",\"values_color\":\"#737373\",\"label_color\":\"#444444\",\"slider_border_border\":\"none\",\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"filter_apply_button_border_border\":\"none\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-range\"},{\"id\":\"a2e8e93\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"498\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"additional_providers_list\":[],\"select_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"select_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_typography_typography\":\"custom\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#EBEBEB\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bf1a2b4\"}],\"scroll_y\":-80,\"__globals__\":{\"select_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\",\"select_background_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-select\"},{\"id\":\"a5d94ce\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"499\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"additional_providers_list\":[],\"select_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"select_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_typography_typography\":\"custom\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#EBEBEB\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bf1a2b4\"}],\"scroll_y\":-80,\"__globals__\":{\"select_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-select\"},{\"id\":\"bb90277\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631 \\u0647\\u0627\",\"additional_providers_list\":[],\"filter_apply_button_typography_typography\":\"custom\",\"filter_apply_button_typography_font_family\":\"iranyekanwebbold_FaNum\",\"filter_apply_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"filter_apply_button_typography_font_weight\":\"normal\",\"filter_apply_button_normal_color\":\"#FFFFFF\",\"filter_apply_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"filter_apply_button_shadow_box_shadow_type\":\"yes\",\"filter_apply_button_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":5,\"blur\":10,\"spread\":0,\"color\":\"rgba(35.7, 35.31195652173913, 35.35697814076388, 0.12)\"},\"filter_apply_button_alignment\":\"stretch\",\"jedv_conditions\":[{\"_id\":\"e4df2bd\"}],\"scroll_y\":-80,\"__globals__\":{\"filter_apply_button_normal_color\":\"\",\"filter_apply_button_normal_background_color\":\"globals\\/colors?id=primary\",\"filter_apply_button_border_color\":\"globals\\/colors?id=primary\"},\"filter_apply_button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"apply_redirect\":\"yes\",\"redirect_path\":\"\\/shop\\/\",\"filter_apply_button_border_border\":\"none\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-apply-button\"},{\"id\":\"426e4eb\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"remove_filters_text\":\"\\u062d\\u0630\\u0641 \\u0641\\u06cc\\u0644\\u062a\\u0631\\u0647\\u0627\",\"additional_providers_list\":[],\"remove_filters_button_typography_typography\":\"custom\",\"remove_filters_button_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"remove_filters_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"remove_filters_button_typography_font_weight\":\"normal\",\"remove_filters_button_normal_color\":\"#EF3A4F\",\"remove_filters_button_normal_background_color\":\"#FFFFFF\",\"remove_filters_button_border_border\":\"solid\",\"remove_filters_button_border_width\":{\"unit\":\"px\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"remove_filters_button_border_color\":\"#EF3A4F\",\"remove_filters_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"remove_filters_button_alignment\":\"stretch\",\"jedv_conditions\":[{\"_id\":\"6ee7a91\"}],\"scroll_y\":-80,\"__globals__\":{\"remove_filters_button_normal_background_color\":\"\",\"remove_filters_button_normal_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_border_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_border_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_background_color\":\"\"},\"remove_filters_button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"apply_type\":\"reload\",\"query_id\":\"pproducts\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-remove-filters\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"ca997c6\",\"elType\":\"container\",\"settings\":{\"_column_size\":66,\"width\":{\"size\":75,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"26597bb\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_flex_order_tablet\":\"start\",\"_flex_order_mobile\":\"end\"},\"elements\":[{\"id\":\"42503f9\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-5,\"vertical\":5,\"blur\":5,\"spread\":0,\"color\":\"rgba(218.53125000000003, 218.53125000000003, 218.53125000000003, 0.16)\"},\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"15\",\"bottom\":\"10\",\"left\":\"15\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ff3bd1a\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_justify_content\":\"space-between\",\"flex_wrap_mobile\":\"nowrap\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[],\"column\":\"20\",\"row\":\"20\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=accent\"}},\"elements\":[{\"id\":\"65e741d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"feb4645\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d45f3f2\\\" name=\\\"archive-title\\\" settings=\\\"%7B%22include_context%22%3A%22%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e8d1299\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"placeholder\":\"\\u0645\\u0631\\u062a\\u0628 \\u0633\\u0627\\u0632\\u06cc \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 ...\",\"additional_providers_list\":[],\"sorting_list\":[{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u0627\\u0631\\u0632\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u06af\\u0631\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"_id\":\"42225b4\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u06af\\u0631\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0627\\u0631\\u0632\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"order\":\"DESC\",\"_id\":\"4d71995\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u0642\\u062f\\u06cc\\u0645\\u06cc \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"_id\":\"8ee97d0\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0642\\u062f\\u06cc\\u0645\\u06cc \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"order\":\"DESC\",\"_id\":\"9698eaa\"}],\"select_width\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"select_background_color\":\"#F8F8F8\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#E3E3E3\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"select_alignment\":\"right\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"30103c5\"}],\"scroll_y\":-80,\"apply_on\":\"submit\",\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_typography\":\"custom\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\",\"select_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"label_typography_font_size\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-smart-filters-sorting\"}],\"isInner\":true},{\"id\":\"f709b0f\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"columns\":\"3\",\"is_archive_template\":\"yes\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"fc57d09\",\"type\":\"posts_params\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"15ba854\"}],\"scroll_y\":-80,\"columns_mobile\":\"1\",\"columns_tablet\":\"2\",\"use_custom_post_types\":\"yes\",\"custom_post_types\":[\"product\"],\"equal_columns_height\":\"yes\",\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"2b3c546\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#E1E1E1\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_color\":\"#39469E\",\"pagination_items_color_hover\":\"#FFD701\",\"pagination_items_color_active\":\"#FFD701\",\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"254c9fd\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=fdaa5d2\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_dots\":\"globals\\/colors?id=text\",\"pagination_border_color\":\"\",\"pagination_background_color\":\"\"},\"query_id\":\"pproducts\",\"pagination_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"pagination_items_color_dots\":\"#737373\",\"pages_center_offset\":2,\"load_more_text\":\"Load More\",\"pagination_background_color\":\"#FFFFFF\",\"pagination_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("8160", "993", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("8161", "996", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("8162", "996", "_elementor_template_type", "archive");
INSERT INTO `wp_sa_postmeta` VALUES("8163", "996", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("8164", "996", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("8169", "996", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("8170", "996", "_elementor_page_settings", "a:2:{s:21:\"background_background\";s:7:\"classic\";s:11:\"__globals__\";a:1:{s:16:\"background_color\";s:25:\"globals/colors?id=e310cb1\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("8171", "996", "_rankmath__data", "[{\"id\":\"262fd9df\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"jedv_conditions\":[{\"_id\":\"3c833c1\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_direction\":\"row\",\"flex_align_items\":\"flex-start\",\"flex_gap\":{\"size\":40,\"unit\":\"px\",\"column\":\"40\",\"row\":\"40\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"866626b\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":20,\"unit\":\"%\"},\"background_background\":\"classic\",\"box_shadow_box_shadow\":{\"horizontal\":-1,\"vertical\":1,\"blur\":15,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.09)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0.75\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"7d0e7d3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":26,\"unit\":\"%\"},\"flex_justify_content_tablet\":\"center\",\"content_width\":\"full\"},\"elements\":[{\"id\":\"5a9b21a\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"450\",\"columns\":\"1\",\"posts_num\":9,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_hide_empty\":\"\",\"terms_meta_query\":[],\"users_meta_query\":[],\"vertical_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b14d75b\"}],\"scroll_y\":-80,\"injection_items\":[],\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":-1,\"vertical\":1,\"blur\":15,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.09)\"},\"__globals__\":{\"_background_color\":\"\"}},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true},{\"id\":\"112c9777\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":80,\"unit\":\"%\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e231dce\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width_tablet\":{\"size\":74,\"unit\":\"%\"},\"content_width\":\"full\"},\"elements\":[{\"id\":\"6d915c3b\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"330\",\"columns\":\"3\",\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"is_archive_template\":\"yes\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"injection_items\":[],\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"jedv_conditions\":[{\"_id\":\"80acaea\"}],\"scroll_y\":-80,\"_element_id\":\"blogpost\",\"equal_columns_height\":\"yes\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"11d4ce89\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"blogpost\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#E3E3E3\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_color\":\"#A9A9A9\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"pages_center_offset\":1,\"pages_end_offset\":\"\",\"apply_type\":\"reload\",\"load_more_text\":\"Load More\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("8179", "996", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("8180", "132", "jet_engine_store_count_favorites", "0");
INSERT INTO `wp_sa_postmeta` VALUES("8181", "993", "_edit_lock", "1688555274:2");
INSERT INTO `wp_sa_postmeta` VALUES("8182", "996", "_edit_lock", "1688555265:2");
INSERT INTO `wp_sa_postmeta` VALUES("8184", "132", "jet_engine_store_count_compare", "0");
INSERT INTO `wp_sa_postmeta` VALUES("8204", "993", "_elementor_conditions", "a:1:{i:0;s:22:\"include/archive/search\";}");
INSERT INTO `wp_sa_postmeta` VALUES("8205", "126", "jet_engine_store_count_favorites", "0");
INSERT INTO `wp_sa_postmeta` VALUES("8206", "126", "jet_engine_store_count_compare", "1");
INSERT INTO `wp_sa_postmeta` VALUES("8215", "996", "_elementor_conditions", "a:1:{i:0;s:24:\"include/archive/category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("8219", "126", "_wc_rating_count", "a:2:{i:3;i:2;i:5;i:1;}");
INSERT INTO `wp_sa_postmeta` VALUES("8220", "120", "pageview", "26");
INSERT INTO `wp_sa_postmeta` VALUES("8409", "142", "jet_engine_store_count_favorites", "6");
INSERT INTO `wp_sa_postmeta` VALUES("8410", "142", "jet_engine_store_count_compare", "9");
INSERT INTO `wp_sa_postmeta` VALUES("8472", "1021", "_wp_attached_file", "2023/07/seler-4.png");
INSERT INTO `wp_sa_postmeta` VALUES("8473", "1021", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:908;s:6:\"height\";i:280;s:4:\"file\";s:19:\"2023/07/seler-4.png\";s:8:\"filesize\";i:106663;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"seler-4-300x280.png\";s:5:\"width\";i:300;s:6:\"height\";i:280;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:46506;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"seler-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17672;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:19:\"seler-4-600x185.png\";s:5:\"width\";i:600;s:6:\"height\";i:185;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:173308;}s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"seler-4-300x93.png\";s:5:\"width\";i:300;s:6:\"height\";i:93;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50245;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"seler-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36356;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"seler-4-768x237.png\";s:5:\"width\";i:768;s:6:\"height\";i:237;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:269119;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("8475", "1022", "_wp_attached_file", "2023/07/seler-banner-2.png");
INSERT INTO `wp_sa_postmeta` VALUES("8476", "1022", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:196;s:6:\"height\";i:196;s:4:\"file\";s:26:\"2023/07/seler-banner-2.png\";s:8:\"filesize\";i:3264;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"seler-banner-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4316;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"seler-banner-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7116;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("8477", "1023", "_wp_attached_file", "2023/07/cropped-seler-4.png");
INSERT INTO `wp_sa_postmeta` VALUES("8478", "1023", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("8479", "1023", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:300;s:4:\"file\";s:27:\"2023/07/cropped-seler-4.png\";s:8:\"filesize\";i:251164;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"cropped-seler-4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:130018;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"cropped-seler-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:18531;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"cropped-seler-4-600x288.png\";s:5:\"width\";i:600;s:6:\"height\";i:288;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:226777;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"cropped-seler-4-300x144.png\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:68211;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"cropped-seler-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37531;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("8480", "1024", "_wp_attached_file", "2023/07/cropped-seler-banner-2.png");
INSERT INTO `wp_sa_postmeta` VALUES("8481", "1024", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("8482", "1024", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:150;s:6:\"height\";i:150;s:4:\"file\";s:34:\"2023/07/cropped-seler-banner-2.png\";s:8:\"filesize\";i:7116;s:5:\"sizes\";a:1:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"cropped-seler-banner-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4677;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("8527", "122", "pageview", "30");
INSERT INTO `wp_sa_postmeta` VALUES("8528", "1029", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:7:\"product\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("8529", "1029", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("8530", "1029", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:379;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("8531", "1029", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("8532", "1029", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("8533", "1029", "_elementor_version", "3.18.3");
INSERT INTO `wp_sa_postmeta` VALUES("8534", "1029", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("8535", "1029", "_edit_lock", "1716793389:1");
INSERT INTO `wp_sa_postmeta` VALUES("8576", "773", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("8587", "140", "pageview", "141");
INSERT INTO `wp_sa_postmeta` VALUES("8593", "1029", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("8594", "1029", "_rankmath__data", "[{\"id\":\"73122a0\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1.5\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"abbf853\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"align\":\"center\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EBEBEB\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_hover_border\":\"solid\",\"border_hover_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"__globals__\":{\"border_hover_color\":\"globals\\/colors?id=primary\"},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_justify_content\":\"space-between\",\"custom_css\":\"selector:hover a.elementor-button.elementor-size-sm {\\n    background: #EF3A4F !important;\\n    color: #FFFFFF !important;\\n}\\n\\n\\nselector:hover span.elementor-button-icon.elementor-align-icon-right {\\n    fill: #FFFFFF !important;\\n}\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"1488abc\",\"elType\":\"widget\",\"settings\":{\"archive_badge_text\":\"%percentage_sale% \\u062a\\u062e\\u0641\\u06cc\\u0641\",\"archive_badge_typography_typography\":\"custom\",\"archive_badge_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"archive_badge_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"archive_badge_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"archive_badge_content_padding\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"30\",\"bottom\":\"7\",\"left\":\"30\",\"isLinked\":false},\"archive_badge_alignment\":\"center\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":91,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"166fcbe\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"16\",\"left\":\"15\",\"isLinked\":false},\"__globals__\":{\"archive_badge_background\":\"globals\\/colors?id=primary\",\"_background_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":25,\"unit\":\"%\"},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"size\":0,\"unit\":\"px\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"jet-woo-builder-archive-sale-badge\"},{\"id\":\"3f56a62\",\"elType\":\"widget\",\"settings\":{\"dynamic_link_source\":\"remove_from_store\",\"dynamic_link_store\":\"favorites\",\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\",\"query_args\":\"_post_id=%current_id%\",\"selected_link_icon\":{\"value\":\"far fa-trash-alt\",\"library\":\"fa-regular\"},\"link_icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":4,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1d9017e\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"},{\"id\":\"6d38921\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"_margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"769e62f\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"4dbf816\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"5e35638\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"image\":{\"id\":268,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-3.png\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3228849\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"18b91cc\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22latin-name%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#A0A0A0\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"833509b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"59f480a\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"7be762b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"599565d\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F3F3F3\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"000dcf4\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"8085a6b\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6c2486e\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e181d7f\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":55,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"4941f4e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"3f03c12\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"f2bf450\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"bb2b46e\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"458da01\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"885758f\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"5a1b234\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"0f60762\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"db1befb\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"19abb38\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ebe845b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"15ce6d8\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"2319e54\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"2ba504f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"606f810\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"866126d\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"9f8555f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"0978f65\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"90d4481\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"730deca\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"56eec81\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"9ce93cf\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"313ef56\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"66cafa8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"606f810\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8ab4e85\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"9444914\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"a57f5ca\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text_126%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"cdb49ff\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4ecaa04\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"_id\":\"d43239c\",\"jedv_condition\":\"is-in-stock\"},{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8364a04\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"},\"jedv_data_type\":\"numeric\"},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"76bce74\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":45,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"aeea8e9\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"98d19ff\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062e\\u0631\\u06cc\\u062f \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align\":\"left\",\"selected_icon\":{\"value\":{\"id\":\"187\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/shopping-cart-icon.svg\"},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#F5F9FC\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"15\",\"bottom\":\"13\",\"left\":\"10\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-1.00\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"013597b\"}],\"scroll_y\":-80,\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"31ca575\\\" name=\\\"woocommerce-add-to-cart\\\" settings=\\\"%7B%22quantity%22%3A1%7D\\\"]\"},\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("8602", "1029", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("8942", "1074", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:7:\"product\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("8943", "1074", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("8944", "1074", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:7:\"product\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:500;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("8945", "1074", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("8946", "1074", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("8947", "1074", "_elementor_version", "3.18.3");
INSERT INTO `wp_sa_postmeta` VALUES("8948", "1074", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("8949", "1074", "_edit_lock", "1716793411:1");
INSERT INTO `wp_sa_postmeta` VALUES("8969", "140", "jet_engine_store_count_favorites", "2");
INSERT INTO `wp_sa_postmeta` VALUES("8975", "1074", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("8976", "1074", "_rankmath__data", "[{\"id\":\"9d66a04\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1.5\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"abbf853\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"align\":\"center\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EBEBEB\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_hover_border\":\"solid\",\"border_hover_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"__globals__\":{\"border_hover_color\":\"globals\\/colors?id=primary\"},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_justify_content\":\"space-between\",\"custom_css\":\"selector:hover a.elementor-button.elementor-size-sm {\\n    background: #EF3A4F !important;\\n    color: #FFFFFF !important;\\n}\\n\\n\\nselector:hover span.elementor-button-icon.elementor-align-icon-right {\\n    fill: #FFFFFF !important;\\n}\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"2f84785\",\"elType\":\"widget\",\"settings\":{\"archive_badge_text\":\"%percentage_sale% \\u062a\\u062e\\u0641\\u06cc\\u0641\",\"archive_badge_typography_typography\":\"custom\",\"archive_badge_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"archive_badge_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"archive_badge_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"archive_badge_content_padding\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"30\",\"bottom\":\"7\",\"left\":\"30\",\"isLinked\":false},\"archive_badge_alignment\":\"center\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":91,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"166fcbe\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"16\",\"left\":\"15\",\"isLinked\":false},\"__globals__\":{\"archive_badge_background\":\"globals\\/colors?id=primary\",\"_background_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":25,\"unit\":\"%\"},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"size\":0,\"unit\":\"px\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"jet-woo-builder-archive-sale-badge\"},{\"id\":\"38b4c71\",\"elType\":\"widget\",\"settings\":{\"dynamic_link_source\":\"remove_from_store\",\"dynamic_link_store\":\"compare\",\"delete_link_dialog\":\"\\u0622\\u06cc\\u0627 \\u0645\\u0637\\u0645\\u0626\\u0646 \\u0647\\u0633\\u062a\\u06cc\\u062f \\u06a9\\u0647 \\u0645\\u06cc \\u062e\\u0648\\u0627\\u0647\\u06cc\\u062f \\u0627\\u06cc\\u0646 \\u067e\\u0633\\u062a \\u0631\\u0627 \\u062d\\u0630\\u0641 \\u06a9\\u0646\\u06cc\\u062f\\u061f\",\"link_label\":\"\",\"query_args\":\"_post_id=%current_id%\",\"selected_link_icon\":{\"value\":\"far fa-trash-alt\",\"library\":\"fa-regular\"},\"link_icon_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":4,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1d9017e\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-link\"},{\"id\":\"1a8ec01\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"link_to\":\"custom\",\"_margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"769e62f\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"4dbf816\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"5e35638\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"image\":{\"id\":268,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/placeholder-3.png\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"12a50de\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_weight\":\"normal\",\"_z_index\":10,\"jedv_conditions\":[{\"_id\":\"227926c\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"59f480a\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"7be762b\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"410ff1c\",\"elType\":\"widget\",\"settings\":{\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"3646609\"}],\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"cb5a428\\\" name=\\\"woocommerce-product-short-description-tag\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"dff56e6\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#F3F3F3\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"000dcf4\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"2c0007c\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6c2486e\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_wrap_mobile\":\"nowrap\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"441afb5\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":55,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b7fdfda\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"462d1e7\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[],\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"f3b5dde\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_regular_price\",\"dynamic_excerpt_more\":\"...\",\"field_tag\":\"span\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"num_decimals\":0,\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_color\":\"#9D9D9D\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_text_decoration\":\"line-through\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"is-on-sale\",\"_id\":\"70ef1d3\"}],\"scroll_y\":-80,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"c4f0f4e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"19f7ec2\"}],\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"5bbbdcd\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_sale_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"78bbbdc\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"885758f\",\"jedv_condition\":\"is-type\",\"product_type\":[\"simple\",\"external\"]}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"bcad913\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"d317b22\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"db1befb\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"19abb38\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ebe845b\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"15ce6d8\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"2319e54\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"hide_if_empty\":\"yes\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"number_format\",\"num_decimals\":0,\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"8516c1d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-on-sale\"},{\"_id\":\"606f810\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"866126d\",\"jedv_condition\":\"switcher-enabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"9f8555f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}},{\"_id\":\"0978f65\",\"jedv_condition\":\"equal\",\"jedv_value\":\"0\",\"jedv_data_type\":\"numeric\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"90d4481\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_relation\":\"OR\",\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"9bc11f9\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"28cde06\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price_html\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"field_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"efb25d0\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"9ce93cf\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"313ef56\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"field_color\":\"globals\\/colors?id=primary\"},\"jedv_enabled\":\"yes\",\"custom_css\":\"selector span.woocommerce-Price-currencySymbol {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector .amount {\\r\\n    color: var( --e-global-color-primary );\\r\\n}\\r\\n\\r\\nselector span.woocommerce-Price-amount.amount {\\r\\n    font-family: \\\"IRANSansWeb_FaNum_Bold\\\";\\r\\n    font-weight: normal;\\r\\n    font-size: 12px;\\r\\n}\",\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"e5d3f2a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646\",\"title_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"032d067\",\"jedv_condition\":\"is-type\",\"product_type\":[\"grouped\",\"external\",\"variable\"]},{\"_id\":\"606f810\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8ab4e85\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22custom-switcher%22%7D\\\"]\"}}],\"scroll_y\":-80,\"jedv_enabled\":\"yes\",\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"f869f26\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a11f68a\"}],\"flex_gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_gradient_position_tablet\":\"center center\",\"background_gradient_position_mobile\":\"center center\",\"background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_hover_gradient_position_tablet\":\"center center\",\"background_hover_gradient_position_mobile\":\"center center\",\"background_overlay_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_gradient_position_tablet\":\"center center\",\"background_overlay_gradient_position_mobile\":\"center center\",\"background_overlay_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"background_overlay_hover_gradient_position_tablet\":\"center center\",\"background_overlay_hover_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[{\"id\":\"c50b6bb\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"get_price\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"custom-text\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"2961ebc\",\"jedv_value\":\"\\u0646\\u0627 \\u0645\\u0648\\u062c\\u0648\\u062f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"ce399bb\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text_126%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__dynamic__\":[],\"field_fallback\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"dynamic_field_source\":\"meta\",\"hide_if_empty\":\"yes\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"content_alignment\":\"right\",\"img_slider_cols\":1,\"img_slider_cols_tablet\":\"\",\"img_slider_cols_mobile\":\"\",\"img_slider_size\":\"full\",\"img_slider_lightbox\":\"\",\"img_columns\":3,\"img_columns_tablet\":\"\",\"img_columns_mobile\":\"\",\"img_gallery_size\":\"full\",\"img_gallery_lightbox\":\"\",\"img_slides_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_slides_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"arrow_color\":\"\",\"arrow_bg_color\":\"\",\"arrow_color_hover\":\"\",\"arrow_bg_color_hover\":\"\",\"img_gallery_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_gallery_gap_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"img_overlay_color\":\"\",\"img_hover_overlay_color\":\"\",\"img_icon_color\":\"\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"field_bg_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"field_bg_gradient_position_tablet\":\"center center\",\"field_bg_gradient_position_mobile\":\"center center\",\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"9e265f4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0627\\u0645\\u0648\\u062c\\u0648\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_type\":\"hide\",\"jedv_conditions\":[{\"jedv_condition\":\"is-in-stock\",\"_id\":\"3d8f475\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"header_size\":\"span\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"15eefe9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"_id\":\"d43239c\",\"jedv_condition\":\"is-in-stock\"},{\"jedv_condition\":\"equal\",\"_id\":\"3d8f475\",\"jedv_value\":\"0\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"8364a04\\\" name=\\\"jet-wc-product-field\\\" settings=\\\"%7B%22product_field%22%3A%22get_price%22%7D\\\"]\"},\"jedv_data_type\":\"numeric\"},{\"_id\":\"b3e10ed\",\"jedv_condition\":\"switcher-disabled\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"c8e7a6d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22swicher-text%22%7D\\\"]\"}}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"_offset_x\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_background_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_gradient_position_tablet\":\"center center\",\"_background_gradient_position_mobile\":\"center center\",\"_background_hover_color_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_color_b_stop_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_tablet\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_angle_mobile\":{\"unit\":\"deg\",\"size\":\"\",\"sizes\":[]},\"_background_hover_gradient_position_tablet\":\"center center\",\"_background_hover_gradient_position_mobile\":\"center center\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"6f6f1f2\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":45,\"unit\":\"%\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"aeea8e9\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"flex_justify_content\":\"center\",\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d8c283d\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062e\\u0631\\u06cc\\u062f \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align\":\"left\",\"selected_icon\":{\"value\":{\"id\":\"187\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/shopping-cart-icon.svg\"},\"library\":\"svg\"},\"icon_align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"background_color\":\"#F5F9FC\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false},\"text_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"15\",\"bottom\":\"13\",\"left\":\"10\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-1.00\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"013597b\"}],\"scroll_y\":-80,\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"31ca575\\\" name=\\\"woocommerce-add-to-cart\\\" settings=\\\"%7B%22quantity%22%3A1%7D\\\"]\"},\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=text\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("8984", "1074", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("8999", "775", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("9033", "134", "jet_engine_store_count_compare", "2");
INSERT INTO `wp_sa_postmeta` VALUES("9064", "134", "jet_engine_store_count_favorites", "0");
INSERT INTO `wp_sa_postmeta` VALUES("9249", "1105", "_elementor_source", "post");
INSERT INTO `wp_sa_postmeta` VALUES("9250", "1105", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("9251", "1105", "_elementor_template_type", "error-404");
INSERT INTO `wp_sa_postmeta` VALUES("9252", "1105", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("9253", "1105", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("9254", "1105", "_edit_lock", "1688558847:3");
INSERT INTO `wp_sa_postmeta` VALUES("9255", "1106", "_wp_attached_file", "2023/07/1920x844.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("9256", "1106", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:844;s:4:\"file\";s:20:\"2023/07/1920x844.jpg\";s:8:\"filesize\";i:6066;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:20:\"1920x844-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:828;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"1920x844-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:360;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"1920x844-600x264.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:264;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1439;}s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"1920x844-300x132.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:132;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:609;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"1920x844-1024x450.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3387;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"1920x844-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:436;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"1920x844-768x338.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:338;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2060;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:21:\"1920x844-1536x675.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6940;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9257", "1106", "_elementor_source_image_hash", "2a9bd23a758bf8e06d99c79bf0dca76af9655b48");
INSERT INTO `wp_sa_postmeta` VALUES("9258", "1107", "_wp_attached_file", "2023/07/3747371-scaled.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("9259", "1107", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:26:\"2023/07/3747371-scaled.jpg\";s:8:\"filesize\";i:170985;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"3747371-scaled-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13961;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"3747371-scaled-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3351;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"3747371-scaled-600x400.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25362;}s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"3747371-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10213;}s:5:\"large\";a:5:{s:4:\"file\";s:20:\"3747371-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51276;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"3747371-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5646;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"3747371-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35233;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:21:\"3747371-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86919;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:21:\"3747371-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:126939;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:38:\"Freepik Company S.L. - www.freepik.com\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9260", "1105", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("9261", "1105", "_rankmath__data", "[{\"id\":\"ed3e59\",\"elType\":\"container\",\"settings\":{\"layout\":\"full_width\",\"flex_gap\":{\"size\":0,\"unit\":\"px\",\"column\":\"0\",\"row\":\"0\",\"isLinked\":true},\"min_height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"background_background\":\"classic\",\"__globals__\":[],\"flex_align_items\":\"stretch\",\"_title\":\"Hero\",\"content_position\":\"middle\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":\"\"},\"padding_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":\"\"},\"background_image\":{\"id\":\"\",\"url\":\"\"},\"background_position\":\"bottom right\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"boxed_width\":{\"unit\":\"px\",\"size\":1300,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"61b8516\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"-2\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"431070e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/3747371-scaled.jpg\",\"id\":1107,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":66,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":92,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"f1407bb\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"7d9830a6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0635\\u0641\\u062d\\u0647 \\u0627\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u062f\\u0646\\u0628\\u0627\\u0644 \\u0622\\u0646 \\u0628\\u0648\\u062f\\u06cc\\u062f \\u067e\\u06cc\\u062f\\u0627 \\u0646\\u0634\\u062f ):<\\/p>\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\",\"typography_text_transform\":\"none\",\"typography_font_style\":\"normal\",\"typography_text_decoration\":\"none\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"drop_cap_primary_color\":\"#1C244B\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=secondary\"},\"jedv_conditions\":[{\"_id\":\"1adfa28\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"1a5a9bd9\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0628\\u0627\\u0632\\u06af\\u0634\\u062a \\u0628\\u0647 \\u062e\\u0627\\u0646\\u0647\",\"align\":\"center\",\"button_text_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":\"1\"},\"border_radius\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":\"1\"},\"text_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"55\",\"bottom\":\"16\",\"left\":\"55\",\"isLinked\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":\"\"},\"__globals__\":{\"background_color\":\"globals\\/colors?id=primary\",\"border_color\":\"globals\\/colors?id=primary\",\"hover_color\":\"globals\\/colors?id=secondary\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"38f29f8\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_text_transform\":\"capitalize\",\"typography_font_style\":\"normal\",\"typography_text_decoration\":\"none\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_background_hover_color\":\"#02010100\",\"jedv_conditions\":[{\"_id\":\"c97f3b7\"}],\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"25\",\"bottom\":\"14\",\"left\":\"25\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("9262", "1105", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("9279", "1105", "_elementor_conditions", "a:1:{i:0;s:29:\"include/singular/not_found404\";}");
INSERT INTO `wp_sa_postmeta` VALUES("9323", "1114", "_wp_attached_file", "2023/07/cropped-seler-banner-3.png");
INSERT INTO `wp_sa_postmeta` VALUES("9324", "1114", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:150;s:6:\"height\";i:150;s:4:\"file\";s:34:\"2023/07/cropped-seler-banner-3.png\";s:8:\"filesize\";i:8778;s:5:\"sizes\";a:1:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"cropped-seler-banner-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5428;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9325", "1115", "_wp_attached_file", "2023/07/cropped-cropped-seler-banner-3.png");
INSERT INTO `wp_sa_postmeta` VALUES("9326", "1115", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("9327", "1115", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:625;s:4:\"file\";s:42:\"2023/07/cropped-cropped-seler-banner-3.png\";s:8:\"filesize\";i:66844;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:42:\"cropped-cropped-seler-banner-3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:25492;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:42:\"cropped-cropped-seler-banner-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5659;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:42:\"cropped-cropped-seler-banner-3-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:65784;}s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"cropped-cropped-seler-banner-3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:25492;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"cropped-cropped-seler-banner-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9851;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9328", "1116", "_wp_attached_file", "2023/07/cropped-seler-banner-2-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("9329", "1116", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:150;s:6:\"height\";i:150;s:4:\"file\";s:36:\"2023/07/cropped-seler-banner-2-1.png\";s:8:\"filesize\";i:7011;s:5:\"sizes\";a:1:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"cropped-seler-banner-2-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4663;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9330", "1117", "_wp_attached_file", "2023/07/cropped-cropped-seler-banner-2-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("9331", "1117", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("9332", "1117", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:150;s:6:\"height\";i:150;s:4:\"file\";s:44:\"2023/07/cropped-cropped-seler-banner-2-1.png\";s:8:\"filesize\";i:7417;s:5:\"sizes\";a:1:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"cropped-cropped-seler-banner-2-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4663;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9333", "1118", "_wp_attached_file", "2023/07/cropped-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("9334", "1118", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("9335", "1118", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:150;s:6:\"height\";i:150;s:4:\"file\";s:21:\"2023/07/cropped-1.png\";s:8:\"filesize\";i:36566;s:5:\"sizes\";a:1:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"cropped-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17277;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9336", "111", "pageview", "24");
INSERT INTO `wp_sa_postmeta` VALUES("9337", "1119", "_wp_attached_file", "2023/07/cropped-post-thumbnail11.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("9338", "1119", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("9339", "1119", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:625;s:4:\"file\";s:36:\"2023/07/cropped-post-thumbnail11.jpg\";s:8:\"filesize\";i:46607;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"cropped-post-thumbnail11-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13767;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"cropped-post-thumbnail11-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2655;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"cropped-post-thumbnail11-600x600.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41049;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"cropped-post-thumbnail11-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13767;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"cropped-post-thumbnail11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4642;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9380", "140", "jet_engine_store_count_compare", "3");
INSERT INTO `wp_sa_postmeta` VALUES("9411", "1127", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("9412", "1127", "_elementor_template_type", "popup");
INSERT INTO `wp_sa_postmeta` VALUES("9413", "1127", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("9414", "1127", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("9419", "1127", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("9420", "1127", "_elementor_page_settings", "a:15:{s:5:\"width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:450;s:5:\"sizes\";a:0:{}}s:12:\"width_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:350;s:5:\"sizes\";a:0:{}}s:24:\"vertical_position_mobile\";s:6:\"bottom\";s:18:\"entrance_animation\";s:6:\"fadeIn\";s:25:\"entrance_animation_mobile\";s:9:\"slideInUp\";s:14:\"exit_animation\";s:6:\"fadeIn\";s:21:\"exit_animation_mobile\";s:9:\"slideInUp\";s:27:\"entrance_animation_duration\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.299999999999999988897769753748434595763683319091796875;s:5:\"sizes\";a:0:{}}s:13:\"border_border\";s:5:\"solid\";s:12:\"border_width\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"1\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"1\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:1;}s:12:\"border_color\";s:7:\"#E0E0E2\";s:13:\"border_radius\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"8\";s:5:\"right\";s:1:\"8\";s:6:\"bottom\";s:1:\"8\";s:4:\"left\";s:1:\"8\";s:8:\"isLinked\";b:1;}s:20:\"border_radius_mobile\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"8\";s:5:\"right\";s:1:\"8\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:26:\"box_shadow_box_shadow_type\";s:0:\"\";s:24:\"overlay_background_color\";s:9:\"#00000030\";}");
INSERT INTO `wp_sa_postmeta` VALUES("9421", "1127", "_rankmath__data", "[{\"id\":\"26dc594a\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1.75\",\"bottom\":\"2\",\"left\":\"1.75\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"144cdcb\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"123b8170\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":10,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"column_sticky_offset\":50,\"scroll_y\":-80,\"jedv_conditions\":[{\"_id\":\"a274038\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"7ad02e05\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06af\\u0632\\u0627\\u0631\\u0634 \\u0642\\u06cc\\u0645\\u062a \\u0645\\u0646\\u0627\\u0633\\u0628\\u200c\\u062a\\u0631\",\"header_size\":\"span\",\"title_color\":\"#0C0C0C\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"scroll_y\":-80,\"_padding\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.3\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"616424a\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"61f00db3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06af\\u0632\\u0627\\u0631\\u0634 \\u0642\\u06cc\\u0645\\u062a \\u0645\\u0646\\u0627\\u0633\\u0628\\u200c\\u062a\\u0631\",\"header_size\":\"span\",\"title_color\":\"#81858B\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"scroll_y\":-80,\"_padding\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.3\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d7bfbce\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"7026822\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7ca4f626\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#E0E0E2\",\"gap\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"scroll_y\":-80,\"jedv_conditions\":[{\"_id\":\"8c04733\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"icon\":{\"value\":\"fas fa-star\",\"library\":\"fa-solid\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"16fec093\",\"elType\":\"widget\",\"settings\":{\"form_name\":\"\\u0641\\u0631\\u0645 \\u06af\\u0632\\u0627\\u0631\\u0634 \\u0642\\u06cc\\u0645\\u062a\",\"form_fields\":[{\"custom_id\":\"name\",\"field_label\":\"\\u0627\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u0686\\u0647 \\u0642\\u06cc\\u0645\\u062a\\u06cc \\u062f\\u06cc\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f\\u061f\",\"placeholder\":\"\\u0645\\u062b\\u0644\\u0627 35000 \\u062a\\u0648\\u0645\\u0627\\u0646\",\"_id\":\"7f67721\",\"previous_button\":\"\",\"next_button\":\"\",\"file_sizes\":\"\",\"file_types\":\"\",\"allow_multiple_upload\":\"\",\"max_files\":\"\",\"acceptance_text\":\"\",\"checked_by_default\":\"\",\"field_min\":\"\",\"field_max\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"use_native_date\":\"\",\"use_native_time\":\"\",\"field_type\":\"text\",\"required\":\"\",\"selected_icon\":{\"value\":\"fas fa-star\",\"library\":\"fa-solid\"},\"field_options\":\"\",\"allow_multiple\":\"\",\"select_size\":\"\",\"inline_list\":\"\",\"field_html\":\"\",\"width\":\"100\",\"width_tablet\":\"\",\"width_mobile\":\"\",\"rows\":4,\"recaptcha_size\":\"normal\",\"recaptcha_style\":\"light\",\"recaptcha_badge\":\"bottomright\",\"css_classes\":\"\",\"field_value\":\"\"},{\"custom_id\":\"field_ad6671b\",\"field_type\":\"checkbox\",\"placeholder\":\"\\u0645\\u062b\\u0644\\u0627 35000 \\u062a\\u0648\\u0645\\u0627\\u0646\",\"field_options\":\"\\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062f\\u06cc\\u062f\\u0647\\u200c\\u0627\\u0645\",\"_id\":\"ad6671b\",\"previous_button\":\"\",\"next_button\":\"\",\"file_sizes\":\"\",\"file_types\":\"\",\"allow_multiple_upload\":\"\",\"max_files\":\"\",\"acceptance_text\":\"\",\"checked_by_default\":\"\",\"field_min\":\"\",\"field_max\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"use_native_date\":\"\",\"use_native_time\":\"\",\"field_label\":\"\",\"required\":\"\",\"selected_icon\":{\"value\":\"fas fa-star\",\"library\":\"fa-solid\"},\"allow_multiple\":\"\",\"select_size\":\"\",\"inline_list\":\"\",\"field_html\":\"\",\"width\":\"100\",\"width_tablet\":\"\",\"width_mobile\":\"\",\"rows\":4,\"recaptcha_size\":\"normal\",\"recaptcha_style\":\"light\",\"recaptcha_badge\":\"bottomright\",\"css_classes\":\"\",\"field_value\":\"\"},{\"custom_id\":\"field_5d4acf6\",\"field_label\":\"\\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u0627\\u06cc\\u0646 \\u0642\\u06cc\\u0645\\u062a \\u062f\\u0631 \\u0622\\u0646 \\u062f\\u06cc\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f\",\"_id\":\"5d4acf6\",\"previous_button\":\"\",\"next_button\":\"\",\"file_sizes\":\"\",\"file_types\":\"\",\"allow_multiple_upload\":\"\",\"max_files\":\"\",\"acceptance_text\":\"\",\"checked_by_default\":\"\",\"field_min\":\"\",\"field_max\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"use_native_date\":\"\",\"use_native_time\":\"\",\"field_type\":\"text\",\"required\":\"\",\"selected_icon\":{\"value\":\"fas fa-star\",\"library\":\"fa-solid\"},\"field_options\":\"\",\"allow_multiple\":\"\",\"select_size\":\"\",\"inline_list\":\"\",\"field_html\":\"\",\"width\":\"100\",\"width_tablet\":\"\",\"width_mobile\":\"\",\"rows\":4,\"recaptcha_size\":\"normal\",\"recaptcha_style\":\"light\",\"recaptcha_badge\":\"bottomright\",\"css_classes\":\"\",\"field_value\":\"\"},{\"custom_id\":\"field_83d2d0e\",\"field_type\":\"select\",\"field_label\":\"\\u0645\\u06a9\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u06a9\\u0647 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u0627\\u06cc\\u0646 \\u0642\\u06cc\\u0645\\u062a \\u062f\\u0631 \\u0622\\u0646 \\u062f\\u06cc\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f\",\"_id\":\"83d2d0e\",\"field_options\":\"\\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646 \\u0634\\u0631\\u0642\\u06cc\\n\\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646 \\u063a\\u0631\\u0628\\u06cc\\n\\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644\\n\\u0627\\u0635\\u0641\\u0647\\u0627\\u0646\\n\\u0627\\u0644\\u0628\\u0631\\u0632\\n\\u0627\\u06cc\\u0644\\u0627\\u0645\\n\\u0628\\u0648\\u0634\\u0647\\u0631\\n\\u062a\\u0647\\u0631\\u0627\\u0646\\n\\u0686\\u0647\\u0627\\u0631\\u0645\\u062d\\u0627\\u0644 \\u0648 \\u0628\\u062e\\u062a\\u06cc\\u0627\\u0631\\u06cc\\n\\u062e\\u0631\\u0627\\u0633\\u0627\\u0646 \\u062c\\u0646\\u0648\\u0628\\u06cc\\n\\u062e\\u0631\\u0627\\u0633\\u0627\\u0646 \\u0631\\u0636\\u0648\\u06cc\\n\\u062e\\u0631\\u0627\\u0633\\u0627\\u0646 \\u0634\\u0645\\u0627\\u0644\\u06cc\\n\\u062e\\u0648\\u0632\\u0633\\u062a\\u0627\\u0646\\n\\u0632\\u0646\\u062c\\u0627\\u0646\\n\\u0633\\u0645\\u0646\\u0627\\u0646\\n\\u0633\\u06cc\\u0633\\u062a\\u0627\\u0646 \\u0648 \\u0628\\u0644\\u0648\\u0686\\u0633\\u062a\\u0627\\u0646\\n\\u0641\\u0627\\u0631\\u0633\\n\\u0642\\u0632\\u0648\\u06cc\\u0646\\n\\u0642\\u0645\\n\\u06a9\\u0631\\u062f\\u0633\\u062a\\u0627\\u0646\\n\\u06a9\\u0631\\u0645\\u0627\\u0646\\n\\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647\\n\\u06a9\\u0647\\u06af\\u06cc\\u0644\\u0648\\u06cc\\u0647 \\u0648\\u0628\\u0648\\u06cc\\u0631\\u0627\\u062d\\u0645\\u062f\\n\\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\\n\\u06af\\u06cc\\u0644\\u0627\\u0646\\n\\u0644\\u0631\\u0633\\u062a\\u0627\\u0646\\n\\u0645\\u0627\\u0632\\u0646\\u062f\\u0631\\u0627\\u0646\\n\\u0645\\u0631\\u06a9\\u0632\\u06cc\\n\\u0647\\u0631\\u0645\\u0632\\u06af\\u0627\\u0646\\n\\u0647\\u0645\\u062f\\u0627\\u0646\\n\\u06cc\\u0632\\u062f\",\"previous_button\":\"\",\"next_button\":\"\",\"file_sizes\":\"\",\"file_types\":\"\",\"allow_multiple_upload\":\"\",\"max_files\":\"\",\"acceptance_text\":\"\",\"checked_by_default\":\"\",\"field_min\":\"\",\"field_max\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"use_native_date\":\"\",\"use_native_time\":\"\",\"required\":\"\",\"selected_icon\":{\"value\":\"fas fa-star\",\"library\":\"fa-solid\"},\"allow_multiple\":\"\",\"select_size\":\"\",\"inline_list\":\"\",\"field_html\":\"\",\"width\":\"100\",\"width_tablet\":\"\",\"width_mobile\":\"\",\"rows\":4,\"recaptcha_size\":\"normal\",\"recaptcha_style\":\"light\",\"recaptcha_badge\":\"bottomright\",\"css_classes\":\"\",\"field_value\":\"\"},{\"_id\":\"fbbaa11\",\"field_type\":\"hidden\",\"custom_id\":\"field_fbbaa11\",\"__dynamic__\":{\"field_value\":\"[elementor-tag id=\\\"f27c8f9\\\" name=\\\"woocommerce-product-title-tag\\\" settings=\\\"%7B%7D\\\"]\"},\"previous_button\":\"\",\"next_button\":\"\",\"file_sizes\":\"\",\"file_types\":\"\",\"allow_multiple_upload\":\"\",\"max_files\":\"\",\"acceptance_text\":\"\",\"checked_by_default\":\"\",\"field_min\":\"\",\"field_max\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"use_native_date\":\"\",\"use_native_time\":\"\",\"field_label\":\"\",\"placeholder\":\"\",\"required\":\"\",\"selected_icon\":{\"value\":\"fas fa-star\",\"library\":\"fa-solid\"},\"field_options\":\"\",\"allow_multiple\":\"\",\"select_size\":\"\",\"inline_list\":\"\",\"field_html\":\"\",\"width\":\"100\",\"width_tablet\":\"\",\"width_mobile\":\"\",\"rows\":4,\"recaptcha_size\":\"normal\",\"recaptcha_style\":\"light\",\"recaptcha_badge\":\"bottomright\",\"css_classes\":\"\",\"field_value\":\"\"}],\"step_next_label\":\"\\u0628\\u0639\\u062f\\u06cc\",\"step_previous_label\":\"\\u0642\\u0628\\u0644\\u06cc\",\"button_text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644\",\"email_content\":\"[all-fields]\",\"email_content_2\":\"[all-fields]\",\"success_message\":\"\\u0641\\u0631\\u0645 \\u0628\\u0627\\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u062f.\",\"error_message\":\"\\u062e\\u0637\\u0627\\u06cc\\u06cc \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\",\"required_field_message\":\"\\u0627\\u06cc\\u0646 \\u0641\\u06cc\\u0644\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.\",\"invalid_message\":\"\\u06cc\\u06a9 \\u0645\\u0634\\u06a9\\u0644\\u06cc \\u0648\\u062c\\u0648\\u062f \\u062f\\u0627\\u0631\\u062f. \\u0627\\u06cc\\u0646 \\u0641\\u0631\\u0645 \\u0646\\u0627\\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0633\\u062a.\",\"scroll_y\":-80,\"button_size\":\"md\",\"row_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"label_spacing\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"label_color\":\"#424750\",\"label_typography_typography\":\"custom\",\"label_typography_font_family\":\"iranyekanwebmedium\",\"label_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"label_typography_font_weight\":\"normal\",\"field_text_color\":\"#424750\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"field_border_color\":\"#E0E0E2\",\"field_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"field_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"button_typography_typography\":\"custom\",\"button_typography_font_family\":\"iranyekanwebbold_FaNum\",\"button_typography_font_weight\":\"normal\",\"button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"_padding\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"e842922\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\"},\"selected_button_icon\":{\"value\":\"\",\"library\":\"\"},\"mailchimp_fields_map\":[],\"drip_fields_map\":[],\"activecampaign_fields_map\":[],\"getresponse_fields_map\":[],\"convertkit_fields_map\":[],\"mailerlite_fields_map\":[],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"form\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("9429", "1127", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:4:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("9452", "1127", "__elementor_forms_snapshot", "[{\"id\":\"16fec093\",\"name\":\"\\u0641\\u0631\\u0645 \\u06af\\u0632\\u0627\\u0631\\u0634 \\u0642\\u06cc\\u0645\\u062a\",\"fields\":[{\"id\":\"name\",\"type\":\"text\",\"label\":\"\\u0627\\u06cc\\u0646 \\u06a9\\u0627\\u0644\\u0627 \\u0631\\u0627 \\u0628\\u0627 \\u0686\\u0647 \\u0642\\u06cc\\u0645\\u062a\\u06cc \\u062f\\u06cc\\u062f\\u0647\\u200c\\u0627\\u06cc\\u062f\\u061f\"},{\"id\":\"field_ad6671b\",\"type\":\"checkbox\",\"label\":\"\",\"options\":[\"\\u062f\\u0631 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647 \\u0627\\u06cc\\u0646\\u062a\\u0631\\u0646\\u062a\\u06cc \\u062f\\u06cc\\u062f\\u0647\\u200c\\u0627\\u0645\"]},{\"id\":\"field_5d4acf6\",\"type\":\"text\",\"label\":\"\\u0646\\u0627\\u0645 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\"},{\"id\":\"field_83d2d0e\",\"type\":\"select\",\"label\":\"\\u0645\\u06a9\\u0627\\u0646 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\",\"options\":[\"\\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646 \\u0634\\u0631\\u0642\\u06cc\",\"\\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646 \\u063a\\u0631\\u0628\\u06cc\",\"\\u0627\\u0631\\u062f\\u0628\\u06cc\\u0644\",\"\\u0627\\u0635\\u0641\\u0647\\u0627\\u0646\",\"\\u0627\\u0644\\u0628\\u0631\\u0632\",\"\\u0627\\u06cc\\u0644\\u0627\\u0645\",\"\\u0628\\u0648\\u0634\\u0647\\u0631\",\"\\u062a\\u0647\\u0631\\u0627\\u0646\",\"\\u0686\\u0647\\u0627\\u0631\\u0645\\u062d\\u0627\\u0644 \\u0648 \\u0628\\u062e\\u062a\\u06cc\\u0627\\u0631\\u06cc\",\"\\u062e\\u0631\\u0627\\u0633\\u0627\\u0646 \\u062c\\u0646\\u0648\\u0628\\u06cc\",\"\\u062e\\u0631\\u0627\\u0633\\u0627\\u0646 \\u0631\\u0636\\u0648\\u06cc\",\"\\u062e\\u0631\\u0627\\u0633\\u0627\\u0646 \\u0634\\u0645\\u0627\\u0644\\u06cc\",\"\\u062e\\u0648\\u0632\\u0633\\u062a\\u0627\\u0646\",\"\\u0632\\u0646\\u062c\\u0627\\u0646\",\"\\u0633\\u0645\\u0646\\u0627\\u0646\",\"\\u0633\\u06cc\\u0633\\u062a\\u0627\\u0646 \\u0648 \\u0628\\u0644\\u0648\\u0686\\u0633\\u062a\\u0627\\u0646\",\"\\u0641\\u0627\\u0631\\u0633\",\"\\u0642\\u0632\\u0648\\u06cc\\u0646\",\"\\u0642\\u0645\",\"\\u06a9\\u0631\\u062f\\u0633\\u062a\\u0627\\u0646\",\"\\u06a9\\u0631\\u0645\\u0627\\u0646\",\"\\u06a9\\u0631\\u0645\\u0627\\u0646\\u0634\\u0627\\u0647\",\"\\u06a9\\u0647\\u06af\\u06cc\\u0644\\u0648\\u06cc\\u0647 \\u0648\\u0628\\u0648\\u06cc\\u0631\\u0627\\u062d\\u0645\\u062f\",\"\\u06af\\u0644\\u0633\\u062a\\u0627\\u0646\",\"\\u06af\\u06cc\\u0644\\u0627\\u0646\",\"\\u0644\\u0631\\u0633\\u062a\\u0627\\u0646\",\"\\u0645\\u0627\\u0632\\u0646\\u062f\\u0631\\u0627\\u0646\",\"\\u0645\\u0631\\u06a9\\u0632\\u06cc\",\"\\u0647\\u0631\\u0645\\u0632\\u06af\\u0627\\u0646\",\"\\u0647\\u0645\\u062f\\u0627\\u0646\",\"\\u06cc\\u0632\\u062f\"],\"is_multiple\":false},{\"id\":\"field_fbbaa11\",\"type\":\"hidden\",\"label\":\"\"}]}]");
INSERT INTO `wp_sa_postmeta` VALUES("9453", "142", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9454", "140", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9455", "138", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9456", "136", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9457", "134", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9458", "132", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9459", "130", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9460", "128", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9461", "126", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9462", "124", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9463", "122", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9464", "120", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9465", "118", "_dokan_previous_status", "publish");
INSERT INTO `wp_sa_postmeta` VALUES("9474", "527", "_edit_lock", "1688622343:2");
INSERT INTO `wp_sa_postmeta` VALUES("9475", "527", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("9476", "527", "_elementor_template_type", "wp-page");
INSERT INTO `wp_sa_postmeta` VALUES("9477", "527", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("9478", "527", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("9494", "527", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("9495", "527", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("9496", "527", "_rankmath__data", "[{\"id\":\"629feec9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"c0712ee\"}]},\"elements\":[{\"id\":\"3987f5fb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"jedv_conditions\":[{\"_id\":\"1f0c917\"}]},\"elements\":[{\"id\":\"46741b14\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[dokan-stores]\",\"jedv_conditions\":[{\"_id\":\"a97f32f\"}],\"custom_css\":\"\\/*\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u0647*\\/\\r\\nselector input.dokan-form-control.valid {\\r\\n    border-color: #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector input.dokan-form-control {\\r\\n    border-color: #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector textarea.dokan-form-control {\\r\\n    border-color: #ebebeb;\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector input[type=\'submit\'].dokan-btn-theme, a.dokan-btn-theme, .dokan-btn-theme {\\r\\n    color: #fff;\\r\\n    background-color: var(--e-global-color-primary );\\r\\n    border-color: transparent;\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector button.dokan-share-btn.dokan-btn.dokan-btn-theme.dokan-btn-sm {\\r\\n    border-radius: 8px;\\r\\n}\\r\\nselector p.dokan-info {\\r\\n    border-radius: 15px !important;\\r\\n}\\r\\nselector .elementor-kit-6 h3 {\\r\\n    font-size: 18px;\\r\\n}\\r\\nselector nav.woocommerce-breadcrumb {\\r\\n    margin-top: 20px;\\r\\n}\\r\\n\\/*\\u06af\\u0631\\u0628\\u062f \\u0641\\u0631\\u0648\\u0634\\u0646\\u062f\\u067e\\u0627\\u0646*\\/\\r\\n\\r\\n#dokan-store-listing-filter-wrap {\\r\\n    border-radius: 10px;\\r\\n    box-shadow: 1px 1px 20px 0px #e9e9e9ad;\\r\\n}\\r\\nselector .dokan-btn-theme {\\r\\n    color: #fff;\\r\\n    background-color: var(--e-global-color-primary );\\r\\n    border-radius: 8px !important;\\r\\n}\\r\\n#dokan-seller-listing-wrap ul.dokan-seller-wrap li .store-wrapper {\\r\\n    box-shadow: 0px 0px 20px 0px #e5e4e487;\\r\\n}\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("9504", "527", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("9731", "1162", "_wp_attached_file", "2023/07/cropped-contact-top.png");
INSERT INTO `wp_sa_postmeta` VALUES("9732", "1162", "_wp_attachment_context", "control-id");
INSERT INTO `wp_sa_postmeta` VALUES("9733", "1162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:300;s:4:\"file\";s:31:\"2023/07/cropped-contact-top.png\";s:8:\"filesize\";i:293311;s:5:\"sizes\";a:5:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"cropped-contact-top-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:145997;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"cropped-contact-top-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20459;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"cropped-contact-top-600x288.png\";s:5:\"width\";i:600;s:6:\"height\";i:288;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:263222;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"cropped-contact-top-300x144.png\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:78111;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"cropped-contact-top-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:42071;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9739", "993", "_elementor_screenshot_failed", "2023-07-06 05:37:47");
INSERT INTO `wp_sa_postmeta` VALUES("9740", "996", "_elementor_screenshot_failed", "2023-07-06 05:38:06");
INSERT INTO `wp_sa_postmeta` VALUES("9741", "1105", "_elementor_screenshot_failed", "2023-07-06 05:38:24");
INSERT INTO `wp_sa_postmeta` VALUES("9753", "441", "_elementor_conditions", "a:1:{i:0;s:23:\"include/product_archive\";}");
INSERT INTO `wp_sa_postmeta` VALUES("9812", "142", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("9813", "142", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("9814", "142", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("9815", "142", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("9816", "142", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("9817", "142", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("9818", "142", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("9819", "142", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("9820", "142", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("9821", "142", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("9822", "140", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("9823", "140", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("9824", "140", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("9825", "140", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("9826", "140", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("9827", "140", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("9828", "140", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("9829", "140", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("9830", "140", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("9831", "140", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("9832", "138", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("9833", "138", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("9834", "138", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("9835", "138", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("9836", "138", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("9837", "138", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("9838", "138", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("9839", "138", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("9840", "138", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("9841", "138", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("9899", "1176", "_wp_attached_file", "2023/07/clock-without-hands.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("9900", "1176", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:500;s:6:\"height\";i:500;s:4:\"file\";s:31:\"2023/07/clock-without-hands.jpg\";s:8:\"filesize\";i:25261;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"clock-without-hands-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8436;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"clock-without-hands-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1910;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"clock-without-hands-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8436;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"clock-without-hands-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3317;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("9902", "1177", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("9903", "1177", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("9904", "1177", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("9905", "1177", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9906", "1177", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9907", "1177", "_sold_individually", "");
INSERT INTO `wp_sa_postmeta` VALUES("9908", "1177", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9909", "1177", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9910", "1177", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("9911", "1177", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("9912", "1177", "_thumbnail_id", "1176");
INSERT INTO `wp_sa_postmeta` VALUES("9913", "1177", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("9914", "1177", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("9915", "1177", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("9916", "1177", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("9917", "1177", "_product_version", "8.9.1");
INSERT INTO `wp_sa_postmeta` VALUES("9919", "1177", "chosen_product_cat", "a:1:{i:0;i:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("9920", "1177", "_product_image_gallery", "");
INSERT INTO `wp_sa_postmeta` VALUES("9921", "1177", "_visibility", "visible");
INSERT INTO `wp_sa_postmeta` VALUES("9923", "1177", "_purchase_note", "");
INSERT INTO `wp_sa_postmeta` VALUES("9924", "1177", "_product_attributes", "a:1:{s:8:\"pa_brand\";a:6:{s:4:\"name\";s:8:\"pa_brand\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_sa_postmeta` VALUES("9925", "1177", "_sale_price_dates_from", "");
INSERT INTO `wp_sa_postmeta` VALUES("9926", "1177", "_sale_price_dates_to", "");
INSERT INTO `wp_sa_postmeta` VALUES("9928", "1177", "_lot_discount_quantity", "0");
INSERT INTO `wp_sa_postmeta` VALUES("9929", "1177", "_lot_discount_amount", "0");
INSERT INTO `wp_sa_postmeta` VALUES("9930", "1177", "_is_lot_discount", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9931", "1177", "_weight", "");
INSERT INTO `wp_sa_postmeta` VALUES("9932", "1177", "_length", "");
INSERT INTO `wp_sa_postmeta` VALUES("9933", "1177", "_width", "");
INSERT INTO `wp_sa_postmeta` VALUES("9934", "1177", "_height", "");
INSERT INTO `wp_sa_postmeta` VALUES("9935", "1177", "_disable_shipping", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9936", "1177", "_overwrite_shipping", "no");
INSERT INTO `wp_sa_postmeta` VALUES("9937", "1177", "_additional_price", "");
INSERT INTO `wp_sa_postmeta` VALUES("9938", "1177", "_additional_qty", "");
INSERT INTO `wp_sa_postmeta` VALUES("9939", "1177", "_dps_processing_time", "");
INSERT INTO `wp_sa_postmeta` VALUES("9940", "1177", "_upsell_ids", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("9941", "1177", "_crosssell_ids", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("9942", "1177", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("9943", "1177", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("9944", "1177", "_edit_lock", "1696939728:1");
INSERT INTO `wp_sa_postmeta` VALUES("10175", "1194", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("10176", "1194", "_elementor_template_type", "jet-woo-builder-myaccount");
INSERT INTO `wp_sa_postmeta` VALUES("10177", "1194", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("10178", "1194", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("10179", "1194", "_edit_lock", "1704693338:1");
INSERT INTO `wp_sa_postmeta` VALUES("10180", "1195", "_wp_attached_file", "2023/07/9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("10181", "1195", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:63:\"2023/07/9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043.jpg\";s:8:\"filesize\";i:54430;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:63:\"9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7499;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:63:\"9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1845;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:63:\"9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043-600x600.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21260;}s:6:\"medium\";a:5:{s:4:\"file\";s:63:\"9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7499;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:63:\"9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2902;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:63:\"9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32068;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("10182", "1194", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("10183", "1194", "_elementor_page_settings", "a:1:{s:19:\"hide_template_title\";s:3:\"yes\";}");
INSERT INTO `wp_sa_postmeta` VALUES("10184", "1194", "_rankmath__data", "[{\"id\":\"66df56e\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":30,\"column\":\"30\",\"row\":\"30\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"fc910f3\"}],\"flex_wrap_tablet\":\"wrap\",\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"e2350ef\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d8bc618\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[{\"id\":\"227cadf\",\"elType\":\"widget\",\"settings\":{\"myaccount_registration_heading_typography_typography\":\"custom\",\"myaccount_registration_heading_typography_font_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"myaccount_registration_heading_color\":\"#333333\",\"myaccount_registration_form_typography_typography\":\"custom\",\"myaccount_registration_form_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"myaccount_registration_form_background\":\"#F5F5F5\",\"myaccount_registration_form_border_border\":\"solid\",\"myaccount_registration_form_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"myaccount_registration_form_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"myaccount_registration_label_typography_typography\":\"custom\",\"myaccount_registration_label_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"myaccount_registration_input_border_border\":\"none\",\"myaccount_registration_input_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"myaccount_registration_button_typography_typography\":\"custom\",\"myaccount_registration_button_typography_font_weight\":\"normal\",\"myaccount_registration_button_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"c75ef03\"}],\"__globals__\":{\"myaccount_registration_heading_color\":\"\",\"myaccount_registration_form_border_color\":\"globals\\/colors?id=ed73ee8\",\"myaccount_registration_input_border_color\":\"globals\\/colors?id=ed73ee8\"},\"custom_css\":\"selector .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .register {\\n    height: fit-content !important;\\n}\\n\\nselector form.woocommerce-form.woocommerce-form-register.register {\\n    height: max-content !important;\\n}\\nselector label.radio {\\n    font-family: \'iranyekanwebregular_FaNum\';\\n}\\nselector label {\\n    font-family: \'iranyekanwebregular_FaNum\';\\n}\"},\"elements\":[],\"widgetType\":\"jet-myaccount-registration-form\"}],\"isInner\":true},{\"id\":\"6101c8b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b706261\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[{\"id\":\"7989586\",\"elType\":\"widget\",\"settings\":{\"myaccount_login_form_heading_typography_typography\":\"custom\",\"myaccount_login_form_heading_typography_font_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"myaccount_login_form_heading_typography_font_weight\":\"normal\",\"myaccount_login_form_heading_color\":\"#333333\",\"myaccount_login_form_typography_typography\":\"custom\",\"myaccount_login_form_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"myaccount_login_form_background\":\"#F5F5F5F5\",\"myaccount_login_form_border_border\":\"solid\",\"myaccount_login_form_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"myaccount_login_form_border_color\":\"#E1E1E1\",\"myaccount_login_form_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"myaccount_login_form_label_typography_typography\":\"custom\",\"myaccount_login_form_label_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"myaccount_login_form_input_typography_typography\":\"custom\",\"myaccount_login_form_input_background\":\"#FFFFFF\",\"myaccount_login_form_input_border_border\":\"none\",\"myaccount_login_form_input_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"myaccount_login_form_button_typography_typography\":\"custom\",\"myaccount_login_form_button_typography_font_weight\":\"normal\",\"myaccount_login_form_button_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"255ea48\"}],\"__globals__\":{\"myaccount_login_form_heading_color\":\"\",\"myaccount_login_form_border_color\":\"globals\\/colors?id=ed73ee8\",\"myaccount_login_form_input_background\":\"\",\"myaccount_login_form_input_color\":\"\"}},\"elements\":[],\"widgetType\":\"jet-myaccount-login-form\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("10185", "1194", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("10186", "1196", "_wp_attached_file", "2023/07/502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046.webp");
INSERT INTO `wp_sa_postmeta` VALUES("10187", "1196", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:64:\"2023/07/502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046.webp\";s:8:\"filesize\";i:25058;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:64:\"502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046-300x300.webp\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4418;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:64:\"502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1364;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:64:\"502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046-600x600.webp\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10988;}s:6:\"medium\";a:5:{s:4:\"file\";s:64:\"502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046-300x300.webp\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4418;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:64:\"502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2180;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:64:\"502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046-768x768.webp\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:14762;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("10188", "1197", "_regular_price", "1200000");
INSERT INTO `wp_sa_postmeta` VALUES("10189", "1197", "_sale_price", "560000");
INSERT INTO `wp_sa_postmeta` VALUES("10190", "1197", "total_sales", "6");
INSERT INTO `wp_sa_postmeta` VALUES("10191", "1197", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("10192", "1197", "_tax_class", "");
INSERT INTO `wp_sa_postmeta` VALUES("10193", "1197", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10194", "1197", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10195", "1197", "_sold_individually", "");
INSERT INTO `wp_sa_postmeta` VALUES("10196", "1197", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10197", "1197", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10198", "1197", "_product_image_gallery", "1196");
INSERT INTO `wp_sa_postmeta` VALUES("10199", "1197", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("10200", "1197", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("10201", "1197", "_thumbnail_id", "1195");
INSERT INTO `wp_sa_postmeta` VALUES("10202", "1197", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("10203", "1197", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("10204", "1197", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("10205", "1197", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("10206", "1197", "_product_version", "7.8.1");
INSERT INTO `wp_sa_postmeta` VALUES("10207", "1197", "_price", "560000");
INSERT INTO `wp_sa_postmeta` VALUES("10208", "1197", "chosen_product_cat", "a:1:{i:0;i:21;}");
INSERT INTO `wp_sa_postmeta` VALUES("10209", "1197", "_visibility", "visible");
INSERT INTO `wp_sa_postmeta` VALUES("10210", "1197", "_purchase_note", "");
INSERT INTO `wp_sa_postmeta` VALUES("10211", "1197", "_product_attributes", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("10212", "1197", "_sale_price_dates_from", "");
INSERT INTO `wp_sa_postmeta` VALUES("10213", "1197", "_sale_price_dates_to", "");
INSERT INTO `wp_sa_postmeta` VALUES("10215", "1197", "_lot_discount_quantity", "0");
INSERT INTO `wp_sa_postmeta` VALUES("10216", "1197", "_lot_discount_amount", "0");
INSERT INTO `wp_sa_postmeta` VALUES("10217", "1197", "_is_lot_discount", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10218", "1197", "_weight", "");
INSERT INTO `wp_sa_postmeta` VALUES("10219", "1197", "_length", "");
INSERT INTO `wp_sa_postmeta` VALUES("10220", "1197", "_width", "50");
INSERT INTO `wp_sa_postmeta` VALUES("10221", "1197", "_height", "25");
INSERT INTO `wp_sa_postmeta` VALUES("10222", "1197", "_disable_shipping", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10223", "1197", "_overwrite_shipping", "no");
INSERT INTO `wp_sa_postmeta` VALUES("10224", "1197", "_additional_price", "");
INSERT INTO `wp_sa_postmeta` VALUES("10225", "1197", "_additional_qty", "");
INSERT INTO `wp_sa_postmeta` VALUES("10226", "1197", "_dps_processing_time", "");
INSERT INTO `wp_sa_postmeta` VALUES("10227", "1197", "_upsell_ids", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("10228", "1197", "_crosssell_ids", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("10231", "1197", "pageview", "392");
INSERT INTO `wp_sa_postmeta` VALUES("10464", "1224", "_listing_data", "a:3:{s:6:\"source\";s:5:\"users\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("10465", "1224", "_listing_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("10466", "1224", "_elementor_page_settings", "a:3:{s:14:\"listing_source\";s:5:\"users\";s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";}");
INSERT INTO `wp_sa_postmeta` VALUES("10467", "1224", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("10468", "1224", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_sa_postmeta` VALUES("10469", "1224", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("10470", "1224", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("10471", "1224", "_edit_lock", "1689054205:1");
INSERT INTO `wp_sa_postmeta` VALUES("10472", "1177", "pageview", "188");
INSERT INTO `wp_sa_postmeta` VALUES("10484", "471", "_pingme", "1");
INSERT INTO `wp_sa_postmeta` VALUES("10485", "471", "_encloseme", "1");
INSERT INTO `wp_sa_postmeta` VALUES("10492", "1224", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("10493", "1224", "_rankmath__data", "[{\"id\":\"9bcfffe\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"451fc74\"}]},\"elements\":[{\"id\":\"84d2367\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"id\":305,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Rectangle-125.svg\"},\"background_position\":\"center center\",\"background_xpos\":{\"unit\":\"px\",\"size\":152,\"sizes\":[]},\"background_repeat\":\"no-repeat\",\"background_size\":\"contain\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#F1F1F1\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5ba7e84\"}],\"background_size_mobile\":\"auto\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"8bfecd2\",\"elType\":\"container\",\"settings\":{\"_column_size\":100,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":304,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/Rectangle-127.svg\"},\"background_overlay_position\":\"top center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"contain\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#F1F1F1\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":15,\"blur\":20,\"spread\":0,\"color\":\"rgba(199.93124771118164, 199.93124771118164, 199.93124771118164, 0.11)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"1\",\"bottom\":\"2\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"be04e01\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"360cc67\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":302,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/casual-life-3d-reward-badge-with-star-and-two-ribbons-2.png\"},\"image_size\":\"full\",\"jedv_conditions\":[{\"_id\":\"cb44ed7\"}],\"scroll_y\":-80,\"caption_typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"caption_typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2e24d72\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0640\\u0640\\u0631\\u0648\\u0634\\u0640\\u0646\\u0640\\u062f\\u0647 \\u0628\\u0640\\u0640\\u0640\\u0640\\u0640\\u0640\\u0640\\u0631\\u062a\\u0631\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"7ae8184\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8e9bed2\",\"elType\":\"container\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"dec8b41\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"flex_wrap_tablet\":\"wrap\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e5e6f88\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":30,\"unit\":\"%\"},\"flex_justify_content\":\"center\",\"flex_gap\":{\"size\":8,\"unit\":\"px\",\"column\":\"8\",\"row\":\"8\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6afde8b\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e2efd85\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[],\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"eafb062\"}],\"flex_align_items\":\"center\"},\"elements\":[{\"id\":\"c366168\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[top_seller_img]\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":15},\"_flex_size\":\"none\",\"jedv_conditions\":[{\"_id\":\"b26ac53\"}],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-8\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":9,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"custom_css\":\"selector img {\\r\\n    border-radius: 10px !important;\\r\\n}\\r\\n\"},\"elements\":[],\"widgetType\":\"shortcode\"},{\"id\":\"9dc4bc5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebextrabold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"7ae8184\"}],\"scroll_y\":-80,\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"8fb5758\\\" name=\\\"jet-object-property\\\" settings=\\\"%7B%22object_prop%22%3A%22seller_name%22%7D\\\"]\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"0c3728a\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\",\"align\":\"right\",\"text_color\":\"#A0A0A0\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Light\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"wd_content_align\":\"right\",\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"2d8f4ae\"}],\"scroll_y\":-80,\"wd_color_scheme\":\"inherit\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"d44a997\\\" name=\\\"jet-object-property\\\" settings=\\\"%7B%22object_prop%22%3A%22store_description%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"eae4f7c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span style=\\\"color: #000000;\\\">190<\\/span> \\u0641\\u0631\\u0648\\u0634 \\u0645\\u0648\\u0641\\u0642<\\/p>\",\"align\":\"center\",\"text_color\":\"#9D9D9D\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebmedium_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"wd_content_align\":\"right\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"56fcdd6\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#F9F9F9\",\"_border_border\":\"dashed\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#E4E4E4\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"wd_color_scheme\":\"inherit\",\"wd_content_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"wd_content_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"cec796d\\\" name=\\\"jet-object-property\\\" settings=\\\"%7B%22object_prop%22%3A%22sales_count%22%2C%22before%22%3A%22%D8%AA%D8%B9%D8%AF%D8%A7%D8%AF%20%D9%81%D8%B1%D9%88%D8%B4%20%D9%85%D8%AD%D8%B5%D9%88%D9%84%D8%A7%D8%AA%3A%20%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"b052791\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[dokan_vendor_link]\",\"_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"6\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"815d7fa\"}],\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"6\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":true},\"custom_css\":\"selector a {\\n    color: #ffffff !important;\\n}\\nselector .elementor-widget-container {\\n    text-align: center;\\n}\",\"__globals__\":{\"_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":true},{\"id\":\"7671b43\",\"elType\":\"container\",\"settings\":{\"_column_size\":50,\"width\":{\"size\":70,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c63a4fa\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"width_tablet\":{\"size\":100,\"unit\":\"%\"},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d50bd75\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"293\",\"columns\":\"2\",\"posts_num\":4,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"use_custom_post_types\":\"yes\",\"custom_post_types\":[\"product\"],\"posts_query\":[{\"_id\":\"324788c\",\"type\":\"posts_params\",\"posts_author\":\"id\",\"__dynamic__\":{\"posts_author_id\":\"[elementor-tag id=\\\"a60258b\\\" name=\\\"jet-object-property\\\" settings=\\\"%7B%22object_prop%22%3A%22seller_id%22%7D\\\"]\"}}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"062af5a\"}],\"scroll_y\":-80,\"columns_mobile\":\"1\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"columns_tablet\":\"2\",\"equal_columns_height\":\"yes\",\"custom_query_id\":\"8\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("10501", "1224", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("10558", "113", "pageview", "4");
INSERT INTO `wp_sa_postmeta` VALUES("11529", "628", "_edit_lock", "1688979862:14");
INSERT INTO `wp_sa_postmeta` VALUES("11542", "628", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("11952", "491", "_elementor_conditions", "a:1:{i:0;s:15:\"include/product\";}");
INSERT INTO `wp_sa_postmeta` VALUES("11962", "1197", "_edit_lock", "1688644329:3");
INSERT INTO `wp_sa_postmeta` VALUES("11964", "1197", "_edit_last", "3");
INSERT INTO `wp_sa_postmeta` VALUES("11965", "1197", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("11966", "1197", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("11967", "1197", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("11968", "1197", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("11969", "1197", "latin-name", "Lidoma Li-80 model handbag");
INSERT INTO `wp_sa_postmeta` VALUES("11970", "1197", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("11971", "1197", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("11972", "1197", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("11973", "1197", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("11974", "1197", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("11975", "1197", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("11976", "1197", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("11977", "1197", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("11978", "1197", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("11979", "1197", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("11980", "1197", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("11981", "1177", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("11982", "1177", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("11983", "1177", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("11984", "1177", "latin-name", "Purple wall clock");
INSERT INTO `wp_sa_postmeta` VALUES("11985", "1177", "custom-switcher", "false");
INSERT INTO `wp_sa_postmeta` VALUES("11986", "1177", "custom-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("11987", "1177", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("11988", "1177", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("11989", "1177", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("11990", "1177", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("11991", "1177", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("11992", "1177", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("11993", "1177", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("11994", "1177", "_jet_woo_template", "");
INSERT INTO `wp_sa_postmeta` VALUES("11995", "1177", "_template_type", "default");
INSERT INTO `wp_sa_postmeta` VALUES("12006", "136", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12007", "136", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12008", "136", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12009", "136", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12010", "136", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12011", "136", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12012", "136", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12013", "136", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12014", "136", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12015", "136", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12016", "134", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12017", "134", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12018", "134", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12019", "134", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12020", "134", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12021", "134", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12022", "134", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12023", "134", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12024", "134", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12025", "134", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12026", "132", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12027", "132", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12028", "132", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12029", "132", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12030", "132", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12031", "132", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12032", "132", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12033", "132", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12034", "132", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12035", "132", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12036", "130", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12037", "130", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12038", "130", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12039", "130", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12040", "130", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12041", "130", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12042", "130", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12043", "130", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12044", "130", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12045", "130", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12046", "128", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12047", "128", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12048", "128", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12049", "128", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12050", "128", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12051", "128", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12052", "128", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12053", "128", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12054", "128", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12055", "128", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12056", "124", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12057", "124", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12058", "124", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12059", "124", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12060", "124", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12061", "124", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12062", "124", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12063", "124", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12064", "124", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12065", "124", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12066", "122", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12067", "122", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12068", "122", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12069", "122", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12070", "122", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12071", "122", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12072", "122", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12073", "122", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12074", "122", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12075", "122", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12076", "120", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12077", "120", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12078", "120", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12079", "120", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12080", "120", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12081", "120", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12082", "120", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12083", "120", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12084", "120", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12085", "120", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12086", "118", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12087", "118", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12088", "118", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12089", "118", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12090", "118", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12091", "118", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12092", "118", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12093", "118", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12094", "118", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12095", "118", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12096", "115", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12097", "115", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12098", "115", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12099", "115", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12100", "115", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12101", "115", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12102", "115", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12103", "115", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12104", "115", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12105", "115", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12106", "113", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12107", "113", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12108", "113", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12109", "113", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12110", "113", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12111", "113", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12112", "113", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12113", "113", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12114", "113", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12115", "113", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12116", "111", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12117", "111", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12118", "111", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12119", "111", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12120", "111", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12121", "111", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12122", "111", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12123", "111", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12124", "111", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12125", "111", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12126", "108", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12127", "108", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12128", "108", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12129", "108", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12130", "108", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12131", "108", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12132", "108", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12133", "108", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12134", "108", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12135", "108", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12146", "106", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12147", "106", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12148", "106", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12149", "106", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12150", "106", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12151", "106", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12152", "106", "product-sender", "ارسال توسط فروشگاه");
INSERT INTO `wp_sa_postmeta` VALUES("12153", "106", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12154", "106", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12155", "106", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12156", "104", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12157", "104", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12158", "104", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12159", "104", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12160", "104", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12161", "104", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12162", "104", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12163", "104", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12164", "104", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12165", "104", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12166", "102", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12167", "102", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12168", "102", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12169", "102", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12170", "102", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12171", "102", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12172", "102", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12173", "102", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12174", "102", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12175", "102", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12176", "100", "_per_product_admin_commission_type", "flat");
INSERT INTO `wp_sa_postmeta` VALUES("12177", "100", "_per_product_admin_commission", "");
INSERT INTO `wp_sa_postmeta` VALUES("12178", "100", "_per_product_admin_additional_fee", "");
INSERT INTO `wp_sa_postmeta` VALUES("12179", "100", "en-product-name", "");
INSERT INTO `wp_sa_postmeta` VALUES("12180", "100", "special-sale", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12181", "100", "discount-percentage", "");
INSERT INTO `wp_sa_postmeta` VALUES("12182", "100", "product-sender", "ارسال توسط فروشنده");
INSERT INTO `wp_sa_postmeta` VALUES("12183", "100", "terms-sending-product", "a:2:{s:6:\"item-0\";a:1:{s:4:\"term\";s:84:\"ارسال رایگان برای سفارش‌ بالای ۵۰۰ هزار تومان\";}s:6:\"item-1\";a:1:{s:4:\"term\";s:57:\"تحویل کالا طی هفت تا ده روز کاری\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("12184", "100", "swicher-text_126", "false");
INSERT INTO `wp_sa_postmeta` VALUES("12185", "100", "swicher-text", "");
INSERT INTO `wp_sa_postmeta` VALUES("12549", "942", "_elementor_conditions", "a:1:{i:0;s:13:\"include/store\";}");
INSERT INTO `wp_sa_postmeta` VALUES("12636", "628", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("12645", "628", "_wp_old_slug", "%d8%b3%da%a9%d8%b4%d9%86-%d8%a7%d8%b7%d9%84%d8%a7%d8%b9%d8%a7%d8%aa-%d8%aa%d9%85%d8%a7%d8%b3");
INSERT INTO `wp_sa_postmeta` VALUES("12646", "961", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("12658", "961", "_wp_old_slug", "%d9%85%d9%86%d9%88-%d9%87%d9%85%d8%a8%d8%b1%da%af%d8%b1%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84");
INSERT INTO `wp_sa_postmeta` VALUES("12659", "209", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("12670", "209", "_wp_old_slug", "%d9%81%d9%88%d8%aa%d8%b1");
INSERT INTO `wp_sa_postmeta` VALUES("12671", "20", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("12682", "20", "_wp_old_slug", "%d9%87%d8%af%d8%b1-%d8%a7%d8%b5%d9%84%db%8c");
INSERT INTO `wp_sa_postmeta` VALUES("12683", "399", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("12694", "399", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87");
INSERT INTO `wp_sa_postmeta` VALUES("12695", "491", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("12706", "491", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d8%ad%d8%b5%d9%88%d9%84");
INSERT INTO `wp_sa_postmeta` VALUES("12820", "1396", "_wp_attached_file", "2023/07/monitor-mobbile.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12821", "1396", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1211;s:5:\"width\";d:20;s:6:\"height\";d:20;}");
INSERT INTO `wp_sa_postmeta` VALUES("12823", "1397", "_wp_attached_file", "2023/07/lamp.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12824", "1397", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:657;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12826", "1398", "_wp_attached_file", "2023/07/driving.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12827", "1398", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1894;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12829", "1399", "_wp_attached_file", "2023/07/book.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12830", "1399", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1076;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12832", "1400", "_wp_attached_file", "2023/07/magicpen.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12833", "1400", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1106;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12835", "1401", "_wp_attached_file", "2023/07/gameboy.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12836", "1401", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1271;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12838", "1402", "_wp_attached_file", "2023/07/weight.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12839", "1402", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1027;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12841", "1403", "_wp_attached_file", "2023/07/clock.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12842", "1403", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1260;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("12844", "1404", "_wp_attached_file", "2023/07/brush.svg");
INSERT INTO `wp_sa_postmeta` VALUES("12845", "1404", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1333;s:5:\"width\";d:18;s:6:\"height\";d:18;}");
INSERT INTO `wp_sa_postmeta` VALUES("13040", "1423", "_wp_attached_file", "2023/07/mega-banner-2.png");
INSERT INTO `wp_sa_postmeta` VALUES("13041", "1423", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-2.png\";s:8:\"filesize\";i:106835;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:112817;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15647;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-2-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:68371;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31944;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13042", "1423", "_elementor_source_image_hash", "eb8e51a35163bb477adc9b2e7e0b1dfdbae68dea");
INSERT INTO `wp_sa_postmeta` VALUES("13043", "1424", "_wp_attached_file", "2023/07/mega-menu-bg.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("13044", "1424", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:984;s:6:\"height\";i:503;s:4:\"file\";s:24:\"2023/07/mega-menu-bg.jpg\";s:8:\"filesize\";i:7245;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"mega-menu-bg-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1847;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"mega-menu-bg-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:531;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"mega-menu-bg-600x307.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:307;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4486;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"mega-menu-bg-300x153.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:153;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1811;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"mega-menu-bg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:818;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"mega-menu-bg-768x393.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:393;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6003;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13045", "1424", "_elementor_source_image_hash", "24716e219005fc2fcd0473c140ebd02392433602");
INSERT INTO `wp_sa_postmeta` VALUES("13078", "1431", "_wp_attached_file", "2023/07/mega-banner-5.png");
INSERT INTO `wp_sa_postmeta` VALUES("13079", "1431", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-5.png\";s:8:\"filesize\";i:119616;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-5-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:118557;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-5-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16037;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-5-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:68567;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32859;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13080", "1431", "_elementor_source_image_hash", "65190c42ccebfde83580ce178439383530e981d3");
INSERT INTO `wp_sa_postmeta` VALUES("13081", "1432", "_wp_attached_file", "2023/07/mega-banner-6.png");
INSERT INTO `wp_sa_postmeta` VALUES("13082", "1432", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-6.png\";s:8:\"filesize\";i:115599;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-6-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:126058;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-6-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16938;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-6-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:76031;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-6-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:35195;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13083", "1432", "_elementor_source_image_hash", "f9b0f1604fddf53b06ab23bfb69fa61b7d80d7eb");
INSERT INTO `wp_sa_postmeta` VALUES("13084", "1433", "_wp_attached_file", "2023/07/mega-banner-3.png");
INSERT INTO `wp_sa_postmeta` VALUES("13085", "1433", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-3.png\";s:8:\"filesize\";i:113446;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:103394;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15518;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-3-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:68766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31066;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13086", "1433", "_elementor_source_image_hash", "2e30c942cfbc585312ac21e98b8d21941c6ab36f");
INSERT INTO `wp_sa_postmeta` VALUES("13087", "1434", "_wp_attached_file", "2023/07/mega-banner-9.png");
INSERT INTO `wp_sa_postmeta` VALUES("13088", "1434", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-9.png\";s:8:\"filesize\";i:142421;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-9-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:132599;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-9-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16384;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-9-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:74201;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-9-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:35004;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13089", "1434", "_elementor_source_image_hash", "3a8dcb28852e44157e7cf0dd11573cce2fe145b9");
INSERT INTO `wp_sa_postmeta` VALUES("13090", "1435", "_wp_attached_file", "2023/07/mega-banner-4.png");
INSERT INTO `wp_sa_postmeta` VALUES("13091", "1435", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-4.png\";s:8:\"filesize\";i:111533;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:97532;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13361;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-4-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:62722;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:27169;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13092", "1435", "_elementor_source_image_hash", "701126759213523b7d4ccc697580391bfa2d410f");
INSERT INTO `wp_sa_postmeta` VALUES("13093", "1436", "_wp_attached_file", "2023/07/mega-banner-8.png");
INSERT INTO `wp_sa_postmeta` VALUES("13094", "1436", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-8.png\";s:8:\"filesize\";i:127024;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-8-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:88442;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-8-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13985;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-8-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:59748;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-8-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26888;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13095", "1436", "_elementor_source_image_hash", "2549a0633633d258e1fde34054a86ce4965c025e");
INSERT INTO `wp_sa_postmeta` VALUES("13096", "1437", "_wp_attached_file", "2023/07/mega-banner-7.png");
INSERT INTO `wp_sa_postmeta` VALUES("13097", "1437", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:498;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/07/mega-banner-7.png\";s:8:\"filesize\";i:112015;s:5:\"sizes\";a:4:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"mega-banner-7-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:101700;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-7-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15333;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"mega-banner-7-187x300.png\";s:5:\"width\";i:187;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:66353;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"mega-banner-7-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29994;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13098", "1437", "_elementor_source_image_hash", "6259425dc3afcbe51f7b4d9c1f0c631178e237b5");
INSERT INTO `wp_sa_postmeta` VALUES("13284", "1456", "_wp_attached_file", "2023/07/a1-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("13285", "1456", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:92;s:6:\"height\";i:92;s:4:\"file\";s:20:\"2023/07/a1-min-1.png\";s:8:\"filesize\";i:7990;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13286", "1457", "_wp_attached_file", "2023/07/a2-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("13287", "1457", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:92;s:6:\"height\";i:92;s:4:\"file\";s:20:\"2023/07/a2-min-1.png\";s:8:\"filesize\";i:5876;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13288", "1458", "_wp_attached_file", "2023/07/a3-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("13289", "1458", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:92;s:6:\"height\";i:92;s:4:\"file\";s:20:\"2023/07/a3-min-1.png\";s:8:\"filesize\";i:5142;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13290", "1459", "_wp_attached_file", "2023/07/a4-min-1.png");
INSERT INTO `wp_sa_postmeta` VALUES("13291", "1459", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:92;s:6:\"height\";i:92;s:4:\"file\";s:20:\"2023/07/a4-min-1.png\";s:8:\"filesize\";i:4580;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("13594", "1502", "_wp_attached_file", "2023/07/price-ico.svg");
INSERT INTO `wp_sa_postmeta` VALUES("13595", "1502", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1638;s:5:\"width\";d:512;s:6:\"height\";d:512;}");
INSERT INTO `wp_sa_postmeta` VALUES("13596", "1502", "_elementor_source_image_hash", "482c71fa4a987f2abc3bcda411d7c8070078bb19");
INSERT INTO `wp_sa_postmeta` VALUES("14112", "1564", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14113", "1564", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14114", "1564", "_menu_item_object_id", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14115", "1564", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14116", "1564", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14117", "1564", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14118", "1564", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14119", "1564", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14122", "1565", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14123", "1565", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14124", "1565", "_menu_item_object_id", "1565");
INSERT INTO `wp_sa_postmeta` VALUES("14125", "1565", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14126", "1565", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14127", "1565", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14128", "1565", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14129", "1565", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14131", "1566", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14132", "1566", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14133", "1566", "_menu_item_object_id", "1566");
INSERT INTO `wp_sa_postmeta` VALUES("14134", "1566", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14135", "1566", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14136", "1566", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14137", "1566", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14138", "1566", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14140", "1567", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14141", "1567", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14142", "1567", "_menu_item_object_id", "1567");
INSERT INTO `wp_sa_postmeta` VALUES("14143", "1567", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14144", "1567", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14145", "1567", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14146", "1567", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14147", "1567", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14149", "1568", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14150", "1568", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14151", "1568", "_menu_item_object_id", "1568");
INSERT INTO `wp_sa_postmeta` VALUES("14152", "1568", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14153", "1568", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14154", "1568", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14155", "1568", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14156", "1568", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14158", "1569", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14159", "1569", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14160", "1569", "_menu_item_object_id", "1569");
INSERT INTO `wp_sa_postmeta` VALUES("14161", "1569", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14162", "1569", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14163", "1569", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14164", "1569", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14165", "1569", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14167", "1570", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14168", "1570", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14169", "1570", "_menu_item_object_id", "1570");
INSERT INTO `wp_sa_postmeta` VALUES("14170", "1570", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14171", "1570", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14172", "1570", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14173", "1570", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14174", "1570", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14176", "1571", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14177", "1571", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14178", "1571", "_menu_item_object_id", "1571");
INSERT INTO `wp_sa_postmeta` VALUES("14179", "1571", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14180", "1571", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14181", "1571", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14182", "1571", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14183", "1571", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14185", "1572", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14186", "1572", "_menu_item_menu_item_parent", "1564");
INSERT INTO `wp_sa_postmeta` VALUES("14187", "1572", "_menu_item_object_id", "1572");
INSERT INTO `wp_sa_postmeta` VALUES("14188", "1572", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14189", "1572", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14190", "1572", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14191", "1572", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14192", "1572", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14194", "972", "_wp_old_date", "2023-07-05");
INSERT INTO `wp_sa_postmeta` VALUES("14195", "970", "_wp_old_date", "2023-07-05");
INSERT INTO `wp_sa_postmeta` VALUES("14196", "971", "_wp_old_date", "2023-07-05");
INSERT INTO `wp_sa_postmeta` VALUES("14197", "973", "_wp_old_date", "2023-07-05");
INSERT INTO `wp_sa_postmeta` VALUES("14198", "968", "_wp_old_date", "2023-07-05");
INSERT INTO `wp_sa_postmeta` VALUES("14199", "967", "_wp_old_date", "2023-07-05");
INSERT INTO `wp_sa_postmeta` VALUES("14200", "1565", "jet-menu-item-block-editor", "1573");
INSERT INTO `wp_sa_postmeta` VALUES("14201", "1565", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14202", "1573", "_edit_lock", "1688817032:1");
INSERT INTO `wp_sa_postmeta` VALUES("14203", "1573", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14204", "1573", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14205", "1573", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14206", "1573", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14211", "1573", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14212", "1573", "_rankmath__data", "[{\"id\":\"6bcadde\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"691f93a\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"76839ee\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/digital-product\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0649103\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u06cc\\u062c\\u06cc\\u062a\\u0627\\u0644 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6b2a783\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u06cc\\u0646\\u0648\\u0631\\u062a\\u0631 \\u062c\\u0648\\u0634\\u06a9\\u0627\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/inverter\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u06cc\\u0686 \\u06af\\u0648\\u0634\\u062a\\u06cc \\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/electric-screwdriver\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062f\\u0631\\u06cc\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/drill\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062c\\u0648\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/welding-machine\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0641\\u0631\\u0632 \\u0648 \\u0633\\u0646\\u06af \\u0631\\u0648\\u0645\\u06cc\\u0632\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/mill-table-stone\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u06a9\\u0627\\u0631\\u0648\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/carwash\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"},{\"text\":\"\\u06a9\\u0645\\u067e\\u0631\\u0633\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/compressor\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"21835c0\"},{\"text\":\"\\u0645\\u06a9\\u0646\\u062f\\u0647 \\u0648 \\u062f\\u0645\\u0646\\u062f\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/sucker-blower\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a81a297\"},{\"text\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0628\\u0631\\u0642\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/electrical-tools\\/electric-engine\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"c26d592\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"4bfa264\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"74537ca\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u062f\\u0633\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/hand-tool\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u062c\\u0647\\u06cc\\u0632\\u0627\\u062a \\u0648 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u06a9\\u0627\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/work-safety-equipment\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0646\\u0631\\u062f\\u0628\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/ladder\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"f62beb9\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"5137b9a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/building-supplies\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"81b41c4\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0645\\u067e \\u0622\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/building-supplies\\/water-pump\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0634\\u06cc\\u0631\\u0622\\u0644\\u0627\\u062a \\u0648 \\u062f\\u0648\\u0634 \\u062d\\u0645\\u0627\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/building-supplies\\/showers\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f5f9f2b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"a62ddee\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0628\\u0627\\u063a\\u0628\\u0627\\u0646\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"84cd354\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0645\\u067e\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/sprayer\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0627\\u0631\\u0647 \\u0632\\u0646\\u062c\\u06cc\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/chain-saw\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f5f9f2b\"},{\"text\":\"\\u0627\\u0631\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/saw\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"5885fb1\"},{\"text\":\"\\u062a\\u0628\\u0631\\u060c \\u0628\\u06cc\\u0644 \\u0648 \\u06a9\\u0644\\u0646\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/axe-spade-pickaxe\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a582cd0\"},{\"text\":\"\\u0642\\u06cc\\u0686\\u06cc \\u0648 \\u0686\\u0627\\u0642\\u0648 \\u0628\\u0627\\u063a\\u0628\\u0627\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/gardening-knife\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7d8551a\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0622\\u0628\\u06cc\\u0627\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/gardening-tools\\/irrigation-equipment\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e2ebd92\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"eec3d59\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0633\\u06cc\\u06a9\\u0644\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/motorcycle\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"34bfdcb\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u0645\\u0648\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/motorcycle\\/engine-safety\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/motorcycle\\/consumables\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7455617\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"c355bc3\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"71086f0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-accessories\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d7a2a8c\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0631\\u0648\\u06a9\\u0634 \\u0641\\u0631\\u0645\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-accessories\\/steering-wheel-cover\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0635\\u0648\\u062a\\u06cc \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-accessories\\/multimedia\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u0642\\u0641\\u0644 \\u067e\\u062f\\u0627\\u0644 \\u0648 \\u0641\\u0631\\u0645\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-accessories\\/pedal-lock\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u0646\\u0638\\u0627\\u0641\\u062a \\u062e\\u0648\\u062f\\u0631\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-accessories\\/car-cleaning\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"eab23e9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fcde3f8\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u062a\\u0631\\u0645\\u0632\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/brake-oil\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u06af\\u06cc\\u0631\\u0628\\u06a9\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/gearbox-oil\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d9867cb\"},{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u0645\\u0648\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/engine-oil\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6f5d62d\"},{\"text\":\"\\u0636\\u062f \\u06cc\\u062e \\u0648 \\u0622\\u0628 \\u0631\\u0627\\u062f\\u06cc\\u0627\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/antifreeze\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7848ed4\"},{\"text\":\"\\u0644\\u0627\\u0633\\u062a\\u06cc\\u06a9 \\u0648 \\u062a\\u0627\\u06cc\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/tires\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4f7a466\"},{\"text\":\"\\u0645\\u06a9\\u0645\\u0644 \\u0633\\u0648\\u062e\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/car-consumables\\/fuel-supplement\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"584e867\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"1ac4d41\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"7d984f3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1436,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-8.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14219", "1573", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14220", "1565", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1396\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14221", "1566", "jet-menu-item", "1576");
INSERT INTO `wp_sa_postmeta` VALUES("14222", "1566", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14223", "1576", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14224", "1576", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14225", "1576", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14226", "1576", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14227", "1576", "_edit_lock", "1693655001:51");
INSERT INTO `wp_sa_postmeta` VALUES("14232", "1576", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14233", "1576", "_rankmath__data", "[{\"id\":\"087f4df\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"content_width\":\"full\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"f0ab501\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"ff318e0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/kitchen-home\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"99ea2d2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0644\\u0648\\u06cc\\u0632\\u06cc\\u0648\\u0646 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2d96549\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0644 \\u062c\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u06cc\\u06a9\\u0633 \\u0648\\u06cc\\u0698\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062c\\u06cc \\u067e\\u0644\\u0627\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0633\\u0627\\u0645\\u0633\\u0648\\u0646\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0633\\u0648\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u0634\\u06cc\\u0627\\u0626\\u0648\\u0645\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"c33ebae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u06cc\\u0646\\u0645\\u0627\\u06cc \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0648 \\u0633\\u0627\\u0646\\u062f\\u0628\\u0627\\u0631 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"927954f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631 \\u0648 \\u0631\\u0648\\u0634\\u0646\\u0627\\u06cc\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1fdc1c9\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0644\\u0627\\u0645\\u067e \\u0648 \\u0686\\u0631\\u0627\\u063a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0644\\u0648\\u0633\\u062a\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0686\\u0631\\u0627\\u063a \\u062a\\u0632\\u0626\\u06cc\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"d42376b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062d\\u06cc\\u0648\\u0627\\u0646\\u0627\\u062a \\u062e\\u0627\\u0646\\u06af\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"c3dafa1\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"140dce0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062e\\u0627\\u0646\\u06af\\u06cc \\u0628\\u0631\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a4e264e\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u06cc\\u062e\\u0686\\u0627\\u0644 \\u0648 \\u0641\\u0631\\u06cc\\u0632\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0644\\u0628\\u0627\\u0633\\u0634\\u0648\\u06cc\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0638\\u0631\\u0641\\u0634\\u0648\\u06cc\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d63a80e\"},{\"text\":\"\\u062c\\u0627\\u0631\\u0648\\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u062a\\u0648\\u0628\\u062e\\u0627\\u0631 \\u0648 \\u067e\\u0631\\u0633\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0686\\u0631\\u062e \\u062e\\u06cc\\u0627\\u0637\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"40a3979\"},{\"text\":\"\\u062a\\u0644\\u0641\\u0646 \\u0628\\u06cc \\u0633\\u06cc\\u0645 \\u0648 \\u0633\\u0627\\u0646\\u062a\\u0631\\u0627\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"28fc4a3\"},{\"text\":\"\\u0641\\u0646 \\u0647\\u06cc\\u062a\\u0631 \\u0648 \\u0628\\u062e\\u0627\\u0631\\u06cc \\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"b55755b\"},{\"text\":\"\\u0622\\u0628\\u06af\\u0631\\u0645\\u06a9\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f98422d\"},{\"text\":\"\\u062a\\u0631\\u0627\\u0632\\u0648\\u06cc \\u0622\\u0634\\u067e\\u0632\\u062e\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"cc26490\"},{\"text\":\"\\u0628\\u062e\\u0627\\u0631 \\u0634\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"v\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2a5133a\"},{\"text\":\"\\u062a\\u0635\\u0641\\u06cc\\u0647 \\u0622\\u0628 \\u0648 \\u0622\\u0628\\u0633\\u0631\\u062f\\u06a9\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"93fb4d7\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"72b3238\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0634\\u0633\\u062a\\u0634\\u0648 \\u0648 \\u0646\\u0638\\u0627\\u0641\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/home-kitchen\\/cleaning\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"0a0777b\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"cfae156\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0648 \\u0648 \\u067e\\u0630\\u06cc\\u0631\\u0627\\u06cc\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c7a1680\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0631\\u0648\\u06cc\\u0633 \\u063a\\u0630\\u0627\\u062e\\u0648\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u067e\\u0627\\u0631\\u0686\\u060c \\u0628\\u0637\\u0631\\u06cc \\u0648 \\u0645\\u0627\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u0638\\u0631\\u0648\\u0641 \\u067e\\u0630\\u06cc\\u0631\\u0627\\u06cc\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u0642\\u0627\\u0634\\u0642\\u060c \\u0686\\u0646\\u06af\\u0627\\u0644 \\u0648 \\u06a9\\u0627\\u0631\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"37d6567\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u0648\\u0627\\u0628 \\u0648 \\u062d\\u0645\\u0627\\u0645 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"84e118e\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062e\\u0648\\u0627\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0628\\u0627\\u0644\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d9867cb\"},{\"text\":\"\\u067e\\u062a\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6f5d62d\"},{\"text\":\"\\u062a\\u0634\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7848ed4\"},{\"text\":\"\\u062d\\u0648\\u0644\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4f7a466\"},{\"text\":\"\\u0631\\u0648 \\u0628\\u0627\\u0644\\u0634\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"36ed457\"},{\"text\":\"\\u06a9\\u0648\\u0633\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a201439\"},{\"text\":\"\\u0645\\u0644\\u062d\\u0641\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"3a5f99c\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"ed980eb\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"010750d\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1423\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-2.png\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14240", "1576", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14241", "1566", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1397\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14242", "1567", "jet-menu-item", "1579");
INSERT INTO `wp_sa_postmeta` VALUES("14243", "1567", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14244", "1579", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14245", "1579", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14246", "1579", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14247", "1579", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14248", "1579", "_edit_lock", "1688900847:13");
INSERT INTO `wp_sa_postmeta` VALUES("14253", "1579", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14254", "1579", "_rankmath__data", "[{\"id\":\"85e55d7\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"b9aaaf4\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d46bdfd\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/car-tools\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"eea8670\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u0628\\u0631\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4290d8f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u06cc\\u0646\\u0648\\u0631\\u062a\\u0631 \\u062c\\u0648\\u0634\\u06a9\\u0627\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u06cc\\u0686 \\u06af\\u0648\\u0634\\u062a\\u06cc \\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062f\\u0631\\u06cc\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062c\\u0648\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0641\\u0631\\u0632 \\u0648 \\u0633\\u0646\\u06af \\u0631\\u0648\\u0645\\u06cc\\u0632\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"v\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u06a9\\u0627\\u0631\\u0648\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"},{\"text\":\"\\u06a9\\u0645\\u067e\\u0631\\u0633\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"21835c0\"},{\"text\":\"\\u0645\\u06a9\\u0646\\u062f\\u0647 \\u0648 \\u062f\\u0645\\u0646\\u062f\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a81a297\"},{\"text\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0628\\u0631\\u0642\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"c26d592\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"9636507\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"9b56909\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u062f\\u0633\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/hand-tool\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u062c\\u0647\\u06cc\\u0632\\u0627\\u062a \\u0648 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u06a9\\u0627\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/work-safety-equipment\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0646\\u0631\\u062f\\u0628\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/automobiles-tools\\/non-electrical-tools\\/ladder\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"62d580d\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"ee5ace2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"bb7bd66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0645\\u067e \\u0622\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0634\\u06cc\\u0631\\u0622\\u0644\\u0627\\u062a \\u0648 \\u062f\\u0648\\u0634 \\u062d\\u0645\\u0627\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f5f9f2b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"a5f30be\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0628\\u0627\\u063a\\u0628\\u0627\\u0646\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"447cecb\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0645\\u067e\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0627\\u0631\\u0647 \\u0632\\u0646\\u062c\\u06cc\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f5f9f2b\"},{\"text\":\"\\u0627\\u0631\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"5885fb1\"},{\"text\":\"\\u062a\\u0628\\u0631\\u060c \\u0628\\u06cc\\u0644 \\u0648 \\u06a9\\u0644\\u0646\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a582cd0\"},{\"text\":\"\\u0642\\u06cc\\u0686\\u06cc \\u0648 \\u0686\\u0627\\u0642\\u0648 \\u0628\\u0627\\u063a\\u0628\\u0627\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7d8551a\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0622\\u0628\\u06cc\\u0627\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e2ebd92\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"1c076df\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0633\\u06cc\\u06a9\\u0644\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"af9c59e\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u0645\\u0648\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7455617\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"f4ea148\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"7730165\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4481478\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0631\\u0648\\u06a9\\u0634 \\u0641\\u0631\\u0645\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0635\\u0648\\u062a\\u06cc \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u0642\\u0641\\u0644 \\u067e\\u062f\\u0627\\u0644 \\u0648 \\u0641\\u0631\\u0645\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"v\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u0646\\u0638\\u0627\\u0641\\u062a \\u062e\\u0648\\u062f\\u0631\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"b89d551\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3e08b18\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u062a\\u0631\\u0645\\u0632\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u06af\\u06cc\\u0631\\u0628\\u06a9\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d9867cb\"},{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u0645\\u0648\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6f5d62d\"},{\"text\":\"\\u0636\\u062f \\u06cc\\u062e \\u0648 \\u0622\\u0628 \\u0631\\u0627\\u062f\\u06cc\\u0627\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7848ed4\"},{\"text\":\"\\u0644\\u0627\\u0633\\u062a\\u06cc\\u06a9 \\u0648 \\u062a\\u0627\\u06cc\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4f7a466\"},{\"text\":\"\\u0645\\u06a9\\u0645\\u0644 \\u0633\\u0648\\u062e\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"584e867\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"8bd7c41\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"5ccd7dd\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1433\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-3.png\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14261", "1579", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14262", "1567", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1398\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14263", "1568", "jet-menu-item", "1582");
INSERT INTO `wp_sa_postmeta` VALUES("14264", "1568", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14265", "1582", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14266", "1582", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14267", "1582", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14268", "1582", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14269", "1582", "_edit_lock", "1688900947:13");
INSERT INTO `wp_sa_postmeta` VALUES("14274", "1582", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14275", "1582", "_rankmath__data", "[{\"id\":\"088e12c\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"a0a4ddd\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"02fad35\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/art-books\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"553119e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0627\\u0644\\u062a\\u062d\\u0631\\u06cc\\u0631 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f795eb\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u0644\\u0628\\u0648\\u0645 \\u0639\\u06a9\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u0646\\u0642\\u0627\\u0634\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062a\\u062e\\u062a\\u0647 \\u0648\\u0627\\u06cc\\u062a \\u0628\\u0631\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0686\\u0631\\u0627\\u063a \\u0645\\u0637\\u0627\\u0644\\u0639\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u062e\\u0648\\u062f\\u06a9\\u0627\\u0631 \\u0648 \\u0631\\u0648\\u0627\\u0646 \\u0646\\u0648\\u06cc\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u062f\\u0641\\u062a\\u0631 \\u0648 \\u06a9\\u0627\\u063a\\u0630\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"v\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"},{\"text\":\"\\u06a9\\u06cc\\u0641 \\u0648 \\u06a9\\u0648\\u0644\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"aec54cd\"},{\"text\":\"\\u0645\\u0627\\u0634\\u06cc\\u0646 \\u062d\\u0633\\u0627\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"630a296\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"5d42260\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u062a\\u0627\\u0628 \\u0648 \\u0645\\u062c\\u0644\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"9f598b9\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u06a9\\u062a\\u0627\\u0628 \\u0686\\u0627\\u067e\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u06a9\\u0645\\u06a9 \\u062f\\u0631\\u0633\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0645\\u062c\\u0644\\u0647 \\u062e\\u0627\\u0631\\u062c\\u06cc \\u0648 \\u062f\\u0627\\u062e\\u0644\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"d461042\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"b7485ff\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u062a\\u0648\\u0627\\u06cc \\u0622\\u0645\\u0648\\u0632\\u0634\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"beb187b\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u0645\\u0648\\u0632\\u0634 \\u0645\\u0648\\u0633\\u06cc\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0622\\u0645\\u0648\\u0632\\u0634 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0622\\u0645\\u0648\\u0632\\u0634 \\u0648\\u0631\\u0632\\u0634\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d63a80e\"},{\"text\":\"\\u0622\\u0645\\u0648\\u0632\\u0634 \\u0632\\u0628\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"30afd07\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0647\\u0646\\u0631 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"219ff95\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u0637\\u0631\\u0627\\u062d\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0628\\u0648\\u0645 \\u0646\\u0642\\u0627\\u0634\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0645\\u062f\\u0627\\u062f \\u0631\\u0646\\u06af\\u06cc \\u0648 \\u06af\\u0648\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d63a80e\"},{\"text\":\"\\u0622\\u0645\\u0648\\u0632\\u0634 \\u0632\\u0628\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"5af0d49\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ff94c2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u0644\\u0628\\u0648\\u0645 \\u0645\\u0648\\u0633\\u06cc\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"60718aa\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0627\\u0632\\u06cc \\u0648 \\u06a9\\u0646\\u0633\\u0648\\u0644 \\u06a9\\u0627\\u0645\\u067e\\u06cc\\u0648\\u062a\\u0631<i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"9b07332\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"71a91f1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u0644\\u0627\\u062a \\u0645\\u0648\\u0633\\u06cc\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e2750e1\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u0648 \\u0627\\u062f\\u0648\\u0627\\u062a \\u0645\\u0648\\u0633\\u06cc\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u067e\\u06cc\\u0627\\u0646\\u0648 \\u062f\\u06cc\\u062c\\u06cc\\u062a\\u0627\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u062a\\u062c\\u0647\\u06cc\\u0632\\u0627\\u062a \\u0627\\u0633\\u062a\\u0648\\u062f\\u06cc\\u0648\\u06cc\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2942d62\"},{\"text\":\"\\u062f\\u0631\\u0627\\u0645\\u060c \\u067e\\u0631\\u06a9\\u0627\\u0634\\u0646 \\u0648 \\u062f\\u0641\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u0633\\u0627\\u0632 \\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"},{\"text\":\"\\u06a9\\u06cc\\u0628\\u0648\\u0631\\u062f \\u0648 \\u0627\\u0631\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e8ad249\"},{\"text\":\"\\u06af\\u06cc\\u062a\\u0627\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"1cb79bd\"},{\"text\":\"\\u0648\\u06cc\\u0648\\u0644\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"84c2cca\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"7a4c81d\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"4a266da\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1435\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-4.png\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14282", "1582", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14283", "1568", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1399\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14284", "1569", "jet-menu-item", "1585");
INSERT INTO `wp_sa_postmeta` VALUES("14285", "1569", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14286", "1585", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14287", "1585", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14288", "1585", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14289", "1585", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14290", "1585", "_edit_lock", "1688901050:13");
INSERT INTO `wp_sa_postmeta` VALUES("14295", "1585", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14296", "1585", "_rankmath__data", "[{\"id\":\"1f2d795\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbd4922\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"9d35d27\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/cosmetics\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f23aa1a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0622\\u0631\\u0627\\u06cc\\u0634\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"98bfd1e\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u0631\\u0627\\u06cc\\u0634 \\u0627\\u0628\\u0631\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0622\\u0631\\u0627\\u06cc\\u0634 \\u0686\\u0634\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0622\\u0631\\u0627\\u06cc\\u0634 \\u0635\\u0648\\u0631\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0622\\u0631\\u0627\\u06cc\\u0634 \\u0644\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0622\\u0631\\u0627\\u06cc\\u0634 \\u0645\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u0622\\u0631\\u0627\\u06cc\\u0634 \\u0646\\u0627\\u062e\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"383150a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0628\\u0647\\u062f\\u0627\\u0634\\u062a\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"427cbbc\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0628\\u0647\\u062f\\u0627\\u0634\\u062a \\u062f\\u0647\\u0627\\u0646 \\u0648 \\u062f\\u0646\\u062f\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0628\\u0647\\u062f\\u0627\\u0634\\u062a \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a \\u0628\\u062f\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0634\\u0627\\u0645\\u067e\\u0648 \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a \\u0645\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"1c576a0\"},{\"text\":\"\\u06a9\\u0631\\u0645 \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a \\u067e\\u0648\\u0633\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"63aaa35\"},{\"text\":\"\\u0636\\u062f \\u062a\\u0639\\u0631\\u06cc\\u0642\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"aa30029\"},{\"text\":\"\\u062a\\u0642\\u0648\\u06cc\\u062a \\u0645\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"92adebd\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"e363046\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0634\\u062e\\u0635\\u06cc \\u0628\\u0631\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7dfa6c1\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u062a\\u0648 \\u0645\\u0648 \",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0627\\u0635\\u0644\\u0627\\u062d \\u0628\\u062f\\u0646 \\u0622\\u0642\\u0627\\u06cc\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f0eddd5\"},{\"text\":\"\\u0627\\u0635\\u0644\\u0627\\u062d \\u0628\\u062f\\u0646 \\u0628\\u0627\\u0646\\u0648\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"acb7a50\"},{\"text\":\"\\u0627\\u0635\\u0644\\u0627\\u062d \\u0645\\u0648 \\u06af\\u0648\\u0634 \\u0628\\u06cc\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"432d824\"},{\"text\":\"\\u0628\\u0631\\u0633 \\u067e\\u0627\\u06a9\\u0633\\u0627\\u0632\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"ec5749b\"},{\"text\":\"\\u0628\\u06cc\\u06af\\u0648\\u062f\\u06cc \\u0648 \\u0641\\u0631 \\u06a9\\u0646\\u0646\\u062f\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a7560be\"},{\"text\":\"\\u0633\\u0634\\u0648\\u0627\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e60d160\"},{\"text\":\"\\u0644\\u06cc\\u0632\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"61470dc\"},{\"text\":\"\\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0627\\u0635\\u0644\\u0627\\u062d \\u0633\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"ab7ef21\"},{\"text\":\"\\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0627\\u0635\\u0644\\u0627\\u062d \\u0635\\u0648\\u0631\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d10ddcd\"},{\"text\":\"\\u0645\\u0633\\u0648\\u0627\\u06a9 \\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f8a6eea\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"f26b26d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u0637\\u0631 \\u0648 \\u0627\\u062f\\u06a9\\u0644\\u0646 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"88de1e0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0644\\u0627\\u060c \\u0646\\u0642\\u0631\\u0647 \\u0648 \\u0632\\u06cc\\u0648\\u0631 \\u0622\\u0644\\u0627\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"d3507f5\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"ceb7812\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u0633\\u0644\\u0627\\u0645\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d244999\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0628 \\u0633\\u0646\\u062c\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062a\\u0631\\u0627\\u0632\\u0648\\u06cc \\u062f\\u06cc\\u062c\\u06cc\\u062a\\u0627\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u062a\\u0634\\u06a9 \\u0648 \\u067e\\u062a\\u0648\\u06cc \\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u0641\\u0634\\u0627\\u0631 \\u0633\\u0646\\u062c\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"},{\"text\":\"\\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0648\\u0627\\u0628 \\u0648 \\u0627\\u0633\\u062a\\u0631\\u0627\\u062d\\u062a \\u0637\\u0628\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8750834\"},{\"text\":\"\\u0645\\u0627\\u0633\\u0627\\u0698\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"25310dc\"},{\"text\":\"\\u0646\\u0645\\u0627\\u06cc\\u0634\\u06af\\u0631 \\u0636\\u0631\\u0628\\u0627\\u0646 \\u0642\\u0644\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2e4f5ba\"},{\"text\":\"\\u0648\\u06cc\\u0644\\u0686\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"89330a2\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"adcd1f6\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"0c39bee\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1431\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-5.png\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14303", "1585", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14304", "1569", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1400\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14305", "1570", "jet-menu-item", "1588");
INSERT INTO `wp_sa_postmeta` VALUES("14306", "1570", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14307", "1588", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14308", "1588", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14309", "1588", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14310", "1588", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14311", "1588", "_edit_lock", "1688901161:13");
INSERT INTO `wp_sa_postmeta` VALUES("14316", "1588", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14317", "1588", "_rankmath__data", "[{\"id\":\"c755401\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"9eab468\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"9055e39\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/toy\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f22265f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0633\\u0628\\u0627\\u0628 \\u0628\\u0627\\u0632\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f726ed\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0628\\u0627\\u0632\\u06cc \\u0641\\u06a9\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u0627\\u0632\\u0644 \\u0648 \\u0644\\u06af\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062a\\u0627\\u0628 \\u0648 \\u0633\\u0631\\u0633\\u0631\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u062a\\u0641\\u0646\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0631\\u0628\\u0627\\u062a \\u0648 \\u06af\\u062c\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u0639\\u0631\\u0648\\u0633\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"},{\"text\":\"\\u0645\\u0627\\u0634\\u06cc\\u0646\\u060c \\u0642\\u0637\\u0627\\u0631 \\u0648 \\u0647\\u0648\\u0627\\u067e\\u06cc\\u0645\\u0627\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2e92fcb\"},{\"text\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0648 \\u0645\\u0627\\u0634\\u06cc\\u0646 \\u0628\\u0627\\u0632\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"1364a69\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"d8e4444\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u0648\\u0634\\u0627\\u06a9 \\u06a9\\u0648\\u062f\\u06a9 \\u0648 \\u0646\\u0648\\u0627\\u0632\\u062f <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"90167a8\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u06a9\\u0641\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062c\\u0648\\u0631\\u0627\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0644\\u0628\\u0627\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u06a9\\u0644\\u0627\\u0647 \\u0648 \\u067e\\u06cc\\u0634\\u0628\\u0646\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e54299a\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"9089b9b\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d262b9a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06af\\u0631\\u062f\\u0634 \\u0648 \\u0633\\u0641\\u0631 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e2c7ab\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0627\\u06a9 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u06a9\\u0648\\u062f\\u06a9 \\u0648 \\u0646\\u0648\\u0632\\u0627\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0635\\u0646\\u062f\\u0644\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 \\u06a9\\u0648\\u062f\\u06a9 \\u0648 \\u0646\\u0648\\u0632\\u0627\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a09cf56\"},{\"text\":\"\\u06a9\\u0627\\u0644\\u0633\\u06a9\\u0647 \\u0648 \\u06a9\\u0631\\u06cc\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0622\\u063a\\u0648\\u0634\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"ffe0620\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"e21a445\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0645\\u0646\\u06cc \\u0648 \\u0645\\u0631\\u0627\\u0642\\u0628\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4c4b436\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u062f \\u0648 \\u06a9\\u06cc\\u0633\\u0647 \\u0622\\u0628 \\u06af\\u0631\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062a\\u0628 \\u0633\\u0646\\u062c \\u0648 \\u062f\\u0645\\u0627\\u0633\\u0646\\u062c\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a09cf56\"},{\"text\":\"\\u062a\\u0635\\u0641\\u06cc\\u0647 \\u0647\\u0648\\u0627\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0645\\u0627\\u0646\\u06cc\\u062a\\u0648\\u0631 \\u0648 \\u067e\\u06cc\\u062c\\u0631 \\u0627\\u062a\\u0627\\u0642 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"ffe0620\"},{\"text\":\"\\u0645\\u062d\\u0627\\u0641\\u0638 \\u0648 \\u0627\\u0628\\u0632\\u0627\\u0631 \\u0627\\u06cc\\u0645\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"866820f\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"05b75b5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u063a\\u0630\\u0627\\u062e\\u0648\\u0631\\u06cc \\u06a9\\u0648\\u062f\\u06a9 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"eb392d4\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"12fea5f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u0648\\u0627\\u0628 \\u06a9\\u0648\\u062f\\u06a9 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"43d0437\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u062a\\u0648 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u067e\\u0634\\u0647 \\u0628\\u0646\\u062f\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u062a\\u062e\\u062a \\u062e\\u0648\\u0627\\u0628 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u062a\\u0634\\u06a9 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"},{\"text\":\"\\u0633\\u0631\\u0648\\u06cc\\u0633 \\u062e\\u0648\\u0627\\u0628 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"644a766\"},{\"text\":\"\\u06af\\u0647\\u0648\\u0627\\u0631\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"636a7c8\"},{\"text\":\"\\u0645\\u0628\\u0644\\u0645\\u0627\\u0646 \\u0627\\u062a\\u0627\\u0642 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"eeac761\"},{\"text\":\"\\u0645\\u0644\\u062d\\u0641\\u0647 \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"240a81b\"},{\"text\":\"\\u063a\\u0630\\u0627\\u062e\\u0648\\u0631\\u06cc \\u06a9\\u0648\\u062f\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"595abbc\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"d4d0d70\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"44ba99a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"1432\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-6.png\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14324", "1588", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14325", "1570", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1401\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14326", "1571", "jet-menu-item", "1591");
INSERT INTO `wp_sa_postmeta` VALUES("14327", "1571", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14328", "1591", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14329", "1591", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14330", "1591", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14331", "1591", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14332", "1591", "_edit_lock", "1688901267:13");
INSERT INTO `wp_sa_postmeta` VALUES("14337", "1591", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14338", "1591", "_rankmath__data", "[{\"id\":\"7de4e0b\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"8824bd8\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"b11fa68\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/trip\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fb9ecd8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648 \\u06a9\\u0641\\u0634 \\u0648\\u0631\\u0632\\u0634\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59f4c02\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u067e\\u0633\\u0631\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u062f\\u062e\\u062a\\u0631\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"bfa46d3\"},{\"text\":\"\\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u0632\\u0646\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"50ad58a\"},{\"text\":\"\\u067e\\u0648\\u0634\\u0627\\u06a9 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"acc3f5f\"},{\"text\":\"\\u06a9\\u0641\\u0634 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u067e\\u0633\\u0631\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"98eaf5e\"},{\"text\":\"\\u06a9\\u0641\\u0634 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u062f\\u062e\\u062a\\u0631\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"10cd0e8\"},{\"text\":\"\\u06a9\\u0641\\u0634 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u0632\\u0646\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"b3746af\"},{\"text\":\"\\u06a9\\u0641\\u0634 \\u0648\\u0631\\u0632\\u0634\\u06cc \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6524075\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"c99e20d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062c\\u0647\\u06cc\\u0632\\u0627\\u062a \\u0633\\u0641\\u0631 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"21ace36\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0686\\u0645\\u062f\\u0627\\u0646 \\u0648 \\u0633\\u0627\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0686\\u0627\\u062f\\u0631 \\u0645\\u0633\\u0627\\u0641\\u0631\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0686\\u062a\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u06a9\\u06cc\\u0641 \\u0648 \\u06a9\\u0648\\u0644\\u0647 \\u067e\\u0634\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"4763755\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"453f904\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u0648\\u0647\\u0646\\u0648\\u0631\\u062f\\u06cc \\u0648 \\u06a9\\u0645\\u067e\\u06cc\\u0646\\u06af <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2147e84\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0686\\u0627\\u0642\\u0648 \\u0648 \\u0627\\u0628\\u0632\\u0627\\u0631 \\u0686\\u0646\\u062f\\u06a9\\u0627\\u0631\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0686\\u0631\\u0627\\u063a \\u0642\\u0648\\u0647 \\u0648 \\u0686\\u0631\\u0627\\u063a \\u067e\\u06cc\\u0634\\u0627\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0632\\u06cc\\u0631\\u0627\\u0646\\u062f\\u0627\\u0632 \\u0633\\u0641\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0639\\u0635\\u0627\\u06cc \\u06a9\\u0648\\u0647\\u0646\\u0648\\u0631\\u062f\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"40a3979\"},{\"text\":\"\\u0642\\u0645\\u0642\\u0645\\u0647 \\u0648 \\u0641\\u0644\\u0627\\u0633\\u06a9\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"v\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"28fc4a3\"},{\"text\":\"\\u06a9\\u0641\\u0634 \\u06a9\\u0648\\u0647\\u0646\\u0648\\u0631\\u062f\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2481daa\"},{\"text\":\"\\u06a9\\u06cc\\u0633\\u0647 \\u062e\\u0648\\u0627\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8c0e375\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u06a9\\u0648\\u0647\\u0646\\u0648\\u0631\\u062f\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ef7d22\"},{\"text\":\"\\u0634\\u06cc\\u06a9\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"f8de833\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0648\\u0631\\u0632\\u0634 \\u0647\\u0627\\u06cc \\u062a\\u0648\\u067e\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"234431f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u062a\\u0648\\u067e\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0631\\u0627\\u06a9\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"cdd0998\"},{\"text\":\"\\u0641\\u0648\\u062a\\u0628\\u0627\\u0644 \\u062f\\u0633\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"bda158c\"},{\"text\":\"\\u0628\\u0627\\u062a\\u0631\\u06cc \\u0644\\u067e \\u062a\\u0627\\u067e\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"98ee4aa\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"d306641\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d376104\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0648\\u0631\\u0632\\u0634\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"08bf261\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u06cc\\u0631\\u0648\\u0628\\u06cc\\u06a9 \\u0648 \\u062a\\u0646\\u0627\\u0633\\u0628 \\u0627\\u0646\\u062f\\u0627\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0628\\u0627\\u0631\\u0641\\u06cc\\u06a9\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u062a\\u0631\\u062f\\u0645\\u06cc\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u062f\\u0645\\u0628\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"c705b5f\"},{\"text\":\"\\u0637\\u0646\\u0627\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"521da74\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u062d\\u0627\\u0641\\u0638\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"91c30d6\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"b2793cd\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0648\\u0686\\u0631\\u062e\\u0647 \\u0648 \\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/pre-websites.ir\\/elementor\\/multivendor\\/product-category\\/sports-travel\\/bicycles-accessories\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"8d33f66\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"d10573d\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"167e1a4\"}],\"scroll_y\":-80,\"image\":{\"id\":\"1437\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-7.png\"},\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14345", "1591", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14346", "1571", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1402\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14347", "1572", "jet-menu-item", "1594");
INSERT INTO `wp_sa_postmeta` VALUES("14348", "1572", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14349", "1594", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14350", "1594", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14351", "1594", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14352", "1594", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14353", "1594", "_edit_lock", "1688901362:13");
INSERT INTO `wp_sa_postmeta` VALUES("14358", "1594", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14359", "1594", "_rankmath__data", "[{\"id\":\"e360445\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"ca1de6d\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"8d86ff4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/handmade\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"27ef6cc\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0638\\u0631\\u0648\\u0641 \\u0633\\u0646\\u062a\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"430a99d\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0627\\u0631\\u0686 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u06cc\\u06af \\u0648 \\u0642\\u0627\\u0628\\u0644\\u0645\\u0647 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"635e506\"},{\"text\":\"\\u0634\\u06a9\\u0644\\u0627\\u062a \\u062e\\u0648\\u0631\\u06cc \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"c78be91\"},{\"text\":\"\\u0642\\u0646\\u062f\\u0627\\u0646 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"26bd664\"},{\"text\":\"\\u06a9\\u0627\\u0633\\u0647 \\u0648 \\u0628\\u0634\\u0642\\u0627\\u0628 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"5da914d\"},{\"text\":\"\\u0644\\u06cc\\u0648\\u0627\\u0646 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e54b3a5\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"ac23c19\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u0622\\u0634\\u067e\\u0632\\u062e\\u0627\\u0646\\u0647 \\u0633\\u0646\\u062a\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"514d317\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u0648\\u06cc\\u0632 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u062e\\u062a\\u0647 \\u0633\\u0631\\u0648 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062f\\u06cc\\u0633 \\u0648 \\u0633\\u06cc\\u0646\\u06cc \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u0632\\u06cc\\u0631\\u0627\\u0646\\u062f\\u0627\\u0632 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0633\\u0628\\u062f \\u062f\\u0633\\u062a\\u0628\\u0627\\u0641 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7d4f206\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"374e239\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"9967eff\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u06a9\\u0648\\u0631\\u0627\\u062a\\u06cc\\u0648 \\u0633\\u0646\\u062a\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e50136\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0622\\u0648\\u06cc\\u0632 \\u0648 \\u0633\\u0631\\u067e\\u0631\\u062f\\u0647 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0686\\u0631\\u0627\\u063a \\u062e\\u0648\\u0627\\u0628 \\u0648 \\u0622\\u0628\\u0627\\u0698\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"cdd0998\"},{\"text\":\"\\u06a9\\u0648\\u0633\\u0646 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"bda158c\"},{\"text\":\"\\u06a9\\u06cc\\u0633 \\u0648 \\u06a9\\u0627\\u0648\\u0631 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"98ee4aa\"},{\"text\":\"\\u06af\\u0644\\u062f\\u0627\\u0646 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"40f4322\"},{\"text\":\"\\u06af\\u0644\\u06cc\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"bc2e259\"},{\"text\":\"\\u0645\\u062c\\u0633\\u0645\\u0647 \\u0633\\u0646\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"02b03ae\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"6f573bd\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0634 \\u0648 \\u0642\\u0627\\u0644\\u06cc\\u0686\\u0647 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a0eb71a\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0641\\u0631\\u0634 \\u062f\\u0633\\u062a\\u0628\\u0627\\u0641\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u0627\\u0628\\u0644\\u0648 \\u0641\\u0631\\u0634 \\u062f\\u0633\\u062a\\u0628\\u0627\\u0641\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"cdd0998\"},{\"text\":\"\\u0642\\u0627\\u0644\\u06cc\\u0686\\u0647 \\u062f\\u0633\\u062a\\u0628\\u0627\\u0641\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7366ae0\"},{\"text\":\"\\u0642\\u0627\\u0644\\u06cc\\u0686\\u0647 \\u0642\\u062f\\u06cc\\u0645\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"bda158c\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"1d2247a\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"c3d752f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u0627\\u0646\\u0647 \\u0648 \\u06a9\\u0627\\u0634\\u0627\\u0646\\u0647 \\u0628\\u0648\\u0645\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8d0bc4a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u0648\\u0634\\u06cc\\u062f\\u0646\\u06cc \\u0647\\u0627\\u06cc \\u0645\\u062d\\u0644\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"0268489\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"a1e8665\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"167e1a4\"}],\"scroll_y\":-80,\"image\":{\"id\":\"1434\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-9.png\"},\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14366", "1594", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14367", "1572", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:4:\"true\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:4:\"1404\";s:10:\"icon_color\";s:7:\"#FFFFFF\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14368", "1573", "_is_deps_ready", "true");
INSERT INTO `wp_sa_postmeta` VALUES("14369", "1573", "_is_style_deps", "a:1:{s:7:\"depends\";a:0:{}}");
INSERT INTO `wp_sa_postmeta` VALUES("14370", "1573", "_is_script_deps", "a:1:{s:7:\"depends\";a:0:{}}");
INSERT INTO `wp_sa_postmeta` VALUES("14436", "1565", "jet-menu-item", "1598");
INSERT INTO `wp_sa_postmeta` VALUES("14437", "1598", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14438", "1598", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14439", "1598", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14440", "1598", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14441", "1598", "_edit_lock", "1688900562:13");
INSERT INTO `wp_sa_postmeta` VALUES("14447", "1598", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14448", "1598", "_rankmath__data", "[{\"id\":\"7660539\",\"elType\":\"container\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":\"1424\",\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-menu-bg.jpg\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.299999999999999988897769753748434595763683319091796875,\"sizes\":[]},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"2\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0dd8c22\"}],\"css_classes\":\"megamenu-section-cat\",\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100,\"content_width\":\"full\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"a2fd03c\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b840e1f\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"6719436\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u0645\\u062d\\u0635\\u0648\\u0644\\u0627\\u062a \\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/product-category\\/digital-product\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"span\",\"title_color\":\"#595959\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebregular_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a1acccc\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u0627\\u0644\\u0627\\u06cc \\u062f\\u06cc\\u062c\\u06cc\\u062a\\u0627\\u0644 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f2a95d\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u06cc\\u0646\\u0648\\u0631\\u062a\\u0631 \\u062c\\u0648\\u0634\\u06a9\\u0627\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u06cc\\u0686 \\u06af\\u0648\\u0634\\u062a\\u06cc \\u0628\\u0631\\u0642\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u062f\\u0631\\u06cc\\u0644\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"},{\"text\":\"\\u062f\\u0633\\u062a\\u06af\\u0627\\u0647 \\u062c\\u0648\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2374ca2\"},{\"text\":\"\\u0641\\u0631\\u0632 \\u0648 \\u0633\\u0646\\u06af \\u0631\\u0648\\u0645\\u06cc\\u0632\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"955ea92\"},{\"text\":\"\\u06a9\\u0627\\u0631\\u0648\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"803471e\"},{\"text\":\"\\u06a9\\u0645\\u067e\\u0631\\u0633\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"21835c0\"},{\"text\":\"\\u0645\\u06a9\\u0646\\u062f\\u0647 \\u0648 \\u062f\\u0645\\u0646\\u062f\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a81a297\"},{\"text\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0628\\u0631\\u0642\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"c26d592\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"53018fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u063a\\u06cc\\u0631\\u0628\\u0631\\u0642\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ec75672\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0627\\u0628\\u0632\\u0627\\u0631 \\u062f\\u0633\\u062a\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"4272738\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u062c\\u0647\\u06cc\\u0632\\u0627\\u062a \\u0648 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u06a9\\u0627\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0646\\u0631\\u062f\\u0628\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4ef7943\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"4e768fe\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7397057\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"73ffa7a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0633\\u0627\\u062e\\u062a\\u0645\\u0627\\u0646 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7d9f828\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u067e\\u0645\\u067e \\u0622\\u0628\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0634\\u06cc\\u0631\\u0622\\u0644\\u0627\\u062a \\u0648 \\u062f\\u0648\\u0634 \\u062d\\u0645\\u0627\\u0645\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f5f9f2b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"811f7b1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0628\\u0627\\u063a\\u0628\\u0627\\u0646\\u06cc <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ed0fba2\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0633\\u0645\\u067e\\u0627\\u0634\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0627\\u0631\\u0647 \\u0632\\u0646\\u062c\\u06cc\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"f5f9f2b\"},{\"text\":\"\\u0627\\u0631\\u0647\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"5885fb1\"},{\"text\":\"\\u062a\\u0628\\u0631\\u060c \\u0628\\u06cc\\u0644 \\u0648 \\u06a9\\u0644\\u0646\\u06af\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"a582cd0\"},{\"text\":\"\\u0642\\u06cc\\u0686\\u06cc \\u0648 \\u0686\\u0627\\u0642\\u0648 \\u0628\\u0627\\u063a\\u0628\\u0627\\u0646\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7d8551a\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0622\\u0628\\u06cc\\u0627\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e2ebd92\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"f593273\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0648\\u062a\\u0648\\u0631 \\u0633\\u06cc\\u06a9\\u0644\\u062a <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4c8900a\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0627\\u06cc\\u0645\\u0646\\u06cc \\u0645\\u0648\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7455617\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"6c099ba\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"flex_gap\":{\"size\":18,\"unit\":\"px\",\"column\":\"18\",\"row\":\"18\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3.2\",\"right\":\"0.5\",\"bottom\":\"0\",\"left\":\"0.5\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5c9d124\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"ade75f1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u062c\\u0627\\u0646\\u0628\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e81aa05\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0631\\u0648\\u06a9\\u0634 \\u0641\\u0631\\u0645\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0635\\u0648\\u062a\\u06cc \\u062a\\u0635\\u0648\\u06cc\\u0631\\u06cc\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8928783\"},{\"text\":\"\\u0642\\u0641\\u0644 \\u067e\\u062f\\u0627\\u0644 \\u0648 \\u0641\\u0631\\u0645\\u0627\\u0646\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"938a583\"},{\"text\":\"\\u0646\\u0638\\u0627\\u0641\\u062a \\u062e\\u0648\\u062f\\u0631\\u0648\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"e90803b\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"},{\"id\":\"018afa8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u0648\\u0627\\u0632\\u0645 \\u0645\\u0635\\u0631\\u0641\\u06cc \\u062e\\u0648\\u062f\\u0631\\u0648 <i class=\\\"fas fa-angle-left\\\"><\\/i> \",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"iranyekanwebbold_FaNum\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"5\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"64df09e\"}],\"scroll_y\":-80,\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\",\"_border_color\":\"globals\\/colors?id=primary\"},\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"bbdc16a\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u062a\\u0631\\u0645\\u0632\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6ff2e7a\"},{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u06af\\u06cc\\u0631\\u0628\\u06a9\\u0633\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"d9867cb\"},{\"text\":\"\\u0631\\u0648\\u063a\\u0646 \\u0645\\u0648\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"6f5d62d\"},{\"text\":\"\\u0636\\u062f \\u06cc\\u062e \\u0648 \\u0622\\u0628 \\u0631\\u0627\\u062f\\u06cc\\u0627\\u062a\\u0648\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"7848ed4\"},{\"text\":\"\\u0644\\u0627\\u0633\\u062a\\u06cc\\u06a9 \\u0648 \\u062a\\u0627\\u06cc\\u0631\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"4f7a466\"},{\"text\":\"\\u0645\\u06a9\\u0645\\u0644 \\u0633\\u0648\\u062e\\u062a\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"584e867\"}],\"space_between\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_color\":\"#898787\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanwebregular_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"jedv_conditions\":[{\"_id\":\"6f74f76\"}],\"scroll_y\":-80,\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"a6a3263\",\"elType\":\"container\",\"settings\":{\"_column_size\":25,\"width\":{\"size\":null,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"c4343f8\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"wd_container_stretch\":\"\",\"wd_color_scheme\":\"\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[{\"id\":\"c03d37b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":1436,\"url\":\"https:\\/\\/halochin.ir\\/multivendor\\/wp-content\\/uploads\\/2023\\/07\\/mega-banner-8.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"jedv_conditions\":[{\"_id\":\"e6d2c74\"}],\"scroll_y\":-80,\"image_size\":\"full\",\"element_parallax\":\"\",\"scroll_x\":0,\"scroll_z\":0,\"scroll_smoothness\":\"30\",\"wd_animation\":\"\",\"wd_animation_duration\":\"normal\",\"wd_animation_delay\":100},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("14455", "1598", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14465", "1601", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("14466", "1601", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14467", "1601", "_menu_item_object_id", "23");
INSERT INTO `wp_sa_postmeta` VALUES("14468", "1601", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("14469", "1601", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14470", "1601", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14471", "1601", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14472", "1601", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("14474", "1602", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("14475", "1602", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14476", "1602", "_menu_item_object_id", "439");
INSERT INTO `wp_sa_postmeta` VALUES("14477", "1602", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("14478", "1602", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14479", "1602", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14480", "1602", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14481", "1602", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("14483", "1603", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("14484", "1603", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14485", "1603", "_menu_item_object_id", "586");
INSERT INTO `wp_sa_postmeta` VALUES("14486", "1603", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("14487", "1603", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14488", "1603", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14489", "1603", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14490", "1603", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("14492", "1604", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("14493", "1604", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14494", "1604", "_menu_item_object_id", "17");
INSERT INTO `wp_sa_postmeta` VALUES("14495", "1604", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("14496", "1604", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14497", "1604", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14498", "1604", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14499", "1604", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("14501", "1605", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("14502", "1605", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14503", "1605", "_menu_item_object_id", "504");
INSERT INTO `wp_sa_postmeta` VALUES("14504", "1605", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("14505", "1605", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14506", "1605", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14507", "1605", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14508", "1605", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("14510", "1606", "_menu_item_type", "post_type");
INSERT INTO `wp_sa_postmeta` VALUES("14511", "1606", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14512", "1606", "_menu_item_object_id", "14");
INSERT INTO `wp_sa_postmeta` VALUES("14513", "1606", "_menu_item_object", "page");
INSERT INTO `wp_sa_postmeta` VALUES("14514", "1606", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14515", "1606", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14516", "1606", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14517", "1606", "_menu_item_url", "");
INSERT INTO `wp_sa_postmeta` VALUES("14743", "1618", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14744", "1618", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_sa_postmeta` VALUES("14745", "1618", "_menu_item_object_id", "1618");
INSERT INTO `wp_sa_postmeta` VALUES("14746", "1618", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14747", "1618", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14748", "1618", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14749", "1618", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14750", "1618", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14752", "1619", "_menu_item_type", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14753", "1619", "_menu_item_menu_item_parent", "1618");
INSERT INTO `wp_sa_postmeta` VALUES("14754", "1619", "_menu_item_object_id", "1619");
INSERT INTO `wp_sa_postmeta` VALUES("14755", "1619", "_menu_item_object", "custom");
INSERT INTO `wp_sa_postmeta` VALUES("14756", "1619", "_menu_item_target", "");
INSERT INTO `wp_sa_postmeta` VALUES("14757", "1619", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("14758", "1619", "_menu_item_xfn", "");
INSERT INTO `wp_sa_postmeta` VALUES("14759", "1619", "_menu_item_url", "#");
INSERT INTO `wp_sa_postmeta` VALUES("14761", "1601", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14762", "1606", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14763", "1602", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14764", "1604", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14765", "1605", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14766", "1603", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14767", "1564", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14768", "1565", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14769", "1566", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14770", "1567", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14771", "1568", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14772", "1569", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14773", "1570", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14774", "1571", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14775", "1572", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14776", "972", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14777", "970", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14778", "971", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14779", "973", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14780", "968", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14781", "967", "_wp_old_date", "2023-07-08");
INSERT INTO `wp_sa_postmeta` VALUES("14782", "1564", "jet_menu_settings", "a:19:{s:7:\"enabled\";s:5:\"false\";s:12:\"content_type\";s:9:\"elementor\";s:25:\"custom_mega_menu_position\";s:7:\"default\";s:22:\"custom_mega_menu_width\";s:0:\"\";s:14:\"menu_icon_type\";s:4:\"icon\";s:9:\"menu_icon\";s:0:\"\";s:8:\"menu_svg\";s:0:\"\";s:10:\"icon_color\";s:0:\"\";s:9:\"icon_size\";i:0;s:15:\"menu_badge_type\";s:4:\"text\";s:10:\"menu_badge\";s:0:\"\";s:11:\"badge_color\";s:0:\"\";s:14:\"badge_bg_color\";s:0:\"\";s:9:\"badge_svg\";s:0:\"\";s:14:\"badge_svg_size\";s:0:\"\";s:14:\"hide_item_text\";s:0:\"\";s:14:\"badge_offset_x\";s:0:\"\";s:14:\"badge_offset_y\";s:0:\"\";s:12:\"item_padding\";a:6:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:9:\"is_linked\";s:4:\"true\";s:5:\"units\";s:2:\"px\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("14783", "1564", "jet-menu-item", "1620");
INSERT INTO `wp_sa_postmeta` VALUES("14784", "1564", "_content_type", "elementor");
INSERT INTO `wp_sa_postmeta` VALUES("14785", "1620", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("14786", "1620", "_elementor_template_type", "wp-post");
INSERT INTO `wp_sa_postmeta` VALUES("14787", "1620", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("14788", "1620", "_elementor_pro_version", "3.13.2");
INSERT INTO `wp_sa_postmeta` VALUES("14789", "1620", "_edit_lock", "1688883266:1");
INSERT INTO `wp_sa_postmeta` VALUES("14794", "1620", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("14795", "1620", "_rankmath__data", "[]");
INSERT INTO `wp_sa_postmeta` VALUES("14803", "1620", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_sa_postmeta` VALUES("14816", "1620", "_is_style_deps", "a:1:{s:7:\"depends\";a:0:{}}");
INSERT INTO `wp_sa_postmeta` VALUES("16385", "1598", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1598\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1598.css?ver=1688900592\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1598\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1598.css?ver=1688900592\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16386", "1598", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:201;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16405", "1576", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1576\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1576.css?ver=1688900721\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1576\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1576.css?ver=1688900721\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16406", "1576", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:231;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16440", "1579", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1579\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1579.css?ver=1688901087\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1579\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1579.css?ver=1688901087\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16441", "1579", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:201;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16443", "1582", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1582\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1582.css?ver=1688901088\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1582\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1582.css?ver=1688901088\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16444", "1582", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:202;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16446", "1585", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1585\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1585.css?ver=1688901088\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1585\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1585.css?ver=1688901088\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16447", "1585", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:140;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16465", "1588", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1588\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1588.css?ver=1688901246\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1588\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1588.css?ver=1688901246\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16466", "1588", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:155;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16484", "1591", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1591\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1591.css?ver=1688901296\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1591\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1591.css?ver=1688901296\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16485", "1591", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:150;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("16512", "1594", "_is_style_deps", "a:1:{s:7:\"depends\";a:1:{i:0;a:3:{s:6:\"handle\";s:19:\"elementor-post-1594\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1594.css?ver=1688901358\";s:3:\"obj\";O:14:\"_WP_Dependency\":8:{s:6:\"handle\";s:19:\"elementor-post-1594\";s:3:\"src\";s:93:\"https://halochin.ir/multivendor/wp-content/uploads/elementor/css/post-1594.css?ver=1688901358\";s:4:\"deps\";a:1:{i:0;s:18:\"elementor-frontend\";}s:3:\"ver\";N;s:4:\"args\";s:3:\"all\";s:5:\"extra\";a:0:{}s:10:\"textdomain\";N;s:17:\"translations_path\";N;}}}}");
INSERT INTO `wp_sa_postmeta` VALUES("16513", "1594", "_is_script_deps", "a:2:{s:7:\"depends\";a:0:{}s:7:\"widgets\";a:3:{i:0;s:7:\"heading\";i:5;s:9:\"icon-list\";i:140;s:5:\"image\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("17714", "128", "pageview", "27");
INSERT INTO `wp_sa_postmeta` VALUES("17715", "124", "pageview", "13");
INSERT INTO `wp_sa_postmeta` VALUES("17724", "1564", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17725", "1565", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17726", "1566", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17727", "1567", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17728", "1568", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17729", "1569", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17730", "1570", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17731", "1571", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17732", "1572", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17733", "972", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17734", "970", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17735", "971", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17736", "973", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17737", "968", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17738", "967", "_wp_old_date", "2023-07-09");
INSERT INTO `wp_sa_postmeta` VALUES("17742", "106", "pageview", "4");
INSERT INTO `wp_sa_postmeta` VALUES("17743", "1197", "jet_engine_store_count_favorites", "8");
INSERT INTO `wp_sa_postmeta` VALUES("17744", "1177", "jet_engine_store_count_favorites", "5");
INSERT INTO `wp_sa_postmeta` VALUES("17745", "118", "pageview", "19");
INSERT INTO `wp_sa_postmeta` VALUES("17746", "104", "jet_engine_store_count_favorites", "1");
INSERT INTO `wp_sa_postmeta` VALUES("17747", "1177", "jet_engine_store_count_compare", "6");
INSERT INTO `wp_sa_postmeta` VALUES("17748", "1197", "jet_engine_store_count_compare", "5");
INSERT INTO `wp_sa_postmeta` VALUES("17749", "136", "jet_engine_store_count_compare", "4");
INSERT INTO `wp_sa_postmeta` VALUES("17767", "1856", "_wp_attached_file", "2023/09/01.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("17768", "1856", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:520;s:6:\"height\";i:346;s:4:\"file\";s:14:\"2023/09/01.jpg\";s:8:\"filesize\";i:36446;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"01-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13488;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"01-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6330;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:14:\"01-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17824;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"01-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3643;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("17769", "1857", "_wp_attached_file", "2023/09/cropped-01.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("17770", "1857", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_sa_postmeta` VALUES("17771", "1857", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:346;s:6:\"height\";i:346;s:4:\"file\";s:22:\"2023/09/cropped-01.jpg\";s:8:\"filesize\";i:23547;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"cropped-01-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17773;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"cropped-01-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6229;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"cropped-01-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17773;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"cropped-01-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3629;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("17772", "1858", "_wp_attached_file", "2023/09/cropped-01-1.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("17773", "1858", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_sa_postmeta` VALUES("17774", "1858", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:520;s:6:\"height\";i:249;s:4:\"file\";s:24:\"2023/09/cropped-01-1.jpg\";s:8:\"filesize\";i:23814;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"cropped-01-1-300x144.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9757;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"cropped-01-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5589;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"cropped-01-1-300x249.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:249;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15755;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"cropped-01-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3226;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("17775", "1859", "_wp_attached_file", "2023/09/SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png");
INSERT INTO `wp_sa_postmeta` VALUES("17776", "1859", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:360;s:6:\"height\";i:205;s:4:\"file\";s:48:\"2023/09/SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png\";s:8:\"filesize\";i:15580;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"SGN_۰۲_۰۶_۲۰۲۳_1675664371524-300x171.png\";s:5:\"width\";i:300;s:6:\"height\";i:171;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16445;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"SGN_۰۲_۰۶_۲۰۲۳_1675664371524-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8536;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:48:\"SGN_۰۲_۰۶_۲۰۲۳_1675664371524-300x205.png\";s:5:\"width\";i:300;s:6:\"height\";i:205;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15640;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"SGN_۰۲_۰۶_۲۰۲۳_1675664371524-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5366;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("17777", "1860", "_wp_attached_file", "2023/09/cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png");
INSERT INTO `wp_sa_postmeta` VALUES("17778", "1860", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_sa_postmeta` VALUES("17779", "1860", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:360;s:6:\"height\";i:172;s:4:\"file\";s:56:\"2023/09/cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png\";s:8:\"filesize\";i:14889;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:56:\"cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524-300x143.png\";s:5:\"width\";i:300;s:6:\"height\";i:143;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14731;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:56:\"cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7490;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:56:\"cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524-300x172.png\";s:5:\"width\";i:300;s:6:\"height\";i:172;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14011;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:56:\"cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4662;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("17780", "136", "jet_engine_store_count_favorites", "3");
INSERT INTO `wp_sa_postmeta` VALUES("17821", "1177", "_price", "50000");
INSERT INTO `wp_sa_postmeta` VALUES("17822", "1177", "_price", "50000");
INSERT INTO `wp_sa_postmeta` VALUES("17823", "1177", "_regular_price", "59000");
INSERT INTO `wp_sa_postmeta` VALUES("17824", "1177", "_sale_price", "50000");
INSERT INTO `wp_sa_postmeta` VALUES("17825", "1866", "_variation_description", "");
INSERT INTO `wp_sa_postmeta` VALUES("17826", "1866", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("17827", "1866", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("17828", "1866", "_tax_class", "parent");
INSERT INTO `wp_sa_postmeta` VALUES("17829", "1866", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17830", "1866", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17831", "1866", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17832", "1866", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17833", "1866", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17834", "1866", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("17835", "1866", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("17836", "1866", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("17837", "1866", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("17838", "1866", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("17839", "1866", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("17840", "1866", "attribute_pa_brand", "fresh");
INSERT INTO `wp_sa_postmeta` VALUES("17841", "1866", "_product_version", "7.9.0");
INSERT INTO `wp_sa_postmeta` VALUES("17842", "1867", "_variation_description", "");
INSERT INTO `wp_sa_postmeta` VALUES("17843", "1867", "total_sales", "0");
INSERT INTO `wp_sa_postmeta` VALUES("17844", "1867", "_tax_status", "taxable");
INSERT INTO `wp_sa_postmeta` VALUES("17845", "1867", "_tax_class", "parent");
INSERT INTO `wp_sa_postmeta` VALUES("17846", "1867", "_manage_stock", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17847", "1867", "_backorders", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17848", "1867", "_sold_individually", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17849", "1867", "_virtual", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17850", "1867", "_downloadable", "no");
INSERT INTO `wp_sa_postmeta` VALUES("17851", "1867", "_download_limit", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("17852", "1867", "_download_expiry", "-1");
INSERT INTO `wp_sa_postmeta` VALUES("17853", "1867", "_stock", NULL);
INSERT INTO `wp_sa_postmeta` VALUES("17854", "1867", "_stock_status", "instock");
INSERT INTO `wp_sa_postmeta` VALUES("17855", "1867", "_wc_average_rating", "0");
INSERT INTO `wp_sa_postmeta` VALUES("17856", "1867", "_wc_review_count", "0");
INSERT INTO `wp_sa_postmeta` VALUES("17857", "1867", "attribute_pa_brand", "kalleh");
INSERT INTO `wp_sa_postmeta` VALUES("17858", "1867", "_product_version", "7.9.0");
INSERT INTO `wp_sa_postmeta` VALUES("17859", "1866", "_regular_price", "50000");
INSERT INTO `wp_sa_postmeta` VALUES("17860", "1866", "_price", "50000");
INSERT INTO `wp_sa_postmeta` VALUES("17861", "1867", "_regular_price", "250000");
INSERT INTO `wp_sa_postmeta` VALUES("17862", "1867", "_sale_price", "100000");
INSERT INTO `wp_sa_postmeta` VALUES("17863", "1867", "_price", "100000");
INSERT INTO `wp_sa_postmeta` VALUES("18022", "102", "pageview", "2");
INSERT INTO `wp_sa_postmeta` VALUES("18023", "1885", "_wp_attached_file", "2023/10/image.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("18024", "1885", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:17:\"2023/10/image.jpg\";s:8:\"filesize\";i:567064;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"image-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14246;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"image-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132884;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"image-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6175;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"image-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75577;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"image-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:286177;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:17:\"image-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19411;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"image-600x400.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:400;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47898;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"image-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3548;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("18025", "1886", "_wp_attached_file", "2023/10/cropped-image.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("18026", "1886", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_sa_postmeta` VALUES("18027", "1886", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:300;s:4:\"file\";s:25:\"2023/10/cropped-image.jpg\";s:8:\"filesize\";i:43170;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"cropped-image-300x144.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11148;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"cropped-image-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5980;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"cropped-image-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20434;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"cropped-image-600x288.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:288;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35422;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"cropped-image-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3541;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("18028", "104", "jet_engine_store_count_compare", "2");
INSERT INTO `wp_sa_postmeta` VALUES("18029", "100", "jet_engine_store_count_compare", "1");
INSERT INTO `wp_sa_postmeta` VALUES("18030", "100", "jet_engine_store_count_favorites", "1");
INSERT INTO `wp_sa_postmeta` VALUES("18031", "130", "jet_engine_store_count_favorites", "0");
INSERT INTO `wp_sa_postmeta` VALUES("18075", "1894", "_elementor_source", "post");
INSERT INTO `wp_sa_postmeta` VALUES("18076", "1894", "_elementor_edit_mode", "builder");
INSERT INTO `wp_sa_postmeta` VALUES("18077", "1894", "_elementor_template_type", "product-archive");
INSERT INTO `wp_sa_postmeta` VALUES("18078", "1894", "_elementor_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("18079", "1894", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_sa_postmeta` VALUES("18080", "1894", "_edit_lock", "1707125155:1");
INSERT INTO `wp_sa_postmeta` VALUES("18086", "1894", "_wp_page_template", "default");
INSERT INTO `wp_sa_postmeta` VALUES("18087", "1894", "_rankmath__data", "[{\"id\":\"1c494d1\",\"elType\":\"container\",\"settings\":{\"structure\":\"21\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"26f0cd8\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction\":\"row\",\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":25,\"unit\":\"px\",\"column\":\"25\",\"row\":\"25\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[],\"column\":\"5\",\"row\":\"5\",\"isLinked\":true},\"flex_direction_mobile\":\"column\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":21,\"sizes\":[],\"column\":\"21\",\"row\":\"21\",\"isLinked\":true},\"flex_wrap_tablet\":\"wrap\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false}},\"elements\":[{\"id\":\"198c9e0\",\"elType\":\"container\",\"settings\":{\"_column_size\":33,\"width\":{\"size\":25,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"2ab744d\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"sticky\":\"top\",\"sticky_on\":[\"desktop\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"width_tablet\":{\"unit\":\"%\",\"size\":100},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_order_mobile\":\"end\",\"_flex_size\":\"none\",\"_element_width_tablet\":\"initial\",\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction_tablet\":\"column\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_order_tablet\":\"start\"},\"elements\":[{\"id\":\"30f2826\",\"elType\":\"container\",\"settings\":{\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c3d5d9d\"}],\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ec2e598\",\"elType\":\"widget\",\"settings\":{\"filter_id\":\"500\",\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0646\\u06cc\\u062f\",\"additional_providers_list\":[],\"content_position\":\"column\",\"content_column_horizontal_alignment\":\"stretch\",\"search_input_color\":\"#9D9D9D\",\"search_input_background_color\":\"#FFFFFF\",\"search_input_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"filter_apply_button_normal_color\":\"#FFFFFF\",\"filter_apply_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"6b32581\"}],\"scroll_y\":-80,\"__globals__\":{\"filter_apply_button_normal_background_color\":\"globals\\/colors?id=primary\",\"search_input_border_color\":\"\",\"filter_apply_button_typography_typography\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"search_input_typography_typography\":\"custom\",\"search_input_typography_font_family\":\"iranyekanwebregular_FaNum\",\"search_input_border_border\":\"solid\",\"search_input_border_color\":\"#E1E1E1\",\"filter_apply_button_normal_background_color\":\"#39469E\",\"filter_apply_button_border_border\":\"none\",\"filter_apply_button_typography_typography\":\"custom\",\"filter_apply_button_typography_font_family\":\"iranyekanwebregular_FaNum\",\"filter_apply_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"filter_apply_button_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-search\"},{\"id\":\"4c7b912\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"501\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"show_label\":\"yes\",\"additional_providers_enabled\":\"\",\"additional_providers_list\":[],\"slider_stroke\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"slider_background_color\":\"#FFF3F5\",\"slider_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"range_points_width\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"range_points_height\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"values_typography_typography\":\"custom\",\"values_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"values_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"inputs_width\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"inputs_alignment\":\"right\",\"label_typography_typography\":\"custom\",\"label_typography_font_family\":\"iranyekanwebbold_FaNum\",\"label_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"label_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"label_border_color\":\"#EBEBEB\",\"label_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"label_alignment\":\"right\",\"_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"11621f3\"}],\"scroll_y\":-80,\"_border_border\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#EBEBEB\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"__globals__\":{\"slider_range_background_color\":\"globals\\/colors?id=primary\",\"range_points_background_color\":\"globals\\/colors?id=primary\",\"values_color\":\"globals\\/colors?id=text\",\"label_color\":\"\",\"input_background_color\":\"\",\"filter_apply_button_normal_background_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"values_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"slider_range_background_color\":\"#39469E\",\"range_points_background_color\":\"#39469E\",\"values_color\":\"#737373\",\"label_color\":\"#444444\",\"slider_border_border\":\"none\",\"_background_background\":\"classic\",\"_background_color\":\"#FFFFFF\",\"filter_apply_button_border_border\":\"none\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-range\"},{\"id\":\"59d73bf\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"498\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"additional_providers_list\":[],\"select_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"select_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_typography_typography\":\"custom\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#EBEBEB\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bf1a2b4\"}],\"scroll_y\":-80,\"__globals__\":{\"select_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\",\"select_background_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-select\"},{\"id\":\"1486840\",\"elType\":\"widget\",\"settings\":{\"filter_id\":[\"499\"],\"content_provider\":\"jet-engine\",\"apply_on\":\"submit\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"additional_providers_list\":[],\"select_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"select_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"select_typography_typography\":\"custom\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#EBEBEB\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"bf1a2b4\"}],\"scroll_y\":-80,\"__globals__\":{\"select_color\":\"\"},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-select\"},{\"id\":\"8c2b198\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631 \\u0647\\u0627\",\"additional_providers_list\":[],\"filter_apply_button_typography_typography\":\"custom\",\"filter_apply_button_typography_font_family\":\"iranyekanwebbold_FaNum\",\"filter_apply_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"filter_apply_button_typography_font_weight\":\"normal\",\"filter_apply_button_normal_color\":\"#FFFFFF\",\"filter_apply_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"filter_apply_button_shadow_box_shadow_type\":\"yes\",\"filter_apply_button_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":5,\"blur\":10,\"spread\":0,\"color\":\"rgba(35.7, 35.31195652173913, 35.35697814076388, 0.12)\"},\"filter_apply_button_alignment\":\"stretch\",\"jedv_conditions\":[{\"_id\":\"e4df2bd\"}],\"scroll_y\":-80,\"__globals__\":{\"filter_apply_button_normal_color\":\"\",\"filter_apply_button_normal_background_color\":\"globals\\/colors?id=primary\",\"filter_apply_button_border_color\":\"globals\\/colors?id=primary\"},\"filter_apply_button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"apply_redirect\":\"yes\",\"redirect_path\":\"\\/shop\\/\",\"filter_apply_button_border_border\":\"none\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-apply-button\"},{\"id\":\"35746b5\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"remove_filters_text\":\"\\u062d\\u0630\\u0641 \\u0641\\u06cc\\u0644\\u062a\\u0631\\u0647\\u0627\",\"additional_providers_list\":[],\"remove_filters_button_typography_typography\":\"custom\",\"remove_filters_button_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"remove_filters_button_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"remove_filters_button_typography_font_weight\":\"normal\",\"remove_filters_button_normal_color\":\"#EF3A4F\",\"remove_filters_button_normal_background_color\":\"#FFFFFF\",\"remove_filters_button_border_border\":\"solid\",\"remove_filters_button_border_width\":{\"unit\":\"px\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"remove_filters_button_border_color\":\"#EF3A4F\",\"remove_filters_button_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"remove_filters_button_alignment\":\"stretch\",\"jedv_conditions\":[{\"_id\":\"6ee7a91\"}],\"scroll_y\":-80,\"__globals__\":{\"remove_filters_button_normal_background_color\":\"\",\"remove_filters_button_normal_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_border_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_border_color\":\"globals\\/colors?id=primary\",\"remove_filters_button_hover_background_color\":\"\"},\"remove_filters_button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"apply_type\":\"reload\",\"query_id\":\"pproducts\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-remove-filters\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"78f4c78\",\"elType\":\"container\",\"settings\":{\"_column_size\":66,\"width\":{\"size\":75,\"unit\":\"%\"},\"jedv_conditions\":[{\"_id\":\"26597bb\"}],\"column_sticky_offset\":50,\"scroll_y\":-80,\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_width\":\"full\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_flex_order_tablet\":\"start\",\"_flex_order_mobile\":\"end\"},\"elements\":[{\"id\":\"4e7cc00\",\"elType\":\"container\",\"settings\":{\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#E3E3E3\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-5,\"vertical\":5,\"blur\":5,\"spread\":0,\"color\":\"rgba(218.53125000000003, 218.53125000000003, 218.53125000000003, 0.16)\"},\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"15\",\"bottom\":\"10\",\"left\":\"15\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ff3bd1a\"}],\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"size\":10,\"unit\":\"px\",\"column\":\"10\",\"row\":\"10\",\"isLinked\":true},\"content_width\":\"full\",\"flex_justify_content\":\"space-between\",\"flex_wrap_mobile\":\"nowrap\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[],\"column\":\"20\",\"row\":\"20\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=accent\"}},\"elements\":[{\"id\":\"c47493e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANSansWeb_FaNum_Bold\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"feb4645\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d45f3f2\\\" name=\\\"archive-title\\\" settings=\\\"%7B%22include_context%22%3A%22%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a6f5745\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_button_text\":\"\\u0627\\u0639\\u0645\\u0627\\u0644 \\u0641\\u06cc\\u0644\\u062a\\u0631\",\"placeholder\":\"\\u0645\\u0631\\u062a\\u0628 \\u0633\\u0627\\u0632\\u06cc \\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 ...\",\"additional_providers_list\":[],\"sorting_list\":[{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u0627\\u0631\\u0632\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u06af\\u0631\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"_id\":\"42225b4\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u0642\\u06cc\\u0645\\u062a \\u0627\\u0632 \\u06af\\u0631\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0627\\u0631\\u0632\\u0627\\u0646 \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"price\",\"order\":\"DESC\",\"_id\":\"4d71995\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u0642\\u062f\\u06cc\\u0645\\u06cc \\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"_id\":\"8ee97d0\"},{\"title\":\"\\u0628\\u0631\\u0627\\u0633\\u0627\\u0633 \\u062a\\u0627\\u0631\\u06cc\\u062e \\u0627\\u0632 \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631\\u06cc\\u0646 \\u0628\\u0647 \\u0642\\u062f\\u06cc\\u0645\\u06cc \\u062a\\u0631\\u06cc\\u0646\",\"orderby\":\"date\",\"order\":\"DESC\",\"_id\":\"9698eaa\"}],\"select_width\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"select_background_color\":\"#F8F8F8\",\"select_border_border\":\"solid\",\"select_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"select_border_color\":\"#E3E3E3\",\"select_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"select_alignment\":\"right\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"30103c5\"}],\"scroll_y\":-80,\"apply_on\":\"submit\",\"apply_type\":\"reload\",\"query_id\":\"pproducts\",\"select_typography_typography\":\"custom\",\"select_typography_font_family\":\"iranyekanwebregular_FaNum\",\"select_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"label_typography_font_size\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-smart-filters-sorting\"}],\"isInner\":true},{\"id\":\"3b1c20b\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"183\",\"columns\":\"3\",\"is_archive_template\":\"yes\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"fc57d09\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"15ba854\"}],\"scroll_y\":-80,\"columns_mobile\":\"1\",\"columns_tablet\":\"2\",\"use_custom_post_types\":\"yes\",\"custom_post_types\":[\"product\"],\"_element_id\":\"pproducts\",\"equal_columns_height\":\"yes\",\"injection_items\":[],\"custom_query_id\":\"7\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"fbbb8ec\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#E1E1E1\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebmedium_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_color\":\"#39469E\",\"pagination_items_color_hover\":\"#FFD701\",\"pagination_items_color_active\":\"#FFD701\",\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"254c9fd\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=fdaa5d2\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_dots\":\"globals\\/colors?id=text\",\"pagination_border_color\":\"\",\"pagination_background_color\":\"\"},\"query_id\":\"pproducts\",\"pagination_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"3\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"pagination_items_color_dots\":\"#737373\",\"pages_center_offset\":2,\"load_more_text\":\"Load More\",\"pagination_background_color\":\"#FFFFFF\",\"pagination_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_sa_postmeta` VALUES("18095", "1894", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_sa_postmeta` VALUES("18096", "1894", "_elementor_conditions", "a:1:{i:0;s:32:\"include/product_archive/pa_brand\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18107", "1894", "_edit_last", "1");
INSERT INTO `wp_sa_postmeta` VALUES("18108", "1894", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a8%d8%a7%db%8c%da%af%d8%a7%d9%86%db%8c-%d9%88%db%8c%da%98%da%af%db%8c-%d9%87%d8%a7%db%8c-%d9%85%d8%ad%d8%b5%d9%88%d9%84");
INSERT INTO `wp_sa_postmeta` VALUES("18265", "1908", "_wp_attached_file", "2024/04/1.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("18266", "1908", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1024;s:6:\"height\";i:768;s:4:\"file\";s:13:\"2024/04/1.jpg\";s:8:\"filesize\";i:317056;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:13:\"1-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32993;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:13:\"1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25419;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:13:\"1-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61704;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:13:\"1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29741;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:13:\"1-600x450.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:450;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50658;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:13:\"1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24179;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("18267", "1909", "_wp_attached_file", "2024/04/cropped-1.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("18268", "1909", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_sa_postmeta` VALUES("18269", "1909", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:625;s:6:\"height\";i:299;s:4:\"file\";s:21:\"2024/04/cropped-1.jpg\";s:8:\"filesize\";i:35511;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"cropped-1-300x144.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27349;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"cropped-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23974;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:21:\"cropped-1-300x299.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:299;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26355;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"cropped-1-600x287.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:287;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34486;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"cropped-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23353;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("18270", "1910", "_wp_attached_file", "2024/04/cropped-cropped-1.jpg");
INSERT INTO `wp_sa_postmeta` VALUES("18271", "1910", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_sa_postmeta` VALUES("18272", "1910", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:299;s:6:\"height\";i:299;s:4:\"file\";s:29:\"2024/04/cropped-cropped-1.jpg\";s:8:\"filesize\";i:30566;s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"cropped-cropped-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25511;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"cropped-cropped-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24174;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_sa_postmeta` VALUES("18274", "138", "jet_engine_store_count_compare", "1");
INSERT INTO `wp_sa_postmeta` VALUES("18485", "6", "_elementor_css", "a:6:{s:4:\"time\";i:1716803757;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18486", "23", "_elementor_css", "a:6:{s:4:\"time\";i:1716803757;s:5:\"fonts\";a:6:{i:0;s:27:\"iranyekanwebextrabold_FaNum\";i:1;s:24:\"iranyekanwebmedium_FaNum\";i:2;s:25:\"iranyekanwebregular_FaNum\";i:4;s:23:\"IRANSansWeb_FaNum_Light\";i:5;s:22:\"IRANSansWeb_FaNum_Bold\";i:6;s:17:\"IRANSansWeb_Light\";}s:5:\"icons\";a:1:{i:0;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18487", "792", "_elementor_css", "a:6:{s:4:\"time\";i:1716803757;s:5:\"fonts\";a:3:{i:0;s:24:\"iranyekanwebmedium_FaNum\";i:1;s:25:\"iranyekanwebregular_FaNum\";i:3;s:27:\"iranyekanwebextrabold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:12:{i:0;s:7:\"b47303f\";i:1;s:7:\"7a3365c\";i:2;s:7:\"7a3365c\";i:3;s:7:\"89dcd2a\";i:4;s:7:\"89dcd2a\";i:5;s:7:\"948ea52\";i:6;s:7:\"948ea52\";i:7;s:7:\"211afd6\";i:8;s:7:\"ee754b9\";i:9;s:7:\"d7aba3f\";i:10;s:7:\"6919fea\";i:11;s:7:\"6919fea\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18488", "183", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:3:{i:0;s:24:\"iranyekanwebmedium_FaNum\";i:1;s:25:\"iranyekanwebregular_FaNum\";i:3;s:27:\"iranyekanwebextrabold_FaNum\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:5;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:14:{i:0;s:7:\"7c56d1f\";i:1;s:7:\"995da3f\";i:2;s:7:\"dd4b547\";i:3;s:7:\"dd4b547\";i:4;s:7:\"dedf81a\";i:5;s:7:\"dedf81a\";i:6;s:7:\"f9e36b8\";i:7;s:7:\"f9e36b8\";i:8;s:7:\"d9c2938\";i:9;s:7:\"fa11058\";i:10;s:7:\"0a0ae6f\";i:11;s:7:\"ce8c2ca\";i:12;s:7:\"ce8c2ca\";i:13;s:7:\"27f9e3f\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18489", "257", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:1:{i:0;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"eb2b127\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18490", "1224", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:3:{i:0;s:27:\"iranyekanwebextrabold_FaNum\";i:2;s:23:\"IRANSansWeb_FaNum_Light\";i:3;s:24:\"iranyekanwebmedium_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"9dc4bc5\";i:1;s:7:\"0c3728a\";i:2;s:7:\"eae4f7c\";i:3;s:7:\"d50bd75\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18491", "293", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:3:{i:0;s:24:\"iranyekanwebmedium_FaNum\";i:1;s:25:\"iranyekanwebregular_FaNum\";i:2;s:27:\"iranyekanwebextrabold_FaNum\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:5;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:13:{i:0;s:7:\"8d93e8c\";i:1;s:7:\"881676c\";i:2;s:7:\"881676c\";i:3;s:7:\"c7b3886\";i:4;s:7:\"c7b3886\";i:5;s:7:\"8b64286\";i:6;s:7:\"8b64286\";i:7;s:7:\"0b871dc\";i:8;s:7:\"54cd9e7\";i:9;s:7:\"7053a48\";i:10;s:7:\"a91ccff\";i:11;s:7:\"a91ccff\";i:12;s:7:\"4580129\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18492", "334", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:3:{i:0;s:22:\"iranyekanwebbold_FaNum\";i:1;s:17:\"IRANSansWeb_Light\";i:2;s:23:\"IRANSansWeb_FaNum_Light\";}s:5:\"icons\";a:1:{i:0;s:10:\"fa-regular\";}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"a6d33fb\";i:1;s:7:\"2437054\";i:2;s:7:\"2437054\";i:3;s:7:\"d20a0da\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18493", "333", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:1:{i:0;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:3:{i:0;s:7:\"c198329\";i:1;s:7:\"fdd0951\";i:2;s:7:\"1535a65\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18494", "332", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:1:{i:0;s:17:\"IRANSansWeb_FaNum\";}s:5:\"icons\";a:1:{i:0;s:10:\"fa-regular\";}s:20:\"dynamic_elements_ids\";a:3:{i:0;s:7:\"7c6511d\";i:1;s:7:\"7c6511d\";i:2;s:7:\"acced14\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18495", "331", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18496", "20", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:3:{i:0;s:10:\"fa-regular\";i:2;s:3:\"svg\";i:4;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"3960fe8\";i:1;s:7:\"8b71350\";i:2;s:7:\"30d1ee6\";i:3;s:7:\"996209d\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18497", "209", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:3:{i:0;s:22:\"iranyekanwebbold_FaNum\";i:1;s:23:\"IRANSansWeb_FaNum_Light\";i:11;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:3:{i:0;s:3:\"svg\";i:2;s:0:\"\";i:16;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"6e7fdda\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18498", "961", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:1:{i:0;s:19:\"iranyekanwebregular\";}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:8:\"75cf9129\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18499", "41", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"20\" viewBox=\"0 0 22 20\" fill=\"none\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.87187 9.59832C0.798865 6.24832 2.05287 2.41932 5.56987 1.28632C7.41987 0.689322 9.46187 1.04132 10.9999 2.19832C12.4549 1.07332 14.5719 0.693322 16.4199 1.28632C19.9369 2.41932 21.1989 6.24832 20.1269 9.59832C18.4569 14.9083 10.9999 18.9983 10.9999 18.9983C10.9999 18.9983 3.59787 14.9703 1.87187 9.59832Z\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15 4.69995C16.07 5.04595 16.826 6.00095 16.917 7.12195\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18500", "40", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"21\" viewBox=\"0 0 20 21\" fill=\"none\"><path d=\"M13.7729 8.30504V5.27304C13.7729 3.18904 12.0839 1.50004 10.0009 1.50004C7.91694 1.49104 6.21994 3.17204 6.21094 5.25604V5.27304V8.30504\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14.7422 20.0004H5.25778C2.90569 20.0004 1 18.0954 1 15.7454V10.2294C1 7.87937 2.90569 5.97437 5.25778 5.97437H14.7422C17.0943 5.97437 19 7.87937 19 10.2294V15.7454C19 18.0954 17.0943 20.0004 14.7422 20.0004Z\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18501", "1598", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18502", "1576", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18503", "1579", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18504", "1582", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18505", "1585", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18506", "1588", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18507", "1591", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18508", "1594", "_elementor_css", "a:6:{s:4:\"time\";i:1716803758;s:5:\"fonts\";a:2:{i:0;s:25:\"iranyekanwebregular_FaNum\";i:1;s:22:\"iranyekanwebbold_FaNum\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18509", "59", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M9.2 22.8c4 4 9.3 7.2 13.9 7.2 2.1 0 4-.7 5.6-2.3l.3-.3c1.1-1.1 1.1-3 0-4.1l-2.8-2.8c-1.1-1.1-3-1.1-4.1 0l-1 1c-.4.4-.9.6-1.4.6-.6 0-1-.2-1.4-.6l-7.8-7.8c-.8-.8-.8-2 0-2.8l1-1c.5-.5.9-1.3.9-2 0-.8-.3-1.5-.8-2l-2.8-3c-.5-.5-1.3-.8-2-.8-.8 0-1.5.3-2 .9l-.5.3C2 5.6 1.5 8.9 2.7 12.8c1.1 3.3 3.4 6.8 6.5 10zM5.7 4.7l.3-.3c.2-.2.4-.3.6-.3s.5.1.6.3L10 7.2c.2.2.3.4.3.6s-.1.5-.3.6l-1 1C7.4 11 7.4 13.5 9 15l7.8 7.8c.7.7 1.7 1.2 2.8 1.2 1.1 0 2.1-.4 2.8-1.2l1-1c.4-.4.9-.4 1.3 0l2.8 2.8c.3.3.3.9 0 1.3l-.3.3c-3.8 3.9-11.3.4-16.7-4.9-2.9-2.9-5.1-6.2-6-9.2-.6-2.1-1-5.2 1.2-7.4zM18 9c2.8 0 5 2.2 5 5 0 .6.4 1 1 1s1-.4 1-1c0-3.9-3.1-7-7-7-.6 0-1 .4-1 1s.4 1 1 1z\" fill=\"\" data-original=\"#000000\"></path><path d=\"M18.2 4c5.4 0 9.8 4.4 9.8 9.8 0 .6.4 1 1 1s1-.4 1-1C30 7.3 24.7 2 18.2 2c-.6 0-1 .4-1 1s.4 1 1 1z\" fill=\"\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18510", "167", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"167\" height=\"48\" viewBox=\"0 0 167 48\" fill=\"none\"><path d=\"M9.45585 0C4.50967 0 0.5 4.00967 0.5 8.95585C0.5 13.0893 3.3288 16.6858 7.34586 17.6596L10.289 18.3731C14.4779 19.3886 17.875 22.4432 19.3282 26.5011L23.4667 38.0573C25.6024 44.0208 31.254 48 37.5885 48L132.494 48C138.942 48 144.668 43.8795 146.717 37.7659L149.9 28.268C151.236 24.2785 154.205 21.0445 158.066 19.3716L161.363 17.9425C164.785 16.4597 167 13.0864 167 9.35697C167 4.18926 162.811 0 157.643 0L9.45585 0Z\" fill=\"white\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18511", "224", "_elementor_css", "a:6:{s:4:\"time\";i:1716803759;s:5:\"fonts\";a:2:{i:0;s:27:\"iranyekanwebextrabold_FaNum\";i:1;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18512", "187", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18513", "218", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"157\" height=\"92\" viewBox=\"0 0 157 92\" fill=\"none\"><g clip-path=\"url(#clip0_246_4038)\"><path d=\"M156.5 41.5C109.85 47.3203 121.69 91.5 78.75 91.5C35.8099 91.5 52.8333 48.7222 1 41.5\" stroke=\"#DFDFDF\"></path><path d=\"M156.5 24H1V41H156.5V24Z\" fill=\"white\"></path></g><path d=\"M157 0H1V24H157V0Z\" fill=\"white\"></path><defs><clipPath id=\"clip0_246_4038\"><rect width=\"157\" height=\"68\" fill=\"white\" transform=\"translate(0 24)\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18514", "219", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"73\" height=\"73\" viewBox=\"0 0 73 73\" fill=\"none\"><g filter=\"url(#filter0_f_63_2917)\"><circle cx=\"36.5\" cy=\"36.5\" r=\"28\" stroke=\"#EF3A4F\" stroke-opacity=\"0.7\"></circle></g><circle cx=\"37\" cy=\"37\" r=\"23\" stroke=\"#EF3A4F\" stroke-width=\"2\"></circle><circle cx=\"36.729\" cy=\"37.3638\" r=\"19.5455\" fill=\"#EF3A4F\"></circle><path d=\"M43.6368 40.9658C43.41 41.1978 43.0551 41.2189 42.805 41.0291L42.7333 40.9658L37.2221 35.3297L31.7109 40.9658C31.4841 41.1978 31.1292 41.2189 30.8791 41.0291L30.8074 40.9658C30.5806 40.7339 30.56 40.3709 30.7455 40.1151L30.8074 40.0418L36.7704 33.9433C36.9972 33.7113 37.3521 33.6902 37.6022 33.88L37.6739 33.9433L43.6368 40.0418C43.8864 40.297 43.8864 40.7107 43.6368 40.9658Z\" fill=\"white\" stroke=\"white\"></path><defs><filter id=\"filter0_f_63_2917\" x=\"0\" y=\"0\" width=\"73\" height=\"73\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\"><feGaussianBlur stdDeviation=\"4\"></feGaussianBlur></filter></defs></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18515", "210", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path d=\"M19.2307 32.308V17.6227L33.8461 10.7695V26.9234L19.2307 32.308Z\" fill=\"\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.6453 1L1 8.99086V27.0091L18.6453 35L36.2906 27.0091V22.0473C36.776 23.1563 37.0381 24.3722 37.0381 25.6316C37.0381 30.5526 33.0345 34.5562 28.1135 34.5562V31.0639L23.6455 35.532L28.1135 40V36.8844C34.3183 36.8844 39.3663 31.8364 39.3663 25.6317C39.3663 22.6974 38.2387 19.9505 36.2906 17.8956V8.99086L18.6453 1ZM17.2584 16.3873V31.388L3.77367 25.1802V10.8198L18.6453 4.01766L23.5998 6.14102L8.32102 12.6891V24.3965H11.0947V14.518L27.1204 7.64977L32.383 9.90523L17.2584 16.3873ZM33.6454 25.5L20.0322 31.3879V18.2162L33.6454 12V25.5ZM25.2681 19.6129V22.3866L32.6645 19.1506V16.377L25.2681 19.6129ZM25.2681 23.6177V26.3913L28.9663 24.7734V21.9997L25.2681 23.6177Z\" fill=\"#202124\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18516", "211", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path d=\"M36 25H9V40H36V25Z\" fill=\"\"></path><path d=\"M36.5 25.5L32 14H3.5L8.5 25.5H36.5Z\" stroke=\"#202124\"></path><path d=\"M33.2422 13.8661V0H2.77344V15.2344L6.74367 25.7727C6.74789 25.785 6.75312 25.7967 6.75781 25.8089V40H37.2266V24.2188L33.2422 13.8661ZM5.11719 2.34375H30.8984V12.8906H5.11719V2.34375ZM5.35156 15.2344H31.2348L34.5703 24.2188H8.68703L5.35156 15.2344ZM34.8828 37.6562H9.10156V26.5625H34.8828V37.6562Z\" fill=\"#202124\"></path><path d=\"M12.3047 4.29688H7.53906V6.64062H12.3047V4.29688Z\" fill=\"#202124\"></path><path d=\"M16.1328 8.4375H7.46094V10.7812H16.1328V8.4375Z\" fill=\"#202124\"></path><path d=\"M29.4141 18.2031H10.8984V20.5469H29.4141V18.2031Z\" fill=\"#202124\"></path><path d=\"M30.2428 32.3067C30.1704 32.1379 30.0667 31.9944 29.9316 31.8761C29.7964 31.7579 29.6336 31.6553 29.4431 31.5685C29.2524 31.4816 29.0389 31.402 28.8025 31.3297C28.7494 31.3152 28.6987 31.2996 28.6506 31.2826C28.6023 31.2659 28.5565 31.2526 28.5131 31.2429V30.5914C28.6481 30.6156 28.782 30.6506 28.9148 30.6965C29.0475 30.7424 29.1668 30.7918 29.2731 30.8448C29.3985 30.9027 29.5143 30.9655 29.6205 31.033L30.2285 29.8677C30.1271 29.8196 30.0161 29.7676 29.8956 29.712C29.775 29.6565 29.6459 29.6035 29.5084 29.5529C29.3709 29.5022 29.2272 29.4577 29.0778 29.419C28.9282 29.3804 28.7738 29.3515 28.6146 29.3321V28.5938H28.0356V29.3248C27.8087 29.349 27.5952 29.4044 27.395 29.4913C27.1948 29.5781 27.0198 29.6938 26.8703 29.8386C26.7207 29.9833 26.6025 30.1558 26.5157 30.3561C26.4288 30.5564 26.3854 30.7868 26.3854 31.0473C26.3854 31.2355 26.4107 31.4019 26.4614 31.5466C26.5121 31.6914 26.5905 31.8206 26.6967 31.934C26.8028 32.0473 26.9379 32.1486 27.102 32.2379C27.266 32.3272 27.4614 32.4105 27.6882 32.4877C27.8378 32.5409 27.9874 32.5865 28.137 32.6251V33.2621C27.9631 33.238 27.793 33.1957 27.6265 33.1353C27.46 33.0751 27.314 33.0136 27.1886 32.9509C27.039 32.8785 26.8991 32.8013 26.7689 32.7192L26.1609 33.9569C26.4214 34.1113 26.7157 34.2391 27.0439 34.3405C27.3719 34.4418 27.7025 34.507 28.0354 34.5359V35.4262H28.6144V34.5504C28.8363 34.5359 29.051 34.4962 29.2585 34.431C29.466 34.3658 29.6505 34.2695 29.8122 34.1416C29.9739 34.0137 30.1041 33.8496 30.2031 33.6493C30.3019 33.449 30.3514 33.2067 30.3514 32.922C30.3514 32.6807 30.3153 32.4757 30.2428 32.3067ZM28.1368 31.1198C28.0402 31.0812 27.9678 31.039 27.9196 30.993C27.8714 30.9473 27.8473 30.8881 27.8473 30.8157C27.8473 30.6759 27.9438 30.5938 28.1368 30.5697V31.1198ZM28.7592 33.2113C28.711 33.25 28.629 33.2741 28.5132 33.2837V32.7481C28.6096 32.7868 28.6868 32.8313 28.7448 32.882C28.8027 32.9326 28.8317 32.9919 28.8317 33.0595C28.8317 33.1222 28.8075 33.1727 28.7592 33.2113Z\" fill=\"#202124\"></path><path d=\"M16.9141 33.125H12.1484V35.4688H16.9141V33.125Z\" fill=\"#202124\"></path><path d=\"M20.7422 28.9844H12.0703V31.3281H20.7422V28.9844Z\" fill=\"#202124\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18517", "212", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14.9999 2.91699L13.7499 7.50033H10.4166V12.0837L8.33325 14.5837L10.4166 17.0837V21.2503L13.7499 22.5003V25.8337L17.4999 24.5837L20.8333 27.0837L23.3332 24.5837L26.6666 25.8337L28.7499 21.2503H31.6666V17.0837L33.3332 14.5837L30.4166 12.0837L31.6666 7.50033H28.7499L26.6666 2.91699L23.3332 5.00033L20.8333 1.66699L17.4999 5.00033L14.9999 2.91699ZM19.9999 20.0003C17.2429 20.0003 14.9999 17.7573 14.9999 15.0003C14.9998 12.2433 17.2428 10.0003 19.9999 10.0003C22.757 10.0003 24.9999 12.2434 24.9999 15.0003C24.9999 17.7573 22.757 20.0003 19.9999 20.0003Z\" fill=\"\"></path><path d=\"M20.1451 7.53711C16.2183 7.53711 13.0237 10.7318 13.0237 14.6586C13.0237 18.5854 16.2183 21.78 20.1451 21.78C24.0719 21.78 27.2666 18.5854 27.2666 14.6586C27.2666 10.7318 24.0719 7.53711 20.1451 7.53711ZM20.1451 19.2117C17.6345 19.2117 15.592 17.1691 15.592 14.6586C15.5919 12.148 17.6344 10.1055 20.1451 10.1055C22.6558 10.1055 24.6982 12.148 24.6982 14.6586C24.6982 17.1691 22.6558 19.2117 20.1451 19.2117Z\" fill=\"#202124\"></path><path d=\"M31.9279 22.2561L32.8204 22.0194L31.6975 17.7851L34.803 14.6954L31.7133 11.59L32.8579 7.36147L28.6294 6.21686L27.5065 1.98257L23.2722 3.10554L20.1826 0L17.0771 3.08968L12.8486 1.94507L11.704 6.17358L7.46959 7.29655L8.59256 11.5308L5.4871 14.6205L8.57678 17.7261L7.43217 21.9546L8.11873 22.1404L3.08374 34.692L10.631 34.2902L16.6359 40L19.9999 31.6136L23.3639 40L29.3687 34.2902L36.916 34.692L31.9279 22.2561ZM15.6619 35.5296L11.5992 31.6666L6.96569 31.9133L10.6148 22.816L11.6606 23.0991L12.7836 27.3333L17.0179 26.2104L18.7156 27.9168L15.6619 35.5296ZM17.7927 23.3478L14.6076 24.1925L13.7629 21.0074L10.5822 20.1464L11.4432 16.9657L9.11912 14.6297L11.4551 12.3056L10.6104 9.12053L13.7955 8.27584L14.6566 5.09515L17.8373 5.95616L20.1733 3.6321L22.4973 5.96811L25.6825 5.12343L26.5272 8.3085L29.7079 9.16951L28.8468 12.3502L31.1709 14.6862L28.835 17.0103L29.6797 20.1954L26.4946 21.04L25.6336 24.2207L22.4529 23.3597L20.1168 25.6837L17.7927 23.3478ZM28.4007 31.6666L24.3381 35.5296L21.3499 28.0799L23.213 26.2263L27.4415 27.3709L28.5861 23.1424L29.4267 22.9194L33.0343 31.9131L28.4007 31.6666Z\" fill=\"#202124\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18518", "213", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><g clip-path=\"url(#clip0_63_3052)\"><path d=\"M20 7.66602C14.4066 7.66602 9.85596 12.2166 9.85596 17.8101C9.85596 23.4035 14.4066 27.9542 20 27.9542C25.5935 27.9542 30.1441 23.4036 30.1441 17.8102C30.1441 12.2166 25.5935 7.66602 20 7.66602ZM20 25.1877C15.9321 25.1877 12.6225 21.8781 12.6225 17.8102C12.6225 13.7422 15.9321 10.4326 20 10.4326C24.068 10.4326 27.3775 13.7421 27.3775 17.8101C27.3775 21.8781 24.068 25.1877 20 25.1877Z\" fill=\"#202124\"></path><path d=\"M35.8335 16.25H32.9167V25L35.8335 23.75L37.9167 22.0833V17.9167L35.8335 16.25Z\" fill=\"\" stroke=\"#202124\"></path><path d=\"M4.16658 16.25H7.08325V25L4.16658 23.75L2.08325 22.0833V17.9167L4.16658 16.25Z\" fill=\"0\"></path><path d=\"M34.928 14.237H34.4583C33.7594 6.87461 27.5423 1.0957 20 1.0957C12.4577 1.0957 6.24062 6.87461 5.54172 14.237H5.07203C2.27531 14.237 0 16.5123 0 19.309V20.6923C0 23.489 2.27531 25.7643 5.07203 25.7643H8.24203V15.6202C8.24203 9.13687 13.5166 3.86234 19.9999 3.86234C26.4833 3.86234 31.7578 9.13687 31.7578 15.6202V25.3144L25.894 32.8537H24.4594C23.8684 30.9527 22.0928 29.5684 20 29.5684C17.4257 29.5684 15.3314 31.6627 15.3314 34.2369C15.3314 36.8112 17.4257 38.9055 20 38.9055C22.0928 38.9055 23.8684 37.5212 24.4594 35.6202H27.2472L34.9129 25.7643H34.928C37.7248 25.7643 40.0001 23.489 40.0001 20.6923V19.309C40 16.5123 37.7247 14.237 34.928 14.237ZM5.47547 22.9977H5.07203C3.80078 22.9977 2.76656 21.9635 2.76656 20.6923V19.309C2.76656 18.0377 3.80078 17.0035 5.07203 17.0035H5.47547V22.9977ZM20 36.139C18.9512 36.139 18.098 35.2858 18.098 34.2369C18.098 33.1881 18.9512 32.3349 20 32.3349C21.0488 32.3349 21.902 33.1881 21.902 34.2369C21.902 35.2857 21.0488 36.139 20 36.139ZM37.2334 20.6923C37.2334 21.9635 36.1992 22.9977 34.928 22.9977H34.5245V17.0035H34.928C36.1992 17.0035 37.2334 18.0377 37.2334 19.309V20.6923Z\" fill=\"#202124\"></path></g><defs><clipPath id=\"clip0_63_3052\"><rect width=\"40\" height=\"40\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18519", "628", "_elementor_css", "a:6:{s:4:\"time\";i:1716803969;s:5:\"fonts\";a:1:{i:0;s:24:\"iranyekanwebmedium_FaNum\";}s:5:\"icons\";a:1:{i:0;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_sa_postmeta` VALUES("18520", "619", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 40 40\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\">  <g>    <g fill=\"\" fill-rule=\"evenodd\" clip-rule=\"evenodd\">      <path d=\"M20 6.25C14.273 6.25 9.583 11.024 9.583 17c0 4.79 2.672 8.997 5.506 12.094a33.596 33.596 0 0 0 4.91 4.385 33.604 33.604 0 0 0 4.911-4.385c2.835-3.097 5.507-7.305 5.507-12.094 0-5.977-4.69-10.75-10.417-10.75zM20 35c-.676 1.052-.676 1.051-.677 1.051l-.004-.003-.009-.005-.03-.02a20.412 20.412 0 0 1-.503-.345c-.336-.237-.81-.585-1.377-1.034a36.09 36.09 0 0 1-4.156-3.863c-3-3.278-6.16-8.07-6.16-13.781C7.083 9.71 12.825 3.75 20 3.75S32.917 9.71 32.917 17c0 5.71-3.162 10.503-6.162 13.781a36.082 36.082 0 0 1-4.156 3.863 31.601 31.601 0 0 1-1.77 1.306l-.109.073-.03.02-.01.005-.002.002s-.002.002-.678-1.05zm0 0 .676 1.052a1.251 1.251 0 0 1-1.353-.001z\" fill=\"\" data-original=\"#000000\" class=\"\"></path>      <path d=\"M20 13.75a3.25 3.25 0 1 0 0 6.5 3.25 3.25 0 0 0 0-6.5zM14.25 17a5.75 5.75 0 1 1 11.5 0 5.75 5.75 0 0 1-11.5 0z\" fill=\"\" data-original=\"#000000\" class=\"\"></path>    </g>  </g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18521", "620", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <g data-name=\"Layer 2\">      <path d=\"M19 20.5H5a4.004 4.004 0 0 1-4-4v-9a4.004 4.004 0 0 1 4-4h14a4.004 4.004 0 0 1 4 4v9a4.004 4.004 0 0 1-4 4zM5 5.5a2.002 2.002 0 0 0-2 2v9a2.002 2.002 0 0 0 2 2h14a2.002 2.002 0 0 0 2-2v-9a2.002 2.002 0 0 0-2-2z\" fill=\"\" data-original=\"#000000\"></path>      <path d=\"M12 13.434a4.993 4.993 0 0 1-3.07-1.055L2.386 7.29A1 1 0 0 1 3.614 5.71l6.544 5.09a2.995 2.995 0 0 0 3.684 0l6.544-5.09a1 1 0 0 1 1.228 1.58l-6.544 5.09A4.996 4.996 0 0 1 12 13.433z\" fill=\"\" data-original=\"#000000\"></path>    </g>  </g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18522", "621", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 473.806 473.806\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M374.456 293.506c-9.7-10.1-21.4-15.5-33.8-15.5-12.3 0-24.1 5.3-34.2 15.4l-31.6 31.5c-2.6-1.4-5.2-2.7-7.7-4-3.6-1.8-7-3.5-9.9-5.3-29.6-18.8-56.5-43.3-82.3-75-12.5-15.8-20.9-29.1-27-42.6 8.2-7.5 15.8-15.3 23.2-22.8 2.8-2.8 5.6-5.7 8.4-8.5 21-21 21-48.2 0-69.2l-27.3-27.3c-3.1-3.1-6.3-6.3-9.3-9.5-6-6.2-12.3-12.6-18.8-18.6-9.7-9.6-21.3-14.7-33.5-14.7s-24 5.1-34 14.7l-.2.2-34 34.3c-12.8 12.8-20.1 28.4-21.7 46.5-2.4 29.2 6.2 56.4 12.8 74.2 16.2 43.7 40.4 84.2 76.5 127.6 43.8 52.3 96.5 93.6 156.7 122.7 23 10.9 53.7 23.8 88 26 2.1.1 4.3.2 6.3.2 23.1 0 42.5-8.3 57.7-24.8.1-.2.3-.3.4-.5 5.2-6.3 11.2-12 17.5-18.1 4.3-4.1 8.7-8.4 13-12.9 9.9-10.3 15.1-22.3 15.1-34.6 0-12.4-5.3-24.3-15.4-34.3l-54.9-55.1zm35.8 105.3c-.1 0-.1.1 0 0-3.9 4.2-7.9 8-12.2 12.2-6.5 6.2-13.1 12.7-19.3 20-10.1 10.8-22 15.9-37.6 15.9-1.5 0-3.1 0-4.6-.1-29.7-1.9-57.3-13.5-78-23.4-56.6-27.4-106.3-66.3-147.6-115.6-34.1-41.1-56.9-79.1-72-119.9-9.3-24.9-12.7-44.3-11.2-62.6 1-11.7 5.5-21.4 13.8-29.7l34.1-34.1c4.9-4.6 10.1-7.1 15.2-7.1 6.3 0 11.4 3.8 14.6 7l.3.3c6.1 5.7 11.9 11.6 18 17.9 3.1 3.2 6.3 6.4 9.5 9.7l27.3 27.3c10.6 10.6 10.6 20.4 0 31-2.9 2.9-5.7 5.8-8.6 8.6-8.4 8.6-16.4 16.6-25.1 24.4-.2.2-.4.3-.5.5-8.6 8.6-7 17-5.2 22.7l.3.9c7.1 17.2 17.1 33.4 32.3 52.7l.1.1c27.6 34 56.7 60.5 88.8 80.8 4.1 2.6 8.3 4.7 12.3 6.7 3.6 1.8 7 3.5 9.9 5.3.4.2.8.5 1.2.7 3.4 1.7 6.6 2.5 9.9 2.5 8.3 0 13.5-5.2 15.2-6.9l34.2-34.2c3.4-3.4 8.8-7.5 15.1-7.5 6.2 0 11.3 3.9 14.4 7.3l.2.2 55.1 55.1c10.3 10.2 10.3 20.7.1 31.3zM256.056 112.706c26.2 4.4 50 16.8 69 35.8s31.3 42.8 35.8 69c1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.4-1.2 12.3-8.2 11.1-15.6-5.4-31.7-20.4-60.6-43.3-83.5s-51.8-37.9-83.5-43.3c-7.4-1.2-14.3 3.7-15.6 11s3.5 14.4 10.9 15.6zM473.256 209.006c-8.9-52.2-33.5-99.7-71.3-137.5s-85.3-62.4-137.5-71.3c-7.3-1.3-14.2 3.7-15.5 11-1.2 7.4 3.7 14.3 11.1 15.6 46.6 7.9 89.1 30 122.9 63.7 33.8 33.8 55.8 76.3 63.7 122.9 1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.3-1.1 12.3-8.1 11-15.4z\" fill=\"\" data-original=\"#000000\"></path>  </g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18523", "622", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path fill=\"\" fill-rule=\"evenodd\" d=\"M2 32C2 15.431 15.431 2 32 2s30 13.431 30 30v21a9 9 0 1 1-18 0V43a9 9 0 0 1 14-7.484V32C58 17.64 46.36 6 32 6S6 17.64 6 32v3.515A9 9 0 0 1 20 43v10.001a9 9 0 1 1-18 0zm56 11a5 5 0 0 0-10 0v10a5 5 0 0 0 10 0zM6 43a5 5 0 0 1 10 0v10a5 5 0 0 1-10 0z\" clip-rule=\"evenodd\" data-original=\"\"></path>  </g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18524", "623", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\">  <g>    <path d=\"m347.216 301.211-71.387-53.54V138.609c0-10.966-8.864-19.83-19.83-19.83-10.966 0-19.83 8.864-19.83 19.83v118.978c0 6.246 2.935 12.136 7.932 15.864l79.318 59.489a19.713 19.713 0 0 0 11.878 3.966c6.048 0 11.997-2.717 15.884-7.952 6.585-8.746 4.8-21.179-3.965-27.743z\" fill=\"\" data-original=\"#000000\" class=\"\"></path>    <path d=\"M256 0C114.833 0 0 114.833 0 256s114.833 256 256 256 256-114.833 256-256S397.167 0 256 0zm0 472.341c-119.275 0-216.341-97.066-216.341-216.341S136.725 39.659 256 39.659c119.295 0 216.341 97.066 216.341 216.341S375.275 472.341 256 472.341z\" fill=\"\" data-original=\"#000000\" class=\"\"></path>  </g></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18525", "624", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"22\" viewBox=\"0 0 22 22\" fill=\"none\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.1639 10.9999C20.1639 16.0625 16.0598 20.1666 10.9972 20.1666C5.93462 20.1666 1.83057 16.0625 1.83057 10.9999C1.83057 5.93731 5.93462 1.83325 10.9972 1.83325C16.0598 1.83325 20.1639 5.93731 20.1639 10.9999ZM11.3257 8.60049C10.4341 8.97134 8.65219 9.73889 5.97992 10.9032C5.54598 11.0757 5.31867 11.2445 5.29798 11.4096C5.263 11.6886 5.61235 11.7984 6.08807 11.948C6.15278 11.9684 6.21983 11.9894 6.28856 12.0118C6.7566 12.1639 7.38619 12.3419 7.71349 12.349C8.01037 12.3554 8.34174 12.233 8.70757 11.9818C11.2044 10.2964 12.4932 9.4445 12.5741 9.42613C12.6312 9.41318 12.7103 9.39689 12.7639 9.44453C12.8175 9.49217 12.8122 9.58239 12.8066 9.60659C12.772 9.75413 11.4006 11.029 10.691 11.6888C10.4698 11.8945 10.3128 12.0404 10.2808 12.0737C10.2089 12.1483 10.1357 12.2189 10.0653 12.2868C9.63045 12.7059 9.30438 13.0203 10.0833 13.5336C10.4576 13.7803 10.7572 13.9842 11.056 14.1877C11.3824 14.41 11.7079 14.6317 12.129 14.9077C12.2363 14.9781 12.3388 15.0511 12.4386 15.1223C12.8184 15.393 13.1596 15.6363 13.5811 15.5975C13.8261 15.575 14.0791 15.3446 14.2076 14.6577C14.5113 13.0343 15.1082 9.5168 15.2461 8.06733C15.2582 7.94034 15.243 7.77781 15.2308 7.70647C15.2186 7.63512 15.1931 7.53347 15.1004 7.45822C14.9905 7.36911 14.821 7.35031 14.7451 7.35159C14.4004 7.35772 13.8714 7.54165 11.3257 8.60049Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18526", "625", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"none\"><path d=\"M22 5.9246C21.2645 6.25051 20.4744 6.47071 19.6438 6.57025C20.4911 6.06289 21.1412 5.25782 21.4477 4.29948C20.655 4.76984 19.7768 5.1116 18.8422 5.29481C18.0935 4.49855 17.0277 4 15.8474 4C13.582 4 11.7446 5.8374 11.7446 8.10464C11.7446 8.42526 11.7816 8.73707 11.8503 9.03832C8.43883 8.86656 5.41672 7.23263 3.39258 4.75046C3.04025 5.35823 2.83766 6.06289 2.83766 6.81335C2.83766 8.23677 3.56258 9.4937 4.66273 10.2292C3.98978 10.2072 3.35735 10.0231 2.80419 9.71567V9.76852C2.80419 11.7565 4.21792 13.4151 6.09583 13.7921C5.75055 13.8855 5.38853 13.9348 5.01506 13.9348C4.75081 13.9348 4.49273 13.9102 4.24258 13.8626C4.76491 15.4921 6.27993 16.6795 8.07593 16.7112C6.67101 17.8122 4.90144 18.4684 2.97948 18.4684C2.64829 18.4684 2.3215 18.449 2 18.4112C3.81626 19.5765 5.97252 20.2547 8.28909 20.2547C15.8378 20.2547 19.9644 14.0026 19.9644 8.58029C19.9644 8.40412 19.96 8.2262 19.9521 8.05003C20.7536 7.47045 21.4495 6.74905 21.9982 5.92724L22 5.9246Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18527", "626", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"22\" viewBox=\"0 0 22 22\" fill=\"none\"><path d=\"M2.80656 6.64084C2.84943 5.70401 2.99612 5.09981 3.19449 4.58693L3.19716 4.57985C3.39374 4.05796 3.70169 3.58517 4.09958 3.1944L4.10516 3.18892L4.11065 3.18333C4.50174 2.78494 4.97469 2.47729 5.49613 2.28123L5.50512 2.27779C6.01682 2.07879 6.61985 1.93265 7.55746 1.88979M2.80656 6.64084C2.76149 7.6418 2.75 7.95208 2.75 10.5473C2.75 13.1432 2.76085 13.4528 2.80653 14.4539M2.80656 6.64084L2.80656 6.89333M3.19798 16.5153C3.39404 17.0367 3.70168 17.5097 4.10008 17.9008L4.10566 17.9062L4.11113 17.9118C4.50192 18.3097 4.97472 18.6176 5.49662 18.8142L5.50441 18.8172C6.01658 19.0158 6.61989 19.162 7.55746 19.2049M3.19798 16.5153L3.19454 16.5063C2.99554 15.9946 2.8494 15.3916 2.80653 14.4539M3.19798 16.5153L3.18622 16.4534M2.80653 14.4539L2.82189 14.5348M2.80653 14.4539L2.80653 14.2008M3.18622 16.4534L2.82189 14.5348M3.18622 16.4534C3.03148 16.0446 2.87215 15.4742 2.82189 14.5348M3.18622 16.4534C3.19165 16.4677 3.19707 16.4819 3.20248 16.4958C3.39872 17.0248 3.70964 17.5038 4.11292 17.8984C4.50736 18.3016 4.98618 18.6125 5.51502 18.8087C5.93943 18.974 6.53744 19.1468 7.55731 19.1935C8.58654 19.2404 8.90452 19.2499 11.4641 19.2499C14.0236 19.2499 14.3419 19.2403 15.3711 19.1935C16.3922 19.1467 16.9896 18.973 17.4125 18.809C17.9416 18.6128 18.4207 18.3018 18.8153 17.8984C19.2184 17.504 19.5293 17.0252 19.7255 16.4964C19.8908 16.072 20.0635 15.4739 20.1103 14.4541C20.1571 13.4249 20.1667 13.1062 20.1667 10.5473C20.1667 7.98841 20.1571 7.66952 20.1103 6.6403C20.0632 5.61383 19.8879 5.01563 19.7231 4.59234C19.5077 4.03621 19.2345 3.61559 18.8146 3.19567C18.3955 2.77741 17.976 2.50406 17.4195 2.28842C16.9947 2.12234 16.3961 1.94812 15.3711 1.90114C15.282 1.89709 15.1982 1.89331 15.1178 1.8898M2.82189 14.5348C2.82047 14.5083 2.81913 14.4815 2.81789 14.4544C2.81383 14.3651 2.81005 14.2813 2.80653 14.2008M7.55746 1.88979C8.55865 1.84411 8.86882 1.83325 11.4641 1.83325C14.0593 1.83325 14.3693 1.84473 15.3703 1.8898M7.55746 1.88979L7.81059 1.88979M15.3703 1.8898L15.1178 1.8898M15.3703 1.8898C16.3073 1.93265 16.9116 2.07932 17.4245 2.27771L17.4316 2.28041C17.9534 2.47699 18.4262 2.78494 18.817 3.18283L18.8224 3.18836L18.828 3.19379C19.2259 3.58459 19.5338 4.0575 19.7302 4.57954L19.7336 4.58838C19.9326 5.10008 20.0788 5.7031 20.1216 6.64071M7.81059 1.88979L15.1178 1.8898M7.81059 1.88979C8.65838 1.85272 9.12696 1.84474 11.4641 1.84474C13.8014 1.84474 14.2699 1.85272 15.1178 1.8898M7.81059 1.88979C7.73013 1.8933 7.64626 1.89708 7.55704 1.90114C6.5359 1.94794 5.93859 2.12167 5.51569 2.2857C4.98456 2.48259 4.50387 2.79517 4.10846 3.20079C3.69245 3.61851 3.42015 4.03712 3.2052 4.59186C3.03911 5.01666 2.86485 5.61555 2.81788 6.64057C2.81383 6.72949 2.81006 6.81311 2.80656 6.89333M20.1216 14.4539C20.0788 15.3915 19.9326 15.9948 19.734 16.507L19.731 16.5148C19.5344 17.0367 19.2265 17.5095 18.8286 17.9003L18.823 17.9057L18.8175 17.9113C18.4264 18.3097 17.9535 18.6174 17.432 18.8134L17.423 18.8169C16.9113 19.0159 16.3083 19.162 15.3707 19.2049M2.80653 14.2008C2.76946 13.353 2.76148 12.8844 2.76148 10.5473C2.76148 8.2095 2.76946 7.74157 2.80656 6.89333M2.80653 14.2008L2.80656 6.89333M9.91422 14.289C10.4056 14.4926 10.9322 14.5973 11.4641 14.5973C12.5382 14.5973 13.5683 14.1706 14.3278 13.4111C15.0874 12.6516 15.5141 11.6214 15.5141 10.5473C15.5141 9.47321 15.0874 8.44308 14.3278 7.68356C13.5683 6.92404 12.5382 6.49735 11.4641 6.49735C10.9322 6.49735 10.4056 6.6021 9.91422 6.80563C9.42285 7.00916 8.97639 7.30748 8.60031 7.68356C8.22424 8.05963 7.92592 8.5061 7.72239 8.99747C7.51886 9.48883 7.4141 10.0155 7.4141 10.5473C7.4141 11.0792 7.51886 11.6058 7.72239 12.0972C7.92592 12.5886 8.22424 13.035 8.60031 13.4111C8.97639 13.7872 9.42285 14.0855 9.91422 14.289ZM8.59129 7.67454C9.3532 6.91262 10.3866 6.48459 11.4641 6.48459C12.5416 6.48459 13.575 6.91262 14.3369 7.67454C15.0988 8.43645 15.5268 9.46982 15.5268 10.5473C15.5268 11.6248 15.0988 12.6582 14.3369 13.4201C13.575 14.182 12.5416 14.6101 11.4641 14.6101C10.3866 14.6101 9.3532 14.182 8.59129 13.4201C7.82938 12.6582 7.40134 11.6248 7.40134 10.5473C7.40134 9.46982 7.82938 8.43645 8.59129 7.67454ZM17.8145 5.53869C17.8145 5.84709 17.692 6.14286 17.4739 6.36094C17.2559 6.57901 16.9601 6.70152 16.6517 6.70152C16.3433 6.70152 16.0475 6.57901 15.8294 6.36094C15.6114 6.14286 15.4889 5.84709 15.4889 5.53869C15.4889 5.23028 15.6114 4.93451 15.8294 4.71644C16.0475 4.49837 16.3433 4.37585 16.6517 4.37585C16.9601 4.37585 17.2559 4.49837 17.4739 4.71644C17.692 4.93451 17.8145 5.23028 17.8145 5.53869Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18528", "627", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"22\" viewBox=\"0 0 22 22\" fill=\"none\"><path d=\"M20.1668 11.0001C20.1668 5.9375 16.0628 1.83345 11.0002 1.83345C5.93755 1.83345 1.8335 5.9375 1.8335 11.0001C1.8335 15.5755 5.18561 19.3677 9.56787 20.0554V13.6499H7.2404V11.0001H9.56787V8.98058C9.56787 6.68319 10.9364 5.41418 13.0303 5.41418C14.0332 5.41418 15.0822 5.59321 15.0822 5.59321V7.84907H13.9263C12.7876 7.84907 12.4325 8.55567 12.4325 9.28059V11.0001H14.9748L14.5684 13.6499H12.4325V20.0554C16.8147 19.3677 20.1668 15.5755 20.1668 11.0001Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>");
INSERT INTO `wp_sa_postmeta` VALUES("18529", "1127", "_edit_lock", "1716803970:1");

/* INSERT TABLE DATA: wp_sa_posts */
INSERT INTO `wp_sa_posts` VALUES("2", "1", "2023-07-02 13:34:39", "2023-07-02 10:04:39", "<!-- wp:paragraph -->\n<p>این یک برگهٔ نمونه است. این از یک نوشتهٔ وبلاگ متفاوت است زیرا در یک مکان باقی خواهد ماند و در راهبری سایتتان (در بیشتر پوسته‌ها) نشان داده خواهد شد. بیشتر مردم با یک برگه درباره که آن‌ها را به بازدیدکنندگان بالقوهٔ سایت معرفی می‌کند، آغاز می‌کنند. که ممکن است چیزی همانند این باشد:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>سلام! من یک پیام‌رسان دوچرخه‌سوار در روز، بازیگر مشتاق در شب هستم، و این وب‌سایت من است. من در لس آنجلس زندگی می‌کنم، یک سگ بزرگ به نام جک دارم، و من پینیا کولادا دوست دارم. (همچنین گرفتار شدن در باران را دوست دارم.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...یا چیزهایی مانند این:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>شرکت XYZ در سال ۱۹۷۱ تأسیس شد، و تا کنون چیزهای با کیفیتی را به عموم عرضه کرده است. این شرکت در شهر گاتهام واقع شده است، بیش از ۲۰۰۰ نفر در آن کار می‌کنند و همه نوع چیز عالی برای جامعه گاتهام انجام می‌دهد.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>به عنوان یک کاربر جدید وردپرس، برای حذف این برگه و ایجاد برگه‌های جدید برای محتوای خود شما باید به <a href=\"https://halochin.ir/multivendor/wp-admin/\">پیشخوان</a> بروید. خوش بگذره!</p>\n<!-- /wp:paragraph -->", "برگه نمونه", "", "publish", "closed", "open", "", "برگه-نمونه", "", "", "2023-07-02 13:34:39", "2023-07-02 10:04:39", "", "0", "https://halochin.ir/multivendor/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("3", "1", "2023-07-02 13:34:39", "2023-07-02 10:04:39", "<!-- wp:heading --><h2>ما که هستیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>نشانی وب‌سایت ما: https://halochin.ir/multivendor.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>دیدگاه‌ها</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>هنگامی که بازدیدکنندگان نظرات خود را در سایت می‌نویسند، ما اطلاعاتی را که در فرم نظرات و همچنین بازدید کننده‌ها ارائه می‌شود جمع آوری می‌کنیم &#8217;s آدرس IP و رجیستر عامل کاربر مرورگر برای کمک به تشخیص هرزنامه.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>یک رشته ناشناس ایجاد شده از آدرس ایمیل شما (همچنین هش نامیده می‌شود) ممکن است به سرویس Gravatar ارائه شود تا ببینید آیا از آن استفاده می‌کنید. سیاست حفظ حریم خصوصی خدمات Gravatar در اینجا در دسترس است: https://automattic.com/privacy/. پس از تأیید نظر شما، تصویر نمایه شما در متن نظر شما قابل مشاهده است.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>رسانه</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر تصاویر را به وبسایت آپلود کنید، نباید آپلود تصاویر با داده‌های مکان جغرافیایی (EXIF GPS) شامل شود. بازدیدکنندگان وب سایت می‌توانند هر گونه اطلاعات مکان را از تصاویر در وب سایت دانلود و استخراج کنند.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>کوکی‌ها</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر شما نظر خود را در سایت ما ثبت کنید، ممکن است برای ذخیره نام، آدرس ایمیل و وب سایت خود در کوکی‌ها تصمیم گیری کنید. اینها برای راحتی شما هستند، به طوری که شما مجبور نیستید دوباره جزئیات خود را پر کنید زمانی که نظر دیگری را ارسال کنید. این کوکی‌ها یک سال طول خواهد کشید.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>اگر از برگه ورود ما بازدید نمایید، ما یک کوکی موقت برای مشخص نمودن اینکه آیا مروگر شما کوکی قبول می‌کند را تنظیم می‌کنیم. این کوکی محتوای اطلاعات شخصی شما نیست و وقتی مرورگر شما بسته می‌شود از بین می‌رود.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>هنگام ورود به سیستم، ما همچنین کوکی‌ها را تنظیم خواهیم کرد تا اطلاعات ورود به سیستم و گزینه‌های صفحه نمایش خود را ذخیره کنید. کوکی‌های ورود به سیستم برای دو روز گذشته و کوکی‌های گزینه‌های صفحه نمایش برای یک سال گذشته است. اگر &quot; مرا به خاطر بسپار &quot; را انتخاب کنید، ورود شما برای دو هفته ادامه خواهد داشت. اگر از حساب خود خارج شوید، کوکی‌های ورود حذف خواهند شد.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>اگر یک مقاله را ویرایش یا منتشر کنید، یک کوکی اضافی در مرورگر شما ذخیره خواهد شد. این کوکی حاوی اطلاعات شخصی نیست و به سادگی نشان می‌دهد که شناسه پست مقاله شما فقط ویرایش شده است. بعد از یک روز منقضی می‌شود.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>محتوای جاسازی‌شده از دیگر وب‌سایت‌ها</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>مقالات موجود در این سایت ممکن است شامل محتوای تعبیه شده (مثلا ویدئوها، تصاویر، مقالات و غیره) باشد. مطالب جاسازی شده از وب سایت‌های دیگر رفتار دقیقا همان طوری که بازدید کننده از وب سایت دیگر بازدید کرده است.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>این وبسایت‌ها ممکن است اطلاعاتی مربوط به شما را جمع‌آوری کنند، از کوکی‌ها استفاده کنند، ردیابی سوم شخص اضافه را جاسازی کنند و تعامل شما را با محتوای تعبیه شده نظارت کنند که شامل ردیابی تعامل شما با محتوای جاسازی شده است اگر حساب کاربری داشته و به آن وبسایت وارد شده باشید.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>اطلاعات شما را با چه کسی به اشتراک می‌گذاریم</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر شما یک تنظیم دوباره رمز عبور را درخواست دادید، نشانی IP شما در ایمیل تنظیم دوباره وجود خواهد داشت.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>چه مدت ما اطلاعات شما را حفظ می‌کنیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر یک نظر را ارسال کنید، نظر و متادیتای آن به طور نامحدود حفظ می‌شوند. این به این معنا است که ما می‌توانیم نظرات بعدی را بطور خودکار بجای اینکه در صف بازدید قرار دهیم، تشخیص داده و تایید کنیم.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>برای کاربرانی که در وب سایت ما ثبت نام می‌کنند (اگر وجود داشته باشند)، ما همچنین اطلاعات شخصی را که در مشخصات کاربر آنها ارائه می‌کنیم، ذخیره می‌کنیم. همه کاربران می‌توانند اطلاعات شخصی خود را در هر زمان (به جز آنها که نمی‌توانند نام کاربری خود را تغییر دهند) ببینند، ویرایش و یا حذف کنند. مدیران وب سایت همچنین می‌توانند این اطلاعات را مشاهده و ویرایش کنند.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>حقوقی که بر روی داده‌هایتان دارید</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر در این سایت حساب کاربری دارید یا نظری ارسال کرده‌اید، می‌توانید درخواست دریافت یک فایل خروجی از اطلاعات شخصی که ما در مورد شما نگه می‌داریم، از جمله هرگونه داده‌ای که برای ما ارائه کرده‌اید را بدهید. همچنین می‌توانید درخواست کنید که ما هرگونه اطلاعات شخصی که در مورد شما داریم را پاک کنیم. این شامل اطلاعاتی نیست که ما مجبور به نگهداری آنها برای اهداف اداری، قانونی یا امنیتی باشیم.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>داده‌هایتان کجا فرستاده شد</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>دیدگاه‌های بازدیدکننده ممکن است از طریق یک سرویس تشخیص جفنگ خودکار بررسی شوند.</p><!-- /wp:paragraph -->", "سیاست حفظ حریم خصوصی", "", "draft", "closed", "open", "", "سیاست-حفظ-حریم-خصوصی", "", "", "2023-07-02 13:34:39", "2023-07-02 10:04:39", "", "0", "https://halochin.ir/multivendor/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("6", "1", "2023-07-02 13:43:02", "2023-07-02 10:13:02", "", "Kit پیش‌ فرض", "", "publish", "closed", "closed", "", "kit-%d9%be%db%8c%d8%b4-%d9%81%d8%b1%d8%b6", "", "", "2024-01-08 04:58:51", "2024-01-08 05:58:51", "", "0", "https://halochin.ir/multivendor/?p=6", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("13", "1", "2023-07-02 13:57:48", "2023-07-02 10:27:48", "", "woocommerce-placeholder", "", "inherit", "open", "closed", "", "woocommerce-placeholder", "", "", "2023-07-02 13:57:48", "2023-07-02 10:27:48", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/woocommerce-placeholder.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("14", "1", "2023-07-02 13:57:49", "2023-07-02 10:27:49", "", "فروشگاه", "", "publish", "closed", "closed", "", "shop", "", "", "2023-07-02 13:57:49", "2023-07-02 10:27:49", "", "0", "https://halochin.ir/multivendor/shop/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("15", "1", "2023-07-02 13:57:49", "2023-07-02 10:27:49", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-woocommerce-rtl.min.css\">		\n						<!--open container-->\n							<!--open column-1-->\n<form action=\"https://halochin.ir/multivendor/cart/\" method=\"post\">\n						<!--open shop table div -->\n	<table cellspacing=\"0\">\n		<thead>\n			<tr>\n				<th>حذف آیتم</th>\n				<th>تصویر بند انگشتی </th>\n				<th>محصول</th>\n				<th>قیمت</th>\n				<th>تعداد</th>\n				<th>جمع جزء</th>\n			</tr>\n		</thead>\n		<tbody>\n								<tr>\n						<td>\n							<a href=\"https://halochin.ir/multivendor/cart/?remove_item=65ded5353c5ee48d0b7d48c591b8f430&#038;_wpnonce=e61caff428\" aria-label=\"حذف صندلی گیمینگ داوینکس از سبد خرید\" data-product_id=\"132\" data-product_sku=\"\">&times;</a>						</td>\n						<td>\n						<a href=\"https://halochin.ir/multivendor/product/davinx-gaming-chair/\"><img width=\"300\" height=\"300\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min-300x300.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min-300x300.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min-150x150.png 150w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min-600x600.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min-100x100.png 100w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min.png 660w\" sizes=\"(max-width: 300px) 100vw, 300px\" /></a>						</td>\n						<td data-title=\"محصول\">\n						<a href=\"https://halochin.ir/multivendor/product/davinx-gaming-chair/\">صندلی گیمینگ داوینکس</a>						</td>\n						<td data-title=\"قیمت\">\n							<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;12.300.000</bdi>						</td>\n						<td data-title=\"تعداد\">\n		<label for=\"quantity_64a4fb4463b05\">صندلی گیمینگ داوینکس عدد</label>\n	<input\n		type=\"number\"\n				id=\"quantity_64a4fb4463b05\"\n		class=\"input-text qty text\"\n		name=\"cart[65ded5353c5ee48d0b7d48c591b8f430][qty]\"\n		value=\"1\"\n		aria-label=\"تعداد محصول\"\n		size=\"4\"\n		min=\"0\"\n		max=\"\"\n					step=\"1\"\n			placeholder=\"\"\n			inputmode=\"numeric\"\n			autocomplete=\"off\"\n			/>\n						</td>\n						<td data-title=\"جمع جزء\">\n							<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;12.300.000</bdi>						</td>\n					</tr>\n										<tr>\n						<td>\n							<a href=\"https://halochin.ir/multivendor/cart/?remove_item=9b8619251a19057cff70779273e95aa6&#038;_wpnonce=e61caff428\" aria-label=\"حذف ماشین لباسشویی پاکشوما از سبد خرید\" data-product_id=\"130\" data-product_sku=\"\">&times;</a>						</td>\n						<td>\n						<a href=\"https://halochin.ir/multivendor/product/pakshoma-washing-machine/\"><img width=\"300\" height=\"300\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min-300x300.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min-300x300.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min-150x150.png 150w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min-600x600.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min-100x100.png 100w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min.png 660w\" sizes=\"(max-width: 300px) 100vw, 300px\" /></a>						</td>\n						<td data-title=\"محصول\">\n						<a href=\"https://halochin.ir/multivendor/product/pakshoma-washing-machine/\">ماشین لباسشویی پاکشوما</a>						</td>\n						<td data-title=\"قیمت\">\n							<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;32.000.000</bdi>						</td>\n						<td data-title=\"تعداد\">\n		<label for=\"quantity_64a4fb446405f\">ماشین لباسشویی پاکشوما عدد</label>\n	<input\n		type=\"number\"\n				id=\"quantity_64a4fb446405f\"\n		class=\"input-text qty text\"\n		name=\"cart[9b8619251a19057cff70779273e95aa6][qty]\"\n		value=\"1\"\n		aria-label=\"تعداد محصول\"\n		size=\"4\"\n		min=\"0\"\n		max=\"\"\n					step=\"1\"\n			placeholder=\"\"\n			inputmode=\"numeric\"\n			autocomplete=\"off\"\n			/>\n						</td>\n						<td data-title=\"جمع جزء\">\n							<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;32.000.000</bdi>						</td>\n					</tr>\n			<tr>\n				<td colspan=\"6\">\n					<button type=\"submit\" name=\"update_cart\" value=\"\"></button>\n					<input type=\"hidden\" id=\"woocommerce-cart-nonce\" name=\"woocommerce-cart-nonce\" value=\"e61caff428\" /><input type=\"hidden\" name=\"_wp_http_referer\" value=\"/multivendor/wp-admin/admin-ajax.php\" />				</td>\n			</tr>\n					</tbody>\n	</table>\n					<!--close shop table div -->\n					<input type=\"text\" name=\"coupon_code\" id=\"coupon_code\" value=\"\" placeholder=\"کد تخفیف\" />\n					<button name=\"apply_coupon\" type=\"submit\" value=\"اعمال کد تخفیف\">اعمال کد تخفیف</button>\n		</form>\n						<!--close column-1-->\n							<!--open column-2-->\n									<!--open column-inner-->\n										<!--open cart-totals-->\n	<h2>جمع کل سبد خرید</h2>\n	<table cellspacing=\"0\">\n		<tr>\n			<th>جمع جزء</th>\n			<td data-title=\"جمع جزء\"><bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;44.300.000</bdi></td>\n		</tr>\n			<tr>\n	<th>حمل و نقل</th>\n	<td data-title=\"حمل و نقل\">\n					<ul id=\"shipping_method\">\n									<li>\n						<input type=\"hidden\" name=\"shipping_method[0]\" data-index=\"0\" id=\"shipping_method_0_free_shipping1\" value=\"free_shipping:1\" /><label for=\"shipping_method_0_free_shipping1\">حمل و نقل رایگان</label>					</li>\n							</ul>\n							<p>\n					حمل و نقل به <strong>یزد</strong>. 				</p>\n<form action=\"https://halochin.ir/multivendor/cart/\" method=\"post\">\n	<a href=\"#\">تغییر آدرس</a>\n	<section style=\"display:none;\">\n					<p id=\"calc_shipping_country_field\">\n				<label for=\"calc_shipping_country\">کشور / منطقه:</label>\n				<select name=\"calc_shipping_country\" id=\"calc_shipping_country\" rel=\"calc_shipping_state\">\n					<option value=\"default\">کشور/منطقه را انتخاب کنید&hellip;</option>\n					<option value=\"AZ\">آذربایجان</option><option value=\"AR\">آرژانتین</option><option value=\"AW\">آروبا</option><option value=\"ZA\">آفریقای جنوبی</option><option value=\"AL\">آلبانی</option><option value=\"DE\">آلمان</option><option value=\"US\">آمریکا</option><option value=\"AG\">آنتیگوا و باربودا</option><option value=\"AD\">آندورا</option><option value=\"AO\">آنگولا</option><option value=\"AI\">آنگویلا</option><option value=\"AT\">اتریش</option><option value=\"ET\">اتیوپی</option><option value=\"JO\">اردن</option><option value=\"AM\">ارمنستان</option><option value=\"ER\">اریتره</option><option value=\"UZ\">ازبکستان</option><option value=\"ES\">اسپانیا</option><option value=\"AU\">استرالیا</option><option value=\"EE\">استونی</option><option value=\"IL\">اسرائیل</option><option value=\"SK\">اسلواکی</option><option value=\"SI\">اسلوونی</option><option value=\"AF\">افغانستان</option><option value=\"EC\">اکوادور</option><option value=\"DZ\">الجزایر</option><option value=\"SV\">السالوادور</option><option value=\"AE\">امارات متحده عربی</option><option value=\"ID\">اندونزی</option><option value=\"GB\">انگلستان</option><option value=\"UY\">اوروگوئه</option><option value=\"UA\">اوکراین</option><option value=\"UG\">اوگاندا</option><option value=\"IT\">ایتالیا</option><option value=\"IR\" selected=\'selected\'>ایران</option><option value=\"IE\">ایرلند</option><option value=\"IS\">ایسلند</option><option value=\"BB\">باربادوس</option><option value=\"BS\">باهاما</option><option value=\"BH\">بحرین</option><option value=\"BR\">برزیل</option><option value=\"BM\">برمودا</option><option value=\"BN\">برونئی</option><option value=\"BY\">بلاروس</option><option value=\"BE\">بلژیک</option><option value=\"BG\">بلغارستان</option><option value=\"BZ\">بلیز</option><option value=\"BD\">بنگلادش</option><option value=\"BJ\">بنین</option><option value=\"BT\">بوتان</option><option value=\"BW\">بوتسوانا</option><option value=\"BF\">بورکینافاسو</option><option value=\"BI\">بوروندی</option><option value=\"BA\">بوسنی و هرزگوین</option><option value=\"BO\">بولیوی</option><option value=\"PG\">پاپوآ گینه نو</option><option value=\"PY\">پاراگوئه</option><option value=\"PK\">پاکستان</option><option value=\"PW\">پالائو</option><option value=\"PA\">پاناما</option><option value=\"PT\">پرتغال</option><option value=\"PE\">پرو </option><option value=\"PF\">پلی‌نزی فرانسه</option><option value=\"PR\">پورتوریکو</option><option value=\"TJ\">تاجیکستان</option><option value=\"TZ\">تانزانیا</option><option value=\"TH\">تایلند</option><option value=\"TW\">تایوان</option><option value=\"TM\">ترکمنستان</option><option value=\"TR\">ترکیه</option><option value=\"TT\">ترینیداد و توباگو</option><option value=\"TK\">توکلائو</option><option value=\"TG\">توگو</option><option value=\"TN\">تونس</option><option value=\"TO\">تونگا</option><option value=\"TV\">تووالو</option><option value=\"TL\">تیمور شرقی</option><option value=\"JM\">جامائیکا</option><option value=\"GI\">جبل طارق</option><option value=\"JE\">جرزی</option><option value=\"PN\">جزایر پیت‌کرن</option><option value=\"TC\">جزایر تورکس و کایکوس</option><option value=\"GS\">جزایر ساندویچ/جورجیای جنوبی</option><option value=\"SB\">جزایر سلیمان</option><option value=\"FO\">جزایر فارو</option><option value=\"FK\">جزایر فالکلند</option><option value=\"UM\">جزایر کوچک حاشیه‌ای ایالات متحده آمریکا</option><option value=\"CK\">جزایر کوک</option><option value=\"CC\">جزایر کوکوس (کیلینگ)</option><option value=\"KY\">جزایر کیمن</option><option value=\"MH\">جزایر مارشال</option><option value=\"MP\">جزایر ماریانای شمالی</option><option value=\"VI\">جزایر ویرجین (ایالات متحده)</option><option value=\"VG\">جزایر ویرجین (بریتانیایی)</option><option value=\"BV\">جزیره بووه</option><option value=\"CX\">جزیره کریسمس</option><option value=\"IM\">جزیره من</option><option value=\"NF\">جزیره نورفک</option><option value=\"HM\">جزیره هرد و جزایر مک‌دونالد</option><option value=\"CF\">جمهوری آفریقای مرکزی</option><option value=\"CZ\">جمهوری چک</option><option value=\"DO\">جمهوری دومینیکن</option><option value=\"DJ\">جیبوتی</option><option value=\"TD\">چاد</option><option value=\"CN\">چین</option><option value=\"DK\">دانمارک</option><option value=\"DM\">دومینیکا</option><option value=\"RE\">رئونیون</option><option value=\"RW\">رواندا</option><option value=\"RU\">روسیه</option><option value=\"RO\">رومانی</option><option value=\"ZM\">زامبیا</option><option value=\"ZW\">زیمبابوه</option><option value=\"JP\">ژاپن</option><option value=\"ST\">سائوتومه و پرنسیپ</option><option value=\"CI\">ساحل عاج</option><option value=\"WS\">ساموآ</option><option value=\"AS\">ساموآی آمریکا</option><option value=\"SM\">سان مارینو</option><option value=\"TF\">سرزمین‌های جنوبی فرانسه</option><option value=\"LK\">سری‌لانکا</option><option value=\"BL\">سن بارتلمی</option><option value=\"MF\">سن مارتن (قسمت فرانسوی)</option><option value=\"SX\">سن مارتن (قسمت هلندی)</option><option value=\"PM\">سن-پیر-ا-میکلون</option><option value=\"KN\">سنت کیتس و نویس</option><option value=\"LC\">سنت لوسیا</option><option value=\"VC\">سنت وینسنت و گرنادین‌ها</option><option value=\"SH\">سنت هلن</option><option value=\"SG\">سنگاپور</option><option value=\"SN\">سنگال</option><option value=\"SJ\">سوالبارد و یان ماین</option><option value=\"SE\">سوئد</option><option value=\"CH\">سوئیس</option><option value=\"SD\">سودان</option><option value=\"SS\">سودان جنوبی</option><option value=\"SR\">سورینام</option><option value=\"SY\">سوریه</option><option value=\"SO\">سومالی</option><option value=\"BQ\">سیبا و سینت یوستیشس، بونیر</option><option value=\"SL\">سیرالئون</option><option value=\"SC\">سیشل</option><option value=\"CL\">شیلی</option><option value=\"EH\">صحرای غربی</option><option value=\"RS\">صربستان</option><option value=\"IQ\">عراق</option><option value=\"SA\">عربستان سعودی</option><option value=\"OM\">عمان</option><option value=\"GH\">غنا</option><option value=\"FR\">فرانسه</option><option value=\"PS\">فلسطین اشغالی</option><option value=\"FI\">فنلاند</option><option value=\"FJ\">فیجی</option><option value=\"PH\">فیلیپین</option><option value=\"CY\">قبرس</option><option value=\"KG\">قرقیزستان</option><option value=\"KZ\">قزاقستان</option><option value=\"AQ\">قطب جنوب</option><option value=\"QA\">قطر</option><option value=\"IO\">قلمرو بریتانیا در اقیانوس هند</option><option value=\"CR\">کاستاریکا</option><option value=\"NC\">کالدونیای جدید</option><option value=\"KH\">کامبوج</option><option value=\"CM\">کامرون</option><option value=\"CA\">کانادا</option><option value=\"HR\">کرواسی</option><option value=\"KR\">کره جنوبی</option><option value=\"KP\">کره شمالی</option><option value=\"CO\">کلمبیا</option><option value=\"CG\">کنگو (برازاویل)</option><option value=\"CD\">کنگو (کینشاسا)</option><option value=\"KE\">کنیا</option><option value=\"CU\">کوبا</option><option value=\"CW\">کوراسائو</option><option value=\"KM\">کومور</option><option value=\"KW\">کویت</option><option value=\"CV\">کیپ ورد</option><option value=\"KI\">کیریباتی</option><option value=\"GA\">گابن</option><option value=\"GM\">گامبیا</option><option value=\"GE\">گرجستان</option><option value=\"GD\">گرنادا</option><option value=\"GG\">گرنزی</option><option value=\"GL\">گرینلند</option><option value=\"GU\">گوآم</option><option value=\"GT\">گواتمالا</option><option value=\"GP\">گوادلوپ</option><option value=\"GY\">گویان</option><option value=\"GF\">گویان فرانسه</option><option value=\"GN\">گینه</option><option value=\"GQ\">گینه استوایی</option><option value=\"GW\">گینه بیسائو</option><option value=\"LA\">لائوس</option><option value=\"LB\">لبنان</option><option value=\"LV\">لتونی</option><option value=\"LS\">لسوتو</option><option value=\"LU\">لوکزامبورگ</option><option value=\"PL\">لهستان</option><option value=\"LR\">لیبریا</option><option value=\"LY\">لیبی</option><option value=\"LT\">لیتوانی</option><option value=\"LI\">لیختن‌اشتاین</option><option value=\"MG\">ماداگاسکار</option><option value=\"MQ\">مارتینیک</option><option value=\"MO\">ماکائو</option><option value=\"MW\">مالاوی</option><option value=\"MT\">مالت</option><option value=\"MV\">مالدیو</option><option value=\"MY\">مالزی</option><option value=\"ML\">مالی</option><option value=\"YT\">مایوت</option><option value=\"HU\">مجارستان</option><option value=\"MA\">مراکش</option><option value=\"EG\">مصر</option><option value=\"MN\">مغولستان</option><option value=\"MK\">مقدونیه شمالی</option><option value=\"MX\">مکزیک</option><option value=\"MR\">موریتانی</option><option value=\"MU\">موریس</option><option value=\"MZ\">موزامبیک</option><option value=\"MD\">مولداوی</option><option value=\"MC\">موناکو</option><option value=\"MS\">مونتسرات</option><option value=\"ME\">مونته‌نگرو</option><option value=\"MM\">میانمار</option><option value=\"FM\">میکرونزی</option><option value=\"NR\">نائورو</option><option value=\"NA\">نامیبیا</option><option value=\"NP\">نپال</option><option value=\"NO\">نروژ</option><option value=\"NE\">نیجر</option><option value=\"NG\">نیجریه</option><option value=\"NI\">نیکاراگوئه</option><option value=\"NZ\">نیوزیلند</option><option value=\"NU\">نیووی</option><option value=\"VA\">واتیکان</option><option value=\"WF\">والیس و فوتونا</option><option value=\"VU\">وانواتو</option><option value=\"VE\">ونزوئلا</option><option value=\"VN\">ویتنام</option><option value=\"HT\">هائیتی</option><option value=\"NL\">هلند</option><option value=\"IN\">هند</option><option value=\"HN\">هندوراس</option><option value=\"HK\">هنگ کنگ</option><option value=\"YE\">یمن</option><option value=\"GR\">یونان</option><option value=\"AX\">Åland Islands</option><option value=\"SZ\">Eswatini</option>				</select>\n			</p>\n					<p id=\"calc_shipping_state_field\">\n						<label for=\"calc_shipping_state\">استان / شهرستان</label>\n						<select name=\"calc_shipping_state\" id=\"calc_shipping_state\" data-placeholder=\"استان\">\n							<option value=\"\">یک گزینه انتخاب نمائید&hellip;</option>\n							<option value=\"KHZ\" >خوزستان</option><option value=\"THR\" >تهران</option><option value=\"ILM\" >ایلام</option><option value=\"BHR\" >بوشهر</option><option value=\"ADL\" >اردبیل</option><option value=\"ESF\" >اصفهان</option><option value=\"YZD\"  selected=\'selected\'>یزد</option><option value=\"KRH\" >کرمانشاه</option><option value=\"KRN\" >کرمان</option><option value=\"HDN\" >همدان</option><option value=\"GZN\" >قزوین</option><option value=\"ZJN\" >زنجان</option><option value=\"LRS\" >لرستان</option><option value=\"ABZ\" >البرز</option><option value=\"EAZ\" >آذربایجان شرقی</option><option value=\"WAZ\" >آذربایجان غربی</option><option value=\"CHB\" >چهارمحال و بختیاری</option><option value=\"SKH\" >خراسان جنوبی</option><option value=\"RKH\" >خراسان رضوی</option><option value=\"NKH\" >خراسان شمالی</option><option value=\"SMN\" >سمنان</option><option value=\"FRS\" >فارس</option><option value=\"QHM\" >قم</option><option value=\"KRD\" >کردستان</option><option value=\"KBD\" >کهگیلویه و بویراحمد</option><option value=\"GLS\" >گلستان</option><option value=\"GIL\" >گیلان</option><option value=\"MZN\" >مازندران</option><option value=\"MKZ\" >مرکزی</option><option value=\"HRZ\" >هرمزگان</option><option value=\"SBN\" >سیستان و بلوچستان</option>						</select>\n								</p>\n					<p id=\"calc_shipping_city_field\">\n				<label for=\"calc_shipping_city\">شهر:</label>\n				<input type=\"text\" value=\"\" placeholder=\"شهر\" name=\"calc_shipping_city\" id=\"calc_shipping_city\" />\n			</p>\n					<p id=\"calc_shipping_postcode_field\">\n				<label for=\"calc_shipping_postcode\">کد پستی:</label>\n				<input type=\"text\" value=\"\" placeholder=\"کدپستی (بدون فاصله و با اعداد انگلیسی)\" name=\"calc_shipping_postcode\" id=\"calc_shipping_postcode\" />\n			</p>\n		<p><button type=\"submit\" name=\"calc_shipping\" value=\"1\">بروز رسانی</button></p>\n		<input type=\"hidden\" id=\"woocommerce-shipping-calculator-nonce\" name=\"woocommerce-shipping-calculator-nonce\" value=\"8b6293ec1f\" /><input type=\"hidden\" name=\"_wp_http_referer\" value=\"/multivendor/wp-admin/admin-ajax.php\" />	</section>\n</form>\n			</td>\n</tr>\n		<tr>\n			<th>مجموع</th>\n			<td data-title=\"مجموع\"><strong><bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;44.300.000</bdi></strong> </td>\n		</tr>\n	</table>\n<a href=\"https://halochin.ir/multivendor/checkout/\">\n	ادامه جهت تسویه حساب</a>\n									<!--close cart-totals-->\n									<!--close column-inner-->\n							<!--close column-2-->\n						<!--close container-->", "سبد خرید", "", "publish", "closed", "closed", "", "cart", "", "", "2023-07-05 08:40:28", "2023-07-05 05:10:28", "", "0", "https://halochin.ir/multivendor/cart/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("16", "1", "2023-07-02 13:57:49", "2023-07-02 10:27:49", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-woocommerce-rtl.min.css\">\n<form name=\"checkout\" method=\"post\" action=\"https://halochin.ir/multivendor/checkout/\" enctype=\"multipart/form-data\">\n			<!--open container-->\n				<!--open column-1-->\n		<h3>جزئیات صورتحساب</h3>\n		<p id=\"billing_first_name_field\" data-priority=\"10\"><label for=\"billing_first_name\">نام&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"text\" name=\"billing_first_name\" id=\"billing_first_name\" placeholder=\"نام\"  value=\"تست\" autocomplete=\"given-name\" /></p><p id=\"billing_last_name_field\" data-priority=\"20\"><label for=\"billing_last_name\">نام خانوادگی&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"text\" name=\"billing_last_name\" id=\"billing_last_name\" placeholder=\"نام خانوادگی\"  value=\"تستی\" autocomplete=\"family-name\" /></p><p id=\"billing_company_field\" data-priority=\"30\"><label for=\"billing_company\">نام شرکت&nbsp;(اختیاری)</label><input type=\"text\" name=\"billing_company\" id=\"billing_company\" placeholder=\"\"  value=\"\" autocomplete=\"organization\" /></p><p id=\"billing_country_field\" data-priority=\"40\"><label for=\"billing_country\">کشور / منطقه&nbsp;<abbr title=\"ضروری\">*</abbr></label><select name=\"billing_country\" id=\"billing_country\" autocomplete=\"country\" data-placeholder=\"کشور/منطقه را انتخاب کنید&hellip;\" data-label=\"کشور / منطقه\"><option value=\"\">کشور/منطقه را انتخاب کنید&hellip;</option><option value=\"AZ\" >آذربایجان</option><option value=\"AR\" >آرژانتین</option><option value=\"AW\" >آروبا</option><option value=\"ZA\" >آفریقای جنوبی</option><option value=\"AL\" >آلبانی</option><option value=\"DE\" >آلمان</option><option value=\"US\" >آمریکا</option><option value=\"AG\" >آنتیگوا و باربودا</option><option value=\"AD\" >آندورا</option><option value=\"AO\" >آنگولا</option><option value=\"AI\" >آنگویلا</option><option value=\"AT\" >اتریش</option><option value=\"ET\" >اتیوپی</option><option value=\"JO\" >اردن</option><option value=\"AM\" >ارمنستان</option><option value=\"ER\" >اریتره</option><option value=\"UZ\" >ازبکستان</option><option value=\"ES\" >اسپانیا</option><option value=\"AU\" >استرالیا</option><option value=\"EE\" >استونی</option><option value=\"IL\" >اسرائیل</option><option value=\"SK\" >اسلواکی</option><option value=\"SI\" >اسلوونی</option><option value=\"AF\" >افغانستان</option><option value=\"EC\" >اکوادور</option><option value=\"DZ\" >الجزایر</option><option value=\"SV\" >السالوادور</option><option value=\"AE\" >امارات متحده عربی</option><option value=\"ID\" >اندونزی</option><option value=\"GB\" >انگلستان</option><option value=\"UY\" >اوروگوئه</option><option value=\"UA\" >اوکراین</option><option value=\"UG\" >اوگاندا</option><option value=\"IT\" >ایتالیا</option><option value=\"IR\"  selected=\'selected\'>ایران</option><option value=\"IE\" >ایرلند</option><option value=\"IS\" >ایسلند</option><option value=\"BB\" >باربادوس</option><option value=\"BS\" >باهاما</option><option value=\"BH\" >بحرین</option><option value=\"BR\" >برزیل</option><option value=\"BM\" >برمودا</option><option value=\"BN\" >برونئی</option><option value=\"BY\" >بلاروس</option><option value=\"BE\" >بلژیک</option><option value=\"BG\" >بلغارستان</option><option value=\"BZ\" >بلیز</option><option value=\"BD\" >بنگلادش</option><option value=\"BJ\" >بنین</option><option value=\"BT\" >بوتان</option><option value=\"BW\" >بوتسوانا</option><option value=\"BF\" >بورکینافاسو</option><option value=\"BI\" >بوروندی</option><option value=\"BA\" >بوسنی و هرزگوین</option><option value=\"BO\" >بولیوی</option><option value=\"PG\" >پاپوآ گینه نو</option><option value=\"PY\" >پاراگوئه</option><option value=\"PK\" >پاکستان</option><option value=\"PW\" >پالائو</option><option value=\"PA\" >پاناما</option><option value=\"PT\" >پرتغال</option><option value=\"PE\" >پرو </option><option value=\"PF\" >پلی‌نزی فرانسه</option><option value=\"PR\" >پورتوریکو</option><option value=\"TJ\" >تاجیکستان</option><option value=\"TZ\" >تانزانیا</option><option value=\"TH\" >تایلند</option><option value=\"TW\" >تایوان</option><option value=\"TM\" >ترکمنستان</option><option value=\"TR\" >ترکیه</option><option value=\"TT\" >ترینیداد و توباگو</option><option value=\"TK\" >توکلائو</option><option value=\"TG\" >توگو</option><option value=\"TN\" >تونس</option><option value=\"TO\" >تونگا</option><option value=\"TV\" >تووالو</option><option value=\"TL\" >تیمور شرقی</option><option value=\"JM\" >جامائیکا</option><option value=\"GI\" >جبل طارق</option><option value=\"JE\" >جرزی</option><option value=\"PN\" >جزایر پیت‌کرن</option><option value=\"TC\" >جزایر تورکس و کایکوس</option><option value=\"GS\" >جزایر ساندویچ/جورجیای جنوبی</option><option value=\"SB\" >جزایر سلیمان</option><option value=\"FO\" >جزایر فارو</option><option value=\"FK\" >جزایر فالکلند</option><option value=\"UM\" >جزایر کوچک حاشیه‌ای ایالات متحده آمریکا</option><option value=\"CK\" >جزایر کوک</option><option value=\"CC\" >جزایر کوکوس (کیلینگ)</option><option value=\"KY\" >جزایر کیمن</option><option value=\"MH\" >جزایر مارشال</option><option value=\"MP\" >جزایر ماریانای شمالی</option><option value=\"VI\" >جزایر ویرجین (ایالات متحده)</option><option value=\"VG\" >جزایر ویرجین (بریتانیایی)</option><option value=\"BV\" >جزیره بووه</option><option value=\"CX\" >جزیره کریسمس</option><option value=\"IM\" >جزیره من</option><option value=\"NF\" >جزیره نورفک</option><option value=\"HM\" >جزیره هرد و جزایر مک‌دونالد</option><option value=\"CF\" >جمهوری آفریقای مرکزی</option><option value=\"CZ\" >جمهوری چک</option><option value=\"DO\" >جمهوری دومینیکن</option><option value=\"DJ\" >جیبوتی</option><option value=\"TD\" >چاد</option><option value=\"CN\" >چین</option><option value=\"DK\" >دانمارک</option><option value=\"DM\" >دومینیکا</option><option value=\"RE\" >رئونیون</option><option value=\"RW\" >رواندا</option><option value=\"RU\" >روسیه</option><option value=\"RO\" >رومانی</option><option value=\"ZM\" >زامبیا</option><option value=\"ZW\" >زیمبابوه</option><option value=\"JP\" >ژاپن</option><option value=\"ST\" >سائوتومه و پرنسیپ</option><option value=\"CI\" >ساحل عاج</option><option value=\"WS\" >ساموآ</option><option value=\"AS\" >ساموآی آمریکا</option><option value=\"SM\" >سان مارینو</option><option value=\"TF\" >سرزمین‌های جنوبی فرانسه</option><option value=\"LK\" >سری‌لانکا</option><option value=\"BL\" >سن بارتلمی</option><option value=\"MF\" >سن مارتن (قسمت فرانسوی)</option><option value=\"SX\" >سن مارتن (قسمت هلندی)</option><option value=\"PM\" >سن-پیر-ا-میکلون</option><option value=\"KN\" >سنت کیتس و نویس</option><option value=\"LC\" >سنت لوسیا</option><option value=\"VC\" >سنت وینسنت و گرنادین‌ها</option><option value=\"SH\" >سنت هلن</option><option value=\"SG\" >سنگاپور</option><option value=\"SN\" >سنگال</option><option value=\"SJ\" >سوالبارد و یان ماین</option><option value=\"SE\" >سوئد</option><option value=\"CH\" >سوئیس</option><option value=\"SD\" >سودان</option><option value=\"SS\" >سودان جنوبی</option><option value=\"SR\" >سورینام</option><option value=\"SY\" >سوریه</option><option value=\"SO\" >سومالی</option><option value=\"BQ\" >سیبا و سینت یوستیشس، بونیر</option><option value=\"SL\" >سیرالئون</option><option value=\"SC\" >سیشل</option><option value=\"CL\" >شیلی</option><option value=\"EH\" >صحرای غربی</option><option value=\"RS\" >صربستان</option><option value=\"IQ\" >عراق</option><option value=\"SA\" >عربستان سعودی</option><option value=\"OM\" >عمان</option><option value=\"GH\" >غنا</option><option value=\"FR\" >فرانسه</option><option value=\"PS\" >فلسطین اشغالی</option><option value=\"FI\" >فنلاند</option><option value=\"FJ\" >فیجی</option><option value=\"PH\" >فیلیپین</option><option value=\"CY\" >قبرس</option><option value=\"KG\" >قرقیزستان</option><option value=\"KZ\" >قزاقستان</option><option value=\"AQ\" >قطب جنوب</option><option value=\"QA\" >قطر</option><option value=\"IO\" >قلمرو بریتانیا در اقیانوس هند</option><option value=\"CR\" >کاستاریکا</option><option value=\"NC\" >کالدونیای جدید</option><option value=\"KH\" >کامبوج</option><option value=\"CM\" >کامرون</option><option value=\"CA\" >کانادا</option><option value=\"HR\" >کرواسی</option><option value=\"KR\" >کره جنوبی</option><option value=\"KP\" >کره شمالی</option><option value=\"CO\" >کلمبیا</option><option value=\"CG\" >کنگو (برازاویل)</option><option value=\"CD\" >کنگو (کینشاسا)</option><option value=\"KE\" >کنیا</option><option value=\"CU\" >کوبا</option><option value=\"CW\" >کوراسائو</option><option value=\"KM\" >کومور</option><option value=\"KW\" >کویت</option><option value=\"CV\" >کیپ ورد</option><option value=\"KI\" >کیریباتی</option><option value=\"GA\" >گابن</option><option value=\"GM\" >گامبیا</option><option value=\"GE\" >گرجستان</option><option value=\"GD\" >گرنادا</option><option value=\"GG\" >گرنزی</option><option value=\"GL\" >گرینلند</option><option value=\"GU\" >گوآم</option><option value=\"GT\" >گواتمالا</option><option value=\"GP\" >گوادلوپ</option><option value=\"GY\" >گویان</option><option value=\"GF\" >گویان فرانسه</option><option value=\"GN\" >گینه</option><option value=\"GQ\" >گینه استوایی</option><option value=\"GW\" >گینه بیسائو</option><option value=\"LA\" >لائوس</option><option value=\"LB\" >لبنان</option><option value=\"LV\" >لتونی</option><option value=\"LS\" >لسوتو</option><option value=\"LU\" >لوکزامبورگ</option><option value=\"PL\" >لهستان</option><option value=\"LR\" >لیبریا</option><option value=\"LY\" >لیبی</option><option value=\"LT\" >لیتوانی</option><option value=\"LI\" >لیختن‌اشتاین</option><option value=\"MG\" >ماداگاسکار</option><option value=\"MQ\" >مارتینیک</option><option value=\"MO\" >ماکائو</option><option value=\"MW\" >مالاوی</option><option value=\"MT\" >مالت</option><option value=\"MV\" >مالدیو</option><option value=\"MY\" >مالزی</option><option value=\"ML\" >مالی</option><option value=\"YT\" >مایوت</option><option value=\"HU\" >مجارستان</option><option value=\"MA\" >مراکش</option><option value=\"EG\" >مصر</option><option value=\"MN\" >مغولستان</option><option value=\"MK\" >مقدونیه شمالی</option><option value=\"MX\" >مکزیک</option><option value=\"MR\" >موریتانی</option><option value=\"MU\" >موریس</option><option value=\"MZ\" >موزامبیک</option><option value=\"MD\" >مولداوی</option><option value=\"MC\" >موناکو</option><option value=\"MS\" >مونتسرات</option><option value=\"ME\" >مونته‌نگرو</option><option value=\"MM\" >میانمار</option><option value=\"FM\" >میکرونزی</option><option value=\"NR\" >نائورو</option><option value=\"NA\" >نامیبیا</option><option value=\"NP\" >نپال</option><option value=\"NO\" >نروژ</option><option value=\"NE\" >نیجر</option><option value=\"NG\" >نیجریه</option><option value=\"NI\" >نیکاراگوئه</option><option value=\"NZ\" >نیوزیلند</option><option value=\"NU\" >نیووی</option><option value=\"VA\" >واتیکان</option><option value=\"WF\" >والیس و فوتونا</option><option value=\"VU\" >وانواتو</option><option value=\"VE\" >ونزوئلا</option><option value=\"VN\" >ویتنام</option><option value=\"HT\" >هائیتی</option><option value=\"NL\" >هلند</option><option value=\"IN\" >هند</option><option value=\"HN\" >هندوراس</option><option value=\"HK\" >هنگ کنگ</option><option value=\"YE\" >یمن</option><option value=\"GR\" >یونان</option><option value=\"AX\" >Åland Islands</option><option value=\"SZ\" >Eswatini</option></select><noscript><button type=\"submit\" name=\"woocommerce_checkout_update_totals\" value=\"به‌روزرسانی کشور/منطقه\">به‌روزرسانی کشور/منطقه</button></noscript></p><p id=\"billing_state_field\" data-priority=\"50\"><label for=\"billing_state\">استان&nbsp;<abbr title=\"ضروری\">*</abbr></label><select name=\"billing_state\" id=\"billing_state\" autocomplete=\"address-level1\" data-placeholder=\"یک گزینه انتخاب نمائید&hellip;\"  data-input-classes=\"\" data-label=\"استان\">\n						<option value=\"\">یک گزینه انتخاب نمائید&hellip;</option><option value=\"KHZ\" >خوزستان</option><option value=\"THR\" >تهران</option><option value=\"ILM\" >ایلام</option><option value=\"BHR\" >بوشهر</option><option value=\"ADL\" >اردبیل</option><option value=\"ESF\" >اصفهان</option><option value=\"YZD\"  selected=\'selected\'>یزد</option><option value=\"KRH\" >کرمانشاه</option><option value=\"KRN\" >کرمان</option><option value=\"HDN\" >همدان</option><option value=\"GZN\" >قزوین</option><option value=\"ZJN\" >زنجان</option><option value=\"LRS\" >لرستان</option><option value=\"ABZ\" >البرز</option><option value=\"EAZ\" >آذربایجان شرقی</option><option value=\"WAZ\" >آذربایجان غربی</option><option value=\"CHB\" >چهارمحال و بختیاری</option><option value=\"SKH\" >خراسان جنوبی</option><option value=\"RKH\" >خراسان رضوی</option><option value=\"NKH\" >خراسان شمالی</option><option value=\"SMN\" >سمنان</option><option value=\"FRS\" >فارس</option><option value=\"QHM\" >قم</option><option value=\"KRD\" >کردستان</option><option value=\"KBD\" >کهگیلویه و بویراحمد</option><option value=\"GLS\" >گلستان</option><option value=\"GIL\" >گیلان</option><option value=\"MZN\" >مازندران</option><option value=\"MKZ\" >مرکزی</option><option value=\"HRZ\" >هرمزگان</option><option value=\"SBN\" >سیستان و بلوچستان</option></select></p><p id=\"billing_city_field\" data-priority=\"60\"><label for=\"billing_city\">شهر&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"text\" name=\"billing_city\" id=\"billing_city\" placeholder=\"\"  value=\"یزد\" autocomplete=\"address-level2\" /></p><p id=\"billing_address_1_field\" data-priority=\"70\"><label for=\"billing_address_1\">آدرس خیابان&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"text\" name=\"billing_address_1\" id=\"billing_address_1\" placeholder=\"نام خیابان و پلاک خانه\"  value=\"مهربانان\" autocomplete=\"address-line1\" /></p><p id=\"billing_address_2_field\" data-priority=\"80\"><label for=\"billing_address_2\">آپارتمان، مجتمع، واحد و...&nbsp;(اختیاری)</label><input type=\"text\" name=\"billing_address_2\" id=\"billing_address_2\" placeholder=\"آپارتمان، مجتمع، واحد و... (اختیاری)\"  value=\"\" autocomplete=\"address-line2\" /></p><p id=\"billing_postcode_field\" data-priority=\"90\"><label for=\"billing_postcode\">کدپستی (بدون فاصله و با اعداد انگلیسی)&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"text\" name=\"billing_postcode\" id=\"billing_postcode\" placeholder=\"\"  value=\"1111111\" autocomplete=\"postal-code\" /></p><p id=\"billing_phone_field\" data-priority=\"100\"><label for=\"billing_phone\">تلفن&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"tel\" name=\"billing_phone\" id=\"billing_phone\" placeholder=\"شماره تلفن\"  value=\"3165454512\" autocomplete=\"tel\" /></p><p id=\"billing_email_field\" data-priority=\"110\"><label for=\"billing_email\">آدرس ایمیل&nbsp;<abbr title=\"ضروری\">*</abbr></label><input type=\"email\" name=\"billing_email\" id=\"billing_email\" placeholder=\"آدرس ایمیل\"  value=\"designer@abzarwp.com\" autocomplete=\"email\" /></p>	\n			<h3></h3>\n							<p id=\"order_comments_field\" data-priority=\"\"><label for=\"order_comments\">توضیحات تکمیلی&nbsp;(اختیاری)</label><textarea name=\"order_comments\" id=\"order_comments\" placeholder=\"یادداشت ها درباره سفارش شما. برای مثال نکات مهم درباره تحویل سفارش\"  rows=\"2\" cols=\"5\"></textarea></p>					\n							<!--close column-1-->\n					<!--open column-2-->\n							<!--open column-inner-->\n								<!--open order_review-->\n	<h3 id=\"order_review_heading\">سفارش شما</h3>\n		<table>\n	<thead>\n		<tr>\n			<th>محصول</th>\n			<th>جمع جزء</th>\n		</tr>\n	</thead>\n	<tbody>\n			</tbody>\n	<tfoot>\n		<tr>\n			<th>جمع جزء</th>\n			<td><bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;0</bdi></td>\n		</tr>\n		<tr>\n			<th>مجموع</th>\n			<td><strong><bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;0</bdi></strong> </td>\n		</tr>\n	</tfoot>\n</table>\n									<!--close wc_order_review-->\n								<!--close order_review-->\n								<!--reopen wc_order_review-2-->\n		<noscript>\n			به دلیل اینکه مرورگر شما جاوا اسکریپت را پشتیبانی نمی کند ، یا غیر فعال است ، لطفا کلیک کنید روی <em>بروزرسانی جمع </em>  قبل از اینکه سفارش خود را ثبت کنید.در صورتیکه این کار را نکنید ممکن است مبلغ قابل پرداخت شما بیش از چیزی که در بالا مشخص شده است باشد			<br/><button type=\"submit\" name=\"woocommerce_checkout_update_totals\" value=\"به روز رسانی جمع کل\">به روز رسانی جمع کل</button>\n		</noscript>\n		<p>اطلاعات شخصی شما برای پردازش سفارش شما، پشتیبانی از تجربه شما در سراسر این وب سایت و برای اهدافی که در <a href=\"https://halochin.ir/multivendor/?page_id=3\" target=\"_blank\" rel=\"noopener\">سیاست حفظ حریم خصوصی</a> ذکر شده است استفاده می شود.</p>\n		<button type=\"submit\" name=\"woocommerce_checkout_place_order\" id=\"place_order\" value=\"ثبت سفارش\" data-value=\"ثبت سفارش\">ثبت سفارش</button>\n		<input type=\"hidden\" id=\"woocommerce-process-checkout-nonce\" name=\"woocommerce-process-checkout-nonce\" value=\"afa40a0a73\" /><input type=\"hidden\" name=\"_wp_http_referer\" value=\"/multivendor/wp-admin/admin-ajax.php\" />	\n											<!--close wc_order_review-2-->\n						<!--close column-inner-->\n					<!--close column-2-->\n				<!--close container-->\n</form>", "پرداخت", "", "publish", "closed", "closed", "", "checkout", "", "", "2023-07-11 05:38:25", "2023-07-11 05:38:25", "", "0", "https://halochin.ir/multivendor/checkout/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("17", "1", "2023-07-02 13:57:49", "2023-07-02 10:27:49", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-woocommerce-rtl.min.css\">			[[woocommerce_my_account]]\n<nav>\n	<ul>\n					<li>\n				<a href=\"https://halochin.ir/multivendor/my-account/\">پیشخوان</a>\n			</li>\n					<li>\n				<a href=\"https://halochin.ir/multivendor/my-account/orders/\">سفارش ها</a>\n			</li>\n					<li>\n				<a href=\"https://halochin.ir/multivendor/my-account/downloads/\">دانلودها</a>\n			</li>\n					<li>\n				<a href=\"https://halochin.ir/multivendor/my-account/edit-address/\">آدرس ها</a>\n			</li>\n					<li>\n				<a href=\"https://halochin.ir/multivendor/my-account/edit-account/\">جزئیات حساب</a>\n			</li>\n					<li>\n				<a href=\"https://halochin.ir/multivendor/my-account/customer-logout/?elementor_wc_logout=true&#038;elementor_my_account_redirect=https%3A%2F%2Fhalochin.ir%2Fmultivendor%2Fmy-account%2F&#038;_wpnonce=91aa5300bb\">خروج</a>\n			</li>\n			</ul>\n</nav>\n<p>\n	سلام <strong>designer2</strong> (<strong>designer2</strong> نیستید؟ <a href=\"https://halochin.ir/multivendor/my-account/customer-logout/?elementor_wc_logout=true&#038;elementor_my_account_redirect=https%3A%2F%2Fhalochin.ir%2Fmultivendor%2Fmy-account%2F&#038;_wpnonce=91aa5300bb\">خارج شوید</a>)</p>\n<p>\n	از طریق پیشخوان حساب کاربری‌تان، می‌توانید <a href=\"https://halochin.ir/multivendor/my-account/orders/\">سفارش‌های اخیرتان</a> را مشاهده، <a href=\"https://halochin.ir/multivendor/my-account/edit-address/\">آدرس‌های حمل و نقل و صورتحساب‌تان</a> را مدیریت و <a href=\"https://halochin.ir/multivendor/my-account/edit-account/\">جزییات حساب کاربری و کلمه عبور خود را ویرایش کنید</a>.</p>\n<p><a href=\"https://halochin.ir/multivendor/dashboard/\" >رفتن به داشبورد فروشنده</a></p>", "حساب کاربری من", "", "publish", "closed", "closed", "", "my-account", "", "", "2023-07-06 11:46:06", "2023-07-06 08:16:06", "", "0", "https://halochin.ir/multivendor/my-account/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("18", "1", "2023-07-02 13:57:49", "0000-00-00 00:00:00", "<!-- wp:paragraph -->\n<p><b>This is a sample page.</b></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h3>Overview</h3>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Our refund and returns policy lasts 30 days. If 30 days have passed since your purchase, we can’t offer you a full refund or exchange.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>To be eligible for a return, your item must be unused and in the same condition that you received it. It must also be in the original packaging.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Several types of goods are exempt from being returned. Perishable goods such as food, flowers, newspapers or magazines cannot be returned. We also do not accept products that are intimate or sanitary goods, hazardous materials, or flammable liquids or gases.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Additional non-returnable items:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul>\n<li>Gift cards</li>\n<li>Downloadable software products</li>\n<li>Some health and personal care items</li>\n</ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>To complete your return, we require a receipt or proof of purchase.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Please do not send your purchase back to the manufacturer.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>There are certain situations where only partial refunds are granted:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul>\n<li>Book with obvious signs of use</li>\n<li>CD, DVD, VHS tape, software, video game, cassette tape, or vinyl record that has been opened.</li>\n<li>Any item not in its original condition, is damaged or missing parts for reasons not due to our error.</li>\n<li>Any item that is returned more than 30 days after delivery</li>\n</ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<h2>Refunds</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Once your return is received and inspected, we will send you an email to notify you that we have received your returned item. We will also notify you of the approval or rejection of your refund.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you are approved, then your refund will be processed, and a credit will automatically be applied to your credit card or original method of payment, within a certain amount of days.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<b>Late or missing refunds</b>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you haven’t received a refund yet, first check your bank account again.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Then contact your credit card company, it may take some time before your refund is officially posted.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Next contact your bank. There is often some processing time before a refund is posted.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you’ve done all of this and you still have not received your refund yet, please contact us at {email address}.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<b>Sale items</b>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Only regular priced items may be refunded. Sale items cannot be refunded.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Exchanges</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>We only replace items if they are defective or damaged. If you need to exchange it for the same item, send us an email at {email address} and send your item to: {physical address}.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Gifts</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If the item was marked as a gift when purchased and shipped directly to you, you’ll receive a gift credit for the value of your return. Once the returned item is received, a gift certificate will be mailed to you.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If the item wasn’t marked as a gift when purchased, or the gift giver had the order shipped to themselves to give to you later, we will send a refund to the gift giver and they will find out about your return.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Shipping returns</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>To return your product, you should mail your product to: {physical address}.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>You will be responsible for paying for your own shipping costs for returning your item. Shipping costs are non-refundable. If you receive a refund, the cost of return shipping will be deducted from your refund.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Depending on where you live, the time it may take for your exchanged product to reach you may vary.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you are returning more expensive items, you may consider using a trackable shipping service or purchasing shipping insurance. We don’t guarantee that we will receive your returned item.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Need help?</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Contact us at {email} for questions related to refunds and returns.</p>\n<!-- /wp:paragraph -->", "سیاست مرجوعی و عودت", "", "draft", "closed", "closed", "", "refund_returns", "", "", "2023-07-02 13:57:49", "0000-00-00 00:00:00", "", "0", "https://halochin.ir/multivendor/?page_id=18", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("19", "1", "2023-07-02 13:59:47", "2023-07-02 10:29:47", "[mailpoet_page]", "MailPoet Page", "", "publish", "closed", "closed", "", "subscriptions", "", "", "2023-07-02 13:59:47", "2023-07-02 10:29:47", "", "0", "https://halochin.ir/multivendor/?p=19", "0", "mailpoet_page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("20", "1", "2023-07-02 14:17:43", "2023-07-02 10:47:43", "<a href=\"https://halochin.ir/multivendor/my-account/\">\n					</a>\n			<a href=\"https://halochin.ir/multivendor/my-account/\">\n						ورود/ثبت نام\n					</a>\n			<a href=\"https://halochin.ir/multivendor/wishlist/\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"20\" viewBox=\"0 0 22 20\" fill=\"none\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.87187 9.59832C0.798865 6.24832 2.05287 2.41932 5.56987 1.28632C7.41987 0.689322 9.46187 1.04132 10.9999 2.19832C12.4549 1.07332 14.5719 0.693322 16.4199 1.28632C19.9369 2.41932 21.1989 6.24832 20.1269 9.59832C18.4569 14.9083 10.9999 18.9983 10.9999 18.9983C10.9999 18.9983 3.59787 14.9703 1.87187 9.59832Z\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15 4.69995C16.07 5.04595 16.826 6.00095 16.917 7.12195\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>			\n					</a>\n			<a href=\"https://halochin.ir/multivendor/cart/\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"21\" viewBox=\"0 0 20 21\" fill=\"none\"><path d=\"M13.7729 8.30504V5.27304C13.7729 3.18904 12.0839 1.50004 10.0009 1.50004C7.91694 1.49104 6.21994 3.17204 6.21094 5.25604V5.27304V8.30504\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14.7422 20.0004H5.25778C2.90569 20.0004 1 18.0954 1 15.7454V10.2294C1 7.87937 2.90569 5.97437 5.25778 5.97437H14.7422C17.0943 5.97437 19 7.87937 19 10.2294V15.7454C19 18.0954 17.0943 20.0004 14.7422 20.0004Z\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>			\n					</a>\n			<nav><ul role=\"navigation\"><li id=\"jet-mega-menu-item-1564\"><a href=\"#\">دسته بندی کالاها</a>\n<ul >\n	<li id=\"jet-mega-menu-item-1565\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"20\" viewBox=\"0 0 20 20\" fill=\"none\"><path d=\"M8.33341 14.1251H5.17508C2.36675 14.1251 1.66675 13.4251 1.66675 10.6167V5.61673C1.66675 2.8084 2.36675 2.1084 5.17508 2.1084H13.9501C16.7584 2.1084 17.4584 2.8084 17.4584 5.61673\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M8.33325 17.8917V14.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M1.66675 10.7917H8.33341\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.6167 17.8916H8.33337\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M18.3333 10.6666V15.425C18.3333 17.4 17.8417 17.8916 15.8667 17.8916H12.9083C10.9333 17.8916 10.4417 17.4 10.4417 15.425V10.6666C10.4417 8.69162 10.9333 8.19995 12.9083 8.19995H15.8667C17.8417 8.19995 18.3333 8.69162 18.3333 10.6666Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.3703 15.2084H14.3778\" stroke=\"#595959\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>کالای دیجیتال</a><style>.elementor-1598 .elementor-element.elementor-element-7660539{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1598 .elementor-element.elementor-element-7660539:not(.elementor-motion-effects-element-type-background), .elementor-1598 .elementor-element.elementor-element-7660539 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1598 .elementor-element.elementor-element-7660539::before, .elementor-1598 .elementor-element.elementor-element-7660539 > .elementor-background-video-container::before, .elementor-1598 .elementor-element.elementor-element-7660539 > .e-con-inner > .elementor-background-video-container::before, .elementor-1598 .elementor-element.elementor-element-7660539 > .elementor-background-slideshow::before, .elementor-1598 .elementor-element.elementor-element-7660539 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1598 .elementor-element.elementor-element-7660539 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1598 .elementor-element.elementor-element-7660539, .elementor-1598 .elementor-element.elementor-element-7660539::before{--border-transition:0.3s;}.elementor-1598 .elementor-element.elementor-element-a2fd03c{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1598 .elementor-element.elementor-element-6719436 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-6719436 > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1598 .elementor-element.elementor-element-a1acccc .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-a1acccc > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-2f2a95d{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-53018fb .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-53018fb > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-ec75672{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-4e768fe{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1598 .elementor-element.elementor-element-73ffa7a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-73ffa7a > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-7d9f828{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-811f7b1 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-811f7b1 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-ed0fba2{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-f593273 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-f593273 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-4c8900a{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-6c099ba{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1598 .elementor-element.elementor-element-ade75f1 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-ade75f1 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-e81aa05{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-018afa8 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-018afa8 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1598 .elementor-element.elementor-element-bbdc16a{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1598 .elementor-element.elementor-element-a6a3263{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1598 .elementor-element.elementor-element-a2fd03c{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1598 .elementor-element.elementor-element-6719436 .elementor-heading-title{font-size:10px;}.elementor-1598 .elementor-element.elementor-element-a1acccc .elementor-heading-title{font-size:14px;}.elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-2f2a95d .elementor-icon-list-item > a{font-size:11px;}.elementor-1598 .elementor-element.elementor-element-53018fb .elementor-heading-title{font-size:14px;}.elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-ec75672 .elementor-icon-list-item > a{font-size:11px;}.elementor-1598 .elementor-element.elementor-element-4e768fe{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1598 .elementor-element.elementor-element-73ffa7a .elementor-heading-title{font-size:14px;}.elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-7d9f828 .elementor-icon-list-item > a{font-size:11px;}.elementor-1598 .elementor-element.elementor-element-811f7b1 .elementor-heading-title{font-size:14px;}.elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-ed0fba2 .elementor-icon-list-item > a{font-size:11px;}.elementor-1598 .elementor-element.elementor-element-f593273 .elementor-heading-title{font-size:14px;}.elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-4c8900a .elementor-icon-list-item > a{font-size:11px;}.elementor-1598 .elementor-element.elementor-element-6c099ba{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1598 .elementor-element.elementor-element-ade75f1 .elementor-heading-title{font-size:14px;}.elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-e81aa05 .elementor-icon-list-item > a{font-size:11px;}.elementor-1598 .elementor-element.elementor-element-018afa8 .elementor-heading-title{font-size:14px;line-height:1.5em;}.elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1598 .elementor-element.elementor-element-bbdc16a .elementor-icon-list-item > a{font-size:11px;}}@media(max-width:767px){.elementor-1598 .elementor-element.elementor-element-7660539{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1598 .elementor-element.elementor-element-a2fd03c{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1598 .elementor-element.elementor-element-4e768fe{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1598 .elementor-element.elementor-element-6c099ba{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/digital-product/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">کالای دیجیتال  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											اینورتر جوشکاری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پیچ گوشتی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دریل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دستگاه جوش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فرز و سنگ رومیزی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کارواش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کمپرسور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکنده و دمنده\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											موتور برق\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ابزار غیربرقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ابزار دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تجهیزات و ایمنی کار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نردبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم ساختمان  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پمپ آب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیرآلات و دوش حمام\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم باغبانی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سمپاش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره زنجیری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تبر، بیل و کلنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قیچی و چاقو باغبانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم آبیاری\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">موتور سیکلت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لوازم ایمنی موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم مصرفی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم جانبی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روکش فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											صوتی تصویری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قفل پدال و فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نظافت خودرو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم مصرفی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روغن ترمز\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن گیربکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ضد یخ و آب رادیاتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لاستیک و تایر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکمل سوخت\n											</a>\n									</li>\n						</ul>\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1566\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M4.34246 11.0175H13.6575C14.9025 11.0175 15.6525 10.035 15.33 8.835L13.68 2.7825C13.485 2.0775 12.7275 1.5 12.0075 1.5H5.99246C5.27246 1.5 4.51496 2.0775 4.32746 2.775L2.67746 8.8275C2.34746 10.035 3.09746 11.0175 4.34246 11.0175Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 11.25V16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6 16.5H12\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>خانه و آشپزخانه</a><style>.elementor-1576 .elementor-element.elementor-element-087f4df{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1576 .elementor-element.elementor-element-087f4df:not(.elementor-motion-effects-element-type-background), .elementor-1576 .elementor-element.elementor-element-087f4df > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1576 .elementor-element.elementor-element-087f4df::before, .elementor-1576 .elementor-element.elementor-element-087f4df > .elementor-background-video-container::before, .elementor-1576 .elementor-element.elementor-element-087f4df > .e-con-inner > .elementor-background-video-container::before, .elementor-1576 .elementor-element.elementor-element-087f4df > .elementor-background-slideshow::before, .elementor-1576 .elementor-element.elementor-element-087f4df > .e-con-inner > .elementor-background-slideshow::before, .elementor-1576 .elementor-element.elementor-element-087f4df > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1576 .elementor-element.elementor-element-087f4df, .elementor-1576 .elementor-element.elementor-element-087f4df::before{--border-transition:0.3s;}.elementor-1576 .elementor-element.elementor-element-f0ab501{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1576 .elementor-element.elementor-element-ff318e0 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-ff318e0 > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1576 .elementor-element.elementor-element-99ea2d2 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-99ea2d2 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1576 .elementor-element.elementor-element-2d96549{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-c33ebae .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-c33ebae > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-927954f .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-927954f > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1576 .elementor-element.elementor-element-1fdc1c9{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-d42376b .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-d42376b > .elementor-widget-container{margin:5px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-c3dafa1{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1576 .elementor-element.elementor-element-140dce0 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-140dce0 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1576 .elementor-element.elementor-element-a4e264e{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-72b3238 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-72b3238 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-0a0777b{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1576 .elementor-element.elementor-element-cfae156 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-cfae156 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1576 .elementor-element.elementor-element-c7a1680{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-37d6567 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-37d6567 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1576 .elementor-element.elementor-element-84e118e{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1576 .elementor-element.elementor-element-ed980eb{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1576 .elementor-element.elementor-element-f0ab501{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1576 .elementor-element.elementor-element-ff318e0 .elementor-heading-title{font-size:10px;}.elementor-1576 .elementor-element.elementor-element-99ea2d2 .elementor-heading-title{font-size:14px;}.elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-2d96549 .elementor-icon-list-item > a{font-size:11px;}.elementor-1576 .elementor-element.elementor-element-c33ebae .elementor-heading-title{font-size:14px;}.elementor-1576 .elementor-element.elementor-element-927954f .elementor-heading-title{font-size:14px;line-height:1.5em;}.elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-1fdc1c9 .elementor-icon-list-item > a{font-size:11px;}.elementor-1576 .elementor-element.elementor-element-d42376b .elementor-heading-title{font-size:14px;}.elementor-1576 .elementor-element.elementor-element-c3dafa1{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1576 .elementor-element.elementor-element-140dce0 .elementor-heading-title{font-size:14px;}.elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-a4e264e .elementor-icon-list-item > a{font-size:11px;}.elementor-1576 .elementor-element.elementor-element-72b3238 .elementor-heading-title{font-size:14px;}.elementor-1576 .elementor-element.elementor-element-0a0777b{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1576 .elementor-element.elementor-element-cfae156 .elementor-heading-title{font-size:14px;}.elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-c7a1680 .elementor-icon-list-item > a{font-size:11px;}.elementor-1576 .elementor-element.elementor-element-37d6567 .elementor-heading-title{font-size:14px;line-height:1.5em;}.elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1576 .elementor-element.elementor-element-84e118e .elementor-icon-list-item > a{font-size:11px;}}@media(max-width:767px){.elementor-1576 .elementor-element.elementor-element-087f4df{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1576 .elementor-element.elementor-element-f0ab501{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1576 .elementor-element.elementor-element-c3dafa1{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1576 .elementor-element.elementor-element-0a0777b{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/kitchen-home/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">تلویزیون  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ال جی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ایکس ویژن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											جی پلاس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سامسونگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سونی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیائومی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">سینمای خانگی و ساندبار  </a></p>		\n			<p><a href=\"#\">نور و روشنایی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لامپ و چراغ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوستر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ تزئینی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم حیوانات خانگی  </a></p>		\n			<p><a href=\"#\">لوازم خانگی برقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											یخچال و فریزر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین لباسشویی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین ظرفشویی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											جاروبرقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اتوبخار و پرسی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چرخ خیاطی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تلفن بی سیم و سانترال\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فن هیتر و بخاری برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آبگرمکن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ترازوی آشپزخانه\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											بخار شو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تصفیه آب و آبسردکن\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/home-kitchen/cleaning/\">شستشو و نظافت  </a></p>		\n			<p><a href=\"#\">سرو و پذیرایی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سرویس غذاخوری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پارچ، بطری و ماگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ظروف پذیرایی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قاشق، چنگال و کارد\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">خواب و حمام  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سرویس خواب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بالش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پتو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تشک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											حوله\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											رو بالشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کوسن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ملحفه\n											</a>\n									</li>\n						</ul>\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1567\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M10.9124 1.5H7.0874C5.7374 1.5 5.43741 2.17501 5.26491 3.00751L4.6499 5.94749H13.3499L12.7349 3.00751C12.5624 2.17501 12.2624 1.5 10.9124 1.5Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.4299 10.74C14.4899 11.3775 13.9799 11.925 13.3274 11.925H12.3074C11.7224 11.925 11.6399 11.6775 11.5349 11.3625L11.4224 11.0399C11.2724 10.5974 11.1749 10.2974 10.3874 10.2974H7.60492C6.82492 10.2974 6.70491 10.6349 6.56991 11.0399L6.45742 11.3625C6.35242 11.67 6.26992 11.925 5.68492 11.925H4.66492C4.01242 11.925 3.50242 11.3775 3.56242 10.74L3.86992 7.42497C3.94492 6.60747 4.10241 5.93994 5.52741 5.93994H12.4649C13.8899 5.93994 14.0474 6.60747 14.1224 7.42497L14.4299 10.74Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M4.65004 4.3125H4.10254\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M13.8974 4.3125H13.3499\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.7373 8.12256H7.36481\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M10.635 8.12256H12.2625\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 12.75V13.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 15.75V16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M2.25 13.5L1.5 16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.75 13.5L16.5 16.5\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>خودرو و ابزار صنعتی</a><style>.elementor-1579 .elementor-element.elementor-element-85e55d7{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1579 .elementor-element.elementor-element-85e55d7:not(.elementor-motion-effects-element-type-background), .elementor-1579 .elementor-element.elementor-element-85e55d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1579 .elementor-element.elementor-element-85e55d7::before, .elementor-1579 .elementor-element.elementor-element-85e55d7 > .elementor-background-video-container::before, .elementor-1579 .elementor-element.elementor-element-85e55d7 > .e-con-inner > .elementor-background-video-container::before, .elementor-1579 .elementor-element.elementor-element-85e55d7 > .elementor-background-slideshow::before, .elementor-1579 .elementor-element.elementor-element-85e55d7 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1579 .elementor-element.elementor-element-85e55d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1579 .elementor-element.elementor-element-85e55d7, .elementor-1579 .elementor-element.elementor-element-85e55d7::before{--border-transition:0.3s;}.elementor-1579 .elementor-element.elementor-element-b9aaaf4{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1579 .elementor-element.elementor-element-d46bdfd .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-d46bdfd > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1579 .elementor-element.elementor-element-eea8670 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-eea8670 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-4290d8f{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-9636507 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-9636507 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-9b56909{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-62d580d{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1579 .elementor-element.elementor-element-ee5ace2 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-ee5ace2 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-bb7bd66{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-a5f30be .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-a5f30be > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-447cecb{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-1c076df .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-1c076df > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-af9c59e{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-f4ea148{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1579 .elementor-element.elementor-element-7730165 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-7730165 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-4481478{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-b89d551 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-b89d551 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1579 .elementor-element.elementor-element-3e08b18{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1579 .elementor-element.elementor-element-8bd7c41{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1579 .elementor-element.elementor-element-b9aaaf4{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1579 .elementor-element.elementor-element-d46bdfd .elementor-heading-title{font-size:10px;}.elementor-1579 .elementor-element.elementor-element-eea8670 .elementor-heading-title{font-size:14px;}.elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-4290d8f .elementor-icon-list-item > a{font-size:11px;}.elementor-1579 .elementor-element.elementor-element-9636507 .elementor-heading-title{font-size:14px;}.elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-9b56909 .elementor-icon-list-item > a{font-size:11px;}.elementor-1579 .elementor-element.elementor-element-62d580d{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1579 .elementor-element.elementor-element-ee5ace2 .elementor-heading-title{font-size:14px;}.elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-bb7bd66 .elementor-icon-list-item > a{font-size:11px;}.elementor-1579 .elementor-element.elementor-element-a5f30be .elementor-heading-title{font-size:14px;}.elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-447cecb .elementor-icon-list-item > a{font-size:11px;}.elementor-1579 .elementor-element.elementor-element-1c076df .elementor-heading-title{font-size:14px;}.elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-af9c59e .elementor-icon-list-item > a{font-size:11px;}.elementor-1579 .elementor-element.elementor-element-f4ea148{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1579 .elementor-element.elementor-element-7730165 .elementor-heading-title{font-size:14px;}.elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-4481478 .elementor-icon-list-item > a{font-size:11px;}.elementor-1579 .elementor-element.elementor-element-b89d551 .elementor-heading-title{font-size:14px;line-height:1.5em;}.elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1579 .elementor-element.elementor-element-3e08b18 .elementor-icon-list-item > a{font-size:11px;}}@media(max-width:767px){.elementor-1579 .elementor-element.elementor-element-85e55d7{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1579 .elementor-element.elementor-element-b9aaaf4{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1579 .elementor-element.elementor-element-62d580d{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1579 .elementor-element.elementor-element-f4ea148{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/car-tools/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">ابزار برقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											اینورتر جوشکاری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پیچ گوشتی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دریل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دستگاه جوش\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											فرز و سنگ رومیزی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کارواش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کمپرسور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکنده و دمنده\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											موتور برق\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/\">ابزار غیربرقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/hand-tool/\">\n											ابزار دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/work-safety-equipment/\">\n											تجهیزات و ایمنی کار\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/ladder/\">\n											نردبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم ساختمان  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پمپ آب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیرآلات و دوش حمام\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم باغبانی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سمپاش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره زنجیری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تبر، بیل و کلنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قیچی و چاقو باغبانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم آبیاری\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">موتور سیکلت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لوازم ایمنی موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم مصرفی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم جانبی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روکش فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											صوتی تصویری\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											قفل پدال و فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نظافت خودرو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم مصرفی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روغن ترمز\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن گیربکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ضد یخ و آب رادیاتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لاستیک و تایر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکمل سوخت\n											</a>\n									</li>\n						</ul>\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1568\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M16.5 12.555V3.50252C16.5 2.60252 15.765 1.93502 14.8725 2.01002H14.8275C13.2525 2.14502 10.86 2.94752 9.525 3.78752L9.3975 3.87002C9.18 4.00502 8.82 4.00502 8.6025 3.87002L8.415 3.75752C7.08 2.92502 4.695 2.13002 3.12 2.00252C2.2275 1.92752 1.5 2.60252 1.5 3.49502V12.555C1.5 13.275 2.085 13.95 2.805 14.04L3.0225 14.07C4.65 14.2875 7.1625 15.1125 8.6025 15.9L8.6325 15.915C8.835 16.0275 9.1575 16.0275 9.3525 15.915C10.7925 15.12 13.3125 14.2875 14.9475 14.07L15.195 14.04C15.915 13.95 16.5 13.275 16.5 12.555Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 4.11743V15.3674\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.8125 6.36743H4.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.375 8.61743H4.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>لوازم تحریر، کتاب و هنر</a><style>.elementor-1582 .elementor-element.elementor-element-088e12c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1582 .elementor-element.elementor-element-088e12c:not(.elementor-motion-effects-element-type-background), .elementor-1582 .elementor-element.elementor-element-088e12c > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1582 .elementor-element.elementor-element-088e12c::before, .elementor-1582 .elementor-element.elementor-element-088e12c > .elementor-background-video-container::before, .elementor-1582 .elementor-element.elementor-element-088e12c > .e-con-inner > .elementor-background-video-container::before, .elementor-1582 .elementor-element.elementor-element-088e12c > .elementor-background-slideshow::before, .elementor-1582 .elementor-element.elementor-element-088e12c > .e-con-inner > .elementor-background-slideshow::before, .elementor-1582 .elementor-element.elementor-element-088e12c > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1582 .elementor-element.elementor-element-088e12c, .elementor-1582 .elementor-element.elementor-element-088e12c::before{--border-transition:0.3s;}.elementor-1582 .elementor-element.elementor-element-a0a4ddd{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1582 .elementor-element.elementor-element-02fad35 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-02fad35 > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1582 .elementor-element.elementor-element-553119e .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-553119e > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1582 .elementor-element.elementor-element-0f795eb{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-5d42260 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-5d42260 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1582 .elementor-element.elementor-element-9f598b9{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-d461042{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1582 .elementor-element.elementor-element-b7485ff .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-b7485ff > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1582 .elementor-element.elementor-element-beb187b{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-30afd07 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-30afd07 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1582 .elementor-element.elementor-element-219ff95{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-5af0d49 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-5af0d49 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-6ff94c2 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-6ff94c2 > .elementor-widget-container{margin:0px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-60718aa .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-60718aa > .elementor-widget-container{margin:0px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-9b07332{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1582 .elementor-element.elementor-element-71a91f1 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-71a91f1 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1582 .elementor-element.elementor-element-e2750e1{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1582 .elementor-element.elementor-element-7a4c81d{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1582 .elementor-element.elementor-element-a0a4ddd{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1582 .elementor-element.elementor-element-02fad35 .elementor-heading-title{font-size:10px;}.elementor-1582 .elementor-element.elementor-element-553119e .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-0f795eb .elementor-icon-list-item > a{font-size:11px;}.elementor-1582 .elementor-element.elementor-element-5d42260 .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-9f598b9 .elementor-icon-list-item > a{font-size:11px;}.elementor-1582 .elementor-element.elementor-element-d461042{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1582 .elementor-element.elementor-element-b7485ff .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-beb187b .elementor-icon-list-item > a{font-size:11px;}.elementor-1582 .elementor-element.elementor-element-30afd07 .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-219ff95 .elementor-icon-list-item > a{font-size:11px;}.elementor-1582 .elementor-element.elementor-element-5af0d49 .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-6ff94c2 .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-60718aa .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-9b07332{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1582 .elementor-element.elementor-element-71a91f1 .elementor-heading-title{font-size:14px;}.elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1582 .elementor-element.elementor-element-e2750e1 .elementor-icon-list-item > a{font-size:11px;}}@media(max-width:767px){.elementor-1582 .elementor-element.elementor-element-088e12c{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1582 .elementor-element.elementor-element-a0a4ddd{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1582 .elementor-element.elementor-element-d461042{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1582 .elementor-element.elementor-element-9b07332{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/art-books/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">لوازم التحریر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آلبوم عکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ابزار نقاشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تخته وایت برد\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ مطالعه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											خودکار و روان نویس\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											دفتر و کاغذ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیف و کوله\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین حساب\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">کتاب و مجله  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											کتاب چاپی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کمک درسی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مجله خارجی و داخلی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">محتوای آموزشی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آموزش موسیقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش نرم افزار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش ورزشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش زبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">هنر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ابزار طراحی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بوم نقاشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مداد رنگی و گواش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش زبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">نرم افزار  </a></p>		\n			<p><a href=\"#\">آلبوم موسیقی  </a></p>		\n			<p><a href=\"#\">بازی و کنسول کامپیوتر </a></p>		\n			<p><a href=\"#\">آلات موسیقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لوازم جانبی و ادوات موسیقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پیانو دیجیتال\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تجهیزات استودیویی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											درام، پرکاشن و دف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ساز های ایرانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیبورد و ارگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گیتار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ویولن\n											</a>\n									</li>\n						</ul>\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1569\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M2.62508 15.3751C3.24758 15.9976 4.25258 15.9976 4.87508 15.3751L14.6251 5.62508C15.2476 5.00258 15.2476 3.99758 14.6251 3.37508C14.0026 2.75258 12.9976 2.75258 12.3751 3.37508L2.62508 13.1251C2.00258 13.7476 2.00258 14.7526 2.62508 15.3751Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M13.5076 6.74243L11.2576 4.49243\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.375 1.83L7.5 1.5L7.17 2.625L7.5 3.75L6.375 3.42L5.25 3.75L5.58 2.625L5.25 1.5L6.375 1.83Z\" stroke=\"#595959\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M3.375 6.33L4.5 6L4.17 7.125L4.5 8.25L3.375 7.92L2.25 8.25L2.58 7.125L2.25 6L3.375 6.33Z\" stroke=\"#595959\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.625 10.08L15.75 9.75L15.42 10.875L15.75 12L14.625 11.67L13.5 12L13.83 10.875L13.5 9.75L14.625 10.08Z\" stroke=\"#595959\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>آرایشی و بهداشتی</a><style>.elementor-1585 .elementor-element.elementor-element-1f2d795{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1585 .elementor-element.elementor-element-1f2d795:not(.elementor-motion-effects-element-type-background), .elementor-1585 .elementor-element.elementor-element-1f2d795 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1585 .elementor-element.elementor-element-1f2d795::before, .elementor-1585 .elementor-element.elementor-element-1f2d795 > .elementor-background-video-container::before, .elementor-1585 .elementor-element.elementor-element-1f2d795 > .e-con-inner > .elementor-background-video-container::before, .elementor-1585 .elementor-element.elementor-element-1f2d795 > .elementor-background-slideshow::before, .elementor-1585 .elementor-element.elementor-element-1f2d795 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1585 .elementor-element.elementor-element-1f2d795 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1585 .elementor-element.elementor-element-1f2d795, .elementor-1585 .elementor-element.elementor-element-1f2d795::before{--border-transition:0.3s;}.elementor-1585 .elementor-element.elementor-element-bbd4922{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1585 .elementor-element.elementor-element-9d35d27 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-9d35d27 > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1585 .elementor-element.elementor-element-f23aa1a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-f23aa1a > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1585 .elementor-element.elementor-element-98bfd1e{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-383150a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-383150a > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1585 .elementor-element.elementor-element-427cbbc{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-92adebd{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1585 .elementor-element.elementor-element-e363046 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-e363046 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1585 .elementor-element.elementor-element-7dfa6c1{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-f26b26d .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-f26b26d > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1585 .elementor-element.elementor-element-88de1e0 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-88de1e0 > .elementor-widget-container{margin:0px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1585 .elementor-element.elementor-element-d3507f5{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1585 .elementor-element.elementor-element-ceb7812 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-ceb7812 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1585 .elementor-element.elementor-element-d244999{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1585 .elementor-element.elementor-element-adcd1f6{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1585 .elementor-element.elementor-element-bbd4922{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1585 .elementor-element.elementor-element-9d35d27 .elementor-heading-title{font-size:10px;}.elementor-1585 .elementor-element.elementor-element-f23aa1a .elementor-heading-title{font-size:14px;}.elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-98bfd1e .elementor-icon-list-item > a{font-size:11px;}.elementor-1585 .elementor-element.elementor-element-383150a .elementor-heading-title{font-size:14px;}.elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-427cbbc .elementor-icon-list-item > a{font-size:11px;}.elementor-1585 .elementor-element.elementor-element-92adebd{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1585 .elementor-element.elementor-element-e363046 .elementor-heading-title{font-size:14px;}.elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-7dfa6c1 .elementor-icon-list-item > a{font-size:11px;}.elementor-1585 .elementor-element.elementor-element-f26b26d .elementor-heading-title{font-size:14px;}.elementor-1585 .elementor-element.elementor-element-88de1e0 .elementor-heading-title{font-size:14px;}.elementor-1585 .elementor-element.elementor-element-d3507f5{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1585 .elementor-element.elementor-element-ceb7812 .elementor-heading-title{font-size:14px;}.elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1585 .elementor-element.elementor-element-d244999 .elementor-icon-list-item > a{font-size:11px;}}@media(max-width:767px){.elementor-1585 .elementor-element.elementor-element-1f2d795{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1585 .elementor-element.elementor-element-bbd4922{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1585 .elementor-element.elementor-element-92adebd{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1585 .elementor-element.elementor-element-d3507f5{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/cosmetics/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">لوازم آرایشی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آرایش ابرو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش چشم\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش صورت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش لب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش مو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش ناخن\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم بهداشتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											بهداشت دهان و دندان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بهداشت و مراقبت بدن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شامپو و مراقبت مو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کرم و مراقبت پوست\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ضد تعریق\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تقویت مو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم شخصی برقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											اتو مو \n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اصلاح بدن آقایان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اصلاح بدن بانوان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اصلاح مو گوش بینی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											برس پاکسازی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بیگودی و فر کننده\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سشوار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لیزر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین اصلاح سر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین اصلاح صورت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مسواک برقی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">عطر و ادکلن  </a></p>		\n			<p><a href=\"#\">طلا، نقره و زیور آلات  </a></p>		\n			<p><a href=\"#\">ابزار سلامت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											تب سنج\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ترازوی دیجیتال\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تشک و پتوی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فشار سنج\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کالای خواب و استراحت طبی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماساژور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نمایشگر ضربان قلب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ویلچر\n											</a>\n									</li>\n						</ul>\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1570\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M15.75 5.25V12.75C15.75 15 14.625 16.5 12 16.5H6C3.375 16.5 2.25 15 2.25 12.75V5.25C2.25 3 3.375 1.5 6 1.5H12C14.625 1.5 15.75 3 15.75 5.25Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.1875 8.25H5.8125C5.0925 8.25 4.5 7.6575 4.5 6.9375V5.0625C4.5 4.3425 5.0925 3.75 5.8125 3.75H12.1875C12.9075 3.75 13.5 4.3425 13.5 5.0625V6.9375C13.5 7.6575 12.9075 8.25 12.1875 8.25Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M7.72499 11.46L6 13.185\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.02246 11.4824L7.74745 13.2074\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.3674 11.4976H12.3824\" stroke=\"#595959\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M10.8674 13.1249V13.1099\" stroke=\"#595959\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>اسباب بازی، کودک و نوزاد</a><style>.elementor-1588 .elementor-element.elementor-element-c755401{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1588 .elementor-element.elementor-element-c755401:not(.elementor-motion-effects-element-type-background), .elementor-1588 .elementor-element.elementor-element-c755401 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1588 .elementor-element.elementor-element-c755401::before, .elementor-1588 .elementor-element.elementor-element-c755401 > .elementor-background-video-container::before, .elementor-1588 .elementor-element.elementor-element-c755401 > .e-con-inner > .elementor-background-video-container::before, .elementor-1588 .elementor-element.elementor-element-c755401 > .elementor-background-slideshow::before, .elementor-1588 .elementor-element.elementor-element-c755401 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1588 .elementor-element.elementor-element-c755401 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1588 .elementor-element.elementor-element-c755401, .elementor-1588 .elementor-element.elementor-element-c755401::before{--border-transition:0.3s;}.elementor-1588 .elementor-element.elementor-element-9eab468{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1588 .elementor-element.elementor-element-9055e39 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-9055e39 > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1588 .elementor-element.elementor-element-f22265f .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-f22265f > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1588 .elementor-element.elementor-element-0f726ed{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-d8e4444 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-d8e4444 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1588 .elementor-element.elementor-element-90167a8{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-9089b9b{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1588 .elementor-element.elementor-element-d262b9a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-d262b9a > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1588 .elementor-element.elementor-element-1e2c7ab{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-e21a445 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-e21a445 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1588 .elementor-element.elementor-element-4c4b436{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-05b75b5 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-05b75b5 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1588 .elementor-element.elementor-element-eb392d4{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1588 .elementor-element.elementor-element-12fea5f .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-12fea5f > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1588 .elementor-element.elementor-element-43d0437{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1588 .elementor-element.elementor-element-d4d0d70{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1588 .elementor-element.elementor-element-9eab468{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1588 .elementor-element.elementor-element-9055e39 .elementor-heading-title{font-size:10px;}.elementor-1588 .elementor-element.elementor-element-f22265f .elementor-heading-title{font-size:14px;}.elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-0f726ed .elementor-icon-list-item > a{font-size:11px;}.elementor-1588 .elementor-element.elementor-element-d8e4444 .elementor-heading-title{font-size:14px;}.elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-90167a8 .elementor-icon-list-item > a{font-size:11px;}.elementor-1588 .elementor-element.elementor-element-9089b9b{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1588 .elementor-element.elementor-element-d262b9a .elementor-heading-title{font-size:14px;}.elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-1e2c7ab .elementor-icon-list-item > a{font-size:11px;}.elementor-1588 .elementor-element.elementor-element-e21a445 .elementor-heading-title{font-size:14px;}.elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-4c4b436 .elementor-icon-list-item > a{font-size:11px;}.elementor-1588 .elementor-element.elementor-element-05b75b5 .elementor-heading-title{font-size:14px;}.elementor-1588 .elementor-element.elementor-element-eb392d4{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1588 .elementor-element.elementor-element-12fea5f .elementor-heading-title{font-size:14px;}.elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1588 .elementor-element.elementor-element-43d0437 .elementor-icon-list-item > a{font-size:11px;}}@media(max-width:767px){.elementor-1588 .elementor-element.elementor-element-c755401{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1588 .elementor-element.elementor-element-9eab468{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1588 .elementor-element.elementor-element-9089b9b{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1588 .elementor-element.elementor-element-eb392d4{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/toy/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">اسباب بازی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											بازی فکری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پازل و لگو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تاب و سرسره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تفنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ربات و گجت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											عروسک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین، قطار و هواپیما\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											موتور و ماشین بازی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">پوشاک کودک و نوازد  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											کفش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											جوراب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لباس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کلاه و پیشبند\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">گردش و سفر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ساک لوازم کودک و نوزاد\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											صندلی خودرو کودک و نوزاد\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کالسکه و کریر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آغوشی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ایمنی و مراقبت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پد و کیسه آب گرم\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تب سنج و دماسنج\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تصفیه هوا\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مانیتور و پیجر اتاق کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											محافظ و ابزار ایمنی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">غذاخوری کودک  </a></p>		\n			<p><a href=\"#\">خواب کودک  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پتو کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پشه بند\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تخت خواب کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تشک کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سرویس خواب کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گهواره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مبلمان اتاق کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ملحفه کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											غذاخوری کودک\n											</a>\n									</li>\n						</ul>\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1571\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M12.885 13.5C14.685 13.5 15.135 12.4875 15.135 11.25V6.75C15.135 5.5125 14.685 4.5 12.885 4.5C11.085 4.5 10.635 5.5125 10.635 6.75V11.25C10.635 12.4875 11.085 13.5 12.885 13.5Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.11499 13.5C3.31499 13.5 2.86499 12.4875 2.86499 11.25V6.75C2.86499 5.5125 3.31499 4.5 5.11499 4.5C6.91499 4.5 7.36499 5.5125 7.36499 6.75V11.25C7.36499 12.4875 6.91499 13.5 5.11499 13.5Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M7.36499 9H10.635\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M16.875 10.875V7.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M1.125 10.875V7.125\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>ورزش و سفر</a><style>.elementor-1591 .elementor-element.elementor-element-7de4e0b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1591 .elementor-element.elementor-element-7de4e0b:not(.elementor-motion-effects-element-type-background), .elementor-1591 .elementor-element.elementor-element-7de4e0b > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1591 .elementor-element.elementor-element-7de4e0b::before, .elementor-1591 .elementor-element.elementor-element-7de4e0b > .elementor-background-video-container::before, .elementor-1591 .elementor-element.elementor-element-7de4e0b > .e-con-inner > .elementor-background-video-container::before, .elementor-1591 .elementor-element.elementor-element-7de4e0b > .elementor-background-slideshow::before, .elementor-1591 .elementor-element.elementor-element-7de4e0b > .e-con-inner > .elementor-background-slideshow::before, .elementor-1591 .elementor-element.elementor-element-7de4e0b > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1591 .elementor-element.elementor-element-7de4e0b, .elementor-1591 .elementor-element.elementor-element-7de4e0b::before{--border-transition:0.3s;}.elementor-1591 .elementor-element.elementor-element-8824bd8{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1591 .elementor-element.elementor-element-b11fa68 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-b11fa68 > .elementor-widget-container{padding:0px 0px 7px 0px;background-color:#FFFFFF;}.elementor-1591 .elementor-element.elementor-element-fb9ecd8 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-fb9ecd8 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1591 .elementor-element.elementor-element-59f4c02{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-c99e20d .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-c99e20d > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1591 .elementor-element.elementor-element-21ace36{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-4763755{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1591 .elementor-element.elementor-element-453f904 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-453f904 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1591 .elementor-element.elementor-element-2147e84{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-f8de833 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-f8de833 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1591 .elementor-element.elementor-element-234431f{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-d306641{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1591 .elementor-element.elementor-element-d376104 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-d376104 > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1591 .elementor-element.elementor-element-08bf261{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1591 .elementor-element.elementor-element-b2793cd .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1591 .elementor-element.elementor-element-b2793cd > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1591 .elementor-element.elementor-element-8d33f66{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1591 .elementor-element.elementor-element-8824bd8{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1591 .elementor-element.elementor-element-b11fa68 .elementor-heading-title{font-size:10px;}.elementor-1591 .elementor-element.elementor-element-fb9ecd8 .elementor-heading-title{font-size:14px;}.elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-59f4c02 .elementor-icon-list-item > a{font-size:11px;}.elementor-1591 .elementor-element.elementor-element-c99e20d .elementor-heading-title{font-size:14px;}.elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-21ace36 .elementor-icon-list-item > a{font-size:11px;}.elementor-1591 .elementor-element.elementor-element-4763755{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1591 .elementor-element.elementor-element-453f904 .elementor-heading-title{font-size:14px;}.elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-2147e84 .elementor-icon-list-item > a{font-size:11px;}.elementor-1591 .elementor-element.elementor-element-f8de833 .elementor-heading-title{font-size:14px;}.elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-234431f .elementor-icon-list-item > a{font-size:11px;}.elementor-1591 .elementor-element.elementor-element-d306641{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1591 .elementor-element.elementor-element-d376104 .elementor-heading-title{font-size:14px;}.elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1591 .elementor-element.elementor-element-08bf261 .elementor-icon-list-item > a{font-size:11px;}.elementor-1591 .elementor-element.elementor-element-b2793cd .elementor-heading-title{font-size:14px;line-height:1.5em;}}@media(max-width:767px){.elementor-1591 .elementor-element.elementor-element-7de4e0b{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1591 .elementor-element.elementor-element-8824bd8{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1591 .elementor-element.elementor-element-4763755{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1591 .elementor-element.elementor-element-d306641{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/trip/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">پوشاک و کفش ورزشی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پوشاک ورزشی پسرانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پوشاک ورزشی دخترانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پوشاک ورزشی زنانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پوشاک ورزشی مردانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی پسرانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی دخترانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی زنانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی مردانه\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">تجهیزات سفر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											چمدان و ساک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چادر مسافرتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چتر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیف و کوله پشتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">کوهنوردی و کمپینگ  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											چاقو و ابزار چندکاره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ قوه و چراغ پیشانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											زیرانداز سفری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											عصای کوهنوردی\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											قمقمه و فلاسک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش کوهنوردی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیسه خواب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم جانبی کوهنوردی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیکر\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ورزش های توپی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											توپ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											راکت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فوتبال دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											باتری لپ تاپ\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم ورزشی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ایروبیک و تناسب اندام\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بارفیکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تردمیل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دمبل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											طناب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم محافظتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/sports-travel/bicycles-accessories/\">دوچرخه و لوازم جانبی  </a></p>		\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n	<li id=\"jet-mega-menu-item-1572\"><a href=\"#\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><g clip-path=\"url(#clip0_24_1788)\"><path d=\"M7.125 14.625V13.5H3.375C2.9625 13.5 2.5875 13.335 2.3175 13.0575C2.04 12.7875 1.875 12.4125 1.875 12C1.875 11.2275 2.475 10.5825 3.2325 10.5075C3.2775 10.5 3.3225 10.5 3.375 10.5H14.625C14.6775 10.5 14.7225 10.5 14.7675 10.5075C15.1275 10.5375 15.4425 10.695 15.6825 10.9425C15.99 11.2425 16.155 11.67 16.1175 12.135C16.05 12.9225 15.3375 13.5 14.5425 13.5H10.875V14.625C10.875 15.66 10.035 16.5 9 16.5C7.965 16.5 7.125 15.66 7.125 14.625Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.1276 3.975L14.7676 10.5075C14.7226 10.5 14.6776 10.5 14.6251 10.5H3.37512C3.32262 10.5 3.27762 10.5 3.23262 10.5075L2.87262 3.975C2.73762 2.6475 3.78012 1.5 5.10762 1.5H12.8926C14.2201 1.5 15.2626 2.6475 15.1276 3.975Z\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.99243 1.5V5.25\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M9 1.5V3\" stroke=\"#595959\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></g><defs><clipPath id=\"clip0_24_1788\"><rect width=\"18\" height=\"18\" fill=\"white\"></rect></clipPath></defs></svg>مد و پوشاک</a><style>.elementor-1594 .elementor-element.elementor-element-e360445{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--overlay-opacity:0.3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:2rem;--padding-left:1.5rem;}.elementor-1594 .elementor-element.elementor-element-e360445:not(.elementor-motion-effects-element-type-background), .elementor-1594 .elementor-element.elementor-element-e360445 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1594 .elementor-element.elementor-element-e360445::before, .elementor-1594 .elementor-element.elementor-element-e360445 > .elementor-background-video-container::before, .elementor-1594 .elementor-element.elementor-element-e360445 > .e-con-inner > .elementor-background-video-container::before, .elementor-1594 .elementor-element.elementor-element-e360445 > .elementor-background-slideshow::before, .elementor-1594 .elementor-element.elementor-element-e360445 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1594 .elementor-element.elementor-element-e360445 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-image:url(\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg\");background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1594 .elementor-element.elementor-element-e360445, .elementor-1594 .elementor-element.elementor-element-e360445::before{--border-transition:0.3s;}.elementor-1594 .elementor-element.elementor-element-ca1de6d{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1594 .elementor-element.elementor-element-8d86ff4 .elementor-heading-title{color:#595959;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-8d86ff4 > .elementor-widget-container{padding:0px 0px 7px 0px;}.elementor-1594 .elementor-element.elementor-element-27ef6cc .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-27ef6cc > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1594 .elementor-element.elementor-element-430a99d{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-ac23c19 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-ac23c19 > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1594 .elementor-element.elementor-element-514d317{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-374e239{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1594 .elementor-element.elementor-element-9967eff .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-9967eff > .elementor-widget-container{margin:0px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1594 .elementor-element.elementor-element-1e50136{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-6f573bd .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-6f573bd > .elementor-widget-container{margin:10px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:last-child){padding-bottom:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-items:not(.elementor-inline-items) .elementor-icon-list-item:not(:first-child){margin-top:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item{margin-right:calc(7px/2);margin-left:calc(7px/2);}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-items.elementor-inline-items{margin-right:calc(-7px/2);margin-left:calc(-7px/2);}body.rtl .elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{left:calc(-7px/2);}body:not(.rtl) .elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after{right:calc(-7px/2);}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-icon i{transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-icon svg{transition:fill 0.3s;}.elementor-1594 .elementor-element.elementor-element-a0eb71a{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-item > a{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-text{color:#898787;transition:color 0.3s;}.elementor-1594 .elementor-element.elementor-element-1d2247a{--display:flex;--gap:18px;--background-transition:0.3s;--padding-top:3.2rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-1594 .elementor-element.elementor-element-c3d752f .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-c3d752f > .elementor-widget-container{padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1594 .elementor-element.elementor-element-8d0bc4a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-1594 .elementor-element.elementor-element-8d0bc4a > .elementor-widget-container{margin:0px 0px 0px 0px;padding:2px 5px 2px 0px;border-style:solid;border-width:0px 3px 0px 0px;border-color:var( --e-global-color-primary );}.elementor-1594 .elementor-element.elementor-element-0268489{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}@media(max-width:1024px){.elementor-1594 .elementor-element.elementor-element-ca1de6d{--padding-top:0rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1594 .elementor-element.elementor-element-8d86ff4 .elementor-heading-title{font-size:10px;}.elementor-1594 .elementor-element.elementor-element-27ef6cc .elementor-heading-title{font-size:14px;}.elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-430a99d .elementor-icon-list-item > a{font-size:11px;}.elementor-1594 .elementor-element.elementor-element-ac23c19 .elementor-heading-title{font-size:14px;}.elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-514d317 .elementor-icon-list-item > a{font-size:11px;}.elementor-1594 .elementor-element.elementor-element-374e239{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1594 .elementor-element.elementor-element-9967eff .elementor-heading-title{font-size:14px;}.elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-1e50136 .elementor-icon-list-item > a{font-size:11px;}.elementor-1594 .elementor-element.elementor-element-6f573bd .elementor-heading-title{font-size:14px;}.elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-item > .elementor-icon-list-text, .elementor-1594 .elementor-element.elementor-element-a0eb71a .elementor-icon-list-item > a{font-size:11px;}.elementor-1594 .elementor-element.elementor-element-1d2247a{--padding-top:3.2rem;--padding-right:0.5rem;--padding-bottom:0rem;--padding-left:0.5rem;}.elementor-1594 .elementor-element.elementor-element-c3d752f .elementor-heading-title{font-size:14px;}.elementor-1594 .elementor-element.elementor-element-8d0bc4a .elementor-heading-title{font-size:14px;line-height:1.5em;}}@media(max-width:767px){.elementor-1594 .elementor-element.elementor-element-e360445{--padding-top:1.5rem;--padding-right:1.5rem;--padding-bottom:1.5rem;--padding-left:1.5rem;}.elementor-1594 .elementor-element.elementor-element-ca1de6d{--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1594 .elementor-element.elementor-element-374e239{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1594 .elementor-element.elementor-element-1d2247a{--padding-top:2rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/handmade/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">ظروف سنتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پارچ سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دیگ و قابلمه سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شکلات خوری سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قندان سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کاسه و بشقاب سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لیوان سنتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ابزار آشپزخانه سنتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آویز سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تخته سرو سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دیس و سینی سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											زیرانداز سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سبد دستباف سنتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">دکوراتیو سنتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آویز و سرپرده سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ خواب و آباژور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کوسن سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیس و کاور سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گلدان سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گلیم\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مجسمه سنتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">فرش و قالیچه  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											فرش دستباف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تابلو فرش دستباف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قالیچه دستباف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قالیچه قدیمی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">خانه و کاشانه بومی  </a></p>		\n			<p><a href=\"#\">پوشیدنی های محلی  </a></p>		\n															<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />															\n		</li>\n</ul>\n</li>\n<li id=\"jet-mega-menu-item-972\"><a href=\"https://halochin.ir/multivendor/\">صفحه اصلی</a></li>\n<li id=\"jet-mega-menu-item-970\"><a href=\"https://halochin.ir/multivendor/shop/\">فروشگاه</a></li>\n<li id=\"jet-mega-menu-item-971\"><a href=\"https://halochin.ir/multivendor/blog\">وبلاگ</a></li>\n<li id=\"jet-mega-menu-item-973\"><a href=\"#\">فروشنده شوید</a></li>\n<li id=\"jet-mega-menu-item-968\"><a href=\"https://halochin.ir/multivendor/about-us/\">درباره ما</a></li>\n<li id=\"jet-mega-menu-item-967\"><a href=\"https://halochin.ir/multivendor/contact-us/\">تماس با ما</a></li>\n</ul></nav><style>.jet-mega-menu-item-1565 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1566 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1567 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1568 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1569 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1570 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1571 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }.jet-mega-menu-item-1572 > .jet-mega-menu-item__inner > a .jet-mega-menu-item__icon {color:#FFFFFF !important;; }</style>		\n			<p>سوالی دارید؟ تماس بگیرید</p>		\n		<p>021-1234567</p>		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M9.2 22.8c4 4 9.3 7.2 13.9 7.2 2.1 0 4-.7 5.6-2.3l.3-.3c1.1-1.1 1.1-3 0-4.1l-2.8-2.8c-1.1-1.1-3-1.1-4.1 0l-1 1c-.4.4-.9.6-1.4.6-.6 0-1-.2-1.4-.6l-7.8-7.8c-.8-.8-.8-2 0-2.8l1-1c.5-.5.9-1.3.9-2 0-.8-.3-1.5-.8-2l-2.8-3c-.5-.5-1.3-.8-2-.8-.8 0-1.5.3-2 .9l-.5.3C2 5.6 1.5 8.9 2.7 12.8c1.1 3.3 3.4 6.8 6.5 10zM5.7 4.7l.3-.3c.2-.2.4-.3.6-.3s.5.1.6.3L10 7.2c.2.2.3.4.3.6s-.1.5-.3.6l-1 1C7.4 11 7.4 13.5 9 15l7.8 7.8c.7.7 1.7 1.2 2.8 1.2 1.1 0 2.1-.4 2.8-1.2l1-1c.4-.4.9-.4 1.3 0l2.8 2.8c.3.3.3.9 0 1.3l-.3.3c-3.8 3.9-11.3.4-16.7-4.9-2.9-2.9-5.1-6.2-6-9.2-.6-2.1-1-5.2 1.2-7.4zM18 9c2.8 0 5 2.2 5 5 0 .6.4 1 1 1s1-.4 1-1c0-3.9-3.1-7-7-7-.6 0-1 .4-1 1s.4 1 1 1z\" fill=\"\" data-original=\"#000000\"></path><path d=\"M18.2 4c5.4 0 9.8 4.4 9.8 9.8 0 .6.4 1 1 1s1-.4 1-1C30 7.3 24.7 2 18.2 2c-.6 0-1 .4-1 1s.4 1 1 1z\" fill=\"\" data-original=\"#000000\"></path></g></svg>			\n			<a href=\"https://halochin.ir/multivendor/my-account/\">\n					</a>\n			<a href=\"https://halochin.ir/multivendor/my-account/\">\n					</a>\n			<a href=\"https://halochin.ir/multivendor/wishlist/\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"20\" viewBox=\"0 0 22 20\" fill=\"none\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.87187 9.59832C0.798865 6.24832 2.05287 2.41932 5.56987 1.28632C7.41987 0.689322 9.46187 1.04132 10.9999 2.19832C12.4549 1.07332 14.5719 0.693322 16.4199 1.28632C19.9369 2.41932 21.1989 6.24832 20.1269 9.59832C18.4569 14.9083 10.9999 18.9983 10.9999 18.9983C10.9999 18.9983 3.59787 14.9703 1.87187 9.59832Z\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15 4.69995C16.07 5.04595 16.826 6.00095 16.917 7.12195\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>			\n					</a>\n			<a href=\"https://halochin.ir/multivendor/cart/\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"21\" viewBox=\"0 0 20 21\" fill=\"none\"><path d=\"M13.7729 8.30504V5.27304C13.7729 3.18904 12.0839 1.50004 10.0009 1.50004C7.91694 1.49104 6.21994 3.17204 6.21094 5.25604V5.27304V8.30504\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14.7422 20.0004H5.25778C2.90569 20.0004 1 18.0954 1 15.7454V10.2294C1 7.87937 2.90569 5.97437 5.25778 5.97437H14.7422C17.0943 5.97437 19 7.87937 19 10.2294V15.7454C19 18.0954 17.0943 20.0004 14.7422 20.0004Z\" stroke=\"#707070\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>			\n					</a>\n			<p>سوالی دارید؟ تماس بگیرید</p>		\n		<p>021-1234567</p>		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M9.2 22.8c4 4 9.3 7.2 13.9 7.2 2.1 0 4-.7 5.6-2.3l.3-.3c1.1-1.1 1.1-3 0-4.1l-2.8-2.8c-1.1-1.1-3-1.1-4.1 0l-1 1c-.4.4-.9.6-1.4.6-.6 0-1-.2-1.4-.6l-7.8-7.8c-.8-.8-.8-2 0-2.8l1-1c.5-.5.9-1.3.9-2 0-.8-.3-1.5-.8-2l-2.8-3c-.5-.5-1.3-.8-2-.8-.8 0-1.5.3-2 .9l-.5.3C2 5.6 1.5 8.9 2.7 12.8c1.1 3.3 3.4 6.8 6.5 10zM5.7 4.7l.3-.3c.2-.2.4-.3.6-.3s.5.1.6.3L10 7.2c.2.2.3.4.3.6s-.1.5-.3.6l-1 1C7.4 11 7.4 13.5 9 15l7.8 7.8c.7.7 1.7 1.2 2.8 1.2 1.1 0 2.1-.4 2.8-1.2l1-1c.4-.4.9-.4 1.3 0l2.8 2.8c.3.3.3.9 0 1.3l-.3.3c-3.8 3.9-11.3.4-16.7-4.9-2.9-2.9-5.1-6.2-6-9.2-.6-2.1-1-5.2 1.2-7.4zM18 9c2.8 0 5 2.2 5 5 0 .6.4 1 1 1s1-.4 1-1c0-3.9-3.1-7-7-7-.6 0-1 .4-1 1s.4 1 1 1z\" fill=\"\" data-original=\"#000000\"></path><path d=\"M18.2 4c5.4 0 9.8 4.4 9.8 9.8 0 .6.4 1 1 1s1-.4 1-1C30 7.3 24.7 2 18.2 2c-.6 0-1 .4-1 1s.4 1 1 1z\" fill=\"\" data-original=\"#000000\"></path></g></svg>", "هدر اصلی سایت", "", "publish", "closed", "closed", "", "%d9%87%d8%af%d8%b1-%d8%a7%d8%b5%d9%84%db%8c-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-07-09 12:24:41", "2023-07-09 12:24:41", "", "0", "https://halochin.ir/multivendor/?post_type=elementor_library&#038;p=20", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("21", "1", "2023-07-02 14:06:50", "2023-07-02 10:36:50", "", "logo-main", "", "inherit", "open", "closed", "", "logo-main", "", "", "2023-07-02 14:06:50", "2023-07-02 10:36:50", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/logo-main.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("23", "1", "2023-07-02 14:09:18", "2023-07-02 10:39:18", "<style>/*! elementor-pro - v3.14.0 - 26-06-2023 */\n.elementor-slides .swiper-slide-bg{background-size:cover;background-position:50%;background-repeat:no-repeat;min-width:100%;min-height:100%}.elementor-slides .swiper-slide-inner{background-repeat:no-repeat;background-position:50%;position:absolute;top:0;left:0;bottom:0;right:0;padding:50px;margin:auto}.elementor-slides .swiper-slide-inner,.elementor-slides .swiper-slide-inner:hover{color:#fff;display:flex}.elementor-slides .swiper-slide-inner .elementor-background-overlay{position:absolute;z-index:0;top:0;bottom:0;left:0;right:0}.elementor-slides .swiper-slide-inner .elementor-slide-content{position:relative;z-index:1;width:100%}.elementor-slides .swiper-slide-inner .elementor-slide-heading{font-size:35px;font-weight:700;line-height:1}.elementor-slides .swiper-slide-inner .elementor-slide-description{font-size:17px;line-height:1.4}.elementor-slides .swiper-slide-inner .elementor-slide-description:not(:last-child),.elementor-slides .swiper-slide-inner .elementor-slide-heading:not(:last-child){margin-bottom:30px}.elementor-slides .swiper-slide-inner .elementor-slide-button{border:2px solid #fff;color:#fff;background:transparent;display:inline-block}.elementor-slides .swiper-slide-inner .elementor-slide-button,.elementor-slides .swiper-slide-inner .elementor-slide-button:hover{background:transparent;color:inherit;text-decoration:none}.elementor--v-position-top .swiper-slide-inner{align-items:flex-start}.elementor--v-position-bottom .swiper-slide-inner{align-items:flex-end}.elementor--v-position-middle .swiper-slide-inner{align-items:center}.elementor--h-position-left .swiper-slide-inner{justify-content:flex-end}.elementor--h-position-right .swiper-slide-inner{justify-content:flex-start}.elementor--h-position-center .swiper-slide-inner{justify-content:center}body.rtl .elementor-widget-slides .elementor-swiper-button-next{left:10px;right:auto}body.rtl .elementor-widget-slides .elementor-swiper-button-prev{right:10px;left:auto}.elementor-slides-wrapper div:not(.swiper-slide)>.swiper-slide-inner{display:none}@media (max-width:767px){.elementor-slides .swiper-slide-inner{padding:30px}.elementor-slides .swiper-slide-inner .elementor-slide-heading{font-size:23px;line-height:1;margin-bottom:15px}.elementor-slides .swiper-slide-inner .elementor-slide-description{font-size:13px;line-height:1.4;margin-bottom:15px}}</style>		\n														Previous slide\n														Next slide\n			<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"167\" height=\"48\" viewBox=\"0 0 167 48\" fill=\"none\"><path d=\"M9.45585 0C4.50967 0 0.5 4.00967 0.5 8.95585C0.5 13.0893 3.3288 16.6858 7.34586 17.6596L10.289 18.3731C14.4779 19.3886 17.875 22.4432 19.3282 26.5011L23.4667 38.0573C25.6024 44.0208 31.254 48 37.5885 48L132.494 48C138.942 48 144.668 43.8795 146.717 37.7659L149.9 28.268C151.236 24.2785 154.205 21.0445 158.066 19.3716L161.363 17.9425C164.785 16.4597 167 13.0864 167 9.35697C167 4.18926 162.811 0 157.643 0L9.45585 0Z\" fill=\"white\"></path></svg>			\n			<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تخفیف های ویژه امروز 		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			68,000		\n			55,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			150,000		\n			135,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			95,000		\n			90,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			789,000		\n			635,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			350,000		\n			280,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			16,000,000		\n			15,000,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-792 .elementor-element.elementor-element-11d46b6{--display:flex;--min-height:422px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#F2F2F2;--border-color:#F2F2F2;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-792 .elementor-element.elementor-element-11d46b6:not(.elementor-motion-effects-element-type-background), .elementor-792 .elementor-element.elementor-element-11d46b6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-792 .elementor-element.elementor-element-11d46b6, .elementor-792 .elementor-element.elementor-element-11d46b6::before{--border-transition:0.3s;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-792 .elementor-element.elementor-element-64f0b8a .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-792 .elementor-element.elementor-element-64f0b8a > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}.elementor-792 .elementor-element.elementor-element-64f0b8a.elementor-element{--align-self:center;}.elementor-792 .elementor-element.elementor-element-2d2b8eb{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-2d2b8eb .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-2d2b8eb > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-b47303f img{width:100%;height:174px;object-fit:contain;}.elementor-792 .elementor-element.elementor-element-b47303f > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-792 .elementor-element.elementor-element-7a3365c{text-align:center;z-index:10;}.elementor-792 .elementor-element.elementor-element-7a3365c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-f3f4187{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-fb3b765{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-792 .elementor-element.elementor-element-56c57df{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-647aef9 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-2447642{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-1be330b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-dadafb8 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-705eee6{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-8627a65 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-03e53fe .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-b98f827{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-3ca9a70 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-76ebf7e .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-c916a90{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-792 .elementor-element.elementor-element-68cd93a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-792 .elementor-element.elementor-element-749181a .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-792 .elementor-element.elementor-element-5dedd88 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-792 > .elementor{width:305px;margin-left:auto;margin-right:auto;}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-3ca9a70 */.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-792 .elementor-element.elementor-element-3ca9a70 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تخفیف های ویژه امروز 		\n			2,500,000		\n			2,000,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<h2>محصولاتـــــ پرفروش</h2>		\n			<p>Best Sellers Products</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<p><a href=\"https://halochin.ir/multivendor/shop\">مشاهده همه </a></p>		\n			<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			325,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			780,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			33,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			25,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"800\" height=\"223\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2-1024x286.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2-1024x286.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2-600x168.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2-300x84.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2-768x215.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2-1536x430.png 1536w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2.png 1641w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n															<img width=\"800\" height=\"233\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1-1024x298.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1-1024x298.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1-600x174.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1-300x87.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1-768x223.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1-1536x446.png 1536w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1.png 1641w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n			تخفیفاتــــ ویژه		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ میباشد.</p>		\n			<style>/*! elementor-pro - v3.14.0 - 26-06-2023 */\n.elementor-widget-countdown .elementor-countdown-expire--message{display:none;padding:20px;text-align:center}.elementor-widget-countdown .elementor-countdown-wrapper{flex-direction:row-reverse}.elementor-widget-countdown .elementor-countdown-item{padding:20px 0;text-align:center;color:#fff}.elementor-widget-countdown .elementor-countdown-digits,.elementor-widget-countdown .elementor-countdown-label{line-height:1}.elementor-widget-countdown .elementor-countdown-digits{font-size:69px}.elementor-widget-countdown .elementor-countdown-label{font-size:19px}.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-wrapper{display:flex;justify-content:center;margin-right:auto;margin-left:auto}.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-digits,.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-label{display:block}.elementor-widget-countdown.elementor-countdown--label-block .elementor-countdown-item{flex-basis:0;flex-grow:1}.elementor-widget-countdown.elementor-countdown--label-inline{text-align:center}.elementor-widget-countdown.elementor-countdown--label-inline .elementor-countdown-item{display:inline-block;padding-left:5px;padding-right:5px}</style>		\n			 ساعت دقیقه ثانیه ها		\n			<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			68,000		\n			55,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			150,000		\n			135,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			95,000		\n			90,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			789,000		\n			635,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			350,000		\n			280,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			16,000,000		\n			15,000,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			2,500,000		\n			2,000,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n			<h2>دسته بندی محصولات</h2>		\n			<p>Product Categories</p>		\n			<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/beauty/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-5.svg\" alt=\"cat-5\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/beauty/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/toy/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-6.svg\" alt=\"cat-6\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/toy/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/kitchen-home/\"><img width=\"46\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-2.svg\" alt=\"cat-2\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/kitchen-home/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/car-tools/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-3.svg\" alt=\"cat-3\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/car-tools/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/handmade/\"><img width=\"40\" height=\"41\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-9.svg\" alt=\"cat-9\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/handmade/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/digital-product/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-1.svg\" alt=\"cat-1\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/digital-product/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/art-books/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-4.svg\" alt=\"cat-4\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/art-books/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/fasion/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-8.svg\" alt=\"cat-8\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/fasion/\"></a>		\n		<style>.elementor-257 .elementor-element.elementor-element-27049fc{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:15px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:#EEEEEE;--border-color:#EEEEEE;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0.5rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-257 .elementor-element.elementor-element-27049fc:not(.elementor-motion-effects-element-type-background), .elementor-257 .elementor-element.elementor-element-27049fc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-257 .elementor-element.elementor-element-27049fc:hover{border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-257 .elementor-element.elementor-element-27049fc, .elementor-257 .elementor-element.elementor-element-27049fc::before{--border-transition:0.3s;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image{justify-content:center;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:50px;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:50px;height:50px;object-fit:contain;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:14px;color:var( --e-global-color-accent );flex-direction:row;}.elementor-257 .elementor-element.elementor-element-eb2b127 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-257 > .elementor{width:393px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-257 .elementor-element.elementor-element-27049fc{--gap:0px;--flex-wrap:nowrap;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image a{width:85%;}.elementor-257 .elementor-element.elementor-element-f549f82 .jet-listing-dynamic-image img{width:85%;}}</style>		\n			<a href=\"https://halochin.ir/multivendor/product-category/trip/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-7.svg\" alt=\"cat-7\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/trip/\"></a>		\n			<h2>محصولاتـــــ پرفروش</h2>		\n			<p>Best Sellers Products</p>		\n			<p><a href=\"https://halochin.ir/multivendor/shop\">مشاهده همه </a></p>		\n			<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			325,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			780,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			33,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			25,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			68,000		\n			55,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			12,300,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n															<img width=\"3585\" height=\"594\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4.png 3585w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4-600x99.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4-300x50.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4-1024x170.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4-768x127.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4-1536x255.png 1536w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4-2048x339.png 2048w\" sizes=\"(max-width: 3585px) 100vw, 3585px\" />															\n			<h2>جدیدترین محصولات</h2>		\n			<p>Best Sellers Products</p>		\n			<p><a href=\"https://halochin.ir/multivendor/shop\">مشاهده همه </a></p>		\n			<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			325,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			780,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			33,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			25,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			68,000		\n			55,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			12,300,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n															<img width=\"1746\" height=\"489\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5.png 1746w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5-600x168.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5-300x84.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5-1024x287.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5-768x215.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5-1536x430.png 1536w\" sizes=\"(max-width: 1746px) 100vw, 1746px\" />															\n															<img width=\"1764\" height=\"489\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6.png 1764w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6-600x166.png 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6-300x83.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6-1024x284.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6-768x213.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6-1536x426.png 1536w\" sizes=\"(max-width: 1764px) 100vw, 1764px\" />															\n			هیچ داده ای یافت نشد		\n			<h2>جدیدترین محصولات</h2>		\n			<p>Best Sellers Products</p>		\n			<p><a href=\"https://halochin.ir/multivendor/shop\">مشاهده همه </a></p>		\n			<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 6px 30px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 6px 30px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			325,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 6px 30px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 6px 30px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			780,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 6px 30px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			33,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 6px 30px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			25,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n			<h3>مطالب وبلاگ</h3>		\n			<p>Recent Articles</p>		\n			<p><a href=\"https://halochin.ir/multivendor/blog\">مشاهده همه </a></p>		\n			<style>.elementor-334 .elementor-element.elementor-element-0886035{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:15px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-334 .elementor-element.elementor-element-707a33c{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-a6d33fb img{border-radius:10px 10px 10px 10px;}.elementor-334 .elementor-element.elementor-element-265d51e{--display:flex;--gap:7px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054{text-align:right;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-d20a0da{text-align:right;color:#737373;font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon i{color:#A0A0A0;font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon svg{fill:#A0A0A0;--e-icon-list-icon-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon{width:12px;}body:not(.rtl) .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-left:5px;}body.rtl .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-right:5px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text, .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text a{color:#737373;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-334 .elementor-element.elementor-element-0bd9f1f > .elementor-widget-container{padding:2px 0px 0px 0px;}.jet-listing-item.single-jet-engine.elementor-page-334 > .elementor{width:477px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-334 .elementor-element.elementor-element-265d51e{--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:14px;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-size:10px;}}@media(max-width:767px){.elementor-334 .elementor-element.elementor-element-0886035{--flex-wrap:nowrap;}.elementor-334 .elementor-element.elementor-element-707a33c{--width:35%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:65%;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:15px;line-height:1.5em;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}}@media(min-width:768px){.elementor-334 .elementor-element.elementor-element-707a33c{--width:25%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:75%;}}</style>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\"><link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-theme-elements-rtl.min.css\">		<ul>\n								<li itemprop=\"datePublished\">\n										جولای 4, 2023					\n								</li>\n				</ul>\n		<style>.elementor-334 .elementor-element.elementor-element-0886035{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:15px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-334 .elementor-element.elementor-element-707a33c{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-a6d33fb img{border-radius:10px 10px 10px 10px;}.elementor-334 .elementor-element.elementor-element-265d51e{--display:flex;--gap:7px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054{text-align:right;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-d20a0da{text-align:right;color:#737373;font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon i{color:#A0A0A0;font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon svg{fill:#A0A0A0;--e-icon-list-icon-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon{width:12px;}body:not(.rtl) .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-left:5px;}body.rtl .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-right:5px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text, .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text a{color:#737373;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-334 .elementor-element.elementor-element-0bd9f1f > .elementor-widget-container{padding:2px 0px 0px 0px;}.jet-listing-item.single-jet-engine.elementor-page-334 > .elementor{width:477px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-334 .elementor-element.elementor-element-265d51e{--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:14px;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-size:10px;}}@media(max-width:767px){.elementor-334 .elementor-element.elementor-element-0886035{--flex-wrap:nowrap;}.elementor-334 .elementor-element.elementor-element-707a33c{--width:35%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:65%;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:15px;line-height:1.5em;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}}@media(min-width:768px){.elementor-334 .elementor-element.elementor-element-707a33c{--width:25%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:75%;}}</style>		\n					<ul>\n								<li itemprop=\"datePublished\">\n										جولای 4, 2023					\n								</li>\n				</ul>\n		<style>.elementor-334 .elementor-element.elementor-element-0886035{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:15px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-334 .elementor-element.elementor-element-707a33c{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-a6d33fb img{border-radius:10px 10px 10px 10px;}.elementor-334 .elementor-element.elementor-element-265d51e{--display:flex;--gap:7px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054{text-align:right;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-d20a0da{text-align:right;color:#737373;font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon i{color:#A0A0A0;font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon svg{fill:#A0A0A0;--e-icon-list-icon-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon{width:12px;}body:not(.rtl) .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-left:5px;}body.rtl .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-right:5px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text, .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text a{color:#737373;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-334 .elementor-element.elementor-element-0bd9f1f > .elementor-widget-container{padding:2px 0px 0px 0px;}.jet-listing-item.single-jet-engine.elementor-page-334 > .elementor{width:477px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-334 .elementor-element.elementor-element-265d51e{--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:14px;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-size:10px;}}@media(max-width:767px){.elementor-334 .elementor-element.elementor-element-0886035{--flex-wrap:nowrap;}.elementor-334 .elementor-element.elementor-element-707a33c{--width:35%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:65%;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:15px;line-height:1.5em;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}}@media(min-width:768px){.elementor-334 .elementor-element.elementor-element-707a33c{--width:25%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:75%;}}</style>		\n					<ul>\n								<li itemprop=\"datePublished\">\n										جولای 4, 2023					\n								</li>\n				</ul>\n		<style>.elementor-334 .elementor-element.elementor-element-0886035{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:15px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-334 .elementor-element.elementor-element-707a33c{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-a6d33fb img{border-radius:10px 10px 10px 10px;}.elementor-334 .elementor-element.elementor-element-265d51e{--display:flex;--gap:7px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054{text-align:right;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-d20a0da{text-align:right;color:#737373;font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon i{color:#A0A0A0;font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon svg{fill:#A0A0A0;--e-icon-list-icon-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon{width:12px;}body:not(.rtl) .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-left:5px;}body.rtl .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-right:5px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text, .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text a{color:#737373;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-334 .elementor-element.elementor-element-0bd9f1f > .elementor-widget-container{padding:2px 0px 0px 0px;}.jet-listing-item.single-jet-engine.elementor-page-334 > .elementor{width:477px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-334 .elementor-element.elementor-element-265d51e{--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:14px;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-size:10px;}}@media(max-width:767px){.elementor-334 .elementor-element.elementor-element-0886035{--flex-wrap:nowrap;}.elementor-334 .elementor-element.elementor-element-707a33c{--width:35%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:65%;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:15px;line-height:1.5em;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}}@media(min-width:768px){.elementor-334 .elementor-element.elementor-element-707a33c{--width:25%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:75%;}}</style>		\n					<ul>\n								<li itemprop=\"datePublished\">\n										جولای 4, 2023					\n								</li>\n				</ul>\n		<style>.elementor-334 .elementor-element.elementor-element-0886035{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:15px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-334 .elementor-element.elementor-element-707a33c{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-a6d33fb img{border-radius:10px 10px 10px 10px;}.elementor-334 .elementor-element.elementor-element-265d51e{--display:flex;--gap:7px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054{text-align:right;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-d20a0da{text-align:right;color:#737373;font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;line-height:1.7em;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon i{color:#A0A0A0;font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon svg{fill:#A0A0A0;--e-icon-list-icon-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-icon{width:12px;}body:not(.rtl) .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-left:5px;}body.rtl .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text{padding-right:5px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text, .elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-text a{color:#737373;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-334 .elementor-element.elementor-element-0bd9f1f > .elementor-widget-container{padding:2px 0px 0px 0px;}.jet-listing-item.single-jet-engine.elementor-page-334 > .elementor{width:477px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-334 .elementor-element.elementor-element-265d51e{--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:14px;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}.elementor-334 .elementor-element.elementor-element-0bd9f1f .elementor-icon-list-item{font-size:10px;}}@media(max-width:767px){.elementor-334 .elementor-element.elementor-element-0886035{--flex-wrap:nowrap;}.elementor-334 .elementor-element.elementor-element-707a33c{--width:35%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:65%;}.elementor-334 .elementor-element.elementor-element-2437054 .elementor-heading-title{font-size:15px;line-height:1.5em;}.elementor-334 .elementor-element.elementor-element-d20a0da{font-size:12px;}}@media(min-width:768px){.elementor-334 .elementor-element.elementor-element-707a33c{--width:25%;}.elementor-334 .elementor-element.elementor-element-265d51e{--width:75%;}}</style>		\n					<ul>\n								<li itemprop=\"datePublished\">\n										جولای 4, 2023					\n								</li>\n				</ul>\n			<h3>بررسی ویدئویی محصولات</h3>		\n			<p><a href=\"https://halochin.ir/multivendor/blog\">مشاهده همه </a></p>		\n			<style>.elementor-333 .elementor-element.elementor-element-c198329{--display:flex;--min-height:330px;--justify-content:center;--gap:15px;--background-transition:0.3s;--overlay-opacity:0.6;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:0rem;--padding-left:1rem;}.elementor-333 .elementor-element.elementor-element-c198329:not(.elementor-motion-effects-element-type-background), .elementor-333 .elementor-element.elementor-element-c198329 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-333 .elementor-element.elementor-element-c198329::before, .elementor-333 .elementor-element.elementor-element-c198329 > .elementor-background-video-container::before, .elementor-333 .elementor-element.elementor-element-c198329 > .e-con-inner > .elementor-background-video-container::before, .elementor-333 .elementor-element.elementor-element-c198329 > .elementor-background-slideshow::before, .elementor-333 .elementor-element.elementor-element-c198329 > .e-con-inner > .elementor-background-slideshow::before, .elementor-333 .elementor-element.elementor-element-c198329 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:var( --e-global-color-secondary );}.elementor-333 .elementor-element.elementor-element-c198329, .elementor-333 .elementor-element.elementor-element-c198329::before{--border-transition:0.3s;}.elementor-333 .elementor-element.elementor-element-fdd0951 .elementor-icon-wrapper{text-align:center;}.elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-stacked .elementor-icon{background-color:#EF3A4F66;color:var( --e-global-color-primary );}.elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-framed .elementor-icon, .elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-default .elementor-icon{color:#EF3A4F66;border-color:#EF3A4F66;}.elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-framed .elementor-icon, .elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-default .elementor-icon svg{fill:#EF3A4F66;}.elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-framed .elementor-icon{background-color:var( --e-global-color-primary );}.elementor-333 .elementor-element.elementor-element-fdd0951.elementor-view-stacked .elementor-icon svg{fill:var( --e-global-color-primary );}.elementor-333 .elementor-element.elementor-element-fdd0951 .elementor-icon{font-size:20px;padding:13px;}.elementor-333 .elementor-element.elementor-element-fdd0951 .elementor-icon svg{height:20px;}.elementor-333 .elementor-element.elementor-element-fdd0951 > .elementor-widget-container{margin:0px 0px -8px 0px;}.elementor-333 .elementor-element.elementor-element-1535a65{text-align:center;}.elementor-333 .elementor-element.elementor-element-1535a65 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebbold_FaNum\", Sans-serif;font-size:18px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-333 > .elementor{width:444px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-333 .elementor-element.elementor-element-1535a65 .elementor-heading-title{font-size:15px;}}@media(max-width:767px){.elementor-333 .elementor-element.elementor-element-c198329{--gap:15px;}}</style>		\n			بررسی های ویدئویی دیگر		\n			<style>.elementor-332 .elementor-element.elementor-element-da743aa{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 1px 0px;--border-width-top:0px;--border-width-right:0px;--border-width-bottom:1px;--border-width-left:0px;border-color:#E1E1E1;--border-color:#E1E1E1;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-332 .elementor-element.elementor-element-da743aa, .elementor-332 .elementor-element.elementor-element-da743aa::before{--border-transition:0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon i{color:#949494;transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon svg{fill:#949494;transition:fill 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon{padding-left:3px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-text{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item:hover .elementor-icon-list-text{color:var( --e-global-color-secondary );}.elementor-332 .elementor-element.elementor-element-acced14{text-align:left;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}@media(max-width:1024px){.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-size:11px;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{font-size:11px;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n		<style>.elementor-332 .elementor-element.elementor-element-da743aa{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 1px 0px;--border-width-top:0px;--border-width-right:0px;--border-width-bottom:1px;--border-width-left:0px;border-color:#E1E1E1;--border-color:#E1E1E1;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-332 .elementor-element.elementor-element-da743aa, .elementor-332 .elementor-element.elementor-element-da743aa::before{--border-transition:0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon i{color:#949494;transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon svg{fill:#949494;transition:fill 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon{padding-left:3px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-text{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item:hover .elementor-icon-list-text{color:var( --e-global-color-secondary );}.elementor-332 .elementor-element.elementor-element-acced14{text-align:left;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}@media(max-width:1024px){.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-size:11px;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{font-size:11px;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n		<style>.elementor-332 .elementor-element.elementor-element-da743aa{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 1px 0px;--border-width-top:0px;--border-width-right:0px;--border-width-bottom:1px;--border-width-left:0px;border-color:#E1E1E1;--border-color:#E1E1E1;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-332 .elementor-element.elementor-element-da743aa, .elementor-332 .elementor-element.elementor-element-da743aa::before{--border-transition:0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon i{color:#949494;transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon svg{fill:#949494;transition:fill 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon{padding-left:3px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-text{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item:hover .elementor-icon-list-text{color:var( --e-global-color-secondary );}.elementor-332 .elementor-element.elementor-element-acced14{text-align:left;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}@media(max-width:1024px){.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-size:11px;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{font-size:11px;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n		<style>.elementor-332 .elementor-element.elementor-element-da743aa{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 1px 0px;--border-width-top:0px;--border-width-right:0px;--border-width-bottom:1px;--border-width-left:0px;border-color:#E1E1E1;--border-color:#E1E1E1;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0.5rem;--padding-left:0.625rem;}.elementor-332 .elementor-element.elementor-element-da743aa, .elementor-332 .elementor-element.elementor-element-da743aa::before{--border-transition:0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon i{color:#949494;transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon svg{fill:#949494;transition:fill 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-icon{padding-left:3px;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-text{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item:hover .elementor-icon-list-text{color:var( --e-global-color-secondary );}.elementor-332 .elementor-element.elementor-element-acced14{text-align:left;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}@media(max-width:1024px){.elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > .elementor-icon-list-text, .elementor-332 .elementor-element.elementor-element-7c6511d .elementor-icon-list-item > a{font-size:11px;}.elementor-332 .elementor-element.elementor-element-acced14 .elementor-heading-title{font-size:11px;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<h2>برند های فروشگاه</h2>		\n			<p>Our Brands</p>		\n			<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-5-min.png\" alt=\"brand-5-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-5-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-5-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-4-min.png\" alt=\"brand-4-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-4-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-4-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-3-min.png\" alt=\"brand-3-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-3-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-3-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-8-min.png\" alt=\"brand-8-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-8-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-8-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-1-min.png\" alt=\"brand-1-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-1-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-1-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-6-min.png\" alt=\"brand-6-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-6-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-6-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-7-min.png\" alt=\"brand-7-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-7-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-7-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />		\n		<style>.elementor-331 .elementor-element.elementor-element-87fdcfd{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:1px 1px 1px 1px;--border-width-top:1px;--border-width-right:1px;--border-width-bottom:1px;--border-width-left:1px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0.75rem;--padding-right:1rem;--padding-bottom:0.75rem;--padding-left:0.6215rem;}.elementor-331 .elementor-element.elementor-element-87fdcfd, .elementor-331 .elementor-element.elementor-element-87fdcfd::before{--border-transition:0.3s;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image{justify-content:center;}.elementor-331 .elementor-element.elementor-element-f23875b .jet-listing-dynamic-image img{border-radius:15px 15px 15px 15px;}.jet-listing-item.single-jet-engine.elementor-page-331 > .elementor{width:365px;margin-left:auto;margin-right:auto;}</style>		\n			<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min.png\" alt=\"brand-2-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />", "صفحه اصلی", "", "publish", "closed", "closed", "", "home-page", "", "", "2023-07-11 05:22:04", "2023-07-11 05:22:04", "", "0", "https://halochin.ir/multivendor/?page_id=23", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("40", "1", "2023-07-03 08:45:26", "2023-07-03 05:15:26", "", "cart-header-ico", "", "inherit", "open", "closed", "", "cart-header-ico", "", "", "2023-07-03 08:45:26", "2023-07-03 05:15:26", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cart-header-ico.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("41", "1", "2023-07-03 08:45:26", "2023-07-03 05:15:26", "", "Heart-header-ico", "", "inherit", "open", "closed", "", "heart-header-ico", "", "", "2023-07-03 08:45:26", "2023-07-03 05:15:26", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Heart-header-ico.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("46", "1", "2023-07-03 09:00:20", "2023-07-03 05:30:20", "", "menu-icon1", "", "inherit", "open", "closed", "", "menu-icon1", "", "", "2023-07-03 09:00:20", "2023-07-03 05:30:20", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/menu-icon1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("47", "1", "2023-07-03 09:00:21", "2023-07-03 05:30:21", "", "menu-icon2", "", "inherit", "open", "closed", "", "menu-icon2", "", "", "2023-07-03 09:00:21", "2023-07-03 05:30:21", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/menu-icon2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("48", "1", "2023-07-03 09:00:22", "2023-07-03 05:30:22", "", "menu-icon3", "", "inherit", "open", "closed", "", "menu-icon3", "", "", "2023-07-03 09:00:22", "2023-07-03 05:30:22", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/menu-icon3.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("49", "1", "2023-07-03 09:00:22", "2023-07-03 05:30:22", "", "menu-icon4", "", "inherit", "open", "closed", "", "menu-icon4", "", "", "2023-07-03 09:00:22", "2023-07-03 05:30:22", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/menu-icon4.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("50", "1", "2023-07-03 09:00:24", "2023-07-03 05:30:24", "", "menu-icon5", "", "inherit", "open", "closed", "", "menu-icon5", "", "", "2023-07-03 09:00:24", "2023-07-03 05:30:24", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/menu-icon5.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("51", "1", "2023-07-03 09:00:24", "2023-07-03 05:30:24", "", "menu-icon6", "", "inherit", "open", "closed", "", "menu-icon6", "", "", "2023-07-03 09:00:24", "2023-07-03 05:30:24", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/menu-icon6.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("52", "1", "2023-07-03 09:00:41", "2023-07-03 05:30:41", "", "Buy", "", "inherit", "open", "closed", "", "buy", "", "", "2023-07-03 09:00:41", "2023-07-03 05:30:41", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Buy.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("53", "1", "2023-07-03 09:01:35", "2023-07-03 05:31:35", "", "Category-header", "", "inherit", "open", "closed", "", "category-header", "", "", "2023-07-03 09:01:35", "2023-07-03 05:31:35", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Category-header.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("54", "1", "2023-07-03 09:04:09", "2023-07-03 05:34:09", "", "cart-icon (1)", "", "inherit", "open", "closed", "", "cart-icon-1", "", "", "2023-07-03 09:04:09", "2023-07-03 05:34:09", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cart-icon-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("55", "1", "2023-07-03 09:04:10", "2023-07-03 05:34:10", "", "category-icon", "", "inherit", "open", "closed", "", "category-icon", "", "", "2023-07-03 09:04:10", "2023-07-03 05:34:10", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/category-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("56", "1", "2023-07-03 09:04:11", "2023-07-03 05:34:11", "", "home-icon", "", "inherit", "open", "closed", "", "home-icon", "", "", "2023-07-03 09:04:11", "2023-07-03 05:34:11", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/home-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("57", "1", "2023-07-03 09:04:12", "2023-07-03 05:34:12", "", "blog-icon", "", "inherit", "open", "closed", "", "blog-icon", "", "", "2023-07-03 09:04:12", "2023-07-03 05:34:12", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("58", "1", "2023-07-03 09:04:12", "2023-07-03 05:34:12", "", "about-icon", "", "inherit", "open", "closed", "", "about-icon", "", "", "2023-07-03 09:04:12", "2023-07-03 05:34:12", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/about-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("59", "1", "2023-07-03 09:04:13", "2023-07-03 05:34:13", "", "contact-icon", "", "inherit", "open", "closed", "", "contact-icon", "", "", "2023-07-03 09:04:13", "2023-07-03 05:34:13", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/contact-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("62", "1", "2023-07-03 09:44:44", "2023-07-03 06:14:44", "<a href=\"https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%da%af%d8%a7-%d9%85%d9%86%d9%88\"></a>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			رایگان", "گرید محصولات مگا منو", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%da%af%d8%a7-%d9%85%d9%86%d9%88", "", "", "2023-07-03 09:55:23", "2023-07-03 06:25:23", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%da%af%d8%a7-%d9%85%d9%86%d9%88", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("68", "1", "2023-07-03 10:00:21", "2023-07-03 06:30:21", "", "cat-1", "", "inherit", "open", "closed", "", "cat-1", "", "", "2023-07-03 10:00:21", "2023-07-03 06:30:21", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("69", "1", "2023-07-03 10:00:21", "2023-07-03 06:30:21", "", "cat-2", "", "inherit", "open", "closed", "", "cat-2", "", "", "2023-07-03 10:00:21", "2023-07-03 06:30:21", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("70", "1", "2023-07-03 10:00:22", "2023-07-03 06:30:22", "", "cat-3", "", "inherit", "open", "closed", "", "cat-3", "", "", "2023-07-03 10:00:22", "2023-07-03 06:30:22", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-3.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("71", "1", "2023-07-03 10:00:23", "2023-07-03 06:30:23", "", "cat-4", "", "inherit", "open", "closed", "", "cat-4", "", "", "2023-07-03 10:00:23", "2023-07-03 06:30:23", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-4.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("72", "1", "2023-07-03 10:00:23", "2023-07-03 06:30:23", "", "cat-5", "", "inherit", "open", "closed", "", "cat-5", "", "", "2023-07-03 10:00:23", "2023-07-03 06:30:23", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-5.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("73", "1", "2023-07-03 10:00:24", "2023-07-03 06:30:24", "", "cat-6", "", "inherit", "open", "closed", "", "cat-6", "", "", "2023-07-03 10:00:24", "2023-07-03 06:30:24", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-6.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("74", "1", "2023-07-03 10:00:25", "2023-07-03 06:30:25", "", "cat-7", "", "inherit", "open", "closed", "", "cat-7", "", "", "2023-07-03 10:00:25", "2023-07-03 06:30:25", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-7.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("75", "1", "2023-07-03 10:00:25", "2023-07-03 06:30:25", "", "cat-8", "", "inherit", "open", "closed", "", "cat-8", "", "", "2023-07-03 10:00:25", "2023-07-03 06:30:25", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-8.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("76", "1", "2023-07-03 10:00:26", "2023-07-03 06:30:26", "", "cat-9", "", "inherit", "open", "closed", "", "cat-9", "", "", "2023-07-03 10:00:26", "2023-07-03 06:30:26", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-9.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("80", "1", "2023-07-03 11:35:40", "2023-07-03 08:05:40", "", "product1-min", "", "inherit", "open", "closed", "", "product1-min", "", "", "2023-07-03 11:35:40", "2023-07-03 08:05:40", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product1-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("81", "1", "2023-07-03 11:35:41", "2023-07-03 08:05:41", "", "product2-min", "", "inherit", "open", "closed", "", "product2-min", "", "", "2023-07-03 11:35:41", "2023-07-03 08:05:41", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product2-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("82", "1", "2023-07-03 11:35:43", "2023-07-03 08:05:43", "", "product3-min", "", "inherit", "open", "closed", "", "product3-min", "", "", "2023-07-03 11:35:43", "2023-07-03 08:05:43", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product3-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("83", "1", "2023-07-03 11:35:44", "2023-07-03 08:05:44", "", "product4-min", "", "inherit", "open", "closed", "", "product4-min", "", "", "2023-07-03 11:35:44", "2023-07-03 08:05:44", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product4-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("84", "1", "2023-07-03 11:35:45", "2023-07-03 08:05:45", "", "product5-min", "", "inherit", "open", "closed", "", "product5-min", "", "", "2023-07-03 11:35:45", "2023-07-03 08:05:45", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product5-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("85", "1", "2023-07-03 11:35:47", "2023-07-03 08:05:47", "", "product6-min", "", "inherit", "open", "closed", "", "product6-min", "", "", "2023-07-03 11:35:47", "2023-07-03 08:05:47", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product6-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("86", "1", "2023-07-03 11:35:48", "2023-07-03 08:05:48", "", "product7-min", "", "inherit", "open", "closed", "", "product7-min", "", "", "2023-07-03 11:35:48", "2023-07-03 08:05:48", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product7-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("87", "1", "2023-07-03 11:35:50", "2023-07-03 08:05:50", "", "product8-min", "", "inherit", "open", "closed", "", "product8-min", "", "", "2023-07-03 11:35:50", "2023-07-03 08:05:50", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product8-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("88", "1", "2023-07-03 11:35:51", "2023-07-03 08:05:51", "", "product9-min", "", "inherit", "open", "closed", "", "product9-min", "", "", "2023-07-03 11:35:51", "2023-07-03 08:05:51", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product9-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("89", "1", "2023-07-03 11:35:52", "2023-07-03 08:05:52", "", "product10-min", "", "inherit", "open", "closed", "", "product10-min", "", "", "2023-07-03 11:35:52", "2023-07-03 08:05:52", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product10-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("90", "1", "2023-07-03 11:35:53", "2023-07-03 08:05:53", "", "product11-min", "", "inherit", "open", "closed", "", "product11-min", "", "", "2023-07-03 11:35:53", "2023-07-03 08:05:53", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product11-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("91", "1", "2023-07-03 11:35:55", "2023-07-03 08:05:55", "", "product12-min", "", "inherit", "open", "closed", "", "product12-min", "", "", "2023-07-03 11:35:55", "2023-07-03 08:05:55", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product12-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("92", "1", "2023-07-03 11:35:56", "2023-07-03 08:05:56", "", "product13-min", "", "inherit", "open", "closed", "", "product13-min", "", "", "2023-07-03 11:35:56", "2023-07-03 08:05:56", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product13-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("93", "1", "2023-07-03 11:35:57", "2023-07-03 08:05:57", "", "product14-min", "", "inherit", "open", "closed", "", "product14-min", "", "", "2023-07-03 11:35:57", "2023-07-03 08:05:57", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product14-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("94", "1", "2023-07-03 11:35:59", "2023-07-03 08:05:59", "", "product15-min", "", "inherit", "open", "closed", "", "product15-min", "", "", "2023-07-03 11:35:59", "2023-07-03 08:05:59", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product15-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("95", "1", "2023-07-03 11:36:00", "2023-07-03 08:06:00", "", "product16-min", "", "inherit", "open", "closed", "", "product16-min", "", "", "2023-07-03 11:36:00", "2023-07-03 08:06:00", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product16-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("96", "1", "2023-07-03 11:36:02", "2023-07-03 08:06:02", "", "product17-min", "", "inherit", "open", "closed", "", "product17-min", "", "", "2023-07-03 11:36:02", "2023-07-03 08:06:02", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product17-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("97", "1", "2023-07-03 11:36:04", "2023-07-03 08:06:04", "", "product18-min", "", "inherit", "open", "closed", "", "product18-min", "", "", "2023-07-03 11:36:04", "2023-07-03 08:06:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product18-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("98", "1", "2023-07-03 11:36:05", "2023-07-03 08:06:05", "", "product19-min", "", "inherit", "open", "closed", "", "product19-min", "", "", "2023-07-03 11:36:05", "2023-07-03 08:06:05", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product19-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("99", "1", "2023-07-03 11:36:06", "2023-07-03 08:06:06", "", "product20-min", "", "inherit", "open", "closed", "", "product20-min", "", "", "2023-07-03 11:36:06", "2023-07-03 08:06:06", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/product20-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("100", "1", "2023-07-03 11:44:13", "2023-07-03 08:14:13", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "کتونی رانینگ آدیداس", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "running-adidas-shoes", "", "", "2023-07-06 15:38:09", "2023-07-06 12:08:09", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=100", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("102", "1", "2023-07-03 11:46:55", "2023-07-03 08:16:55", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "هندزفری بلوتوثی مدل ایرپاد", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "bluetoth-airpod", "", "", "2023-07-06 15:37:40", "2023-07-06 12:07:40", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=102", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("104", "1", "2023-07-03 11:49:53", "2023-07-03 08:19:53", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "گوشی موبایل سامسونگ A73", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "a73-samsung", "", "", "2023-07-06 15:37:11", "2023-07-06 12:07:11", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=104", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("106", "1", "2023-07-03 11:53:18", "2023-07-03 08:23:18", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "ماکارونی پنه ریگاته زر ماکارون", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "peneh-zarmacaron-spagetti", "", "", "2023-07-06 15:36:36", "2023-07-06 12:06:36", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=106", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("108", "1", "2023-07-03 11:55:22", "2023-07-03 08:25:22", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "زعفران درجه یک مصطفوی", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "mostafavi-saffron", "", "", "2023-07-08 15:05:22", "2023-07-08 11:35:22", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=108", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("111", "1", "2023-07-03 11:58:49", "2023-07-03 08:28:49", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "هندزفری بلوتوثی لیتو", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "bluetoth-hansfree-leito", "", "", "2023-07-06 15:35:29", "2023-07-06 12:05:29", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=111", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("113", "1", "2023-07-03 12:02:14", "2023-07-03 08:32:14", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "شامپو گلرنگ مناسب موهای چرب", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "golrang-shampoo", "", "", "2023-07-06 15:35:04", "2023-07-06 12:05:04", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=113", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("115", "1", "2023-07-03 12:04:07", "2023-07-03 08:34:07", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "دفتر سیمی فانتزی طرح کاکتوس", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "note-book-cactous-pattern", "", "", "2023-07-06 15:34:39", "2023-07-06 12:04:39", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=115", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("118", "6", "2023-07-03 12:07:05", "2023-07-03 08:37:05", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "گوشی موبایل هوآوی مدل P50", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "huawei-p50", "", "", "2023-07-06 15:33:31", "2023-07-06 12:03:31", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=118", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("120", "6", "2023-07-03 12:09:26", "2023-07-03 08:39:26", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "دفتر فانتزی طرح یونیکورن", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "notebook-unicorn-pattern", "", "", "2023-07-06 15:33:05", "2023-07-06 12:03:05", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=120", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("122", "6", "2023-07-03 12:29:19", "2023-07-03 08:59:19", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "لپ تاپ 15.6 اینچی ایسوس", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "asus-laptop-15-6-inch", "", "", "2023-07-06 15:32:40", "2023-07-06 12:02:40", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=122", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("124", "6", "2023-07-03 12:31:24", "2023-07-03 12:31:24", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "شامپو بدن مای مدل سامر", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "body-shampoo-my-summer", "", "", "2023-07-11 06:31:42", "2023-07-11 06:31:42", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=124", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("126", "6", "2023-07-03 12:32:59", "2023-07-03 09:02:59", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "پایه نگهدارنده گوشی موبایل", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "%d9%be%d8%a7%db%8c%d9%87-%d9%86%da%af%d9%87%d8%af%d8%a7%d8%b1%d9%86%d8%af%d9%87-%da%af%d9%88%d8%b4%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "", "", "2023-07-06 16:32:37", "2023-07-06 13:02:37", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=126", "0", "product", "", "3");
INSERT INTO `wp_sa_posts` VALUES("128", "6", "2023-07-03 12:35:16", "2023-07-03 09:05:16", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "قهوه فوری گلد نسکافه", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "gold-nescafe-coffee", "", "", "2023-07-06 15:31:28", "2023-07-06 12:01:28", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=128", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("130", "5", "2023-07-03 12:36:37", "2023-07-03 09:06:37", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "ماشین لباسشویی پاکشوما", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "pakshoma-washing-machine", "", "", "2023-07-06 15:30:58", "2023-07-06 12:00:58", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=130", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("132", "5", "2023-07-03 12:38:34", "2023-07-03 09:08:34", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "صندلی گیمینگ داوینکس", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "davinx-gaming-chair", "", "", "2023-07-06 15:30:09", "2023-07-06 12:00:09", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=132", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("134", "5", "2023-07-03 12:40:08", "2023-07-03 09:10:08", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "ژل حالت دهنده مو مای", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "my-fix-styling-gel", "", "", "2023-07-06 15:29:13", "2023-07-06 11:59:13", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=134", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("136", "4", "2023-07-03 12:41:51", "2023-07-03 12:41:51", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "جامدادی طرح پیشی مدل فلت", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "cat-design-pencil-holder", "", "", "2023-07-11 06:31:30", "2023-07-11 06:31:30", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=136", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("138", "4", "2023-07-03 12:42:52", "2023-07-03 09:12:52", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "سس هزار جزیره کاله", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "kalleh-thousand-island", "", "", "2024-01-08 04:41:45", "2024-01-08 05:41:45", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=138", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("140", "4", "2023-07-03 12:43:52", "2023-07-03 09:13:52", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "شارژر همراه انرجایزر", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "energizer-power-bank", "", "", "2023-07-06 15:26:56", "2023-07-06 11:56:56", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=140", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("142", "4", "2023-07-03 12:50:01", "2023-07-03 12:50:01", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "هدفون بیسیم بیتس استودیو 3", "<ul>\r\n 	<li>مناسب برای پیاده روی روزانه</li>\r\n 	<li>زیره پیو نرم و انعطاف پذیر</li>\r\n 	<li>سایز استاندارد</li>\r\n 	<li>جنس رویه پارچه قابل شستشو</li>\r\n 	<li>دارای بند زاپاس</li>\r\n</ul>", "publish", "open", "closed", "", "beat-studio-3-headphones", "", "", "2024-01-08 04:41:44", "2024-01-08 05:41:44", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=142", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("143", "1", "2023-07-03 12:49:28", "2023-07-03 09:19:28", "", "4-min-min", "", "inherit", "open", "closed", "", "4-min-min", "", "", "2023-07-03 12:49:28", "2023-07-03 09:19:28", "", "142", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/4-min-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("144", "1", "2023-07-03 12:49:30", "2023-07-03 09:19:30", "", "3-min-min", "", "inherit", "open", "closed", "", "3-min-min", "", "", "2023-07-03 12:49:30", "2023-07-03 09:19:30", "", "142", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/3-min-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("145", "1", "2023-07-03 12:49:35", "2023-07-03 09:19:35", "", "2-min-min", "", "inherit", "open", "closed", "", "2-min-min", "", "", "2023-07-03 12:49:35", "2023-07-03 09:19:35", "", "142", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/2-min-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("146", "1", "2023-07-03 12:49:36", "2023-07-03 09:19:36", "", "1-min-min", "", "inherit", "open", "closed", "", "1-min-min", "", "", "2023-07-03 12:49:36", "2023-07-03 09:19:36", "", "142", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/1-min-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("148", "1", "2023-07-03 12:55:27", "2023-07-03 09:25:27", "", "Hero-Yellow-min-1", "", "inherit", "open", "closed", "", "hero-yellow-min-1", "", "", "2023-07-03 12:55:27", "2023-07-03 09:25:27", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Hero-Yellow-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("150", "1", "2023-07-03 12:55:38", "2023-07-03 09:25:38", "", "Hero-Red", "", "inherit", "open", "closed", "", "hero-red", "", "", "2023-07-03 12:55:38", "2023-07-03 09:25:38", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Hero-Red.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("151", "1", "2023-07-03 12:55:48", "2023-07-03 09:25:48", "", "Hero-Purple-min-1", "", "inherit", "open", "closed", "", "hero-purple-min-1", "", "", "2023-07-03 12:55:48", "2023-07-03 09:25:48", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Hero-Purple-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("167", "1", "2023-07-03 13:06:08", "2023-07-03 09:36:08", "", "slider-pagination-bg", "", "inherit", "open", "closed", "", "slider-pagination-bg", "", "", "2023-07-03 13:06:08", "2023-07-03 09:36:08", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/slider-pagination-bg.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("183", "1", "2023-07-03 13:27:17", "2023-07-03 09:57:17", "%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "گرید محصولات", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa", "", "", "2024-05-27 10:24:44", "2024-05-27 06:54:44", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("184", "1", "2023-07-03 13:28:39", "2023-07-03 09:58:39", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png", "", "", "2023-07-03 13:28:39", "2023-07-03 09:58:39", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("186", "1", "2023-07-03 13:33:11", "2023-07-03 10:03:11", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-2", "", "", "2023-07-03 13:33:11", "2023-07-03 10:03:11", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("187", "1", "2023-07-03 13:33:12", "2023-07-03 10:03:12", "", "shopping-cart-icon.svg", "", "inherit", "open", "closed", "", "shopping-cart-icon-svg", "", "", "2023-07-03 13:33:12", "2023-07-03 10:03:12", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/shopping-cart-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("193", "1", "2023-07-03 13:45:52", "2023-07-03 10:15:52", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-3", "", "", "2023-07-03 13:45:52", "2023-07-03 10:15:52", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("209", "1", "2023-07-03 14:04:05", "2023-07-03 10:34:05", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"157\" height=\"92\" viewBox=\"0 0 157 92\" fill=\"none\"><g clip-path=\"url(#clip0_246_4038)\"><path d=\"M156.5 41.5C109.85 47.3203 121.69 91.5 78.75 91.5C35.8099 91.5 52.8333 48.7222 1 41.5\" stroke=\"#DFDFDF\"></path><path d=\"M156.5 24H1V41H156.5V24Z\" fill=\"white\"></path></g><path d=\"M157 0H1V24H157V0Z\" fill=\"white\"></path><defs><clipPath id=\"clip0_246_4038\"><rect width=\"157\" height=\"68\" fill=\"white\" transform=\"translate(0 24)\"></rect></clipPath></defs></svg>			\n			<a href=\"#\">\n			<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"73\" height=\"73\" viewBox=\"0 0 73 73\" fill=\"none\"><g filter=\"url(#filter0_f_63_2917)\"><circle cx=\"36.5\" cy=\"36.5\" r=\"28\" stroke=\"#EF3A4F\" stroke-opacity=\"0.7\"></circle></g><circle cx=\"37\" cy=\"37\" r=\"23\" stroke=\"#EF3A4F\" stroke-width=\"2\"></circle><circle cx=\"36.729\" cy=\"37.3638\" r=\"19.5455\" fill=\"#EF3A4F\"></circle><path d=\"M43.6368 40.9658C43.41 41.1978 43.0551 41.2189 42.805 41.0291L42.7333 40.9658L37.2221 35.3297L31.7109 40.9658C31.4841 41.1978 31.1292 41.2189 30.8791 41.0291L30.8074 40.9658C30.5806 40.7339 30.56 40.3709 30.7455 40.1151L30.8074 40.0418L36.7704 33.9433C36.9972 33.7113 37.3521 33.6902 37.6022 33.88L37.6739 33.9433L43.6368 40.0418C43.8864 40.297 43.8864 40.7107 43.6368 40.9658Z\" fill=\"white\" stroke=\"white\"></path><defs><filter id=\"filter0_f_63_2917\" x=\"0\" y=\"0\" width=\"73\" height=\"73\" filterUnits=\"userSpaceOnUse\" color-interpolation-filters=\"sRGB\"><feGaussianBlur stdDeviation=\"4\"></feGaussianBlur></filter></defs></svg>			</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>دسترسی سریع		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/\">\n											صفحه اصلی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/about-us/\">\n											درباره ما\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/blog/\">\n											وبلاگ\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/contact-us/\">\n											تماس با ما\n											</a>\n									</li>\n						</ul>\n			خدمات مشتریان		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/my-account/\">\n											ثبت نام / ورود\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مرجوعی سفارش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پشتیبانی آنلاین\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شکایات\n											</a>\n									</li>\n						</ul>\n			خدمات همکاران		\n					<ul>\n							<li>\n											<a href=\"#\">\n											فروشنده شوید\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پنل فروشندگان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لغو قرارداد\n											</a>\n									</li>\n						</ul>\n			راهنمای خرید		\n					<ul>\n							<li>\n											<a href=\"#\">\n											نحوه ثبت سفارش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											رویه های ارسال کالا\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیوه های پرداخت\n											</a>\n									</li>\n						</ul>\n			دسترسی سریع		\n		<p>برای اطلاع از جدیدترین تخفیف ها، در شبکه های اجتماعی ما را دنبال کنید.</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Linkedin\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path d=\"M19.2307 32.308V17.6227L33.8461 10.7695V26.9234L19.2307 32.308Z\" fill=\"\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.6453 1L1 8.99086V27.0091L18.6453 35L36.2906 27.0091V22.0473C36.776 23.1563 37.0381 24.3722 37.0381 25.6316C37.0381 30.5526 33.0345 34.5562 28.1135 34.5562V31.0639L23.6455 35.532L28.1135 40V36.8844C34.3183 36.8844 39.3663 31.8364 39.3663 25.6317C39.3663 22.6974 38.2387 19.9505 36.2906 17.8956V8.99086L18.6453 1ZM17.2584 16.3873V31.388L3.77367 25.1802V10.8198L18.6453 4.01766L23.5998 6.14102L8.32102 12.6891V24.3965H11.0947V14.518L27.1204 7.64977L32.383 9.90523L17.2584 16.3873ZM33.6454 25.5L20.0322 31.3879V18.2162L33.6454 12V25.5ZM25.2681 19.6129V22.3866L32.6645 19.1506V16.377L25.2681 19.6129ZM25.2681 23.6177V26.3913L28.9663 24.7734V21.9997L25.2681 23.6177Z\" fill=\"#202124\"></path></svg>				\n				<p>\n						۱۰ روز ضمانت بازگشت					\n				</p>\n									<p>\n						حتی سلیقه ای!					</p>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path d=\"M36 25H9V40H36V25Z\" fill=\"\"></path><path d=\"M36.5 25.5L32 14H3.5L8.5 25.5H36.5Z\" stroke=\"#202124\"></path><path d=\"M33.2422 13.8661V0H2.77344V15.2344L6.74367 25.7727C6.74789 25.785 6.75312 25.7967 6.75781 25.8089V40H37.2266V24.2188L33.2422 13.8661ZM5.11719 2.34375H30.8984V12.8906H5.11719V2.34375ZM5.35156 15.2344H31.2348L34.5703 24.2188H8.68703L5.35156 15.2344ZM34.8828 37.6562H9.10156V26.5625H34.8828V37.6562Z\" fill=\"#202124\"></path><path d=\"M12.3047 4.29688H7.53906V6.64062H12.3047V4.29688Z\" fill=\"#202124\"></path><path d=\"M16.1328 8.4375H7.46094V10.7812H16.1328V8.4375Z\" fill=\"#202124\"></path><path d=\"M29.4141 18.2031H10.8984V20.5469H29.4141V18.2031Z\" fill=\"#202124\"></path><path d=\"M30.2428 32.3067C30.1704 32.1379 30.0667 31.9944 29.9316 31.8761C29.7964 31.7579 29.6336 31.6553 29.4431 31.5685C29.2524 31.4816 29.0389 31.402 28.8025 31.3297C28.7494 31.3152 28.6987 31.2996 28.6506 31.2826C28.6023 31.2659 28.5565 31.2526 28.5131 31.2429V30.5914C28.6481 30.6156 28.782 30.6506 28.9148 30.6965C29.0475 30.7424 29.1668 30.7918 29.2731 30.8448C29.3985 30.9027 29.5143 30.9655 29.6205 31.033L30.2285 29.8677C30.1271 29.8196 30.0161 29.7676 29.8956 29.712C29.775 29.6565 29.6459 29.6035 29.5084 29.5529C29.3709 29.5022 29.2272 29.4577 29.0778 29.419C28.9282 29.3804 28.7738 29.3515 28.6146 29.3321V28.5938H28.0356V29.3248C27.8087 29.349 27.5952 29.4044 27.395 29.4913C27.1948 29.5781 27.0198 29.6938 26.8703 29.8386C26.7207 29.9833 26.6025 30.1558 26.5157 30.3561C26.4288 30.5564 26.3854 30.7868 26.3854 31.0473C26.3854 31.2355 26.4107 31.4019 26.4614 31.5466C26.5121 31.6914 26.5905 31.8206 26.6967 31.934C26.8028 32.0473 26.9379 32.1486 27.102 32.2379C27.266 32.3272 27.4614 32.4105 27.6882 32.4877C27.8378 32.5409 27.9874 32.5865 28.137 32.6251V33.2621C27.9631 33.238 27.793 33.1957 27.6265 33.1353C27.46 33.0751 27.314 33.0136 27.1886 32.9509C27.039 32.8785 26.8991 32.8013 26.7689 32.7192L26.1609 33.9569C26.4214 34.1113 26.7157 34.2391 27.0439 34.3405C27.3719 34.4418 27.7025 34.507 28.0354 34.5359V35.4262H28.6144V34.5504C28.8363 34.5359 29.051 34.4962 29.2585 34.431C29.466 34.3658 29.6505 34.2695 29.8122 34.1416C29.9739 34.0137 30.1041 33.8496 30.2031 33.6493C30.3019 33.449 30.3514 33.2067 30.3514 32.922C30.3514 32.6807 30.3153 32.4757 30.2428 32.3067ZM28.1368 31.1198C28.0402 31.0812 27.9678 31.039 27.9196 30.993C27.8714 30.9473 27.8473 30.8881 27.8473 30.8157C27.8473 30.6759 27.9438 30.5938 28.1368 30.5697V31.1198ZM28.7592 33.2113C28.711 33.25 28.629 33.2741 28.5132 33.2837V32.7481C28.6096 32.7868 28.6868 32.8313 28.7448 32.882C28.8027 32.9326 28.8317 32.9919 28.8317 33.0595C28.8317 33.1222 28.8075 33.1727 28.7592 33.2113Z\" fill=\"#202124\"></path><path d=\"M16.9141 33.125H12.1484V35.4688H16.9141V33.125Z\" fill=\"#202124\"></path><path d=\"M20.7422 28.9844H12.0703V31.3281H20.7422V28.9844Z\" fill=\"#202124\"></path></svg>				\n				<p>\n						امکان خرید اقساطی					\n				</p>\n									<p>\n						بدون چک و ضامن					</p>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14.9999 2.91699L13.7499 7.50033H10.4166V12.0837L8.33325 14.5837L10.4166 17.0837V21.2503L13.7499 22.5003V25.8337L17.4999 24.5837L20.8333 27.0837L23.3332 24.5837L26.6666 25.8337L28.7499 21.2503H31.6666V17.0837L33.3332 14.5837L30.4166 12.0837L31.6666 7.50033H28.7499L26.6666 2.91699L23.3332 5.00033L20.8333 1.66699L17.4999 5.00033L14.9999 2.91699ZM19.9999 20.0003C17.2429 20.0003 14.9999 17.7573 14.9999 15.0003C14.9998 12.2433 17.2428 10.0003 19.9999 10.0003C22.757 10.0003 24.9999 12.2434 24.9999 15.0003C24.9999 17.7573 22.757 20.0003 19.9999 20.0003Z\" fill=\"\"></path><path d=\"M20.1451 7.53711C16.2183 7.53711 13.0237 10.7318 13.0237 14.6586C13.0237 18.5854 16.2183 21.78 20.1451 21.78C24.0719 21.78 27.2666 18.5854 27.2666 14.6586C27.2666 10.7318 24.0719 7.53711 20.1451 7.53711ZM20.1451 19.2117C17.6345 19.2117 15.592 17.1691 15.592 14.6586C15.5919 12.148 17.6344 10.1055 20.1451 10.1055C22.6558 10.1055 24.6982 12.148 24.6982 14.6586C24.6982 17.1691 22.6558 19.2117 20.1451 19.2117Z\" fill=\"#202124\"></path><path d=\"M31.9279 22.2561L32.8204 22.0194L31.6975 17.7851L34.803 14.6954L31.7133 11.59L32.8579 7.36147L28.6294 6.21686L27.5065 1.98257L23.2722 3.10554L20.1826 0L17.0771 3.08968L12.8486 1.94507L11.704 6.17358L7.46959 7.29655L8.59256 11.5308L5.4871 14.6205L8.57678 17.7261L7.43217 21.9546L8.11873 22.1404L3.08374 34.692L10.631 34.2902L16.6359 40L19.9999 31.6136L23.3639 40L29.3687 34.2902L36.916 34.692L31.9279 22.2561ZM15.6619 35.5296L11.5992 31.6666L6.96569 31.9133L10.6148 22.816L11.6606 23.0991L12.7836 27.3333L17.0179 26.2104L18.7156 27.9168L15.6619 35.5296ZM17.7927 23.3478L14.6076 24.1925L13.7629 21.0074L10.5822 20.1464L11.4432 16.9657L9.11912 14.6297L11.4551 12.3056L10.6104 9.12053L13.7955 8.27584L14.6566 5.09515L17.8373 5.95616L20.1733 3.6321L22.4973 5.96811L25.6825 5.12343L26.5272 8.3085L29.7079 9.16951L28.8468 12.3502L31.1709 14.6862L28.835 17.0103L29.6797 20.1954L26.4946 21.04L25.6336 24.2207L22.4529 23.3597L20.1168 25.6837L17.7927 23.3478ZM28.4007 31.6666L24.3381 35.5296L21.3499 28.0799L23.213 26.2263L27.4415 27.3709L28.5861 23.1424L29.4267 22.9194L33.0343 31.9131L28.4007 31.6666Z\" fill=\"#202124\"></path></svg>				\n				<p>\n						تضمین اصالت کالا					\n				</p>\n									<p>\n						واقعی!					</p>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><g clip-path=\"url(#clip0_63_3052)\"><path d=\"M20 7.66602C14.4066 7.66602 9.85596 12.2166 9.85596 17.8101C9.85596 23.4035 14.4066 27.9542 20 27.9542C25.5935 27.9542 30.1441 23.4036 30.1441 17.8102C30.1441 12.2166 25.5935 7.66602 20 7.66602ZM20 25.1877C15.9321 25.1877 12.6225 21.8781 12.6225 17.8102C12.6225 13.7422 15.9321 10.4326 20 10.4326C24.068 10.4326 27.3775 13.7421 27.3775 17.8101C27.3775 21.8781 24.068 25.1877 20 25.1877Z\" fill=\"#202124\"></path><path d=\"M35.8335 16.25H32.9167V25L35.8335 23.75L37.9167 22.0833V17.9167L35.8335 16.25Z\" fill=\"\" stroke=\"#202124\"></path><path d=\"M4.16658 16.25H7.08325V25L4.16658 23.75L2.08325 22.0833V17.9167L4.16658 16.25Z\" fill=\"0\"></path><path d=\"M34.928 14.237H34.4583C33.7594 6.87461 27.5423 1.0957 20 1.0957C12.4577 1.0957 6.24062 6.87461 5.54172 14.237H5.07203C2.27531 14.237 0 16.5123 0 19.309V20.6923C0 23.489 2.27531 25.7643 5.07203 25.7643H8.24203V15.6202C8.24203 9.13687 13.5166 3.86234 19.9999 3.86234C26.4833 3.86234 31.7578 9.13687 31.7578 15.6202V25.3144L25.894 32.8537H24.4594C23.8684 30.9527 22.0928 29.5684 20 29.5684C17.4257 29.5684 15.3314 31.6627 15.3314 34.2369C15.3314 36.8112 17.4257 38.9055 20 38.9055C22.0928 38.9055 23.8684 37.5212 24.4594 35.6202H27.2472L34.9129 25.7643H34.928C37.7248 25.7643 40.0001 23.489 40.0001 20.6923V19.309C40 16.5123 37.7247 14.237 34.928 14.237ZM5.47547 22.9977H5.07203C3.80078 22.9977 2.76656 21.9635 2.76656 20.6923V19.309C2.76656 18.0377 3.80078 17.0035 5.07203 17.0035H5.47547V22.9977ZM20 36.139C18.9512 36.139 18.098 35.2858 18.098 34.2369C18.098 33.1881 18.9512 32.3349 20 32.3349C21.0488 32.3349 21.902 33.1881 21.902 34.2369C21.902 35.2857 21.0488 36.139 20 36.139ZM37.2334 20.6923C37.2334 21.9635 36.1992 22.9977 34.928 22.9977H34.5245V17.0035H34.928C36.1992 17.0035 37.2334 18.0377 37.2334 19.309V20.6923Z\" fill=\"#202124\"></path></g><defs><clipPath id=\"clip0_63_3052\"><rect width=\"40\" height=\"40\" fill=\"white\"></rect></clipPath></defs></svg>				\n				<p>\n						پشتیبانی تا ۱۲ شب					\n				</p>\n									<p>\n						حتی جمعه ها					</p>\n		لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی است.		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"207\" height=\"206\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png 207w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez-150x150.png 150w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez-100x100.png 100w\" sizes=\"(max-width: 207px) 100vw, 207px\" />															\n															<img width=\"207\" height=\"206\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png 207w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez-150x150.png 150w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez-100x100.png 100w\" sizes=\"(max-width: 207px) 100vw, 207px\" />															\n															<img width=\"207\" height=\"206\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png 207w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez-150x150.png 150w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez-100x100.png 100w\" sizes=\"(max-width: 207px) 100vw, 207px\" />															\n		<p>تمامی حقوق برای سایت آماده چند فروشندگی محفوظ است.</p>", "فوتر اصلی سایت", "", "publish", "closed", "closed", "", "%d9%81%d9%88%d8%aa%d8%b1-%d8%a7%d8%b5%d9%84%db%8c-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-07-06 16:34:40", "2023-07-06 13:04:40", "", "0", "https://halochin.ir/multivendor/?post_type=elementor_library&#038;p=209", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("210", "1", "2023-07-03 13:57:23", "2023-07-03 10:27:23", "", "svgviewer-output-4.svg", "", "inherit", "open", "closed", "", "svgviewer-output-4-svg", "", "", "2023-07-03 13:57:23", "2023-07-03 10:27:23", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/svgviewer-output-4.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("211", "1", "2023-07-03 13:58:00", "2023-07-03 10:28:00", "", "footer-ico2-1.svg", "", "inherit", "open", "closed", "", "footer-ico2-1-svg", "", "", "2023-07-03 13:58:00", "2023-07-03 10:28:00", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/footer-ico2-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("212", "1", "2023-07-03 13:58:12", "2023-07-03 10:28:12", "", "footer-ico3-1.svg", "", "inherit", "open", "closed", "", "footer-ico3-1-svg", "", "", "2023-07-03 13:58:12", "2023-07-03 10:28:12", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/footer-ico3-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("213", "1", "2023-07-03 13:58:24", "2023-07-03 10:28:24", "", "footer-ico4-1.svg", "", "inherit", "open", "closed", "", "footer-ico4-1-svg", "", "", "2023-07-03 13:58:24", "2023-07-03 10:28:24", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/footer-ico4-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("214", "1", "2023-07-03 14:00:18", "2023-07-03 10:30:18", "", "logo-3.svg", "", "inherit", "open", "closed", "", "logo-3-svg", "", "", "2023-07-03 14:00:18", "2023-07-03 10:30:18", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/logo-3.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("215", "1", "2023-07-03 14:00:18", "2023-07-03 10:30:18", "", "mojavez.png", "", "inherit", "open", "closed", "", "mojavez-png", "", "", "2023-07-03 14:00:18", "2023-07-03 10:30:18", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mojavez.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("218", "1", "2023-07-03 14:09:24", "2023-07-03 10:39:24", "", "scrol-top-bg-5.svg", "", "inherit", "open", "closed", "", "scrol-top-bg-5-svg", "", "", "2023-07-03 14:09:24", "2023-07-03 10:39:24", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/scrol-top-bg-5.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("219", "1", "2023-07-03 14:10:10", "2023-07-03 10:40:10", "", "top-scroll.svg", "", "inherit", "open", "closed", "", "top-scroll-svg", "", "", "2023-07-03 14:10:10", "2023-07-03 10:40:10", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/top-scroll.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("224", "1", "2023-07-03 14:16:58", "2023-07-03 10:46:58", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:left;flex-direction:row}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:right;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style><figure><img width=\"92\" height=\"92\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/a1-min-1.png\" alt=\"\" loading=\"lazy\" /></figure><p>قرعه کشی تابستان!</p><p>هر خرید یک شانس بیشتر</p>		\n			<figure><img width=\"92\" height=\"92\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/a2-min-1.png\" alt=\"\" loading=\"lazy\" /></figure><p>از تخفیف ها جا نمون!</p><p>زمان های تخفیف بهت خبر میدیم</p>		\n			<figure><img width=\"92\" height=\"92\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/a3-min-1.png\" alt=\"\" loading=\"lazy\" /></figure><p>نظرت برامون مهمه!</p><p>نظرت رو در مورد کالاها بنویس</p>		\n			<figure><img width=\"92\" height=\"92\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/a4-min-1.png\" alt=\"\" loading=\"lazy\" /></figure><p>جیم مثل جت!</p><p>با جیم همون ساعت دستته!</p>", "قالب باکس آیکون سکشن دوم", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a8%d8%a7%da%a9%d8%b3-%d8%a2%db%8c%da%a9%d9%88%d9%86-%d8%b3%da%a9%d8%b4%d9%86-%d8%af%d9%88%d9%85", "", "", "2023-07-08 12:59:04", "2023-07-08 09:29:04", "", "0", "https://halochin.ir/multivendor/?post_type=elementor_library&#038;p=224", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("225", "1", "2023-07-03 14:17:19", "2023-07-03 10:47:19", "", "a1-min.png", "", "inherit", "open", "closed", "", "a1-min-png", "", "", "2023-07-03 14:17:19", "2023-07-03 10:47:19", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a1-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("226", "1", "2023-07-03 14:17:19", "2023-07-03 10:47:19", "", "A-back-Light-min.png", "", "inherit", "open", "closed", "", "a-back-light-min-png", "", "", "2023-07-03 14:17:19", "2023-07-03 10:47:19", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/A-back-Light-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("227", "1", "2023-07-03 14:17:21", "2023-07-03 10:47:21", "", "a2-min.png", "", "inherit", "open", "closed", "", "a2-min-png", "", "", "2023-07-03 14:17:21", "2023-07-03 10:47:21", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a2-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("228", "1", "2023-07-03 14:17:21", "2023-07-03 10:47:21", "", "a3-min.png", "", "inherit", "open", "closed", "", "a3-min-png", "", "", "2023-07-03 14:17:21", "2023-07-03 10:47:21", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a3-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("229", "1", "2023-07-03 14:17:22", "2023-07-03 10:47:22", "", "a4-min.png", "", "inherit", "open", "closed", "", "a4-min-png", "", "", "2023-07-03 14:17:22", "2023-07-03 10:47:22", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a4-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("241", "1", "2023-07-03 14:22:25", "2023-07-03 10:52:25", "", "main-banner-6", "", "inherit", "open", "closed", "", "main-banner-6", "", "", "2023-07-03 14:22:25", "2023-07-03 10:52:25", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-6.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("242", "1", "2023-07-03 14:22:29", "2023-07-03 10:52:29", "", "main-banner-5", "", "inherit", "open", "closed", "", "main-banner-5", "", "", "2023-07-03 14:22:29", "2023-07-03 10:52:29", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("243", "1", "2023-07-03 14:22:34", "2023-07-03 10:52:34", "", "main-banner-4", "", "inherit", "open", "closed", "", "main-banner-4", "", "", "2023-07-03 14:22:34", "2023-07-03 10:52:34", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("244", "1", "2023-07-03 14:22:37", "2023-07-03 10:52:37", "", "main-banner-2", "", "inherit", "open", "closed", "", "main-banner-2", "", "", "2023-07-03 14:22:37", "2023-07-03 10:52:37", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("245", "1", "2023-07-03 14:22:41", "2023-07-03 10:52:41", "", "main-banner-1", "", "inherit", "open", "closed", "", "main-banner-1", "", "", "2023-07-03 14:22:41", "2023-07-03 10:52:41", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/main-banner-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("252", "1", "2023-07-03 14:26:32", "2023-07-03 10:56:32", "", "Takhfifatoverlay", "", "inherit", "open", "closed", "", "takhfifatoverlay", "", "", "2023-07-03 14:26:32", "2023-07-03 10:56:32", "", "23", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Takhfifatoverlay.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("253", "1", "2023-07-03 14:30:35", "2023-07-03 11:00:35", "", "Takhfifatoverlay.png", "", "inherit", "open", "closed", "", "takhfifatoverlay-png", "", "", "2023-07-03 14:30:35", "2023-07-03 11:00:35", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Takhfifatoverlay-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("257", "1", "2023-07-03 14:33:02", "2023-07-03 11:03:02", "<a href=\"https://halochin.ir/multivendor/product-category/beauty/\"><img width=\"45\" height=\"45\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/cat-5.svg\" alt=\"cat-5\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/product-category/beauty/\"></a>", "گرید دسته های محصولات", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d9%87%d8%a7%db%8c-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa", "", "", "2023-07-06 10:45:59", "2023-07-06 07:15:59", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d9%87%d8%a7%db%8c-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("268", "1", "2023-07-04 08:34:19", "2023-07-04 05:04:19", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-4", "", "", "2023-07-04 08:34:19", "2023-07-04 05:04:19", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("293", "1", "2023-07-04 08:50:40", "2023-07-04 05:20:40", "%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "گرید محصولات افقی", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d8%a7%d9%81%d9%82%db%8c", "", "", "2024-05-27 10:30:37", "2024-05-27 07:00:37", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d8%a7%d9%81%d9%82%db%8c", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("297", "1", "2023-07-04 08:51:27", "2023-07-04 05:21:27", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-5", "", "", "2023-07-04 08:51:27", "2023-07-04 05:21:27", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("302", "1", "2023-07-04 08:56:53", "2023-07-04 05:26:53", "", "casual-life-3d-reward-badge-with-star-and-two-ribbons-2.png", "", "inherit", "open", "closed", "", "casual-life-3d-reward-badge-with-star-and-two-ribbons-2-png", "", "", "2023-07-04 08:56:53", "2023-07-04 05:26:53", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/casual-life-3d-reward-badge-with-star-and-two-ribbons-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("303", "1", "2023-07-04 08:56:53", "2023-07-04 05:26:53", "", "harchyz-com_3_59df6fc86dc0a_1-2.svg", "", "inherit", "open", "closed", "", "harchyz-com_3_59df6fc86dc0a_1-2-svg", "", "", "2023-07-04 08:56:53", "2023-07-04 05:26:53", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/harchyz-com_3_59df6fc86dc0a_1-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("304", "1", "2023-07-04 08:56:54", "2023-07-04 05:26:54", "", "Rectangle-127.svg", "", "inherit", "open", "closed", "", "rectangle-127-svg", "", "", "2023-07-04 08:56:54", "2023-07-04 05:26:54", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Rectangle-127.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("305", "1", "2023-07-04 08:56:54", "2023-07-04 05:26:54", "", "Rectangle-125.svg", "", "inherit", "open", "closed", "", "rectangle-125-svg", "", "", "2023-07-04 08:56:54", "2023-07-04 05:26:54", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Rectangle-125.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("330", "1", "2023-07-04 10:26:48", "2023-07-04 06:56:48", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>", "گرید وبلاگ", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-07-11 05:34:04", "2023-07-11 05:34:04", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%88%d8%a8%d9%84%d8%a7%da%af", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("331", "1", "2023-07-04 10:27:10", "2023-07-04 06:57:10", "<img width=\"330\" height=\"146\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min.png\" alt=\"brand-2-min\" decoding=\"async\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min.png 330w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min-300x133.png 300w\" sizes=\"(max-width: 330px) 100vw, 330px\" />", "گرید برند ها صفحه اصلی", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%a8%d8%b1%d9%86%d8%af-%d9%87%d8%a7-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-07-04 10:51:58", "2023-07-04 07:21:58", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%a8%d8%b1%d9%86%d8%af-%d9%87%d8%a7-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("332", "1", "2023-07-04 10:27:21", "2023-07-04 06:57:21", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n									</li>\n						</ul>", "گرید لیست بررسی ویدئویی(بدون تصویر) صفحه اصلی", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%84%db%8c%d8%b3%d8%aa-%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d9%88%db%8c%d8%af%d8%a6%d9%88%db%8c%db%8c%d8%a8%d8%af%d9%88%d9%86-%d8%aa%d8%b5%d9%88%db%8c%d8%b1-%d8%b5%d9%81%d8%ad", "", "", "2023-07-06 13:41:19", "2023-07-06 10:11:19", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%84%db%8c%d8%b3%d8%aa-%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d9%88%db%8c%d8%af%d8%a6%d9%88%db%8c%db%8c%d8%a8%d8%af%d9%88%d9%86-%d8%aa%d8%b5%d9%88%db%8c%d8%b1-%d8%b5%d9%81%d8%ad", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("333", "1", "2023-07-04 10:27:32", "2023-07-04 06:57:32", "", "گرید ویدئو بررسی ویدئویی صفحه اصلی", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%88%db%8c%d8%af%d8%a6%d9%88-%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d9%88%db%8c%d8%af%d8%a6%d9%88%db%8c%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-07-06 13:40:40", "2023-07-06 10:10:40", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%88%db%8c%d8%af%d8%a6%d9%88-%d8%a8%d8%b1%d8%b1%d8%b3%db%8c-%d9%88%db%8c%d8%af%d8%a6%d9%88%db%8c%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("334", "1", "2023-07-04 10:27:44", "2023-07-04 06:57:44", "", "گرید مقالات صفحه اصلی", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-07-06 13:39:42", "2023-07-06 10:09:42", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("335", "1", "2023-07-04 10:33:32", "2023-07-04 07:03:32", "", "brand-1-min", "", "inherit", "open", "closed", "", "brand-1-min", "", "", "2023-07-04 10:33:32", "2023-07-04 07:03:32", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-1-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("336", "1", "2023-07-04 10:33:33", "2023-07-04 07:03:33", "", "brand-2-min", "", "inherit", "open", "closed", "", "brand-2-min", "", "", "2023-07-04 10:33:33", "2023-07-04 07:03:33", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-2-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("337", "1", "2023-07-04 10:33:33", "2023-07-04 07:03:33", "", "brand-3-min", "", "inherit", "open", "closed", "", "brand-3-min", "", "", "2023-07-04 10:33:33", "2023-07-04 07:03:33", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-3-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("338", "1", "2023-07-04 10:33:34", "2023-07-04 07:03:34", "", "brand-4-min", "", "inherit", "open", "closed", "", "brand-4-min", "", "", "2023-07-04 10:33:34", "2023-07-04 07:03:34", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-4-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("339", "1", "2023-07-04 10:33:34", "2023-07-04 07:03:34", "", "brand-5-min", "", "inherit", "open", "closed", "", "brand-5-min", "", "", "2023-07-04 10:33:34", "2023-07-04 07:03:34", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-5-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("340", "1", "2023-07-04 10:33:35", "2023-07-04 07:03:35", "", "brand-6-min", "", "inherit", "open", "closed", "", "brand-6-min", "", "", "2023-07-04 10:33:35", "2023-07-04 07:03:35", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-6-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("341", "1", "2023-07-04 10:33:36", "2023-07-04 07:03:36", "", "brand-7-min", "", "inherit", "open", "closed", "", "brand-7-min", "", "", "2023-07-04 10:33:36", "2023-07-04 07:03:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-7-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("342", "1", "2023-07-04 10:33:36", "2023-07-04 07:03:36", "", "brand-8-min", "", "inherit", "open", "closed", "", "brand-8-min", "", "", "2023-07-04 10:33:36", "2023-07-04 07:03:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brand-8-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("358", "1", "2023-07-04 11:32:33", "2023-07-04 08:02:33", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "در تابستان چه جنس لباس هایی بپوشیم", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "what-kind-of-clothes-should-we-wear", "", "", "2023-07-04 13:55:15", "2023-07-04 10:25:15", "", "0", "https://halochin.ir/multivendor/?p=358", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("359", "1", "2023-07-04 11:29:16", "2023-07-04 07:59:16", "", "post-thumbnail1", "", "inherit", "open", "closed", "", "post-thumbnail1", "", "", "2023-07-04 11:29:16", "2023-07-04 07:59:16", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("360", "1", "2023-07-04 11:29:17", "2023-07-04 07:59:17", "", "post-thumbnail2", "", "inherit", "open", "closed", "", "post-thumbnail2", "", "", "2023-07-04 11:29:17", "2023-07-04 07:59:17", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("361", "1", "2023-07-04 11:29:17", "2023-07-04 07:59:17", "", "post-thumbnail3", "", "inherit", "open", "closed", "", "post-thumbnail3", "", "", "2023-07-04 11:29:17", "2023-07-04 07:59:17", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("362", "1", "2023-07-04 11:29:19", "2023-07-04 07:59:19", "", "post-thumbnail4", "", "inherit", "open", "closed", "", "post-thumbnail4", "", "", "2023-07-04 11:29:19", "2023-07-04 07:59:19", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("363", "1", "2023-07-04 11:29:20", "2023-07-04 07:59:20", "", "post-thumbnail5", "", "inherit", "open", "closed", "", "post-thumbnail5", "", "", "2023-07-04 11:29:20", "2023-07-04 07:59:20", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("364", "1", "2023-07-04 11:29:21", "2023-07-04 07:59:21", "", "post-thumbnail6", "", "inherit", "open", "closed", "", "post-thumbnail6", "", "", "2023-07-04 11:29:21", "2023-07-04 07:59:21", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("365", "1", "2023-07-04 11:29:22", "2023-07-04 07:59:22", "", "post-thumbnail7", "", "inherit", "open", "closed", "", "post-thumbnail7", "", "", "2023-07-04 11:29:22", "2023-07-04 07:59:22", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("367", "1", "2023-07-04 11:29:23", "2023-07-04 07:59:23", "", "post-thumbnail9", "", "inherit", "open", "closed", "", "post-thumbnail9", "", "", "2023-07-04 11:29:23", "2023-07-04 07:59:23", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("368", "1", "2023-07-04 11:29:23", "2023-07-04 07:59:23", "", "post-thumbnail10", "", "inherit", "open", "closed", "", "post-thumbnail10", "", "", "2023-07-04 11:29:23", "2023-07-04 07:59:23", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("369", "1", "2023-07-04 11:29:24", "2023-07-04 07:59:24", "", "post-thumbnail11", "", "inherit", "open", "closed", "", "post-thumbnail11", "", "", "2023-07-04 11:29:24", "2023-07-04 07:59:24", "", "358", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/post-thumbnail11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("371", "1", "2023-07-04 11:34:36", "2023-07-04 08:04:36", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "رنگ های با تناژ آبی را با چه رنگ هایی میتوان ست کرد", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "colors-with-blue-tones", "", "", "2023-07-04 13:55:10", "2023-07-04 10:25:10", "", "0", "https://halochin.ir/multivendor/?p=371", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("373", "1", "2023-07-04 11:35:43", "2023-07-04 08:05:43", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "اصول نگهداری و شستشوی لباس های جین", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "principles-of-maintenance-and-washing-of-denim-clothes", "", "", "2023-07-04 13:55:04", "2023-07-04 10:25:04", "", "0", "https://halochin.ir/multivendor/?p=373", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("375", "1", "2023-07-04 11:36:56", "2023-07-04 08:06:56", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "ترفند های خوشتیپ بنظر رسیدن فقط با یک حرکت", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "tricks-to-look-handsome-with-just-one-move", "", "", "2023-07-04 13:54:57", "2023-07-04 10:24:57", "", "0", "https://halochin.ir/multivendor/?p=375", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("377", "1", "2023-07-04 11:39:12", "2023-07-04 08:09:12", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "در زمستان چگونه جذاب تر بنظر برسیم", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "how-to-look-more-attractive-in-winter", "", "", "2023-07-04 13:54:52", "2023-07-04 10:24:52", "", "0", "https://halochin.ir/multivendor/?p=377", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("379", "1", "2023-07-04 11:40:37", "2023-07-04 08:10:37", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "بهترین لباس های مناسب هر رنگ پوست کدامند؟", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "the-best-clothes-for-every-skin-tone", "", "", "2023-07-04 13:55:43", "2023-07-04 10:25:43", "", "0", "https://halochin.ir/multivendor/?p=379", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("381", "1", "2023-07-04 11:42:23", "2023-07-04 08:12:23", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "راهکارهای کاربردی شستشوی ژاکت های بافت", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "practical-solutions-for-washing-jackets", "", "", "2023-07-04 13:55:37", "2023-07-04 10:25:37", "", "0", "https://halochin.ir/multivendor/?p=381", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("383", "1", "2023-07-04 11:43:21", "2023-07-04 08:13:21", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "رنگ های خنثی را با چه رنگ هایی میتوان ست کرد", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "matched-with-neutral-colors", "", "", "2023-07-04 13:55:29", "2023-07-04 10:25:29", "", "0", "https://halochin.ir/multivendor/?p=383", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("385", "1", "2023-07-04 11:45:09", "2023-07-04 08:15:09", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "مجلسی یا اسپورت انتخابی سلیقه ای", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "casual-or-sports-chosen-according-to-taste", "", "", "2023-07-04 13:55:20", "2023-07-04 10:25:20", "", "0", "https://halochin.ir/multivendor/?p=385", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("387", "1", "2023-07-04 11:46:08", "2023-07-04 08:16:08", "<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "رنگ های تیره و روشن بهترین انتخاب برای استایل روزانه", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "dark-and-light-colors-are-the-best-choice", "", "", "2023-07-04 13:53:49", "2023-07-04 10:23:49", "", "0", "https://halochin.ir/multivendor/?p=387", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("390", "1", "2023-07-04 11:48:10", "2023-07-04 08:18:10", "", "textalign-right.svg", "", "inherit", "open", "closed", "", "textalign-right-svg", "", "", "2023-07-04 11:48:10", "2023-07-04 08:18:10", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/textalign-right.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("391", "1", "2023-07-04 11:48:10", "2023-07-04 08:18:10", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"none\"><path d=\"M6.5 5.75H21.5\" stroke=\"#EF3A4F\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M13.6094 9.91675H21.501\" stroke=\"#EF3A4F\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6.5 14.0833H21.5\" stroke=\"#EF3A4F\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M13.6094 18.25H21.501\" stroke=\"#EF3A4F\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										آنچه در این مقاله میخوانیم\n									</li>\n						</ul>\n			<style>/*! elementor-pro - v3.13.2 - 22-05-2023 */\n.elementor-widget-table-of-contents .elementor-toc__header-title{color:var(--header-color)}.elementor-widget-table-of-contents.elementor-toc--collapsed .elementor-toc__toggle-button--collapse,.elementor-widget-table-of-contents:not(.elementor-toc--collapsed) .elementor-toc__toggle-button--expand{display:none}.elementor-widget-table-of-contents .elementor-widget-container{min-height:var(--box-min-height);border:var(--box-border-width,1px) solid var(--box-border-color,#9da5ae);border-radius:var(--box-border-radius,3px);background-color:var(--box-background-color);transition:min-height .4s;overflow:hidden}.elementor-toc__header{display:flex;align-items:center;justify-content:space-between;padding:var(--box-padding,20px);background-color:var(--header-background-color);border-bottom:var(--separator-width,1px) solid var(--box-border-color,#9da5ae)}.elementor-toc__header-title{font-size:18px;margin:0;color:var(--header-color)}.elementor-toc__toggle-button{cursor:pointer;display:inline-flex}.elementor-toc__toggle-button i{color:var(--toggle-button-color)}.elementor-toc__toggle-button svg{height:1em;width:1em;fill:var(--toggle-button-color)}.elementor-toc__spinner-container{text-align:center}.elementor-toc__spinner{font-size:2em}.elementor-toc__spinner.e-font-icon-svg{height:1em;width:1em}.elementor-toc__body{padding:var(--box-padding,20px);max-height:var(--toc-body-max-height);overflow-y:auto}.elementor-toc__body::-webkit-scrollbar{width:7px}.elementor-toc__body::-webkit-scrollbar-thumb{background-color:#babfc5;border-radius:10px}.elementor-toc__list-wrapper{list-style:none;padding:0}.elementor-toc__list-item{margin-bottom:.5em}.elementor-toc__list-item.elementor-item-active{font-weight:700}.elementor-toc__list-item .elementor-toc__list-wrapper{margin-top:.5em;margin-right:var(--nested-list-indent,1em)}.elementor-toc__list-item-text:hover{color:var(--item-text-hover-color);-webkit-text-decoration:var(--item-text-hover-decoration);text-decoration:var(--item-text-hover-decoration)}.elementor-toc__list-item-text.elementor-item-active{color:var(--item-text-active-color);-webkit-text-decoration:var(--item-text-active-decoration);text-decoration:var(--item-text-active-decoration)}.elementor-toc__list-item-text-wrapper{display:flex;align-items:center}.elementor-toc__list-item-text-wrapper:before,.elementor-toc__list-item-text-wrapper i{margin-left:8px;color:var(--marker-color)}.elementor-toc__list-item-text-wrapper svg{margin-left:8px;fill:var(--marker-color);height:var(--marker-size,.5em);width:var(--marker-size,.5em)}.elementor-toc__list-item-text-wrapper i{font-size:var(--marker-size,.5em)}.elementor-toc__list-item-text-wrapper:before{font-size:var(--marker-size,1em)}.elementor-toc--content-ellipsis .elementor-toc__list-item-text{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.elementor-toc__list-items--collapsible>.elementor-toc__list-wrapper>.elementor-toc__list-item>.elementor-toc__list-wrapper{display:none}.elementor-toc__heading-anchor{position:absolute}.elementor-toc__body .elementor-toc__list-item-text{color:var(--item-text-color);-webkit-text-decoration:var(--item-text-decoration);text-decoration:var(--item-text-decoration)}.elementor-toc__body .elementor-toc__list-item-text:hover{color:var(--item-text-hover-color);-webkit-text-decoration:var(--item-text-hover-decoration);text-decoration:var(--item-text-hover-decoration)}.elementor-toc__body .elementor-toc__list-item-text.elementor-item-active{color:var(--item-text-active-color);-webkit-text-decoration:var(--item-text-active-decoration);text-decoration:var(--item-text-active-decoration)}ol.elementor-toc__list-wrapper{counter-reset:item}ol.elementor-toc__list-wrapper .elementor-toc__list-item{counter-increment:item}ol.elementor-toc__list-wrapper .elementor-toc__list-item-text-wrapper:before{content:counters(item,\".\") \". \"}</style>		\n			<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:25%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:25%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			16,000,000		\n			15,000,000		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:25%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:25%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			2,500,000		\n			2,000,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:25%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:25%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			789,000		\n			635,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:25%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:25%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "سایدبار قالب مقاله", "", "publish", "closed", "closed", "", "%d8%b3%d8%a7%db%8c%d8%af%d8%a8%d8%a7%d8%b1-%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87", "", "", "2023-07-04 11:56:04", "2023-07-04 08:26:04", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d8%b3%d8%a7%db%8c%d8%af%d8%a8%d8%a7%d8%b1-%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("393", "1", "2023-07-04 11:48:28", "2023-07-04 08:18:28", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-6", "", "", "2023-07-04 11:48:28", "2023-07-04 08:18:28", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("394", "1", "2023-07-04 11:48:28", "2023-07-04 08:18:28", "", "user-edit-2.svg", "", "inherit", "open", "closed", "", "user-edit-2-svg", "", "", "2023-07-04 11:48:28", "2023-07-04 08:18:28", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/user-edit-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("395", "1", "2023-07-04 11:48:29", "2023-07-04 08:18:29", "", "calendar.svg", "", "inherit", "open", "closed", "", "calendar-svg", "", "", "2023-07-04 11:48:29", "2023-07-04 08:18:29", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/calendar.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("396", "1", "2023-07-04 11:48:29", "2023-07-04 08:18:29", "", "messages.svg", "", "inherit", "open", "closed", "", "messages-svg", "", "", "2023-07-04 11:48:29", "2023-07-04 08:18:29", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/messages.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("397", "1", "2023-07-04 11:48:30", "2023-07-04 08:18:30", "", "single-post-banner-1.png", "", "inherit", "open", "closed", "", "single-post-banner-1-png", "", "", "2023-07-04 11:48:30", "2023-07-04 08:18:30", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("398", "1", "2023-07-04 11:48:30", "2023-07-04 08:18:30", "", "messages-2.svg", "", "inherit", "open", "closed", "", "messages-2-svg", "", "", "2023-07-04 11:48:30", "2023-07-04 08:18:30", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/messages-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("399", "1", "2023-07-04 11:48:30", "2023-07-04 08:18:30", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-share-buttons-rtl.min.css\">		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"1184\" height=\"135\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1.png 1184w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1-300x34.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1-1024x117.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1-768x88.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/single-post-banner-1-600x68.png 600w\" sizes=\"(max-width: 1184px) 100vw, 1184px\" />															\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"26\" height=\"26\" viewBox=\"0 0 26 26\" fill=\"none\"><path d=\"M19.4784 11.6892V16.0225C19.4784 16.3042 19.4676 16.575 19.4351 16.835C19.1859 19.76 17.4634 21.2117 14.2892 21.2117H13.8559C13.5851 21.2117 13.3251 21.3417 13.1626 21.5583L11.8626 23.2917C11.2884 24.0608 10.3567 24.0608 9.78258 23.2917L8.48257 21.5583C8.34173 21.3742 8.02758 21.2117 7.78925 21.2117H7.35592C3.90009 21.2117 2.16675 20.3558 2.16675 16.0225V11.6892C2.16675 8.51501 3.62926 6.79251 6.54342 6.54334C6.80342 6.51084 7.07426 6.5 7.35592 6.5H14.2892C17.7451 6.5 19.4784 8.23334 19.4784 11.6892Z\" stroke=\"#595959\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M23.8118 7.35584V11.6892C23.8118 14.8742 22.3493 16.5858 19.4351 16.835C19.4676 16.575 19.4785 16.3042 19.4785 16.0225V11.6892C19.4785 8.23334 17.7451 6.5 14.2893 6.5H7.35596C7.07429 6.5 6.80346 6.51084 6.54346 6.54334C6.79262 3.62917 8.51512 2.16666 11.6893 2.16666H18.6226C22.0784 2.16666 23.8118 3.90001 23.8118 7.35584Z\" stroke=\"#595959\" stroke-width=\"2\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M14.62 14.3542H14.6298\" stroke=\"#595959\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M10.8285 14.3542H10.8383\" stroke=\"#595959\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M7.03679 14.3542H7.04654\" stroke=\"#595959\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										ارسال دیدگاه\n									</li>\n						</ul>", "قالب صفحه مقاله تکی", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d9%82%d8%a7%d9%84%d9%87-%d8%aa%da%a9%db%8c", "", "", "2023-07-06 16:34:58", "2023-07-06 13:04:58", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("401", "1", "2023-07-04 11:48:40", "2023-07-04 08:18:40", "", "blog-banner-2-1.png", "", "inherit", "open", "closed", "", "blog-banner-2-1-png", "", "", "2023-07-04 11:48:40", "2023-07-04 08:18:40", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("439", "1", "2023-07-04 13:00:38", "2023-07-04 09:30:38", "", "وبلاگ", "", "publish", "closed", "closed", "", "blog", "", "", "2023-07-04 13:41:11", "2023-07-04 10:11:11", "", "0", "https://halochin.ir/multivendor/?page_id=439", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("441", "1", "2023-07-04 13:04:44", "2023-07-04 09:34:44", "<input\n			class=\"jet-search-filter__input\"\n			type=\"search\"\n			autocomplete=\"off\"\n			name=\"query\"\n			value=\"\"\n			placeholder=\"جستجو محصولات\"\n			aria-label=\"فیلتر جستجو\"\n					>\n			<button\n			type=\"button\"\n			class=\"jet-search-filter__submit apply-filters__button\"\n					>\n						جستجو کنید\n					</button>\n			فیلتر قیمت\n	<fieldset>\n		<legend style=\"display:none;\">فیلتر قیمت - slider</legend>\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"25000\" aria-label=\"Minimal value\" >\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"34000000\" aria-label=\"Maximum value\" >\n	</fieldset>\n		25000تومان — 34000000تومان\n				<select\n			class=\"jet-select__control depth-0\"\n			name=\"pa_brand\"\n						aria-label=\"برند محصولات\"\n		>\n					<option value=\"\">برند محصولات...</option>\n									<option\n					value=\"27\"\n					data-label=\"پرسیل\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>پرسیل</option>\n										<option\n					value=\"28\"\n					data-label=\"پریل\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>پریل</option>\n										<option\n					value=\"29\"\n					data-label=\"سحرخیز\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>سحرخیز</option>\n										<option\n					value=\"30\"\n					data-label=\"شیائومی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>شیائومی</option>\n										<option\n					value=\"31\"\n					data-label=\"فرش\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>فرش</option>\n										<option\n					value=\"32\"\n					data-label=\"کاله\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>کاله</option>\n										<option\n					value=\"33\"\n					data-label=\"گینگ استار\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>گینگ استار</option>\n										<option\n					value=\"34\"\n					data-label=\"هواوی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>هواوی</option>\n			</select>\n				<select\n			class=\"jet-select__control depth-0\"\n			name=\"product_cat\"\n						aria-label=\"دسته بندی محصولات\"\n		>\n					<option value=\"\">دسته بندی محصولات...</option>\n									<option\n					value=\"15\"\n					data-label=\"آرایشی و بهداشتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>آرایشی و بهداشتی</option>\n										<option\n					value=\"17\"\n					data-label=\"اسباب بازی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>اسباب بازی</option>\n										<option\n					value=\"18\"\n					data-label=\"خانه و آشپزخانه\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>خانه و آشپزخانه</option>\n										<option\n					value=\"19\"\n					data-label=\"خودرو و ابزار صنعتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>خودرو و ابزار صنعتی</option>\n										<option\n					value=\"20\"\n					data-label=\"دست ساز و سنتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>دست ساز و سنتی</option>\n										<option\n					value=\"21\"\n					data-label=\"کالای دیجیتال\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>کالای دیجیتال</option>\n										<option\n					value=\"22\"\n					data-label=\"لوازم التحریر و هنر\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>لوازم التحریر و هنر</option>\n										<option\n					value=\"23\"\n					data-label=\"مد و پوشاک\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>مد و پوشاک</option>\n										<option\n					value=\"24\"\n					data-label=\"ورزش و سفر\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>ورزش و سفر</option>\n			</select>\n	<button\n		type=\"button\"\n		class=\"apply-filters__button\"\n			>اعمال فیلتر ها</button>\n	<button\n		type=\"button\"\n		class=\"jet-remove-all-filters__button\"\n		data-content-provider=\"jet-engine\"\n		data-additional-providers=\"\"\n		data-apply-type=\"reload\"\n		data-query-id=\"pproducts\"\n			>\n		حذف فیلترها	</button>\n				<select\n			class=\"jet-sorting-select\"\n			name=\"select-name\"\n						aria-label=\"Sort filter\"\n		>\n							<option value=\"\">مرتب سازی براساس ...</option>\n														<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس قیمت از ارزان ترین به گران ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس قیمت از گران ترین به ارزان ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس تاریخ از قدیمی ترین به جدیدترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس تاریخ از جدیدترین به قدیمی ترین</option>\n					</select>\n			<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			1,200,000		\n			560,000		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			59,000		\n			50,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			780,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			25,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			68,000		\n			55,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			12,300,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			32,000,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			260,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			150,000		\n			135,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-183 .elementor-element.elementor-element-9b47d93{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:5px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1rem;--padding-left:1rem;}.elementor-183 .elementor-element.elementor-element-9b47d93:not(.elementor-motion-effects-element-type-background), .elementor-183 .elementor-element.elementor-element-9b47d93 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-183 .elementor-element.elementor-element-9b47d93:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-183 .elementor-element.elementor-element-9b47d93, .elementor-183 .elementor-element.elementor-element-9b47d93::before{--border-transition:0.3s;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:7px 25px 6px 25px;}.elementor-183 .elementor-element.elementor-element-194eb18 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-183 .elementor-element.elementor-element-194eb18 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-183 .elementor-element.elementor-element-194eb18{left:29%;}body.rtl .elementor-183 .elementor-element.elementor-element-194eb18{right:29%;}.elementor-183 .elementor-element.elementor-element-194eb18{top:0px;}.elementor-183 .elementor-element.elementor-element-7c56d1f img{width:100%;height:200px;object-fit:contain;}.elementor-183 .elementor-element.elementor-element-7c56d1f > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-995da3f{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-995da3f .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-995da3f > .elementor-widget-container{margin:0.33rem 0rem 0rem 0rem;}.elementor-183 .elementor-element.elementor-element-dd4b547{text-align:center;z-index:10;}.elementor-183 .elementor-element.elementor-element-dd4b547 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-dd4b547 > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-183 .elementor-element.elementor-element-ba53b7f .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-183 .elementor-element.elementor-element-ba53b7f > .elementor-widget-container{margin:0.7rem 0rem 0.5rem 0rem;}.elementor-183 .elementor-element.elementor-element-9e94dbf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-48bb1c3{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-faab13e{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-74cf858 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-6d7a97c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-9bbd3b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-e3cc722 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-1598f0d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-e305b02 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-d2f7a04 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-8699056{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-81dc35a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-b8aa537 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4a5ffae{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-183 .elementor-element.elementor-element-559f334 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-183 .elementor-element.elementor-element-39c4544 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-4fe3e24 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-183 .elementor-element.elementor-element-3136ded{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-183 .elementor-element.elementor-element-27f9e3f .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-183 .elementor-element.elementor-element-27f9e3f > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-183 > .elementor{width:314px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-183 .elementor-element.elementor-element-48bb1c3{--width:55%;}.elementor-183 .elementor-element.elementor-element-3136ded{--width:45%;}}@media(max-width:767px){.elementor-183 .elementor-element.elementor-element-9e94dbf{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-81dc35a */.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-183 .elementor-element.elementor-element-81dc35a span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9b47d93 */.elementor-183 .elementor-element.elementor-element-9b47d93:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-183 .elementor-element.elementor-element-9b47d93:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			86,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "قالب فروشگاه", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87", "", "", "2024-01-08 04:28:34", "2024-01-08 05:28:34", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("444", "1", "2023-07-04 13:04:59", "2023-07-04 09:34:59", "", "blog-banner-2-1.png", "", "inherit", "open", "closed", "", "blog-banner-2-1-png-2", "", "", "2023-07-04 13:04:59", "2023-07-04 09:34:59", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("445", "1", "2023-07-04 13:05:00", "2023-07-04 09:35:00", "<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/cinema-arts/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/smileys.svg\" alt=\"smileys\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/cinema-arts/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/rated-boss/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/ranking.svg\" alt=\"ranking\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/rated-boss/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/books/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/book-1.svg\" alt=\"book-1\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/books/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/science/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg\" alt=\"monitor-recorder\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/science/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/life-style/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/blur.svg\" alt=\"blur\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/life-style/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/video-check/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg\" alt=\"monitor-recorder\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/video-check/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/video-game/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg\" alt=\"monitor-recorder\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/video-game/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/product-unbox/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/box.svg\" alt=\"box\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/product-unbox/\"></a>		\n			<style>.elementor-448 .elementor-element.elementor-element-c9a9715{--display:flex;--min-height:221px;--justify-content:flex-end;--align-items:center;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--gap:4px;--background-transition:0.3s;--overlay-opacity:1;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-448 .elementor-element.elementor-element-c9a9715:not(.elementor-motion-effects-element-type-background), .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-448 .elementor-element.elementor-element-c9a9715::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:transparent;background-image:linear-gradient(180deg, #02010100 0%, #00000091 100%);}.elementor-448 .elementor-element.elementor-element-c9a9715, .elementor-448 .elementor-element.elementor-element-c9a9715::before{--border-transition:0.3s;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item, .elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item{color:#FFFFFF;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{color:#FFFFFF;margin:0px 7px 0px 7px;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;color:#FFFFFF;flex-direction:row;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-448 > .elementor{width:360px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/author/designer2/\">designer2</a><a href=\"https://halochin.ir/multivendor/2023/07/04/bluetoth-speeker/#respond\">0</a>		\n			<a href=\"https://halochin.ir/multivendor/2023/07/04/bluetoth-speeker/\"></a>		\n		<style>.elementor-448 .elementor-element.elementor-element-c9a9715{--display:flex;--min-height:221px;--justify-content:flex-end;--align-items:center;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--gap:4px;--background-transition:0.3s;--overlay-opacity:1;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-448 .elementor-element.elementor-element-c9a9715:not(.elementor-motion-effects-element-type-background), .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-448 .elementor-element.elementor-element-c9a9715::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:transparent;background-image:linear-gradient(180deg, #02010100 0%, #00000091 100%);}.elementor-448 .elementor-element.elementor-element-c9a9715, .elementor-448 .elementor-element.elementor-element-c9a9715::before{--border-transition:0.3s;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item, .elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item{color:#FFFFFF;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{color:#FFFFFF;margin:0px 7px 0px 7px;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;color:#FFFFFF;flex-direction:row;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-448 > .elementor{width:360px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/author/designer2/\">designer2</a><a href=\"https://halochin.ir/multivendor/2023/07/04/galaxy-mobile-a32/#respond\">0</a>		\n			<a href=\"https://halochin.ir/multivendor/2023/07/04/galaxy-mobile-a32/\"></a>		\n			<style>.elementor-448 .elementor-element.elementor-element-c9a9715{--display:flex;--min-height:221px;--justify-content:flex-end;--align-items:center;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--gap:4px;--background-transition:0.3s;--overlay-opacity:1;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-448 .elementor-element.elementor-element-c9a9715:not(.elementor-motion-effects-element-type-background), .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-448 .elementor-element.elementor-element-c9a9715::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:transparent;background-image:linear-gradient(180deg, #02010100 0%, #00000091 100%);}.elementor-448 .elementor-element.elementor-element-c9a9715, .elementor-448 .elementor-element.elementor-element-c9a9715::before{--border-transition:0.3s;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item, .elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item{color:#FFFFFF;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{color:#FFFFFF;margin:0px 7px 0px 7px;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;color:#FFFFFF;flex-direction:row;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-448 > .elementor{width:360px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/author/designer2/\">designer2</a><a href=\"https://halochin.ir/multivendor/2023/07/04/gaming-laptop/#respond\">0</a>		\n			<a href=\"https://halochin.ir/multivendor/2023/07/04/gaming-laptop/\"></a>		\n		<style>.elementor-448 .elementor-element.elementor-element-c9a9715{--display:flex;--min-height:221px;--justify-content:flex-end;--align-items:center;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--gap:4px;--background-transition:0.3s;--overlay-opacity:1;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-448 .elementor-element.elementor-element-c9a9715:not(.elementor-motion-effects-element-type-background), .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-448 .elementor-element.elementor-element-c9a9715::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:transparent;background-image:linear-gradient(180deg, #02010100 0%, #00000091 100%);}.elementor-448 .elementor-element.elementor-element-c9a9715, .elementor-448 .elementor-element.elementor-element-c9a9715::before{--border-transition:0.3s;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item, .elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item{color:#FFFFFF;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{color:#FFFFFF;margin:0px 7px 0px 7px;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;color:#FFFFFF;flex-direction:row;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-448 > .elementor{width:360px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/author/designer2/\">designer2</a><a href=\"https://halochin.ir/multivendor/2023/07/04/edu-perfiume/#respond\">0</a>		\n			<a href=\"https://halochin.ir/multivendor/2023/07/04/edu-perfiume/\"></a>		\n		<style>.elementor-448 .elementor-element.elementor-element-c9a9715{--display:flex;--min-height:221px;--justify-content:flex-end;--align-items:center;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--gap:4px;--background-transition:0.3s;--overlay-opacity:1;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-448 .elementor-element.elementor-element-c9a9715:not(.elementor-motion-effects-element-type-background), .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-448 .elementor-element.elementor-element-c9a9715::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-video-container::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .e-con-inner > .elementor-background-slideshow::before, .elementor-448 .elementor-element.elementor-element-c9a9715 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:transparent;background-image:linear-gradient(180deg, #02010100 0%, #00000091 100%);}.elementor-448 .elementor-element.elementor-element-c9a9715, .elementor-448 .elementor-element.elementor-element-c9a9715::before{--border-transition:0.3s;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item, .elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item{color:#FFFFFF;}.elementor-448 .elementor-element.elementor-element-0aafd2e .jet-listing-dynamic-meta__item-val{color:#FFFFFF;margin:0px 7px 0px 7px;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__link{align-self:flex-start;font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:15px;color:#FFFFFF;flex-direction:row;}.elementor-448 .elementor-element.elementor-element-fc11f47 .jet-listing-dynamic-link__icon{order:1;}.jet-listing-item.single-jet-engine.elementor-page-448 > .elementor{width:360px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/author/designer2/\">designer2</a><a href=\"https://halochin.ir/multivendor/2023/07/04/dark-and-light-colors-are-the-best-choice/#respond\">0</a>		\n			<a href=\"https://halochin.ir/multivendor/2023/07/04/dark-and-light-colors-are-the-best-choice/\"></a>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>آخرین مطالب</h2>		\n			<p>Recent Articles</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-theme-elements-rtl.min.css\">		\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"1184\" height=\"135\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1.png 1184w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1-300x34.png 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1-1024x117.png 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1-768x88.png 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-banner-2-1-1-600x68.png 600w\" sizes=\"(max-width: 1184px) 100vw, 1184px\" />", "قالب وبلاگ", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-07-06 14:45:15", "2023-07-06 11:15:15", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d9%88%d8%a8%d9%84%d8%a7%da%af", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("448", "1", "2023-07-04 13:05:56", "2023-07-04 09:35:56", "", "گرید سکشن اول صفحه وبلاگ", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%b3%da%a9%d8%b4%d9%86-%d8%a7%d9%88%d9%84-%d8%b5%d9%81%d8%ad%d9%87-%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-07-04 13:05:56", "2023-07-04 09:35:56", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%b3%da%a9%d8%b4%d9%86-%d8%a7%d9%88%d9%84-%d8%b5%d9%81%d8%ad%d9%87-%d9%88%d8%a8%d9%84%d8%a7%da%af", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("449", "1", "2023-07-04 13:07:50", "2023-07-04 09:37:50", "", "گرید دسته بندی های نوشته ها", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%87%d8%a7%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7", "", "", "2023-07-04 13:07:50", "2023-07-04 09:37:50", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%87%d8%a7%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("450", "1", "2023-07-04 13:08:39", "2023-07-04 09:38:39", "<a href=\"https://halochin.ir/multivendor/category/product-unbox/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/box.svg\" alt=\"box\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/product-unbox/\"></a>", "گرید دسته بندی نوشته ها وبلاگ", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7-%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-07-04 13:42:11", "2023-07-04 10:12:11", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7-%d9%88%d8%a8%d9%84%d8%a7%da%af", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("452", "1", "2023-07-04 13:12:59", "2023-07-04 09:42:59", "", "monitor-recorder", "", "inherit", "open", "closed", "", "monitor-recorder", "", "", "2023-07-04 13:12:59", "2023-07-04 09:42:59", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("453", "1", "2023-07-04 13:13:00", "2023-07-04 09:43:00", "", "ranking", "", "inherit", "open", "closed", "", "ranking", "", "", "2023-07-04 13:13:00", "2023-07-04 09:43:00", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/ranking.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("454", "1", "2023-07-04 13:13:00", "2023-07-04 09:43:00", "", "box", "", "inherit", "open", "closed", "", "box", "", "", "2023-07-04 13:13:00", "2023-07-04 09:43:00", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/box.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("455", "1", "2023-07-04 13:13:01", "2023-07-04 09:43:01", "", "blur", "", "inherit", "open", "closed", "", "blur", "", "", "2023-07-04 13:13:01", "2023-07-04 09:43:01", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/blur.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("456", "1", "2023-07-04 13:13:03", "2023-07-04 09:43:03", "", "smileys", "", "inherit", "open", "closed", "", "smileys", "", "", "2023-07-04 13:13:03", "2023-07-04 09:43:03", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/smileys.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("457", "1", "2023-07-04 13:13:04", "2023-07-04 09:43:04", "", "book-1", "", "inherit", "open", "closed", "", "book-1", "", "", "2023-07-04 13:13:04", "2023-07-04 09:43:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/book-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("459", "1", "2023-07-04 13:31:42", "2023-07-04 10:01:42", "<!-- wp:video {\"id\":460} -->\n<figure class=\"wp-block-video\"><video controls src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\"></video></figure>\n<!-- /wp:video -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "بررسی ادوپرفیوم ویکتوریا سکرت", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "edu-perfiume", "", "", "2023-07-06 11:00:24", "2023-07-06 07:30:24", "", "0", "https://halochin.ir/multivendor/?p=459", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("460", "1", "2023-07-04 13:29:44", "2023-07-04 09:59:44", "", "victoria-secret", "", "inherit", "open", "closed", "", "victoria-secret", "", "", "2023-07-04 13:29:44", "2023-07-04 09:59:44", "", "459", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4", "0", "attachment", "video/mp4", "0");
INSERT INTO `wp_sa_posts` VALUES("461", "1", "2023-07-04 13:31:34", "2023-07-04 10:01:34", "", "perfium-3", "", "inherit", "open", "closed", "", "perfium-3", "", "", "2023-07-04 13:31:34", "2023-07-04 10:01:34", "", "459", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/perfium-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("464", "1", "2023-07-04 13:38:05", "2023-07-04 10:08:05", "<!-- wp:video {\"id\":460} -->\n<figure class=\"wp-block-video\"><video controls src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\"></video></figure>\n<!-- /wp:video -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "بررسی لپ‌تاپ گیمینگ HP OMEN 16 2021 مدل AMD", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "gaming-laptop", "", "", "2023-07-06 11:00:29", "2023-07-06 07:30:29", "", "0", "https://halochin.ir/multivendor/?p=464", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("465", "1", "2023-07-04 13:37:47", "2023-07-04 10:07:47", "", "Android-update-installing-840w-472h", "", "inherit", "open", "closed", "", "android-update-installing-840w-472h", "", "", "2023-07-04 13:37:47", "2023-07-04 10:07:47", "", "464", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Android-update-installing-840w-472h.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("466", "1", "2023-07-04 13:37:48", "2023-07-04 10:07:48", "", "blog-new-6", "", "inherit", "open", "closed", "", "blog-new-6", "", "", "2023-07-04 13:37:48", "2023-07-04 10:07:48", "", "464", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/blog-new-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("467", "1", "2023-07-04 13:37:49", "2023-07-04 10:07:49", "", "dynamic-island", "", "inherit", "open", "closed", "", "dynamic-island", "", "", "2023-07-04 13:37:49", "2023-07-04 10:07:49", "", "464", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/dynamic-island.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("469", "1", "2023-07-04 13:38:52", "2023-07-04 10:08:52", "<!-- wp:video {\"id\":460} -->\n<figure class=\"wp-block-video\"><video controls src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\"></video></figure>\n<!-- /wp:video -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "بررسی گوشی گلکسی A32 سامسونگ مدل 4G و 5G", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "galaxy-mobile-a32", "", "", "2023-07-06 11:00:34", "2023-07-06 07:30:34", "", "0", "https://halochin.ir/multivendor/?p=469", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("471", "1", "2023-07-04 13:39:46", "2023-07-04 10:09:46", "<!-- wp:video {\"id\":460} -->\n<figure class=\"wp-block-video\"><video controls src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/victoria-secret.mp4\"></video></figure>\n<!-- /wp:video -->\n\n<!-- wp:paragraph -->\n<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>\n<!-- /wp:paragraph -->", "بررسی اسپیکر بلوتوثی ترانیو ۲B3؛ طراحی مدرن و کیفیت بالا", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "publish", "open", "open", "", "bluetoth-speeker", "", "", "2023-07-06 11:00:39", "2023-07-06 07:30:39", "", "0", "https://halochin.ir/multivendor/?p=471", "0", "post", "", "0");
INSERT INTO `wp_sa_posts` VALUES("486", "1", "2023-07-04 14:06:04", "2023-07-04 10:36:04", "", "tick-shop.svg", "", "inherit", "open", "closed", "", "tick-shop-svg", "", "", "2023-07-04 14:06:04", "2023-07-04 10:36:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/tick-shop.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("487", "1", "2023-07-04 14:06:05", "2023-07-04 10:36:05", "", "svgeاتتاxport-10-1.svg", "", "inherit", "open", "closed", "", "svge%d8%a7%d8%aa%d8%aa%d8%a7xport-10-1-svg", "", "", "2023-07-04 14:06:05", "2023-07-04 10:36:05", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/svgeاتتاxport-10-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("488", "1", "2023-07-04 14:06:05", "2023-07-04 10:36:05", "", "shield-tick.svg", "", "inherit", "open", "closed", "", "shield-tick-svg", "", "", "2023-07-04 14:06:05", "2023-07-04 10:36:05", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/shield-tick.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("489", "1", "2023-07-04 14:06:05", "2023-07-04 10:36:05", "", "box-tick.svg", "", "inherit", "open", "closed", "", "box-tick-svg", "", "", "2023-07-04 14:06:05", "2023-07-04 10:36:05", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/box-tick.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("490", "1", "2023-07-04 14:06:06", "2023-07-04 10:36:06", "", "box-1.svg", "", "inherit", "open", "closed", "", "box-1-svg", "", "", "2023-07-04 14:06:06", "2023-07-04 10:36:06", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/box-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("491", "1", "2023-07-04 14:06:06", "2023-07-04 10:36:06", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"14\" viewBox=\"0 0 16 14\" fill=\"none\"><path d=\"M14.4239 6.61786L12.5082 8.49974C12.2451 8.75774 12.0697 9.2704 12.1282 9.63554L12.4497 11.8167C12.6584 13.2124 11.7976 13.8268 10.5391 13.1875L8.40454 12.0958C8.04712 11.9138 7.46615 11.9294 7.12248 12.1381L5.27445 13.2428C3.81494 14.1134 2.93216 13.4756 3.30709 11.8188L3.83104 9.50438C3.9272 9.08266 3.73636 8.50837 3.41806 8.22586L1.64467 6.65474C0.376506 5.52967 0.717293 4.49443 2.40915 4.34802L4.55155 4.16725C4.952 4.13337 5.43487 3.81315 5.61682 3.45573L6.70847 1.31119C7.35276 0.0576418 8.40975 0.0525568 9.05792 1.30378L10.0685 3.25791C10.242 3.58689 10.6758 3.90336 11.042 3.95497L13.701 4.3604C15.1359 4.58716 15.4612 5.60101 14.4239 6.61786Z\" fill=\"#FFC343\"></path></svg>				\n			<a href=\"#\" data-args=\"{&quot;label&quot;:false,&quot;icon&quot;:&quot;&lt;i class=&quot;jet-listing-dynamic-link__icon far fa-heart&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;&quot;,&quot;added_url&quot;:&quot;https://halochin.ir/multivendor/wishlist&quot;,&quot;added_label&quot;:&quot;&lt;span class=&quot;jet-listing-dynamic-link__label&quot;&gt;&lt;/span&gt;&quot;,&quot;added_icon&quot;:&quot;&lt;i class=&quot;jet-listing-dynamic-link__icon fas fa-check&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;&quot;,&quot;store&quot;:{&quot;slug&quot;:&quot;favorites&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:491}\" data-post=\"491\" data-store=\"favorites\"></a>		\n			<a href=\"#\" data-args=\"{&quot;label&quot;:false,&quot;icon&quot;:&quot;&lt;i class=&quot;jet-listing-dynamic-link__icon fas fa-random&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;&quot;,&quot;added_url&quot;:&quot;https://halochin.ir/multivendor/compar&quot;,&quot;added_label&quot;:&quot;&lt;span class=&quot;jet-listing-dynamic-link__label&quot;&gt;&lt;/span&gt;&quot;,&quot;added_icon&quot;:&quot;&lt;i class=&quot;jet-listing-dynamic-link__icon fas fa-check&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;&quot;,&quot;store&quot;:{&quot;slug&quot;:&quot;compare&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:491}\" data-post=\"491\" data-store=\"compare\"></a>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><p>ویژگی های محصول</p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\" fill=\"none\"><path d=\"M6 11C8.75 11 11 8.75 11 6C11 3.25 8.75 1 6 1C3.25 1 1 3.25 1 6C1 8.75 3.25 11 6 11Z\" stroke=\"#5D5D5D\" stroke-width=\"0.75\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M6 4V6.5\" stroke=\"#5D5D5D\" stroke-width=\"0.75\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.99805 8H6.00254\" stroke=\"#5D5D5D\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										امکان برگشت کالا با دلیل \"انصراف از خرید\" تنها در صورتی مورد قبول است که پلمب کالا باز نشده باشد.\n									</li>\n						</ul>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"14\" height=\"14\" viewBox=\"0 0 14 14\" fill=\"none\"><path d=\"M2.11262 4.95258C3.26178 -0.0990839 10.7459 -0.0932504 11.8893 4.95842C12.5601 7.92175 10.7168 10.4301 9.10095 11.9817C7.92845 13.1134 6.07345 13.1134 4.89512 11.9817C3.28512 10.4301 1.44178 7.91592 2.11262 4.95258Z\" stroke=\"#EF3A4F\"></path><path d=\"M5.39581 6.70833L6.27081 7.58333L8.60415 5.25\" stroke=\"#EF3A4F\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										شرایط ارسال کالا\n									</li>\n						</ul>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"17\" height=\"17\" viewBox=\"0 0 17 17\" fill=\"\"><path d=\"M11.4679 1.41675H5.53204C2.95371 1.41675 1.41663 2.95383 1.41663 5.53217V11.4609C1.41663 14.0463 2.95371 15.5834 5.53204 15.5834H11.4608C14.0391 15.5834 15.5762 14.0463 15.5762 11.468V5.53217C15.5833 2.95383 14.0462 1.41675 11.4679 1.41675ZM12.2258 7.05508L10.5895 9.16592C10.3841 9.428 10.0937 9.598 9.76079 9.63342C9.42788 9.67592 9.10204 9.58383 8.83996 9.37842L7.54371 8.35842C7.49413 8.31592 7.43746 8.31592 7.40913 8.323C7.38079 8.323 7.33121 8.33717 7.28871 8.39383L5.60288 10.5826C5.49663 10.7172 5.34079 10.788 5.18496 10.788C5.07163 10.788 4.95829 10.7526 4.85913 10.6747C4.62538 10.4976 4.58288 10.1647 4.75996 9.93092L6.44579 7.74217C6.65121 7.48008 6.94163 7.31008 7.27454 7.26758C7.60038 7.22508 7.93329 7.31716 8.19538 7.52258L9.49163 8.54258C9.54121 8.58508 9.59079 8.58508 9.62621 8.578C9.65454 8.578 9.70413 8.56383 9.74663 8.50717L11.3829 6.39633C11.56 6.16258 11.9 6.12008 12.1266 6.30425C12.3604 6.4955 12.4029 6.82841 12.2258 7.05508Z\" fill=\"\"></path></svg>						\n									</li>\n						</ul>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m6.5 19h-2c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h2c.276 0 .5.224.5.5s-.224.5-.5.5z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m22.75 19h-1.25c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h.835l.674-3.592c-.009-1.838-1.579-3.408-3.509-3.408h-3.283l-1.591 7h2.874c.276 0 .5.224.5.5s-.224.5-.5.5h-3.5c-.152 0-.296-.069-.391-.188-.095-.118-.131-.274-.097-.422l1.818-8c.052-.229.254-.39.488-.39h3.682c2.481 0 4.5 2.019 4.5 4.5l-.759 4.092c-.044.237-.25.408-.491.408z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m19.5 21c-1.378 0-2.5-1.121-2.5-2.5s1.122-2.5 2.5-2.5 2.5 1.121 2.5 2.5-1.122 2.5-2.5 2.5zm0-4c-.827 0-1.5.673-1.5 1.5s.673 1.5 1.5 1.5 1.5-.673 1.5-1.5-.673-1.5-1.5-1.5z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m8.5 21c-1.378 0-2.5-1.121-2.5-2.5s1.122-2.5 2.5-2.5 2.5 1.121 2.5 2.5-1.122 2.5-2.5 2.5zm0-4c-.827 0-1.5.673-1.5 1.5s.673 1.5 1.5 1.5 1.5-.673 1.5-1.5-.673-1.5-1.5-1.5z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m6.5 10h-4c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h4c.276 0 .5.224.5.5s-.224.5-.5.5z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m6.5 13h-5c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h5c.276 0 .5.224.5.5s-.224.5-.5.5z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m6.5 16h-6c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h6c.276 0 .5.224.5.5s-.224.5-.5.5z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path><path xmlns=\"http://www.w3.org/2000/svg\" d=\"m14 19h-3.5c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h3.101l2.272-10h-11.373c-.276 0-.5-.224-.5-.5s.224-.5.5-.5h12c.152 0 .296.069.391.188.095.118.131.274.097.422l-2.5 11c-.052.229-.255.39-.488.39z\" fill=\"#5D5D5D\" data-original=\"#5D5D5D\"></path></g></svg>						\n									</li>\n						</ul>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"17\" height=\"17\" viewBox=\"0 0 17 17\" fill=\"none\"><path d=\"M15.5833 9.20842V6.37508C15.5833 2.83341 14.1666 1.41675 10.625 1.41675H6.37496C2.83329 1.41675 1.41663 2.83341 1.41663 6.37508V10.6251C1.41663 14.1667 2.83329 15.5834 6.37496 15.5834H9.20829\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.5833 9.20842V6.37508C15.5833 2.83341 14.1666 1.41675 10.625 1.41675H6.37496C2.83329 1.41675 1.41663 2.83341 1.41663 6.37508V10.6251C1.41663 14.1667 2.83329 15.5834 6.37496 15.5834H9.20829\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.5833 9.20842V6.37508C15.5833 2.83341 14.1666 1.41675 10.625 1.41675H6.37496C2.83329 1.41675 1.41663 2.83341 1.41663 6.37508V10.6251C1.41663 14.1667 2.83329 15.5834 6.37496 15.5834H9.20829\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M11.3334 13.763L12.4525 14.8751L14.875 12.0417\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M4.95837 7.4375V9.5625\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M8.5 7.4375V9.5625\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.0416 7.4375V9.5625\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										موجود در انبار\n									</li>\n						</ul>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"17\" height=\"17\" viewBox=\"0 0 17 17\" fill=\"none\"><path d=\"M15.5833 9.20842V6.37508C15.5833 2.83341 14.1666 1.41675 10.625 1.41675H6.37496C2.83329 1.41675 1.41663 2.83341 1.41663 6.37508V10.6251C1.41663 14.1667 2.83329 15.5834 6.37496 15.5834H9.20829\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.5833 9.20842V6.37508C15.5833 2.83341 14.1666 1.41675 10.625 1.41675H6.37496C2.83329 1.41675 1.41663 2.83341 1.41663 6.37508V10.6251C1.41663 14.1667 2.83329 15.5834 6.37496 15.5834H9.20829\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M15.5833 9.20842V6.37508C15.5833 2.83341 14.1666 1.41675 10.625 1.41675H6.37496C2.83329 1.41675 1.41663 2.83341 1.41663 6.37508V10.6251C1.41663 14.1667 2.83329 15.5834 6.37496 15.5834H9.20829\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M11.3334 13.763L12.4525 14.8751L14.875 12.0417\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M4.95837 7.4375V9.5625\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M8.5 7.4375V9.5625\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.0416 7.4375V9.5625\" stroke=\"#5D5D5D\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										محصول فعلا ناموجود است\n									</li>\n						</ul>\n			تومان		\n			تومان		\n			تومان		\n			<h2>رایگان</h2>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale%\"%%		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"10\" height=\"10\" viewBox=\"0 0 10 10\" fill=\"none\"><path d=\"M5 2.68311V4.07061\" stroke=\"#5D5D5D\" stroke-width=\"0.625\" stroke-miterlimit=\"10\" stroke-linecap=\"round\"></path><path d=\"M5.00792 0.833252C3.47459 0.833252 2.23292 2.07492 2.23292 3.60825V4.48325C2.23292 4.76659 2.11626 5.19159 1.97042 5.43325L1.44126 6.31659C1.11626 6.86242 1.34126 7.47075 1.94126 7.67075C3.93292 8.33325 6.08709 8.33325 8.07876 7.67075C8.64126 7.48325 8.88292 6.82492 8.57876 6.31659L8.04959 5.43325C7.90376 5.19159 7.78709 4.76242 7.78709 4.48325V3.60825C7.78293 2.08325 6.53293 0.833252 5.00792 0.833252Z\" stroke=\"#5D5D5D\" stroke-width=\"0.625\" stroke-miterlimit=\"10\" stroke-linecap=\"round\"></path><path d=\"M6.38828 7.8418C6.38828 8.6043 5.76328 9.2293 5.00078 9.2293C4.62161 9.2293 4.27161 9.07096 4.02161 8.82096C3.77161 8.57096 3.61328 8.22096 3.61328 7.8418\" stroke=\"#5D5D5D\" stroke-width=\"0.625\" stroke-miterlimit=\"10\"></path></svg>						\n										آیا قیمت مناسب تری سراغ دارید؟\n									</li>\n						</ul>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path d=\"M19.2307 32.308V17.6227L33.8461 10.7695V26.9234L19.2307 32.308Z\" fill=\"\"></path><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.6453 1L1 8.99086V27.0091L18.6453 35L36.2906 27.0091V22.0473C36.776 23.1563 37.0381 24.3722 37.0381 25.6316C37.0381 30.5526 33.0345 34.5562 28.1135 34.5562V31.0639L23.6455 35.532L28.1135 40V36.8844C34.3183 36.8844 39.3663 31.8364 39.3663 25.6317C39.3663 22.6974 38.2387 19.9505 36.2906 17.8956V8.99086L18.6453 1ZM17.2584 16.3873V31.388L3.77367 25.1802V10.8198L18.6453 4.01766L23.5998 6.14102L8.32102 12.6891V24.3965H11.0947V14.518L27.1204 7.64977L32.383 9.90523L17.2584 16.3873ZM33.6454 25.5L20.0322 31.3879V18.2162L33.6454 12V25.5ZM25.2681 19.6129V22.3866L32.6645 19.1506V16.377L25.2681 19.6129ZM25.2681 23.6177V26.3913L28.9663 24.7734V21.9997L25.2681 23.6177Z\" fill=\"#202124\"></path></svg>				\n				<p>\n						۱۰ روز ضمانت بازگشت					\n				</p>\n									<p>\n						حتی سلیقه ای!					</p>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path d=\"M36 25H9V40H36V25Z\" fill=\"\"></path><path d=\"M36.5 25.5L32 14H3.5L8.5 25.5H36.5Z\" stroke=\"#202124\"></path><path d=\"M33.2422 13.8661V0H2.77344V15.2344L6.74367 25.7727C6.74789 25.785 6.75312 25.7967 6.75781 25.8089V40H37.2266V24.2188L33.2422 13.8661ZM5.11719 2.34375H30.8984V12.8906H5.11719V2.34375ZM5.35156 15.2344H31.2348L34.5703 24.2188H8.68703L5.35156 15.2344ZM34.8828 37.6562H9.10156V26.5625H34.8828V37.6562Z\" fill=\"#202124\"></path><path d=\"M12.3047 4.29688H7.53906V6.64062H12.3047V4.29688Z\" fill=\"#202124\"></path><path d=\"M16.1328 8.4375H7.46094V10.7812H16.1328V8.4375Z\" fill=\"#202124\"></path><path d=\"M29.4141 18.2031H10.8984V20.5469H29.4141V18.2031Z\" fill=\"#202124\"></path><path d=\"M30.2428 32.3067C30.1704 32.1379 30.0667 31.9944 29.9316 31.8761C29.7964 31.7579 29.6336 31.6553 29.4431 31.5685C29.2524 31.4816 29.0389 31.402 28.8025 31.3297C28.7494 31.3152 28.6987 31.2996 28.6506 31.2826C28.6023 31.2659 28.5565 31.2526 28.5131 31.2429V30.5914C28.6481 30.6156 28.782 30.6506 28.9148 30.6965C29.0475 30.7424 29.1668 30.7918 29.2731 30.8448C29.3985 30.9027 29.5143 30.9655 29.6205 31.033L30.2285 29.8677C30.1271 29.8196 30.0161 29.7676 29.8956 29.712C29.775 29.6565 29.6459 29.6035 29.5084 29.5529C29.3709 29.5022 29.2272 29.4577 29.0778 29.419C28.9282 29.3804 28.7738 29.3515 28.6146 29.3321V28.5938H28.0356V29.3248C27.8087 29.349 27.5952 29.4044 27.395 29.4913C27.1948 29.5781 27.0198 29.6938 26.8703 29.8386C26.7207 29.9833 26.6025 30.1558 26.5157 30.3561C26.4288 30.5564 26.3854 30.7868 26.3854 31.0473C26.3854 31.2355 26.4107 31.4019 26.4614 31.5466C26.5121 31.6914 26.5905 31.8206 26.6967 31.934C26.8028 32.0473 26.9379 32.1486 27.102 32.2379C27.266 32.3272 27.4614 32.4105 27.6882 32.4877C27.8378 32.5409 27.9874 32.5865 28.137 32.6251V33.2621C27.9631 33.238 27.793 33.1957 27.6265 33.1353C27.46 33.0751 27.314 33.0136 27.1886 32.9509C27.039 32.8785 26.8991 32.8013 26.7689 32.7192L26.1609 33.9569C26.4214 34.1113 26.7157 34.2391 27.0439 34.3405C27.3719 34.4418 27.7025 34.507 28.0354 34.5359V35.4262H28.6144V34.5504C28.8363 34.5359 29.051 34.4962 29.2585 34.431C29.466 34.3658 29.6505 34.2695 29.8122 34.1416C29.9739 34.0137 30.1041 33.8496 30.2031 33.6493C30.3019 33.449 30.3514 33.2067 30.3514 32.922C30.3514 32.6807 30.3153 32.4757 30.2428 32.3067ZM28.1368 31.1198C28.0402 31.0812 27.9678 31.039 27.9196 30.993C27.8714 30.9473 27.8473 30.8881 27.8473 30.8157C27.8473 30.6759 27.9438 30.5938 28.1368 30.5697V31.1198ZM28.7592 33.2113C28.711 33.25 28.629 33.2741 28.5132 33.2837V32.7481C28.6096 32.7868 28.6868 32.8313 28.7448 32.882C28.8027 32.9326 28.8317 32.9919 28.8317 33.0595C28.8317 33.1222 28.8075 33.1727 28.7592 33.2113Z\" fill=\"#202124\"></path><path d=\"M16.9141 33.125H12.1484V35.4688H16.9141V33.125Z\" fill=\"#202124\"></path><path d=\"M20.7422 28.9844H12.0703V31.3281H20.7422V28.9844Z\" fill=\"#202124\"></path></svg>				\n				<p>\n						امکان خرید اقساطی					\n				</p>\n									<p>\n						بدون چک و ضامن					</p>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M14.9999 2.91699L13.7499 7.50033H10.4166V12.0837L8.33325 14.5837L10.4166 17.0837V21.2503L13.7499 22.5003V25.8337L17.4999 24.5837L20.8333 27.0837L23.3332 24.5837L26.6666 25.8337L28.7499 21.2503H31.6666V17.0837L33.3332 14.5837L30.4166 12.0837L31.6666 7.50033H28.7499L26.6666 2.91699L23.3332 5.00033L20.8333 1.66699L17.4999 5.00033L14.9999 2.91699ZM19.9999 20.0003C17.2429 20.0003 14.9999 17.7573 14.9999 15.0003C14.9998 12.2433 17.2428 10.0003 19.9999 10.0003C22.757 10.0003 24.9999 12.2434 24.9999 15.0003C24.9999 17.7573 22.757 20.0003 19.9999 20.0003Z\" fill=\"\"></path><path d=\"M20.1451 7.53711C16.2183 7.53711 13.0237 10.7318 13.0237 14.6586C13.0237 18.5854 16.2183 21.78 20.1451 21.78C24.0719 21.78 27.2666 18.5854 27.2666 14.6586C27.2666 10.7318 24.0719 7.53711 20.1451 7.53711ZM20.1451 19.2117C17.6345 19.2117 15.592 17.1691 15.592 14.6586C15.5919 12.148 17.6344 10.1055 20.1451 10.1055C22.6558 10.1055 24.6982 12.148 24.6982 14.6586C24.6982 17.1691 22.6558 19.2117 20.1451 19.2117Z\" fill=\"#202124\"></path><path d=\"M31.9279 22.2561L32.8204 22.0194L31.6975 17.7851L34.803 14.6954L31.7133 11.59L32.8579 7.36147L28.6294 6.21686L27.5065 1.98257L23.2722 3.10554L20.1826 0L17.0771 3.08968L12.8486 1.94507L11.704 6.17358L7.46959 7.29655L8.59256 11.5308L5.4871 14.6205L8.57678 17.7261L7.43217 21.9546L8.11873 22.1404L3.08374 34.692L10.631 34.2902L16.6359 40L19.9999 31.6136L23.3639 40L29.3687 34.2902L36.916 34.692L31.9279 22.2561ZM15.6619 35.5296L11.5992 31.6666L6.96569 31.9133L10.6148 22.816L11.6606 23.0991L12.7836 27.3333L17.0179 26.2104L18.7156 27.9168L15.6619 35.5296ZM17.7927 23.3478L14.6076 24.1925L13.7629 21.0074L10.5822 20.1464L11.4432 16.9657L9.11912 14.6297L11.4551 12.3056L10.6104 9.12053L13.7955 8.27584L14.6566 5.09515L17.8373 5.95616L20.1733 3.6321L22.4973 5.96811L25.6825 5.12343L26.5272 8.3085L29.7079 9.16951L28.8468 12.3502L31.1709 14.6862L28.835 17.0103L29.6797 20.1954L26.4946 21.04L25.6336 24.2207L22.4529 23.3597L20.1168 25.6837L17.7927 23.3478ZM28.4007 31.6666L24.3381 35.5296L21.3499 28.0799L23.213 26.2263L27.4415 27.3709L28.5861 23.1424L29.4267 22.9194L33.0343 31.9131L28.4007 31.6666Z\" fill=\"#202124\"></path></svg>				\n				<p>\n						تضمین اصالت کالا					\n				</p>\n									<p>\n						واقعی!					</p>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"0 0 40 40\" fill=\"\"><g clip-path=\"url(#clip0_63_3052)\"><path d=\"M20 7.66602C14.4066 7.66602 9.85596 12.2166 9.85596 17.8101C9.85596 23.4035 14.4066 27.9542 20 27.9542C25.5935 27.9542 30.1441 23.4036 30.1441 17.8102C30.1441 12.2166 25.5935 7.66602 20 7.66602ZM20 25.1877C15.9321 25.1877 12.6225 21.8781 12.6225 17.8102C12.6225 13.7422 15.9321 10.4326 20 10.4326C24.068 10.4326 27.3775 13.7421 27.3775 17.8101C27.3775 21.8781 24.068 25.1877 20 25.1877Z\" fill=\"#202124\"></path><path d=\"M35.8335 16.25H32.9167V25L35.8335 23.75L37.9167 22.0833V17.9167L35.8335 16.25Z\" fill=\"\" stroke=\"#202124\"></path><path d=\"M4.16658 16.25H7.08325V25L4.16658 23.75L2.08325 22.0833V17.9167L4.16658 16.25Z\" fill=\"0\"></path><path d=\"M34.928 14.237H34.4583C33.7594 6.87461 27.5423 1.0957 20 1.0957C12.4577 1.0957 6.24062 6.87461 5.54172 14.237H5.07203C2.27531 14.237 0 16.5123 0 19.309V20.6923C0 23.489 2.27531 25.7643 5.07203 25.7643H8.24203V15.6202C8.24203 9.13687 13.5166 3.86234 19.9999 3.86234C26.4833 3.86234 31.7578 9.13687 31.7578 15.6202V25.3144L25.894 32.8537H24.4594C23.8684 30.9527 22.0928 29.5684 20 29.5684C17.4257 29.5684 15.3314 31.6627 15.3314 34.2369C15.3314 36.8112 17.4257 38.9055 20 38.9055C22.0928 38.9055 23.8684 37.5212 24.4594 35.6202H27.2472L34.9129 25.7643H34.928C37.7248 25.7643 40.0001 23.489 40.0001 20.6923V19.309C40 16.5123 37.7247 14.237 34.928 14.237ZM5.47547 22.9977H5.07203C3.80078 22.9977 2.76656 21.9635 2.76656 20.6923V19.309C2.76656 18.0377 3.80078 17.0035 5.07203 17.0035H5.47547V22.9977ZM20 36.139C18.9512 36.139 18.098 35.2858 18.098 34.2369C18.098 33.1881 18.9512 32.3349 20 32.3349C21.0488 32.3349 21.902 33.1881 21.902 34.2369C21.902 35.2857 21.0488 36.139 20 36.139ZM37.2334 20.6923C37.2334 21.9635 36.1992 22.9977 34.928 22.9977H34.5245V17.0035H34.928C36.1992 17.0035 37.2334 18.0377 37.2334 19.309V20.6923Z\" fill=\"#202124\"></path></g><defs><clipPath id=\"clip0_63_3052\"><rect width=\"40\" height=\"40\" fill=\"white\"></rect></clipPath></defs></svg>				\n				<p>\n						پشتیبانی تا ۱۲ شب					\n				</p>\n									<p>\n						حتی جمعه ها					</p>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"18\" height=\"18\" viewBox=\"0 0 18 18\" fill=\"none\"><path d=\"M8.25 1.5H6.75C3 1.5 1.5 3 1.5 6.75V11.25C1.5 15 3 16.5 6.75 16.5H11.25C15 16.5 16.5 15 16.5 11.25V9.75\" stroke=\"#333333\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M12.0314 2.26482L6.12137 8.17482C5.89637 8.39982 5.67137 8.84232 5.62637 9.16482L5.30387 11.4223C5.18387 12.2398 5.76137 12.8098 6.57887 12.6973L8.83637 12.3748C9.15137 12.3298 9.59387 12.1048 9.82637 11.8798L15.7364 5.96982C16.7564 4.94982 17.2364 3.76482 15.7364 2.26482C14.2364 0.764823 13.0514 1.24482 12.0314 2.26482Z\" stroke=\"#333333\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M11.1826 3.11243C11.6851 4.90493 13.0876 6.30743 14.8876 6.81743\" stroke=\"#333333\" stroke-width=\"1.5\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n										محصولات مرتبط\n									</li>\n						</ul>\n			<style>.elementor-807 .elementor-element.elementor-element-1bf7d6a{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-evenly;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-a28227a > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;}.elementor-807 .elementor-element.elementor-element-5d3dc9c{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-807 .elementor-element.elementor-element-d479722{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--background-transition:0.3s;--margin-top:0.625rem;--margin-right:0rem;--margin-bottom:0.625rem;--margin-left:0rem;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0864058{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-807 .elementor-element.elementor-element-fc893c4{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f{width:auto;max-width:auto;}.elementor-807 .elementor-element.elementor-element-ab7862b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-70b20a3 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-84c2246{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-0980b0b .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a043fef{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular\", Sans-serif;font-weight:normal;text-align:right;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-555755c .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a0585fc{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:10px;text-align:right;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-2bd831e{text-align:center;}.elementor-807 .elementor-element.elementor-element-2bd831e .elementor-heading-title{font-family:\"iranyekanwebmedium\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-807 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-807 .elementor-element.elementor-element-d479722{--width:100%;}.elementor-807 .elementor-element.elementor-element-0864058{--width:100%;}.elementor-807 .elementor-element.elementor-element-fc893c4{--width:100%;}.elementor-807 .elementor-element.elementor-element-ab7862b{--width:100%;}}@media(max-width:767px){.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{font-size:10px;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{font-size:13px;}.elementor-807 .elementor-element.elementor-element-d479722{--gap:10px;}.elementor-807 .elementor-element.elementor-element-0864058{--width:70%;}}/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */</style>		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-807 .elementor-element.elementor-element-1bf7d6a{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-evenly;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-a28227a > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;}.elementor-807 .elementor-element.elementor-element-5d3dc9c{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-807 .elementor-element.elementor-element-d479722{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--background-transition:0.3s;--margin-top:0.625rem;--margin-right:0rem;--margin-bottom:0.625rem;--margin-left:0rem;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0864058{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-807 .elementor-element.elementor-element-fc893c4{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f{width:auto;max-width:auto;}.elementor-807 .elementor-element.elementor-element-ab7862b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-70b20a3 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-84c2246{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-0980b0b .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a043fef{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular\", Sans-serif;font-weight:normal;text-align:right;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-555755c .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a0585fc{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:10px;text-align:right;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-2bd831e{text-align:center;}.elementor-807 .elementor-element.elementor-element-2bd831e .elementor-heading-title{font-family:\"iranyekanwebmedium\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-807 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-807 .elementor-element.elementor-element-d479722{--width:100%;}.elementor-807 .elementor-element.elementor-element-0864058{--width:100%;}.elementor-807 .elementor-element.elementor-element-fc893c4{--width:100%;}.elementor-807 .elementor-element.elementor-element-ab7862b{--width:100%;}}@media(max-width:767px){.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{font-size:10px;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{font-size:13px;}.elementor-807 .elementor-element.elementor-element-d479722{--gap:10px;}.elementor-807 .elementor-element.elementor-element-0864058{--width:70%;}}/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */</style>		\n			59,000		\n			50,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-807 .elementor-element.elementor-element-1bf7d6a{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-evenly;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-a28227a > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;}.elementor-807 .elementor-element.elementor-element-5d3dc9c{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-807 .elementor-element.elementor-element-d479722{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--background-transition:0.3s;--margin-top:0.625rem;--margin-right:0rem;--margin-bottom:0.625rem;--margin-left:0rem;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0864058{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-807 .elementor-element.elementor-element-fc893c4{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f{width:auto;max-width:auto;}.elementor-807 .elementor-element.elementor-element-ab7862b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-70b20a3 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-84c2246{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-0980b0b .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a043fef{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular\", Sans-serif;font-weight:normal;text-align:right;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-555755c .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a0585fc{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:10px;text-align:right;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-2bd831e{text-align:center;}.elementor-807 .elementor-element.elementor-element-2bd831e .elementor-heading-title{font-family:\"iranyekanwebmedium\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-807 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-807 .elementor-element.elementor-element-d479722{--width:100%;}.elementor-807 .elementor-element.elementor-element-0864058{--width:100%;}.elementor-807 .elementor-element.elementor-element-fc893c4{--width:100%;}.elementor-807 .elementor-element.elementor-element-ab7862b{--width:100%;}}@media(max-width:767px){.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{font-size:10px;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{font-size:13px;}.elementor-807 .elementor-element.elementor-element-d479722{--gap:10px;}.elementor-807 .elementor-element.elementor-element-0864058{--width:70%;}}/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */</style>		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n		<style>.elementor-807 .elementor-element.elementor-element-1bf7d6a{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-evenly;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-a28227a > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;}.elementor-807 .elementor-element.elementor-element-5d3dc9c{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-807 .elementor-element.elementor-element-d479722{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--background-transition:0.3s;--margin-top:0.625rem;--margin-right:0rem;--margin-bottom:0.625rem;--margin-left:0rem;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0864058{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-807 .elementor-element.elementor-element-fc893c4{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f{width:auto;max-width:auto;}.elementor-807 .elementor-element.elementor-element-ab7862b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-70b20a3 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-84c2246{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-0980b0b .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a043fef{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular\", Sans-serif;font-weight:normal;text-align:right;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-555755c .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a0585fc{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:10px;text-align:right;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-2bd831e{text-align:center;}.elementor-807 .elementor-element.elementor-element-2bd831e .elementor-heading-title{font-family:\"iranyekanwebmedium\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-807 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-807 .elementor-element.elementor-element-d479722{--width:100%;}.elementor-807 .elementor-element.elementor-element-0864058{--width:100%;}.elementor-807 .elementor-element.elementor-element-fc893c4{--width:100%;}.elementor-807 .elementor-element.elementor-element-ab7862b{--width:100%;}}@media(max-width:767px){.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{font-size:10px;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{font-size:13px;}.elementor-807 .elementor-element.elementor-element-d479722{--gap:10px;}.elementor-807 .elementor-element.elementor-element-0864058{--width:70%;}}/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */</style>		\n			<h2>رایگان</h2>		\n		<style>.elementor-807 .elementor-element.elementor-element-1bf7d6a{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-evenly;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-a28227a > .elementor-widget-container{margin:1.5rem 0rem 0rem 0rem;}.elementor-807 .elementor-element.elementor-element-5d3dc9c{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df{text-align:center;z-index:10;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-05507df > .elementor-widget-container{margin:-5px 0px 0px 0px;}.elementor-807 .elementor-element.elementor-element-d479722{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--background-transition:0.3s;--margin-top:0.625rem;--margin-right:0rem;--margin-bottom:0.625rem;--margin-left:0rem;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0864058{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-807 .elementor-element.elementor-element-fc893c4{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:100%;}.elementor-807 .elementor-element.elementor-element-0bca21f{width:auto;max-width:auto;}.elementor-807 .elementor-element.elementor-element-ab7862b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-c10ab4c .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-70b20a3 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-84c2246{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:16px;font-weight:normal;text-align:left;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-d1c06a4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-0980b0b .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a043fef{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular\", Sans-serif;font-weight:normal;text-align:right;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-1399d97 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-555755c .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-807 .elementor-element.elementor-element-a0585fc{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field__content{color:var( --e-global-color-secondary );font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:10px;text-align:right;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-807 .elementor-element.elementor-element-7e578b1 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-807 .elementor-element.elementor-element-2bd831e{text-align:center;}.elementor-807 .elementor-element.elementor-element-2bd831e .elementor-heading-title{font-family:\"iranyekanwebmedium\", Sans-serif;font-size:16px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-807 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-807 .elementor-element.elementor-element-d479722{--width:100%;}.elementor-807 .elementor-element.elementor-element-0864058{--width:100%;}.elementor-807 .elementor-element.elementor-element-fc893c4{--width:100%;}.elementor-807 .elementor-element.elementor-element-ab7862b{--width:100%;}}@media(max-width:767px){.elementor-807 .elementor-element.elementor-element-5d3dc9c .elementor-heading-title{font-size:10px;}.elementor-807 .elementor-element.elementor-element-05507df .elementor-heading-title{font-size:13px;}.elementor-807 .elementor-element.elementor-element-d479722{--gap:10px;}.elementor-807 .elementor-element.elementor-element-0864058{--width:70%;}}/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-ab7862b */.elementor-807 .elementor-element.elementor-element-ab7862b {\n    width: fit-content;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-1399d97 */.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-807 .elementor-element.elementor-element-1399d97 span.woocommerce-Price-amount.amount {\n    font-family: \'iranyekanwebmedium_FaNum\';\n    font-weight: 500;\n    font-size: 13px;\n}/* End custom CSS */</style>		\n			تومان		\n			&#x62A;&#x648;&#x645;&#x627;&#x646;50.000 &ndash; &#x62A;&#x648;&#x645;&#x627;&#x646;100.000		\n			تومان		\n			<h2>رایگان</h2>", "قالب صفحه محصول تکی", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d8%ad%d8%b5%d9%88%d9%84-%d8%aa%da%a9%db%8c", "", "", "2023-10-11 07:07:14", "2023-10-11 07:07:14", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d8%ad%d8%b5%d9%88%d9%84", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("498", "1", "2023-07-04 14:11:11", "2023-07-04 10:41:11", "", "برند محصولات", "", "publish", "closed", "closed", "", "%d8%a8%d8%b1%d9%86%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa", "", "", "2023-07-04 14:11:11", "2023-07-04 10:41:11", "", "0", "https://halochin.ir/multivendor/?post_type=jet-smart-filters&p=498", "0", "jet-smart-filters", "", "0");
INSERT INTO `wp_sa_posts` VALUES("499", "1", "2023-07-04 14:13:13", "2023-07-04 10:43:13", "", "دسته بندی محصولات", "", "publish", "closed", "closed", "", "%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa", "", "", "2023-07-04 14:13:13", "2023-07-04 10:43:13", "", "0", "https://halochin.ir/multivendor/?post_type=jet-smart-filters&p=499", "0", "jet-smart-filters", "", "0");
INSERT INTO `wp_sa_posts` VALUES("500", "1", "2023-07-04 14:14:24", "2023-07-04 10:44:24", "", "فیلتر جستجو", "", "publish", "closed", "closed", "", "%d9%81%db%8c%d9%84%d8%aa%d8%b1-%d8%ac%d8%b3%d8%aa%d8%ac%d9%88", "", "", "2023-07-04 14:14:24", "2023-07-04 10:44:24", "", "0", "https://halochin.ir/multivendor/?post_type=jet-smart-filters&p=500", "0", "jet-smart-filters", "", "0");
INSERT INTO `wp_sa_posts` VALUES("501", "1", "2023-07-04 14:15:59", "2023-07-04 10:45:59", "", "فیلتر قیمت", "", "publish", "closed", "closed", "", "%d9%81%db%8c%d9%84%d8%aa%d8%b1-%d9%82%db%8c%d9%85%d8%aa", "", "", "2023-07-04 14:15:59", "2023-07-04 10:45:59", "", "0", "https://halochin.ir/multivendor/?post_type=jet-smart-filters&p=501", "0", "jet-smart-filters", "", "0");
INSERT INTO `wp_sa_posts` VALUES("504", "1", "2023-07-04 14:27:46", "2023-07-04 10:57:46", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>ما که هستیم ؟		\n			<h2>درباره فروشگاه  آنلاین ما بیشتر بدانید!</h2>		\n		<p>ما پلتفرمی مبتنی بر تکنولوژی هستیم که ماموریت خود را ایجاد تجربه‌ای خوشایند از خرید و فروش برای تمام مردم ایران می‌دانیم. به عنوان یکی از پر مخاطب ترین فروشگاه های آنلاین ایران و منطقه در مسیر تبدیل شدن به اولین مرجع خرید و فروش آنلاین هستیم و برای این هدف، ارائه خدمات منطبق بر استانداردهای جهانی، مهمترین وظیفه ماست. هویت ما بیش از هرچیز متأثر از مخاطبانمان است و بر اساس نیازهای آنها گام بر می‌داریم. به همین دلیل، مشتری محوری مهمترین ارزش کسب ‌و کار ماست.</p>		\n			<a href=\"#\">\n						بیشتر بخوانید\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"499\" height=\"615\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/1.png 499w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/1-243x300.png 243w\" sizes=\"(max-width: 499px) 100vw, 499px\" />															\n			<h2>چرا فروشگاه آنلاین ؟</h2>		\n			<p>?why us</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:left;flex-direction:row}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:right;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style><figure><img width=\"365\" height=\"360\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/11.png\" alt=\"\" loading=\"lazy\" /></figure>190,000+<p>بازدید کننده یکتای ماهانه</p>		\n			<figure><img width=\"365\" height=\"360\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/12.png\" alt=\"\" loading=\"lazy\" /></figure>170+<p>فروشنده اعتبارسنجی شده</p>		\n			<figure><img width=\"365\" height=\"360\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/13.png\" alt=\"\" loading=\"lazy\" /></figure>2600+<p>کالا موجود در انبار</p>		\n			<figure><img width=\"365\" height=\"360\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/14.png\" alt=\"\" loading=\"lazy\" /></figure>%97.9<p>بدون درخواست مرجوعی</p>		\n			<figure><img width=\"365\" height=\"360\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/15.png\" alt=\"\" loading=\"lazy\" /></figure>13600+<p>مشتری راضی از کالا</p>		\n			<h2>نظرات شما</h2>		\n			<p>Customers comments</p>		\n			<style>.elementor-537 .elementor-element.elementor-element-dd287d6{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:10px;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:2rem;--padding-right:2rem;--padding-bottom:1.6rem;--padding-left:2rem;}.elementor-537 .elementor-element.elementor-element-dd287d6:not(.elementor-motion-effects-element-type-background), .elementor-537 .elementor-element.elementor-element-dd287d6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-537 .elementor-element.elementor-element-dd287d6, .elementor-537 .elementor-element.elementor-element-dd287d6::before{--border-transition:0.3s;}.elementor-537 .elementor-element.elementor-element-ae9efa4 .elementor-star-rating{font-size:16px;}.elementor-537 .elementor-element.elementor-element-f1959ad .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-537 .elementor-element.elementor-element-f1959ad > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__avatar img{width:55px;height:55px;}body.rtl .elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-537 .elementor-element.elementor-element-de84f2e:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-537 .elementor-element.elementor-element-de84f2e:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__name{font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__bio{font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-537 > .elementor{width:388px;margin-left:auto;margin-right:auto;}</style>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> /5		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor-pro/assets/css/widget-theme-elements-rtl.min.css\">		\n		<style>.elementor-537 .elementor-element.elementor-element-dd287d6{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:10px;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:2rem;--padding-right:2rem;--padding-bottom:1.6rem;--padding-left:2rem;}.elementor-537 .elementor-element.elementor-element-dd287d6:not(.elementor-motion-effects-element-type-background), .elementor-537 .elementor-element.elementor-element-dd287d6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-537 .elementor-element.elementor-element-dd287d6, .elementor-537 .elementor-element.elementor-element-dd287d6::before{--border-transition:0.3s;}.elementor-537 .elementor-element.elementor-element-ae9efa4 .elementor-star-rating{font-size:16px;}.elementor-537 .elementor-element.elementor-element-f1959ad .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-537 .elementor-element.elementor-element-f1959ad > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__avatar img{width:55px;height:55px;}body.rtl .elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-537 .elementor-element.elementor-element-de84f2e:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-537 .elementor-element.elementor-element-de84f2e:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__name{font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__bio{font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-537 > .elementor{width:388px;margin-left:auto;margin-right:auto;}</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> /5		\n		<style>.elementor-537 .elementor-element.elementor-element-dd287d6{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:10px;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;--border-top-left-radius:10px;--border-top-right-radius:10px;--border-bottom-right-radius:10px;--border-bottom-left-radius:10px;--padding-top:2rem;--padding-right:2rem;--padding-bottom:1.6rem;--padding-left:2rem;}.elementor-537 .elementor-element.elementor-element-dd287d6:not(.elementor-motion-effects-element-type-background), .elementor-537 .elementor-element.elementor-element-dd287d6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-537 .elementor-element.elementor-element-dd287d6, .elementor-537 .elementor-element.elementor-element-dd287d6::before{--border-transition:0.3s;}.elementor-537 .elementor-element.elementor-element-ae9efa4 .elementor-star-rating{font-size:16px;}.elementor-537 .elementor-element.elementor-element-f1959ad .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-537 .elementor-element.elementor-element-f1959ad > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__avatar img{width:55px;height:55px;}body.rtl .elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-537 .elementor-element.elementor-element-de84f2e:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-537 .elementor-element.elementor-element-de84f2e:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-537 .elementor-element.elementor-element-de84f2e.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__name{font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-537 .elementor-element.elementor-element-de84f2e .elementor-author-box__bio{font-family:\"IRANSansWeb_Light\", Sans-serif;font-size:14px;font-weight:normal;}.jet-listing-item.single-jet-engine.elementor-page-537 > .elementor{width:388px;margin-left:auto;margin-right:auto;}</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> /5		\n			<h2>مطالب اخیر</h2>		\n			<p>Recent Articles</p>		\n			<a href=\"https://halochin.ir/multivendor/blog\">\n						مشاهده همه\n					</a>\n			<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>\n		<style>.elementor-330 .elementor-element.elementor-element-7cf070f{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#E3E3E3;--border-color:#E3E3E3;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0px;--padding-right:0px;--padding-bottom:15px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-7cf070f:not(.elementor-motion-effects-element-type-background), .elementor-330 .elementor-element.elementor-element-7cf070f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-7cf070f, .elementor-330 .elementor-element.elementor-element-7cf070f::before{--border-transition:0.3s;}.elementor-330 .elementor-element.elementor-element-36b2487{text-align:center;}.elementor-330 .elementor-element.elementor-element-36b2487 img{width:100%;height:241px;object-fit:cover;object-position:center center;border-radius:15px 15px 0px 0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon i{color:var( --e-global-color-text );transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-icon svg{fill:var( --e-global-color-text );transition:fill 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93{--e-icon-list-icon-size:14px;--icon-vertical-offset:0px;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > .elementor-icon-list-text, .elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-item > a{font-family:\"IRANSansWeb_FaNum\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-d338b93 .elementor-icon-list-text{color:#9D9D9D;transition:color 0.3s;}.elementor-330 .elementor-element.elementor-element-d338b93 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-a69e9c8 .elementor-heading-title{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:16px;font-weight:normal;line-height:1.8em;}.elementor-330 .elementor-element.elementor-element-a69e9c8 > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-041724e{text-align:right;color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:12px;font-weight:normal;line-height:24px;}.elementor-330 .elementor-element.elementor-element-041724e > .elementor-widget-container{margin:0rem 1rem 0rem 1rem;}.elementor-330 .elementor-element.elementor-element-2610a10{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--margin-top:1rem;--margin-right:0.75rem;--margin-bottom:0rem;--margin-left:0rem;--padding-top:0px;--padding-right:10px;--padding-bottom:0px;--padding-left:10px;}.elementor-330 .elementor-element.elementor-element-83034b4{--display:flex;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__avatar img{width:40px;height:40px;}body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-left .elementor-author-box__avatar,\n					 body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-right:15px;margin-left:0;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-right .elementor-author-box__avatar,\n					 body.rtl .elementor-330 .elementor-element.elementor-element-e11e3e8:not(.elementor-author-box--layout-image-above) .elementor-author-box__avatar{margin-left:15px;margin-right:0;}.elementor-330 .elementor-element.elementor-element-e11e3e8.elementor-author-box--layout-image-above .elementor-author-box__avatar{margin-bottom:15px;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__name{color:#595959;font-family:\"IRANSansWeb_FaNum_Bold\", Sans-serif;font-size:12px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 .elementor-author-box__bio{color:#9D9D9D;font-family:\"IRANSansWeb_FaNum_Light\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-e11e3e8 > .elementor-widget-container{margin:0rem 0rem -0.3rem 0rem;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button{fill:#6A6A6A;color:#6A6A6A;background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:12px 30px 12px 20px;}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus{color:#FFFFFF;background-color:var( --e-global-color-primary );}.elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:hover svg, .elementor-330 .elementor-element.elementor-element-d185eb7 .elementor-button:focus svg{fill:#FFFFFF;}.elementor-330 .elementor-element.elementor-element-d185eb7 > .elementor-widget-container{margin:0px 0px 0px -1px;}.elementor-330 .elementor-element.elementor-element-ccad2d2 .elementor-heading-title{color:#FFFFFF;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:10px;font-weight:normal;}.elementor-330 .elementor-element.elementor-element-ccad2d2 > .elementor-widget-container{padding:0px 10px 3px 10px;background-color:var( --e-global-color-primary );border-radius:6px 6px 6px 6px;}.elementor-330 .elementor-element.elementor-element-ccad2d2{width:auto;max-width:auto;top:200px;}body:not(.rtl) .elementor-330 .elementor-element.elementor-element-ccad2d2{left:16px;}body.rtl .elementor-330 .elementor-element.elementor-element-ccad2d2{right:16px;}.jet-listing-item.single-jet-engine.elementor-page-330 > .elementor{width:382px;margin-left:auto;margin-right:auto;}@media(max-width:767px){.elementor-330 .elementor-element.elementor-element-2610a10{--flex-wrap:nowrap;}.elementor-330 .elementor-element.elementor-element-83034b4{--width:60%;}.elementor-330 .elementor-element.elementor-element-8e1ae5d{--width:40%;}}</style>		\n					<ul>\n							<li>\n									</li>\n						</ul>\n			<a role=\"button\">\n					</a>", "درباره ما", "", "publish", "closed", "closed", "", "about-us", "", "", "2023-07-06 14:37:38", "2023-07-06 11:07:38", "", "0", "https://halochin.ir/multivendor/?page_id=504", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("506", "1", "2023-07-04 14:25:21", "2023-07-04 10:55:21", "", "1.png", "", "inherit", "open", "closed", "", "1-png", "", "", "2023-07-04 14:25:21", "2023-07-04 10:55:21", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("507", "1", "2023-07-04 14:25:22", "2023-07-04 10:55:22", "", "about-top-section.png", "", "inherit", "open", "closed", "", "about-top-section-png", "", "", "2023-07-04 14:25:22", "2023-07-04 10:55:22", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/about-top-section.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("508", "1", "2023-07-04 14:26:12", "2023-07-04 10:56:12", "", "11.png", "", "inherit", "open", "closed", "", "11-png", "", "", "2023-07-04 14:26:12", "2023-07-04 10:56:12", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/11.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("509", "1", "2023-07-04 14:26:13", "2023-07-04 10:56:13", "", "12.png", "", "inherit", "open", "closed", "", "12-png", "", "", "2023-07-04 14:26:13", "2023-07-04 10:56:13", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/12.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("510", "1", "2023-07-04 14:26:13", "2023-07-04 10:56:13", "", "13.png", "", "inherit", "open", "closed", "", "13-png", "", "", "2023-07-04 14:26:13", "2023-07-04 10:56:13", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/13.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("511", "1", "2023-07-04 14:26:14", "2023-07-04 10:56:14", "", "14.png", "", "inherit", "open", "closed", "", "14-png", "", "", "2023-07-04 14:26:14", "2023-07-04 10:56:14", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/14.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("512", "1", "2023-07-04 14:26:14", "2023-07-04 10:56:14", "", "15.png", "", "inherit", "open", "closed", "", "15-png", "", "", "2023-07-04 14:26:14", "2023-07-04 10:56:14", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/15.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("513", "1", "2023-07-04 14:26:14", "2023-07-04 10:56:14", "", "line.png", "", "inherit", "open", "closed", "", "line-png", "", "", "2023-07-04 14:26:14", "2023-07-04 10:56:14", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/line.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("514", "1", "2023-07-04 14:26:15", "2023-07-04 10:56:15", "", "h-sepreator.svg", "", "inherit", "open", "closed", "", "h-sepreator-svg", "", "", "2023-07-04 14:26:15", "2023-07-04 10:56:15", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/h-sepreator.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("515", "1", "2023-07-04 14:26:39", "2023-07-04 10:56:39", "", "reviewsbg.png", "", "inherit", "open", "closed", "", "reviewsbg-png", "", "", "2023-07-04 14:26:39", "2023-07-04 10:56:39", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/reviewsbg.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("526", "1", "2023-07-05 08:43:05", "2023-07-05 05:13:05", "[dokan-dashboard]", "داشبورد", "", "publish", "closed", "closed", "", "dashboard", "", "", "2023-07-05 10:33:13", "2023-07-05 07:03:13", "", "0", "https://halochin.ir/multivendor/dashboard/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("527", "1", "2023-07-05 08:43:05", "2023-07-05 05:13:05", "[dokan-stores]", "لیست فروشگاه", "", "publish", "closed", "closed", "", "store-listing", "", "", "2023-07-06 08:54:13", "2023-07-06 05:24:13", "", "0", "https://halochin.ir/multivendor/store-listing/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("528", "1", "2023-07-05 08:43:05", "2023-07-05 05:13:05", "[dokan-my-orders]", "سفارش‌های من", "", "publish", "closed", "closed", "", "my-orders", "", "", "2023-07-05 08:43:05", "2023-07-05 05:13:05", "", "0", "https://halochin.ir/multivendor/my-orders/", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("530", "1", "2023-07-05 08:44:51", "2023-07-05 05:14:51", "<p>\n		متشکریم، سفارش شما دریافت شد.	</p>\n	<ul>\n		<li>\n			شماره سفارش:			<strong>552</strong>\n		</li>\n		<li>\n			تاریخ:			<strong>جولای 5, 2023</strong>\n		</li>\n					<li>\n				ایمیل:				<strong>designer2@abzarwp.com</strong>\n			</li>\n		<li>\n			جمع:			<strong><bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;0</bdi></strong>\n		</li>\n	</ul>\n			<section>\n	<h2>مشخصات سفارش</h2>\n	<table>\n		<thead>\n		<tr>\n			<th>محصول</th>\n			<th>مجموع</th>\n		</tr>\n		</thead>\n		<tbody>\n		<tr>\n	<td>\n		<a href=\"https://halochin.ir/multivendor/product/davinx-gaming-chair/\">صندلی گیمینگ داوینکس</a> <strong>&times;&nbsp;2</strong><br>فروشنده: <a href=\"https://halochin.ir/multivendor/store/designer2/\"></a>	</td>\n	<td>\n		<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;24.600.000</bdi>	</td>\n</tr>\n<tr>\n	<td>\n		<a href=\"https://halochin.ir/multivendor/product/pakshoma-washing-machine/\">ماشین لباسشویی پاکشوما</a> <strong>&times;&nbsp;1</strong><br>فروشنده: <a href=\"https://halochin.ir/multivendor/store/designer2/\"></a>	</td>\n	<td>\n		<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;32.000.000</bdi>	</td>\n</tr>\n<tr>\n	<td>\n		<a href=\"https://halochin.ir/multivendor/product/cat-design-pencil-holder/\">جامدادی طرح پیشی مدل فلت</a> <strong>&times;&nbsp;2</strong><br>فروشنده: <a href=\"https://halochin.ir/multivendor/store/designer2/\"></a>	</td>\n	<td>\n		<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;50.000</bdi>	</td>\n</tr>\n<tr>\n	<td>\n		<a href=\"https://halochin.ir/multivendor/product/kalleh-thousand-island/\">سس هزار جزیره کاله</a> <strong>&times;&nbsp;1</strong><br>فروشنده: <a href=\"https://halochin.ir/multivendor/store/designer2/\"></a>	</td>\n	<td>\n		<bdi>&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;33.000</bdi>	</td>\n</tr>\n		</tbody>\n		<tfoot>\n					<tr>\n				<th scope=\"row\">جمع كل سبد خريد:</th>\n				<td>&#x62A;&#x648;&#x645;&#x627;&#x646;56.683.000</td>\n			</tr>\n						<tr>\n				<th scope=\"row\">تخفیف:</th>\n				<td>-&#x62A;&#x648;&#x645;&#x627;&#x646;56.683.000</td>\n			</tr>\n						<tr>\n				<th scope=\"row\">حمل و نقل:</th>\n				<td>حمل و نقل رایگان</td>\n			</tr>\n						<tr>\n				<th scope=\"row\">قیمت نهایی:</th>\n				<td>&#x62A;&#x648;&#x645;&#x627;&#x646;0</td>\n			</tr>\n							</tfoot>\n	</table>\n	</section>\n			<section>\n	<section>\n	<h2>آدرس صورتحساب</h2>\n	<address>\n		ghg ghh<br />ghgh<br />hghg<br />تهران<br />25121212\n					<p>121212</p>\n					<p>designer2@abzarwp.com</p>\n			</address>\n		<!-- /.col-1 -->\n			<h2>آدرس حمل و نقل</h2>\n			<address>\n				ghg ghh<br />ghgh<br />hghg<br />تهران<br />25121212\n							</address>\n		<!-- /.col-2 -->\n	</section><!-- /.col2-set -->\n</section>", "قالب تشکر صفحه پرداخت", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%aa%d8%b4%da%a9%d8%b1-%d8%b5%d9%81%d8%ad%d9%87-%d9%be%d8%b1%d8%af%d8%a7%d8%ae%d8%aa", "", "", "2023-07-08 08:20:10", "2023-07-08 04:50:10", "", "0", "https://halochin.ir/multivendor/?post_type=jet-woo-builder&#038;p=530", "0", "jet-woo-builder", "", "0");
INSERT INTO `wp_sa_posts` VALUES("531", "1", "2023-07-05 08:45:19", "2023-07-05 05:15:19", "", "23", "", "inherit", "open", "closed", "", "23", "", "", "2023-07-05 08:45:19", "2023-07-05 05:15:19", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/23.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("532", "1", "2023-07-05 08:46:34", "2023-07-05 05:16:34", "", "22", "", "inherit", "open", "closed", "", "22", "", "", "2023-07-05 08:46:34", "2023-07-05 05:16:34", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/22.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("535", "1", "2023-07-05 08:47:29", "2023-07-05 05:17:29", "", "21", "", "inherit", "open", "closed", "", "21", "", "", "2023-07-05 08:47:29", "2023-07-05 05:17:29", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/21.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("537", "1", "2023-07-05 08:48:36", "2023-07-05 05:18:36", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> /5", "گرید نظرات مشتریان", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%86%d8%b8%d8%b1%d8%a7%d8%aa-%d9%85%d8%b4%d8%aa%d8%b1%db%8c%d8%a7%d9%86", "", "", "2023-07-05 09:10:26", "2023-07-05 05:40:26", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%86%d8%b8%d8%b1%d8%a7%d8%aa-%d9%85%d8%b4%d8%aa%d8%b1%db%8c%d8%a7%d9%86", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("546", "1", "2023-07-05 08:53:14", "2023-07-05 05:23:14", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-7", "", "", "2023-07-05 08:53:14", "2023-07-05 05:23:14", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-6.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("561", "1", "2023-07-05 09:02:04", "2023-07-05 05:32:04", "", "Ecommerce-campaign-amico.svg", "", "inherit", "open", "closed", "", "ecommerce-campaign-amico-svg", "", "", "2023-07-05 09:02:04", "2023-07-05 05:32:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Ecommerce-campaign-amico.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("562", "1", "2023-07-05 09:02:04", "2023-07-05 05:32:04", "<p>جهت دسترسی آسان به لینک های پیشخوان میتوانید از منوی روبرو اقدام فرمایید.</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"500\" height=\"500\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/Ecommerce-campaign-amico.svg\" alt=\"\" loading=\"lazy\" />															\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<a href=\"https://halochin.ir/multivendor/my-account/orders/\">\n								</a>\n					<a href=\"https://halochin.ir/multivendor/my-account/orders/\" >\n						سفارش ها					</a>\n				<a href=\"https://halochin.ir/multivendor/my-account/downloads/\">\n								</a>\n					<a href=\"https://halochin.ir/multivendor/my-account/downloads/\" >\n						دانلود ها					</a>\n				<a href=\"https://halochin.ir/multivendor/my-account/edit-address/\">\n								</a>\n					<a href=\"https://halochin.ir/multivendor/my-account/edit-address/\" >\n						آدرس					</a>\n				<a href=\"https://halochin.ir/multivendor/my-account/edit-account/\">\n								</a>\n					<a href=\"https://halochin.ir/multivendor/my-account/edit-account/\" >\n						جزییات حساب					</a>\n				<a href=\"https://halochin.ir/multivendor/my-account/wishlist/\">\n								</a>\n					<a href=\"https://halochin.ir/multivendor/my-account/wishlist/\" >\n						علاقمندی					</a>\n				<a href=\"https://halochin.ir/multivendor/my-account/customer-logout/?elementor_wc_logout=true&#038;elementor_my_account_redirect=https%3A%2F%2Fhalochin.ir%2Fmultivendor%2Fmy-account%2F&#038;_wpnonce=1024346fde\">\n								</a>\n					<a href=\"https://halochin.ir/multivendor/my-account/customer-logout/?elementor_wc_logout=true&#038;elementor_my_account_redirect=https%3A%2F%2Fhalochin.ir%2Fmultivendor%2Fmy-account%2F&#038;_wpnonce=1024346fde\" >\n						خروج					</a>", "قالب پیشخوان حساب کاربری", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d9%be%db%8c%d8%b4%d8%ae%d9%88%d8%a7%d9%86-%d8%ad%d8%b3%d8%a7%d8%a8-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%db%8c", "", "", "2023-07-05 09:08:25", "2023-07-05 05:38:25", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d9%be%db%8c%d8%b4%d8%ae%d9%88%d8%a7%d9%86-%d8%ad%d8%b3%d8%a7%d8%a8-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%db%8c", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("586", "1", "2023-07-05 09:12:20", "2023-07-05 05:42:20", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>تماس با ما</h2>		\n			<p>Contact Us</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"880\" height=\"422\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-img-min.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-img-min.jpg 880w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-img-min-600x288.jpg 600w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-img-min-300x144.jpg 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-img-min-768x368.jpg 768w\" sizes=\"(max-width: 880px) 100vw, 880px\" />															\n			<h2>روز های تعطیل</h2>		\n			<p>holidays</p>		\n		<p>فروشگاه آنلاین در روز های زیر تعطیل است؛ در این زمان ها کالایی ارسال نمیشود و نمیتوانیم پاسخگو شما عزیزان باشیم.</p>		\n			1 تا 13		\n			فروردین		\n			عید نوروز		\n			14		\n			خرداد		\n			رحلت امام خمینی(ره)		\n			17		\n			مرداد		\n			تاسوعا		\n			18		\n			مرداد		\n			عاشورا		\n			26		\n			شهریور		\n			اربعین حسینی		\n			<h2>ارسال پیام به ما</h2>		\n			<p>Send a message</p>		\n		<p>برای پیگیری سفارش خود و یا طرح سوال، فرم زیر را تکمیل کنید.</p>		\n															<img width=\"323\" height=\"459\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/Group-37165.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/Group-37165.png 323w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/Group-37165-211x300.png 211w\" sizes=\"(max-width: 323px) 100vw, 323px\" />", "تماس با ما", "", "publish", "closed", "closed", "", "contact-us", "", "", "2023-07-15 08:09:22", "2023-07-15 08:09:22", "", "0", "https://halochin.ir/multivendor/?page_id=586", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("605", "1", "2023-07-05 09:17:18", "2023-07-05 05:47:18", "", "contact-top", "", "inherit", "open", "closed", "", "contact-top", "", "", "2023-07-05 09:17:18", "2023-07-05 05:47:18", "", "586", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/contact-top.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("606", "1", "2023-07-05 09:17:40", "2023-07-05 05:47:40", "", "map-img-min.jpg", "", "inherit", "open", "closed", "", "map-img-min-jpg", "", "", "2023-07-05 09:17:40", "2023-07-05 05:47:40", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-img-min.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("619", "1", "2023-07-05 09:21:02", "2023-07-05 05:51:02", "", "map-contact5.svg", "", "inherit", "open", "closed", "", "map-contact5-svg", "", "", "2023-07-05 09:21:02", "2023-07-05 05:51:02", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/map-contact5.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("620", "1", "2023-07-05 09:21:02", "2023-07-05 05:51:02", "", "email-contact2.svg", "", "inherit", "open", "closed", "", "email-contact2-svg", "", "", "2023-07-05 09:21:02", "2023-07-05 05:51:02", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/email-contact2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("621", "1", "2023-07-05 09:21:02", "2023-07-05 05:51:02", "", "calling-cotact3.svg", "", "inherit", "open", "closed", "", "calling-cotact3-svg", "", "", "2023-07-05 09:21:02", "2023-07-05 05:51:02", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/calling-cotact3.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("622", "1", "2023-07-05 09:21:03", "2023-07-05 05:51:03", "", "support-contact4.svg", "", "inherit", "open", "closed", "", "support-contact4-svg", "", "", "2023-07-05 09:21:03", "2023-07-05 05:51:03", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/support-contact4.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("623", "1", "2023-07-05 09:21:03", "2023-07-05 05:51:03", "", "clock-contact1.svg", "", "inherit", "open", "closed", "", "clock-contact1-svg", "", "", "2023-07-05 09:21:03", "2023-07-05 05:51:03", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/clock-contact1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("624", "1", "2023-07-05 09:21:03", "2023-07-05 05:51:03", "", "Telegram-Outline.svg", "", "inherit", "open", "closed", "", "telegram-outline-svg", "", "", "2023-07-05 09:21:03", "2023-07-05 05:51:03", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Telegram-Outline.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("625", "1", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "", "Twitter-Outline.svg", "", "inherit", "open", "closed", "", "twitter-outline-svg", "", "", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Twitter-Outline.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("626", "1", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "", "Instagram-Outline.svg", "", "inherit", "open", "closed", "", "instagram-outline-svg", "", "", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Instagram-Outline.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("627", "1", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "", "Facebook-Outline.svg", "", "inherit", "open", "closed", "", "facebook-outline-svg", "", "", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Facebook-Outline.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("628", "1", "2023-07-05 09:21:04", "2023-07-05 05:51:04", "<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 40 40\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <g fill=\"\" fill-rule=\"evenodd\" clip-rule=\"evenodd\">      <path d=\"M20 6.25C14.273 6.25 9.583 11.024 9.583 17c0 4.79 2.672 8.997 5.506 12.094a33.596 33.596 0 0 0 4.91 4.385 33.604 33.604 0 0 0 4.911-4.385c2.835-3.097 5.507-7.305 5.507-12.094 0-5.977-4.69-10.75-10.417-10.75zM20 35c-.676 1.052-.676 1.051-.677 1.051l-.004-.003-.009-.005-.03-.02a20.412 20.412 0 0 1-.503-.345c-.336-.237-.81-.585-1.377-1.034a36.09 36.09 0 0 1-4.156-3.863c-3-3.278-6.16-8.07-6.16-13.781C7.083 9.71 12.825 3.75 20 3.75S32.917 9.71 32.917 17c0 5.71-3.162 10.503-6.162 13.781a36.082 36.082 0 0 1-4.156 3.863 31.601 31.601 0 0 1-1.77 1.306l-.109.073-.03.02-.01.005-.002.002s-.002.002-.678-1.05zm0 0 .676 1.052a1.251 1.251 0 0 1-1.353-.001z\" fill=\"\" data-original=\"#000000\"></path>      <path d=\"M20 13.75a3.25 3.25 0 1 0 0 6.5 3.25 3.25 0 0 0 0-6.5zM14.25 17a5.75 5.75 0 1 1 11.5 0 5.75 5.75 0 0 1-11.5 0z\" fill=\"\" data-original=\"#000000\"></path>    </g>  </g></svg>						\n										دفتر مرکزی\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تهران، خیابان طراحان سایت،کوچه سوم		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <g data-name=\"Layer 2\">      <path d=\"M19 20.5H5a4.004 4.004 0 0 1-4-4v-9a4.004 4.004 0 0 1 4-4h14a4.004 4.004 0 0 1 4 4v9a4.004 4.004 0 0 1-4 4zM5 5.5a2.002 2.002 0 0 0-2 2v9a2.002 2.002 0 0 0 2 2h14a2.002 2.002 0 0 0 2-2v-9a2.002 2.002 0 0 0-2-2z\" fill=\"\" data-original=\"#000000\"></path>      <path d=\"M12 13.434a4.993 4.993 0 0 1-3.07-1.055L2.386 7.29A1 1 0 0 1 3.614 5.71l6.544 5.09a2.995 2.995 0 0 0 3.684 0l6.544-5.09a1 1 0 0 1 1.228 1.58l-6.544 5.09A4.996 4.996 0 0 1 12 13.433z\" fill=\"\" data-original=\"#000000\"></path>    </g>  </g></svg>						\n										ایمیل\n									</li>\n						</ul>\n			info@yoursite.com		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 473.806 473.806\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M374.456 293.506c-9.7-10.1-21.4-15.5-33.8-15.5-12.3 0-24.1 5.3-34.2 15.4l-31.6 31.5c-2.6-1.4-5.2-2.7-7.7-4-3.6-1.8-7-3.5-9.9-5.3-29.6-18.8-56.5-43.3-82.3-75-12.5-15.8-20.9-29.1-27-42.6 8.2-7.5 15.8-15.3 23.2-22.8 2.8-2.8 5.6-5.7 8.4-8.5 21-21 21-48.2 0-69.2l-27.3-27.3c-3.1-3.1-6.3-6.3-9.3-9.5-6-6.2-12.3-12.6-18.8-18.6-9.7-9.6-21.3-14.7-33.5-14.7s-24 5.1-34 14.7l-.2.2-34 34.3c-12.8 12.8-20.1 28.4-21.7 46.5-2.4 29.2 6.2 56.4 12.8 74.2 16.2 43.7 40.4 84.2 76.5 127.6 43.8 52.3 96.5 93.6 156.7 122.7 23 10.9 53.7 23.8 88 26 2.1.1 4.3.2 6.3.2 23.1 0 42.5-8.3 57.7-24.8.1-.2.3-.3.4-.5 5.2-6.3 11.2-12 17.5-18.1 4.3-4.1 8.7-8.4 13-12.9 9.9-10.3 15.1-22.3 15.1-34.6 0-12.4-5.3-24.3-15.4-34.3l-54.9-55.1zm35.8 105.3c-.1 0-.1.1 0 0-3.9 4.2-7.9 8-12.2 12.2-6.5 6.2-13.1 12.7-19.3 20-10.1 10.8-22 15.9-37.6 15.9-1.5 0-3.1 0-4.6-.1-29.7-1.9-57.3-13.5-78-23.4-56.6-27.4-106.3-66.3-147.6-115.6-34.1-41.1-56.9-79.1-72-119.9-9.3-24.9-12.7-44.3-11.2-62.6 1-11.7 5.5-21.4 13.8-29.7l34.1-34.1c4.9-4.6 10.1-7.1 15.2-7.1 6.3 0 11.4 3.8 14.6 7l.3.3c6.1 5.7 11.9 11.6 18 17.9 3.1 3.2 6.3 6.4 9.5 9.7l27.3 27.3c10.6 10.6 10.6 20.4 0 31-2.9 2.9-5.7 5.8-8.6 8.6-8.4 8.6-16.4 16.6-25.1 24.4-.2.2-.4.3-.5.5-8.6 8.6-7 17-5.2 22.7l.3.9c7.1 17.2 17.1 33.4 32.3 52.7l.1.1c27.6 34 56.7 60.5 88.8 80.8 4.1 2.6 8.3 4.7 12.3 6.7 3.6 1.8 7 3.5 9.9 5.3.4.2.8.5 1.2.7 3.4 1.7 6.6 2.5 9.9 2.5 8.3 0 13.5-5.2 15.2-6.9l34.2-34.2c3.4-3.4 8.8-7.5 15.1-7.5 6.2 0 11.3 3.9 14.4 7.3l.2.2 55.1 55.1c10.3 10.2 10.3 20.7.1 31.3zM256.056 112.706c26.2 4.4 50 16.8 69 35.8s31.3 42.8 35.8 69c1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.4-1.2 12.3-8.2 11.1-15.6-5.4-31.7-20.4-60.6-43.3-83.5s-51.8-37.9-83.5-43.3c-7.4-1.2-14.3 3.7-15.6 11s3.5 14.4 10.9 15.6zM473.256 209.006c-8.9-52.2-33.5-99.7-71.3-137.5s-85.3-62.4-137.5-71.3c-7.3-1.3-14.2 3.7-15.5 11-1.2 7.4 3.7 14.3 11.1 15.6 46.6 7.9 89.1 30 122.9 63.7 33.8 33.8 55.8 76.3 63.7 122.9 1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.3-1.1 12.3-8.1 11-15.4z\" fill=\"\" data-original=\"#000000\"></path>  </g></svg>						\n										شماره تماس فروش\n									</li>\n						</ul>\n			021-12345678		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path fill=\"\" fill-rule=\"evenodd\" d=\"M2 32C2 15.431 15.431 2 32 2s30 13.431 30 30v21a9 9 0 1 1-18 0V43a9 9 0 0 1 14-7.484V32C58 17.64 46.36 6 32 6S6 17.64 6 32v3.515A9 9 0 0 1 20 43v10.001a9 9 0 1 1-18 0zm56 11a5 5 0 0 0-10 0v10a5 5 0 0 0 10 0zM6 43a5 5 0 0 1 10 0v10a5 5 0 0 1-10 0z\" clip-rule=\"evenodd\" data-original=\"\"></path>  </g></svg>						\n										شماره تماس پشتیبانی\n									</li>\n						</ul>\n			021-12345678		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"m347.216 301.211-71.387-53.54V138.609c0-10.966-8.864-19.83-19.83-19.83-10.966 0-19.83 8.864-19.83 19.83v118.978c0 6.246 2.935 12.136 7.932 15.864l79.318 59.489a19.713 19.713 0 0 0 11.878 3.966c6.048 0 11.997-2.717 15.884-7.952 6.585-8.746 4.8-21.179-3.965-27.743z\" fill=\"\" data-original=\"#000000\"></path>    <path d=\"M256 0C114.833 0 0 114.833 0 256s114.833 256 256 256 256-114.833 256-256S397.167 0 256 0zm0 472.341c-119.275 0-216.341-97.066-216.341-216.341S136.725 39.659 256 39.659c119.295 0 216.341 97.066 216.341 216.341S375.275 472.341 256 472.341z\" fill=\"\" data-original=\"#000000\"></path>  </g></svg>						\n										ساعت پاسخگویی\n									</li>\n						</ul>\n			شنبه تا پنجشنبه 24 ساعته		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"22\" viewBox=\"0 0 22 22\" fill=\"none\"><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.1639 10.9999C20.1639 16.0625 16.0598 20.1666 10.9972 20.1666C5.93462 20.1666 1.83057 16.0625 1.83057 10.9999C1.83057 5.93731 5.93462 1.83325 10.9972 1.83325C16.0598 1.83325 20.1639 5.93731 20.1639 10.9999ZM11.3257 8.60049C10.4341 8.97134 8.65219 9.73889 5.97992 10.9032C5.54598 11.0757 5.31867 11.2445 5.29798 11.4096C5.263 11.6886 5.61235 11.7984 6.08807 11.948C6.15278 11.9684 6.21983 11.9894 6.28856 12.0118C6.7566 12.1639 7.38619 12.3419 7.71349 12.349C8.01037 12.3554 8.34174 12.233 8.70757 11.9818C11.2044 10.2964 12.4932 9.4445 12.5741 9.42613C12.6312 9.41318 12.7103 9.39689 12.7639 9.44453C12.8175 9.49217 12.8122 9.58239 12.8066 9.60659C12.772 9.75413 11.4006 11.029 10.691 11.6888C10.4698 11.8945 10.3128 12.0404 10.2808 12.0737C10.2089 12.1483 10.1357 12.2189 10.0653 12.2868C9.63045 12.7059 9.30438 13.0203 10.0833 13.5336C10.4576 13.7803 10.7572 13.9842 11.056 14.1877C11.3824 14.41 11.7079 14.6317 12.129 14.9077C12.2363 14.9781 12.3388 15.0511 12.4386 15.1223C12.8184 15.393 13.1596 15.6363 13.5811 15.5975C13.8261 15.575 14.0791 15.3446 14.2076 14.6577C14.5113 13.0343 15.1082 9.5168 15.2461 8.06733C15.2582 7.94034 15.243 7.77781 15.2308 7.70647C15.2186 7.63512 15.1931 7.53347 15.1004 7.45822C14.9905 7.36911 14.821 7.35031 14.7451 7.35159C14.4004 7.35772 13.8714 7.54165 11.3257 8.60049Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>				\n						تلگرام					\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" fill=\"none\"><path d=\"M22 5.9246C21.2645 6.25051 20.4744 6.47071 19.6438 6.57025C20.4911 6.06289 21.1412 5.25782 21.4477 4.29948C20.655 4.76984 19.7768 5.1116 18.8422 5.29481C18.0935 4.49855 17.0277 4 15.8474 4C13.582 4 11.7446 5.8374 11.7446 8.10464C11.7446 8.42526 11.7816 8.73707 11.8503 9.03832C8.43883 8.86656 5.41672 7.23263 3.39258 4.75046C3.04025 5.35823 2.83766 6.06289 2.83766 6.81335C2.83766 8.23677 3.56258 9.4937 4.66273 10.2292C3.98978 10.2072 3.35735 10.0231 2.80419 9.71567V9.76852C2.80419 11.7565 4.21792 13.4151 6.09583 13.7921C5.75055 13.8855 5.38853 13.9348 5.01506 13.9348C4.75081 13.9348 4.49273 13.9102 4.24258 13.8626C4.76491 15.4921 6.27993 16.6795 8.07593 16.7112C6.67101 17.8122 4.90144 18.4684 2.97948 18.4684C2.64829 18.4684 2.3215 18.449 2 18.4112C3.81626 19.5765 5.97252 20.2547 8.28909 20.2547C15.8378 20.2547 19.9644 14.0026 19.9644 8.58029C19.9644 8.40412 19.96 8.2262 19.9521 8.05003C20.7536 7.47045 21.4495 6.74905 21.9982 5.92724L22 5.9246Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>				\n						توییتر					\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"22\" viewBox=\"0 0 22 22\" fill=\"none\"><path d=\"M2.80656 6.64084C2.84943 5.70401 2.99612 5.09981 3.19449 4.58693L3.19716 4.57985C3.39374 4.05796 3.70169 3.58517 4.09958 3.1944L4.10516 3.18892L4.11065 3.18333C4.50174 2.78494 4.97469 2.47729 5.49613 2.28123L5.50512 2.27779C6.01682 2.07879 6.61985 1.93265 7.55746 1.88979M2.80656 6.64084C2.76149 7.6418 2.75 7.95208 2.75 10.5473C2.75 13.1432 2.76085 13.4528 2.80653 14.4539M2.80656 6.64084L2.80656 6.89333M3.19798 16.5153C3.39404 17.0367 3.70168 17.5097 4.10008 17.9008L4.10566 17.9062L4.11113 17.9118C4.50192 18.3097 4.97472 18.6176 5.49662 18.8142L5.50441 18.8172C6.01658 19.0158 6.61989 19.162 7.55746 19.2049M3.19798 16.5153L3.19454 16.5063C2.99554 15.9946 2.8494 15.3916 2.80653 14.4539M3.19798 16.5153L3.18622 16.4534M2.80653 14.4539L2.82189 14.5348M2.80653 14.4539L2.80653 14.2008M3.18622 16.4534L2.82189 14.5348M3.18622 16.4534C3.03148 16.0446 2.87215 15.4742 2.82189 14.5348M3.18622 16.4534C3.19165 16.4677 3.19707 16.4819 3.20248 16.4958C3.39872 17.0248 3.70964 17.5038 4.11292 17.8984C4.50736 18.3016 4.98618 18.6125 5.51502 18.8087C5.93943 18.974 6.53744 19.1468 7.55731 19.1935C8.58654 19.2404 8.90452 19.2499 11.4641 19.2499C14.0236 19.2499 14.3419 19.2403 15.3711 19.1935C16.3922 19.1467 16.9896 18.973 17.4125 18.809C17.9416 18.6128 18.4207 18.3018 18.8153 17.8984C19.2184 17.504 19.5293 17.0252 19.7255 16.4964C19.8908 16.072 20.0635 15.4739 20.1103 14.4541C20.1571 13.4249 20.1667 13.1062 20.1667 10.5473C20.1667 7.98841 20.1571 7.66952 20.1103 6.6403C20.0632 5.61383 19.8879 5.01563 19.7231 4.59234C19.5077 4.03621 19.2345 3.61559 18.8146 3.19567C18.3955 2.77741 17.976 2.50406 17.4195 2.28842C16.9947 2.12234 16.3961 1.94812 15.3711 1.90114C15.282 1.89709 15.1982 1.89331 15.1178 1.8898M2.82189 14.5348C2.82047 14.5083 2.81913 14.4815 2.81789 14.4544C2.81383 14.3651 2.81005 14.2813 2.80653 14.2008M7.55746 1.88979C8.55865 1.84411 8.86882 1.83325 11.4641 1.83325C14.0593 1.83325 14.3693 1.84473 15.3703 1.8898M7.55746 1.88979L7.81059 1.88979M15.3703 1.8898L15.1178 1.8898M15.3703 1.8898C16.3073 1.93265 16.9116 2.07932 17.4245 2.27771L17.4316 2.28041C17.9534 2.47699 18.4262 2.78494 18.817 3.18283L18.8224 3.18836L18.828 3.19379C19.2259 3.58459 19.5338 4.0575 19.7302 4.57954L19.7336 4.58838C19.9326 5.10008 20.0788 5.7031 20.1216 6.64071M7.81059 1.88979L15.1178 1.8898M7.81059 1.88979C8.65838 1.85272 9.12696 1.84474 11.4641 1.84474C13.8014 1.84474 14.2699 1.85272 15.1178 1.8898M7.81059 1.88979C7.73013 1.8933 7.64626 1.89708 7.55704 1.90114C6.5359 1.94794 5.93859 2.12167 5.51569 2.2857C4.98456 2.48259 4.50387 2.79517 4.10846 3.20079C3.69245 3.61851 3.42015 4.03712 3.2052 4.59186C3.03911 5.01666 2.86485 5.61555 2.81788 6.64057C2.81383 6.72949 2.81006 6.81311 2.80656 6.89333M20.1216 14.4539C20.0788 15.3915 19.9326 15.9948 19.734 16.507L19.731 16.5148C19.5344 17.0367 19.2265 17.5095 18.8286 17.9003L18.823 17.9057L18.8175 17.9113C18.4264 18.3097 17.9535 18.6174 17.432 18.8134L17.423 18.8169C16.9113 19.0159 16.3083 19.162 15.3707 19.2049M2.80653 14.2008C2.76946 13.353 2.76148 12.8844 2.76148 10.5473C2.76148 8.2095 2.76946 7.74157 2.80656 6.89333M2.80653 14.2008L2.80656 6.89333M9.91422 14.289C10.4056 14.4926 10.9322 14.5973 11.4641 14.5973C12.5382 14.5973 13.5683 14.1706 14.3278 13.4111C15.0874 12.6516 15.5141 11.6214 15.5141 10.5473C15.5141 9.47321 15.0874 8.44308 14.3278 7.68356C13.5683 6.92404 12.5382 6.49735 11.4641 6.49735C10.9322 6.49735 10.4056 6.6021 9.91422 6.80563C9.42285 7.00916 8.97639 7.30748 8.60031 7.68356C8.22424 8.05963 7.92592 8.5061 7.72239 8.99747C7.51886 9.48883 7.4141 10.0155 7.4141 10.5473C7.4141 11.0792 7.51886 11.6058 7.72239 12.0972C7.92592 12.5886 8.22424 13.035 8.60031 13.4111C8.97639 13.7872 9.42285 14.0855 9.91422 14.289ZM8.59129 7.67454C9.3532 6.91262 10.3866 6.48459 11.4641 6.48459C12.5416 6.48459 13.575 6.91262 14.3369 7.67454C15.0988 8.43645 15.5268 9.46982 15.5268 10.5473C15.5268 11.6248 15.0988 12.6582 14.3369 13.4201C13.575 14.182 12.5416 14.6101 11.4641 14.6101C10.3866 14.6101 9.3532 14.182 8.59129 13.4201C7.82938 12.6582 7.40134 11.6248 7.40134 10.5473C7.40134 9.46982 7.82938 8.43645 8.59129 7.67454ZM17.8145 5.53869C17.8145 5.84709 17.692 6.14286 17.4739 6.36094C17.2559 6.57901 16.9601 6.70152 16.6517 6.70152C16.3433 6.70152 16.0475 6.57901 15.8294 6.36094C15.6114 6.14286 15.4889 5.84709 15.4889 5.53869C15.4889 5.23028 15.6114 4.93451 15.8294 4.71644C16.0475 4.49837 16.3433 4.37585 16.6517 4.37585C16.9601 4.37585 17.2559 4.49837 17.4739 4.71644C17.692 4.93451 17.8145 5.23028 17.8145 5.53869Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>				\n						اینستاگرام					\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"22\" height=\"22\" viewBox=\"0 0 22 22\" fill=\"none\"><path d=\"M20.1668 11.0001C20.1668 5.9375 16.0628 1.83345 11.0002 1.83345C5.93755 1.83345 1.8335 5.9375 1.8335 11.0001C1.8335 15.5755 5.18561 19.3677 9.56787 20.0554V13.6499H7.2404V11.0001H9.56787V8.98058C9.56787 6.68319 10.9364 5.41418 13.0303 5.41418C14.0332 5.41418 15.0822 5.59321 15.0822 5.59321V7.84907H13.9263C12.7876 7.84907 12.4325 8.55567 12.4325 9.28059V11.0001H14.9748L14.5684 13.6499H12.4325V20.0554C16.8147 19.3677 20.1668 15.5755 20.1668 11.0001Z\" stroke=\"#595959\" stroke-width=\"1.2\" stroke-linejoin=\"round\"></path></svg>				\n						فیسبوک", "سکشن اطلاعات تماس صفحه تماس با ما", "", "publish", "closed", "closed", "", "%d8%b3%da%a9%d8%b4%d9%86-%d8%a7%d8%b7%d9%84%d8%a7%d8%b9%d8%a7%d8%aa-%d8%aa%d9%85%d8%a7%d8%b3-%d8%b5%d9%81%d8%ad%d9%87-%d8%aa%d9%85%d8%a7%d8%b3-%d8%a8%d8%a7-%d9%85%d8%a7", "", "", "2023-07-06 16:33:42", "2023-07-06 13:03:42", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d8%b3%da%a9%d8%b4%d9%86-%d8%a7%d8%b7%d9%84%d8%a7%d8%b9%d8%a7%d8%aa-%d8%aa%d9%85%d8%a7%d8%b3", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("634", "1", "2023-07-05 09:22:32", "2023-07-05 05:52:32", "", "Group-37165.png", "", "inherit", "open", "closed", "", "group-37165-png", "", "", "2023-07-05 09:22:32", "2023-07-05 05:52:32", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Group-37165.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("694", "1", "2023-07-05 09:49:34", "2023-07-05 06:19:34", "", "Vector.svg", "", "inherit", "open", "closed", "", "vector-svg", "", "", "2023-07-05 09:49:34", "2023-07-05 06:19:34", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/Vector.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("695", "1", "2023-07-05 09:49:35", "2023-07-05 06:19:35", "", "info-circle.svg", "", "inherit", "open", "closed", "", "info-circle-svg", "", "", "2023-07-05 09:49:35", "2023-07-05 06:19:35", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/info-circle.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("696", "1", "2023-07-05 09:49:35", "2023-07-05 06:19:35", "", "location-tick.svg", "", "inherit", "open", "closed", "", "location-tick-svg", "", "", "2023-07-05 09:49:35", "2023-07-05 06:19:35", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/location-tick.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("697", "1", "2023-07-05 09:49:35", "2023-07-05 06:19:35", "", "activity-1.svg", "", "inherit", "open", "closed", "", "activity-1-svg", "", "", "2023-07-05 09:49:35", "2023-07-05 06:19:35", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/activity-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("698", "1", "2023-07-05 09:49:36", "2023-07-05 06:19:36", "", "svgeاتتاxport-10.svg", "", "inherit", "open", "closed", "", "svge%d8%a7%d8%aa%d8%aa%d8%a7xport-10-svg", "", "", "2023-07-05 09:49:36", "2023-07-05 06:19:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/svgeاتتاxport-10.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("699", "1", "2023-07-05 09:49:36", "2023-07-05 06:19:36", "", "chart-success.svg", "", "inherit", "open", "closed", "", "chart-success-svg", "", "", "2023-07-05 09:49:36", "2023-07-05 06:19:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/chart-success.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("700", "1", "2023-07-05 09:49:36", "2023-07-05 06:19:36", "", "notification-bing.svg", "", "inherit", "open", "closed", "", "notification-bing-svg", "", "", "2023-07-05 09:49:36", "2023-07-05 06:19:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/notification-bing.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("773", "1", "2023-07-05 10:42:50", "2023-07-05 07:12:50", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>محصولات علاقه‌مندی</h2>		\n			<p>Favorite products</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>.elementor-1029 .elementor-element.elementor-element-73122a0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-1029 .elementor-element.elementor-element-73122a0:not(.elementor-motion-effects-element-type-background), .elementor-1029 .elementor-element.elementor-element-73122a0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1029 .elementor-element.elementor-element-73122a0:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-1029 .elementor-element.elementor-element-73122a0, .elementor-1029 .elementor-element.elementor-element-73122a0::before{--border-transition:0.3s;}.elementor-1029 .elementor-element.elementor-element-1488abc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-1029 .elementor-element.elementor-element-1488abc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-1029 .elementor-element.elementor-element-1488abc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-1029 .elementor-element.elementor-element-1488abc{left:25%;}body.rtl .elementor-1029 .elementor-element.elementor-element-1488abc{right:25%;}.elementor-1029 .elementor-element.elementor-element-1488abc{top:0px;}.elementor-1029 .elementor-element.elementor-element-3f56a62 .jet-listing-dynamic-link__link{align-self:flex-start;flex-direction:row;}.elementor-1029 .elementor-element.elementor-element-3f56a62 .jet-listing-dynamic-link__icon{order:1;font-size:20px;}body:not(.rtl) .elementor-1029 .elementor-element.elementor-element-3f56a62{right:3%;}body.rtl .elementor-1029 .elementor-element.elementor-element-3f56a62{left:3%;}.elementor-1029 .elementor-element.elementor-element-3f56a62{top:2%;}.elementor-1029 .elementor-element.elementor-element-6d38921 img{width:100%;height:200px;}.elementor-1029 .elementor-element.elementor-element-6d38921 > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1029 .elementor-element.elementor-element-3228849{text-align:center;z-index:10;}.elementor-1029 .elementor-element.elementor-element-3228849 .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-833509b{text-align:center;z-index:10;}.elementor-1029 .elementor-element.elementor-element-833509b .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-833509b > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-1029 .elementor-element.elementor-element-599565d{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-1029 .elementor-element.elementor-element-599565d .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-1029 .elementor-element.elementor-element-599565d .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-1029 .elementor-element.elementor-element-8085a6b{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1029 .elementor-element.elementor-element-14ca7f9{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1029 .elementor-element.elementor-element-ad3ea87{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1029 .elementor-element.elementor-element-3df73b0 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-1029 .elementor-element.elementor-element-3df73b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1029 .elementor-element.elementor-element-3df73b0 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1029 .elementor-element.elementor-element-3df73b0 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1029 .elementor-element.elementor-element-2187b36{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1029 .elementor-element.elementor-element-71f27ed .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1029 .elementor-element.elementor-element-71f27ed .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1029 .elementor-element.elementor-element-71f27ed .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1029 .elementor-element.elementor-element-71f27ed .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1029 .elementor-element.elementor-element-e98a9d7 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-7744d7d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1029 .elementor-element.elementor-element-ac172a6 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1029 .elementor-element.elementor-element-ac172a6 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1029 .elementor-element.elementor-element-ac172a6 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1029 .elementor-element.elementor-element-ac172a6 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1029 .elementor-element.elementor-element-a04cacf .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-fd1063e{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1029 .elementor-element.elementor-element-cfef532 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-1029 .elementor-element.elementor-element-cfef532 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1029 .elementor-element.elementor-element-cfef532 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1029 .elementor-element.elementor-element-cfef532 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1029 .elementor-element.elementor-element-5c89b0d .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-f43020c{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1029 .elementor-element.elementor-element-0a578f4 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-1029 .elementor-element.elementor-element-0a578f4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1029 .elementor-element.elementor-element-0a578f4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1029 .elementor-element.elementor-element-0a578f4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1029 .elementor-element.elementor-element-c42ace7 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-11c9a5b .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1029 .elementor-element.elementor-element-76bce74{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1029 .elementor-element.elementor-element-98d19ff .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-1029 .elementor-element.elementor-element-98d19ff > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-1029 > .elementor{width:379px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1029 .elementor-element.elementor-element-14ca7f9{--width:55%;}.elementor-1029 .elementor-element.elementor-element-76bce74{--width:45%;}}@media(max-width:767px){.elementor-1029 .elementor-element.elementor-element-8085a6b{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-cfef532 */.elementor-1029 .elementor-element.elementor-element-cfef532 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-1029 .elementor-element.elementor-element-cfef532 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-1029 .elementor-element.elementor-element-cfef532 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-73122a0 */.elementor-1029 .elementor-element.elementor-element-73122a0:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-1029 .elementor-element.elementor-element-73122a0:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<a href=\"#\" data-args=\"{&quot;store&quot;:{&quot;slug&quot;:&quot;favorites&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:132,&quot;remove_from_listing&quot;:true}\" data-post=\"132\" data-store=\"favorites\"></a>		\n			12,300,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "علاقمندی", "", "publish", "closed", "closed", "", "wishlist", "", "", "2023-07-05 14:47:42", "2023-07-05 11:17:42", "", "0", "https://halochin.ir/multivendor/?page_id=773", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("775", "1", "2023-07-05 10:43:13", "2023-07-05 07:13:13", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>مقایسه و ارزیابی</h2>		\n			<p>Comparison and evaluation</p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>.elementor-1074 .elementor-element.elementor-element-9d66a04{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-1074 .elementor-element.elementor-element-9d66a04:not(.elementor-motion-effects-element-type-background), .elementor-1074 .elementor-element.elementor-element-9d66a04 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1074 .elementor-element.elementor-element-9d66a04:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-1074 .elementor-element.elementor-element-9d66a04, .elementor-1074 .elementor-element.elementor-element-9d66a04::before{--border-transition:0.3s;}.elementor-1074 .elementor-element.elementor-element-2f84785 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-1074 .elementor-element.elementor-element-2f84785 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-1074 .elementor-element.elementor-element-2f84785 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-1074 .elementor-element.elementor-element-2f84785{left:25%;}body.rtl .elementor-1074 .elementor-element.elementor-element-2f84785{right:25%;}.elementor-1074 .elementor-element.elementor-element-2f84785{top:0px;}.elementor-1074 .elementor-element.elementor-element-38b4c71 .jet-listing-dynamic-link__link{align-self:flex-start;flex-direction:row;}.elementor-1074 .elementor-element.elementor-element-38b4c71 .jet-listing-dynamic-link__icon{order:1;font-size:20px;}body:not(.rtl) .elementor-1074 .elementor-element.elementor-element-38b4c71{right:3%;}body.rtl .elementor-1074 .elementor-element.elementor-element-38b4c71{left:3%;}.elementor-1074 .elementor-element.elementor-element-38b4c71{top:2%;}.elementor-1074 .elementor-element.elementor-element-1a8ec01 img{width:100%;height:200px;}.elementor-1074 .elementor-element.elementor-element-1a8ec01 > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1074 .elementor-element.elementor-element-fb2679b{text-align:center;z-index:10;}.elementor-1074 .elementor-element.elementor-element-fb2679b .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-12a50de{text-align:center;z-index:10;}.elementor-1074 .elementor-element.elementor-element-12a50de .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-12a50de > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-1074 .elementor-element.elementor-element-dff56e6{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-1074 .elementor-element.elementor-element-dff56e6 .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-1074 .elementor-element.elementor-element-dff56e6 .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-1074 .elementor-element.elementor-element-2c0007c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-4d84ab7{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-f636eb2{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-1e7bc7d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-9580faa .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-15ec1eb{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-467c4bd .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-8c82f2e{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-98b6338 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-f737737{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-a1d2420 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-5fa12f5 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-6f6f1f2{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-d8c283d .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-1074 .elementor-element.elementor-element-d8c283d > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-1074 > .elementor{width:500px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1074 .elementor-element.elementor-element-4d84ab7{--width:55%;}.elementor-1074 .elementor-element.elementor-element-6f6f1f2{--width:45%;}}@media(max-width:767px){.elementor-1074 .elementor-element.elementor-element-2c0007c{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-d5ec9c3 */.elementor-1074 .elementor-element.elementor-element-d5ec9c3 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-1074 .elementor-element.elementor-element-d5ec9c3 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9d66a04 */.elementor-1074 .elementor-element.elementor-element-9d66a04:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-1074 .elementor-element.elementor-element-9d66a04:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<a href=\"#\" data-args=\"{&quot;store&quot;:{&quot;slug&quot;:&quot;compare&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:134,&quot;remove_from_listing&quot;:true}\" data-post=\"134\" data-store=\"compare\"></a>		\n			68,000		\n			55,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-1074 .elementor-element.elementor-element-9d66a04{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-1074 .elementor-element.elementor-element-9d66a04:not(.elementor-motion-effects-element-type-background), .elementor-1074 .elementor-element.elementor-element-9d66a04 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1074 .elementor-element.elementor-element-9d66a04:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-1074 .elementor-element.elementor-element-9d66a04, .elementor-1074 .elementor-element.elementor-element-9d66a04::before{--border-transition:0.3s;}.elementor-1074 .elementor-element.elementor-element-2f84785 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-1074 .elementor-element.elementor-element-2f84785 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-1074 .elementor-element.elementor-element-2f84785 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-1074 .elementor-element.elementor-element-2f84785{left:25%;}body.rtl .elementor-1074 .elementor-element.elementor-element-2f84785{right:25%;}.elementor-1074 .elementor-element.elementor-element-2f84785{top:0px;}.elementor-1074 .elementor-element.elementor-element-38b4c71 .jet-listing-dynamic-link__link{align-self:flex-start;flex-direction:row;}.elementor-1074 .elementor-element.elementor-element-38b4c71 .jet-listing-dynamic-link__icon{order:1;font-size:20px;}body:not(.rtl) .elementor-1074 .elementor-element.elementor-element-38b4c71{right:3%;}body.rtl .elementor-1074 .elementor-element.elementor-element-38b4c71{left:3%;}.elementor-1074 .elementor-element.elementor-element-38b4c71{top:2%;}.elementor-1074 .elementor-element.elementor-element-1a8ec01 img{width:100%;height:200px;}.elementor-1074 .elementor-element.elementor-element-1a8ec01 > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1074 .elementor-element.elementor-element-fb2679b{text-align:center;z-index:10;}.elementor-1074 .elementor-element.elementor-element-fb2679b .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-12a50de{text-align:center;z-index:10;}.elementor-1074 .elementor-element.elementor-element-12a50de .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-12a50de > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-1074 .elementor-element.elementor-element-dff56e6{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-1074 .elementor-element.elementor-element-dff56e6 .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-1074 .elementor-element.elementor-element-dff56e6 .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-1074 .elementor-element.elementor-element-2c0007c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-4d84ab7{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-f636eb2{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-1e7bc7d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-9580faa .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-15ec1eb{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-467c4bd .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-8c82f2e{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-98b6338 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-f737737{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-a1d2420 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-5fa12f5 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-6f6f1f2{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-d8c283d .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-1074 .elementor-element.elementor-element-d8c283d > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-1074 > .elementor{width:500px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1074 .elementor-element.elementor-element-4d84ab7{--width:55%;}.elementor-1074 .elementor-element.elementor-element-6f6f1f2{--width:45%;}}@media(max-width:767px){.elementor-1074 .elementor-element.elementor-element-2c0007c{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-d5ec9c3 */.elementor-1074 .elementor-element.elementor-element-d5ec9c3 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-1074 .elementor-element.elementor-element-d5ec9c3 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9d66a04 */.elementor-1074 .elementor-element.elementor-element-9d66a04:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-1074 .elementor-element.elementor-element-9d66a04:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<a href=\"#\" data-args=\"{&quot;store&quot;:{&quot;slug&quot;:&quot;compare&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:132,&quot;remove_from_listing&quot;:true}\" data-post=\"132\" data-store=\"compare\"></a>		\n			12,300,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-1074 .elementor-element.elementor-element-9d66a04{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:#EBEBEB;--border-color:#EBEBEB;--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:1rem;--padding-bottom:1.5rem;--padding-left:1rem;}.elementor-1074 .elementor-element.elementor-element-9d66a04:not(.elementor-motion-effects-element-type-background), .elementor-1074 .elementor-element.elementor-element-9d66a04 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1074 .elementor-element.elementor-element-9d66a04:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-1074 .elementor-element.elementor-element-9d66a04, .elementor-1074 .elementor-element.elementor-element-9d66a04::before{--border-transition:0.3s;}.elementor-1074 .elementor-element.elementor-element-2f84785 .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:17px;background-color:var( --e-global-color-primary );border-radius:0px 0px 15px 15px;padding:9px 30px 7px 30px;}.elementor-1074 .elementor-element.elementor-element-2f84785 .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-1074 .elementor-element.elementor-element-2f84785 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;padding:0px 0px 0px 0px;background-color:var( --e-global-color-primary );border-radius:0px 0px 16px 15px;}body:not(.rtl) .elementor-1074 .elementor-element.elementor-element-2f84785{left:25%;}body.rtl .elementor-1074 .elementor-element.elementor-element-2f84785{right:25%;}.elementor-1074 .elementor-element.elementor-element-2f84785{top:0px;}.elementor-1074 .elementor-element.elementor-element-38b4c71 .jet-listing-dynamic-link__link{align-self:flex-start;flex-direction:row;}.elementor-1074 .elementor-element.elementor-element-38b4c71 .jet-listing-dynamic-link__icon{order:1;font-size:20px;}body:not(.rtl) .elementor-1074 .elementor-element.elementor-element-38b4c71{right:3%;}body.rtl .elementor-1074 .elementor-element.elementor-element-38b4c71{left:3%;}.elementor-1074 .elementor-element.elementor-element-38b4c71{top:2%;}.elementor-1074 .elementor-element.elementor-element-1a8ec01 img{width:100%;height:200px;}.elementor-1074 .elementor-element.elementor-element-1a8ec01 > .elementor-widget-container{margin:3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1074 .elementor-element.elementor-element-fb2679b{text-align:center;z-index:10;}.elementor-1074 .elementor-element.elementor-element-fb2679b .elementor-heading-title{color:#A0A0A0;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:13px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-12a50de{text-align:center;z-index:10;}.elementor-1074 .elementor-element.elementor-element-12a50de .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-12a50de > .elementor-widget-container{margin:-10px 0px 0px 0px;}.elementor-1074 .elementor-element.elementor-element-dff56e6{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-1074 .elementor-element.elementor-element-dff56e6 .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-1074 .elementor-element.elementor-element-dff56e6 .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-1074 .elementor-element.elementor-element-2c0007c{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-4d84ab7{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-f636eb2{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-03cea17 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-1e7bc7d{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-dee2458 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-9580faa .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-15ec1eb{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-bbc4f27 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-467c4bd .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-8c82f2e{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-98b6338 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-f737737{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1074 .elementor-element.elementor-element-51a5d07 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1074 .elementor-element.elementor-element-a1d2420 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-5fa12f5 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-1074 .elementor-element.elementor-element-6f6f1f2{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-1074 .elementor-element.elementor-element-d8c283d .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:12px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:14px 15px 13px 10px;}.elementor-1074 .elementor-element.elementor-element-d8c283d > .elementor-widget-container{margin:0rem 0rem 0rem -1.00rem;}.jet-listing-item.single-jet-engine.elementor-page-1074 > .elementor{width:500px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1074 .elementor-element.elementor-element-4d84ab7{--width:55%;}.elementor-1074 .elementor-element.elementor-element-6f6f1f2{--width:45%;}}@media(max-width:767px){.elementor-1074 .elementor-element.elementor-element-2c0007c{--flex-wrap:nowrap;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-d5ec9c3 */.elementor-1074 .elementor-element.elementor-element-d5ec9c3 span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-1074 .elementor-element.elementor-element-d5ec9c3 .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-1074 .elementor-element.elementor-element-d5ec9c3 span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-9d66a04 */.elementor-1074 .elementor-element.elementor-element-9d66a04:hover a.elementor-button.elementor-size-sm {\n    background: #EF3A4F !important;\n    color: #FFFFFF !important;\n}\n.elementor-1074 .elementor-element.elementor-element-9d66a04:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<a href=\"#\" data-args=\"{&quot;store&quot;:{&quot;slug&quot;:&quot;compare&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:126,&quot;remove_from_listing&quot;:true}\" data-post=\"126\" data-store=\"compare\"></a>		\n			150,000		\n			135,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "مقایسه", "", "publish", "closed", "closed", "", "compare", "", "", "2023-07-05 14:54:42", "2023-07-05 11:24:42", "", "0", "https://halochin.ir/multivendor/?page_id=775", "0", "page", "", "0");
INSERT INTO `wp_sa_posts` VALUES("792", "1", "2023-07-05 10:51:45", "2023-07-05 07:21:45", "%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تخفیف های ویژه امروز 		\n			تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			<h2>رایگان</h2>", "گرید محصول فروش ویژه", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84-%d9%81%d8%b1%d9%88%d8%b4-%d9%88%db%8c%da%98%d9%87", "", "", "2024-05-27 10:31:33", "2024-05-27 07:01:33", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84-%d9%81%d8%b1%d9%88%d8%b4-%d9%88%db%8c%da%98%d9%87", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("805", "1", "2023-07-05 11:00:58", "2023-07-05 07:30:58", "", "edit.svg", "", "inherit", "open", "closed", "", "edit-svg", "", "", "2023-07-05 11:00:58", "2023-07-05 07:30:58", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/edit.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("807", "1", "2023-07-05 11:03:18", "2023-07-05 07:33:18", "<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			<h2>رایگان</h2>", "گرید محصولات مرتبط", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%d8%b1%d8%aa%d8%a8%d8%b7", "", "", "2024-05-27 10:32:51", "2024-05-27 07:02:51", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%d8%b1%d8%aa%d8%a8%d8%b7", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("808", "1", "2023-07-05 11:03:42", "2023-07-05 07:33:42", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-8", "", "", "2023-07-05 11:03:42", "2023-07-05 07:33:42", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-7.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("921", "1", "2023-07-05 12:39:03", "2023-07-05 09:09:03", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-Hero-Yellow-min-1.png", "cropped-Hero-Yellow-min-1.png", "", "inherit", "open", "closed", "", "cropped-hero-yellow-min-1-png", "", "", "2023-07-05 12:39:03", "2023-07-05 09:09:03", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-Hero-Yellow-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("924", "1", "2023-07-05 12:40:36", "2023-07-05 09:10:36", "", "starr.svg", "", "inherit", "open", "closed", "", "starr-svg", "", "", "2023-07-05 12:40:36", "2023-07-05 09:10:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/starr.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("925", "1", "2023-07-05 12:40:36", "2023-07-05 09:10:36", "", "undo.svg", "", "inherit", "open", "closed", "", "undo-svg", "", "", "2023-07-05 12:40:36", "2023-07-05 09:10:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/undo.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("926", "1", "2023-07-05 12:40:36", "2023-07-05 09:10:36", "", "verify.svg", "", "inherit", "open", "closed", "", "verify-svg", "", "", "2023-07-05 12:40:36", "2023-07-05 09:10:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/verify.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("927", "1", "2023-07-05 12:40:37", "2023-07-05 09:10:37", "", "tag-cross.svg", "", "inherit", "open", "closed", "", "tag-cross-svg", "", "", "2023-07-05 12:40:37", "2023-07-05 09:10:37", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/tag-cross.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("940", "1", "2023-07-05 13:02:43", "2023-07-05 09:32:43", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-9", "", "", "2023-07-05 13:02:43", "2023-07-05 09:32:43", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-8.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("941", "1", "2023-07-05 13:02:43", "2023-07-05 09:32:43", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-10", "", "", "2023-07-05 13:02:43", "2023-07-05 09:32:43", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-9.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("942", "1", "2023-07-05 13:02:44", "2023-07-05 09:32:44", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><p>امتیاز فروشنده</p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\" fill=\"none\"><path d=\"M6.89604 1.7221L7.78331 3.49667C7.90287 3.74209 8.22381 3.97493 8.4944 4.02527L10.0991 4.28957C11.1248 4.45947 11.3639 5.20203 10.6277 5.94458L9.37539 7.19686C9.16773 7.40452 9.04818 7.81355 9.1174 8.10932L9.47608 9.65736C9.75926 10.8782 9.10481 11.3564 8.02874 10.7145L6.52474 9.82097C6.25415 9.65735 5.80108 9.65735 5.53048 9.82097L4.02649 10.7145C2.95042 11.3501 2.29597 10.8782 2.57915 9.65736L2.93784 8.10932C3.00706 7.81985 2.8875 7.41081 2.67984 7.19686L1.42757 5.94458C0.691309 5.20832 0.930434 4.46577 1.95616 4.28957L3.56083 4.02527C3.83142 3.98122 4.15236 3.74209 4.27192 3.49667L5.15921 1.7221C5.63117 0.759299 6.41149 0.759299 6.89604 1.7221Z\" stroke=\"#F59C3C\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n									</li>\n						</ul>\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"12\" viewBox=\"0 0 13 12\" fill=\"none\"><path d=\"M3.60353 9.15503H7.64654C9.04138 9.15503 10.1734 8.03503 10.1734 6.65503C10.1734 5.27503 9.04138 4.15503 7.64654 4.15503H2.0874\" stroke=\"#26C332\" stroke-miterlimit=\"10\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M3.24933 5.40497L1.95557 4.12497L3.24933 2.84497\" stroke=\"#26C332\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n									</li>\n						</ul>\n			<p>نرخ مرجوعی</p>		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\" fill=\"none\"><path d=\"M4.18994 6.00004L5.39494 7.21004L7.80994 4.79004\" stroke=\"#26C332\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M5.37494 1.22491C5.71994 0.929912 6.28494 0.929912 6.63494 1.22491L7.42494 1.90491C7.57494 2.03491 7.85494 2.13991 8.05494 2.13991H8.90494C9.43494 2.13991 9.86994 2.57491 9.86994 3.10491V3.95491C9.86994 4.14991 9.97494 4.43491 10.1049 4.58491L10.7849 5.37491C11.0799 5.71991 11.0799 6.28491 10.7849 6.63491L10.1049 7.42491C9.97494 7.57491 9.86994 7.85491 9.86994 8.05491V8.90491C9.86994 9.43491 9.43494 9.86991 8.90494 9.86991H8.05494C7.85994 9.86991 7.57494 9.97491 7.42494 10.1049L6.63494 10.7849C6.28994 11.0799 5.72494 11.0799 5.37494 10.7849L4.58494 10.1049C4.43494 9.97491 4.15494 9.86991 3.95494 9.86991H3.08994C2.55994 9.86991 2.12494 9.43491 2.12494 8.90491V8.04991C2.12494 7.85491 2.01994 7.57491 1.89494 7.42491L1.21994 6.62991C0.929941 6.28491 0.929941 5.72491 1.21994 5.37991L1.89494 4.58491C2.01994 4.43491 2.12494 4.15491 2.12494 3.95991V3.09991C2.12494 2.56991 2.55994 2.13491 3.08994 2.13491H3.95494C4.14994 2.13491 4.43494 2.02991 4.58494 1.89991L5.37494 1.22491Z\" stroke=\"#26C332\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path></svg>						\n									</li>\n						</ul>\n			<p>ارسال موفق</p>		\n					<ul>\n							<li>\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\" fill=\"none\"><path d=\"M5.13984 10.125H8.49984C9.87984 10.125 10.9998 9.005 10.9998 7.625V4.375C10.9998 2.995 9.87984 1.875 8.49984 1.875H5.13984C4.43484 1.875 3.76484 2.17 3.28984 2.695L1.52484 4.635C0.819844 5.41 0.819844 6.59 1.52484 7.365L3.28984 9.305C3.76484 9.83 4.43484 10.125 5.13984 10.125Z\" stroke=\"#26C332\" stroke-linecap=\"round\" stroke-linejoin=\"round\"></path><path d=\"M7.99978 7.23489L5.52979 4.76489\" stroke=\"#26C332\" stroke-linecap=\"round\"></path><path d=\"M5.52979 7.23489L7.99978 4.76489\" stroke=\"#26C332\" stroke-linecap=\"round\"></path></svg>						\n									</li>\n						</ul>\n			<p>لغو سفارش</p>		\n			<p>محدوده قیمت</p>		\n	<fieldset>\n		<legend style=\"display:none;\">فیلتر قیمت - slider</legend>\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"25000\" aria-label=\"Minimal value\" >\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"34000000\" aria-label=\"Maximum value\" >\n	</fieldset>\n		25000تومان — 34000000تومان\n			<h1>محصولات فروشنده</h1>		\n				<select\n			class=\"jet-sorting-select\"\n			name=\"select-name\"\n						aria-label=\"Sort filter\"\n		>\n							<option value=\"\">مرتب سازی براساس ...</option>\n														<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس قیمت از پایین ترین به بالاترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس قیمت از بالاترین به پایین ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس تاریخ از پایین ترین به بالاترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس تاریخ از بالاترین به پایین ترین</option>\n					</select>\n			هیچ داده ای یافت نشد", "قالب صفحه فروشنده", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%81%d8%b1%d9%88%d8%b4%d9%86%d8%af%d9%87", "", "", "2023-07-11 06:21:40", "2023-07-11 06:21:40", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%81%d8%b1%d9%88%d8%b4%d9%86%d8%af%d9%87", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("960", "1", "2023-07-05 13:20:33", "2023-07-05 09:50:33", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-11", "", "", "2023-07-05 13:20:33", "2023-07-05 09:50:33", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/placeholder-10.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("961", "1", "2023-07-05 13:20:34", "2023-07-05 09:50:34", "", "پاپ اپ منو موبایل", "", "publish", "closed", "closed", "", "%d9%be%d8%a7%d9%be-%d8%a7%d9%be-%d9%85%d9%86%d9%88-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "", "", "2023-07-09 11:25:59", "2023-07-09 11:25:59", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%85%d9%86%d9%88-%d9%87%d9%85%d8%a8%d8%b1%da%af%d8%b1%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("967", "1", "2023-07-30 05:37:02", "2023-07-05 09:55:27", " ", "", "", "publish", "closed", "closed", "", "967", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=967", "15", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("968", "1", "2023-07-30 05:37:02", "2023-07-05 09:55:27", " ", "", "", "publish", "closed", "closed", "", "968", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=968", "14", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("970", "1", "2023-07-30 05:37:02", "2023-07-05 09:55:27", " ", "", "", "publish", "closed", "closed", "", "970", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=970", "11", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("971", "1", "2023-07-30 05:37:02", "2023-07-05 09:55:27", "", "وبلاگ", "", "publish", "closed", "closed", "", "%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=971", "12", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("972", "1", "2023-07-30 05:37:02", "2023-07-05 09:55:27", "", "صفحه اصلی", "", "publish", "closed", "closed", "", "%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=972", "10", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("973", "1", "2023-07-30 05:37:02", "2023-07-05 09:56:16", "", "فروشنده شوید", "", "publish", "closed", "closed", "", "%d9%81%d8%b1%d9%88%d8%b4%d9%86%d8%af%d9%87-%d8%b4%d9%88%db%8c%d8%af", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=973", "13", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("993", "1", "2023-07-05 13:46:41", "2023-07-05 10:16:41", "<input\n			class=\"jet-search-filter__input\"\n			type=\"search\"\n			autocomplete=\"off\"\n			name=\"query\"\n			value=\"\"\n			placeholder=\"جستجو محصولات\"\n			aria-label=\"فیلتر جستجو\"\n					>\n			<button\n			type=\"button\"\n			class=\"jet-search-filter__submit apply-filters__button\"\n					>\n						جستجو کنید\n					</button>\n			فیلتر قیمت\n	<fieldset>\n		<legend style=\"display:none;\">فیلتر قیمت - slider</legend>\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"25000\" aria-label=\"Minimal value\" >\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"34000000\" aria-label=\"Maximum value\" >\n	</fieldset>\n		25000تومان — 34000000تومان\n				<select\n			class=\"jet-select__control depth-0\"\n			name=\"pa_brand\"\n						aria-label=\"برند محصولات\"\n		>\n					<option value=\"\">برند محصولات...</option>\n									<option\n					value=\"27\"\n					data-label=\"پرسیل\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>پرسیل</option>\n										<option\n					value=\"28\"\n					data-label=\"پریل\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>پریل</option>\n										<option\n					value=\"29\"\n					data-label=\"سحرخیز\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>سحرخیز</option>\n										<option\n					value=\"30\"\n					data-label=\"شیائومی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>شیائومی</option>\n										<option\n					value=\"31\"\n					data-label=\"فرش\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>فرش</option>\n										<option\n					value=\"32\"\n					data-label=\"کاله\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>کاله</option>\n										<option\n					value=\"33\"\n					data-label=\"گینگ استار\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>گینگ استار</option>\n										<option\n					value=\"34\"\n					data-label=\"هواوی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>هواوی</option>\n			</select>\n				<select\n			class=\"jet-select__control depth-0\"\n			name=\"product_cat\"\n						aria-label=\"دسته بندی محصولات\"\n		>\n					<option value=\"\">دسته بندی محصولات...</option>\n									<option\n					value=\"15\"\n					data-label=\"آرایشی و بهداشتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>آرایشی و بهداشتی</option>\n										<option\n					value=\"17\"\n					data-label=\"اسباب بازی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>اسباب بازی</option>\n										<option\n					value=\"18\"\n					data-label=\"خانه و آشپزخانه\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>خانه و آشپزخانه</option>\n										<option\n					value=\"19\"\n					data-label=\"خودرو و ابزار صنعتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>خودرو و ابزار صنعتی</option>\n										<option\n					value=\"20\"\n					data-label=\"دست ساز و سنتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>دست ساز و سنتی</option>\n										<option\n					value=\"21\"\n					data-label=\"کالای دیجیتال\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>کالای دیجیتال</option>\n										<option\n					value=\"22\"\n					data-label=\"لوازم التحریر و هنر\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>لوازم التحریر و هنر</option>\n										<option\n					value=\"23\"\n					data-label=\"مد و پوشاک\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>مد و پوشاک</option>\n										<option\n					value=\"24\"\n					data-label=\"ورزش و سفر\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>ورزش و سفر</option>\n			</select>\n	<button\n		type=\"button\"\n		class=\"apply-filters__button\"\n			>اعمال فیلتر ها</button>\n	<button\n		type=\"button\"\n		class=\"jet-remove-all-filters__button\"\n		data-content-provider=\"jet-engine\"\n		data-additional-providers=\"\"\n		data-apply-type=\"reload\"\n		data-query-id=\"pproducts\"\n			>\n		حذف فیلترها	</button>\n				<select\n			class=\"jet-sorting-select\"\n			name=\"select-name\"\n						aria-label=\"Sort filter\"\n		>\n							<option value=\"\">مرتب سازی براساس ...</option>\n														<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس قیمت از ارزان ترین به گران ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس قیمت از گران ترین به ارزان ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس تاریخ از قدیمی ترین به جدیدترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس تاریخ از جدیدترین به قدیمی ترین</option>\n					</select>\n			هیچ داده ای یافت نشد", "قالب نتایج جستجو", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d9%86%d8%aa%d8%a7%db%8c%d8%ac-%d8%ac%d8%b3%d8%aa%d8%ac%d9%88", "", "", "2023-07-05 13:48:59", "2023-07-05 10:18:59", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d9%86%d8%aa%d8%a7%db%8c%d8%ac-%d8%ac%d8%b3%d8%aa%d8%ac%d9%88", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("996", "1", "2023-07-05 13:46:58", "2023-07-05 10:16:58", "<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/cinema-arts/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/smileys.svg\" alt=\"smileys\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/cinema-arts/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/rated-boss/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/ranking.svg\" alt=\"ranking\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/rated-boss/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/books/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/book-1.svg\" alt=\"book-1\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/books/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/science/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg\" alt=\"monitor-recorder\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/science/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/life-style/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/blur.svg\" alt=\"blur\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/life-style/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/video-check/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg\" alt=\"monitor-recorder\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/video-check/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/video-game/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-recorder.svg\" alt=\"monitor-recorder\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/video-game/\"></a>		\n		<style>.elementor-450 .elementor-element.elementor-element-1f02420{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-450 .elementor-element.elementor-element-7c6cbb7 .jet-listing-dynamic-image{justify-content:flex-start;}.elementor-450 .elementor-element.elementor-element-7c6cbb7{width:auto;max-width:auto;align-self:center;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__link{align-self:flex-start;font-size:14px;color:#595959;flex-direction:row;}.elementor-450 .elementor-element.elementor-element-ee58cd3 .jet-listing-dynamic-link__icon{order:1;}.elementor-450 .elementor-element.elementor-element-ee58cd3 > .elementor-widget-container{padding:0rem 0.4rem 0rem 0rem;}.elementor-450 .elementor-element.elementor-element-ee58cd3{width:auto;max-width:auto;}.jet-listing-item.single-jet-engine.elementor-page-450 > .elementor{width:323px;margin-left:auto;margin-right:auto;}</style>		\n			<a href=\"https://halochin.ir/multivendor/category/product-unbox/\"><img width=\"22\" height=\"22\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/box.svg\" alt=\"box\" decoding=\"async\" loading=\"lazy\" /></a>		\n			<a href=\"https://halochin.ir/multivendor/category/product-unbox/\"></a>		\n			هیچ داده ای یافت نشد", "قالب دسته بندی نوشته ها", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7", "", "", "2023-07-05 13:49:06", "2023-07-05 10:19:06", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1021", "1", "2023-07-05 14:19:55", "2023-07-05 10:49:55", "", "seler-4", "", "inherit", "open", "closed", "", "seler-4", "", "", "2023-07-05 14:19:55", "2023-07-05 10:49:55", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/seler-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1022", "1", "2023-07-05 14:20:48", "2023-07-05 10:50:48", "", "seler-banner-2", "", "inherit", "open", "closed", "", "seler-banner-2", "", "", "2023-07-05 14:20:48", "2023-07-05 10:50:48", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/seler-banner-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1023", "1", "2023-07-05 14:21:17", "2023-07-05 10:51:17", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-seler-4.png", "cropped-seler-4.png", "", "inherit", "open", "closed", "", "cropped-seler-4-png", "", "", "2023-07-05 14:21:17", "2023-07-05 10:51:17", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-seler-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1024", "1", "2023-07-05 14:21:30", "2023-07-05 10:51:30", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-seler-banner-2.png", "cropped-seler-banner-2.png", "", "inherit", "open", "closed", "", "cropped-seler-banner-2-png", "", "", "2023-07-05 14:21:30", "2023-07-05 10:51:30", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-seler-banner-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1029", "1", "2023-07-05 14:26:27", "2023-07-05 10:56:27", "%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<a href=\"#\" data-args=\"{&quot;store&quot;:{&quot;slug&quot;:&quot;favorites&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:1029,&quot;remove_from_listing&quot;:true}\" data-post=\"1029\" data-store=\"favorites\"></a>		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "گرید محصولات علاقه مندی", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d8%b9%d9%84%d8%a7%d9%82%d9%87-%d9%85%d9%86%d8%af%db%8c", "", "", "2024-05-27 10:33:14", "2024-05-27 07:03:14", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d8%b9%d9%84%d8%a7%d9%82%d9%87-%d9%85%d9%86%d8%af%db%8c", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1074", "1", "2023-07-05 14:49:09", "2023-07-05 11:19:09", "%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<a href=\"#\" data-args=\"{&quot;store&quot;:{&quot;slug&quot;:&quot;compare&quot;,&quot;type&quot;:&quot;cookies&quot;,&quot;is_front&quot;:false,&quot;size&quot;:9999},&quot;post_id&quot;:1074,&quot;remove_from_listing&quot;:true}\" data-post=\"1074\" data-store=\"compare\"></a>		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.18.0 - 20-12-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان		\n			تومان		\n			تومان		\n			ناموجود		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "گرید محصولات مقایسه", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%d9%82%d8%a7%db%8c%d8%b3%d9%87", "", "", "2024-05-27 10:33:31", "2024-05-27 07:03:31", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d8%ad%d8%b5%d9%88%d9%84%d8%a7%d8%aa-%d9%85%d9%82%d8%a7%db%8c%d8%b3%d9%87", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1105", "1", "2023-07-05 15:23:55", "2023-07-05 11:53:55", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"800\" height=\"534\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-1024x683.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-1024x683.jpg 1024w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-300x200.jpg 300w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-768x512.jpg 768w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-1536x1024.jpg 1536w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-2048x1365.jpg 2048w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371-600x400.jpg 600w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n		<p>صفحه ای که به دنبال آن بودید پیدا نشد ):</p>		\n			<a role=\"button\">\n						بازگشت به خانه\n					</a>", "صفحه 404", "", "publish", "closed", "closed", "", "%d8%b5%d9%81%d8%ad%d9%87-404", "", "", "2023-07-05 15:35:48", "2023-07-05 12:05:48", "", "0", "https://halochin.ir/multivendor/?post_type=elementor_library&#038;p=1105", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1106", "1", "2023-07-05 15:20:38", "2023-07-05 11:50:38", "", "1920x844.jpg", "", "inherit", "open", "closed", "", "1920x844-jpg", "", "", "2023-07-05 15:20:38", "2023-07-05 11:50:38", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/1920x844.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1107", "1", "2023-07-05 15:21:30", "2023-07-05 11:51:30", "", "3747371", "", "inherit", "open", "closed", "", "3747371", "", "", "2023-07-05 15:21:30", "2023-07-05 11:51:30", "", "1105", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/3747371.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1114", "1", "2023-07-05 15:42:41", "2023-07-05 12:12:41", "", "cropped-seler-banner-3", "", "inherit", "open", "closed", "", "cropped-seler-banner-3", "", "", "2023-07-05 15:42:41", "2023-07-05 12:12:41", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-seler-banner-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1115", "1", "2023-07-05 15:42:48", "2023-07-05 12:12:48", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-cropped-seler-banner-3.png", "cropped-cropped-seler-banner-3.png", "", "inherit", "open", "closed", "", "cropped-cropped-seler-banner-3-png", "", "", "2023-07-05 15:42:48", "2023-07-05 12:12:48", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-cropped-seler-banner-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1116", "1", "2023-07-05 15:44:04", "2023-07-05 12:14:04", "", "cropped-seler-banner-2", "", "inherit", "open", "closed", "", "cropped-seler-banner-2", "", "", "2023-07-05 15:44:04", "2023-07-05 12:14:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-seler-banner-2-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1117", "1", "2023-07-05 15:44:08", "2023-07-05 12:14:08", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-cropped-seler-banner-2-1.png", "cropped-seler-banner-2", "", "inherit", "open", "closed", "", "cropped-seler-banner-2-2", "", "", "2023-07-05 15:44:08", "2023-07-05 12:14:08", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-cropped-seler-banner-2-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1118", "1", "2023-07-05 15:53:58", "2023-07-05 12:23:58", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-1.png", "cropped-1.png", "", "inherit", "open", "closed", "", "cropped-1-png", "", "", "2023-07-05 15:53:58", "2023-07-05 12:23:58", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1119", "1", "2023-07-05 15:59:42", "2023-07-05 12:29:42", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-post-thumbnail11.jpg", "cropped-post-thumbnail11.jpg", "", "inherit", "open", "closed", "", "cropped-post-thumbnail11-jpg", "", "", "2023-07-05 15:59:42", "2023-07-05 12:29:42", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-post-thumbnail11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1127", "1", "2023-07-05 16:33:28", "2023-07-05 13:03:28", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>گزارش قیمت مناسب‌تر		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>", "پاپ اپ گزارش قیمت(صفحه محصول)", "", "publish", "closed", "closed", "", "%d9%be%d8%a7%d9%be-%d8%a7%d9%be-%da%af%d8%b2%d8%a7%d8%b1%d8%b4-%d9%82%db%8c%d9%85%d8%aa%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d8%ad%d8%b5%d9%88%d9%84", "", "", "2023-07-05 16:33:28", "2023-07-05 13:03:28", "", "0", "https://halochin.ir/multivendor/?elementor_library=%d9%be%d8%a7%d9%be-%d8%a7%d9%be-%da%af%d8%b2%d8%a7%d8%b1%d8%b4-%d9%82%db%8c%d9%85%d8%aa%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d8%ad%d8%b5%d9%88%d9%84", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1162", "1", "2023-07-06 09:03:33", "2023-07-06 05:33:33", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-contact-top.png", "cropped-contact-top.png", "", "inherit", "open", "closed", "", "cropped-contact-top-png", "", "", "2023-07-06 09:03:33", "2023-07-06 05:33:33", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/cropped-contact-top.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1176", "1", "2023-07-06 10:00:07", "2023-07-06 06:30:07", "", "clock-without-hands", "", "inherit", "open", "closed", "", "clock-without-hands", "", "", "2023-07-06 10:00:07", "2023-07-06 06:30:07", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/clock-without-hands.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1177", "1", "2023-07-06 10:00:27", "2023-07-06 06:30:27", "", "ساعت دیواری مدل ارغوان", "", "publish", "open", "closed", "", "%d8%b3%d8%a7%d8%b9%d8%aa-%d8%af%db%8c%d9%88%d8%a7%d8%b1%db%8c-%d9%85%d8%af%d9%84-%d8%a7%d8%b1%d8%ba%d9%88%d8%a7%d9%86", "", "", "2024-05-27 13:29:19", "2024-05-27 09:59:19", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=1177", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1194", "1", "2023-07-06 10:37:37", "2023-07-06 07:07:37", "<h2>عضویت</h2>\n<form method=\"post\"  >\n		<p>\n			<label for=\"reg_username\">نام کاربری&nbsp;*</label>\n			<input type=\"text\" name=\"username\" id=\"reg_username\" autocomplete=\"username\" value=\"\" />		</p>\n	<p>\n		<label for=\"reg_email\">آدرس ایمیل&nbsp;*</label>\n		<input type=\"email\" name=\"email\" id=\"reg_email\" autocomplete=\"email\" value=\"\" />	</p>\n		<p>یک لینک برای تعیین رمز عبور جدید به آدرس ایمیل شما ارسال می‌شود.</p>\n	<p>اطلاعات شخصی شما برای پردازش سفارش شما استفاده می‌شود، و پشتیبانی از تجربه شما در این وبسایت، و برای اهداف دیگری که در <a href=\"https://halochin.ir/multivendor/?page_id=3\" target=\"_blank\" rel=\"noopener\">سیاست حفظ حریم خصوصی</a> توضیح داده شده است.</p>\n	<p>\n		<input type=\"hidden\" id=\"woocommerce-register-nonce\" name=\"woocommerce-register-nonce\" value=\"ff503b7c1c\" /><input type=\"hidden\" name=\"_wp_http_referer\" value=\"/multivendor/wp-admin/admin-ajax.php\" />		<button type=\"submit\" name=\"register\" value=\"عضویت\">عضویت</button>\n	</p>\n</form>		\n<h2>ورود</h2>\n<form method=\"post\">\n	<p>\n		<label for=\"username\">نام کاربری یا آدرس ایمیل&nbsp;*</label>\n		<input type=\"text\" name=\"username\" id=\"username\" autocomplete=\"username\" value=\"\" />	</p>\n	<p>\n		<label for=\"password\">گذرواژه&nbsp;*</label>\n		<input type=\"password\" name=\"password\" id=\"password\" autocomplete=\"current-password\" />\n	</p>\n	<p>\n		<label>\n			<input name=\"rememberme\" type=\"checkbox\" id=\"rememberme\" value=\"forever\" /> مرا به خاطر بسپار\n		</label>\n		<input type=\"hidden\" id=\"woocommerce-login-nonce\" name=\"woocommerce-login-nonce\" value=\"6fe4910d63\" /><input type=\"hidden\" name=\"_wp_http_referer\" value=\"/multivendor/wp-admin/admin-ajax.php\" />		<button type=\"submit\" name=\"login\" value=\"ورود\">ورود</button>\n	</p>\n	<p>\n		<a href=\"https://halochin.ir/multivendor/my-account/lost-password/\">گذرواژه خود را فراموش کرده اید؟</a>\n	</p>\n</form>", "صفحه ورود حساب کاربری", "", "publish", "closed", "closed", "", "%d8%b5%d9%81%d8%ad%d9%87-%d9%88%d8%b1%d9%88%d8%af-%d8%ad%d8%b3%d8%a7%d8%a8-%da%a9%d8%a7%d8%b1%d8%a8%d8%b1%db%8c", "", "", "2023-07-08 08:20:10", "2023-07-08 04:50:10", "", "0", "https://halochin.ir/multivendor/?post_type=jet-woo-builder&#038;p=1194", "0", "jet-woo-builder", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1195", "1", "2023-07-06 10:30:51", "2023-07-06 07:00:51", "", "9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043", "", "inherit", "open", "closed", "", "9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043", "", "", "2023-07-06 10:30:51", "2023-07-06 07:00:51", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/9f3ef7bd26e9077a36ed1db3f03ed82b3b332c20_1673437043.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1196", "1", "2023-07-06 10:32:04", "2023-07-06 07:02:04", "", "502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046", "", "inherit", "open", "closed", "", "502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046", "", "", "2023-07-06 10:32:04", "2023-07-06 07:02:04", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/502ac5704ea521dff0202f2ea9f12c18e8ecf470_1673437046.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_sa_posts` VALUES("1197", "1", "2023-07-06 10:32:29", "2023-07-06 07:02:29", "<span style=\"color: #212529; font-family: IRANSans; font-size: 14.4px;\">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد</span>", "کیف دستی لیدوما مدل Li-80", "<ul>\r\n 	<li>جنس : پارچه</li>\r\n 	<li>تحمل وزن : تا 1 کیلوگرم</li>\r\n 	<li>مناسب برای : لپ تاپ</li>\r\n 	<li>برند : Lidoma</li>\r\n</ul>", "publish", "open", "closed", "", "%da%a9%db%8c%d9%81-%d8%af%d8%b3%d8%aa%db%8c-%d9%84%db%8c%d8%af%d9%88%d9%85%d8%a7-%d9%85%d8%af%d9%84-li-80", "", "", "2023-07-06 15:23:56", "2023-07-06 11:53:56", "", "0", "https://halochin.ir/multivendor/?post_type=product&#038;p=1197", "0", "product", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1224", "1", "2023-07-06 10:58:24", "2023-07-06 07:28:24", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"47\" height=\"50\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/casual-life-3d-reward-badge-with-star-and-two-ribbons-2.png\" alt=\"\" loading=\"lazy\" />															\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>فــروشـنـده بـــــــرتر		\n		[top_seller_img][dokan_vendor_link]		\n			<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:14px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:9px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			1,200,000		\n			560,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:14px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:9px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			325,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:14px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:9px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			360,000		\n			285,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>\n		<style>.elementor-293 .elementor-element.elementor-element-0efa8de{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-ed73ee8 );--border-color:var( --e-global-color-ed73ee8 );--border-radius:15px 15px 15px 15px;--border-top-left-radius:15px;--border-top-right-radius:15px;--border-bottom-right-radius:15px;--border-bottom-left-radius:15px;--padding-top:0rem;--padding-right:0.625rem;--padding-bottom:0rem;--padding-left:0.625rem;}.elementor-293 .elementor-element.elementor-element-0efa8de:not(.elementor-motion-effects-element-type-background), .elementor-293 .elementor-element.elementor-element-0efa8de > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-293 .elementor-element.elementor-element-0efa8de:hover{border-style:solid;border-width:2px 2px 2px 2px;--border-width-top:2px;--border-width-right:2px;--border-width-bottom:2px;--border-width-left:2px;border-color:var( --e-global-color-primary );--border-color:var( --e-global-color-primary );}.elementor-293 .elementor-element.elementor-element-0efa8de, .elementor-293 .elementor-element.elementor-element-0efa8de::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e63fcf6, .elementor-293 .elementor-element.elementor-element-e63fcf6::before{--border-transition:0.3s;}.elementor-293 .elementor-element.elementor-element-8d93e8c img{width:100%;height:160px;object-fit:contain;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-around;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0.5rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-family:\"iranyekanwebmedium_FaNum\", Sans-serif;font-size:14px;background-color:var( --e-global-color-primary );border-radius:0px 0px 10px 10px;padding:9px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-builder-archive-product-sale-badge{text-align:center;}.elementor-293 .elementor-element.elementor-element-3eb1acc > .elementor-widget-container{margin:-8px 0px 0px 0px;border-radius:0px 0px 16px 15px;}.elementor-293 .elementor-element.elementor-element-881676c{text-align:right;z-index:10;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:15px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-881676c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-8821ddd{--divider-border-style:solid;--divider-color:#F3F3F3;--divider-border-width:1px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:90%;margin:0 auto;margin-center:0;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider{text-align:center;padding-top:0px;padding-bottom:0px;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:stretch;--gap:10px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-e196cd0{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--align-items:center;--gap:0px;--background-transition:0.3s;--padding-top:0rem;--padding-right:0rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-03c2533{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--align-items:flex-start;--gap:0px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field__content{color:#9D9D9D;font-size:12px;text-decoration:line-through;text-align:left;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-c490ce4 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-d34ad82{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-0de0ae3 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-7ba0cb4 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-3252768{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:left;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-23e9a0d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-ed34d9f .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-0293021{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:flex-start;--align-items:center;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field__content{color:var( --e-global-color-primary );font-family:\"iranyekanwebextrabold_FaNum\", Sans-serif;font-weight:normal;text-align:right;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-5583c3b .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-78863c5 .elementor-heading-title{color:#9D9D9D;font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-d0075ff{--display:flex;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-start;--align-items:flex-start;--gap:5px;--background-transition:0.3s;--padding-top:0px;--padding-right:0px;--padding-bottom:0px;--padding-left:0px;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field__content{font-size:10px;text-align:right;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-293 .elementor-element.elementor-element-fb10c8a .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-293 .elementor-element.elementor-element-2f84680 .elementor-heading-title{color:var( --e-global-color-secondary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-1804e99 .elementor-heading-title{color:var( --e-global-color-primary );font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:16px;font-weight:normal;}.elementor-293 .elementor-element.elementor-element-a2a8933{--display:flex;--justify-content:center;--background-transition:0.3s;--padding-top:0rem;--padding-right:0.3rem;--padding-bottom:0rem;--padding-left:0rem;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:11px;font-weight:normal;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#F5F9FC;border-radius:0px 50px 50px 0px;padding:11px 12px 10px 7px;}.elementor-293 .elementor-element.elementor-element-4580129 > .elementor-widget-container{margin:0rem 0rem 0rem -0.6rem;}.jet-listing-item.single-jet-engine.elementor-page-293 > .elementor{width:374px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-3eb1acc .jet-woo-product-badge{font-size:15px;padding:10px 20px 5px 20px;}.elementor-293 .elementor-element.elementor-element-881676c .elementor-heading-title{font-size:13px;}.elementor-293 .elementor-element.elementor-element-8821ddd .elementor-divider-separator{width:100%;}}@media(max-width:767px){.elementor-293 .elementor-element.elementor-element-0efa8de{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-8d93e8c > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-9eea7bf{--flex-wrap:nowrap;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:40%;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;}.elementor-293 .elementor-element.elementor-element-4580129 .elementor-button{font-size:7px;padding:9px 13px 8px 4px;}}@media(min-width:768px){.elementor-293 .elementor-element.elementor-element-e63fcf6{--width:33%;}.elementor-293 .elementor-element.elementor-element-d5d4637{--width:67%;}.elementor-293 .elementor-element.elementor-element-e196cd0{--width:55%;}.elementor-293 .elementor-element.elementor-element-a2a8933{--width:45.034%;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-5583c3b */.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-currencySymbol {\n    display: none;\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b .amount {\n    color: var( --e-global-color-primary );\n}\n.elementor-293 .elementor-element.elementor-element-5583c3b span.woocommerce-Price-amount.amount {\n    font-family: \"IRANSansWeb_FaNum_Bold\";\n    font-weight: normal;\n    font-size: 12px;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-0efa8de */.elementor-293 .elementor-element.elementor-element-0efa8de:hover a.elementor-button.elementor-size-sm {\n    background: var( --e-global-color-primary ) !important;\n    color: #FFFFFF !important;\n}\n.elementor-293 .elementor-element.elementor-element-0efa8de:hover span.elementor-button-icon.elementor-align-icon-right {\n    fill: #FFFFFF !important;\n}/* End custom CSS */</style>		\n			%%jet-woo-builder-archive-sale-badge::label=\"%percentage_sale% تخفیف\"%%		\n			780,000		\n			تومان		\n			<h2>رایگان</h2>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" viewBox=\"0 0 122.9 107.5\" style=\"enable-background:new 0 0 122.9 107.5\" xml:space=\"preserve\"><g><path d=\"M3.9,7.9C1.8,7.9,0,6.1,0,3.9C0,1.8,1.8,0,3.9,0h10.2c0.1,0,0.3,0,0.4,0c3.6,0.1,6.8,0.8,9.5,2.5c3,1.9,5.2,4.8,6.4,9.1 c0,0.1,0,0.2,0.1,0.3l1,4H119c2.2,0,3.9,1.8,3.9,3.9c0,0.4-0.1,0.8-0.2,1.2l-10.2,41.1c-0.4,1.8-2,3-3.8,3v0H44.7 c1.4,5.2,2.8,8,4.7,9.3c2.3,1.5,6.3,1.6,13,1.5h0.1v0h45.2c2.2,0,3.9,1.8,3.9,3.9c0,2.2-1.8,3.9-3.9,3.9H62.5v0 c-8.3,0.1-13.4-0.1-17.5-2.8c-4.2-2.8-6.4-7.6-8.6-16.3l0,0L23,13.9c0-0.1,0-0.1-0.1-0.2c-0.6-2.2-1.6-3.7-3-4.5 c-1.4-0.9-3.3-1.3-5.5-1.3c-0.1,0-0.2,0-0.3,0H3.9L3.9,7.9z M96,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C86.4,92.6,90.7,88.3,96,88.3L96,88.3z M53.9,88.3c5.3,0,9.6,4.3,9.6,9.6c0,5.3-4.3,9.6-9.6,9.6 c-5.3,0-9.6-4.3-9.6-9.6C44.3,92.6,48.6,88.3,53.9,88.3L53.9,88.3z M33.7,23.7l8.9,33.5h63.1l8.3-33.5H33.7L33.7,23.7z\"></path></g></svg>			\n						خرید محصول\n					</a>", "گرید فروشنده برتر", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%81%d8%b1%d9%88%d8%b4%d9%86%d8%af%d9%87-%d8%a8%d8%b1%d8%aa%d8%b1", "", "", "2023-07-11 05:43:00", "2023-07-11 05:43:00", "", "0", "https://halochin.ir/multivendor/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%81%d8%b1%d9%88%d8%b4%d9%86%d8%af%d9%87-%d8%a8%d8%b1%d8%aa%d8%b1", "0", "jet-engine", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1396", "1", "2023-07-08 08:34:43", "2023-07-08 05:04:43", "", "monitor-mobbile", "", "inherit", "open", "closed", "", "monitor-mobbile", "", "", "2023-07-08 08:34:43", "2023-07-08 05:04:43", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/monitor-mobbile.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1397", "1", "2023-07-08 08:35:51", "2023-07-08 05:05:51", "", "lamp", "", "inherit", "open", "closed", "", "lamp", "", "", "2023-07-08 08:35:51", "2023-07-08 05:05:51", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/lamp.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1398", "1", "2023-07-08 08:36:33", "2023-07-08 05:06:33", "", "driving", "", "inherit", "open", "closed", "", "driving", "", "", "2023-07-08 08:36:33", "2023-07-08 05:06:33", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/driving.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1399", "1", "2023-07-08 08:37:09", "2023-07-08 05:07:09", "", "book", "", "inherit", "open", "closed", "", "book", "", "", "2023-07-08 08:37:09", "2023-07-08 05:07:09", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/book.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1400", "1", "2023-07-08 08:38:00", "2023-07-08 05:08:00", "", "magicpen", "", "inherit", "open", "closed", "", "magicpen", "", "", "2023-07-08 08:38:00", "2023-07-08 05:08:00", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/magicpen.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1401", "1", "2023-07-08 08:39:05", "2023-07-08 05:09:05", "", "gameboy", "", "inherit", "open", "closed", "", "gameboy", "", "", "2023-07-08 08:39:05", "2023-07-08 05:09:05", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/gameboy.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1402", "1", "2023-07-08 08:39:48", "2023-07-08 05:09:48", "", "weight", "", "inherit", "open", "closed", "", "weight", "", "", "2023-07-08 08:39:48", "2023-07-08 05:09:48", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/weight.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1403", "1", "2023-07-08 08:40:34", "2023-07-08 05:10:34", "", "clock", "", "inherit", "open", "closed", "", "clock", "", "", "2023-07-08 08:40:34", "2023-07-08 05:10:34", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/clock.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1404", "1", "2023-07-08 08:41:30", "2023-07-08 05:11:30", "", "brush", "", "inherit", "open", "closed", "", "brush", "", "", "2023-07-08 08:41:30", "2023-07-08 05:11:30", "", "20", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/brush.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1423", "1", "2023-07-08 09:35:51", "2023-07-08 06:05:51", "", "mega-banner-2.png", "", "inherit", "open", "closed", "", "mega-banner-2-png", "", "", "2023-07-08 09:35:51", "2023-07-08 06:05:51", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1424", "1", "2023-07-08 09:35:52", "2023-07-08 06:05:52", "", "mega-menu-bg.jpg", "", "inherit", "open", "closed", "", "mega-menu-bg-jpg", "", "", "2023-07-08 09:35:52", "2023-07-08 06:05:52", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-menu-bg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1431", "1", "2023-07-08 10:20:41", "2023-07-08 06:50:41", "", "mega-banner-5.png", "", "inherit", "open", "closed", "", "mega-banner-5-png", "", "", "2023-07-08 10:20:41", "2023-07-08 06:50:41", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1432", "1", "2023-07-08 10:22:09", "2023-07-08 06:52:09", "", "mega-banner-6.png", "", "inherit", "open", "closed", "", "mega-banner-6-png", "", "", "2023-07-08 10:22:09", "2023-07-08 06:52:09", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1433", "1", "2023-07-08 10:24:36", "2023-07-08 06:54:36", "", "mega-banner-3.png", "", "inherit", "open", "closed", "", "mega-banner-3-png", "", "", "2023-07-08 10:24:36", "2023-07-08 06:54:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1434", "1", "2023-07-08 10:25:01", "2023-07-08 06:55:01", "", "mega-banner-9.png", "", "inherit", "open", "closed", "", "mega-banner-9-png", "", "", "2023-07-08 10:25:01", "2023-07-08 06:55:01", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1435", "1", "2023-07-08 10:26:49", "2023-07-08 06:56:49", "", "mega-banner-4.png", "", "inherit", "open", "closed", "", "mega-banner-4-png", "", "", "2023-07-08 10:26:49", "2023-07-08 06:56:49", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1436", "1", "2023-07-08 10:28:41", "2023-07-08 06:58:41", "", "mega-banner-8.png", "", "inherit", "open", "closed", "", "mega-banner-8-png", "", "", "2023-07-08 10:28:41", "2023-07-08 06:58:41", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1437", "1", "2023-07-08 10:30:02", "2023-07-08 07:00:02", "", "mega-banner-7.png", "", "inherit", "open", "closed", "", "mega-banner-7-png", "", "", "2023-07-08 10:30:02", "2023-07-08 07:00:02", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1456", "1", "2023-07-08 12:57:43", "2023-07-08 09:27:43", "", "a1-min", "", "inherit", "open", "closed", "", "a1-min", "", "", "2023-07-08 12:57:43", "2023-07-08 09:27:43", "", "224", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a1-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1457", "1", "2023-07-08 12:57:44", "2023-07-08 09:27:44", "", "a2-min", "", "inherit", "open", "closed", "", "a2-min", "", "", "2023-07-08 12:57:44", "2023-07-08 09:27:44", "", "224", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a2-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1458", "1", "2023-07-08 12:57:44", "2023-07-08 09:27:44", "", "a3-min", "", "inherit", "open", "closed", "", "a3-min", "", "", "2023-07-08 12:57:44", "2023-07-08 09:27:44", "", "224", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a3-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1459", "1", "2023-07-08 12:57:45", "2023-07-08 09:27:45", "", "a4-min", "", "inherit", "open", "closed", "", "a4-min", "", "", "2023-07-08 12:57:45", "2023-07-08 09:27:45", "", "224", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/a4-min-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1502", "1", "2023-07-08 14:04:14", "2023-07-08 10:34:14", "", "price-ico.svg", "", "inherit", "open", "closed", "", "price-ico-svg", "", "", "2023-07-08 14:04:14", "2023-07-08 10:34:14", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/07/price-ico.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_sa_posts` VALUES("1564", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "دسته بندی کالاها", "", "publish", "closed", "closed", "", "%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%da%a9%d8%a7%d9%84%d8%a7%d9%87%d8%a7", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1564", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1565", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "کالای دیجیتال", "", "publish", "closed", "closed", "", "%da%a9%d8%a7%d9%84%d8%a7%db%8c-%d8%af%db%8c%d8%ac%db%8c%d8%aa%d8%a7%d9%84", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1565", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1566", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "خانه و آشپزخانه", "", "publish", "closed", "closed", "", "%d8%ae%d8%a7%d9%86%d9%87-%d9%88-%d8%a2%d8%b4%d9%be%d8%b2%d8%ae%d8%a7%d9%86%d9%87", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1566", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1567", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "خودرو و ابزار صنعتی", "", "publish", "closed", "closed", "", "%d8%ae%d9%88%d8%af%d8%b1%d9%88-%d9%88-%d8%a7%d8%a8%d8%b2%d8%a7%d8%b1-%d8%b5%d9%86%d8%b9%d8%aa%db%8c", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1567", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1568", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "لوازم تحریر، کتاب و هنر", "", "publish", "closed", "closed", "", "%d9%84%d9%88%d8%a7%d8%b2%d9%85-%d8%aa%d8%ad%d8%b1%db%8c%d8%b1%d8%8c-%da%a9%d8%aa%d8%a7%d8%a8-%d9%88-%d9%87%d9%86%d8%b1", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1568", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1569", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "آرایشی و بهداشتی", "", "publish", "closed", "closed", "", "%d8%a2%d8%b1%d8%a7%db%8c%d8%b4%db%8c-%d9%88-%d8%a8%d9%87%d8%af%d8%a7%d8%b4%d8%aa%db%8c", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1569", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1570", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "اسباب بازی، کودک و نوزاد", "", "publish", "closed", "closed", "", "%d8%a7%d8%b3%d8%a8%d8%a7%d8%a8-%d8%a8%d8%a7%d8%b2%db%8c%d8%8c-%da%a9%d9%88%d8%af%da%a9-%d9%88-%d9%86%d9%88%d8%b2%d8%a7%d8%af", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1570", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1571", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "ورزش و سفر", "", "publish", "closed", "closed", "", "%d9%88%d8%b1%d8%b2%d8%b4-%d9%88-%d8%b3%d9%81%d8%b1", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1571", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1572", "1", "2023-07-30 05:37:02", "2023-07-08 11:49:47", "", "مد و پوشاک", "", "publish", "closed", "closed", "", "%d9%85%d8%af-%d9%88-%d9%be%d9%88%d8%b4%d8%a7%da%a9", "", "", "2023-07-30 05:37:02", "2023-07-30 05:37:02", "", "0", "https://halochin.ir/multivendor/?p=1572", "9", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1573", "1", "2023-07-08 15:20:19", "2023-07-08 11:50:19", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/digital-product/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/\">کالای دیجیتال  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/inverter/\">\n											اینورتر جوشکاری\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/electric-screwdriver/\">\n											پیچ گوشتی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/drill/\">\n											دریل\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/welding-machine/\">\n											دستگاه جوش\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/mill-table-stone/\">\n											فرز و سنگ رومیزی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/carwash/\">\n											کارواش\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/compressor/\">\n											کمپرسور\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/sucker-blower/\">\n											مکنده و دمنده\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/electrical-tools/electric-engine/\">\n											موتور برق\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/\">ابزار غیربرقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/hand-tool/\">\n											ابزار دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/work-safety-equipment/\">\n											تجهیزات و ایمنی کار\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/ladder/\">\n											نردبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/building-supplies/\">لوازم ساختمان  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/building-supplies/water-pump/\">\n											پمپ آب\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/building-supplies/showers/\">\n											شیرآلات و دوش حمام\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/\">لوازم باغبانی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/sprayer/\">\n											سمپاش\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/chain-saw/\">\n											اره زنجیری\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/saw/\">\n											اره\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/axe-spade-pickaxe/\">\n											تبر، بیل و کلنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/gardening-knife/\">\n											قیچی و چاقو باغبانی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/gardening-tools/irrigation-equipment/\">\n											لوازم آبیاری\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/motorcycle/\">موتور سیکلت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/motorcycle/engine-safety/\">\n											لوازم ایمنی موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/motorcycle/consumables/\">\n											لوازم مصرفی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-accessories/\">لوازم جانبی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-accessories/steering-wheel-cover/\">\n											روکش فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-accessories/multimedia/\">\n											صوتی تصویری\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-accessories/pedal-lock/\">\n											قفل پدال و فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-accessories/car-cleaning/\">\n											نظافت خودرو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/\">لوازم مصرفی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/brake-oil/\">\n											روغن ترمز\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/gearbox-oil/\">\n											روغن گیربکس\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/engine-oil/\">\n											روغن موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/antifreeze/\">\n											ضد یخ و آب رادیاتور\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/tires/\">\n											لاستیک و تایر\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/car-consumables/fuel-supplement/\">\n											مکمل سوخت\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "block-editor-mega-item-1565", "", "publish", "closed", "closed", "", "block-editor-mega-item-1565", "", "", "2023-07-08 15:20:43", "2023-07-08 11:50:43", "", "0", "https://halochin.ir/multivendor/jet-menu/block-editor-mega-item-1565/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1576", "1", "2023-07-08 15:21:10", "2023-07-08 11:51:10", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/kitchen-home/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">تلویزیون  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											ال جی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ایکس ویژن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											جی پلاس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سامسونگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سونی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیائومی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">سینمای خانگی و ساندبار  </a></p>		\n			<p><a href=\"#\">نور و روشنایی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لامپ و چراغ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوستر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ تزئینی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم حیوانات خانگی  </a></p>		\n			<p><a href=\"#\">لوازم خانگی برقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											یخچال و فریزر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین لباسشویی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین ظرفشویی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											جاروبرقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اتوبخار و پرسی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چرخ خیاطی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تلفن بی سیم و سانترال\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فن هیتر و بخاری برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آبگرمکن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ترازوی آشپزخانه\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											بخار شو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تصفیه آب و آبسردکن\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/home-kitchen/cleaning/\">شستشو و نظافت  </a></p>		\n			<p><a href=\"#\">سرو و پذیرایی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سرویس غذاخوری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پارچ، بطری و ماگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ظروف پذیرایی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قاشق، چنگال و کارد\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">خواب و حمام  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سرویس خواب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بالش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پتو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تشک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											حوله\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											رو بالشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کوسن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ملحفه\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-2-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1566", "", "publish", "closed", "closed", "", "elementor-mega-item-1566", "", "", "2023-07-09 11:04:52", "2023-07-09 11:04:52", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1566/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1579", "1", "2023-07-08 15:21:51", "2023-07-08 11:51:51", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/car-tools/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">ابزار برقی  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											اینورتر جوشکاری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پیچ گوشتی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دریل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دستگاه جوش\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											فرز و سنگ رومیزی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کارواش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کمپرسور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکنده و دمنده\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											موتور برق\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/\">ابزار غیربرقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/hand-tool/\">\n											ابزار دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/work-safety-equipment/\">\n											تجهیزات و ایمنی کار\n											</a>\n									</li>\n								<li>\n											<a href=\"https://pre-websites.ir/elementor/multivendor/product-category/automobiles-tools/non-electrical-tools/ladder/\">\n											نردبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم ساختمان  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پمپ آب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیرآلات و دوش حمام\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم باغبانی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سمپاش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره زنجیری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تبر، بیل و کلنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قیچی و چاقو باغبانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم آبیاری\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">موتور سیکلت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لوازم ایمنی موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم مصرفی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم جانبی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روکش فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											صوتی تصویری\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											قفل پدال و فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نظافت خودرو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم مصرفی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روغن ترمز\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن گیربکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ضد یخ و آب رادیاتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لاستیک و تایر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکمل سوخت\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-3-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1567", "", "publish", "closed", "closed", "", "elementor-mega-item-1567", "", "", "2023-07-09 11:06:42", "2023-07-09 11:06:42", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1567/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1582", "1", "2023-07-08 15:22:25", "2023-07-08 11:52:25", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/art-books/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">لوازم التحریر  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											آلبوم عکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ابزار نقاشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تخته وایت برد\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ مطالعه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											خودکار و روان نویس\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											دفتر و کاغذ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیف و کوله\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین حساب\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">کتاب و مجله  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											کتاب چاپی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کمک درسی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مجله خارجی و داخلی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">محتوای آموزشی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آموزش موسیقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش نرم افزار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش ورزشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش زبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">هنر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ابزار طراحی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بوم نقاشی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مداد رنگی و گواش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آموزش زبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">نرم افزار  </a></p>		\n			<p><a href=\"#\">آلبوم موسیقی  </a></p>		\n			<p><a href=\"#\">بازی و کنسول کامپیوتر </a></p>		\n			<p><a href=\"#\">آلات موسیقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لوازم جانبی و ادوات موسیقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پیانو دیجیتال\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تجهیزات استودیویی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											درام، پرکاشن و دف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ساز های ایرانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیبورد و ارگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گیتار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ویولن\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-4-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1568", "", "publish", "closed", "closed", "", "elementor-mega-item-1568", "", "", "2023-07-09 11:09:20", "2023-07-09 11:09:20", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1568/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1585", "1", "2023-07-08 15:23:06", "2023-07-08 11:53:06", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/cosmetics/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">لوازم آرایشی  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											آرایش ابرو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش چشم\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش صورت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش لب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش مو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آرایش ناخن\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم بهداشتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											بهداشت دهان و دندان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بهداشت و مراقبت بدن\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شامپو و مراقبت مو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کرم و مراقبت پوست\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ضد تعریق\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تقویت مو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم شخصی برقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											اتو مو \n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اصلاح بدن آقایان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اصلاح بدن بانوان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اصلاح مو گوش بینی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											برس پاکسازی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بیگودی و فر کننده\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سشوار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لیزر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین اصلاح سر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین اصلاح صورت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مسواک برقی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">عطر و ادکلن  </a></p>		\n			<p><a href=\"#\">طلا، نقره و زیور آلات  </a></p>		\n			<p><a href=\"#\">ابزار سلامت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											تب سنج\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ترازوی دیجیتال\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تشک و پتوی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فشار سنج\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کالای خواب و استراحت طبی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماساژور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نمایشگر ضربان قلب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ویلچر\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-5-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1569", "", "publish", "closed", "closed", "", "elementor-mega-item-1569", "", "", "2023-07-09 11:10:57", "2023-07-09 11:10:57", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1569/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1588", "1", "2023-07-08 15:23:48", "2023-07-08 11:53:48", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/toy/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">اسباب بازی  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											بازی فکری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پازل و لگو\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تاب و سرسره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تفنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ربات و گجت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											عروسک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ماشین، قطار و هواپیما\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											موتور و ماشین بازی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">پوشاک کودک و نوازد  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											کفش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											جوراب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لباس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کلاه و پیشبند\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">گردش و سفر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ساک لوازم کودک و نوزاد\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											صندلی خودرو کودک و نوزاد\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کالسکه و کریر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											آغوشی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ایمنی و مراقبت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پد و کیسه آب گرم\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تب سنج و دماسنج\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تصفیه هوا\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مانیتور و پیجر اتاق کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											محافظ و ابزار ایمنی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">غذاخوری کودک  </a></p>		\n			<p><a href=\"#\">خواب کودک  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پتو کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پشه بند\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تخت خواب کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تشک کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سرویس خواب کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گهواره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مبلمان اتاق کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ملحفه کودک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											غذاخوری کودک\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-6-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1570", "", "publish", "closed", "closed", "", "elementor-mega-item-1570", "", "", "2023-07-09 11:12:42", "2023-07-09 11:12:42", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1570/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1591", "1", "2023-07-08 15:24:27", "2023-07-08 11:54:27", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/trip/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">پوشاک و کفش ورزشی  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											پوشاک ورزشی پسرانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پوشاک ورزشی دخترانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پوشاک ورزشی زنانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پوشاک ورزشی مردانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی پسرانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی دخترانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی زنانه\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش ورزشی مردانه\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">تجهیزات سفر  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											چمدان و ساک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چادر مسافرتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چتر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیف و کوله پشتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">کوهنوردی و کمپینگ  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											چاقو و ابزار چندکاره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ قوه و چراغ پیشانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											زیرانداز سفری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											عصای کوهنوردی\n											</a>\n									</li>\n								<li>\n											<a href=\"http://v\">\n											قمقمه و فلاسک\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کفش کوهنوردی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیسه خواب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم جانبی کوهنوردی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیکر\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ورزش های توپی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											توپ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											راکت\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فوتبال دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											باتری لپ تاپ\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم ورزشی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ایروبیک و تناسب اندام\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											بارفیکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تردمیل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دمبل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											طناب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم محافظتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"https://pre-websites.ir/elementor/multivendor/product-category/sports-travel/bicycles-accessories/\">دوچرخه و لوازم جانبی  </a></p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-7-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1571", "", "publish", "closed", "closed", "", "elementor-mega-item-1571", "", "", "2023-07-09 11:14:36", "2023-07-09 11:14:36", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1571/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1594", "1", "2023-07-08 15:24:52", "2023-07-08 11:54:52", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/handmade/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">ظروف سنتی  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											پارچ سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دیگ و قابلمه سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شکلات خوری سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قندان سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کاسه و بشقاب سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لیوان سنتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ابزار آشپزخانه سنتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آویز سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تخته سرو سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دیس و سینی سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											زیرانداز سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											سبد دستباف سنتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">دکوراتیو سنتی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											آویز و سرپرده سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											چراغ خواب و آباژور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کوسن سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کیس و کاور سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گلدان سنتی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											گلیم\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مجسمه سنتی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">فرش و قالیچه  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											فرش دستباف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تابلو فرش دستباف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قالیچه دستباف\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قالیچه قدیمی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">خانه و کاشانه بومی  </a></p>		\n			<p><a href=\"#\">پوشیدنی های محلی  </a></p>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-9-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1572", "", "publish", "closed", "closed", "", "elementor-mega-item-1572", "", "", "2023-07-09 11:15:57", "2023-07-09 11:15:57", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1572/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1598", "1", "2023-07-08 15:28:55", "2023-07-08 11:58:55", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><a href=\"https://halochin.ir/multivendor/product-category/digital-product/\">مشاهده همه محصولات دسته بندی  </a>		\n			<p><a href=\"#\">کالای دیجیتال  </a></p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/multivendor/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"#\">\n											اینورتر جوشکاری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											پیچ گوشتی برقی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دریل\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											دستگاه جوش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											فرز و سنگ رومیزی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کارواش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											کمپرسور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکنده و دمنده\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											موتور برق\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">ابزار غیربرقی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											ابزار دستی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تجهیزات و ایمنی کار\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نردبان\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم ساختمان  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											پمپ آب\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											شیرآلات و دوش حمام\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم باغبانی  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											سمپاش\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره زنجیری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											اره\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											تبر، بیل و کلنگ\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قیچی و چاقو باغبانی\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم آبیاری\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">موتور سیکلت  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											لوازم ایمنی موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لوازم مصرفی\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم جانبی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روکش فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											صوتی تصویری\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											قفل پدال و فرمان\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											نظافت خودرو\n											</a>\n									</li>\n						</ul>\n			<p><a href=\"#\">لوازم مصرفی خودرو  </a></p>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											روغن ترمز\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن گیربکس\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											روغن موتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											ضد یخ و آب رادیاتور\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											لاستیک و تایر\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											مکمل سوخت\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"498\" height=\"800\" src=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8.png 498w, https://halochin.ir/multivendor/wp-content/uploads/2023/07/mega-banner-8-187x300.png 187w\" sizes=\"(max-width: 498px) 100vw, 498px\" />", "elementor-mega-item-1565", "", "publish", "closed", "closed", "", "elementor-mega-item-1565", "", "", "2023-07-09 11:02:53", "2023-07-09 11:02:53", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1565/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1601", "1", "2023-07-09 09:27:30", "2023-07-08 12:02:13", " ", "", "", "publish", "closed", "closed", "", "1601", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1601", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1602", "1", "2023-07-09 09:27:30", "2023-07-08 12:02:13", " ", "", "", "publish", "closed", "closed", "", "1602", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1602", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1603", "1", "2023-07-09 09:27:30", "2023-07-08 12:02:14", " ", "", "", "publish", "closed", "closed", "", "1603", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1603", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1604", "1", "2023-07-09 09:27:30", "2023-07-08 12:02:13", "", "فروشنده شوید", "", "publish", "closed", "closed", "", "%d9%81%d8%b1%d9%88%d8%b4%d9%86%d8%af%d9%87-%d8%b4%d9%88%db%8c%d8%af-2", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1604", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1605", "1", "2023-07-09 09:27:30", "2023-07-08 12:02:13", " ", "", "", "publish", "closed", "closed", "", "1605", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1605", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1606", "1", "2023-07-09 09:27:30", "2023-07-08 12:02:13", " ", "", "", "publish", "closed", "closed", "", "1606", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1606", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1618", "1", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "تستی", "", "publish", "closed", "closed", "", "%d8%aa%d8%b3%d8%aa%db%8c", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1618", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1619", "1", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "تست52", "", "publish", "closed", "closed", "", "%d8%aa%d8%b3%d8%aa52", "", "", "2023-07-09 09:27:30", "2023-07-09 05:57:30", "", "0", "https://halochin.ir/multivendor/?p=1619", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1620", "1", "2023-07-09 09:30:42", "2023-07-09 06:00:42", "", "elementor-mega-item-1564", "", "publish", "closed", "closed", "", "elementor-mega-item-1564", "", "", "2023-07-09 06:14:35", "2023-07-09 06:14:35", "", "0", "https://halochin.ir/multivendor/jet-menu/elementor-mega-item-1564/", "0", "jet-menu", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1810", "0", "2023-07-10 08:57:09", "2023-07-10 08:57:09", "<!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-post_type menu-item-object-page menu-item-home current-menu-item page_item page-item-23 current_page_item\",\"description\":\"\",\"id\":\"23\",\"kind\":\"post-type\",\"label\":\"صفحه اصلی\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"page\",\"url\":\"https://halochin.ir/multivendor/\"} /--><!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-post_type menu-item-object-page\",\"description\":\"\",\"id\":\"14\",\"kind\":\"post-type\",\"label\":\"فروشگاه\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"page\",\"url\":\"https://halochin.ir/multivendor/shop/\"} /--><!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-post_type menu-item-object-page\",\"description\":\"\",\"id\":\"439\",\"kind\":\"post-type\",\"label\":\"وبلاگ\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"page\",\"url\":\"https://halochin.ir/multivendor/blog/\"} /--><!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-post_type menu-item-object-page\",\"description\":\"\",\"id\":\"17\",\"kind\":\"post-type\",\"label\":\"فروشنده شوید\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"page\",\"url\":\"https://halochin.ir/multivendor/my-account/\"} /--><!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-post_type menu-item-object-page\",\"description\":\"\",\"id\":\"504\",\"kind\":\"post-type\",\"label\":\"درباره ما\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"page\",\"url\":\"https://halochin.ir/multivendor/about-us/\"} /--><!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-post_type menu-item-object-page\",\"description\":\"\",\"id\":\"586\",\"kind\":\"post-type\",\"label\":\"تماس با ما\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"page\",\"url\":\"https://halochin.ir/multivendor/contact-us/\"} /--><!-- wp:navigation-submenu {\"className\":\" menu-item menu-item-type-custom menu-item-object-custom\",\"description\":\"\",\"id\":null,\"kind\":\"custom\",\"label\":\"تستی\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"custom\",\"url\":\"#\"} --><!-- wp:navigation-link {\"className\":\" menu-item menu-item-type-custom menu-item-object-custom\",\"description\":\"\",\"id\":null,\"kind\":\"custom\",\"label\":\"تست52\",\"opensInNewTab\":false,\"rel\":null,\"title\":\"\",\"type\":\"custom\",\"url\":\"#\"} /--><!-- /wp:navigation-submenu -->", "%d9%85%d9%86%d9%88-%d8%ac%d8%af%db%8c%d8%af", "", "publish", "closed", "closed", "", "%d9%85%d9%86%d9%88-%d8%ac%d8%af%db%8c%d8%af", "", "", "2023-07-10 08:57:09", "2023-07-10 08:57:09", "", "0", "https://halochin.ir/multivendor/%d9%85%d9%86%d9%88-%d8%ac%d8%af%db%8c%d8%af/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1856", "1", "2023-09-10 12:34:15", "2023-09-10 12:34:15", "", "01", "", "inherit", "open", "closed", "", "01", "", "", "2023-09-10 12:34:15", "2023-09-10 12:34:15", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/09/01.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1857", "1", "2023-09-10 12:34:24", "2023-09-10 12:34:24", "", "cropped-01.jpg", "", "inherit", "open", "closed", "", "cropped-01-jpg", "", "", "2023-09-10 12:34:24", "2023-09-10 12:34:24", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/09/cropped-01.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1858", "1", "2023-09-10 12:34:35", "2023-09-10 12:34:35", "", "cropped-01-1.jpg", "", "inherit", "open", "closed", "", "cropped-01-1-jpg", "", "", "2023-09-10 12:34:35", "2023-09-10 12:34:35", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/09/cropped-01-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1859", "1", "2023-09-27 09:30:36", "2023-09-27 09:30:36", "", "SGN_۰۲_۰۶_۲۰۲۳_1675664371524", "", "inherit", "open", "closed", "", "sgn_%db%b0%db%b2_%db%b0%db%b6_%db%b2%db%b0%db%b2%db%b3_1675664371524", "", "", "2023-09-27 09:30:36", "2023-09-27 09:30:36", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/09/SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1860", "1", "2023-09-27 09:30:47", "2023-09-27 09:30:47", "", "cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png", "", "inherit", "open", "closed", "", "cropped-sgn_%db%b0%db%b2_%db%b0%db%b6_%db%b2%db%b0%db%b2%db%b3_1675664371524-png", "", "", "2023-09-27 09:30:47", "2023-09-27 09:30:47", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/09/cropped-SGN_۰۲_۰۶_۲۰۲۳_1675664371524.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_sa_posts` VALUES("1866", "4", "2023-10-11 06:18:23", "2023-10-11 06:18:23", "", "سس هزار جزیره کاله - فرش", "برند: فرش", "publish", "closed", "closed", "", "%d8%b3%d8%b3-%d9%87%d8%b2%d8%a7%d8%b1-%d8%ac%d8%b2%db%8c%d8%b1%d9%87-%da%a9%d8%a7%d9%84%d9%87", "", "", "2023-10-11 06:18:43", "2023-10-11 06:18:43", "", "138", "https://halochin.ir/multivendor/?post_type=product_variation&#038;p=1866", "0", "product_variation", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1867", "4", "2023-10-11 06:18:30", "2023-10-11 06:18:30", "", "سس هزار جزیره کاله - کاله", "برند: کاله", "publish", "closed", "closed", "", "%d8%b3%d8%b3-%d9%87%d8%b2%d8%a7%d8%b1-%d8%ac%d8%b2%db%8c%d8%b1%d9%87-%da%a9%d8%a7%d9%84%d9%87-2", "", "", "2023-10-11 06:18:43", "2023-10-11 06:18:43", "", "138", "https://halochin.ir/multivendor/?post_type=product_variation&#038;p=1867", "0", "product_variation", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1885", "1", "2023-10-19 17:37:23", "2023-10-19 17:37:23", "", "image", "", "inherit", "open", "closed", "", "image", "", "", "2023-10-19 17:37:23", "2023-10-19 17:37:23", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/10/image.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1886", "1", "2023-10-19 17:37:30", "2023-10-19 17:37:30", "", "cropped-image.jpg", "", "inherit", "open", "closed", "", "cropped-image-jpg", "", "", "2023-10-19 17:37:30", "2023-10-19 17:37:30", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2023/10/cropped-image.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1894", "1", "2024-01-08 04:31:34", "2024-01-08 05:31:34", "<input\n			class=\"jet-search-filter__input\"\n			type=\"search\"\n			autocomplete=\"off\"\n			name=\"query\"\n			value=\"\"\n			placeholder=\"جستجو محصولات\"\n			aria-label=\"فیلتر جستجو\"\n					>\n			<button\n			type=\"button\"\n			class=\"jet-search-filter__submit apply-filters__button\"\n					>\n						جستجو کنید\n					</button>\n			فیلتر قیمت\n	<fieldset>\n		<legend style=\"display:none;\">فیلتر قیمت - slider</legend>\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"25000\" aria-label=\"Minimal value\" >\n		<input type=\"range\" step=\"1\" min=\"25000\" max=\"34000000\" value=\"34000000\" aria-label=\"Maximum value\" >\n	</fieldset>\n		25000تومان — 34000000تومان\n				<select\n			class=\"jet-select__control depth-0\"\n			name=\"pa_brand\"\n						aria-label=\"برند محصولات\"\n		>\n					<option value=\"\">برند محصولات...</option>\n									<option\n					value=\"27\"\n					data-label=\"پرسیل\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>پرسیل</option>\n										<option\n					value=\"28\"\n					data-label=\"پریل\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>پریل</option>\n										<option\n					value=\"29\"\n					data-label=\"سحرخیز\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>سحرخیز</option>\n										<option\n					value=\"30\"\n					data-label=\"شیائومی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>شیائومی</option>\n										<option\n					value=\"31\"\n					data-label=\"فرش\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>فرش</option>\n										<option\n					value=\"32\"\n					data-label=\"کاله\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>کاله</option>\n										<option\n					value=\"33\"\n					data-label=\"گینگ استار\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>گینگ استار</option>\n										<option\n					value=\"34\"\n					data-label=\"هواوی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>هواوی</option>\n			</select>\n				<select\n			class=\"jet-select__control depth-0\"\n			name=\"product_cat\"\n						aria-label=\"دسته بندی محصولات\"\n		>\n					<option value=\"\">دسته بندی محصولات...</option>\n									<option\n					value=\"15\"\n					data-label=\"آرایشی و بهداشتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>آرایشی و بهداشتی</option>\n										<option\n					value=\"17\"\n					data-label=\"اسباب بازی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>اسباب بازی</option>\n										<option\n					value=\"18\"\n					data-label=\"خانه و آشپزخانه\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>خانه و آشپزخانه</option>\n										<option\n					value=\"19\"\n					data-label=\"خودرو و ابزار صنعتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>خودرو و ابزار صنعتی</option>\n										<option\n					value=\"20\"\n					data-label=\"دست ساز و سنتی\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>دست ساز و سنتی</option>\n										<option\n					value=\"21\"\n					data-label=\"کالای دیجیتال\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>کالای دیجیتال</option>\n										<option\n					value=\"22\"\n					data-label=\"لوازم التحریر و هنر\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>لوازم التحریر و هنر</option>\n										<option\n					value=\"23\"\n					data-label=\"مد و پوشاک\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>مد و پوشاک</option>\n										<option\n					value=\"24\"\n					data-label=\"ورزش و سفر\"\n					data-counter-prefix=\"\"\n					data-counter-suffix=\"\"\n									>ورزش و سفر</option>\n			</select>\n	<button\n		type=\"button\"\n		class=\"apply-filters__button\"\n			>اعمال فیلتر ها</button>\n	<button\n		type=\"button\"\n		class=\"jet-remove-all-filters__button\"\n		data-content-provider=\"jet-engine\"\n		data-additional-providers=\"\"\n		data-apply-type=\"reload\"\n		data-query-id=\"pproducts\"\n			>\n		حذف فیلترها	</button>\n				<select\n			class=\"jet-sorting-select\"\n			name=\"select-name\"\n						aria-label=\"Sort filter\"\n		>\n							<option value=\"\">مرتب سازی براساس ...</option>\n														<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس قیمت از ارزان ترین به گران ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;price&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس قیمت از گران ترین به ارزان ترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;ASC&quot;}\"\n									>براساس تاریخ از قدیمی ترین به جدیدترین</option>\n											<option\n					value=\"{&quot;orderby&quot;:&quot;date&quot;,&quot;order&quot;:&quot;DESC&quot;}\"\n									>براساس تاریخ از جدیدترین به قدیمی ترین</option>\n					</select>\n			هیچ داده ای یافت نشد", "قالب بایگانی ویژگی برند", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a8%d8%a7%db%8c%da%af%d8%a7%d9%86%db%8c-%d9%88%db%8c%da%98%da%af%db%8c-%d8%a8%d8%b1%d9%86%d8%af", "", "", "2024-01-08 04:51:01", "2024-01-08 05:51:01", "", "0", "https://halochin.ir/multivendor/?post_type=elementor_library&#038;p=1894", "0", "elementor_library", "", "0");
INSERT INTO `wp_sa_posts` VALUES("1908", "1", "2024-04-13 13:04:22", "2024-04-13 09:34:22", "", "1", "", "inherit", "open", "closed", "", "1", "", "", "2024-04-13 13:04:22", "2024-04-13 09:34:22", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2024/04/1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1909", "1", "2024-04-13 13:04:29", "2024-04-13 09:34:29", "", "cropped-1.jpg", "", "inherit", "open", "closed", "", "cropped-1-jpg", "", "", "2024-04-13 13:04:29", "2024-04-13 09:34:29", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2024/04/cropped-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1910", "1", "2024-04-13 13:04:48", "2024-04-13 09:34:48", "", "cropped-cropped-1.jpg", "", "inherit", "open", "closed", "", "cropped-cropped-1-jpg", "", "", "2024-04-13 13:04:48", "2024-04-13 09:34:48", "", "0", "https://halochin.ir/multivendor/wp-content/uploads/2024/04/cropped-cropped-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_sa_posts` VALUES("1929", "1", "2024-05-27 13:43:38", "0000-00-00 00:00:00", "", "پیش‌نویس خودکار", "", "auto-draft", "open", "open", "", "", "", "", "2024-05-27 13:43:38", "0000-00-00 00:00:00", "", "0", "https://halochin.ir/multivendor/?p=1929", "0", "post", "", "0");

/* INSERT TABLE DATA: wp_sa_snippets */
INSERT INTO `wp_sa_snippets` VALUES("1", "Make upload filenames lowercase", "Makes sure that image and file uploads have lowercase filenames.\n\nThis is a sample snippet. Feel free to use it, edit it, or remove it.", "add_filter( \'sanitize_file_name\', \'mb_strtolower\' );", "sample, media", "global", "10", "0", "2023-07-05 07:28:24", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("2", "Disable admin bar", "Turns off the WordPress admin bar for everyone except administrators.\n\nThis is a sample snippet. Feel free to use it, edit it, or remove it.", "add_action( \'wp\', function () {\n	if ( ! current_user_can( \'manage_options\' ) ) {\n		show_admin_bar( false );\n	}\n} );", "sample, admin-bar", "front-end", "10", "0", "2023-07-05 07:28:24", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("3", "Allow smilies", "Allows smiley conversion in obscure places.\n\nThis is a sample snippet. Feel free to use it, edit it, or remove it.", "add_filter( \'widget_text\', \'convert_smilies\' );\nadd_filter( \'the_title\', \'convert_smilies\' );\nadd_filter( \'wp_title\', \'convert_smilies\' );\nadd_filter( \'get_bloginfo\', \'convert_smilies\' );", "sample", "global", "10", "0", "2023-07-05 07:28:24", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("4", "Current year", "Shortcode for inserting the current year into a post or page..\n\nThis is a sample snippet. Feel free to use it, edit it, or remove it.", "<?php echo date( \'Y\' ); ?>", "sample, dates", "content", "10", "0", "2023-07-05 07:28:24", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("5", "کوئری محصولات تخفیف خورده", "", "add_action( \'jet-engine/register-macros\', function(){ \n	\n    if ( ! function_exists( \'WC\' ) ) {\n        return;\n    }\n  \n    class Products_On_Sale_Macro extends \\Jet_Engine_Base_Macros {\n\n        public function macros_tag() {\n            return \'wc_products_on_sale\';\n        }\n\n        public function macros_name() {\n            return \'WC Products on Sale\';\n        }\n\n        public function macros_args() {\n            return array();\n        }\n\n        public function macros_callback( $args = array() ) {\n\n            $on_sale = array_merge( array( 0 ), wc_get_product_ids_on_sale() );\n			\n            return implode( \',\', $on_sale );\n				\n        }\n    }\n\n    new Products_On_Sale_Macro();\n    \n} );", "", "global", "10", "1", "2023-07-05 07:29:57", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("6", "top_seller_img", "", "function top_seller_img_shortcode() {\n    global $wpdb;\n\n    $query = \"\n        SELECT seller_id\n        FROM (\n            SELECT seller_id, COUNT(order_id) AS sales_count\n            FROM {$wpdb->prefix}dokan_orders\n            GROUP BY seller_id\n            ORDER BY sales_count DESC\n            LIMIT 1\n        ) AS top_seller\n    \";\n    $top_seller_id = $wpdb->get_var( $query );\n\n    ob_start();\n\n    if ( $top_seller_id ) :\n        ?>\n        <img src=\"<?php echo esc_url( get_avatar_url( $top_seller_id ) ); ?>\" />\n    <?php endif;\n\n    return ob_get_clean();\n}\nadd_shortcode( \'top_seller_img\', \'top_seller_img_shortcode\' );", "", "global", "10", "1", "2023-07-06 06:30:18", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("7", "dokan_vendor_link", "", "function dokan_top_seller_store_link_shortcode() {\n    global $wpdb;\n\n    $query = \"\n        SELECT seller_id\n        FROM (\n            SELECT seller_id, COUNT(order_id) AS sales_count\n            FROM {$wpdb->prefix}dokan_orders\n            GROUP BY seller_id\n            ORDER BY sales_count DESC\n            LIMIT 1\n        ) AS top_seller\n    \";\n    $top_seller_id = $wpdb->get_var( $query );\n\n    $store_url = dokan_get_store_url( $top_seller_id );\n\n    if ( $store_url ) {\n        $visit_shop_text = __( \'Visit Store\', \'dokan\' );\n        echo \'<a href=\"\' . esc_url( $store_url ) . \'\">\' . esc_html( $visit_shop_text ) . \'</a>\';\n    }\n}\nadd_shortcode( \'dokan_vendor_link\', \'dokan_top_seller_store_link_shortcode\' );", "", "global", "10", "1", "2023-07-06 06:30:40", "1", NULL);
INSERT INTO `wp_sa_snippets` VALUES("8", "fixing_jetMenu_style_problem", "", "add_action(\'wp_head\', function ( ){\n	?>\n	<style>\n		p.elementor-heading-title.elementor-size-default {\n    		padding: 0px;\n    		margin: 0px;\n		}\n		ul.elementor-icon-list-items {\n    		list-style-type: none;\n		}\n		span.elementor-icon-list-icon svg {\n    		width: 20px;\n    		height: 20px;\n		}\n	</style>\n	<?php\n}, 999);", "", "front-end", "10", "1", "2023-07-15 08:08:41", "1", NULL);

/* INSERT TABLE DATA: wp_sa_term_relationships */
INSERT INTO `wp_sa_term_relationships` VALUES("20", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("32", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("37", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("39", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("43", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("45", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("64", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("100", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("100", "23", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("102", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("102", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("104", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("104", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("106", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("106", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("108", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("108", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("111", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("111", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("113", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("113", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("115", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("115", "22", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("118", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("118", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("120", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("120", "22", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("122", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("122", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("124", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("124", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("124", "24", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("126", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("126", "13", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("126", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("128", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("128", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("130", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("130", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("132", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("132", "19", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("134", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("134", "15", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("136", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("136", "17", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("136", "20", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("136", "27", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("136", "28", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("136", "29", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("138", "4", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("138", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("138", "31", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("138", "32", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("140", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("140", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("140", "33", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("140", "34", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "27", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "28", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "29", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "30", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "31", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "32", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "33", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("142", "34", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("209", "25", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("224", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("324", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("358", "41", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("371", "42", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("373", "43", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("375", "1", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("377", "38", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("379", "39", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("381", "40", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("383", "41", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("385", "42", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("387", "43", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("391", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("399", "35", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("441", "37", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("445", "36", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("459", "38", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("459", "39", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("464", "39", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("469", "39", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("471", "39", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("491", "45", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("530", "46", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("562", "47", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("628", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("712", "45", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("772", "45", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("887", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("933", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("942", "48", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("952", "48", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("961", "49", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("967", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("968", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("970", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("971", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("972", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("973", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("993", "51", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("996", "36", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1105", "52", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1127", "49", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1177", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1177", "18", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1177", "27", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1177", "28", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1182", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1194", "53", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1197", "2", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1197", "21", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1282", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1284", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1292", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1312", "25", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1330", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1340", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1406", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1428", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1439", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1465", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1553", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1557", "47", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1561", "47", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1564", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1565", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1566", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1567", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1568", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1569", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1570", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1571", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1572", "50", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1601", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1602", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1603", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1604", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1605", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1606", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1611", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1618", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1619", "54", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1624", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1641", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1658", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1684", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1739", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1748", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1758", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1794", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1797", "16", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1809", "26", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1874", "45", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1878", "45", "0");
INSERT INTO `wp_sa_term_relationships` VALUES("1894", "37", "0");

/* INSERT TABLE DATA: wp_sa_term_taxonomy */
INSERT INTO `wp_sa_term_taxonomy` VALUES("1", "1", "category", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("2", "2", "product_type", "", "0", "22");
INSERT INTO `wp_sa_term_taxonomy` VALUES("3", "3", "product_type", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("4", "4", "product_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("5", "5", "product_type", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("6", "6", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("7", "7", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("8", "8", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("9", "9", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("10", "10", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("11", "11", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("12", "12", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("13", "13", "product_visibility", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("14", "14", "product_visibility", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("15", "15", "product_cat", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("16", "16", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("17", "17", "product_cat", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("18", "18", "product_cat", "", "0", "8");
INSERT INTO `wp_sa_term_taxonomy` VALUES("19", "19", "product_cat", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("20", "20", "product_cat", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("21", "21", "product_cat", "", "0", "9");
INSERT INTO `wp_sa_term_taxonomy` VALUES("22", "22", "product_cat", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("23", "23", "product_cat", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("24", "24", "product_cat", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("25", "25", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("26", "26", "elementor_library_type", "", "0", "3");
INSERT INTO `wp_sa_term_taxonomy` VALUES("27", "27", "pa_brand", "", "0", "3");
INSERT INTO `wp_sa_term_taxonomy` VALUES("28", "28", "pa_brand", "", "0", "3");
INSERT INTO `wp_sa_term_taxonomy` VALUES("29", "29", "pa_brand", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("30", "30", "pa_brand", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("31", "31", "pa_brand", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("32", "32", "pa_brand", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("33", "33", "pa_brand", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("34", "34", "pa_brand", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("35", "35", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("36", "36", "elementor_library_type", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("37", "37", "elementor_library_type", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("38", "38", "category", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("39", "39", "category", "", "0", "5");
INSERT INTO `wp_sa_term_taxonomy` VALUES("40", "40", "category", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("41", "41", "category", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("42", "42", "category", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("43", "43", "category", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("44", "44", "category", "", "0", "0");
INSERT INTO `wp_sa_term_taxonomy` VALUES("45", "45", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("46", "46", "jet_woo_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("47", "47", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("48", "48", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("49", "49", "elementor_library_type", "", "0", "2");
INSERT INTO `wp_sa_term_taxonomy` VALUES("50", "50", "nav_menu", "", "0", "15");
INSERT INTO `wp_sa_term_taxonomy` VALUES("51", "51", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("52", "52", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("53", "53", "jet_woo_library_type", "", "0", "1");
INSERT INTO `wp_sa_term_taxonomy` VALUES("54", "54", "nav_menu", "", "0", "8");
INSERT INTO `wp_sa_term_taxonomy` VALUES("55", "55", "elementor_library_type", "", "0", "0");

/* INSERT TABLE DATA: wp_sa_termmeta */
INSERT INTO `wp_sa_termmeta` VALUES("1", "15", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("2", "15", "thumbnail_id", "72");
INSERT INTO `wp_sa_termmeta` VALUES("3", "17", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("4", "17", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("5", "17", "thumbnail_id", "73");
INSERT INTO `wp_sa_termmeta` VALUES("6", "18", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("7", "18", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("8", "18", "thumbnail_id", "69");
INSERT INTO `wp_sa_termmeta` VALUES("9", "19", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("10", "19", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("11", "19", "thumbnail_id", "70");
INSERT INTO `wp_sa_termmeta` VALUES("12", "20", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("13", "20", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("14", "20", "thumbnail_id", "76");
INSERT INTO `wp_sa_termmeta` VALUES("15", "21", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("16", "21", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("17", "21", "thumbnail_id", "68");
INSERT INTO `wp_sa_termmeta` VALUES("18", "22", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("19", "22", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("20", "22", "thumbnail_id", "71");
INSERT INTO `wp_sa_termmeta` VALUES("21", "23", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("22", "23", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("23", "23", "thumbnail_id", "75");
INSERT INTO `wp_sa_termmeta` VALUES("24", "24", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("25", "24", "display_type", "");
INSERT INTO `wp_sa_termmeta` VALUES("26", "24", "thumbnail_id", "74");
INSERT INTO `wp_sa_termmeta` VALUES("27", "23", "product_count_product_cat", "1");
INSERT INTO `wp_sa_termmeta` VALUES("28", "21", "product_count_product_cat", "9");
INSERT INTO `wp_sa_termmeta` VALUES("29", "18", "product_count_product_cat", "8");
INSERT INTO `wp_sa_termmeta` VALUES("30", "22", "product_count_product_cat", "2");
INSERT INTO `wp_sa_termmeta` VALUES("31", "19", "product_count_product_cat", "1");
INSERT INTO `wp_sa_termmeta` VALUES("32", "20", "product_count_product_cat", "1");
INSERT INTO `wp_sa_termmeta` VALUES("33", "15", "product_count_product_cat", "1");
INSERT INTO `wp_sa_termmeta` VALUES("34", "17", "product_count_product_cat", "1");
INSERT INTO `wp_sa_termmeta` VALUES("35", "24", "product_count_product_cat", "1");
INSERT INTO `wp_sa_termmeta` VALUES("36", "27", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("37", "27", "thumbnail_img", "336");
INSERT INTO `wp_sa_termmeta` VALUES("38", "28", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("39", "28", "thumbnail_img", "341");
INSERT INTO `wp_sa_termmeta` VALUES("40", "29", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("41", "29", "thumbnail_img", "340");
INSERT INTO `wp_sa_termmeta` VALUES("42", "30", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("43", "30", "thumbnail_img", "335");
INSERT INTO `wp_sa_termmeta` VALUES("44", "31", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("45", "31", "thumbnail_img", "342");
INSERT INTO `wp_sa_termmeta` VALUES("46", "32", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("47", "32", "thumbnail_img", "337");
INSERT INTO `wp_sa_termmeta` VALUES("48", "33", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("49", "33", "thumbnail_img", "338");
INSERT INTO `wp_sa_termmeta` VALUES("50", "34", "order", "0");
INSERT INTO `wp_sa_termmeta` VALUES("51", "34", "thumbnail_img", "339");
INSERT INTO `wp_sa_termmeta` VALUES("52", "1", "category-pic", "454");
INSERT INTO `wp_sa_termmeta` VALUES("53", "38", "category-pic", "452");
INSERT INTO `wp_sa_termmeta` VALUES("54", "39", "category-pic", "452");
INSERT INTO `wp_sa_termmeta` VALUES("55", "40", "category-pic", "455");
INSERT INTO `wp_sa_termmeta` VALUES("56", "41", "category-pic", "452");
INSERT INTO `wp_sa_termmeta` VALUES("57", "42", "category-pic", "457");
INSERT INTO `wp_sa_termmeta` VALUES("58", "43", "category-pic", "453");
INSERT INTO `wp_sa_termmeta` VALUES("59", "44", "category-pic", "456");
INSERT INTO `wp_sa_termmeta` VALUES("60", "50", "jet_menu_settings", "a:2:{s:6:\"menu-1\";a:4:{s:5:\"label\";s:10:\"سربرگ\";s:7:\"enabled\";s:4:\"true\";s:6:\"preset\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:6:\"menu-2\";a:4:{s:5:\"label\";s:12:\"پاورقی\";s:7:\"enabled\";s:5:\"false\";s:6:\"preset\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}}");

/* INSERT TABLE DATA: wp_sa_terms */
INSERT INTO `wp_sa_terms` VALUES("1", "آنباکس محصولات", "product-unbox", "0");
INSERT INTO `wp_sa_terms` VALUES("2", "simple", "simple", "0");
INSERT INTO `wp_sa_terms` VALUES("3", "grouped", "grouped", "0");
INSERT INTO `wp_sa_terms` VALUES("4", "variable", "variable", "0");
INSERT INTO `wp_sa_terms` VALUES("5", "external", "external", "0");
INSERT INTO `wp_sa_terms` VALUES("6", "exclude-from-search", "exclude-from-search", "0");
INSERT INTO `wp_sa_terms` VALUES("7", "exclude-from-catalog", "exclude-from-catalog", "0");
INSERT INTO `wp_sa_terms` VALUES("8", "featured", "featured", "0");
INSERT INTO `wp_sa_terms` VALUES("9", "outofstock", "outofstock", "0");
INSERT INTO `wp_sa_terms` VALUES("10", "rated-1", "rated-1", "0");
INSERT INTO `wp_sa_terms` VALUES("11", "rated-2", "rated-2", "0");
INSERT INTO `wp_sa_terms` VALUES("12", "rated-3", "rated-3", "0");
INSERT INTO `wp_sa_terms` VALUES("13", "rated-4", "rated-4", "0");
INSERT INTO `wp_sa_terms` VALUES("14", "rated-5", "rated-5", "0");
INSERT INTO `wp_sa_terms` VALUES("15", "آرایشی و بهداشتی", "beauty", "0");
INSERT INTO `wp_sa_terms` VALUES("16", "header", "header", "0");
INSERT INTO `wp_sa_terms` VALUES("17", "اسباب بازی", "toy", "0");
INSERT INTO `wp_sa_terms` VALUES("18", "خانه و آشپزخانه", "kitchen-home", "0");
INSERT INTO `wp_sa_terms` VALUES("19", "خودرو و ابزار صنعتی", "car-tools", "0");
INSERT INTO `wp_sa_terms` VALUES("20", "دست ساز و سنتی", "handmade", "0");
INSERT INTO `wp_sa_terms` VALUES("21", "کالای دیجیتال", "digital-product", "0");
INSERT INTO `wp_sa_terms` VALUES("22", "لوازم التحریر و هنر", "art-books", "0");
INSERT INTO `wp_sa_terms` VALUES("23", "مد و پوشاک", "fasion", "0");
INSERT INTO `wp_sa_terms` VALUES("24", "ورزش و سفر", "trip", "0");
INSERT INTO `wp_sa_terms` VALUES("25", "footer", "footer", "0");
INSERT INTO `wp_sa_terms` VALUES("26", "section", "section", "0");
INSERT INTO `wp_sa_terms` VALUES("27", "پرسیل", "persil", "0");
INSERT INTO `wp_sa_terms` VALUES("28", "پریل", "prill", "0");
INSERT INTO `wp_sa_terms` VALUES("29", "سحرخیز", "saharkhiz", "0");
INSERT INTO `wp_sa_terms` VALUES("30", "شیائومی", "shiaomi", "0");
INSERT INTO `wp_sa_terms` VALUES("31", "فرش", "fresh", "0");
INSERT INTO `wp_sa_terms` VALUES("32", "کاله", "kalleh", "0");
INSERT INTO `wp_sa_terms` VALUES("33", "گینگ استار", "kingstar", "0");
INSERT INTO `wp_sa_terms` VALUES("34", "هواوی", "huawei", "0");
INSERT INTO `wp_sa_terms` VALUES("35", "single-post", "single-post", "0");
INSERT INTO `wp_sa_terms` VALUES("36", "archive", "archive", "0");
INSERT INTO `wp_sa_terms` VALUES("37", "product-archive", "product-archive", "0");
INSERT INTO `wp_sa_terms` VALUES("38", "بازی ویدیویی", "video-game", "0");
INSERT INTO `wp_sa_terms` VALUES("39", "بررسی ویدیویی", "video-check", "0");
INSERT INTO `wp_sa_terms` VALUES("40", "سبک زندگی", "life-style", "0");
INSERT INTO `wp_sa_terms` VALUES("41", "علم و تکنولوژی", "science", "0");
INSERT INTO `wp_sa_terms` VALUES("42", "کتاب و ادبیات", "books", "0");
INSERT INTO `wp_sa_terms` VALUES("43", "منتخب سردبیر", "rated-boss", "0");
INSERT INTO `wp_sa_terms` VALUES("44", "هنر و سینما", "cinema-arts", "0");
INSERT INTO `wp_sa_terms` VALUES("45", "product", "product", "0");
INSERT INTO `wp_sa_terms` VALUES("46", "jet-woo-builder-thankyou", "jet-woo-builder-thankyou", "0");
INSERT INTO `wp_sa_terms` VALUES("47", "container", "container", "0");
INSERT INTO `wp_sa_terms` VALUES("48", "store", "store", "0");
INSERT INTO `wp_sa_terms` VALUES("49", "popup", "popup", "0");
INSERT INTO `wp_sa_terms` VALUES("50", "منوی اصلی", "%d9%85%d9%86%d9%88%db%8c-%d8%a7%d8%b5%d9%84%db%8c", "0");
INSERT INTO `wp_sa_terms` VALUES("51", "search-results", "search-results", "0");
INSERT INTO `wp_sa_terms` VALUES("52", "error-404", "error-404", "0");
INSERT INTO `wp_sa_terms` VALUES("53", "jet-woo-builder-myaccount", "jet-woo-builder-myaccount", "0");
INSERT INTO `wp_sa_terms` VALUES("54", "منو جدید", "%d9%85%d9%86%d9%88-%d8%ac%d8%af%db%8c%d8%af", "0");
INSERT INTO `wp_sa_terms` VALUES("55", "page", "page", "0");

/* INSERT TABLE DATA: wp_sa_usermeta */
INSERT INTO `wp_sa_usermeta` VALUES("1", "1", "nickname", "designer");
INSERT INTO `wp_sa_usermeta` VALUES("2", "1", "first_name", "شماره 5");
INSERT INTO `wp_sa_usermeta` VALUES("3", "1", "last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_sa_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_sa_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_sa_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_sa_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_sa_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_sa_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_sa_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_sa_usermeta` VALUES("12", "1", "wp_sa_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_sa_usermeta` VALUES("13", "1", "wp_sa_user_level", "10");
INSERT INTO `wp_sa_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_sa_usermeta` VALUES("15", "1", "show_welcome_panel", "0");
INSERT INTO `wp_sa_usermeta` VALUES("16", "1", "session_tokens", "a:1:{s:64:\"3dcf39547d09e1002fa2d5532c77f2f7343ad802056e2ccff2d6bdb07561f21e\";a:4:{s:10:\"expiration\";i:1716965575;s:2:\"ip\";s:11:\"78.39.83.10\";s:2:\"ua\";s:111:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36\";s:5:\"login\";i:1716792775;}}");
INSERT INTO `wp_sa_usermeta` VALUES("17", "1", "wp_sa_dashboard_quick_press_last_post_id", "1929");
INSERT INTO `wp_sa_usermeta` VALUES("18", "1", "community-events-location", "a:1:{s:2:\"ip\";s:10:\"78.39.83.0\";}");
INSERT INTO `wp_sa_usermeta` VALUES("76", "1", "dokan_store_name", "بازرگانی جم");
INSERT INTO `wp_sa_usermeta` VALUES("119", "4", "nickname", "avajang");
INSERT INTO `wp_sa_usermeta` VALUES("120", "4", "first_name", "شماره 6");
INSERT INTO `wp_sa_usermeta` VALUES("121", "4", "last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("122", "4", "description", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است");
INSERT INTO `wp_sa_usermeta` VALUES("123", "4", "rich_editing", "true");
INSERT INTO `wp_sa_usermeta` VALUES("124", "4", "syntax_highlighting", "true");
INSERT INTO `wp_sa_usermeta` VALUES("125", "4", "comment_shortcuts", "false");
INSERT INTO `wp_sa_usermeta` VALUES("126", "4", "admin_color", "fresh");
INSERT INTO `wp_sa_usermeta` VALUES("127", "4", "use_ssl", "0");
INSERT INTO `wp_sa_usermeta` VALUES("128", "4", "show_admin_bar_front", "true");
INSERT INTO `wp_sa_usermeta` VALUES("129", "4", "locale", "");
INSERT INTO `wp_sa_usermeta` VALUES("130", "4", "wp_sa_capabilities", "a:1:{s:6:\"seller\";b:1;}");
INSERT INTO `wp_sa_usermeta` VALUES("131", "4", "wp_sa_user_level", "0");
INSERT INTO `wp_sa_usermeta` VALUES("132", "4", "dokan_enable_selling", "yes");
INSERT INTO `wp_sa_usermeta` VALUES("133", "4", "last_update", "1689056630");
INSERT INTO `wp_sa_usermeta` VALUES("134", "4", "dokan_profile_settings", "a:23:{s:10:\"store_name\";s:12:\"آواژنگ\";s:6:\"social\";a:7:{s:2:\"fb\";s:0:\"\";s:7:\"youtube\";s:0:\"\";s:7:\"twitter\";s:0:\"\";s:8:\"linkedin\";s:0:\"\";s:9:\"pinterest\";s:0:\"\";s:9:\"instagram\";s:0:\"\";s:6:\"flickr\";s:0:\"\";}s:7:\"payment\";a:2:{s:4:\"bank\";a:8:{s:7:\"ac_name\";s:0:\"\";s:7:\"ac_type\";s:0:\"\";s:9:\"ac_number\";s:0:\"\";s:9:\"bank_name\";s:0:\"\";s:9:\"bank_addr\";s:0:\"\";s:14:\"routing_number\";s:0:\"\";s:4:\"iban\";s:0:\"\";s:5:\"swift\";s:0:\"\";}s:6:\"paypal\";a:1:{s:5:\"email\";s:0:\"\";}}s:5:\"phone\";s:9:\"123456789\";s:10:\"show_email\";s:2:\"no\";s:7:\"address\";a:6:{s:8:\"street_1\";s:13:\"خیابان1\";s:8:\"street_2\";s:13:\"خیابان2\";s:4:\"city\";s:6:\"یزد\";s:3:\"zip\";s:8:\"25121212\";s:7:\"country\";s:2:\"IR\";s:5:\"state\";s:3:\"YZD\";}s:8:\"location\";s:0:\"\";s:6:\"banner\";i:1023;s:4:\"icon\";s:0:\"\";s:8:\"gravatar\";i:1119;s:14:\"show_more_ptab\";s:3:\"yes\";s:9:\"store_ppp\";i:12;s:10:\"enable_tnc\";s:3:\"off\";s:9:\"store_tnc\";s:0:\"\";s:23:\"show_min_order_discount\";s:0:\"\";s:9:\"store_seo\";a:0:{}s:24:\"dokan_store_time_enabled\";s:2:\"no\";s:23:\"dokan_store_open_notice\";s:28:\"فروشگاه باز است\";s:24:\"dokan_store_close_notice\";s:30:\"فروشگاه بسته است\";s:16:\"dokan_store_time\";a:0:{}s:18:\"profile_completion\";a:9:{s:14:\"closed_by_user\";b:0;s:8:\"gravatar\";i:15;s:5:\"phone\";i:10;s:6:\"banner\";i:15;s:10:\"store_name\";i:10;s:7:\"address\";i:10;s:8:\"progress\";i:60;s:9:\"next_todo\";s:18:\"payment_method_val\";s:13:\"progress_vals\";a:7:{s:10:\"banner_val\";i:15;s:19:\"profile_picture_val\";i:15;s:14:\"store_name_val\";i:10;s:11:\"address_val\";i:10;s:9:\"phone_val\";i:10;s:18:\"payment_method_val\";i:30;s:10:\"social_val\";a:4:{s:2:\"fb\";i:4;s:7:\"twitter\";i:2;s:7:\"youtube\";i:2;s:8:\"linkedin\";i:2;}}}s:28:\"setting_minimum_order_amount\";s:0:\"\";s:24:\"setting_order_percentage\";s:0:\"\";}");
INSERT INTO `wp_sa_usermeta` VALUES("135", "4", "dokan_store_name", "آواژنگ");
INSERT INTO `wp_sa_usermeta` VALUES("137", "1", "last_update", "1696939591");
INSERT INTO `wp_sa_usermeta` VALUES("138", "1", "dokan_enable_selling", "yes");
INSERT INTO `wp_sa_usermeta` VALUES("139", "1", "dokan_feature_seller", "no");
INSERT INTO `wp_sa_usermeta` VALUES("140", "1", "dokan_publishing", "no");
INSERT INTO `wp_sa_usermeta` VALUES("141", "1", "dokan_admin_percentage_type", "flat");
INSERT INTO `wp_sa_usermeta` VALUES("142", "1", "dokan_admin_percentage", "");
INSERT INTO `wp_sa_usermeta` VALUES("143", "1", "dokan_profile_settings", "a:19:{s:10:\"store_name\";s:21:\"بازرگانی جم\";s:6:\"social\";a:6:{s:2:\"fb\";s:0:\"\";s:7:\"youtube\";s:0:\"\";s:7:\"twitter\";s:0:\"\";s:8:\"linkedin\";s:0:\"\";s:9:\"pinterest\";s:0:\"\";s:9:\"instagram\";s:0:\"\";}s:7:\"payment\";a:2:{s:6:\"paypal\";a:2:{i:0;s:5:\"email\";s:5:\"email\";s:0:\"\";}s:4:\"bank\";a:8:{s:7:\"ac_name\";s:0:\"\";s:7:\"ac_type\";s:0:\"\";s:9:\"ac_number\";s:0:\"\";s:9:\"bank_name\";s:0:\"\";s:9:\"bank_addr\";s:0:\"\";s:14:\"routing_number\";s:0:\"\";s:4:\"iban\";s:0:\"\";s:5:\"swift\";s:0:\"\";}}s:5:\"phone\";s:9:\"123456789\";s:10:\"show_email\";s:2:\"no\";s:7:\"address\";a:6:{s:8:\"street_1\";s:19:\"خیابان اول\";s:8:\"street_2\";s:15:\"کوچه دوم\";s:4:\"city\";s:10:\"تهران\";s:3:\"zip\";s:1:\"1\";s:5:\"state\";s:3:\"YZD\";s:7:\"country\";s:2:\"IR\";}s:8:\"location\";s:0:\"\";s:6:\"banner\";i:0;s:4:\"icon\";i:0;s:8:\"gravatar\";i:1115;s:14:\"show_more_ptab\";s:3:\"yes\";s:9:\"store_ppp\";i:12;s:10:\"enable_tnc\";s:3:\"off\";s:9:\"store_tnc\";s:0:\"\";s:23:\"show_min_order_discount\";s:2:\"no\";s:9:\"store_seo\";a:0:{}s:24:\"dokan_store_time_enabled\";s:2:\"no\";s:23:\"dokan_store_open_notice\";s:28:\"فروشگاه باز است\";s:24:\"dokan_store_close_notice\";s:30:\"فروشگاه بسته است\";}");
INSERT INTO `wp_sa_usermeta` VALUES("144", "5", "nickname", "saller-5");
INSERT INTO `wp_sa_usermeta` VALUES("145", "5", "first_name", "شماره 5");
INSERT INTO `wp_sa_usermeta` VALUES("146", "5", "last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("147", "5", "description", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است");
INSERT INTO `wp_sa_usermeta` VALUES("148", "5", "rich_editing", "true");
INSERT INTO `wp_sa_usermeta` VALUES("149", "5", "syntax_highlighting", "true");
INSERT INTO `wp_sa_usermeta` VALUES("150", "5", "comment_shortcuts", "false");
INSERT INTO `wp_sa_usermeta` VALUES("151", "5", "admin_color", "fresh");
INSERT INTO `wp_sa_usermeta` VALUES("152", "5", "use_ssl", "0");
INSERT INTO `wp_sa_usermeta` VALUES("153", "5", "show_admin_bar_front", "true");
INSERT INTO `wp_sa_usermeta` VALUES("154", "5", "locale", "");
INSERT INTO `wp_sa_usermeta` VALUES("155", "5", "wp_sa_capabilities", "a:1:{s:6:\"seller\";b:1;}");
INSERT INTO `wp_sa_usermeta` VALUES("156", "5", "wp_sa_user_level", "0");
INSERT INTO `wp_sa_usermeta` VALUES("157", "5", "dokan_enable_selling", "yes");
INSERT INTO `wp_sa_usermeta` VALUES("158", "5", "last_update", "1689056636");
INSERT INTO `wp_sa_usermeta` VALUES("159", "5", "dokan_profile_settings", "a:23:{s:10:\"store_name\";s:27:\"موبایل پارسیان\";s:6:\"social\";a:7:{s:2:\"fb\";s:0:\"\";s:7:\"youtube\";s:0:\"\";s:7:\"twitter\";s:0:\"\";s:8:\"linkedin\";s:0:\"\";s:9:\"pinterest\";s:0:\"\";s:9:\"instagram\";s:0:\"\";s:6:\"flickr\";s:0:\"\";}s:7:\"payment\";a:2:{s:4:\"bank\";a:8:{s:7:\"ac_name\";s:0:\"\";s:7:\"ac_type\";s:0:\"\";s:9:\"ac_number\";s:0:\"\";s:9:\"bank_name\";s:0:\"\";s:9:\"bank_addr\";s:0:\"\";s:14:\"routing_number\";s:0:\"\";s:4:\"iban\";s:0:\"\";s:5:\"swift\";s:0:\"\";}s:6:\"paypal\";a:1:{s:5:\"email\";s:0:\"\";}}s:5:\"phone\";s:0:\"\";s:10:\"show_email\";s:2:\"no\";s:7:\"address\";a:6:{s:8:\"street_1\";s:13:\"کوچه دو\";s:8:\"street_2\";s:17:\"خیابان یک\";s:4:\"city\";s:6:\"يزد\";s:3:\"zip\";s:1:\"1\";s:7:\"country\";s:2:\"IR\";s:5:\"state\";s:0:\"\";}s:8:\"location\";s:0:\"\";s:6:\"banner\";i:0;s:4:\"icon\";s:0:\"\";s:8:\"gravatar\";s:4:\"1117\";s:14:\"show_more_ptab\";s:3:\"yes\";s:9:\"store_ppp\";i:12;s:10:\"enable_tnc\";s:3:\"off\";s:9:\"store_tnc\";s:0:\"\";s:23:\"show_min_order_discount\";s:0:\"\";s:9:\"store_seo\";a:0:{}s:24:\"dokan_store_time_enabled\";s:2:\"no\";s:23:\"dokan_store_open_notice\";s:0:\"\";s:24:\"dokan_store_close_notice\";s:0:\"\";s:16:\"dokan_store_time\";a:0:{}s:18:\"profile_completion\";a:7:{s:14:\"closed_by_user\";b:0;s:8:\"gravatar\";i:15;s:10:\"store_name\";i:10;s:7:\"address\";i:10;s:8:\"progress\";i:35;s:9:\"next_todo\";s:10:\"banner_val\";s:13:\"progress_vals\";a:7:{s:10:\"banner_val\";i:15;s:19:\"profile_picture_val\";i:15;s:14:\"store_name_val\";i:10;s:11:\"address_val\";i:10;s:9:\"phone_val\";i:10;s:18:\"payment_method_val\";i:30;s:10:\"social_val\";a:4:{s:2:\"fb\";i:4;s:7:\"twitter\";i:2;s:7:\"youtube\";i:2;s:8:\"linkedin\";i:2;}}}s:28:\"setting_minimum_order_amount\";s:0:\"\";s:24:\"setting_order_percentage\";s:0:\"\";}");
INSERT INTO `wp_sa_usermeta` VALUES("160", "5", "dokan_store_name", "موبایل پارسیان");
INSERT INTO `wp_sa_usermeta` VALUES("161", "6", "nickname", "saller-6");
INSERT INTO `wp_sa_usermeta` VALUES("162", "6", "first_name", "شماره 6");
INSERT INTO `wp_sa_usermeta` VALUES("163", "6", "last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("164", "6", "description", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است");
INSERT INTO `wp_sa_usermeta` VALUES("165", "6", "rich_editing", "true");
INSERT INTO `wp_sa_usermeta` VALUES("166", "6", "syntax_highlighting", "true");
INSERT INTO `wp_sa_usermeta` VALUES("167", "6", "comment_shortcuts", "false");
INSERT INTO `wp_sa_usermeta` VALUES("168", "6", "admin_color", "fresh");
INSERT INTO `wp_sa_usermeta` VALUES("169", "6", "use_ssl", "0");
INSERT INTO `wp_sa_usermeta` VALUES("170", "6", "show_admin_bar_front", "true");
INSERT INTO `wp_sa_usermeta` VALUES("171", "6", "locale", "");
INSERT INTO `wp_sa_usermeta` VALUES("172", "6", "wp_sa_capabilities", "a:1:{s:6:\"seller\";b:1;}");
INSERT INTO `wp_sa_usermeta` VALUES("173", "6", "wp_sa_user_level", "0");
INSERT INTO `wp_sa_usermeta` VALUES("174", "6", "dokan_enable_selling", "yes");
INSERT INTO `wp_sa_usermeta` VALUES("175", "6", "last_update", "1689056641");
INSERT INTO `wp_sa_usermeta` VALUES("176", "6", "dokan_profile_settings", "a:23:{s:10:\"store_name\";s:21:\"کورش آنلاین\";s:6:\"social\";a:7:{s:2:\"fb\";s:0:\"\";s:7:\"youtube\";s:0:\"\";s:7:\"twitter\";s:0:\"\";s:8:\"linkedin\";s:0:\"\";s:9:\"pinterest\";s:0:\"\";s:9:\"instagram\";s:0:\"\";s:6:\"flickr\";s:0:\"\";}s:7:\"payment\";a:2:{s:4:\"bank\";a:8:{s:7:\"ac_name\";s:0:\"\";s:7:\"ac_type\";s:0:\"\";s:9:\"ac_number\";s:0:\"\";s:9:\"bank_name\";s:0:\"\";s:9:\"bank_addr\";s:0:\"\";s:14:\"routing_number\";s:0:\"\";s:4:\"iban\";s:0:\"\";s:5:\"swift\";s:0:\"\";}s:6:\"paypal\";a:1:{s:5:\"email\";s:0:\"\";}}s:5:\"phone\";s:0:\"\";s:10:\"show_email\";s:2:\"no\";s:7:\"address\";a:6:{s:8:\"street_1\";s:10:\"کوچه 2\";s:8:\"street_2\";s:14:\"خیابان 1\";s:4:\"city\";s:8:\"ساری\";s:3:\"zip\";s:1:\"5\";s:7:\"country\";s:2:\"IR\";s:5:\"state\";s:3:\"MZN\";}s:8:\"location\";s:0:\"\";s:6:\"banner\";i:0;s:4:\"icon\";s:0:\"\";s:8:\"gravatar\";s:4:\"1118\";s:14:\"show_more_ptab\";s:3:\"yes\";s:9:\"store_ppp\";i:12;s:10:\"enable_tnc\";s:3:\"off\";s:9:\"store_tnc\";s:0:\"\";s:23:\"show_min_order_discount\";s:0:\"\";s:9:\"store_seo\";a:0:{}s:24:\"dokan_store_time_enabled\";s:2:\"no\";s:23:\"dokan_store_open_notice\";s:0:\"\";s:24:\"dokan_store_close_notice\";s:0:\"\";s:16:\"dokan_store_time\";a:0:{}s:18:\"profile_completion\";a:7:{s:14:\"closed_by_user\";b:0;s:8:\"gravatar\";i:15;s:10:\"store_name\";i:10;s:7:\"address\";i:10;s:8:\"progress\";i:35;s:9:\"next_todo\";s:10:\"banner_val\";s:13:\"progress_vals\";a:7:{s:10:\"banner_val\";i:15;s:19:\"profile_picture_val\";i:15;s:14:\"store_name_val\";i:10;s:11:\"address_val\";i:10;s:9:\"phone_val\";i:10;s:18:\"payment_method_val\";i:30;s:10:\"social_val\";a:4:{s:2:\"fb\";i:4;s:7:\"twitter\";i:2;s:7:\"youtube\";i:2;s:8:\"linkedin\";i:2;}}}s:28:\"setting_minimum_order_amount\";s:0:\"\";s:24:\"setting_order_percentage\";s:0:\"\";}");
INSERT INTO `wp_sa_usermeta` VALUES("177", "6", "dokan_store_name", "کورش آنلاین");
INSERT INTO `wp_sa_usermeta` VALUES("178", "4", "dokan_feature_seller", "no");
INSERT INTO `wp_sa_usermeta` VALUES("179", "4", "dokan_publishing", "no");
INSERT INTO `wp_sa_usermeta` VALUES("180", "4", "dokan_admin_percentage_type", "flat");
INSERT INTO `wp_sa_usermeta` VALUES("181", "4", "dokan_admin_percentage", "");
INSERT INTO `wp_sa_usermeta` VALUES("185", "1", "wc_last_active", "1716768000");
INSERT INTO `wp_sa_usermeta` VALUES("187", "1", "_woocommerce_tracks_anon_id", "woo:9NETm06qpN5cyMkWgQeHBD+a");
INSERT INTO `wp_sa_usermeta` VALUES("211", "1", "elementor_introduction", "a:4:{s:27:\"ai-get-started-announcement\";b:1;s:20:\"globals_introduction\";b:1;s:13:\"popupSettings\";b:1;s:6:\"e-apps\";b:1;}");
INSERT INTO `wp_sa_usermeta` VALUES("236", "1", "wp_sa_user-settings", "libraryContent=browse&editor=tinymce&posts_list_mode=list");
INSERT INTO `wp_sa_usermeta` VALUES("237", "1", "wp_sa_user-settings-time", "1697005154");
INSERT INTO `wp_sa_usermeta` VALUES("238", "1", "meta-box-order_product", "a:3:{s:4:\"side\";s:84:\"submitdiv,postimagediv,woocommerce-product-images,product_catdiv,tagsdiv-product_tag\";s:6:\"normal\";s:55:\"woocommerce-product-data,postcustom,slugdiv,postexcerpt\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_sa_usermeta` VALUES("291", "1", "elementor_preferences", "a:1:{s:20:\"show_hidden_elements\";s:0:\"\";}");
INSERT INTO `wp_sa_usermeta` VALUES("309", "1", "closedpostboxes_dashboard", "a:0:{}");
INSERT INTO `wp_sa_usermeta` VALUES("310", "1", "metaboxhidden_dashboard", "a:9:{i:0;s:20:\"e-dashboard-overview\";i:1;s:21:\"dashboard_site_health\";i:2;s:19:\"dashboard_right_now\";i:3;s:18:\"dashboard_activity\";i:4;s:27:\"duplicator_dashboard_widget\";i:5;s:36:\"woocommerce_dashboard_recent_reviews\";i:6;s:28:\"woocommerce_dashboard_status\";i:7;s:21:\"dashboard_quick_press\";i:8;s:17:\"dashboard_primary\";}");
INSERT INTO `wp_sa_usermeta` VALUES("373", "1", "nav_menu_recently_edited", "50");
INSERT INTO `wp_sa_usermeta` VALUES("374", "1", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_sa_usermeta` VALUES("375", "1", "metaboxhidden_nav-menus", "a:6:{i:0;s:28:\"add-post-type-e-landing-page\";i:1;s:21:\"add-post-type-product\";i:2;s:12:\"add-post_tag\";i:3;s:15:\"add-product_cat\";i:4;s:15:\"add-product_tag\";i:5;s:18:\"add-store_category\";}");
INSERT INTO `wp_sa_usermeta` VALUES("376", "1", "wp_sa_persisted_preferences", "a:2:{s:14:\"core/edit-post\";a:2:{s:26:\"isComplementaryAreaVisible\";b:1;s:12:\"welcomeGuide\";b:0;}s:9:\"_modified\";s:24:\"2023-07-08T11:50:28.866Z\";}");
INSERT INTO `wp_sa_usermeta` VALUES("449", "1", "billing_first_name", "تست");
INSERT INTO `wp_sa_usermeta` VALUES("450", "1", "billing_last_name", "تستی");
INSERT INTO `wp_sa_usermeta` VALUES("451", "1", "billing_address_1", "مهربانان");
INSERT INTO `wp_sa_usermeta` VALUES("452", "1", "billing_city", "یزد");
INSERT INTO `wp_sa_usermeta` VALUES("453", "1", "billing_state", "YZD");
INSERT INTO `wp_sa_usermeta` VALUES("454", "1", "billing_postcode", "1111111");
INSERT INTO `wp_sa_usermeta` VALUES("455", "1", "billing_country", "IR");
INSERT INTO `wp_sa_usermeta` VALUES("456", "1", "billing_email", "designer@abzarwp.com");
INSERT INTO `wp_sa_usermeta` VALUES("457", "1", "billing_phone", "3165454512");
INSERT INTO `wp_sa_usermeta` VALUES("458", "1", "shipping_first_name", "تست");
INSERT INTO `wp_sa_usermeta` VALUES("459", "1", "shipping_last_name", "تستی");
INSERT INTO `wp_sa_usermeta` VALUES("460", "1", "shipping_address_1", "مهربانان");
INSERT INTO `wp_sa_usermeta` VALUES("461", "1", "shipping_city", "یزد");
INSERT INTO `wp_sa_usermeta` VALUES("462", "1", "shipping_state", "YZD");
INSERT INTO `wp_sa_usermeta` VALUES("463", "1", "shipping_postcode", "1111111");
INSERT INTO `wp_sa_usermeta` VALUES("464", "1", "shipping_country", "IR");
INSERT INTO `wp_sa_usermeta` VALUES("465", "1", "shipping_method", "a:1:{i:0;s:15:\"free_shipping:1\";}");
INSERT INTO `wp_sa_usermeta` VALUES("466", "1", "paying_customer", "1");
INSERT INTO `wp_sa_usermeta` VALUES("470", "4", "dokan_admin_additional_fee", "");
INSERT INTO `wp_sa_usermeta` VALUES("471", "4", "withdraw_date_limit", "");
INSERT INTO `wp_sa_usermeta` VALUES("472", "4", "billing_first_name", "شماره 6");
INSERT INTO `wp_sa_usermeta` VALUES("473", "4", "billing_last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("474", "4", "billing_company", "");
INSERT INTO `wp_sa_usermeta` VALUES("475", "4", "billing_address_1", "");
INSERT INTO `wp_sa_usermeta` VALUES("476", "4", "billing_address_2", "");
INSERT INTO `wp_sa_usermeta` VALUES("477", "4", "billing_city", "");
INSERT INTO `wp_sa_usermeta` VALUES("478", "4", "billing_postcode", "");
INSERT INTO `wp_sa_usermeta` VALUES("479", "4", "billing_country", "");
INSERT INTO `wp_sa_usermeta` VALUES("480", "4", "billing_state", "");
INSERT INTO `wp_sa_usermeta` VALUES("481", "4", "billing_phone", "");
INSERT INTO `wp_sa_usermeta` VALUES("482", "4", "billing_email", "avajang@gmail.com");
INSERT INTO `wp_sa_usermeta` VALUES("483", "4", "shipping_first_name", "");
INSERT INTO `wp_sa_usermeta` VALUES("484", "4", "shipping_last_name", "");
INSERT INTO `wp_sa_usermeta` VALUES("485", "4", "shipping_company", "");
INSERT INTO `wp_sa_usermeta` VALUES("486", "4", "shipping_address_1", "");
INSERT INTO `wp_sa_usermeta` VALUES("487", "4", "shipping_address_2", "");
INSERT INTO `wp_sa_usermeta` VALUES("488", "4", "shipping_city", "");
INSERT INTO `wp_sa_usermeta` VALUES("489", "4", "shipping_postcode", "");
INSERT INTO `wp_sa_usermeta` VALUES("490", "4", "shipping_country", "");
INSERT INTO `wp_sa_usermeta` VALUES("491", "4", "shipping_state", "");
INSERT INTO `wp_sa_usermeta` VALUES("492", "4", "shipping_phone", "");
INSERT INTO `wp_sa_usermeta` VALUES("493", "4", "duration-of-membership", "11");
INSERT INTO `wp_sa_usermeta` VALUES("494", "4", "privilege-seller", "4.1");
INSERT INTO `wp_sa_usermeta` VALUES("495", "4", "return-rate", "11");
INSERT INTO `wp_sa_usermeta` VALUES("496", "4", "successful-submission", "5");
INSERT INTO `wp_sa_usermeta` VALUES("497", "4", "cancel-the-order", "2");
INSERT INTO `wp_sa_usermeta` VALUES("498", "5", "dokan_publishing", "no");
INSERT INTO `wp_sa_usermeta` VALUES("499", "5", "dokan_admin_percentage", "");
INSERT INTO `wp_sa_usermeta` VALUES("500", "5", "dokan_admin_percentage_type", "flat");
INSERT INTO `wp_sa_usermeta` VALUES("501", "5", "dokan_feature_seller", "no");
INSERT INTO `wp_sa_usermeta` VALUES("502", "5", "dokan_admin_additional_fee", "");
INSERT INTO `wp_sa_usermeta` VALUES("503", "5", "withdraw_date_limit", "");
INSERT INTO `wp_sa_usermeta` VALUES("504", "5", "billing_first_name", "شماره 5");
INSERT INTO `wp_sa_usermeta` VALUES("505", "5", "billing_last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("506", "5", "billing_company", "");
INSERT INTO `wp_sa_usermeta` VALUES("507", "5", "billing_address_1", "");
INSERT INTO `wp_sa_usermeta` VALUES("508", "5", "billing_address_2", "");
INSERT INTO `wp_sa_usermeta` VALUES("509", "5", "billing_city", "");
INSERT INTO `wp_sa_usermeta` VALUES("510", "5", "billing_postcode", "");
INSERT INTO `wp_sa_usermeta` VALUES("511", "5", "billing_country", "");
INSERT INTO `wp_sa_usermeta` VALUES("512", "5", "billing_state", "");
INSERT INTO `wp_sa_usermeta` VALUES("513", "5", "billing_phone", "");
INSERT INTO `wp_sa_usermeta` VALUES("514", "5", "billing_email", "parsian@gmail.com");
INSERT INTO `wp_sa_usermeta` VALUES("515", "5", "shipping_first_name", "");
INSERT INTO `wp_sa_usermeta` VALUES("516", "5", "shipping_last_name", "");
INSERT INTO `wp_sa_usermeta` VALUES("517", "5", "shipping_company", "");
INSERT INTO `wp_sa_usermeta` VALUES("518", "5", "shipping_address_1", "");
INSERT INTO `wp_sa_usermeta` VALUES("519", "5", "shipping_address_2", "");
INSERT INTO `wp_sa_usermeta` VALUES("520", "5", "shipping_city", "");
INSERT INTO `wp_sa_usermeta` VALUES("521", "5", "shipping_postcode", "");
INSERT INTO `wp_sa_usermeta` VALUES("522", "5", "shipping_country", "");
INSERT INTO `wp_sa_usermeta` VALUES("523", "5", "shipping_state", "");
INSERT INTO `wp_sa_usermeta` VALUES("524", "5", "shipping_phone", "");
INSERT INTO `wp_sa_usermeta` VALUES("525", "5", "duration-of-membership", "10");
INSERT INTO `wp_sa_usermeta` VALUES("526", "5", "privilege-seller", "4");
INSERT INTO `wp_sa_usermeta` VALUES("527", "5", "return-rate", "18");
INSERT INTO `wp_sa_usermeta` VALUES("528", "5", "successful-submission", "13");
INSERT INTO `wp_sa_usermeta` VALUES("529", "5", "cancel-the-order", "3");
INSERT INTO `wp_sa_usermeta` VALUES("530", "6", "dokan_publishing", "no");
INSERT INTO `wp_sa_usermeta` VALUES("531", "6", "dokan_admin_percentage", "");
INSERT INTO `wp_sa_usermeta` VALUES("532", "6", "dokan_admin_percentage_type", "flat");
INSERT INTO `wp_sa_usermeta` VALUES("533", "6", "dokan_feature_seller", "no");
INSERT INTO `wp_sa_usermeta` VALUES("534", "6", "dokan_admin_additional_fee", "");
INSERT INTO `wp_sa_usermeta` VALUES("535", "6", "withdraw_date_limit", "");
INSERT INTO `wp_sa_usermeta` VALUES("536", "6", "billing_first_name", "شماره 6");
INSERT INTO `wp_sa_usermeta` VALUES("537", "6", "billing_last_name", "فروشنده");
INSERT INTO `wp_sa_usermeta` VALUES("538", "6", "billing_company", "");
INSERT INTO `wp_sa_usermeta` VALUES("539", "6", "billing_address_1", "");
INSERT INTO `wp_sa_usermeta` VALUES("540", "6", "billing_address_2", "");
INSERT INTO `wp_sa_usermeta` VALUES("541", "6", "billing_city", "");
INSERT INTO `wp_sa_usermeta` VALUES("542", "6", "billing_postcode", "");
INSERT INTO `wp_sa_usermeta` VALUES("543", "6", "billing_country", "");
INSERT INTO `wp_sa_usermeta` VALUES("544", "6", "billing_state", "");
INSERT INTO `wp_sa_usermeta` VALUES("545", "6", "billing_phone", "");
INSERT INTO `wp_sa_usermeta` VALUES("546", "6", "billing_email", "cyrous@gmail.com");
INSERT INTO `wp_sa_usermeta` VALUES("547", "6", "shipping_first_name", "");
INSERT INTO `wp_sa_usermeta` VALUES("548", "6", "shipping_last_name", "");
INSERT INTO `wp_sa_usermeta` VALUES("549", "6", "shipping_company", "");
INSERT INTO `wp_sa_usermeta` VALUES("550", "6", "shipping_address_1", "");
INSERT INTO `wp_sa_usermeta` VALUES("551", "6", "shipping_address_2", "");
INSERT INTO `wp_sa_usermeta` VALUES("552", "6", "shipping_city", "");
INSERT INTO `wp_sa_usermeta` VALUES("553", "6", "shipping_postcode", "");
INSERT INTO `wp_sa_usermeta` VALUES("554", "6", "shipping_country", "");
INSERT INTO `wp_sa_usermeta` VALUES("555", "6", "shipping_state", "");
INSERT INTO `wp_sa_usermeta` VALUES("556", "6", "shipping_phone", "");
INSERT INTO `wp_sa_usermeta` VALUES("557", "6", "duration-of-membership", "9");
INSERT INTO `wp_sa_usermeta` VALUES("558", "6", "privilege-seller", "4.1");
INSERT INTO `wp_sa_usermeta` VALUES("559", "6", "return-rate", "13");
INSERT INTO `wp_sa_usermeta` VALUES("560", "6", "successful-submission", "14");
INSERT INTO `wp_sa_usermeta` VALUES("561", "6", "cancel-the-order", "5");
INSERT INTO `wp_sa_usermeta` VALUES("565", "1", "_woocommerce_persistent_cart_1", "a:1:{s:4:\"cart\";a:0:{}}");
INSERT INTO `wp_sa_usermeta` VALUES("1603", "1", "woocommerce_admin_variable_product_tour_shown", "\"yes\"");
INSERT INTO `wp_sa_usermeta` VALUES("2531", "1", "users_per_page", "100");

/* INSERT TABLE DATA: wp_sa_users */
INSERT INTO `wp_sa_users` VALUES("1", "designer", "$P$BHTwN9UCG8PypF6Lh8uAVR9CtxUJhz/", "designer", "designer@abzarwp.com", "https://halochin.ir/multivendor", "2023-07-02 10:04:39", "", "0", "designer");
INSERT INTO `wp_sa_users` VALUES("4", "avajang", "$P$B.8elUBfeqmAC3Qwih3RyX2b2dln4S.", "avajang", "avajang@gmail.com", "", "2023-07-05 10:56:10", "1688554570:$P$BvHQKzG8FZwXbmnqjhctEh.nrrTNq.0", "0", "شماره 6 فروشنده");
INSERT INTO `wp_sa_users` VALUES("5", "saller-5", "$P$B913f5GajY47miGHtMHP3HQLWMn.ls0", "saller-5", "parsian@gmail.com", "", "2023-07-05 12:16:34", "1688559394:$P$BeR2XfQzK/lvYqh6p5PcTRiH6DE6U/0", "0", "شماره 5 فروشنده");
INSERT INTO `wp_sa_users` VALUES("6", "saller-6", "$P$BcM8hld2ryDCxSgOCL56Bp8g0wN79/1", "saller-6", "cyrous@gmail.com", "", "2023-07-05 12:25:04", "1688559905:$P$Bco4d3eWm9NzHFyEFi1UF7ATDQ4jLv0", "0", "شماره 6 فروشنده");

/* INSERT TABLE DATA: wp_sa_wc_admin_note_actions */
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("1", "1", "notify-refund-returns-page", "ویرایش برگه", "https://halochin.ir/multivendor/wp-admin/post.php?post=18&action=edit", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("89", "64", "connect", "اتصال", "?page=wc-addons&section=helper", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("525", "65", "visit-the-theme-marketplace", "مشاهده قالب فروشگاهی", "https://woocommerce.com/product-category/themes/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("612", "63", "tiktok-spc_june-2023", "Optimize my advertising", "https://woocommerce.com/products/tiktok-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=tiktok-spc_june-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("613", "66", "day-after-first-product", "بیشتر بدانید", "https://woocommerce.com/document/woocommerce-customizer/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("615", "68", "learn-more", "بیشتر بدانید", "https://woocommerce.com/mobile/?utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("1138", "72", "browse", "مرور", "https://woocommerce.com/success-stories/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("1673", "73", "view-payment-gateways", "بیشتر بدانید", "https://woocommerce.com/product-category/woocommerce-extensions/payment-gateways/?utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("2119", "74", "tracking-opt-in", "ردیابی مصرف را فعال نمائید", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("4614", "2", "browse_extensions", "Browse extensions", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-addons", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("4732", "26", "wc-admin-wisepad3", "Grow my business offline", "https://woocommerce.com/products/wisepad3-card-reader/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wisepad3", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("5360", "29", "google_listings_ads_custom_attribute_mapping_q4_2022", "Learn more", "https://woocommerce.com/document/google-listings-and-ads/?utm_source=inbox_note&utm_medium=product&utm_campaign=google_listings_ads_custom_attribute_mapping_q4_2022#attribute-mapping", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("6204", "55", "woocommerce_hpos_1st_notification_q2_2023", "Learn more about HPOS", "https://woocommerce.com/posts/platform-update-high-performance-order-storage-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=woocommerce_hpos_1st_notification_q2_2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("7017", "76", "square_button_q3_2023", "Get started with Square", "https://woocommerce.com/products/square/?utm_source=inbox_note&utm_medium=product&utm_campaign=square_button_q3_2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("7378", "77", "wc-admin-woopayments-rebrand", "Learn more about WooPayments", "https://woocommerce.com/payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-woopayments-rebrand", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("7478", "82", "tiktok-apac-webinar-2023", "RSVP today", "https://unlockingtiktokwithwoocommerce.splashthat.com/", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("7947", "84", "avalara_q3-2023_withAvaTax", "Learn more about VAT settings", "https://woocommerce.com/document/avalara-avatax/?utm_source=inbox_note&utm_medium=product&utm_campaign=avalara_q3-2023_withAvaTax#section-15", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8043", "85", "google_uxstudy_recruitment_q3-2023", "Take the survey", "https://eachandother.fra1.qualtrics.com/jfe/form/SV_0W118szcJOtIkzc", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8404", "57", "wc-admin-wcpay-bulgaria-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/bulgaria/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-bulgaria-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8405", "58", "wc-admin-wcpay-czechia-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/czechia/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-czechia-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8406", "59", "wc-admin-wcpay-croatia-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/croatia/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-croatia-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8407", "60", "wc-admin-wcpay-hungary-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/hungary/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-hungary-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8408", "61", "wc-admin-wcpay-romania-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/romania/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-romania-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("8409", "62", "wc-admin-wcpay-sweden-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/sweden/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-sweden-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("9255", "36", "tap_to_pay_iphone_q2_2023_with_wcpay", "Set up Tap to Pay on iPhone", "https://woocommerce.com/document/woopayments/in-person-payments/tap-to-pay-iphone?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_with_wcpay", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("9806", "49", "ipp_refresh_q2_2023_us_inbox_notification", "Grow my business on the go", "https://woocommerce.com/in-person-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=ipp_refresh_q2_2023_us_inbox_notification", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("9807", "50", "ipp_refresh_q2_2023_ca_inbox_notification", "Grow my business on the go", "https://woocommerce.com/in-person-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=ipp_refresh_q2_2023_ca_inbox_notification", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("10433", "87", "tiktok_shopGTM_q3-2023_hasTikTok", "Learn more", "https://woocommerce.com/document/tiktok-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=tiktok_shopGTM_q3-2023_hasTikTok", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("10520", "88", "tiktok_shopGTM_q3-2023_noTikTok", "Learn more", "https://woocommerce.com/products/tiktok-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=tiktok_shopGTM_q3-2023_noTikTok", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("11039", "89", "klaviyo_q3_2023", "Integrate in minutes", "https://woocommerce.com/products/klaviyo-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=klaviyo_q3_2023", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("12372", "93", "learn-more", "بیشتر بدانید", "https://woocommerce.com/mobile/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("12448", "90", "wc_admin_BNPL_WCPay_Q3_2023", "Enable buy now, pay later", "https://woocommerce.com/?post_type=documentation&p=18734002212927&preview=true&utm_source=inbox_note&utm_medium=product&utm_campaign=wc_admin_BNPL_WCPay_Q3_2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("12449", "91", "wc_admin_afterpay_WCPay_Q3_2023", "Enable buy now, pay later", "https://woocommerce.com/?post_type=documentation&p=18734002212927&preview=true&utm_source=inbox_note&utm_medium=product&utm_campaign=wc_admin_afterpay_WCPay_Q3_2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("13431", "94", "Klarna_Enable_CTA_10OCT23", "Enable Klarna", "https://halochin.ir/multivendor/wp-admin/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments/#payment-methods", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("13432", "94", "Klarna_Update_CTA_10OCT23", "Update WooPayments", "https://halochin.ir/multivendor/wp-admin/wp-admin/plugins.php?s=woocommercepayments&plugin_status=all", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("15088", "95", "wc_com_in_person_payments_card_sale_US_inbox_note_q4_23", "Save 35%", "https://woocommerce.com/products/m2-card-reader/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_com_in_person_payments_card_sale_US_inbox_note_q4_23", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("15089", "96", "wc_com_in_person_payments_card_sale_UK_inbox_note_q4_23", "Save 35%", "https://woocommerce.com/products/wisepad3-card-reader/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_com_in_person_payments_card_sale_UK_inbox_note_q4_23", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("15090", "97", "wc_com_in_person_payments_card_sale_CA_inbox_note_q4_23", "Save 35%", "https://woocommerce.com/products/wisepad3-card-reader/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_com_in_person_payments_card_sale_CA_inbox_note_q4_23", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("15184", "99", "wc_admin_WooPay_Q4_2023", "Get started today", "https://halochin.ir/multivendor/wp-admin/https://woocommerce.com/document/woopay-merchant-documentation/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_admin_WooPay_Q4_2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("15850", "101", "paypal_paylater_g2_q4_22", "Install PayPal Payments", "https://woo.com/products/woocommerce-paypal-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=paypal_paylater_g2_q4_22", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("16183", "100", "wc_admin_WooPay_Oct30_2023", "Get started today", "https://woo.com/document/woopay-merchant-documentation/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_admin_WooPay_Oct30_2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("19556", "102", "tap_to_pay_iphone_q4_2023_no_woopayments", "Simplify my payments", "https://woo.com/products/woopayments/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q4_2023_no_woopayments", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("19557", "103", "tap_to_pay_iphone_q4_2023_with_woopayments", "Set up Tap to Pay on iPhone", "https://woo.com/document/woopayments/in-person-payments/tap-to-pay-iphone/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q4_2023_with_woopayments", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("21994", "67", "learn-more", "بیشتر بدانید", "https://woo.com/posts/pre-launch-checklist-the-essentials/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("21995", "105", "learn-more", "بیشتر بدانید", "https://woo.com/mobile/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("26129", "109", "custom_order_attribution_inbox_q1_2024", "Find more clarity", "https://woo.com/document/order-attribution-tracking/?utm_source=inbox_note&utm_medium=product&utm_campaign=custom_order_attribution_inbox_q1_2024", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("27978", "27", "learn-more", "Find out more", "https://developer.woocommerce.com/2022/08/09/woocommerce-payments-3-9-4-4-5-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("27979", "27", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("27980", "28", "learn-more", "Find out more", "https://developer.woocommerce.com/2022/08/09/woocommerce-payments-3-9-4-4-5-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("27981", "28", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("28965", "110", "wc_admin_UKpricingchange_WCPay_Q1_2024", "See related fees for each country", "https://woo.com/document/woopayments/fees-and-debits/fees/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_admin_UKpricingchange_WCPay_Q1_2024#countries-in-europe", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("29328", "107", "amazon_pay_ext-link_q1-24", "Register your account now", "https://eu.amazonpayments.com/2024-uk-woopricepromoregistration?utm_campaign=woo_price_promo&utm_medium=EM&utm_source=direct&utm_content=cta&utm_creative=&ld=EMUKAPA-woo_price_promo-direct-24Q1", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("29511", "112", "learn-more", "بیشتر بدانید", "https://woo.com/mobile/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("31821", "51", "woocommerce-WCStripe-May-2023-updated-needed-Plugin-Settings", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("31822", "51", "woocommerce-WCStripe-May-2023-updated-needed-Plugin-Settings-dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("32001", "52", "woocommerce-WCPayments-June-2023-updated-needed-Plugin-Settings", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("32002", "52", "woocommerce-WCPayments-June-2023-updated-needed-Dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("32017", "80", "woocommerce-WooPayments-Aug-2023-update-needed", "See available updates", "https://halochin.ir/multivendor/wp-admin/update-core.php?", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("32018", "80", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("33134", "111", "airwallex_q1_2024", "Get started with Airwallex", "https://woocommerce.com/products/airwallexpayments/?utm_source=inbox_note&utm_medium=product&utm_campaign=airwallex_q1_2024", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34849", "3", "wayflyer_bnpl_q4_2021", "Level up with funding", "https://woocommerce.com/products/wayflyer/?utm_source=inbox_note&utm_medium=product&utm_campaign=wayflyer_bnpl_q4_2021", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34850", "4", "wc_shipping_mobile_app_usps_q4_2021", "Get WooCommerce Shipping", "https://woocommerce.com/woocommerce-shipping/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_shipping_mobile_app_usps_q4_2021", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34851", "5", "learn-more", "Learn more", "https://docs.woocommerce.com/document/woocommerce-shipping-and-tax/?utm_source=inbox", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34852", "6", "learn-more", "Learn more", "https://woocommerce.com/posts/ecommerce-shipping-solutions-guide/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34853", "7", "optimizing-the-checkout-flow", "Learn more", "https://woocommerce.com/posts/optimizing-woocommerce-checkout?utm_source=inbox_note&utm_medium=product&utm_campaign=optimizing-the-checkout-flow", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34854", "8", "qualitative-feedback-from-new-users", "Share feedback", "https://automattic.survey.fm/wc-pay-new", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34855", "9", "share-feedback", "Share feedback", "http://automattic.survey.fm/paypal-feedback", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34856", "10", "get-started", "Get started", "https://woocommerce.com/products/google-listings-and-ads?utm_source=inbox_note&utm_medium=product&utm_campaign=get-started", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34857", "11", "update-wc-subscriptions-3-0-15", "View latest version", "https://halochin.ir/multivendor/wp-admin/&page=wc-addons&section=helper", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34858", "12", "update-wc-core-5-4-0", "How to update WooCommerce", "https://docs.woocommerce.com/document/how-to-update-woocommerce/", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34859", "15", "ppxo-pps-install-paypal-payments-1", "View upgrade guide", "https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34860", "16", "ppxo-pps-install-paypal-payments-2", "View upgrade guide", "https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34861", "17", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34862", "17", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34863", "18", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34864", "18", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34865", "19", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34866", "19", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34867", "20", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34868", "20", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34869", "21", "share-feedback", "Share feedback", "https://automattic.survey.fm/store-management", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34870", "22", "learn-more", "Learn more", "https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34871", "22", "woocommerce-core-paypal-march-2022-dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34872", "23", "learn-more", "Learn more", "https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34873", "23", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34874", "24", "pinterest_03_2022_update", "Update Instructions", "https://woocommerce.com/document/pinterest-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=pinterest_03_2022_update#section-3", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34875", "25", "store_setup_survey_survey_q2_2022_share_your_thoughts", "Tell us how it’s going", "https://automattic.survey.fm/store-setup-survey-2022", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34876", "30", "needs-update-eway-payment-gateway-rin-action-button-2022-12-20", "See available updates", "https://halochin.ir/multivendor/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34877", "30", "needs-update-eway-payment-gateway-rin-dismiss-button-2022-12-20", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34878", "31", "updated-eway-payment-gateway-rin-action-button-2022-12-20", "See all updates", "https://halochin.ir/multivendor/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34879", "31", "updated-eway-payment-gateway-rin-dismiss-button-2022-12-20", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34880", "32", "share-navigation-survey-feedback", "Share feedback", "https://automattic.survey.fm/new-ecommerce-plan-navigation", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34881", "33", "woopay-beta-merchantrecruitment-activate-04MAY23", "Activate WooPay", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34882", "33", "woopay-beta-merchantrecruitment-activate-learnmore-04MAY23", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-activate-learnmore-04MAY23", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34883", "34", "woocommerce-wcpay-march-2023-update-needed-button", "See Blog Post", "https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34884", "34", "woocommerce-wcpay-march-2023-update-needed-dismiss-button", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34885", "35", "tap_to_pay_iphone_q2_2023_no_wcpay", "Simplify my payments", "https://woocommerce.com/products/woocommerce-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_no_wcpay", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34886", "37", "extension-settings", "See available updates", "https://halochin.ir/multivendor/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34887", "37", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34888", "38", "woopay-beta-merchantrecruitment-update-WCPay-04MAY23", "Update WooCommerce Payments", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34889", "38", "woopay-beta-merchantrecruitment-update-activate-04MAY23", "Activate WooPay", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34890", "39", "woopay-beta-existingmerchants-noaction-documentation-27APR23", "Documentation", "https://woocommerce.com/document/woopay-merchant-documentation/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-existingmerchants-noaction-documentation-27APR23", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34891", "40", "woopay-beta-existingmerchants-update-WCPay-27APR23", "Update WooCommerce Payments", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34892", "41", "woopay-beta-merchantrecruitment-short-activate-04MAY23", "Activate WooPay", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34893", "41", "woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34894", "42", "woopay-beta-merchantrecruitment-short-update-WCPay-04MAY23", "Update WooCommerce Payments", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34895", "42", "woopay-beta-merchantrecruitment-short-update-activate-04MAY23", "Activate WooPay", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34896", "43", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTA", "Activate WooPay Test A", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34897", "43", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34898", "44", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTB", "Activate WooPay Test B", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34899", "44", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34900", "45", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTC", "Activate WooPay Test C", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34901", "45", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34902", "46", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTD", "Activate WooPay Test D", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34903", "46", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34904", "47", "woopay-beta-merchantrecruitment-short-activate-button-09MAY23", "Activate WooPay", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34905", "47", "woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34906", "48", "woopay-beta-merchantrecruitment-short-update-WCPay-09MAY23", "Update WooCommerce Payments", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34907", "48", "woopay-beta-merchantrecruitment-short-update-activate-09MAY23", "Activate WooPay", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34908", "53", "woocommerce-WCSubscriptions-June-2023-updated-needed-Plugin-Settings", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34909", "53", "woocommerce-WCSubscriptions-June-2023-updated-needed-dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34910", "54", "woocommerce-WCReturnsWarranty-June-2023-updated-needed", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34911", "54", "woocommerce-WCReturnsWarranty-June-2023-updated-needed", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34912", "56", "woocommerce-WCOPC-June-2023-updated-needed", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34913", "56", "woocommerce-WCOPC-June-2023-updated-needed", "Dismiss", "https://halochin.ir/multivendor/wp-admin/#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34914", "70", "woocommerce-WCGC-July-2023-update-needed", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34915", "70", "woocommerce-WCGC-July-2023-update-needed", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34916", "71", "learn-more", "Learn more", "https://woocommerce.com/document/fedex/?utm_medium=product&utm_source=inbox_note&utm_campaign=learn-more#july-2023-api-outage", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34917", "75", "plugin-list", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34918", "75", "dismiss", "Dismiss", "https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-admin", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34919", "78", "woocommerce-WCStripe-Aug-2023-update-needed", "See available updates", "https://halochin.ir/multivendor/wp-admin/update-core.php?", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34920", "78", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34921", "79", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34922", "81", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34923", "83", "avalara_q3-2023_noAvaTax", "Automate my sales tax", "https://woocommerce.com/products/woocommerce-avatax/?utm_source=inbox_note&utm_medium=product&utm_campaign=avalara_q3-2023_noAvaTax", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34924", "86", "woo-activation-survey-blockers-survey-button-22AUG23", "Take our short survey", "https://woocommerce.survey.fm/getting-started-with-woo", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34925", "92", "woocommerce-usermeta-Sept2023-productvendors", "See available updates", "https://halochin.ir/multivendor/wp-admin/plugins.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34926", "92", "dismiss", "Dismiss", "https://halochin.ir/multivendor/wp-admin/#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34927", "98", "woocommerce-STRIPE-Oct-2023-update-needed", "See available updates", "https://halochin.ir/multivendor/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34928", "98", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34929", "104", "amazon-mcf-review-button-2023-12-07", "Leave a review", "https://woocommerce.com/products/woocommerce-amazon-fulfillment/?review&utm_source=inbox_note&utm_medium=product&utm_campaign=amazon-mcf-review-button-2023-12-07", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34930", "104", "amazon-mcf-support-button-2023-12-07", "Request support", "https://woocommerce.com/my-account/contact-support/?utm_source=inbox_note&utm_medium=product&utm_campaign=amazon-mcf-support-button-2023-12-07", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34931", "108", "view_docs", "Learn about Deposit schedules", "https://woocommerce.com/document/woopayments/deposits/deposit-schedule/?utm_source=inbox_note&utm_medium=product&utm_campaign=view_docs#available-funds", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34932", "113", "woocommerce-payfast-may-2024-update-needed-click", "See available updates", "https://halochin.ir/multivendor/wp-admin/update-core.php?", "unactioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34933", "113", "woocommerce-payfast-may-2024-update-needed-dismiss", "Dismiss", "https://halochin.ir/multivendor/wp-admin/#", "actioned", "", NULL, NULL);
INSERT INTO `wp_sa_wc_admin_note_actions` VALUES("34940", "106", "update-db_done", "متشکریم!", "https://halochin.ir/multivendor/wp-admin/admin.php?page=duplicator&tab=new3&wc-hide-notice=update", "actioned", "woocommerce_hide_notices_nonce", "woocommerce_hide_notices_nonce", "_wc_notice_nonce");

/* INSERT TABLE DATA: wp_sa_wc_admin_notes */
INSERT INTO `wp_sa_wc_admin_notes` VALUES("1", "wc-refund-returns-page", "info", "en_US", "برای افزایش اعتبار فروشگاه خود، صفحه سیاست بازپرداخت و بازگشت را تنظیم کنید.", "ما یک نمونه پیش‌نویس صفحه سیاست بازپرداخت و بازگشت برای شما ایجاد کرده‌ایم. لطفاً نگاه کنید و آن را به‌روز کنید تا متناسب با فروشگاه شما باشد.", "{}", "unactioned", "woocommerce-core", "2023-07-02 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("2", "new_in_app_marketplace_2021", "info", "en_US", "Customize your store with extensions", "Check out our NEW Extensions tab to see our favorite extensions for customizing your store, and discover the most popular extensions in the WooCommerce Marketplace.", "{}", "unactioned", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "1", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("3", "wayflyer_bnpl_q4_2021", "marketing", "en_US", "Grow your business with funding through Wayflyer", "Fast, flexible financing to boost cash flow and help your business grow – one fee, no interest rates, penalties, equity, or personal guarantees. Based on your store’s performance, Wayflyer provides funding and analytical insights to invest in your business.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("4", "wc_shipping_mobile_app_usps_q4_2021", "marketing", "en_US", "Print and manage your shipping labels with WooCommerce Shipping and the WooCommerce Mobile App", "Save time by printing, purchasing, refunding, and tracking shipping labels generated by <a href=\"https://woocommerce.com/woocommerce-shipping/\">WooCommerce Shipping</a> – all directly from your mobile device!", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("5", "woocommerce-services", "info", "en_US", "WooCommerce Shipping & Tax", "WooCommerce Shipping &amp; Tax helps get your store \"ready to sell\" as quickly as possible. You create your products. We take care of tax calculation, payment processing, and shipping label printing! Learn more about the extension that you just installed.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("6", "your-first-product", "info", "en_US", "Your first product", "That’s huge! You’re well on your way to building a successful online store — now it’s time to think about how you’ll fulfill your orders.<br /><br />Read our shipping guide to learn best practices and options for putting together your shipping strategy. And for WooCommerce stores in the United States, you can print discounted shipping labels via USPS with <a href=\"https://href.li/?https://woocommerce.com/shipping\" target=\"_blank\">WooCommerce Shipping</a>.", "{}", "unactioned", "woocommerce.com", "2023-07-03 10:27:54", NULL, "0", "plain", "", "0", "1", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("7", "wc-admin-optimizing-the-checkout-flow", "info", "en_US", "Optimizing the checkout flow", "It’s crucial to get your store’s checkout as smooth as possible to avoid losing sales. Let’s take a look at how you can optimize the checkout experience for your shoppers.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("8", "wc-payments-qualitative-feedback", "info", "en_US", "WooCommerce Payments setup - let us know what you think", "Congrats on enabling WooCommerce Payments for your store. Please share your feedback in this 2 minute survey to help us improve the setup process.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("9", "share-your-feedback-on-paypal", "info", "en_US", "Share your feedback on PayPal", "Share your feedback in this 2 minute survey about how we can make the process of accepting payments more useful for your store.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("10", "google_listings_and_ads_install", "marketing", "en_US", "Drive traffic and sales with Google", "Reach online shoppers to drive traffic and sales for your store by showcasing products across Google, for free or with ads.", "{}", "unactioned", "woocommerce.com", "2023-07-06 12:53:39", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("11", "wc-subscriptions-security-update-3-0-15", "info", "en_US", "WooCommerce Subscriptions security update!", "We recently released an important security update to WooCommerce Subscriptions. To ensure your site’s data is protected, please upgrade <strong>WooCommerce Subscriptions to version 3.0.15</strong> or later.<br /><br />Click the button below to view and update to the latest Subscriptions version, or log in to <a href=\"https://woocommerce.com/my-dashboard\">WooCommerce.com Dashboard</a> and navigate to your <strong>Downloads</strong> page.<br /><br />We recommend always using the latest version of WooCommerce Subscriptions, and other software running on your site, to ensure maximum security.<br /><br />If you have any questions we are here to help — just <a href=\"https://woocommerce.com/my-account/create-a-ticket/\">open a ticket</a>.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("12", "woocommerce-core-update-5-4-0", "info", "en_US", "Update to WooCommerce 5.4.1 now", "WooCommerce 5.4.1 addresses a checkout issue discovered in WooCommerce 5.4. We recommend upgrading to WooCommerce 5.4.1 as soon as possible.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("13", "wcpay-promo-2020-11", "marketing", "en_US", "wcpay-promo-2020-11", "wcpay-promo-2020-11", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("14", "wcpay-promo-2020-12", "marketing", "en_US", "wcpay-promo-2020-12", "wcpay-promo-2020-12", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("15", "ppxo-pps-upgrade-paypal-payments-1", "info", "en_US", "Get the latest PayPal extension for WooCommerce", "Heads up! There’s a new PayPal on the block!<br /><br />Now is a great time to upgrade to our latest <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal extension</a> to continue to receive support and updates with PayPal.<br /><br />Get access to a full suite of PayPal payment methods, extensive currency and country coverage, and pay later options with the all-new PayPal extension for WooCommerce.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("16", "ppxo-pps-upgrade-paypal-payments-2", "info", "en_US", "Upgrade your PayPal experience!", "Get access to a full suite of PayPal payment methods, extensive currency and country coverage, offer subscription and recurring payments, and the new PayPal pay later options.<br /><br />Start using our <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">latest PayPal today</a> to continue to receive support and updates.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("17", "woocommerce-core-sqli-july-2021-need-to-update", "update", "en_US", "Action required: Critical vulnerabilities in WooCommerce", "In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br />Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br /><br />For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("18", "woocommerce-blocks-sqli-july-2021-need-to-update", "update", "en_US", "Action required: Critical vulnerabilities in WooCommerce Blocks", "In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br />Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br /><br />For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("19", "woocommerce-core-sqli-july-2021-store-patched", "update", "en_US", "Solved: Critical vulnerabilities patched in WooCommerce", "In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br /><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("20", "woocommerce-blocks-sqli-july-2021-store-patched", "update", "en_US", "Solved: Critical vulnerabilities patched in WooCommerce Blocks", "In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br /><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("21", "habit-moment-survey", "marketing", "en_US", "We’re all ears! Share your experience so far with WooCommerce", "We’d love your input to shape the future of WooCommerce together. Feel free to share any feedback, ideas or suggestions that you have.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("22", "woocommerce-core-paypal-march-2022-updated", "update", "en_US", "Security auto-update of WooCommerce", "<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy PayPal Standard security updates for stores running WooCommerce (version 3.5 to 6.3). It’s recommended to disable PayPal Standard, and use <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal Payments</a> to accept PayPal.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("23", "woocommerce-core-paypal-march-2022-updated-nopp", "update", "en_US", "Security auto-update of WooCommerce", "<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy security updates related to PayPal Standard payment gateway for stores running WooCommerce (version 3.5 to 6.3).", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("24", "pinterest_03_2022_update", "marketing", "en_US", "Your Pinterest for WooCommerce plugin is out of date!", "Update to the latest version of Pinterest for WooCommerce to continue using this plugin and keep your store connected with Pinterest. To update, visit <strong>Plugins &gt; Installed Plugins</strong>, and click on “update now” under Pinterest for WooCommerce.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("25", "store_setup_survey_survey_q2_2022", "survey", "en_US", "How is your store setup going?", "Our goal is to make sure you have all the right tools to start setting up your store in the smoothest way possible.\r\nWe’d love to know if we hit our mark and how we can improve. To collect your thoughts, we made a 2-minute survey.", "{}", "unactioned", "woocommerce.com", "2023-07-09 12:27:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("26", "wc-admin-wisepad3", "marketing", "en_US", "Take your business on the go in Canada with WooCommerce In-Person Payments", "Quickly create new orders, accept payment in person for orders placed online, and automatically sync your inventory – no matter where your business takes you. With WooCommerce In-Person Payments and the WisePad 3 card reader, you can bring the power of your store anywhere.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("27", "woocommerce-payments-august-2022-need-to-update", "update", "en_US", "Action required: Please update WooCommerce Payments", "An updated secure version of WooCommerce Payments is available – please ensure that you’re using the latest patch version. For more information on what action you need to take, please review the article below.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("28", "woocommerce-payments-august-2022-store-patched", "update", "en_US", "WooCommerce Payments has been automatically updated", "You’re now running the latest secure version of WooCommerce Payments. We’ve worked with the WordPress Plugins team to deploy a security update to stores running WooCommerce Payments (version 3.9 to 4.5). For further information, please review the article below.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("29", "google_listings_ads_custom_attribute_mapping_q4_2022", "marketing", "en_US", "Our latest improvement to the Google Listings & Ads extension: Attribute Mapping", "You spoke, we listened. This new feature enables you to easily upload your products, customize your product attributes in one place, and target shoppers with more relevant ads. Extend how far your ad dollars go with each campaign.", "{}", "unactioned", "woocommerce.com", "2023-07-02 10:29:50", NULL, "0", "plain", "", "0", "1", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("30", "needs-update-eway-payment-gateway-rin-2022-12-20", "update", "en_US", "Security vulnerability patched in WooCommerce Eway Gateway", "In response to a potential vulnerability identified in WooCommerce Eway Gateway versions 3.1.0 to 3.5.0, we’ve worked to deploy security fixes and have released an updated version.\r\nNo external exploits have been detected, but we recommend you update to your latest supported version 3.1.26, 3.2.3, 3.3.1, 3.4.6, or 3.5.1", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("31", "updated-eway-payment-gateway-rin-2022-12-20", "update", "en_US", "WooCommerce Eway Gateway has been automatically updated", "Your store is now running the latest secure version of WooCommerce Eway Gateway. We worked with the WordPress Plugins team to deploy a software update to stores running WooCommerce Eway Gateway (versions 3.1.0 to 3.5.0) in response to a security vulnerability that was discovered.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("32", "ecomm-wc-navigation-survey-2023", "info", "en_US", "Navigating WooCommerce on WordPress.com", "We are improving the WooCommerce navigation on WordPress.com and would love your help to make it better! Please share your experience with us in this 2-minute survey.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("33", "woopay-beta-merchantrecruitment-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "WooPay, a new express checkout feature built into WooCommerce Payments, is now available —and we’re inviting you to be one of the first to try it. \r\n<br><br>\r\nBoost conversions by offering your customers a simple, secure way to pay with a single click.\r\n<br><br>\r\nGet started in seconds.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("34", "woocommerce-wcpay-march-2023-update-needed", "update", "en_US", "Action required: Security update for WooCommerce Payments", "<strong>Your store requires a security update for WooCommerce Payments</strong>. Please update to the latest version of WooCommerce Payments immediately to address a potential vulnerability discovered on March 22. For more information on how to update, visit this WooCommerce Developer Blog Post.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("35", "tap_to_pay_iphone_q2_2023_no_wcpay", "marketing", "en_US", "Accept in-person contactless payments on your iPhone", "Tap to Pay on iPhone and WooCommerce Payments is quick, secure, and simple to set up — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("36", "tap_to_pay_iphone_q2_2023_with_wcpay", "marketing", "en_US", "New: accept in-person contactless payments on your iPhone", "Tap to Pay on iPhone is quick, secure, and simple to set up in WooCommerce Payments — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person in a few short steps!", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("37", "woocommerce-WCPreOrders-april-2023-update-needed", "update", "en_US", "Action required: Security update of WooCommerce Pre-Orders extension", "<strong>Your store requires a security update for the WooCommerce Pre-Orders extension</strong>. Please update the WooCommerce Pre-Orders extension immediately to address a potential vulnerability discovered on April 11.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("38", "woopay-beta-merchantrecruitment-update-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "WooPay, a new express checkout feature built into WooCommerce Payments, is now available — and you’re invited to try it. \r\n<br /><br />\r\nBoost conversions by offering your customers a simple, secure way to pay with a single click.\r\n<br /><br />\r\nUpdate WooCommerce Payments to get started.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("39", "woopay-beta-existingmerchants-noaction-27APR23", "info", "en_US", "WooPay is back!", "Thanks for previously trying WooPay, the express checkout feature built into WooCommerce Payments. We’re excited to announce that WooPay availability has resumed. No action is required on your part.\r\n<br /><br />\r\nYou can now continue boosting conversions by offering your customers a simple, secure way to pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("40", "woopay-beta-existingmerchants-update-27APR23", "info", "en_US", "WooPay is back!", "Thanks for previously trying WooPay, the express checkout feature built into WooCommerce Payments. We’re excited to announce that WooPay availability has resumed.\r\n<br /><br />\r\n\r\nUpdate to the latest WooCommerce Payments version to continue boosting conversions by offering your customers a simple, secure way to pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("41", "woopay-beta-merchantrecruitment-short-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("42", "woopay-beta-merchantrecruitment-short-update-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, our new express checkout feature. <br>Boost conversions by letting customers pay with a single click. <br><br>Update to the latest version of WooCommerce Payments to get started.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("43", "woopay-beta-merchantrecruitment-short-06MAY23-TESTA", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("44", "woopay-beta-merchantrecruitment-short-06MAY23-TESTB", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("45", "woopay-beta-merchantrecruitment-short-06MAY23-TESTC", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("46", "woopay-beta-merchantrecruitment-short-06MAY23-TESTD", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("47", "woopay-beta-merchantrecruitment-short-09MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("48", "woopay-beta-merchantrecruitment-short-update-09MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, our new express checkout feature. <br>Boost conversions by letting customers pay with a single click. <br><br>Update to the latest version of WooCommerce Payments to get started.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("49", "ipp_refresh_q2_2023_us_inbox_notification", "marketing", "en_US", "Grow on the go with in-person payments", "Sell your products or services on the go with the M2 card reader – a quick, synchronized, and secure way to take payments, no matter where you are. Create an order using the WooCommerce mobile app and connect your card reader to accept payments.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("50", "ipp_refresh_q2_2023_ca_inbox_notification", "marketing", "en_US", "Grow on the go with in-person payments", "Sell your products or services on the go with the WisePad 3 card reader – a quick, synchronized, and secure way to take payments, no matter where you are. Create an order using the WooCommerce mobile app and connect your card reader to accept payments.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("51", "woocommerce-WCstripe-May-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce Stripe plugin", "<strong>Your store requires a security update for the WooCommerce Stripe plugin</strong>. Please update the WooCommerce Stripe plugin immediately to address a potential vulnerability.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("52", "woocommerce-WCPayments-June-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce Payments", "<strong>Your store requires a security update for the WooCommerce Payments plugin</strong>. Please update the WooCommerce Payments plugin immediately to address a potential vulnerability.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("53", "woocommerce-WCSubscriptions-June-2023-updated-needed", "marketing", "en_US", "Action required: Security update of WooCommerce Subscriptions", "<strong>Your store requires a security update for the WooCommerce Subscriptions plugin</strong>. Please update the WooCommerce Subscriptions plugin immediately to address a potential vulnerability.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("54", "woocommerce-WCReturnsWarranty-June-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce Returns and Warranty Requests extension", "<strong>Your store requires a security update for the Returns and Warranty Requests extension</strong>.  Please update to the latest version of the WooCommerce Returns and Warranty Requests extension immediately to address a potential vulnerability discovered on May 31.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("55", "woocommerce_hpos_1st_notification_q2_2023", "marketing", "en_US", "High-Performance Order Storage (HPOS) is on its way", "Our team is targeting August 2023 to roll out a major database upgrade that can unlock faster checkout and order creation for your customers — and lightning-quick order lookup for you. Enablement is optional and you won’t be forced to update, but read on to see why this was our most requested new feature.", "{}", "unactioned", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "1", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("56", "woocommerce-WCOPC-June-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce One Page Checkout", "<strong>Your shop requires a security update to address a vulnerability in the WooCommerce One Page Checkout extension</strong>. The fix for this vulnerability was released for this extension on June 13th. Please update immediately.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("57", "wc-admin-wcpay-bulgaria-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Bulgaria!", "We’ve recently released WooCommerce Payments in Bulgaria. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("58", "wc-admin-wcpay-czechia-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Czechia!", "We’ve recently released WooCommerce Payments in Czechia. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("59", "wc-admin-wcpay-croatia-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Croatia!", "We’ve recently released WooCommerce Payments in Croatia. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("60", "wc-admin-wcpay-hungary-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Hungary!", "We’ve recently released WooCommerce Payments in Hungary. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("61", "wc-admin-wcpay-romania-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Romania!", "We’ve recently released WooCommerce Payments in Romania. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("62", "wc-admin-wcpay-sweden-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Sweden!", "We’ve recently released WooCommerce Payments in Sweden. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("63", "tiktok-spc_june-2023", "marketing", "en_US", "Take the guesswork out of TikTok advertising", "Save time and create smarter ads using new automated campaign management from TikTok for WooCommerce. Simplify your campaign creation and watch TikTok’s machine learning build, target, and optimize ads that support your advertising goals — and grow your audience.", "{}", "unactioned", "woocommerce.com", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("64", "wc-admin-wc-helper-connection", "info", "en_US", "اتصال به WooCommerce.com", "برای دریافت آگاه‌سازی‌ها و به‌روزرسانی‌های مهم محصول، وصل شوید.", "{}", "unactioned", "woocommerce-admin", "2023-07-02 10:27:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("65", "wc-admin-choosing-a-theme", "marketing", "en_US", "یک پوسته انتخاب میکنید؟", "پوسته‌های سازگار با ووکامرس را بررسی کنید و یکی را انتخاب کنید که مطابق با نیازهای برند و تجارت شما باشد.", "{}", "unactioned", "woocommerce-admin", "2023-07-03 10:27:54", NULL, "0", "plain", "", "0", "1", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("66", "wc-admin-customizing-product-catalog", "info", "en_US", "نحوۀ سفارشی‌سازی فهرست محصول", "You want your product catalog and images to look great and align with your brand. This guide will give you all the tips you need to get your products looking great in your store.", "{}", "unactioned", "woocommerce-admin", "2023-07-04 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("67", "wc-admin-launch-checklist", "info", "en_US", "آماده اجرای فروشگاه هستید؟", "برای اطمینان از اینکه هرگز آن احساس غرق شدن \"چه فراموش کردم\" را ندارید، چک لیست ضروری قبل از راه اندازی را گردآوری کرده ایم.", "{}", "unactioned", "woocommerce-admin", "2023-07-04 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("68", "wc-admin-mobile-app", "info", "en_US", "نصب نرم افزار موبایل وو", "برنامۀ تلفن همراه ووکامرس را برای مدیریت سفارشات، دریافت اعلان‌های فروش و مشاهدۀ معیارهای کلیدی - هر کجا که هستید، نصب کنید.", "{}", "unactioned", "woocommerce-admin", "2023-07-04 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("70", "woocommerce-WCGC-July-2023-update-needed", "update", "en_US", "Action required: Security update of WooCommerce GoCardless Extension", "<strong>Your shop requires a security update to address a vulnerability in the WooCommerce GoCardless extension</strong>. The fix for this vulnerability was released on July 4th. Please update immediately.", "{}", "pending", "woocommerce.com", "2023-07-05 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("71", "woocommerce-shipping-fedex-api-outage-2023-07-16", "warning", "en_US", "Scheduled FedEx API outage — July 2023", "On July 16 there will be a full outage of the FedEx API from 04:00 to 08:00 AM UTC. Due to planned maintenance by FedEx, you\'ll be unable to provide FedEx shipping rates during this time. Follow the link below for more information and recommendations on how to minimize impact.", "{}", "pending", "woocommerce.com", "2023-07-06 10:27:58", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("72", "wc-admin-orders-milestone", "info", "en_US", "برای پردازش 10 سفارش تبریک می‌گوییم!", "شما به نقطه عطف 10 سفارش رسیده اید! ببین تو برو برخی از داستان های موفقیت ووکامرس را برای الهام گرفتن مرور کنید.", "{\"current_milestone\":10}", "unactioned", "woocommerce-admin", "2023-07-06 12:28:07", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("73", "wc-admin-onboarding-payments-reminder", "info", "en_US", "شروع به پذیرش پرداخت‌ها در فروشگاه خود کنید!", "برای پرداخت با درگاه های مختلف آغاز کنید. از میان بیش از 100 درگاه پرداخت برای ووکامرس می‌توانید انتخاب کنید", "{}", "unactioned", "woocommerce-admin", "2023-07-07 16:48:34", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("74", "wc-admin-usage-tracking-opt-in", "info", "en_US", "برای بهبود ووکامرس با استفاده از رهگیری استفاده کمک کنید", "جمع آوری داده های استفاده به ما امکان می دهد ووکامرس را بهبود دهیم. هنگامی که ویژگی‌های جدید را ارزیابی می‌کنیم، کیفیت به‌روزرسانی را قضاوت می‌کنیم یا تشخیص می‌دهیم که آیا بهبود منطقی است، فروشگاه شما در نظر گرفته می‌شود. همیشه می‌توانید از <a href=\"https://halochin.ir/multivendor/wp-admin/admin.php?page=wc-settings&#038;tab=advanced&#038;section=woocommerce_com\" target=\"_blank\">تنظیمات</a> بازدید کرده و توقف اشتراک‌گذاری داده‌ها را انتخاب کنید. <a href=\"https://woocommerce.com/usage-tracking?utm_medium=product\" target=\"_blank\">اطلاعات بیشتر</a> درباره داده‌هایی که جمع‌آوری می‌کنیم.", "{}", "unactioned", "woocommerce-admin", "2023-07-09 10:27:49", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("75", "wcship-2023-07-hazmat-update-needed", "update", "en_US", "Action required: USPS HAZMAT compliance update for WooCommerce Shipping & Tax extension", "<strong>Your store requires an update for the WooCommerce Shipping extension</strong>. Please update to the latest version of the WooCommerce Shipping &amp; Tax extension immediately to ensure compliance with new USPS HAZMAT rules currently in effect.", "{}", "pending", "woocommerce.com", "2023-07-12 11:09:10", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("76", "square_payments_q3_2023", "marketing", "en_US", "Square for WooCommerce", "Connect your Square account with WooCommerce to accept online and in-person payments (including contactless payments and cross-channel gift cards) quickly and securely. Save time by syncing sales, customers, and items and inventory — and manage everything through one centralized platform.", "{}", "unactioned", "woocommerce.com", "2023-07-20 15:51:25", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("77", "wc-admin-woopayments-rebrand", "marketing", "en_US", "WooCommerce Payments is now WooPayments", "We’ve changed the name as part of recent updates to the Woo brand. You’ll still enjoy the same seamless payments experience — just look for WooPayments in your WordPress admin.", "{}", "pending", "woocommerce.com", "2023-07-28 21:34:03", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("78", "woocommerce-WCStripe-Aug-2023-update-needed", "update", "en_US", "Action required: Security update for WooCommerce Stripe plugin", "<strong>Your shop requires an important security update for the  WooCommerce Stripe plugin</strong>. The fix for this vulnerability was released on July 31. Please update immediately.", "{}", "pending", "woocommerce.com", "2023-08-03 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("79", "woocommerce-WCStripe-Aug-2023-security-updated", "update", "en_US", "Security update of WooCommerce Stripe plugin", "<strong>Your store has been updated to the latest secure version of the WooCommerce Stripe plugin</strong>. This update was released on July 31.", "{}", "pending", "woocommerce.com", "2023-08-03 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("80", "woocommerce-WooPayments-Aug-2023-update-needed", "update", "en_US", "Action required: Security update for WooPayments (WooCommerce Payments) plugin", "<strong>Your shop requires an important security update for the WooPayments (WooCommerce Payments) extension</strong>. The fix for this vulnerability was released on July 31. Please update immediately.", "{}", "pending", "woocommerce.com", "2023-08-03 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("81", "woocommerce-WooPayments-Aug-2023-security-updated", "update", "en_US", "Security update of WooPayments (WooCommerce Payments) plugin", "<strong>Your store has been updated to the more secure version of WooPayments (WooCommerce Payments)</strong>. This update was released on July 31.", "{}", "pending", "woocommerce.com", "2023-08-03 10:27:50", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("82", "tiktok-apac-webinar-2023", "marketing", "en_US", "Unlocking TikTok: Live Webinar August 9", "Join us on August 9 for a free online masterclass with our partners at TikTok, tailored to Woo merchants in the APAC region (11 am AEST). You’ll learn how to connect your store to TikTok, unlock expert advertising tools, and reach its one billion active global users — all from the comfort of your own home.", "{}", "pending", "woocommerce.com", "2023-08-05 11:17:43", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("83", "avalara_q3-2023_noAvaTax", "marketing", "en_US", "Automatically calculate VAT in real time", "Take the effort out of determining tax rates and sell confidently across borders with automated tax management from Avalara AvaTax— including built-in VAT calculation when you sell into or across the EU and UK. Save time and stay compliant when you let Avalara do the heavy lifting.", "{}", "pending", "woocommerce.com", "2023-08-09 10:55:21", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("84", "avalara_q3-2023_withAvaTax", "marketing", "en_US", "New in AvaTax: Calculate VAT in real time", "Take the effort out of determining tax rates and sell confidently across borders with automated tax management from Avalara AvaTax— including built-in VAT calculation when you sell into or across the EU and UK. Save time and stay compliant when you let Avalara do the heavy lifting.", "{}", "pending", "woocommerce.com", "2023-08-09 10:55:21", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("85", "google_uxstudy_recruitment_q3-2023", "marketing", "en_US", "Share your feedback in exchange for $150", "Woo has teamed up with Google to collect feedback on advertising products and services available to you. If selected, you’ll receive an incentive equal to $150 USD for a 60-minute interview that can help improve the products you use to advertise. If interested, please take 2 minutes to complete the screening survey.", "{}", "pending", "woocommerce.com", "2023-08-10 10:29:43", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("86", "woo-activation-survey-blockers-22AUG23", "info", "en_US", "How can we help you get that first sale?", "Your feedback is vital. Please take a minute to share your experience of setting up your new store and whether anything is preventing you from making those first few sales. Together, we can make Woo even better!", "{}", "pending", "woocommerce.com", "2023-08-23 11:54:01", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("87", "tiktok_shopGTM_q3-2023_hasTikTok", "marketing", "en_US", "You can now sell your products on TikTok Shop", "TikTok is changing the way shoppers find and connect with brands. With TikTok Shop, you can sync your entire catalog from within Woo and sell directly to TikTok users through in-feed videos, livestreams, and your product showcase tab.", "{}", "pending", "woocommerce.com", "2023-09-07 10:29:55", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("88", "tiktok_shopGTM_q3-2023_noTikTok", "marketing", "en_US", "You can now sell your products on TikTok Shop", "TikTok is changing the way shoppers find and connect with brands. With TikTok Shop, you can sync your entire catalog from within Woo and sell directly to TikTok users through in-feed videos, livestreams, and your product showcase tab.", "{}", "pending", "woocommerce.com", "2023-09-08 12:10:39", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("89", "klaviyo_q3_2023", "marketing", "en_US", "Build long lasting relationships with Klaviyo for WooCommerce", "Increase customer engagement and boost conversions with powerful email and SMS automation from Klaviyo. Fully integrated with your Woo store, Klaviyo enables you to send personalized communications to your customers — ensuring that the right message is delivered at the right time for maximum impact.", "{}", "pending", "woocommerce.com", "2023-09-12 11:49:43", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("90", "wc_admin_BNPL_WCPay_Q3_2023", "marketing", "en_US", "Afterpay and Affirm have arrived in WooCommerce Payments!", "Give your customers more power with buy now, pay later from Afterpay and Affirm — now included as part of WooCommerce Payments! With this new integration, you can quickly offer a checkout option that converts sales and boosts average order value, all from within the same payments dashboard you already know.", "{}", "pending", "woocommerce.com", "2023-09-19 11:07:18", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("91", "wc_admin_afterpay_WCPay_Q3_2023", "marketing", "en_US", "Afterpay has arrived in WooCommerce Payments!", "Give your customers more power with buy now, pay later from Afterpay — now included as part of WooCommerce Payments! With this new integration, you can quickly offer a checkout option that converts sales and boosts average order value, all from within the same payments dashboard you already know.", "{}", "pending", "woocommerce.com", "2023-09-19 11:07:18", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("92", "woocommerce-usermeta-Sept2023-productvendors", "update", "en_US", "Your store requires a security update", "<strong>Your shop needs an update to address a vulnerability in WooCommerce.</strong> The fix was released on Sept 15. Please update WooCommerce to the latest version immediately. <a href=\"https://developer.woocommerce.com/2023/09/16/woocommerce-vulnerability-reintroduced-from-7-0-1/\" />Read our developer update</a> for more information.", "{}", "pending", "woocommerce.com", "2023-09-20 10:33:35", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("93", "wc-admin-real-time-order-alerts", "info", "en_US", "هشدارهای سفارش بلادرنگ را در هر کجا دریافت کنید", "با برنامه Woo، اعلان‌های مربوط به فعالیت فروشگاه، از جمله سفارش‌های جدید و بررسی محصول را مستقیماً در دستگاه‌های تلفن همراه خود دریافت کنید.", "{}", "unactioned", "woocommerce-admin", "2023-09-30 10:43:17", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("94", "Klarna_10OCT23", "marketing", "en_US", "Klarna is now available", "This is a test. Klarna is now available.", "{}", "pending", "woocommerce.com", "2023-10-11 11:46:43", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("95", "wc_com_in_person_payments_card_sale_US_inbox_note_q4_23", "marketing", "en_US", "Save 35% on a WooPayments card reader", "Have you been thinking about selling your products or services in person? Now’s the perfect time to do so, as we’re discounting our M2 card readers by 35%! Securely process payments wherever your business takes you, with full store and inventory sync. Don’t miss out — this offer ends October 29, 2023.", "{}", "pending", "woocommerce.com", "2023-10-13 13:14:39", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("96", "wc_com_in_person_payments_card_sale_UK_inbox_note_q4_23", "marketing", "en_US", "Save 35% on a WooPayments card reader", "Have you been thinking about selling your products or services in person? Now’s the perfect time to do so, as we’re discounting our WisePad 3 card readers by 35%! Securely process payments wherever your business takes you, with full store and inventory sync. Don’t miss out — this offer ends 29th October 2023.", "{}", "pending", "woocommerce.com", "2023-10-13 13:14:39", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("97", "wc_com_in_person_payments_card_sale_CA_inbox_note_q4_23", "marketing", "en_US", "Save 35% on a WooPayments card reader", "Have you been thinking about selling your products or services in person? Now’s the perfect time to do so, as we’re discounting our WisePad 3 card readers by 35%! Securely process payments wherever your business takes you, with full store and inventory sync. Don’t miss out — this offer ends October 29, 2023.", "{}", "pending", "woocommerce.com", "2023-10-13 13:14:39", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("98", "woocommerce-STRIPE-Oct-2023-update-needed", "update", "en_US", "Action required: Security update for WooCommerce Stripe Gateway", "<strong>Your shop requires a security update to address a vulnerability in the WooCommerce Stripe Gateway</strong>. The fix for this vulnerability was released on October 17. Please update immediately.", "{}", "pending", "woocommerce.com", "2023-10-18 10:42:13", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("99", "wc_admin_WooPay_Q4_2023", "marketing", "en_US", "Convert more sales with our fastest checkout yet", "Enable WooPay and offer the only single-click checkout experience built by Woo, for Woo. Give shoppers the power to pay instantly and securely speed through checkout, even if it\'s their first visit. Add it for free with one tap in your WooPayments dashboard.", "{}", "pending", "woocommerce.com", "2023-10-28 10:33:26", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("100", "wc_admin_WooPay_Oct30_2023", "marketing", "en_US", "Convert more sales with our fastest checkout yet", "Enable WooPay and offer the only single-click checkout experience built by Woo, for Woo. Give shoppers the power to pay instantly and securely speed through checkout, even if it\'s their first visit. Add it for free with one tap in your WooPayments dashboard.", "{}", "pending", "woocommerce.com", "2023-11-03 10:27:49", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("101", "paypal_paylater_q4_23", "marketing", "en_US", "Boost your sales this holiday season with PayPal", "Set yourself up for success this holiday season by allowing customers to pay the way they prefer. With the latest version of PayPal Payments, you can accept PayPal, Venmo (US), Pay Later*, credit and debit cards, and popular alternative payment methods in one secure solution.", "{}", "pending", "woocommerce.com", "2023-11-07 13:12:22", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("102", "tap_to_pay_iphone_q4_2023_no_woopayments", "marketing", "en_US", "Accept in-person contactless payments on your iPhone", "Tap to Pay on iPhone and WooPayments is quick, secure, and simple to set up — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person.", "{}", "pending", "woocommerce.com", "2023-12-06 10:29:14", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("103", "tap_to_pay_iphone_q4_2023_with_woopayments", "marketing", "en_US", "Accept in-person contactless payments on your iPhone", "Tap to Pay on iPhone is quick, secure, and simple to set up in WooPayments — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person in a few short steps!", "{}", "pending", "woocommerce.com", "2023-12-06 10:29:14", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("104", "amazon-mcf-reviews-2023-12-07", "marketing", "en_US", "Enjoying Amazon MCF for WooCommerce?", "We\'re Never Settle, the developers behind Amazon MCF for WooCommerce, and would be deeply honored to have your review. Reviews help immensely as other users can learn how MCF can solve their needs too! Not happy or need help? Please reach out for support and we’d love to make things right!", "{}", "pending", "woocommerce.com", "2023-12-07 10:41:09", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("105", "wc-admin-manage-orders-on-the-go", "info", "en_US", "سفارشات خود را در حال حرکت مدیریت کنید", "با برنامه Woo به دنبال سفارشات، اطلاعات مشتری و بازپرداخت با یک کلیک باشید.", "{}", "unactioned", "woocommerce-admin", "2023-12-29 11:43:57", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("106", "wc-update-db-reminder", "update", "en_US", "به‌روزرسانی پایگاه داده ووکامرس انجام شد", "دیتای ووکامرس بروز شد. از شما برای بروزرسانی به آخرین نگارش سپاسگزاریم!", "{}", "unactioned", "woocommerce-core", "2024-01-08 05:58:51", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("107", "amazon_pay_reactivate_q1-24", "marketing", "en_US", "Special offer: Activate 0% promo rate for Amazon Pay", "For a limited time, Woo merchants who register with Amazon Pay can enjoy a promotional rate of 0% on all transaction fees for 30 days. Valid for businesses based in the United Kingdom. Terms and conditions apply.", "{}", "pending", "woocommerce.com", "2024-01-10 12:55:29", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("108", "remove_estimated_deposits_2024", "marketing", "en_US", "Estimated deposits are going away", "To provide more accurate deposit information and support the expansion of instant deposits, estimated deposit details will no longer be available in WooPayments. We recommend upgrading to the latest version of WooPayments for more detailed balance status information.", "{}", "pending", "woocommerce.com", "2024-01-19 12:03:46", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("109", "custom_order_attribution_inbox_q1_2024", "marketing", "en_US", "NEW: Custom Order Attribution", "Order attribution tracking is now available for all Woo stores! See whether an order came from a search ad, video, or email. Make better marketing decisions and watch your products go from “maybe” to “must-have.”", "{}", "pending", "woocommerce.com", "2024-02-06 10:36:47", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("110", "wc_admin_UKpricingchange_WCPay_Q1_2024", "marketing", "en_US", "Fee Changes for WooPayments in the EEA and UK", "WooPayments fees for transactions between the EEA and UK will change as of 1st March, 2024. Transactions between the UK and EEA are now deemed by card networks to be cross-border, thus international payment fees will be applicable. This also changes base processing fees.", "{}", "pending", "woocommerce.com", "2024-03-01 10:41:56", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("111", "airwallex_q1_2024", "marketing", "en_US", "Save big on foreign exchange (FX) fees", "Boost your international sales by offering Apple Pay, Google Pay, and 60+ local payment methods with Airwallex. Save time and money by settling payments directly in USD, EUR, HKD, SGD, AUD, and more — without the extra FX fees. Simple, cost-effective, fast.", "{}", "pending", "woocommerce.com", "2024-03-01 10:41:56", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("112", "wc-admin-performance-on-mobile", "info", "en_US", "عملکرد فروشگاه خود را از طریق تلفن همراه پیگیری کنید", "فروش و محصولات با عملکرد بالا را با Woo app کنترل کنید.", "{}", "unactioned", "woocommerce-admin", "2024-03-28 11:15:10", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_sa_wc_admin_notes` VALUES("113", "woocommerce-payfast-may-2024-update-needed", "update", "en_US", "An important update is required for the Payfast Payment Gateway", "<strong>Please update to the latest version of the Payfast Payment Gateway for WooCommerce immediately to address a security vulnerability</strong>. This update is required to ensure that your transactions continue to process.", "{}", "pending", "woocommerce.com", "2024-05-27 10:13:30", NULL, "0", "plain", "", "0", "0", "info");

/* INSERT TABLE DATA: wp_sa_wc_category_lookup */
INSERT INTO `wp_sa_wc_category_lookup` VALUES("15", "15");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("17", "17");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("18", "18");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("19", "19");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("20", "20");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("21", "21");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("22", "22");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("23", "23");
INSERT INTO `wp_sa_wc_category_lookup` VALUES("24", "24");

/* INSERT TABLE DATA: wp_sa_wc_product_attributes_lookup */
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("136", "136", "pa_brand", "27", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("136", "136", "pa_brand", "28", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("136", "136", "pa_brand", "29", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("1866", "138", "pa_brand", "31", "1", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("1867", "138", "pa_brand", "32", "1", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("140", "140", "pa_brand", "33", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("140", "140", "pa_brand", "34", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "27", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "28", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "29", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "30", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "31", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "32", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "33", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("142", "142", "pa_brand", "34", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("1177", "1177", "pa_brand", "27", "0", "1");
INSERT INTO `wp_sa_wc_product_attributes_lookup` VALUES("1177", "1177", "pa_brand", "28", "0", "1");

/* INSERT TABLE DATA: wp_sa_wc_product_download_directories */
INSERT INTO `wp_sa_wc_product_download_directories` VALUES("1", "file:///home/halochin/public_html/multivendor/wp-content/uploads/woocommerce_uploads/", "1");
INSERT INTO `wp_sa_wc_product_download_directories` VALUES("2", "https://halochin.ir/multivendor/wp-content/uploads/woocommerce_uploads/", "1");

/* INSERT TABLE DATA: wp_sa_wc_product_meta_lookup */
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("100", "", "0", "0", "2000000.0000", "2000000.0000", "1", NULL, "instock", "0", "0.00", "10", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("102", "", "0", "0", "0.0000", "0.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("104", "", "0", "0", "15000000.0000", "15000000.0000", "1", NULL, "instock", "0", "0.00", "8", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("106", "", "0", "0", "25500.0000", "25500.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("108", "", "0", "0", "280000.0000", "280000.0000", "1", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("111", "", "0", "0", "635000.0000", "635000.0000", "1", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("113", "", "0", "0", "25000.0000", "25000.0000", "0", NULL, "instock", "0", "0.00", "12", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("115", "", "0", "0", "123000.0000", "123000.0000", "0", NULL, "instock", "0", "0.00", "10", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("118", "", "0", "0", "17500000.0000", "17500000.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("120", "", "0", "0", "90000.0000", "90000.0000", "1", NULL, "instock", "0", "0.00", "4", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("122", "", "0", "0", "34000000.0000", "34000000.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("124", "", "0", "0", "86000.0000", "86000.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("126", "", "0", "0", "135000.0000", "135000.0000", "1", NULL, "instock", "3", "3.67", "7", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("128", "", "0", "0", "260000.0000", "260000.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("130", "", "0", "0", "32000000.0000", "32000000.0000", "0", NULL, "instock", "0", "0.00", "1", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("132", "", "0", "0", "12300000.0000", "12300000.0000", "0", NULL, "instock", "0", "0.00", "2", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("134", "", "0", "0", "55000.0000", "55000.0000", "1", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("136", "", "0", "0", "25000.0000", "25000.0000", "0", NULL, "instock", "0", "0.00", "2", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("138", "", "0", "0", "33000.0000", "33000.0000", "0", NULL, "instock", "0", "0.00", "17", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("140", "", "0", "0", "780000.0000", "780000.0000", "0", NULL, "instock", "0", "0.00", "18", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("142", "", "0", "0", "285000.0000", "285000.0000", "1", NULL, "instock", "0", "0.00", "315", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("1177", "", "0", "0", "50000.0000", "50000.0000", "1", NULL, "instock", "0", "0.00", "0", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("1197", "", "0", "0", "560000.0000", "560000.0000", "1", NULL, "instock", "0", "0.00", "6", "taxable", "");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("1866", "", "0", "0", "50000.0000", "50000.0000", "0", NULL, "instock", "0", "0.00", "0", "taxable", "parent");
INSERT INTO `wp_sa_wc_product_meta_lookup` VALUES("1867", "", "0", "0", "100000.0000", "100000.0000", "1", NULL, "instock", "0", "0.00", "0", "taxable", "parent");

/* INSERT TABLE DATA: wp_sa_wc_tax_rate_classes */
INSERT INTO `wp_sa_wc_tax_rate_classes` VALUES("1", "نرخ کاهش", "%d9%86%d8%b1%d8%ae-%da%a9%d8%a7%d9%87%d8%b4");
INSERT INTO `wp_sa_wc_tax_rate_classes` VALUES("2", "نرخ صفر", "%d9%86%d8%b1%d8%ae-%d8%b5%d9%81%d8%b1");

/* INSERT TABLE DATA: wp_sa_woocommerce_attribute_taxonomies */
INSERT INTO `wp_sa_woocommerce_attribute_taxonomies` VALUES("1", "brand", "برند", "select", "menu_order", "0");
INSERT INTO `wp_sa_woocommerce_attribute_taxonomies` VALUES("2", "color", "رنگ", "select", "menu_order", "0");

/* INSERT TABLE DATA: wp_sa_woocommerce_sessions */
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3141", "t_f1414cb4316db3f33f2676bf6874cc", "a:12:{s:4:\"cart\";s:420:\"a:1:{s:32:\"ae5e3ce40e0404a45ecacaaf05e5f735\";a:11:{s:3:\"key\";s:32:\"ae5e3ce40e0404a45ecacaaf05e5f735\";s:10:\"product_id\";i:1197;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:1;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:560000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:560000;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:402:\"a:15:{s:8:\"subtotal\";s:6:\"560000\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:6:\"560000\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:6:\"560000\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:449:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_38b8de97ad7d31bdf614eedbb003e041\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:51:\"کیف دستی لیدوما مدل Li-80 &times; 1\";}}}}\";s:25:\"previous_shipping_methods\";s:43:\"a:1:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:33:\"a:1:{i:0;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:14:\"a:1:{i:0;i:1;}\";s:10:\"wc_notices\";s:297:\"a:1:{s:7:\"success\";a:1:{i:0;a:2:{s:6:\"notice\";s:222:\"<a href=\"https://halochin.ir/multivendor/cart/\" tabindex=\"1\" class=\"button wc-forward\">مشاهده سبد خرید</a> &ldquo;کیف دستی لیدوما مدل Li-80&rdquo; به سبد خرید شما افزوده شد.\";s:4:\"data\";a:0:{}}}}\";s:8:\"customer\";s:722:\"a:27:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:8:\"postcode\";s:0:\"\";s:4:\"city\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:3:\"YZD\";s:7:\"country\";s:2:\"IR\";s:17:\"shipping_postcode\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:3:\"YZD\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:0:\"\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";}\";}", "1716819979");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3142", "t_020c3df1f22deb7b83352a162b7654", "a:15:{s:4:\"cart\";s:833:\"a:2:{s:32:\"83f97f4825290be4cb794ec6a234595f\";a:11:{s:3:\"key\";s:32:\"83f97f4825290be4cb794ec6a234595f\";s:10:\"product_id\";i:1177;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:3;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:150000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:150000;s:8:\"line_tax\";d:0;}s:32:\"1385974ed5904a438616ff7bdb3f7439\";a:11:{s:3:\"key\";s:32:\"1385974ed5904a438616ff7bdb3f7439\";s:10:\"product_id\";i:140;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:1;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:780000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:780000;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:402:\"a:15:{s:8:\"subtotal\";s:6:\"930000\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:6:\"930000\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:6:\"930000\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:449:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_bf660c5b3d94ff4e92e20579d43c55cf\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:51:\"ساعت دیواری مدل ارغوان &times; 3\";}}}}\";s:25:\"previous_shipping_methods\";s:80:\"a:2:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}i:1;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:60:\"a:2:{i:0;s:15:\"free_shipping:1\";i:1;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:22:\"a:2:{i:0;i:1;i:1;i:1;}\";s:10:\"wc_notices\";N;s:8:\"customer\";s:722:\"a:27:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:8:\"postcode\";s:0:\"\";s:4:\"city\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:3:\"YZD\";s:7:\"country\";s:2:\"IR\";s:17:\"shipping_postcode\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:3:\"YZD\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:0:\"\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";}\";s:22:\"shipping_for_package_1\";s:446:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_c1d4fd8bfea9c78dbd604f1302390951\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:48:\"شارژر همراه انرجایزر &times; 1\";}}}}\";s:21:\"chosen_payment_method\";s:0:\"\";s:14:\"refresh_totals\";b:1;}", "1716844371");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3148", "t_2282e32ce772b77f8a4b2bf9bbbe92", "a:13:{s:4:\"cart\";s:420:\"a:1:{s:32:\"83f97f4825290be4cb794ec6a234595f\";a:11:{s:3:\"key\";s:32:\"83f97f4825290be4cb794ec6a234595f\";s:10:\"product_id\";i:1177;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:2;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:100000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:100000;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:402:\"a:15:{s:8:\"subtotal\";s:6:\"100000\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:6:\"100000\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:6:\"100000\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:449:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_32ebd4837e020a37fd6c6454c54407a1\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:51:\"ساعت دیواری مدل ارغوان &times; 2\";}}}}\";s:25:\"previous_shipping_methods\";s:43:\"a:1:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:33:\"a:1:{i:0;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:14:\"a:1:{i:0;i:1;}\";s:10:\"wc_notices\";N;s:8:\"customer\";s:879:\"a:27:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:8:\"postcode\";s:9:\"454545555\";s:4:\"city\";s:6:\"kjhkhj\";s:9:\"address_1\";s:8:\",mn,.m,k\";s:7:\"address\";s:8:\",mn,.m,k\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:3:\"RKH\";s:7:\"country\";s:2:\"IR\";s:17:\"shipping_postcode\";s:9:\"454545555\";s:13:\"shipping_city\";s:6:\"kjhkhj\";s:18:\"shipping_address_1\";s:8:\",mn,.m,k\";s:16:\"shipping_address\";s:8:\",mn,.m,k\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:3:\"RKH\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:1:\"1\";s:10:\"first_name\";s:10:\"رامین\";s:9:\"last_name\";s:10:\"احمدی\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:11:\"09187300882\";s:5:\"email\";s:25:\"virtualmind2010@gmail.com\";s:19:\"shipping_first_name\";s:10:\"رامین\";s:18:\"shipping_last_name\";s:10:\"احمدی\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:11:\"09187300882\";}\";s:21:\"chosen_payment_method\";s:0:\"\";}", "1716846825");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3163", "t_fde5bd79afefc003470b692f830a1f", "a:12:{s:4:\"cart\";s:417:\"a:1:{s:32:\"f0935e4cd5920aa6c7c996a5ee53a70f\";a:11:{s:3:\"key\";s:32:\"f0935e4cd5920aa6c7c996a5ee53a70f\";s:10:\"product_id\";i:106;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:1;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:25500;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:25500;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:399:\"a:15:{s:8:\"subtotal\";s:5:\"25500\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:5:\"25500\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:5:\"25500\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:464:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_4d5f1e9f2684b3e9a753d20098de1a18\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:66:\"ماکارونی پنه ریگاته زر ماکارون &times; 1\";}}}}\";s:25:\"previous_shipping_methods\";s:43:\"a:1:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:33:\"a:1:{i:0;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:14:\"a:1:{i:0;i:1;}\";s:10:\"wc_notices\";s:312:\"a:1:{s:7:\"success\";a:1:{i:0;a:2:{s:6:\"notice\";s:237:\"<a href=\"https://halochin.ir/multivendor/cart/\" tabindex=\"1\" class=\"button wc-forward\">مشاهده سبد خرید</a> &ldquo;ماکارونی پنه ریگاته زر ماکارون&rdquo; به سبد خرید شما افزوده شد.\";s:4:\"data\";a:0:{}}}}\";s:8:\"customer\";s:722:\"a:27:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:8:\"postcode\";s:0:\"\";s:4:\"city\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:3:\"YZD\";s:7:\"country\";s:2:\"IR\";s:17:\"shipping_postcode\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:3:\"YZD\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:0:\"\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";}\";}", "1716847613");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3164", "t_7f96f3e1c12be7bf988acb8c4c3b50", "a:13:{s:4:\"cart\";s:420:\"a:1:{s:32:\"ae5e3ce40e0404a45ecacaaf05e5f735\";a:11:{s:3:\"key\";s:32:\"ae5e3ce40e0404a45ecacaaf05e5f735\";s:10:\"product_id\";i:1197;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:1;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:560000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:560000;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:402:\"a:15:{s:8:\"subtotal\";s:6:\"560000\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:6:\"560000\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:6:\"560000\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:449:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_38b8de97ad7d31bdf614eedbb003e041\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:51:\"کیف دستی لیدوما مدل Li-80 &times; 1\";}}}}\";s:25:\"previous_shipping_methods\";s:43:\"a:1:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:33:\"a:1:{i:0;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:14:\"a:1:{i:0;i:1;}\";s:10:\"wc_notices\";N;s:8:\"customer\";s:722:\"a:27:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:8:\"postcode\";s:0:\"\";s:4:\"city\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:3:\"YZD\";s:7:\"country\";s:2:\"IR\";s:17:\"shipping_postcode\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:3:\"YZD\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:0:\"\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";}\";s:14:\"refresh_totals\";b:1;}", "1716909754");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3167", "t_8edc274e79d7002cb4705587f83ecd", "a:14:{s:4:\"cart\";s:422:\"a:1:{s:32:\"ae5e3ce40e0404a45ecacaaf05e5f735\";a:11:{s:3:\"key\";s:32:\"ae5e3ce40e0404a45ecacaaf05e5f735\";s:10:\"product_id\";i:1197;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:2;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:1120000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:1120000;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:405:\"a:15:{s:8:\"subtotal\";s:7:\"1120000\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:7:\"1120000\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:7:\"1120000\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:449:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_f170b6e141bae512d071133f6753ea2e\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:51:\"کیف دستی لیدوما مدل Li-80 &times; 2\";}}}}\";s:25:\"previous_shipping_methods\";s:43:\"a:1:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:33:\"a:1:{i:0;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:14:\"a:1:{i:0;i:1;}\";s:10:\"wc_notices\";N;s:8:\"customer\";s:722:\"a:27:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:8:\"postcode\";s:0:\"\";s:4:\"city\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:3:\"YZD\";s:7:\"country\";s:2:\"IR\";s:17:\"shipping_postcode\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:3:\"YZD\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:0:\"\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";}\";s:21:\"chosen_payment_method\";s:0:\"\";s:14:\"refresh_totals\";b:1;}", "1716923080");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3172", "1", "a:7:{s:4:\"cart\";s:6:\"a:0:{}\";s:11:\"cart_totals\";s:367:\"a:15:{s:8:\"subtotal\";i:0;s:12:\"subtotal_tax\";i:0;s:14:\"shipping_total\";i:0;s:12:\"shipping_tax\";i:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";i:0;s:12:\"discount_tax\";i:0;s:19:\"cart_contents_total\";i:0;s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";i:0;s:7:\"fee_tax\";i:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";i:0;s:9:\"total_tax\";i:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:8:\"customer\";s:924:\"a:28:{s:2:\"id\";s:1:\"1\";s:13:\"date_modified\";s:25:\"2023-10-10T15:36:31+03:30\";s:10:\"first_name\";s:6:\"تست\";s:9:\"last_name\";s:8:\"تستی\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:10:\"3165454512\";s:5:\"email\";s:20:\"designer@abzarwp.com\";s:7:\"address\";s:16:\"مهربانان\";s:9:\"address_1\";s:16:\"مهربانان\";s:9:\"address_2\";s:0:\"\";s:4:\"city\";s:6:\"یزد\";s:5:\"state\";s:3:\"YZD\";s:8:\"postcode\";s:7:\"1111111\";s:7:\"country\";s:2:\"IR\";s:19:\"shipping_first_name\";s:6:\"تست\";s:18:\"shipping_last_name\";s:8:\"تستی\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";s:16:\"shipping_address\";s:16:\"مهربانان\";s:18:\"shipping_address_1\";s:16:\"مهربانان\";s:18:\"shipping_address_2\";s:0:\"\";s:13:\"shipping_city\";s:6:\"یزد\";s:14:\"shipping_state\";s:3:\"YZD\";s:17:\"shipping_postcode\";s:7:\"1111111\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:9:\"meta_data\";a:0:{}}\";}", "1716966251");
INSERT INTO `wp_sa_woocommerce_sessions` VALUES("3174", "t_b863041fe3f3a2c70d36ffd349c0ee", "a:12:{s:4:\"cart\";s:417:\"a:1:{s:32:\"42a0e188f5033bc65bf8d78622277c4e\";a:11:{s:3:\"key\";s:32:\"42a0e188f5033bc65bf8d78622277c4e\";s:10:\"product_id\";i:136;s:12:\"variation_id\";i:0;s:9:\"variation\";a:0:{}s:8:\"quantity\";i:1;s:9:\"data_hash\";s:32:\"b5c1d5ca8bae6d4896cf1807cdf763f0\";s:13:\"line_tax_data\";a:2:{s:8:\"subtotal\";a:0:{}s:5:\"total\";a:0:{}}s:13:\"line_subtotal\";d:25000;s:17:\"line_subtotal_tax\";d:0;s:10:\"line_total\";d:25000;s:8:\"line_tax\";d:0;}}\";s:11:\"cart_totals\";s:399:\"a:15:{s:8:\"subtotal\";s:5:\"25000\";s:12:\"subtotal_tax\";d:0;s:14:\"shipping_total\";s:1:\"0\";s:12:\"shipping_tax\";d:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";d:0;s:12:\"discount_tax\";d:0;s:19:\"cart_contents_total\";s:5:\"25000\";s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";s:1:\"0\";s:7:\"fee_tax\";d:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";s:5:\"25000\";s:9:\"total_tax\";d:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:22:\"shipping_for_package_0\";s:452:\"a:2:{s:12:\"package_hash\";s:40:\"wc_ship_c48630b7e35bdcb7e9d0af0078798bc1\";s:5:\"rates\";a:1:{s:15:\"free_shipping:1\";O:16:\"WC_Shipping_Rate\":2:{s:7:\"\0*\0data\";a:6:{s:2:\"id\";s:15:\"free_shipping:1\";s:9:\"method_id\";s:13:\"free_shipping\";s:11:\"instance_id\";i:1;s:5:\"label\";s:29:\"حمل و نقل رایگان\";s:4:\"cost\";s:1:\"0\";s:5:\"taxes\";a:0:{}}s:12:\"\0*\0meta_data\";a:1:{s:15:\"آیتم‌ها\";s:54:\"جامدادی طرح پیشی مدل فلت &times; 1\";}}}}\";s:25:\"previous_shipping_methods\";s:43:\"a:1:{i:0;a:1:{i:0;s:15:\"free_shipping:1\";}}\";s:23:\"chosen_shipping_methods\";s:33:\"a:1:{i:0;s:15:\"free_shipping:1\";}\";s:22:\"shipping_method_counts\";s:14:\"a:1:{i:0;i:1;}\";s:10:\"wc_notices\";N;s:8:\"customer\";s:744:\"a:28:{s:2:\"id\";s:1:\"0\";s:13:\"date_modified\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:4:\"city\";s:0:\"\";s:5:\"state\";s:3:\"YZD\";s:8:\"postcode\";s:0:\"\";s:7:\"country\";s:2:\"IR\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:14:\"shipping_state\";s:3:\"YZD\";s:17:\"shipping_postcode\";s:0:\"\";s:16:\"shipping_country\";s:2:\"IR\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:9:\"meta_data\";a:0:{}}\";}", "1716971030");

/* INSERT TABLE DATA: wp_sa_woocommerce_shipping_zone_locations */
INSERT INTO `wp_sa_woocommerce_shipping_zone_locations` VALUES("1", "1", "IR", "country");

/* INSERT TABLE DATA: wp_sa_woocommerce_shipping_zone_methods */
INSERT INTO `wp_sa_woocommerce_shipping_zone_methods` VALUES("1", "1", "free_shipping", "1", "1");

/* INSERT TABLE DATA: wp_sa_woocommerce_shipping_zones */
INSERT INTO `wp_sa_woocommerce_shipping_zones` VALUES("1", "ایران", "0");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2024-05-27 10:18:31*/
/* DUPLICATOR_MYSQLDUMP_EOF */
